/*! For license information please see module.js.LICENSE.txt */
define(["lodash","@grafana/data","@grafana/runtime","react","@emotion/css","@grafana/ui","rxjs","rxjs/operators"],((e,t,r,n,a,o,i,l)=>(()=>{var s={872:(e,t,r)=>{var n=r(781),a=r(7),o=r(959),i=r(241),l=function(e){return e&&"object"==typeof e&&"default"in e?e:{default:e}}(o);const s="jwt",c="gce",u="Paste JWT button",p="Upload JWT button",d=["private_key","token_uri","client_email","project_id"],y=({onChange:e,showConfigEditor:t,showPaste:r,showUpload:n,isPasting:i,isUploading:s})=>{const[c,d]=o.useState(),y=a.useTheme2(),f=o.useCallback((e=>{d(null),r()}),[r]),b=o.useCallback((e=>{n(),d(null)}),[n]),v=o.useCallback((r=>{if(""!==r.trim()){let n;try{n=JSON.parse(r)}catch(e){d("Invalid JWT token")}const a=m(n);a.isValid?(t(),e({privateKey:n.private_key,tokenUri:n.token_uri,clientEmail:n.client_email,projectId:n.project_id})):d(a.error)}}),[d,e,t]);return l.default.createElement(l.default.Fragment,null,l.default.createElement(a.Field,{label:"JWT token",invalid:Boolean(c),description:i?"Paste JWT token below":"Upload or paste Google JWT token",error:c},l.default.createElement(l.default.Fragment,null,s&&l.default.createElement("div",{"data-testid":"Configuration drop zone"},a.FileDropzone&&l.default.createElement(a.FileDropzone,{options:{multiple:!1,accept:".json"},readAs:"readAsText",onLoad:e=>{v(e)}},l.default.createElement("p",{style:{margin:0,fontSize:`${y.typography.h4.fontSize}`,textAlign:"center"}},"Drop the Google JWT file here",l.default.createElement("br",null),l.default.createElement("br",null),l.default.createElement(a.Button,{fill:"outline"},"Click to browse files")))),i&&l.default.createElement(a.TextArea,{"data-testid":"Configuration text area",autoFocus:!0,invalid:Boolean(c),placeholder:"Paste Google JWT token here",onBlur:e=>v(e.currentTarget.value),rows:12}))),!i&&l.default.createElement(l.default.Fragment,null,l.default.createElement(a.Button,{"data-testid":u,type:"button",fill:"outline",style:{color:`${y.colors.primary.text}`},onClick:f},"Paste JWT Token"),l.default.createElement("span",{style:{paddingRight:"10px",paddingLeft:"10px"}},"or")),i&&l.default.createElement(l.default.Fragment,null,l.default.createElement(a.Button,{"data-testid":p,type:"button",fill:"outline",style:{color:`${y.colors.primary.text}`},onClick:()=>{n()}},"Upload JWT Token"),l.default.createElement("span",{style:{paddingRight:"10px",paddingLeft:"10px"}},"or")),l.default.createElement(a.Button,{"data-testid":"Fill JWT info manually",type:"button",fill:"outline",style:{color:`${y.colors.primary.text}`},onClick:t},"Fill In JWT Token manually"),i&&c&&l.default.createElement(a.Field,null,l.default.createElement(a.Button,{type:"button",fill:"outline",style:{color:`${y.colors.primary.text}`},onClick:b},"Upload JWT Token")))},m=e=>{if(!i.isObject(e))return{isValid:!1,error:"Invalid JWT token"};const t=d.filter((t=>!e[t]));return t.length>0?{isValid:!1,error:`Missing keys: ${t.join(", ")}`}:{isValid:!0}},{SecretFormField:f}=a.LegacyForms;var b;!function(e){e.PATH="path",e.JWT="jwt"}(b||(b={}));const v=({options:e,onReset:t,onOptionsChange:r,showPaste:o,showUpload:i})=>{var s;const[c,d]=l.default.useState((e=>"privateKeyPath"in e&&""!==e.privateKeyPath?b.PATH:b.JWT)(e.jsonData)),y=t=>n.onUpdateDatasourceJsonDataOption({options:e,onOptionsChange:r},t),m=()=>{c===b.JWT?d(b.PATH):d(b.JWT)},v=a.useTheme2(),g=l.default.createElement("span",null,c===b.PATH?l.default.createElement("a",{className:"external-link",onClick:m,"data-testid":"Show private key input"},"Paste private key"):"Paste private key"," ","or  ",c===b.JWT?l.default.createElement("a",{className:"external-link",onClick:m,"data-testid":"Show private key path input"},"provide path to private file"):"provide path to private key file"),O={isConfigured:Boolean(e.secureJsonFields.privateKey),value:(null===(s=e.secureJsonData)||void 0===s?void 0:s.privateKey)||"",placeholder:"Enter Private key",onReset:()=>t(),onChange:n.onUpdateDatasourceSecureJsonDataOption({options:e,onOptionsChange:r},"privateKey"),"data-testid":"Private Key Input"};return l.default.createElement("div",{"data-testid":"JWT form"},l.default.createElement(a.Field,{label:"Project ID"},l.default.createElement(a.Input,{id:"defaultProject",width:60,value:e.jsonData.defaultProject||"",onChange:y("defaultProject")})),l.default.createElement(a.Field,{label:"Client email"},l.default.createElement(a.Input,{width:60,id:"clientEmail",value:e.jsonData.clientEmail||"",onChange:y("clientEmail")})),l.default.createElement(a.Field,{label:"Token URI"},l.default.createElement(a.Input,{width:60,id:"tokenUri",value:e.jsonData.tokenUri||"",onChange:y("tokenUri")})),c===b.PATH&&l.default.createElement(a.Field,{label:"Private key path",description:g},l.default.createElement(a.Input,{width:60,id:"privateKeyPath",value:e.jsonData.privateKeyPath||"",placeholder:"File location of your private key (e.g. /etc/secrets/gce.pem)",onChange:y("privateKeyPath"),"data-testid":"Private Key Path Input"})),c===b.JWT&&l.default.createElement(l.default.Fragment,null,a.SecretInput?l.default.createElement(a.Field,{label:"Private key",description:g},l.default.createElement(a.SecretInput,Object.assign({},O,{width:60}))):l.default.createElement(f,Object.assign({},O,{label:"Private key",labelWidth:10,inputWidth:20}))),l.default.createElement(l.default.Fragment,null,l.default.createElement(a.Button,{"data-testid":u,type:"button",fill:"outline",style:{color:`${v.colors.primary.text}`},onClick:o},"Paste JWT Token"),l.default.createElement("span",{style:{paddingRight:"10px",paddingLeft:"10px"}},"or"),l.default.createElement(a.Button,{"data-testid":p,type:"button",fill:"outline",style:{color:`${v.colors.primary.text}`},onClick:i},"Upload JWT Token")))};function g(e){const{options:t,onOptionsChange:r,authOptions:i}=e,{jsonData:u,secureJsonFields:p,secureJsonData:d}=t,m=()=>Boolean(u.clientEmail&&u.defaultProject&&u.tokenUri&&(p&&p.privateKey||u.privateKeyPath));u.authenticationType||(u.authenticationType=s);const[f,b]=o.useState(O(u.authenticationType)),[g,h]=o.useState(m()),[j,E]=o.useState(!1),[S,T]=o.useState(!0),P=()=>{E(!1),T(!0),h(!1)},I=()=>{E(!0),T(!1),h(!1)};return l.default.createElement(l.default.Fragment,null,l.default.createElement(a.FieldSet,{label:"Authentication"},l.default.createElement(a.Field,{label:"Authentication type"},l.default.createElement(a.RadioButtonGroup,{options:i,value:u.authenticationType||s,onChange:e=>{h(m()),r(Object.assign(Object.assign({},t),{jsonData:Object.assign(Object.assign({},t.jsonData),{authenticationType:e})})),b(O(e))}}))),f&&l.default.createElement(a.FieldSet,{label:"JWT Key Details"},g?l.default.createElement(v,{options:t,onReset:()=>(()=>{const e=Object.assign({},d),n=Object.assign({},t.jsonData);delete n.clientEmail,delete n.defaultProject,delete n.tokenUri,delete n.privateKeyPath,delete e.privateKey,b(!0),h(!1),r(Object.assign(Object.assign({},t),{secureJsonFields:Object.assign(Object.assign({},t.secureJsonFields),{privateKey:!1}),secureJsonData:e,jsonData:n}))})(),onOptionsChange:r,showUpload:P,showPaste:I}):l.default.createElement(y,{showConfigEditor:()=>{h(!0)},showUpload:P,showPaste:I,isPasting:j,isUploading:S,onChange:e=>{r(Object.assign(Object.assign({},t),{secureJsonFields:Object.assign(Object.assign({},p),{privateKey:!0}),secureJsonData:Object.assign(Object.assign({},d),{privateKey:e.privateKey}),jsonData:Object.assign(Object.assign({},u),{clientEmail:e.clientEmail,defaultProject:e.projectId,tokenUri:e.tokenUri})}))}})," "),u.authenticationType===c&&l.default.createElement(a.Field,{label:"Default project"},l.default.createElement(a.Input,{id:"defaultProject",width:60,value:t.jsonData.defaultProject||"",onChange:n.onUpdateDatasourceJsonDataOption(e,"defaultProject")})))}const O=e=>e===s||void 0===e,h=[{label:"Google JWT File",value:s,ariaLabel:"JWT button"},{label:"GCE Default Service Account",value:c,ariaLabel:"GCE button"}];t.ConnectionConfig=e=>{const{options:{jsonData:t}}=e;t.authenticationType||(t.authenticationType=s);const r=t.authenticationType===s||void 0===t.authenticationType;return l.default.createElement(l.default.Fragment,null,l.default.createElement(g,Object.assign({authOptions:h},e)),l.default.createElement("div",{className:"grafana-info-box",style:{marginTop:"16px"},"data-testid":"Configuration help box"},l.default.createElement("p",null,"Don’t know how to get a service account key file or create a service account? Read more"," ",l.default.createElement("a",{className:"external-link",target:"_blank",rel:"noopener noreferrer",href:"https://grafana.com/docs/grafana/latest/datasources/google-cloud-monitoring/google-authentication/"},"in the documentation."))),!r&&l.default.createElement(a.Alert,{title:"",severity:"info"},"Verify GCE default service account by clicking Save & Test"))}},80:(e,t,r)=>{"use strict";e.exports=r(872)},635:e=>{"use strict";e.exports=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=void 0,a=void 0,o=void 0,i=[];return function(){var s=function(e){return"function"==typeof e?e():e}(t),c=(new Date).getTime(),u=!n||c-n>s;n=c;for(var p=arguments.length,d=Array(p),y=0;y<p;y++)d[y]=arguments[y];if(u&&r.leading)return r.accumulate?Promise.resolve(e.call(this,[d])).then((function(e){return e[0]})):Promise.resolve(e.call.apply(e,[this].concat(d)));if(a?clearTimeout(o):a=function(){var e={};return e.promise=new Promise((function(t,r){e.resolve=t,e.reject=r})),e}(),i.push(d),o=setTimeout(l.bind(this),s),r.accumulate){var m=i.length-1;return a.promise.then((function(e){return e[m]}))}return a.promise};function l(){var t=a;clearTimeout(o),Promise.resolve(r.accumulate?e.call(this,i):e.apply(this,i[i.length-1])).then(t.resolve,t.reject),i=[],a=null}}},513:e=>{"use strict";e.exports=function e(t,r){if(t===r)return!0;if(t&&r&&"object"==typeof t&&"object"==typeof r){if(t.constructor!==r.constructor)return!1;var n,a,o;if(Array.isArray(t)){if((n=t.length)!=r.length)return!1;for(a=n;0!=a--;)if(!e(t[a],r[a]))return!1;return!0}if(t.constructor===RegExp)return t.source===r.source&&t.flags===r.flags;if(t.valueOf!==Object.prototype.valueOf)return t.valueOf()===r.valueOf();if(t.toString!==Object.prototype.toString)return t.toString()===r.toString();if((n=(o=Object.keys(t)).length)!==Object.keys(r).length)return!1;for(a=n;0!=a--;)if(!Object.prototype.hasOwnProperty.call(r,o[a]))return!1;for(a=n;0!=a--;){var i=o[a];if(!e(t[i],r[i]))return!1}return!0}return t!=t&&r!=r}},44:(e,t,r)=>{"use strict";var n=r(959),a=Symbol.for("react.element"),o=Symbol.for("react.fragment"),i=Object.prototype.hasOwnProperty,l=n.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner,s={key:!0,ref:!0,__self:!0,__source:!0};function c(e,t,r){var n,o={},c=null,u=null;for(n in void 0!==r&&(c=""+r),void 0!==t.key&&(c=""+t.key),void 0!==t.ref&&(u=t.ref),t)i.call(t,n)&&!s.hasOwnProperty(n)&&(o[n]=t[n]);if(e&&e.defaultProps)for(n in t=e.defaultProps)void 0===o[n]&&(o[n]=t[n]);return{$$typeof:a,type:e,key:c,ref:u,props:o,_owner:l.current}}t.Fragment=o,t.jsx=c,t.jsxs=c},728:(e,t,r)=>{"use strict";e.exports=r(44)},89:e=>{"use strict";e.exports=a},781:e=>{"use strict";e.exports=t},531:e=>{"use strict";e.exports=r},7:e=>{"use strict";e.exports=o},241:t=>{"use strict";t.exports=e},959:e=>{"use strict";e.exports=n},269:e=>{"use strict";e.exports=i},59:e=>{"use strict";e.exports=l}},c={};function u(e){var t=c[e];if(void 0!==t)return t.exports;var r=c[e]={exports:{}};return s[e](r,r.exports,u),r.exports}u.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return u.d(t,{a:t}),t},u.d=(e,t)=>{for(var r in t)u.o(t,r)&&!u.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},u.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),u.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})};var p={};return(()=>{"use strict";u.r(p),u.d(p,{plugin:()=>zr});var e=u(241),t=u(781),r=u(531),n=u(728),a=u(89),o=u(959),i=u.n(o);class l extends o.PureComponent{render(){return(0,n.jsxs)("div",{children:[(0,n.jsx)("h2",{children:"Cloud Monitoring alias patterns"}),(0,n.jsxs)("div",{children:[(0,n.jsx)("p",{children:"Format the legend keys any way you want by using alias patterns. Format the legend keys any way you want by using alias patterns."}),"Example:",(0,n.jsx)("code",{children:"{{metric.name}} - {{metric.label.instance_name}}"}),(0,n.jsx)("br",{}),"Result:   ",(0,n.jsx)("code",{children:"cpu/usage_time - server1-europe-west-1"}),(0,n.jsx)("br",{}),(0,n.jsx)("br",{}),(0,n.jsx)("span",{children:"Patterns:"}),(0,n.jsx)("br",{}),(0,n.jsxs)("ul",{className:(0,a.css)({listStyle:"none"}),children:[(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metric.type}}"})," = metric type e.g. compute.googleapis.com/instance/cpu/usage_time"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metric.name}}"})," = name part of metric e.g. instance/cpu/usage_time"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metric.service}}"})," = service part of metric e.g. compute"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metric.label.label_name}}"})," = Metric label metadata e.g. metric.label.instance_name"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{resource.label.label_name}}"})," = Resource label metadata e.g. resource.label.zone"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metadata.system_labels.name}}"})," = Meta data system labels e.g. metadata.system_labels.name. For this to work, the needs to be included in the group by"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{metadata.user_labels.name}}"})," = Meta data user labels e.g. metadata.user_labels.name. For this to work, the needs to be included in the group by"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{bucket}}"})," = bucket boundary for distribution metrics when using a heatmap in Grafana"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{project}}"})," = The project name that was specified in the query editor"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{service}}"})," = The service id that was specified in the SLO query editor"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{slo}}"})," = The SLO id that was specified in the SLO query editor"]}),(0,n.jsxs)("li",{children:[(0,n.jsx)("code",{children:"{{selector}}"})," = The Selector function that was specified in the SLO query editor"]})]})]})]})}}var s=u(7),c=Object.defineProperty,d=Object.defineProperties,y=Object.getOwnPropertyDescriptors,m=Object.getOwnPropertySymbols,f=Object.prototype.hasOwnProperty,b=Object.prototype.propertyIsEnumerable,v=(e,t,r)=>t in e?c(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,g=(e,t)=>{for(var r in t||(t={}))f.call(t,r)&&v(e,r,t[r]);if(m)for(var r of m(t))b.call(t,r)&&v(e,r,t[r]);return e};const O=({dataSourceName:e,docsLink:t,hasRequiredFields:r=!0,className:n})=>{const o=(0,s.useTheme2)(),l={container:(0,a.css)({p:{margin:0},"p + p":{marginTop:o.spacing(2)}}),text:(0,a.css)((c=g({},o.typography.body),u={color:o.colors.text.secondary,a:(0,a.css)({color:o.colors.text.link,textDecoration:"underline","&:hover":{textDecoration:"none"}})},d(c,y(u))))};var c,u;return i().createElement("div",{className:(0,a.cx)(l.container,n)},i().createElement("p",{className:l.text},"Before you can use the ",e," data source, you must configure it below or in the config file. For detailed instructions,"," ",i().createElement("a",{href:t,target:"_blank",rel:"noreferrer"},"view the documentation"),"."),r&&i().createElement("p",{className:l.text},i().createElement("i",null,"Fields marked with * are required")))};var h=Object.defineProperty,j=Object.defineProperties,E=Object.getOwnPropertyDescriptors,S=Object.getOwnPropertySymbols,T=Object.prototype.hasOwnProperty,P=Object.prototype.propertyIsEnumerable,I=(e,t,r)=>t in e?h(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,x=(e,t)=>{for(var r in t||(t={}))T.call(t,r)&&I(e,r,t[r]);if(S)for(var r of S(t))P.call(t,r)&&I(e,r,t[r]);return e};const N=({children:e,title:t,description:r,isCollapsible:n=!1,isInitiallyOpen:l=!0,kind:c="section",className:u})=>{const{colors:p,typography:d,spacing:y}=(0,s.useTheme2)(),[m,f]=(0,o.useState)(!n||l),b=m?"angle-up":"angle-down",v="sub-section"===c,g=`${m?"Collapse":"Expand"} section ${t}`,O={header:(0,a.css)({display:"flex",justifyContent:"space-between",alignItems:"center"}),title:(0,a.css)({margin:0}),subtitle:(0,a.css)({margin:0,fontWeight:d.fontWeightRegular}),descriptionText:(0,a.css)((h=x({marginTop:y(v?.25:.5),marginBottom:0},d.bodySmall),S={color:p.text.secondary},j(h,E(S)))),content:(0,a.css)({marginTop:y(2)})};var h,S;return i().createElement("div",{className:u},i().createElement("div",{className:O.header},"section"===c?i().createElement("h3",{className:O.title},t):i().createElement("h6",{className:O.subtitle},t),n&&i().createElement(s.IconButton,{name:b,onClick:()=>f(!m),type:"button",size:"xl","aria-label":g})),r&&i().createElement("p",{className:O.descriptionText},r),m&&i().createElement("div",{className:O.content},e))};var w=Object.defineProperty,D=Object.defineProperties,L=Object.getOwnPropertyDescriptors,C=Object.getOwnPropertySymbols,_=Object.prototype.hasOwnProperty,A=Object.prototype.propertyIsEnumerable,R=(e,t,r)=>t in e?w(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const M=e=>{var t,r=e,{children:n}=r,a=((e,t)=>{var r={};for(var n in e)_.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&C)for(var n of C(e))t.indexOf(n)<0&&A.call(e,n)&&(r[n]=e[n]);return r})(r,["children"]);return i().createElement(N,(t=((e,t)=>{for(var r in t||(t={}))_.call(t,r)&&R(e,r,t[r]);if(C)for(var r of C(t))A.call(t,r)&&R(e,r,t[r]);return e})({},a),D(t,L({kind:"section"}))),n)};var U=u(80);function k(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function G(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){k(e,t,r[t])}))}return e}class Q extends o.PureComponent{render(){const{options:e,onOptionsChange:t}=this.props;return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(O,{dataSourceName:"Google Cloud Monitoring",docsLink:"https://grafana.com/docs/grafana/latest/datasources/google-cloud-monitoring/",hasRequiredFields:!0}),(0,n.jsx)(s.Divider,{}),(0,n.jsx)(U.ConnectionConfig,(a=G({},this.props),o={onOptionsChange:this.handleOnOptionsChange},o=null!=o?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(a,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(o)).forEach((function(e){Object.defineProperty(a,e,Object.getOwnPropertyDescriptor(o,e))})),a)),r.config.secureSocksDSProxyEnabled&&(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(s.Divider,{}),(0,n.jsx)(M,{title:"Additional settings",description:"Additional settings are optional settings that can be configured for more control over your data source. This includes Secure Socks Proxy.",isCollapsible:!0,isInitiallyOpen:void 0!==e.jsonData.enableSecureSocksProxy,children:(0,n.jsx)(s.SecureSocksProxySettings,{options:e,onOptionsChange:t})})]})]});var a,o}constructor(...e){super(...e),k(this,"handleOnOptionsChange",(e=>{(e.jsonData.privateKeyPath||e.secureJsonFields.privateKey)&&(0,r.reportInteraction)("grafana_cloud_monitoring_config_changed",{authenticationType:"JWT",privateKey:e.secureJsonFields.privateKey,privateKeyPath:!!e.jsonData.privateKeyPath}),this.props.onOptionsChange(e)}))}}var B=u(513),q=u.n(B),F=Object.getOwnPropertySymbols,V=Object.prototype.hasOwnProperty,K=Object.prototype.propertyIsEnumerable;const $=e=>{var t=e,{children:r}=t,n=((e,t)=>{var r={};for(var n in e)V.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&F)for(var n of F(e))t.indexOf(n)<0&&K.call(e,n)&&(r[n]=e[n]);return r})(t,["children"]);const a=(0,s.useStyles2)((0,o.useCallback)((e=>Y(e,n)),[n]));return i().createElement("div",{className:a.root},r)},Y=(e,t)=>{var r,n,o;return{root:(0,a.css)({display:"flex",flexDirection:null!=(r=t.direction)?r:"row",flexWrap:null==(n=t.wrap)||n?"wrap":void 0,alignItems:t.alignItems,gap:e.spacing(null!=(o=t.gap)?o:2),flexGrow:t.flexGrow})}},J=({children:e})=>i().createElement($,{gap:.5,direction:"column"},e),W={container:"data-testid cloud-monitoring-query-editor",header:{select:"data-testid cloud-monitoring-header"},visualMetricsQueryEditor:{container:{input:"data-testid cloud-monitoring-visual-metrics-query-editor"}},mqlMetricsQueryEditor:{container:{input:"data-testid cloud-monitoring-mql-query-editor"}},sloQueryEditor:{container:{input:"data-testid cloud-monitoring-slo-query-editor"}},promQlQueryEditor:{container:{input:"data-testid cloud-monitoring-prom-ql-query-editor"}}};var z=function(e){return e.ANNOTATION="annotation",e.PROMQL="promQL",e.SLO="slo",e.TIME_SERIES_LIST="timeSeriesList",e.TIME_SERIES_QUERY="timeSeriesQuery",e}({}),H=function(e){return e.Delta="delta",e.None="none",e.Rate="rate",e}({}),X=function(e){return e.CUMULATIVE="CUMULATIVE",e.DELTA="DELTA",e.GAUGE="GAUGE",e.METRIC_KIND_UNSPECIFIED="METRIC_KIND_UNSPECIFIED",e}({}),Z=function(e){return e.BOOL="BOOL",e.DISTRIBUTION="DISTRIBUTION",e.DOUBLE="DOUBLE",e.INT64="INT64",e.MONEY="MONEY",e.STRING="STRING",e.VALUE_TYPE_UNSPECIFIED="VALUE_TYPE_UNSPECIFIED",e}({}),ee=function(e){return e.ALIGN_COUNT="ALIGN_COUNT",e.ALIGN_COUNT_FALSE="ALIGN_COUNT_FALSE",e.ALIGN_COUNT_TRUE="ALIGN_COUNT_TRUE",e.ALIGN_DELTA="ALIGN_DELTA",e.ALIGN_FRACTION_TRUE="ALIGN_FRACTION_TRUE",e.ALIGN_INTERPOLATE="ALIGN_INTERPOLATE",e.ALIGN_MAX="ALIGN_MAX",e.ALIGN_MEAN="ALIGN_MEAN",e.ALIGN_MIN="ALIGN_MIN",e.ALIGN_NEXT_OLDER="ALIGN_NEXT_OLDER",e.ALIGN_NONE="ALIGN_NONE",e.ALIGN_PERCENTILE_05="ALIGN_PERCENTILE_05",e.ALIGN_PERCENTILE_50="ALIGN_PERCENTILE_50",e.ALIGN_PERCENTILE_95="ALIGN_PERCENTILE_95",e.ALIGN_PERCENTILE_99="ALIGN_PERCENTILE_99",e.ALIGN_PERCENT_CHANGE="ALIGN_PERCENT_CHANGE",e.ALIGN_RATE="ALIGN_RATE",e.ALIGN_STDDEV="ALIGN_STDDEV",e.ALIGN_SUM="ALIGN_SUM",e}({}),te=function(e){return e.Aggregations="aggregations",e.Aligners="aligners",e.AlignmentPeriods="alignmentPeriods",e.DefaultProject="defaultProject",e.LabelKeys="labelKeys",e.LabelValues="labelValues",e.MetricTypes="metricTypes",e.Projects="projects",e.ResourceTypes="resourceTypes",e.SLO="slo",e.SLOServices="sloServices",e.Selectors="selectors",e.Services="services",e}({});const re=({v:e=0,h:t=0,layout:r="block"})=>{const n=(0,s.useStyles2)((0,o.useCallback)((n=>ne(n,{v:e,h:t,layout:r})),[e,t,r]));return i().createElement("span",{className:(0,a.cx)(n.wrapper)})},ne=(e,t)=>{var r,n;return{wrapper:(0,a.css)([{paddingRight:e.spacing(null!=(r=t.h)?r:0),paddingBottom:e.spacing(null!=(n=t.v)?n:0)},"inline"===t.layout&&{display:"inline-block"},"block"===t.layout&&{display:"block"}])}};var ae=Object.defineProperty,oe=Object.getOwnPropertySymbols,ie=Object.prototype.hasOwnProperty,le=Object.prototype.propertyIsEnumerable,se=(e,t,r)=>t in e?ae(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const ce=e=>{var t;const r=e,{label:n,optional:a,tooltip:l,tooltipInteractive:c,children:u,width:p}=r,d=((e,t)=>{var r={};for(var n in e)ie.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&oe)for(var n of oe(e))t.indexOf(n)<0&&le.call(e,n)&&(r[n]=e[n]);return r})(r,["label","optional","tooltip","tooltipInteractive","children","width"]),y=(0,s.useStyles2)((0,o.useCallback)((e=>ue(e,p)),[p])),m=(null==d?void 0:d.htmlFor)||(null==(t=s.ReactUtils)?void 0:t.getChildId(u)),f=i().createElement(i().Fragment,null,i().createElement("label",{className:y.label,htmlFor:m},n,a&&i().createElement("span",{className:y.optional}," - optional"),l&&i().createElement(s.Tooltip,{placement:"top",content:l,theme:"info",interactive:c},i().createElement(s.Icon,{tabIndex:0,name:"info-circle",size:"sm",className:y.icon}))),i().createElement(re,{v:.5}));return i().createElement("div",{className:y.root},i().createElement(s.Field,((e,t)=>{for(var r in t||(t={}))ie.call(t,r)&&se(e,r,t[r]);if(oe)for(var r of oe(t))le.call(t,r)&&se(e,r,t[r]);return e})({className:y.field,label:f},d),u))},ue=(e,t)=>({root:(0,a.css)({minWidth:e.spacing(null!=t?t:0)}),label:(0,a.css)({fontSize:12,fontWeight:e.typography.fontWeightMedium}),optional:(0,a.css)({fontStyle:"italic",color:e.colors.text.secondary}),field:(0,a.css)({marginBottom:0}),icon:(0,a.css)({color:e.colors.text.secondary,marginLeft:e.spacing(1),":hover":{color:e.colors.text.primary}})}),pe=({refId:t,value:r="",onChange:a})=>{const[i,l]=(0,o.useState)(null!=r?r:""),c=(0,e.debounce)(a,1e3);return(0,n.jsx)(ce,{label:"Alias by",children:(0,n.jsx)(s.Input,{id:`${t}-alias-by`,value:i,onChange:e=>{l(e.currentTarget.value),c(e.currentTarget.value)}})})},de=({children:e})=>{const t=(0,s.useStyles2)(ye);return i().createElement("div",{className:t.root},i().createElement($,{gap:2},e))},ye=e=>({root:(0,a.css)({padding:e.spacing(1),backgroundColor:e.colors.background.secondary,borderRadius:e.shape.borderRadius(1)})}),me=[{text:"none",value:"ALIGN_NONE",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION,Z.STRING,Z.VALUE_TYPE_UNSPECIFIED,Z.BOOL],metricKinds:[X.GAUGE]},{text:"delta",value:"ALIGN_DELTA",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION],metricKinds:[X.CUMULATIVE,X.DELTA]},{text:"rate",value:"ALIGN_RATE",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY],metricKinds:[X.CUMULATIVE,X.DELTA]},{text:"interpolate",value:"ALIGN_INTERPOLATE",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY],metricKinds:[X.GAUGE]},{text:"next older",value:"ALIGN_NEXT_OLDER",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION,Z.STRING,Z.VALUE_TYPE_UNSPECIFIED,Z.BOOL],metricKinds:[X.GAUGE]},{text:"min",value:"ALIGN_MIN",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY],metricKinds:[X.GAUGE,X.DELTA]},{text:"max",value:"ALIGN_MAX",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY],metricKinds:[X.GAUGE,X.DELTA]},{text:"mean",value:"ALIGN_MEAN",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY],metricKinds:[X.GAUGE,X.DELTA]},{text:"count",value:"ALIGN_COUNT",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.BOOL],metricKinds:[X.GAUGE,X.DELTA]},{text:"sum",value:"ALIGN_SUM",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA]},{text:"stddev",value:"ALIGN_STDDEV",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY],metricKinds:[X.GAUGE,X.DELTA]},{text:"count true",value:"ALIGN_COUNT_TRUE",valueTypes:[Z.BOOL],metricKinds:[X.GAUGE]},{text:"count false",value:"ALIGN_COUNT_FALSE",valueTypes:[Z.BOOL],metricKinds:[X.GAUGE]},{text:"fraction true",value:"ALIGN_FRACTION_TRUE",valueTypes:[Z.BOOL],metricKinds:[X.GAUGE]},{text:"percentile 99",value:"ALIGN_PERCENTILE_99",valueTypes:[Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA]},{text:"percentile 95",value:"ALIGN_PERCENTILE_95",valueTypes:[Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA]},{text:"percentile 50",value:"ALIGN_PERCENTILE_50",valueTypes:[Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA]},{text:"percentile 05",value:"ALIGN_PERCENTILE_05",valueTypes:[Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA]},{text:"percent change",value:"ALIGN_PERCENT_CHANGE",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY],metricKinds:[X.GAUGE,X.DELTA]}],fe=[{text:"none",value:"REDUCE_NONE",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION,Z.BOOL,Z.STRING],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE,X.METRIC_KIND_UNSPECIFIED]},{text:"mean",value:"REDUCE_MEAN",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE]},{text:"min",value:"REDUCE_MIN",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE,X.METRIC_KIND_UNSPECIFIED]},{text:"max",value:"REDUCE_MAX",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE,X.METRIC_KIND_UNSPECIFIED]},{text:"sum",value:"REDUCE_SUM",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE,X.METRIC_KIND_UNSPECIFIED]},{text:"std. dev.",value:"REDUCE_STDDEV",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE,X.METRIC_KIND_UNSPECIFIED]},{text:"count",value:"REDUCE_COUNT",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION,Z.BOOL,Z.STRING],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE]},{text:"count true",value:"REDUCE_COUNT_TRUE",valueTypes:[Z.BOOL],metricKinds:[X.GAUGE,X.DELTA]},{text:"count false",value:"REDUCE_COUNT_FALSE",valueTypes:[Z.BOOL],metricKinds:[X.GAUGE,X.DELTA]},{text:"99th percentile",value:"REDUCE_PERCENTILE_99",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE]},{text:"95th percentile",value:"REDUCE_PERCENTILE_95",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE]},{text:"50th percentile",value:"REDUCE_PERCENTILE_50",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE]},{text:"5th percentile",value:"REDUCE_PERCENTILE_05",valueTypes:[Z.INT64,Z.DOUBLE,Z.MONEY,Z.DISTRIBUTION],metricKinds:[X.GAUGE,X.DELTA,X.CUMULATIVE]}],be=[{text:"grafana auto",value:"grafana-auto"},{text:"stackdriver auto",value:"stackdriver-auto",hidden:!0},{text:"cloud monitoring auto",value:"cloud-monitoring-auto"},{text:"1m",value:"+60s"},{text:"2m",value:"+120s"},{text:"5m",value:"+300s"},{text:"10m",value:"+600s"},{text:"30m",value:"+1800s"},{text:"1h",value:"+3600s"},{text:"3h",value:"+7200s"},{text:"6h",value:"+21600s"},{text:"1d",value:"+86400s"},{text:"3d",value:"+259200s"},{text:"1w",value:"+604800s"}],ve=[{text:"auto",value:"auto"},{text:"1m",value:"1m"},{text:"2m",value:"2m"},{text:"5m",value:"5m"},{text:"10m",value:"10m"},{text:"30m",value:"30m"},{text:"1h",value:"1h"},{text:"3h",value:"3h"},{text:"6h",value:"6h"},{text:"1d",value:"1d"},{text:"3d",value:"3d"},{text:"1w",value:"1w"}],ge=[{text:"1m",value:"1m"},{text:"2m",value:"2m"},{text:"5m",value:"5m"},{text:"10m",value:"10m"},{text:"30m",value:"30m"},{text:"1h",value:"1h"},{text:"3h",value:"3h"},{text:"6h",value:"6h"},{text:"24h",value:"24h"},{text:"72h",value:"72h"}],Oe=["metadata.system_labels.cloud_account","metadata.system_labels.name","metadata.system_labels.region","metadata.system_labels.state","metadata.system_labels.instance_group","metadata.system_labels.node_name","metadata.system_labels.service_name","metadata.system_labels.top_level_controller_type","metadata.system_labels.top_level_controller_name","metadata.system_labels.container_image"],he="select_slo_burn_rate",je=[{label:"SLI Value",value:"select_slo_health"},{label:"SLO Compliance",value:"select_slo_compliance"},{label:"SLO Error Budget Remaining",value:"select_slo_budget_fraction"},{label:"SLO Burn Rate",value:he}],Ee=[{label:"Builder",value:z.TIME_SERIES_LIST},{label:"MQL",value:z.TIME_SERIES_QUERY},{label:"Service Level Objectives (SLO)",value:z.SLO},{label:"PromQL",value:z.PROMQL}];function Se({refId:e,projectName:t,datasource:r,onChange:a,templateVariableOptions:i}){const[l,c]=(0,o.useState)([]);(0,o.useEffect)((()=>{r.getProjects().then((e=>c(e)))}),[r]);const u=(0,o.useMemo)((()=>[{label:"Template Variables",options:i},...l]),[l,i]);return(0,n.jsx)(ce,{label:"Project",children:(0,n.jsx)(s.Select,{width:"auto",allowCustomValue:!0,formatCreateLabel:e=>`Use project: ${e}`,onChange:({value:e})=>a(e),options:u,value:{value:t,label:t},placeholder:"Select Project",inputId:`${e}-project`})})}const Te=({children:e})=>i().createElement($,{gap:1},e);function Pe(e,t,r,n,a,o,i){try{var l=e[o](i),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,a)}function Ie(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const xe=t=>(0,e.uniqBy)(t,"service"),Ne=(e,t)=>e.filter((e=>e.service===t)),we=(e,t,r,n)=>{const a=Ne(e,n).map((e=>({value:e.type,name:e.displayName}))),o=a.some((e=>e.value===r)),i=a.length?a[0].value:"";return{metricTypes:a,selectedMetricType:o?t:i}},De=(e,t,r)=>(r&&r===H.Rate&&(t=X.GAUGE),e?me.filter((r=>-1!==r.valueTypes.indexOf(e)&&-1!==r.metricKinds.indexOf(t))):[]),Le=(e,t)=>t?fe.filter((r=>-1!==r.valueTypes.indexOf(e)&&-1!==r.metricKinds.indexOf(t))):[],Ce=function(){var e,t=(e=function*(e,t,r){const n=yield e.getLabels(t,"handleLabelKeysQuery",r);return[...Object.keys(n),...Oe]},function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){Pe(o,n,a,i,l,"next",e)}function l(e){Pe(o,n,a,i,l,"throw",e)}i(void 0)}))});return function(e,r,n){return t.apply(this,arguments)}}(),_e=(e=Z.DOUBLE,t=X.GAUGE,n=ee.ALIGN_MEAN,a)=>{const o=(0,r.getTemplateSrv)(),i=De(e,t,a).map((e=>{return t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ie(e,t,r[t])}))}return e}({},e),r=null!=(r={label:e.text})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t;var t,r}));return i.some((e=>e.value===o.replace(n)))||(n=i.length>0?i[0].value:ee.ALIGN_MEAN),{alignOptions:i,perSeriesAligner:n}},Ae=t=>{const r=t.reduce(((t,r)=>{const n=r.split(".").map(e.startCase),a=(2===n.length?n:(0,e.initial)(n)).join(" "),o={value:r,label:r};return t[a]?t[a]=[...t[a],o]:t[a]=[o],t}),{});return Object.entries(r).map((([e,t])=>({label:e,options:t,expanded:!0})),[])},Re=(e,r)=>{const{perSeriesAligner:n,alignmentPeriod:a}=e;if(!a||!n)return"";const o=me.find((e=>e.value===r.templateSrv.replace(n))),i=parseInt(a,10);var l;return`${t.rangeUtil.secondsToHms(i)} interval (${null!==(l=null==o?void 0:o.text)&&void 0!==l?l:""})`},Me=e=>{var t,r;const n=null==e||null===(t=e.filters)||void 0===t?void 0:t.findIndex((e=>"metric.type"===e));return(null==e||null===(r=e.filters)||void 0===r?void 0:r[n+2])||""},Ue=(e,t)=>{var r;if(!e.filters)return e.filters=["metric.type","=",t],e;const n=null==e||null===(r=e.filters)||void 0===r?void 0:r.findIndex((e=>"metric.type"===e));return-1===n?e.filters.push("metric.type","=",t):e.filters[n+2]=t,e};function ke(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Ge=e=>{const t=Qe(e),r=Be(t,e);return(0,n.jsx)(ce,{label:"Group by function","data-testid":"cloud-monitoring-aggregation",tooltip:"Aggregation function used on the metric data. Defaults to none for scalar data and mean for distribution data. Not applying an aggregation to distribution data may lead to performance issues.",children:(0,n.jsx)(s.Select,{width:"auto",onChange:({value:t})=>e.onChange(t),value:r,options:[{label:"Template Variables",options:e.templateVariableOptions},{label:"Aggregations",expanded:!0,options:t}],placeholder:"Select Reducer",inputId:`${e.refId}-group-by-function`,menuPlacement:"top"})})},Qe=({metricDescriptor:e})=>{const t=null==e?void 0:e.valueType,r=null==e?void 0:e.metricKind;return(0,o.useMemo)((()=>t&&r?Le(t,r).map((e=>{return t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){ke(e,t,r[t])}))}return e}({},e),r=null!=(r={label:e.text})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t;var t,r})):[]),[t,r])},Be=(e,t)=>(0,o.useMemo)((()=>[...e,...t.templateVariableOptions].find((e=>e.value===t.crossSeriesReducer))),[e,t.crossSeriesReducer,t.templateVariableOptions]);function qe(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Fe(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){qe(e,t,r[t])}))}return e}function Ve(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const Ke=({refId:e,labels:t=[],query:r,onChange:a,variableOptionGroup:i,metricDescriptor:l})=>{const c=(0,o.useMemo)((()=>[i,...Ae([...t,...Oe])]),[t,i]);var u,p;return(0,n.jsxs)(Te,{children:[(0,n.jsx)(ce,{label:"Group by",tooltip:"You can reduce the amount of data returned for a metric by combining different time series. To combine multiple time series, you can specify a grouping and a function. Grouping is done on the basis of labels. The grouping function is used to combine the time series in the group into a single time series.",children:(0,n.jsx)(s.MultiSelect,{allowCustomValue:!0,inputId:`${e}-group-by`,width:"auto",placeholder:"Choose label",options:c,value:null!==(u=r.groupBys)&&void 0!==u?u:[],onChange:e=>{a(Ve(Fe({},r),{groupBys:e.map((e=>e.value))}))},menuPlacement:"top"})}),(0,n.jsx)(Ge,{metricDescriptor:l,templateVariableOptions:i.options,crossSeriesReducer:r.crossSeriesReducer,groupBys:null!==(p=r.groupBys)&&void 0!==p?p:[],onChange:e=>a(Ve(Fe({},r),{crossSeriesReducer:e})),refId:e})]})};function $e(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Ye=({inputId:e,query:t,templateVariableOptions:r,onChange:a,metricDescriptor:i,preprocessor:l})=>{const{perSeriesAligner:c}=t;let{valueType:u,metricKind:p}=i||{};const{perSeriesAligner:d,alignOptions:y}=(0,o.useMemo)((()=>_e(u,p,c,l)),[u,p,c,l]);return(0,n.jsx)(s.Select,{onChange:({value:e})=>{return a((r=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){$e(e,t,r[t])}))}return e}({},t),n=null!=(n={perSeriesAligner:e})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r));var r,n},value:[...y,...r].find((e=>e.value===d)),options:[{label:"Template Variables",options:r},{label:"Alignment options",expanded:!0,options:y}],placeholder:"Select Alignment",inputId:e,menuPlacement:"top"})};function Je(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function We({inputId:e,templateVariableOptions:t,onChange:r,current:a,disabled:i,aligmentPeriods:l}){const c=(0,o.useMemo)((()=>l.map((e=>{return t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Je(e,t,r[t])}))}return e}({},e),r=null!=(r={label:e.text})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t;var t,r}))),[l]),u=(0,o.useMemo)((()=>c.filter((e=>!e.hidden))),[c]);return(0,n.jsx)(s.Select,{width:"auto",onChange:({value:e})=>r(e),value:[...c,...t].find((e=>e.value===a)),options:[{label:"Template Variables",options:t},{label:"Aggregations",expanded:!0,options:u}],placeholder:"Select Period",inputId:e,disabled:i,allowCustomValue:!0,menuPlacement:"top"})}function ze(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function He(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){ze(e,t,r[t])}))}return e}const Xe=({refId:e,templateVariableOptions:t,onChange:r,query:a,customMetaData:i,datasource:l,metricDescriptor:s,preprocessor:c})=>{const u=(0,o.useMemo)((()=>Re(i,l)),[i,l]);return(0,n.jsxs)(Te,{children:[(0,n.jsx)(ce,{label:"Alignment function",tooltip:"The process of alignment consists of collecting all data points received in a fixed length of time, applying a function to combine those data points, and assigning a timestamp to the result.",children:(0,n.jsx)(Ye,{inputId:`${e}-alignment-function`,templateVariableOptions:t,query:a,onChange:e=>r(He({},a,e)),metricDescriptor:s,preprocessor:c})}),(0,n.jsx)(ce,{label:"Alignment period",tooltip:u,children:(0,n.jsx)(We,{inputId:`${e}-alignment-period`,templateVariableOptions:t,current:a.alignmentPeriod,onChange:e=>{return r((t=He({},a),n=null!=(n={alignmentPeriod:e})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(n)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(n,e))})),t));var t,n},aligmentPeriods:be})})]})};var Ze=Object.defineProperty,et=Object.defineProperties,tt=Object.getOwnPropertyDescriptors,rt=Object.getOwnPropertySymbols,nt=Object.prototype.hasOwnProperty,at=Object.prototype.propertyIsEnumerable,ot=(e,t,r)=>t in e?Ze(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const it=e=>{var t=e,{className:r}=t,n=((e,t)=>{var r={};for(var n in e)nt.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&rt)for(var n of rt(e))t.indexOf(n)<0&&at.call(e,n)&&(r[n]=e[n]);return r})(t,["className"]);const o=(0,s.useStyles2)(lt);return i().createElement(s.Button,(l=((e,t)=>{for(var r in t||(t={}))nt.call(t,r)&&ot(e,r,t[r]);if(rt)for(var r of rt(t))at.call(t,r)&&ot(e,r,t[r]);return e})({},n),c={className:(0,a.cx)(r,o.button)},et(l,tt(c))));var l,c},lt=e=>({button:(0,a.css)({paddingLeft:e.spacing(1.5),paddingRight:e.spacing(1.5)})}),st=i().forwardRef((function({items:e,renderItem:t,onChange:r},n){return i().createElement($,null,e.map(((n,a)=>i().createElement("div",{key:a},t(n,(t=>((t,n)=>{const a=[...e];a[t]=n,r(a)})(a,t)),(()=>(t=>{const n=[...e];n.splice(t,1),r(n)})(a)))))),i().createElement(s.Button,{ref:n,onClick:()=>{const t=[...e,{}];r(t)},variant:"secondary",size:"md",icon:"plus","aria-label":"Add",type:"button"}))})),ct="=",ut="AND",pt=["=","!=","=~","!=~"].map(t.toOption),dt=["metric.type"],yt=({labels:r={},filters:a,onChange:i,variableOptionGroup:l})=>{const c=(t=>(0,e.chunk)(t,4).map((([e,t,r,n="AND"])=>({key:e,operator:t,value:r,condition:n}))))(a),u=c.filter((({key:e})=>!dt.includes(e))),p=c.filter((({key:e})=>dt.includes(e))),d=(0,o.useMemo)((()=>[l,...Ae(Object.keys(r))]),[r,l]),y=({key:e="",value:n=""})=>{d.some((t=>t.options?d.some((t=>t.label===e)):t.label===e))||d.push({label:e,value:e});const a=r.hasOwnProperty(e)?[l,...r[e].map(t.toOption)]:[l];return a.some((e=>e.label===n))||a.push({label:n,value:n}),{options:d,valueOptions:a}};return(0,n.jsx)(de,{children:(0,n.jsx)(ce,{label:"Filter",tooltip:"To reduce the amount of data charted, apply a filter. A filter has three components: a label, a comparison, and a value. The comparison can be an equality, inequality, or regular expression.",children:(0,n.jsx)(st,{items:u,renderItem:(e,t,r)=>{const{key:a="",operator:o=ct,value:i="",condition:l=ut}=e,{options:c,valueOptions:u}=y(e);return(0,n.jsxs)(s.HorizontalGroup,{spacing:"xs",width:"auto",children:[(0,n.jsx)(s.Select,{"aria-label":"Filter label key",formatCreateLabel:e=>`Use label key: ${e}`,allowCustomValue:!0,value:a,options:c,onChange:({value:e=""})=>t({key:e,operator:o,value:i,condition:l})}),(0,n.jsx)(s.Select,{value:o,options:pt,onChange:({value:e=ct})=>t({key:a,operator:e,value:i,condition:l})}),(0,n.jsx)(s.Select,{"aria-label":"Filter label value",placeholder:"add filter value",formatCreateLabel:e=>`Use label value: ${e}`,allowCustomValue:!0,value:i,options:u,onChange:({value:e=""})=>t({key:a,operator:o,value:e,condition:l})}),(0,n.jsx)(it,{"aria-label":"Remove",icon:"times",variant:"secondary",onClick:r,type:"button"})]})},onChange:e=>{const t=e.concat(p).map((({key:e,operator:t,value:r,condition:n})=>({key:e||"",operator:t||ct,value:r||"",condition:n||ut})));i((e=>e.flatMap((({key:e,operator:t,value:r,condition:n})=>[e,t,r,n])).slice(0,-1))(t))}})})})},mt=()=>(0,n.jsx)(s.Alert,{severity:"info",title:"Annotation Query Format",children:(0,n.jsxs)("div",{children:[(0,n.jsxs)("p",{children:["An annotation is an event that is overlaid on top of graphs. Annotation rendering is expensive so it is important to limit the number of rows returned."," "]}),(0,n.jsx)("p",{children:"The Title and Text fields support templating and can use data returned from the query. For example, the Title field could have the following text:"}),(0,n.jsxs)("code",{children:["{{metric.type}}"," has value: ","{{metric.value}}"]}),(0,n.jsxs)("p",{children:["Example Result: ",(0,n.jsx)("code",{children:"monitoring.googleapis.com/uptime_check/http_status has this value: 502"})]}),(0,n.jsx)("span",{children:"Patterns:"}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{metric.value}}"})," = value of the metric/point"]}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{metric.type}}"})," = metric type e.g. compute.googleapis.com/instance/cpu/usage_time"]}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{metric.name}}"})," = name part of metric e.g. instance/cpu/usage_time"]}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{metric.service}}"})," = service part of metric e.g. compute"]}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{metric.label.label_name}}"})," = Metric label metadata e.g. metric.label.instance_name"]}),(0,n.jsxs)("p",{children:[(0,n.jsx)("code",{children:"{{resource.label.label_name}}"})," = Resource label metadata e.g. resource.label.zone"]})]})});function ft(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const bt=({refId:e,current:t,templateVariableOptions:r,onChange:a})=>{const o=ge.map((e=>{return t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){ft(e,t,r[t])}))}return e}({},e),r=null!=(r={label:e.text})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t;var t,r}));t&&!o.find((e=>e.value===t))&&o.push({label:t,text:t,value:t,hidden:!1});const i=o.filter((e=>!e.hidden));return(0,n.jsx)(ce,{label:"Lookback period",htmlFor:`${e}-lookback-period`,children:(0,n.jsx)(s.Select,{inputId:`${e}-lookback-period`,width:"auto",allowCustomValue:!0,value:[...o,...r].find((e=>e.value===t)),options:[{label:"Template Variables",options:r},{label:"Predefined periods",expanded:!0,options:i}],onChange:({value:e})=>a(e)})})};function vt(e,t,r,n,a,o,i){try{var l=e[o](i),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,a)}function gt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Ot=({refId:e,query:t,templateVariableOptions:r,onChange:a,datasource:i})=>{const[l,c]=(0,o.useState)([]),{projectName:u,serviceId:p}=t;return(0,o.useEffect)((()=>{u&&p&&i.getServiceLevelObjectives(u,p).then((e=>{c([{label:"Template Variables",options:r},...e])}))}),[i,u,p,r]),(0,n.jsx)(ce,{label:"SLO",children:(0,n.jsx)(s.Select,{inputId:`${e}-slo`,width:"auto",allowCustomValue:!0,value:(null==t?void 0:t.sloId)&&{value:null==t?void 0:t.sloId,label:(null==t?void 0:t.sloName)||(null==t?void 0:t.sloId)},placeholder:"Select SLO",options:l,onChange:function(){var e,r=(e=function*({value:e="",label:r=""}){const n=(yield i.getServiceLevelObjectives(u,p)).find((({value:t})=>t===i.templateSrv.replace(e)));var o,l;a((o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){gt(e,t,r[t])}))}return e}({},t),l=null!=(l={sloId:e,sloName:r,goal:null==n?void 0:n.goal})?l:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(l)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(l)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(l,e))})),o))},function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){vt(o,n,a,i,l,"next",e)}function l(e){vt(o,n,a,i,l,"throw",e)}i(void 0)}))});return function(e){return r.apply(this,arguments)}}()})})};function ht(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const jt=({refId:e,query:t,templateVariableOptions:r,onChange:a,datasource:o})=>(0,n.jsx)(ce,{label:"Selector",htmlFor:`${e}-slo-selector`,children:(0,n.jsx)(s.Select,{inputId:`${e}-slo-selector`,width:"auto",allowCustomValue:!0,value:[...je,...r].find((e=>e.value===(null==t?void 0:t.selectorName))),options:[{label:"Template Variables",options:r},...je],onChange:({value:e})=>{return a((r=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){ht(e,t,r[t])}))}return e}({},t),n=null!=(n={selectorName:null!=e?e:""})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r));var r,n}})});function Et(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const St=({refId:e,query:t,templateVariableOptions:r,onChange:a,datasource:i})=>{const[l,c]=(0,o.useState)([]),{projectName:u}=t;return(0,o.useEffect)((()=>{u&&i.getSLOServices(u).then((e=>{c([{label:"Template Variables",options:r},...e])}))}),[i,u,r]),(0,n.jsx)(ce,{label:"Service",children:(0,n.jsx)(s.Select,{inputId:`${e}-slo-service`,width:"auto",allowCustomValue:!0,value:(null==t?void 0:t.serviceId)&&{value:null==t?void 0:t.serviceId,label:(null==t?void 0:t.serviceName)||(null==t?void 0:t.serviceId)},placeholder:"Select service",options:l,onChange:({value:e="",label:r=""})=>{return a((n=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Et(e,t,r[t])}))}return e}({},t),o=null!=(o={serviceId:e,serviceName:r,sloId:""})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(o)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(o,e))})),n));var n,o}})})};function Tt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Pt(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Tt(e,t,r[t])}))}return e}function It(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function xt({refId:e,query:t,datasource:r,onChange:a,variableOptionGroup:i,customMetaData:l,aliasBy:s,onChangeAliasBy:c}){const u=(0,o.useMemo)((()=>Re(l,r)),[l,r]);return(0,n.jsx)("span",{"data-testid":W.sloQueryEditor.container.input,children:(0,n.jsxs)(de,{children:[(0,n.jsx)(Se,{refId:e,templateVariableOptions:i.options,projectName:t.projectName,datasource:r,onChange:e=>a(It(Pt({},t),{projectName:e}))}),(0,n.jsx)(St,{refId:e,datasource:r,templateVariableOptions:i.options,query:t,onChange:a}),(0,n.jsx)(Ot,{refId:e,datasource:r,templateVariableOptions:i.options,query:t,onChange:a}),(0,n.jsx)(jt,{refId:e,datasource:r,templateVariableOptions:i.options,query:t,onChange:a}),t.selectorName===he&&(0,n.jsx)(bt,{refId:e,onChange:e=>a(It(Pt({},t),{lookbackPeriod:e})),current:t.lookbackPeriod,templateVariableOptions:i.options}),(0,n.jsx)(Te,{children:(0,n.jsx)(ce,{label:"Alignment period",tooltip:u,children:(0,n.jsx)(We,{inputId:`${e}-alignment-period`,templateVariableOptions:i.options,current:t.alignmentPeriod,onChange:e=>a(It(Pt({},t),{alignmentPeriod:e})),aligmentPeriods:be})})}),(0,n.jsx)(pe,{refId:e,value:s,onChange:c})]})})}function Nt({query:e,onChange:t,onRunQuery:r}){return(0,n.jsx)("span",{"data-testid":W.mqlMetricsQueryEditor.container.input,children:(0,n.jsx)(s.TextArea,{name:"Query",className:"slate-query-field",value:e,rows:10,placeholder:"Enter a Cloud Monitoring MQL query (Run with Shift+Enter)",onBlur:r,onChange:e=>t(e.currentTarget.value),onKeyDown:e=>{"Enter"===e.key&&(e.shiftKey||e.ctrlKey)&&(e.preventDefault(),r())}})})}const wt=({label:e,onChange:t,value:r,options:a,allowCustomValue:o=!1})=>(0,n.jsx)(s.Field,{label:e,children:(0,n.jsx)(s.Select,{width:25,allowCustomValue:o,value:r,onChange:({value:e})=>t(e),options:a})});var Dt=u(635),Lt=u.n(Dt);function Ct(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const _t={label:"None",value:H.None},At=({query:e,metricDescriptor:t,onChange:r})=>{const a=Rt(t);var o;return(0,n.jsx)(ce,{label:"Pre-processing",tooltip:"Preprocessing options are displayed when the selected metric has a metric kind of delta or cumulative. The specific options available are determined by the metric's value type. If you select 'Rate', data points are aligned and converted to a rate per time series. If you select 'Delta', data points are aligned by their delta (difference) per time series",children:(0,n.jsx)(s.RadioButtonGroup,{onChange:n=>{const{perSeriesAligner:a}=e,{valueType:o,metricKind:i}=null!=t?t:{},{perSeriesAligner:l}=_e(o,i,a,n);var s,c;r((s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ct(e,t,r[t])}))}return e}({},e),c=null!=(c={preprocessor:n,perSeriesAligner:l})?c:{},Object.getOwnPropertyDescriptors?Object.defineProperties(s,Object.getOwnPropertyDescriptors(c)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(c)).forEach((function(e){Object.defineProperty(s,e,Object.getOwnPropertyDescriptor(c,e))})),s))},value:null!==(o=e.preprocessor)&&void 0!==o?o:H.None,options:a})})},Rt=e=>{const t=null==e?void 0:e.metricKind,r=null==e?void 0:e.valueType;return(0,o.useMemo)((()=>{if(!t||t===X.GAUGE||r===Z.DISTRIBUTION)return[_t];const e=[_t,{label:"Rate",value:H.Rate,description:"Data points are aligned and converted to a rate per time series"}];return t===X.CUMULATIVE?[...e,{label:"Delta",value:H.Delta,description:"Data points are aligned by their delta (difference) per time series"}]:e}),[t,r])};function Mt(e,t,r,n,a,o,i){try{var l=e[o](i),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,a)}function Ut(e){return function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){Mt(o,n,a,i,l,"next",e)}function l(e){Mt(o,n,a,i,l,"throw",e)}i(void 0)}))}}function kt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Gt(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){kt(e,t,r[t])}))}return e}function Qt(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function Bt({refId:t,onChange:a,datasource:i,query:l,variableOptionGroup:c,customMetaData:u,aliasBy:p,onChangeAliasBy:d,range:y}){const[m,f]=(0,o.useState)({}),[b,v]=(0,o.useState)([]),[g,O]=(0,o.useState)(),[h,j]=(0,o.useState)([]),[E,S]=(0,o.useState)([]),[T,P]=(0,o.useState)(""),[I,x]=(0,o.useState)(Gt({},y));var N;N=y,null===I||I.raw.from.toString()===N.raw.from.toString()&&I.raw.to.toString()===N.raw.to.toString()||x(Gt({},N));const w=(0,s.useTheme2)(),D=(0,s.getSelectStyles)(w),L=(0,s.useStyles2)(qt),{projectName:C,groupBys:_,crossSeriesReducer:A}=l,R=Me(l),{templateSrv:M}=i,U=(0,o.useCallback)(((e,t)=>e.find((e=>e.type===M.replace(t)))),[M]);(0,o.useEffect)((()=>{C&&R&&i.getLabels(R,t,C,{groupBys:_,crossSeriesReducer:A},I).then((e=>f(e)))}),[i,_,R,C,t,A,I]),(0,o.useEffect)((()=>{const e=function(){var e=Ut((function*(){if(C){const e=yield i.getMetricTypes(C);(0,r.reportInteraction)("cloud-monitoring-metric-descriptors-loaded",{count:e.length});const t=k(e);v(e),S(t)}}));return function(){return e.apply(this,arguments)}}();e()}),[i,C,L,D.optionDescription]),(0,o.useEffect)((()=>{const e=(e=>{const t=U(e,R);return t?e.filter((e=>e.service===t.service)).map((e=>({service:e.service,value:e.type,label:e.displayName,component:function(){return(0,n.jsxs)("div",{children:[(0,n.jsx)("div",{className:L,children:e.type}),(0,n.jsx)("div",{className:D.optionDescription,children:e.description})]})}}))):[]})(b),t=e.length>0?e[0].service:"",r=U(b,R);O(r),j(e),P(t)}),[b,U,R,L,D.optionDescription]);const k=t=>{const r=t.map((t=>({value:t.service,label:(0,e.startCase)(t.serviceShortName)})));return r.length>0?(0,e.uniqBy)(r,(e=>e.value)):[]},G=function(){var e=Ut((function*(e){const t=(yield i.filterMetricsByType(C,T)).filter((t=>t.type.includes(e.toLowerCase()))).map((e=>({value:e.type,label:e.displayName,component:function(){return(0,n.jsxs)("div",{children:[(0,n.jsx)("div",{className:L,children:e.type}),(0,n.jsx)("div",{className:D.optionDescription,children:e.description})]})}})));return[{label:"Template Variables",options:c.options},...t]}));return function(t){return e.apply(this,arguments)}}(),Q=Lt()(G,400),B=({value:e})=>{const t=U(b,e);O(t);const{metricKind:r,valueType:n}=t,o=r===X.GAUGE||n===Z.DISTRIBUTION?H.None:H.Rate,{perSeriesAligner:s}=_e(n,r,l.perSeriesAligner,o);Object.assign(l,Qt(Gt({},Jt(i)),{crossSeriesReducer:n===Z.DISTRIBUTION?"REDUCE_MEAN":"REDUCE_NONE",projectName:l.projectName,filters:l.filters})),a(Qt(Gt({},Ue(Qt(Gt({},l),{perSeriesAligner:s}),e)),{preprocessor:o}))};return(0,n.jsxs)("span",{"data-testid":W.visualMetricsQueryEditor.container.input,children:[(0,n.jsx)(de,{children:(0,n.jsxs)(Te,{children:[(0,n.jsx)(Se,{refId:t,templateVariableOptions:c.options,projectName:C,datasource:i,onChange:e=>{a(Qt(Gt({},l),{projectName:e}))}}),(0,n.jsx)(ce,{label:"Service",width:"auto",children:(0,n.jsx)(s.Select,{width:"auto",onChange:({value:e})=>{const t=b.filter((t=>t.service===M.replace(e))).map((e=>({service:e.service,value:e.type,label:e.displayName,description:e.description})));l.filters=[],t.length>0&&!t.some((e=>e.value===M.replace(R)))?(B(t[0]),P(e),j(t)):(P(e),j(t))},isLoading:0===E.length,value:[...E,...c.options].find((e=>e.value===T)),options:[{label:"Template Variables",options:c.options},...E],placeholder:"Select Services",inputId:`${t}-service`})}),(0,n.jsx)(ce,{label:"Metric name",width:"auto",htmlFor:`${t}-select-metric`,children:(0,n.jsx)("span",{title:""===T?"Select a service first":"Type to search metrics",children:(0,n.jsx)(s.AsyncSelect,{width:"auto",onChange:B,value:[...h,...c.options].find((e=>e.value===R)),loadOptions:Q,defaultOptions:[{label:"Template Variables",options:c.options},...h.slice(0,100)],placeholder:"Select Metric",inputId:`${t}-select-metric`,disabled:""===T})})})]})}),(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(yt,{labels:m,filters:l.filters,onChange:e=>a(Qt(Gt({},l),{filters:e})),variableOptionGroup:c}),(0,n.jsxs)(de,{children:[(0,n.jsx)(At,{metricDescriptor:g,query:l,onChange:a}),(0,n.jsx)(Ke,{refId:t,labels:Object.keys(m),query:l,onChange:a,variableOptionGroup:c,metricDescriptor:g}),(0,n.jsx)(Xe,{refId:t,datasource:i,templateVariableOptions:c.options,query:l,customMetaData:u,onChange:a,metricDescriptor:g,preprocessor:l.preprocessor}),(0,n.jsx)(pe,{refId:t,value:p,onChange:d})]})]})]})}const qt=e=>(0,a.css)({label:"grafana-select-option-description",fontWeight:"normal",fontStyle:"italic",color:e.colors.text.secondary}),Ft=o.memo(Bt),Vt=({refId:e,onChange:t,graphPeriod:r,variableOptionGroup:a})=>(0,n.jsx)(de,{children:(0,n.jsx)(ce,{label:"Graph period",htmlFor:`${e}-graph-period`,tooltip:(0,n.jsxs)(n.Fragment,{children:["Set ",(0,n.jsx)("code",{children:"graph_period"})," which forces a preferred period between points. Automatically set to the current interval if left blank."]}),children:(0,n.jsxs)(s.HorizontalGroup,{children:[(0,n.jsx)(s.Switch,{"data-testid":`${e}-switch-graph-period`,value:"disabled"!==r,onChange:e=>t(e.currentTarget.checked?"":"disabled")}),(0,n.jsx)(We,{inputId:`${e}-graph-period`,templateVariableOptions:a.options,current:r,onChange:t,disabled:"disabled"===r,aligmentPeriods:ve})]})})});function Kt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function $t(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Kt(e,t,r[t])}))}return e}function Yt(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const Jt=e=>({projectName:e.getDefaultProject(),crossSeriesReducer:"REDUCE_NONE",alignmentPeriod:"cloud-monitoring-auto",perSeriesAligner:ee.ALIGN_MEAN,groupBys:[],filters:[]}),Wt=e=>({projectName:e.getDefaultProject(),query:""});function zt({refId:e,query:t,datasource:r,onChange:a,onRunQuery:i,customMetaData:l,variableOptionGroup:s,range:c}){const u=(0,o.useCallback)((e=>{let r=!0;if((null==e?void 0:e.filters)&&e.filters.length>0)for(const t of e.filters)if(""===t){r=!1;break}a(Yt($t({},t),{timeSeriesList:e})),r&&i()}),[a,i,t]),p=(0,o.useCallback)((e=>{a(Yt($t({},t),{timeSeriesQuery:e})),i()}),[a,i,t]);return(0,o.useEffect)((()=>{t.queryType!==z.TIME_SERIES_LIST||t.timeSeriesList||a({refId:t.refId,datasource:t.datasource,queryType:z.TIME_SERIES_LIST,timeSeriesList:Jt(r),aliasBy:t.aliasBy}),t.queryType!==z.TIME_SERIES_QUERY||t.timeSeriesQuery||a({refId:t.refId,datasource:t.datasource,queryType:z.TIME_SERIES_QUERY,timeSeriesQuery:Wt(r),aliasBy:t.aliasBy})}),[a,t,r]),(0,n.jsxs)(J,{children:[(t.queryType===z.ANNOTATION||t.queryType===z.TIME_SERIES_LIST)&&t.timeSeriesList&&(0,n.jsx)(Ft,{refId:e,variableOptionGroup:s,customMetaData:l,onChange:u,datasource:r,query:t.timeSeriesList,aliasBy:t.aliasBy,onChangeAliasBy:e=>a(Yt($t({},t),{aliasBy:e})),range:c}),t.queryType===z.TIME_SERIES_QUERY&&t.timeSeriesQuery&&(0,n.jsxs)(n.Fragment,{children:[(0,n.jsxs)($,{gap:1,direction:"row",children:[(0,n.jsx)(Se,{refId:e,datasource:r,onChange:e=>p(Yt($t({},t.timeSeriesQuery),{projectName:e})),templateVariableOptions:s.options,projectName:t.timeSeriesQuery.projectName}),(0,n.jsx)(pe,{refId:e,value:t.aliasBy,onChange:e=>a(Yt($t({},t),{aliasBy:e}))})]}),(0,n.jsx)(Nt,{onChange:e=>p(Yt($t({},t.timeSeriesQuery),{query:e})),onRunQuery:i,query:t.timeSeriesQuery.query}),(0,n.jsx)(Vt,{onChange:e=>p(Yt($t({},t.timeSeriesQuery),{graphPeriod:e})),graphPeriod:t.timeSeriesQuery.graphPeriod,refId:e,variableOptionGroup:s})]})]})}const Ht=o.memo(zt);function Xt(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Zt(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Xt(e,t,r[t])}))}return e}function er(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function tr({refId:e,query:t,datasource:r,onChange:a,variableOptionGroup:o,onRunQuery:i}){function l(e){"Enter"===e.key&&e.shiftKey&&(i(),e.preventDefault(),e.stopPropagation())}var c;return(0,n.jsx)("span",{"data-testid":W.promQlQueryEditor.container.input,children:(0,n.jsxs)(de,{children:[(0,n.jsx)(Se,{refId:e,templateVariableOptions:o.options,projectName:t.projectName,datasource:r,onChange:e=>a(er(Zt({},t),{projectName:e}))}),(0,n.jsx)(s.TextArea,{name:"Query",className:"slate-query-field",value:t.expr,rows:10,placeholder:"Enter a Cloud Monitoring Prometheus query (Run with Shift+Enter)",onBlur:i,onKeyDown:l,onChange:e=>a(er(Zt({},t),{expr:e.currentTarget.value}))}),(0,n.jsx)(ce,{label:"Min step",tooltip:"Time units and built-in variables can be used here, for example: $__interval, $__rate_interval, 5s, 1m, 3h, 1d, 1y (Default if no unit is specified: 10s)",children:(0,n.jsx)(s.Input,{type:"string",placeholder:"auto",onChange:e=>a(er(Zt({},t),{step:e.currentTarget.value})),onKeyDown:l,value:null!==(c=t.step)&&void 0!==c?c:""})})]})})}const rr=({children:e})=>{const t=(0,s.useStyles2)(nr);return i().createElement("div",{className:t.root},e)},nr=e=>({root:(0,a.css)({display:"flex",flexWrap:"wrap",alignItems:"center",gap:e.spacing(3),minHeight:e.spacing(4)})});var ar=Object.defineProperty,or=Object.defineProperties,ir=Object.getOwnPropertyDescriptors,lr=Object.getOwnPropertySymbols,sr=Object.prototype.hasOwnProperty,cr=Object.prototype.propertyIsEnumerable,ur=(e,t,r)=>t in e?ar(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,pr=(e,t)=>{for(var r in t||(t={}))sr.call(t,r)&&ur(e,r,t[r]);if(lr)for(var r of lr(t))cr.call(t,r)&&ur(e,r,t[r]);return e},dr=(e,t)=>or(e,ir(t));function yr(e){var t=e,{label:r}=t,n=((e,t)=>{var r={};for(var n in e)sr.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&lr)for(var n of lr(e))t.indexOf(n)<0&&cr.call(e,n)&&(r[n]=e[n]);return r})(t,["label"]);const a=(0,s.useStyles2)(br),[l]=(0,o.useState)((()=>Math.random().toString(16).slice(2))),c={SelectContainer:mr,ValueContainer:fr,SingleValue:fr};return i().createElement("div",{className:a.root},r&&i().createElement("label",{className:a.label,htmlFor:l},r,":"," "),i().createElement(s.Select,dr(pr({openMenuOnFocus:!0,inputId:l},n),{components:c})))}const mr=e=>{const{children:t}=e,r=(0,s.useStyles2)(br);return i().createElement(s.SelectContainer,dr(pr({},e),{className:(0,a.cx)(e.className,r.container)}),t)},fr=e=>{const{className:t,children:r}=e,n=(0,s.useStyles2)(br);return i().createElement("div",{className:(0,a.cx)(t,n.valueContainer)},r)},br=e=>({root:(0,a.css)({display:"flex",fontSize:12,alignItems:"center"}),label:(0,a.css)({color:e.colors.text.secondary,whiteSpace:"nowrap"}),container:(0,a.css)({background:"none",borderColor:"transparent"}),valueContainer:(0,a.css)({display:"flex",alignItems:"center",flex:"initial",color:e.colors.text.secondary,fontSize:12})}),vr=({grow:e,shrink:t})=>i().createElement("div",{style:{display:"block",flexGrow:e,flexShrink:t}});function gr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Or=e=>{const{query:t,onChange:r,onRunQuery:a}=e,{queryType:o}=t;return(0,n.jsxs)(rr,{children:[(0,n.jsx)(yr,{label:"Query type",options:Ee,value:o,onChange:({value:e})=>{var n,o;r((n=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){gr(e,t,r[t])}))}return e}({},t),o=null!=(o={queryType:e})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(o)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(o,e))})),n)),a()}}),(0,n.jsx)(vr,{grow:1})]})};function hr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function jr(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){hr(e,t,r[t])}))}return e}function Er(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function Sr(e,t,r,n,a,o,i){try{var l=e[o](i),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,a)}function Tr(e){return function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){Sr(o,n,a,i,l,"next",e)}function l(e){Sr(o,n,a,i,l,"throw",e)}i(void 0)}))}}function Pr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Ir(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Pr(e,t,r[t])}))}return e}function xr(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}class Nr extends o.PureComponent{componentDidMount(){var e=this;return Tr((function*(){yield e.props.datasource.ensureGCEDefaultProject();const t=e.props.query.projectName||e.props.datasource.getDefaultProject(),n=yield e.props.datasource.getProjects(),a=yield e.props.datasource.getMetricTypes(e.props.query.projectName||e.props.datasource.getDefaultProject()),o=xe(a).map((e=>({value:e.service,label:e.serviceShortName})));let i="";o.some((t=>t.value===(0,r.getTemplateSrv)().replace(e.state.selectedService)))?i=e.state.selectedService:o&&o.length>0&&(i=o[0].value);const{metricTypes:l,selectedMetricType:s}=we(a,e.state.selectedMetricType,(0,r.getTemplateSrv)().replace(e.state.selectedMetricType),(0,r.getTemplateSrv)().replace(i)),c=yield e.props.datasource.getSLOServices(t),u=xr(Ir({services:o,selectedService:i,metricTypes:l,selectedMetricType:s,metricDescriptors:a,projects:n},yield e.getLabels(s,t)),{sloServices:c,loading:!1,projectName:t});e.setState(u,(()=>e.onPropsChange()))}))()}onQueryTypeChange(e){var t=this;return Tr((function*(){const r=Ir({selectedQueryType:e},yield t.getLabels(t.state.selectedMetricType,t.state.projectName,e));t.setState(r)}))()}onProjectChange(e){var t=this;return Tr((function*(){const n=yield t.props.datasource.getMetricTypes(e),a=yield t.getLabels(t.state.selectedMetricType,e),{metricTypes:o,selectedMetricType:i}=we(n,t.state.selectedMetricType,(0,r.getTemplateSrv)().replace(t.state.selectedMetricType),(0,r.getTemplateSrv)().replace(t.state.selectedService)),l=yield t.props.datasource.getSLOServices(e);t.setState(xr(Ir({},a),{metricTypes:o,selectedMetricType:i,metricDescriptors:n,projectName:e,sloServices:l}),(()=>t.onPropsChange()))}))()}onServiceChange(e){var t=this;return Tr((function*(){const{metricTypes:n,selectedMetricType:a}=we(t.state.metricDescriptors,t.state.selectedMetricType,(0,r.getTemplateSrv)().replace(t.state.selectedMetricType),(0,r.getTemplateSrv)().replace(e)),o=Ir({selectedService:e,metricTypes:n,selectedMetricType:a},yield t.getLabels(a,t.state.projectName));t.setState(o,(()=>t.onPropsChange()))}))()}onMetricTypeChange(e){var t=this;return Tr((function*(){const n=Ir({selectedMetricType:e},yield t.getLabels((0,r.getTemplateSrv)().replace(e),t.state.projectName));t.setState(n,(()=>t.onPropsChange()))}))()}onLabelKeyChange(e){this.setState({labelKey:e},(()=>this.onPropsChange()))}componentDidUpdate(e,t){const r=t.selectedQueryType!==this.state.selectedQueryType,n=this.state.selectedSLOService!==t.selectedSLOService;(r||n)&&this.onPropsChange()}getLabels(e,t,n=this.state.selectedQueryType){var a=this;return Tr((function*(){let o={labels:a.state.labels,labelKey:a.state.labelKey};if(e&&n===te.LabelValues){const n=yield Ce(a.props.datasource,e,t),i=n.some((e=>e===(0,r.getTemplateSrv)().replace(a.state.labelKey)))?a.state.labelKey:n[0];o={labels:n,labelKey:i}}return o}))()}renderQueryTypeSwitch(e){const t={label:"Template Variables",expanded:!1,options:(0,r.getTemplateSrv)().getVariables().map((e=>({value:`$${e.name}`,label:`$${e.name}`})))};switch(e){case te.MetricTypes:return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(wt,{allowCustomValue:!0,value:this.state.projectName,options:[t,...this.state.projects],onChange:e=>this.onProjectChange(e),label:"Project"}),(0,n.jsx)(wt,{value:this.state.selectedService,options:[t,...this.state.services],onChange:e=>this.onServiceChange(e),label:"Service"})]});case te.LabelKeys:case te.LabelValues:case te.ResourceTypes:return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(wt,{allowCustomValue:!0,value:this.state.projectName,options:[t,...this.state.projects],onChange:e=>this.onProjectChange(e),label:"Project"}),(0,n.jsx)(wt,{value:this.state.selectedService,options:[t,...this.state.services],onChange:e=>this.onServiceChange(e),label:"Service"}),(0,n.jsx)(wt,{value:this.state.selectedMetricType,options:[t,...this.state.metricTypes.map((({value:e,name:t})=>({value:e,label:t})))],onChange:e=>this.onMetricTypeChange(e),label:"Metric Type"}),e===te.LabelValues&&(0,n.jsx)(wt,{value:this.state.labelKey,options:[t,...this.state.labels.map((e=>({value:e,label:e})))],onChange:e=>this.onLabelKeyChange(e),label:"Label Key"})]});case te.Aligners:case te.Aggregations:return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(wt,{value:this.state.selectedService,options:[t,...this.state.services],onChange:e=>this.onServiceChange(e),label:"Service"}),(0,n.jsx)(wt,{value:this.state.selectedMetricType,options:[t,...this.state.metricTypes.map((({value:e,name:t})=>({value:e,label:t})))],onChange:e=>this.onMetricTypeChange(e),label:"Metric Type"})]});case te.Services:case te.SLOServices:return(0,n.jsx)(n.Fragment,{children:(0,n.jsx)(wt,{allowCustomValue:!0,value:this.state.projectName,options:[t,...this.state.projects],onChange:e=>this.onProjectChange(e),label:"Project"})});case te.SLO:return(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(wt,{allowCustomValue:!0,value:this.state.projectName,options:[t,...this.state.projects],onChange:e=>this.onProjectChange(e),label:"Project"}),(0,n.jsx)(wt,{value:this.state.selectedSLOService,options:[t,...this.state.sloServices],onChange:e=>{this.setState(xr(Ir({},this.state),{selectedSLOService:e}))},label:"SLO Service"})]});default:return""}}render(){return this.state.loading?(0,n.jsx)(wt,{value:"loading",options:[{value:"loading",label:"Loading..."}],onChange:e=>null,label:"Query Type"}):(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(wt,{value:this.state.selectedQueryType,options:this.queryTypes,onChange:e=>this.onQueryTypeChange(e),label:"Query Type"}),this.renderQueryTypeSwitch(this.state.selectedQueryType)]})}constructor(e){super(e),Pr(this,"queryTypes",[{value:te.Projects,label:"Projects"},{value:te.Services,label:"Services"},{value:te.MetricTypes,label:"Metric Types"},{value:te.LabelKeys,label:"Label Keys"},{value:te.LabelValues,label:"Label Values"},{value:te.ResourceTypes,label:"Resource Types"},{value:te.Aggregations,label:"Aggregations"},{value:te.Aligners,label:"Aligners"},{value:te.AlignmentPeriods,label:"Alignment Periods"},{value:te.Selectors,label:"Selectors"},{value:te.SLOServices,label:"SLO Services"},{value:te.SLO,label:"Service Level Objectives (SLO)"}]),Pr(this,"defaults",{selectedQueryType:this.queryTypes[0].value,metricDescriptors:[],selectedService:"",selectedMetricType:"",labels:[],labelKey:"",metricTypes:[],services:[],sloServices:[],selectedSLOService:"",projects:[],projectName:"",loading:!0}),Pr(this,"onPropsChange",(()=>{const e=this.state,{metricDescriptors:t,labels:r,metricTypes:n,services:a}=e,o=function(e,t){if(null==e)return{};var r,n,a=function(e,t){if(null==e)return{};var r,n,a={},o=Object.keys(e);for(n=0;n<o.length;n++)r=o[n],t.indexOf(r)>=0||(a[r]=e[r]);return a}(e,t);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);for(n=0;n<o.length;n++)r=o[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(a[r]=e[r])}return a}(e,["metricDescriptors","labels","metricTypes","services"]);this.props.onChange(xr(Ir({},o),{refId:"CloudMonitoringVariableQueryEditor-VariableQuery"}))})),this.state=Object.assign(this.defaults,this.props.query)}}var wr=u(269),Dr=u(59);function Lr(e,t,r){void 0===t&&(t=0),void 0===r&&(r=[]);var n=function(e,t){void 0===t&&(t=0);var r=(0,o.useRef)(!1),n=(0,o.useRef)(),a=(0,o.useRef)(e),i=(0,o.useCallback)((function(){return r.current}),[]),l=(0,o.useCallback)((function(){r.current=!1,n.current&&clearTimeout(n.current),n.current=setTimeout((function(){r.current=!0,a.current()}),t)}),[t]),s=(0,o.useCallback)((function(){r.current=null,n.current&&clearTimeout(n.current)}),[]);return(0,o.useEffect)((function(){a.current=e}),[e]),(0,o.useEffect)((function(){return l(),s}),[t]),[i,s,l]}(e,t),a=n[0],i=n[1],l=n[2];return(0,o.useEffect)(l,r),[a,i]}function Cr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function _r(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Cr(e,t,r[t])}))}return e}function Ar(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const Rr=e=>{const{datasource:r,query:a,onRunQuery:i,data:l,onChange:c,range:u}=e,p=(null==l?void 0:l.series.length)?null==l?void 0:l.series[0].meta:{};var d;const y=null!==(d=null==p?void 0:p.custom)&&void 0!==d?d:{},m=_r({},(e=>Ar(_r({},Jt(e)),{title:"",text:""}))(r),a.timeSeriesList),[f,b]=(0,o.useState)(m.title||""),[v,g]=(0,o.useState)(m.text||""),O={label:"Template Variables",options:r.getVariables().map(t.toOption)};return Lr((()=>{c(Ar(_r({},a),{timeSeriesList:Ar(_r({},m),{title:f})}))}),1e3,[f,c]),Lr((()=>{c(Ar(_r({},a),{timeSeriesList:Ar(_r({},m),{text:v})}))}),1e3,[v,c]),(0,o.useEffect)((()=>{a.queryType&&Object.values(z).includes(a.queryType)||c(Ar(_r({},a),{queryType:z.TIME_SERIES_LIST}))})),(0,n.jsxs)(J,{children:[(0,n.jsxs)(n.Fragment,{children:[(0,n.jsx)(Ht,{refId:a.refId,variableOptionGroup:O,customMetaData:y,onChange:c,onRunQuery:i,datasource:r,query:a,range:u||(0,t.getDefaultTimeRange)()}),(0,n.jsx)(ce,{label:"Title",htmlFor:"annotation-query-title",children:(0,n.jsx)(s.Input,{id:"annotation-query-title",value:f,onChange:e=>{b(e.target.value)}})}),(0,n.jsx)(ce,{label:"Text",htmlFor:"annotation-query-text",children:(0,n.jsx)(s.Input,{id:"annotation-query-text",value:v,onChange:e=>{g(e.target.value)}})})]}),(0,n.jsx)(mt,{})]})};function Mr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Ur=e=>({prepareAnnotation:t=>{if(!(e=>{var t,r;return void 0!==(null===(t=e.target)||void 0===t?void 0:t.title)||void 0!==(null===(r=e.target)||void 0===r?void 0:r.text)})(t))return t;const{enable:r,name:n,iconColor:a}=t,{target:o}=t;return{datasource:t.datasource,enable:r,name:n,iconColor:a,target:{intervalMs:e.intervalMs,refId:(null==o?void 0:o.refId)||"annotationQuery",queryType:z.ANNOTATION,timeSeriesList:{projectName:(null==o?void 0:o.projectName)||e.getDefaultProject(),filters:(null==o?void 0:o.filters)||[],crossSeriesReducer:"REDUCE_NONE",perSeriesAligner:ee.ALIGN_NONE,title:(null==o?void 0:o.title)||"",text:(null==o?void 0:o.text)||""}}}},prepareQuery:e=>{if(e.target)return t=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Mr(e,t,r[t])}))}return e}({},e.target),r=null!=(r={queryType:z.ANNOTATION,type:"annotationQuery"})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t;var t,r},QueryEditor:Rr});function kr(e,t,r,n,a,o,i){try{var l=e[o](i),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,a)}function Gr(e){return function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){kr(o,n,a,i,l,"next",e)}function l(e){kr(o,n,a,i,l,"throw",e)}i(void 0)}))}}function Qr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}class Br{execute(e){var t=this;return Gr((function*(){try{switch(e.projectName||(e.projectName=t.datasource.getDefaultProject()),e.selectedQueryType){case te.Projects:return t.handleProjectsQuery();case te.Services:return t.handleServiceQuery(e);case te.MetricTypes:return t.handleMetricTypesQuery(e);case te.LabelKeys:return t.handleLabelKeysQuery(e);case te.LabelValues:return t.handleLabelValuesQuery(e);case te.ResourceTypes:return t.handleResourceTypeQuery(e);case te.Aligners:return t.handleAlignersQuery(e);case te.AlignmentPeriods:return t.handleAlignmentPeriodQuery();case te.Aggregations:return t.handleAggregationQuery(e);case te.SLOServices:return t.handleSLOServicesQuery(e);case te.SLO:return t.handleSLOQuery(e);case te.Selectors:return t.handleSelectorQuery();default:return[]}}catch(t){return console.error(`Could not run CloudMonitoringMetricFindQuery ${e}`,t),[]}}))()}handleProjectsQuery(){var e=this;return Gr((function*(){return(yield e.datasource.getProjects()).map((e=>({text:e.label,value:e.value,expandable:!0})))}))()}handleServiceQuery({projectName:e}){var t=this;return Gr((function*(){const r=yield t.datasource.getMetricTypes(e);return xe(r).map((e=>({text:e.serviceShortName,value:e.service,expandable:!0})))}))()}handleMetricTypesQuery({selectedService:e,projectName:t}){var r=this;return Gr((function*(){if(!e)return[];const n=yield r.datasource.getMetricTypes(t);return Ne(n,r.datasource.templateSrv.replace(e)).map((e=>({text:e.displayName,value:e.type,expandable:!0})))}))()}handleLabelKeysQuery({selectedMetricType:e,projectName:t}){var r=this;return Gr((function*(){return e?(yield Ce(r.datasource,e,t)).map(r.toFindQueryResult):[]}))()}handleLabelValuesQuery({selectedMetricType:e,labelKey:t,projectName:r}){var n=this;return Gr((function*(){if(!e)return[];const a=yield n.datasource.getLabels(e,"handleLabelValuesQuery",r,{groupBys:[t],crossSeriesReducer:"REDUCE_MEAN"}),o=n.datasource.templateSrv.replace(t);return(a.hasOwnProperty(o)?a[o]:[]).map(n.toFindQueryResult)}))()}handleResourceTypeQuery({selectedMetricType:e,projectName:t}){var r=this;return Gr((function*(){var n,a;return e&&null!==(a=null===(n=(yield r.datasource.getLabels(e,"handleResourceTypeQueryQueryType",t))["resource.type"])||void 0===n?void 0:n.map(r.toFindQueryResult))&&void 0!==a?a:[]}))()}handleAlignersQuery({selectedMetricType:e,projectName:t}){var r=this;return Gr((function*(){if(!e)return[];const n=(yield r.datasource.getMetricTypes(t)).find((t=>t.type===r.datasource.templateSrv.replace(e)));return n?De(n.valueType,n.metricKind).map(r.toFindQueryResult):[]}))()}handleAggregationQuery({selectedMetricType:e,projectName:t}){var r=this;return Gr((function*(){if(!e)return[];const n=(yield r.datasource.getMetricTypes(t)).find((t=>t.type===r.datasource.templateSrv.replace(e)));return n?Le(n.valueType,n.metricKind).map(r.toFindQueryResult):[]}))()}handleSLOServicesQuery({projectName:e}){var t=this;return Gr((function*(){return(yield t.datasource.getSLOServices(e)).map(t.toFindQueryResult)}))()}handleSLOQuery({selectedSLOService:e,projectName:t}){var r=this;return Gr((function*(){return(yield r.datasource.getServiceLevelObjectives(t,e)).map(r.toFindQueryResult)}))()}handleSelectorQuery(){var e=this;return Gr((function*(){return je.map(e.toFindQueryResult)}))()}handleAlignmentPeriodQuery(){return be.map(this.toFindQueryResult)}toFindQueryResult(t){return(0,e.isString)(t)?{text:t,expandable:!0}:(r=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Qr(e,t,r[t])}))}return e}({},t),n=null!=(n={expandable:!0})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r);var r,n}constructor(e){Qr(this,"datasource",void 0),this.datasource=e}}function qr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}class Fr extends t.CustomVariableSupport{query(e){const t=(0,wr.from)(this.metricFindQuery.execute(e.targets[0]));return(0,wr.from)(this.datasource.ensureGCEDefaultProject()).pipe((0,Dr.mergeMap)((()=>t)),(0,Dr.map)((e=>({data:e}))))}constructor(e){super(),qr(this,"datasource",void 0),qr(this,"metricFindQuery",void 0),qr(this,"editor",void 0),this.datasource=e,this.editor=Nr,this.metricFindQuery=new Br(e)}}function Vr(e,t,r,n,a,o,i){try{var l=e[o](i),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,a)}function Kr(e){return function(){var t=this,r=arguments;return new Promise((function(n,a){var o=e.apply(t,r);function i(e){Vr(o,n,a,i,l,"next",e)}function l(e){Vr(o,n,a,i,l,"throw",e)}i(void 0)}))}}function $r(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Yr(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){$r(e,t,r[t])}))}return e}function Jr(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}class Wr extends r.DataSourceWithBackend{getVariables(){return this.templateSrv.getVariables().map((e=>`$${e.name}`))}query(e){return e.targets=e.targets.map((t=>Jr(Yr({},this.migrateQuery(t)),{intervalMs:e.intervalMs}))),super.query(e)}applyTemplateVariables(e,t){const{timeSeriesList:r,timeSeriesQuery:n,sloQuery:a,promQLQuery:o}=e;return Jr(Yr({},e),{datasource:this.getRef(),intervalMs:this.intervalMs,timeSeriesList:r&&Jr(Yr({},this.interpolateProps(r,t)),{projectName:this.templateSrv.replace(r.projectName?r.projectName:this.getDefaultProject(),t),filters:this.interpolateFilters(r.filters||[],t),groupBys:this.interpolateGroupBys(r.groupBys||[],t),view:r.view||"FULL"}),timeSeriesQuery:n&&Jr(Yr({},this.interpolateProps(n,t)),{projectName:this.templateSrv.replace(n.projectName?n.projectName:this.getDefaultProject(),t)}),sloQuery:a&&this.interpolateProps(a,t),promQLQuery:o&&this.interpolateProps(o,t,{expr:this.interpolatePromQLQuery})})}getLabels(e,n,a,o,i){var l=this;return Kr((function*(){const s={targets:[{refId:n,datasource:l.getRef(),queryType:z.TIME_SERIES_LIST,timeSeriesList:Ue({projectName:l.templateSrv.replace(a),groupBys:l.interpolateGroupBys((null==o?void 0:o.groupBys)||[],{}),crossSeriesReducer:"REDUCE_NONE",view:"HEADERS"},l.templateSrv.replace(e))}],range:i||(0,t.getDefaultTimeRange)()},c=s.targets;return c.length?(0,wr.lastValueFrom)((0,wr.from)(l.ensureGCEDefaultProject()).pipe((0,Dr.mergeMap)((()=>l.backendSrv.fetch({url:"/api/ds/query",method:"POST",headers:l.getRequestHeaders(),data:{from:s.range.from.valueOf().toString(),to:s.range.to.valueOf().toString(),queries:c}}))),(0,Dr.map)((({data:e})=>{const t=(0,r.toDataQueryResponse)({data:e}),n=null==t?void 0:t.data.map((e=>{var t,r;return null===(r=e.meta)||void 0===r||null===(t=r.custom)||void 0===t?void 0:t.labels})).filter((e=>!!e)).reduce(((e,t)=>{for(let r in t)e[r]||(e[r]=new Set),t[r]&&e[r].add(t[r]);return e}),{});return Object.fromEntries(Object.entries(n).map((([e,t])=>[e,Array.from(t)])))})))):(0,wr.lastValueFrom)((0,wr.of)({results:[]}))}))()}getGCEDefaultProject(){var e=this;return Kr((function*(){return e.getResource("gceDefaultProject")}))()}getDefaultProject(){const{defaultProject:e,authenticationType:t,gceDefaultProject:r}=this.instanceSettings.jsonData;return"gce"===t?r||"":e||""}ensureGCEDefaultProject(){var e=this;return Kr((function*(){const{authenticationType:t,gceDefaultProject:r}=e.instanceSettings.jsonData;"gce"!==t||r||(e.instanceSettings.jsonData.gceDefaultProject=yield e.getGCEDefaultProject())}))()}getMetricTypes(e){var t=this;return Kr((function*(){return e?t.getResource(`metricDescriptors/v3/projects/${t.templateSrv.replace(e)}/metricDescriptors`):[]}))()}filterMetricsByType(e,t){var r=this;return Kr((function*(){return e?r.getResource(`metricDescriptors/v3/projects/${r.templateSrv.replace(e)}/metricDescriptors`,{filter:`metric.type : "${t}"`}):[]}))()}getSLOServices(e){var t=this;return Kr((function*(){return t.getResource(`services/v3/projects/${t.templateSrv.replace(e)}/services?pageSize=1000`)}))()}getServiceLevelObjectives(e,t){var r=this;return Kr((function*(){if(!t)return Promise.resolve([]);let{projectName:n,serviceId:a}=r.interpolateProps({projectName:e,serviceId:t});return r.getResource(`slo-services/v3/projects/${n}/services/${a}/serviceLevelObjectives`)}))()}getProjects(){return this.getResource("projects")}migrateMetricTypeFilter(e,t){const r=["metric.type","=",e];return(null==t?void 0:t.length)?t.concat("AND",r):r}migrateQuery(t){const{hide:r,refId:n,datasource:a,key:o,queryType:i,maxLines:l,metric:s,intervalMs:c,type:u}=t,p=function(e,t){if(null==e)return{};var r,n,a=function(e,t){if(null==e)return{};var r,n,a={},o=Object.keys(e);for(n=0;n<o.length;n++)r=o[n],t.indexOf(r)>=0||(a[r]=e[r]);return a}(e,t);if(Object.getOwnPropertySymbols){var o=Object.getOwnPropertySymbols(e);for(n=0;n<o.length;n++)r=o[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(a[r]=e[r])}return a}(t,["hide","refId","datasource","key","queryType","maxLines","metric","intervalMs","type"]);if(!(t.hasOwnProperty("metricQuery")||t.hasOwnProperty("sloQuery")||t.hasOwnProperty("timeSeriesQuery")||t.hasOwnProperty("timeSeriesList"))){let i=p.filters||[];return p.metricType&&(i=this.migrateMetricTypeFilter(p.metricType,i)),{datasource:a,key:o,refId:n,intervalMs:c,hide:r,queryType:"annotationQuery"===u?z.ANNOTATION:z.TIME_SERIES_LIST,timeSeriesList:Jr(Yr({},p),{projectName:(0,e.get)(t,"projectName")||this.getDefaultProject(),filters:i,view:p.view||"FULL"})}}var d;if((0,e.has)(t,"metricQuery")&&["metrics",z.ANNOTATION].includes(null!==(d=t.queryType)&&void 0!==d?d:"")){const r=(0,e.get)(t,"metricQuery");"mql"===r.editorMode?(t.timeSeriesQuery={projectName:r.projectName,query:r.query,graphPeriod:r.graphPeriod},t.queryType=z.TIME_SERIES_QUERY):(t.timeSeriesList={projectName:r.projectName||this.getDefaultProject(),crossSeriesReducer:r.crossSeriesReducer,alignmentPeriod:r.alignmentPeriod,perSeriesAligner:r.perSeriesAligner,groupBys:r.groupBys,filters:r.filters,view:r.view,preprocessor:r.preprocessor},t.queryType=z.TIME_SERIES_LIST,r.metricType&&(t.timeSeriesList.filters=this.migrateMetricTypeFilter(r.metricType,t.timeSeriesList.filters))),t.aliasBy=r.aliasBy,t=(0,e.omit)(t,"metricQuery")}if(t.queryType===z.SLO&&(0,e.has)(t,"sloQuery.aliasBy")){const r=(0,e.get)(t,"sloQuery.aliasBy");"string"==typeof r&&(t.aliasBy=r),t=(0,e.omit)(t,"sloQuery.aliasBy")}return t}interpolatePromQLQuery(t,r){return(0,e.isArray)(t)?t.join("|"):t}interpolateProps(t,r={},n){return Object.entries(t).reduce(((t,[a,o])=>{let i=o;return o&&(0,e.isString)(o)&&(i=this.templateSrv.replace(o,r,n&&n[a])),Jr(Yr({},t),{[a]:i})}),{})}filterQuery(e){if(e.hide)return!1;const t=this.migrateQuery(e);if(t.queryType===z.SLO){if(!t.sloQuery)return!1;const{selectorName:e,serviceId:r,sloId:n,projectName:a,lookbackPeriod:o}=t.sloQuery;return!(!e||!r||!n||!a||e===he&&!o)}return t.queryType===z.TIME_SERIES_QUERY?!!t.timeSeriesQuery&&!!t.timeSeriesQuery.projectName&&!!t.timeSeriesQuery.query:t.queryType&&[z.TIME_SERIES_LIST,z.ANNOTATION].includes(t.queryType)?!!t.timeSeriesList&&!!t.timeSeriesList.projectName&&!!Me(t.timeSeriesList):t.queryType===z.PROMQL&&!!(t.promQLQuery&&t.promQLQuery.projectName&&t.promQLQuery.expr&&t.promQLQuery.step)}interpolateVariablesInQueries(e,t){return e.map((e=>this.applyTemplateVariables(this.migrateQuery(e),t)))}interpolateFilters(t,r){const n=(0,e.chunk)(t,4).map((([e,t,r,n])=>Yr({key:e,operator:t,value:r},n&&{condition:n}))).filter((e=>e.value));return(0,e.flatten)(n.map((({key:t,operator:n,value:a,condition:o})=>[this.templateSrv.replace(t,r||{}),n,this.templateSrv.replace(a,r||{},(t=>(0,e.isArray)(t)&&t.length?`(${t.join("|")})`:t)),...o?[o]:[]])))||[]}interpolateGroupBys(e,t){let r=[];return(e||[]).forEach((e=>{const n=this.templateSrv.replace(e,t||{},"csv").split(",");Array.isArray(n)?r=r.concat(n):r.push(n)})),r}constructor(e,t=(0,r.getTemplateSrv)()){super(e),$r(this,"instanceSettings",void 0),$r(this,"templateSrv",void 0),$r(this,"authenticationType",void 0),$r(this,"intervalMs",void 0),$r(this,"backendSrv",void 0),this.instanceSettings=e,this.templateSrv=t,this.authenticationType=e.jsonData.authenticationType||"jwt",this.variables=new Fr(this),this.intervalMs=0,this.annotations=Ur(this),this.backendSrv=(0,r.getBackendSrv)()}}const zr=new t.DataSourcePlugin(Wr).setQueryEditorHelp(l).setQueryEditor((r=>{var a,i;const{datasource:l,query:c,onRunQuery:u,onChange:p,range:d}=r,[y,m]=(0,o.useState)(!1);(0,o.useEffect)((()=>{const e=l.migrateQuery(c);q()(e,c)||p(jr({},e))}),[c,l,p]);const[f,b]=(0,o.useState)(c),[v,g]=(0,o.useState)(!1),O=jr({},{projectName:l.getDefaultProject(),alignmentPeriod:"cloud-monitoring-auto",perSeriesAligner:ee.ALIGN_MEAN,aliasBy:"",selectorName:"select_slo_health",serviceId:"",serviceName:"",sloId:"",sloName:"",lookbackPeriod:""},c.sloQuery),h=jr({},{projectName:l.getDefaultProject(),expr:"",step:"10s"},c.promQLQuery),j=(null===(a=r.data)||void 0===a?void 0:a.series.length)?null===(i=r.data)||void 0===i?void 0:i.series[0].meta:{};var E;const S=null!==(E=null==j?void 0:j.custom)&&void 0!==E?E:{},T={label:"Template Variables",expanded:!1,options:l.getVariables().map(t.toOption)};(0,o.useEffect)((()=>{c.queryType&&Object.values(z).includes(c.queryType)||p(Er(jr({},c),{queryType:z.TIME_SERIES_LIST}))}));const P=c.queryType;return(0,n.jsx)("span",{"data-testid":W.container,children:(0,n.jsxs)(J,{children:[(0,n.jsx)(s.ConfirmModal,{"data-testid":"switch-query-type-modal",title:"Warning",body:"By switching your query type, your current query will be lost.",isOpen:y,onConfirm:()=>{m(!1),p(f),g(!1)},confirmText:"Confirm",onDismiss:()=>{m(!1),b(c)}}),(0,n.jsx)(Or,{query:c,onChange:e=>{!v||f.queryType!==z.TIME_SERIES_LIST&&f.queryType!==z.TIME_SERIES_QUERY?p(e):f.queryType!==e.queryType&&m(!0),b(e)},onRunQuery:u}),P===z.PROMQL&&(0,n.jsx)(tr,{refId:c.refId,variableOptionGroup:T,onChange:e=>{p(Er(jr({},c),{promQLQuery:e}))},onRunQuery:u,datasource:l,query:h}),P!==z.SLO&&(0,n.jsx)(Ht,{refId:c.refId,variableOptionGroup:T,customMetaData:S,onChange:t=>{(t.queryType===z.TIME_SERIES_LIST&&!(0,e.isEqual)(t.timeSeriesList,Jt(l))||t.queryType===z.TIME_SERIES_QUERY&&!(0,e.isEqual)(t.timeSeriesQuery,Wt(l)))&&g(!0),p(t)},onRunQuery:u,datasource:l,query:c,range:d||(0,t.getDefaultTimeRange)()}),P===z.SLO&&(0,n.jsx)(xt,{refId:c.refId,variableOptionGroup:T,customMetaData:S,onChange:e=>{p(Er(jr({},c),{sloQuery:e})),u()},onRunQuery:u,datasource:l,query:O,aliasBy:c.aliasBy,onChangeAliasBy:e=>p(Er(jr({},c),{aliasBy:e}))})]})})})).setConfigEditor(Q).setVariableQueryEditor(Nr);(0,r.getAppEvents)().subscribe(t.DashboardLoadedEvent,(({payload:{dashboardId:t,orgId:n,grafanaVersion:a,queries:o}})=>{const i=o.stackdriver;let l={[z.TIME_SERIES_QUERY]:0,[z.TIME_SERIES_LIST]:0,[z.SLO]:0,[z.ANNOTATION]:0,[z.PROMQL]:0};var s;i.forEach((t=>{t.queryType===z.TIME_SERIES_QUERY||t.queryType===z.TIME_SERIES_LIST||t.queryType===z.SLO||t.queryType===z.ANNOTATION||t.queryType===z.PROMQL?l[t.queryType]++:"metrics"===t.queryType&&(t.hasOwnProperty("type")&&"annotationQuery"===(0,e.get)(t,"type")&&l.annotation++,"mql"===(0,e.get)(t,"metricQuery.editorMode")?l.timeSeriesQuery++:l.timeSeriesList++)})),i&&i.length>0&&(s={grafana_version:a,dashboard_id:t,org_id:n,mql_queries:l[z.TIME_SERIES_QUERY],time_series_filter_queries:l[z.TIME_SERIES_LIST],slo_queries:l[z.SLO],annotation_queries:l[z.ANNOTATION],promQL_queries:l[z.PROMQL]},(0,r.reportInteraction)("grafana_ds_cloudmonitoring_dashboard_loaded",s))}))})(),p})()));
//# sourceMappingURL=module.js.map