/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","rxjs","rxjs/operators","@grafana/runtime","lodash","react","@emotion/css","@grafana/ui","@emotion/react","react-dom","redux","react-redux","moment"],((e,t,n,r,o,i,a,s,l,c,u,d,p)=>(()=>{var f,h,g,m,b={9571:(e,t,n)=>{"use strict";n.d(t,{B:()=>u});var r=n(6089),o=n(5959),i=n.n(o),a=n(2007),s=Object.getOwnPropertySymbols,l=Object.prototype.hasOwnProperty,c=Object.prototype.propertyIsEnumerable;const u=e=>{var t=e,{children:n}=t,r=((e,t)=>{var n={};for(var r in e)l.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(null!=e&&s)for(var r of s(e))t.indexOf(r)<0&&c.call(e,r)&&(n[r]=e[r]);return n})(t,["children"]);const u=(0,a.useStyles2)((0,o.useCallback)((e=>d(e,r)),[r]));return i().createElement("div",{className:u.root},n)},d=(e,t)=>{var n,o,i;return{root:(0,r.css)({display:"flex",flexDirection:null!=(n=t.direction)?n:"row",flexWrap:null==(o=t.wrap)||o?"wrap":void 0,alignItems:t.alignItems,gap:e.spacing(null!=(i=t.gap)?i:2),flexGrow:t.flexGrow})}}},7317:(e,t,n)=>{"use strict";n.d(t,{N:()=>a});var r=n(6013);const o="column",i=[{id:"$__timeFilter(dateColumn)",name:"$__timeFilter(dateColumn)",text:"$__timeFilter",args:[o],type:r.hh.Filter,description:"Will be replaced by a time range filter using the specified column name. For example, dateColumn BETWEEN FROM_UNIXTIME(1494410783) AND FROM_UNIXTIME(1494410983)"},{id:"$__timeFrom()",name:"$__timeFrom()",text:"$__timeFrom",args:[],type:r.hh.Filter,description:"Will be replaced by the start of the currently active time selection. For example, FROM_UNIXTIME(1494410783)"},{id:"$__timeTo()",name:"$__timeTo()",text:"$__timeTo",args:[],type:r.hh.Filter,description:"Will be replaced by the end of the currently active time selection. For example, FROM_UNIXTIME(1494410983)"},{id:"$__timeGroup(dateColumn, '5m')",name:"$__timeGroup(dateColumn, '5m')",text:"$__timeGroup",args:[o,"'5m'"],type:r.hh.Value,description:"Will be replaced by an expression usable in GROUP BY clause. For example, *cast(cast(UNIX_TIMESTAMP(dateColumn)/(300) as signed)*300 as signed),*"},{id:"$__table",name:"$__table",text:"$__table",args:[],type:r.hh.Table,description:"Will be replaced by the query table."},{id:"$__column",name:"$__column",text:"$__column",args:[],type:r.hh.Column,description:"Will be replaced by the query column."}];function a(e,t){var n,o,a;const s={triggerCharacters:["."," ","$",",","(","'"]};t&&Array.isArray(t.builtinFunctions)&&(s.supportedFunctions=()=>t.builtinFunctions.map((e=>({id:e,name:e}))));const l=[];return(null==(n=null==t?void 0:t.comparisonOperators)?void 0:n.length)&&l.push(...t.comparisonOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:r.hu.Comparison})))),t.logicalOperators=null!=(o=t.logicalOperators)?o:t.operators,(null==(a=null==t?void 0:t.logicalOperators)?void 0:a.length)&&l.push(...t.logicalOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:r.hu.Logical})))),s.supportedOperators=()=>l,s.supportedMacros=()=>i,s}},6013:(e,t,n)=>{"use strict";n.d(t,{Io:()=>c,X7:()=>a,_E:()=>u,hh:()=>o,hu:()=>r,ks:()=>i,lX:()=>d,mY:()=>l,ng:()=>s});var r=(e=>(e[e.Comparison=0]="Comparison",e[e.Logical=1]="Logical",e))(r||{}),o=(e=>(e[e.Value=0]="Value",e[e.Filter=1]="Filter",e[e.Group=2]="Group",e[e.Column=3]="Column",e[e.Table=4]="Table",e))(o||{}),i=(e=>(e.Parenthesis="delimiter.parenthesis.sql",e.Whitespace="white.sql",e.Keyword="keyword.sql",e.Delimiter="delimiter.sql",e.Operator="operator.sql",e.Identifier="identifier.sql",e.IdentifierQuote="identifier.quote.sql",e.Type="type.sql",e.Function="predefined.sql",e.Number="number.sql",e.String="string.sql",e.Variable="variable.sql",e))(i||{}),a=(e=>(e.Unknown="unknown",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.AfterSelectKeyword="afterSelectKeyword",e.AfterSelectArguments="afterSelectArguments",e.AfterSelectFuncFirstArgument="afterSelectFuncFirstArgument",e.SelectAlias="selectAlias",e.AfterFromKeyword="afterFromKeyword",e.AfterTable="afterTable",e.SchemaFuncFirstArgument="schemaFuncFirstArgument",e.SchemaFuncExtraArgument="schemaFuncExtraArgument",e.FromKeyword="fromKeyword",e.AfterFrom="afterFrom",e.WhereKeyword="whereKeyword",e.WhereComparisonOperator="whereComparisonOperator",e.WhereValue="whereValue",e.AfterWhereFunctionArgument="afterWhereFunctionArgument",e.AfterGroupByFunctionArgument="afterGroupByFunctionArgument",e.AfterWhereValue="afterWhereValue",e.AfterGroupByKeywords="afterGroupByKeywords",e.AfterGroupBy="afterGroupBy",e.AfterOrderByKeywords="afterOrderByKeywords",e.AfterOrderByFunction="afterOrderByFunction",e.AfterOrderByDirection="afterOrderByDirection",e.AfterIsOperator="afterIsOperator",e.AfterIsNotOperator="afterIsNotOperator",e.AfterSchema="afterSchema",e))(a||{}),s=(e=>(e.Schemas="schemas",e.Tables="tables",e.Columns="columns",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.FunctionsWithArguments="functionsWithArguments",e.FromKeyword="fromKeyword",e.WhereKeyword="whereKeyword",e.GroupByKeywords="groupByKeywords",e.OrderByKeywords="orderByKeywords",e.FunctionsWithoutArguments="functionsWithoutArguments",e.LimitKeyword="limitKeyword",e.SortOrderDirectionKeyword="sortOrderDirectionKeyword",e.ComparisonOperators="comparisonOperators",e.LogicalOperators="logicalOperators",e.SelectMacro="selectMacro",e.TableMacro="tableMacro",e.FilterMacro="filterMacro",e.GroupMacro="groupMacro",e.BoolValues="boolValues",e.NullValue="nullValue",e.NotKeyword="notKeyword",e.TemplateVariables="templateVariables",e.StarWildCard="starWildCard",e))(s||{}),l=(e=>(e.High="a",e.MediumHigh="d",e.Medium="g",e.MediumLow="k",e.Low="q",e))(l||{}),c=(e=>(e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet",e))(c||{}),u=(e=>(e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet",e))(u||{}),d=(e=>(e.Builder="builder",e.Code="code",e))(d||{})},9874:(e,t,n)=>{"use strict";var r=n(300),o={childContextTypes:!0,contextType:!0,contextTypes:!0,defaultProps:!0,displayName:!0,getDefaultProps:!0,getDerivedStateFromError:!0,getDerivedStateFromProps:!0,mixins:!0,propTypes:!0,type:!0},i={name:!0,length:!0,prototype:!0,caller:!0,callee:!0,arguments:!0,arity:!0},a={$$typeof:!0,compare:!0,defaultProps:!0,displayName:!0,propTypes:!0,type:!0},s={};function l(e){return r.isMemo(e)?a:s[e.$$typeof]||o}s[r.ForwardRef]={$$typeof:!0,render:!0,defaultProps:!0,displayName:!0,propTypes:!0},s[r.Memo]=a;var c=Object.defineProperty,u=Object.getOwnPropertyNames,d=Object.getOwnPropertySymbols,p=Object.getOwnPropertyDescriptor,f=Object.getPrototypeOf,h=Object.prototype;e.exports=function e(t,n,r){if("string"!=typeof n){if(h){var o=f(n);o&&o!==h&&e(t,o,r)}var a=u(n);d&&(a=a.concat(d(n)));for(var s=l(t),g=l(n),m=0;m<a.length;++m){var b=a[m];if(!(i[b]||r&&r[b]||g&&g[b]||s&&s[b])){var v=p(n,b);try{c(t,b,v)}catch(e){}}}}return t}},3520:(e,t)=>{"use strict";var n="function"==typeof Symbol&&Symbol.for,r=n?Symbol.for("react.element"):60103,o=n?Symbol.for("react.portal"):60106,i=n?Symbol.for("react.fragment"):60107,a=n?Symbol.for("react.strict_mode"):60108,s=n?Symbol.for("react.profiler"):60114,l=n?Symbol.for("react.provider"):60109,c=n?Symbol.for("react.context"):60110,u=n?Symbol.for("react.async_mode"):60111,d=n?Symbol.for("react.concurrent_mode"):60111,p=n?Symbol.for("react.forward_ref"):60112,f=n?Symbol.for("react.suspense"):60113,h=n?Symbol.for("react.suspense_list"):60120,g=n?Symbol.for("react.memo"):60115,m=n?Symbol.for("react.lazy"):60116,b=n?Symbol.for("react.block"):60121,v=n?Symbol.for("react.fundamental"):60117,y=n?Symbol.for("react.responder"):60118,E=n?Symbol.for("react.scope"):60119;function O(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case r:switch(e=e.type){case u:case d:case i:case s:case a:case f:return e;default:switch(e=e&&e.$$typeof){case c:case p:case m:case g:case l:return e;default:return t}}case o:return t}}}function x(e){return O(e)===d}t.AsyncMode=u,t.ConcurrentMode=d,t.ContextConsumer=c,t.ContextProvider=l,t.Element=r,t.ForwardRef=p,t.Fragment=i,t.Lazy=m,t.Memo=g,t.Portal=o,t.Profiler=s,t.StrictMode=a,t.Suspense=f,t.isAsyncMode=function(e){return x(e)||O(e)===u},t.isConcurrentMode=x,t.isContextConsumer=function(e){return O(e)===c},t.isContextProvider=function(e){return O(e)===l},t.isElement=function(e){return"object"==typeof e&&null!==e&&e.$$typeof===r},t.isForwardRef=function(e){return O(e)===p},t.isFragment=function(e){return O(e)===i},t.isLazy=function(e){return O(e)===m},t.isMemo=function(e){return O(e)===g},t.isPortal=function(e){return O(e)===o},t.isProfiler=function(e){return O(e)===s},t.isStrictMode=function(e){return O(e)===a},t.isSuspense=function(e){return O(e)===f},t.isValidElementType=function(e){return"string"==typeof e||"function"==typeof e||e===i||e===d||e===s||e===a||e===f||e===h||"object"==typeof e&&null!==e&&(e.$$typeof===m||e.$$typeof===g||e.$$typeof===l||e.$$typeof===c||e.$$typeof===p||e.$$typeof===v||e.$$typeof===y||e.$$typeof===E||e.$$typeof===b)},t.typeOf=O},300:(e,t,n)=>{"use strict";e.exports=n(3520)},5948:(e,t,n)=>{var r=n(2062)(n(9965),"DataView");e.exports=r},5455:(e,t,n)=>{var r=n(2062)(n(9965),"Map");e.exports=r},6420:(e,t,n)=>{var r=n(2062)(n(9965),"Promise");e.exports=r},2833:(e,t,n)=>{var r=n(2062)(n(9965),"Set");e.exports=r},2609:(e,t,n)=>{var r=n(9965).Symbol;e.exports=r},8143:(e,t,n)=>{var r=n(2062)(n(9965),"WeakMap");e.exports=r},6791:(e,t,n)=>{var r=n(2784),o=n(5196),i=n(4913),a=n(4264),s=n(6665),l=n(5087),c=Object.prototype.hasOwnProperty;e.exports=function(e,t){var n=i(e),u=!n&&o(e),d=!n&&!u&&a(e),p=!n&&!u&&!d&&l(e),f=n||u||d||p,h=f?r(e.length,String):[],g=h.length;for(var m in e)!t&&!c.call(e,m)||f&&("length"==m||d&&("offset"==m||"parent"==m)||p&&("buffer"==m||"byteLength"==m||"byteOffset"==m)||s(m,g))||h.push(m);return h}},1428:e=>{e.exports=function(e,t){for(var n=-1,r=null==e?0:e.length,o=Array(r);++n<r;)o[n]=t(e[n],n,e);return o}},3323:e=>{e.exports=function(e,t,n,r){for(var o=e.length,i=n+(r?1:-1);r?i--:++i<o;)if(t(e[i],i,e))return i;return-1}},9048:(e,t,n)=>{var r=n(2609),o=n(2899),i=n(7222),a=r?r.toStringTag:void 0;e.exports=function(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":a&&a in Object(e)?o(e):i(e)}},9555:(e,t,n)=>{var r=n(3323),o=n(8967),i=n(5951);e.exports=function(e,t,n){return t==t?i(e,t,n):r(e,o,n)}},3070:(e,t,n)=>{var r=n(9048),o=n(9466);e.exports=function(e){return o(e)&&"[object Arguments]"==r(e)}},8967:e=>{e.exports=function(e){return e!=e}},4363:(e,t,n)=>{var r=n(1866),o=n(3248),i=n(7453),a=n(3761),s=/^\[object .+?Constructor\]$/,l=Function.prototype,c=Object.prototype,u=l.toString,d=c.hasOwnProperty,p=RegExp("^"+u.call(d).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");e.exports=function(e){return!(!i(e)||o(e))&&(r(e)?p:s).test(a(e))}},9653:(e,t,n)=>{var r=n(9048),o=n(582),i=n(9466),a={};a["[object Float32Array]"]=a["[object Float64Array]"]=a["[object Int8Array]"]=a["[object Int16Array]"]=a["[object Int32Array]"]=a["[object Uint8Array]"]=a["[object Uint8ClampedArray]"]=a["[object Uint16Array]"]=a["[object Uint32Array]"]=!0,a["[object Arguments]"]=a["[object Array]"]=a["[object ArrayBuffer]"]=a["[object Boolean]"]=a["[object DataView]"]=a["[object Date]"]=a["[object Error]"]=a["[object Function]"]=a["[object Map]"]=a["[object Number]"]=a["[object Object]"]=a["[object RegExp]"]=a["[object Set]"]=a["[object String]"]=a["[object WeakMap]"]=!1,e.exports=function(e){return i(e)&&o(e.length)&&!!a[r(e)]}},6504:(e,t,n)=>{var r=n(5735),o=n(9458),i=Object.prototype.hasOwnProperty;e.exports=function(e){if(!r(e))return o(e);var t=[];for(var n in Object(e))i.call(e,n)&&"constructor"!=n&&t.push(n);return t}},1459:e=>{var t=Math.floor;e.exports=function(e,n){var r="";if(!e||n<1||n>9007199254740991)return r;do{n%2&&(r+=e),(n=t(n/2))&&(e+=e)}while(n);return r}},2784:e=>{e.exports=function(e,t){for(var n=-1,r=Array(e);++n<e;)r[n]=t(n);return r}},9764:(e,t,n)=>{var r=n(2609),o=n(1428),i=n(4913),a=n(7386),s=r?r.prototype:void 0,l=s?s.toString:void 0;e.exports=function e(t){if("string"==typeof t)return t;if(i(t))return o(t,e)+"";if(a(t))return l?l.call(t):"";var n=t+"";return"0"==n&&1/t==-1/0?"-0":n}},7248:(e,t,n)=>{var r=n(1272),o=/^\s+/;e.exports=function(e){return e?e.slice(0,r(e)+1).replace(o,""):e}},277:e=>{e.exports=function(e){return function(t){return e(t)}}},1282:(e,t,n)=>{var r=n(1428);e.exports=function(e,t){return r(t,(function(t){return e[t]}))}},2489:(e,t,n)=>{var r=n(9965)["__core-js_shared__"];e.exports=r},6392:(e,t,n)=>{var r="object"==typeof n.g&&n.g&&n.g.Object===Object&&n.g;e.exports=r},2062:(e,t,n)=>{var r=n(4363),o=n(5240);e.exports=function(e,t){var n=o(e,t);return r(n)?n:void 0}},2899:(e,t,n)=>{var r=n(2609),o=Object.prototype,i=o.hasOwnProperty,a=o.toString,s=r?r.toStringTag:void 0;e.exports=function(e){var t=i.call(e,s),n=e[s];try{e[s]=void 0;var r=!0}catch(e){}var o=a.call(e);return r&&(t?e[s]=n:delete e[s]),o}},6053:(e,t,n)=>{var r=n(5948),o=n(5455),i=n(6420),a=n(2833),s=n(8143),l=n(9048),c=n(3761),u="[object Map]",d="[object Promise]",p="[object Set]",f="[object WeakMap]",h="[object DataView]",g=c(r),m=c(o),b=c(i),v=c(a),y=c(s),E=l;(r&&E(new r(new ArrayBuffer(1)))!=h||o&&E(new o)!=u||i&&E(i.resolve())!=d||a&&E(new a)!=p||s&&E(new s)!=f)&&(E=function(e){var t=l(e),n="[object Object]"==t?e.constructor:void 0,r=n?c(n):"";if(r)switch(r){case g:return h;case m:return u;case b:return d;case v:return p;case y:return f}return t}),e.exports=E},5240:e=>{e.exports=function(e,t){return null==e?void 0:e[t]}},6665:e=>{var t=/^(?:0|[1-9]\d*)$/;e.exports=function(e,n){var r=typeof e;return!!(n=null==n?9007199254740991:n)&&("number"==r||"symbol"!=r&&t.test(e))&&e>-1&&e%1==0&&e<n}},3632:(e,t,n)=>{var r=n(6424),o=n(7134),i=n(6665),a=n(7453);e.exports=function(e,t,n){if(!a(n))return!1;var s=typeof t;return!!("number"==s?o(n)&&i(t,n.length):"string"==s&&t in n)&&r(n[t],e)}},3248:(e,t,n)=>{var r,o=n(2489),i=(r=/[^.]+$/.exec(o&&o.keys&&o.keys.IE_PROTO||""))?"Symbol(src)_1."+r:"";e.exports=function(e){return!!i&&i in e}},5735:e=>{var t=Object.prototype;e.exports=function(e){var n=e&&e.constructor;return e===("function"==typeof n&&n.prototype||t)}},9458:(e,t,n)=>{var r=n(8303)(Object.keys,Object);e.exports=r},1977:(e,t,n)=>{e=n.nmd(e);var r=n(6392),o=t&&!t.nodeType&&t,i=o&&e&&!e.nodeType&&e,a=i&&i.exports===o&&r.process,s=function(){try{return i&&i.require&&i.require("util").types||a&&a.binding&&a.binding("util")}catch(e){}}();e.exports=s},7222:e=>{var t=Object.prototype.toString;e.exports=function(e){return t.call(e)}},8303:e=>{e.exports=function(e,t){return function(n){return e(t(n))}}},9965:(e,t,n)=>{var r=n(6392),o="object"==typeof self&&self&&self.Object===Object&&self,i=r||o||Function("return this")();e.exports=i},5951:e=>{e.exports=function(e,t,n){for(var r=n-1,o=e.length;++r<o;)if(e[r]===t)return r;return-1}},3761:e=>{var t=Function.prototype.toString;e.exports=function(e){if(null!=e){try{return t.call(e)}catch(e){}try{return e+""}catch(e){}}return""}},1272:e=>{var t=/\s/;e.exports=function(e){for(var n=e.length;n--&&t.test(e.charAt(n)););return n}},6424:e=>{e.exports=function(e,t){return e===t||e!=e&&t!=t}},8472:(e,t,n)=>{var r=n(3158),o=/[\\^$.*+?()[\]{}|]/g,i=RegExp(o.source);e.exports=function(e){return(e=r(e))&&i.test(e)?e.replace(o,"\\$&"):e}},1283:(e,t,n)=>{var r=n(9555),o=n(7134),i=n(8951),a=n(5729),s=n(1624),l=Math.max;e.exports=function(e,t,n,c){e=o(e)?e:s(e),n=n&&!c?a(n):0;var u=e.length;return n<0&&(n=l(u+n,0)),i(e)?n<=u&&e.indexOf(t,n)>-1:!!u&&r(e,t,n)>-1}},5196:(e,t,n)=>{var r=n(3070),o=n(9466),i=Object.prototype,a=i.hasOwnProperty,s=i.propertyIsEnumerable,l=r(function(){return arguments}())?r:function(e){return o(e)&&a.call(e,"callee")&&!s.call(e,"callee")};e.exports=l},4913:e=>{var t=Array.isArray;e.exports=t},7134:(e,t,n)=>{var r=n(1866),o=n(582);e.exports=function(e){return null!=e&&o(e.length)&&!r(e)}},4264:(e,t,n)=>{e=n.nmd(e);var r=n(9965),o=n(9375),i=t&&!t.nodeType&&t,a=i&&e&&!e.nodeType&&e,s=a&&a.exports===i?r.Buffer:void 0,l=(s?s.isBuffer:void 0)||o;e.exports=l},7969:(e,t,n)=>{var r=n(6504),o=n(6053),i=n(5196),a=n(4913),s=n(7134),l=n(4264),c=n(5735),u=n(5087),d=Object.prototype.hasOwnProperty;e.exports=function(e){if(null==e)return!0;if(s(e)&&(a(e)||"string"==typeof e||"function"==typeof e.splice||l(e)||u(e)||i(e)))return!e.length;var t=o(e);if("[object Map]"==t||"[object Set]"==t)return!e.size;if(c(e))return!r(e).length;for(var n in e)if(d.call(e,n))return!1;return!0}},1866:(e,t,n)=>{var r=n(9048),o=n(7453);e.exports=function(e){if(!o(e))return!1;var t=r(e);return"[object Function]"==t||"[object GeneratorFunction]"==t||"[object AsyncFunction]"==t||"[object Proxy]"==t}},582:e=>{e.exports=function(e){return"number"==typeof e&&e>-1&&e%1==0&&e<=9007199254740991}},7453:e=>{e.exports=function(e){var t=typeof e;return null!=e&&("object"==t||"function"==t)}},9466:e=>{e.exports=function(e){return null!=e&&"object"==typeof e}},8951:(e,t,n)=>{var r=n(9048),o=n(4913),i=n(9466);e.exports=function(e){return"string"==typeof e||!o(e)&&i(e)&&"[object String]"==r(e)}},7386:(e,t,n)=>{var r=n(9048),o=n(9466);e.exports=function(e){return"symbol"==typeof e||o(e)&&"[object Symbol]"==r(e)}},5087:(e,t,n)=>{var r=n(9653),o=n(277),i=n(1977),a=i&&i.isTypedArray,s=a?o(a):r;e.exports=s},3790:(e,t,n)=>{var r=n(6791),o=n(6504),i=n(7134);e.exports=function(e){return i(e)?r(e):o(e)}},8906:e=>{e.exports=function(e){var t=null==e?0:e.length;return t?e[t-1]:void 0}},9901:(e,t,n)=>{var r=n(1459),o=n(3632),i=n(5729),a=n(3158);e.exports=function(e,t,n){return t=(n?o(e,t,n):void 0===t)?1:i(t),r(a(e),t)}},9375:e=>{e.exports=function(){return!1}},1144:(e,t,n)=>{var r=n(3662),o=1/0;e.exports=function(e){return e?(e=r(e))===o||e===-1/0?17976931348623157e292*(e<0?-1:1):e==e?e:0:0===e?e:0}},5729:(e,t,n)=>{var r=n(1144);e.exports=function(e){var t=r(e),n=t%1;return t==t?n?t-n:t:0}},3662:(e,t,n)=>{var r=n(7248),o=n(7453),i=n(7386),a=/^[-+]0x[0-9a-f]+$/i,s=/^0b[01]+$/i,l=/^0o[0-7]+$/i,c=parseInt;e.exports=function(e){if("number"==typeof e)return e;if(i(e))return NaN;if(o(e)){var t="function"==typeof e.valueOf?e.valueOf():e;e=o(t)?t+"":t}if("string"!=typeof e)return 0===e?e:+e;e=r(e);var n=s.test(e);return n||l.test(e)?c(e.slice(2),n?2:8):a.test(e)?NaN:+e}},3158:(e,t,n)=>{var r=n(9764);e.exports=function(e){return null==e?"":r(e)}},1624:(e,t,n)=>{var r=n(1282),o=n(3790);e.exports=function(e){return null==e?[]:r(e,o(e))}},3238:function(e){e.exports=function(){"use strict";var e={isEqual:!0,isMatchingKey:!0,isPromise:!0,maxSize:!0,onCacheAdd:!0,onCacheChange:!0,onCacheHit:!0,transformKey:!0},t=Array.prototype.slice;function n(e){var n=e.length;return n?1===n?[e[0]]:2===n?[e[0],e[1]]:3===n?[e[0],e[1],e[2]]:t.call(e,0):[]}function r(e,t){return e===t||e!=e&&t!=t}function o(e,t){var n={};for(var r in e)n[r]=e[r];for(var r in t)n[r]=t[r];return n}var i=function(){function e(e){this.keys=[],this.values=[],this.options=e;var t="function"==typeof e.isMatchingKey;t?this.getKeyIndex=this._getKeyIndexFromMatchingKey:e.maxSize>1?this.getKeyIndex=this._getKeyIndexForMany:this.getKeyIndex=this._getKeyIndexForSingle,this.canTransformKey="function"==typeof e.transformKey,this.shouldCloneArguments=this.canTransformKey||t,this.shouldUpdateOnAdd="function"==typeof e.onCacheAdd,this.shouldUpdateOnChange="function"==typeof e.onCacheChange,this.shouldUpdateOnHit="function"==typeof e.onCacheHit}return Object.defineProperty(e.prototype,"size",{get:function(){return this.keys.length},enumerable:!1,configurable:!0}),Object.defineProperty(e.prototype,"snapshot",{get:function(){return{keys:n(this.keys),size:this.size,values:n(this.values)}},enumerable:!1,configurable:!0}),e.prototype._getKeyIndexFromMatchingKey=function(e){var t=this.options,n=t.isMatchingKey,r=t.maxSize,o=this.keys,i=o.length;if(!i)return-1;if(n(o[0],e))return 0;if(r>1)for(var a=1;a<i;a++)if(n(o[a],e))return a;return-1},e.prototype._getKeyIndexForMany=function(e){var t=this.options.isEqual,n=this.keys,r=n.length;if(!r)return-1;if(1===r)return this._getKeyIndexForSingle(e);var o,i,a=e.length;if(a>1){for(var s=0;s<r;s++)if((o=n[s]).length===a){for(i=0;i<a&&t(o[i],e[i]);i++);if(i===a)return s}}else for(s=0;s<r;s++)if((o=n[s]).length===a&&t(o[0],e[0]))return s;return-1},e.prototype._getKeyIndexForSingle=function(e){var t=this.keys;if(!t.length)return-1;var n=t[0],r=n.length;if(e.length!==r)return-1;var o=this.options.isEqual;if(r>1){for(var i=0;i<r;i++)if(!o(n[i],e[i]))return-1;return 0}return o(n[0],e[0])?0:-1},e.prototype.orderByLru=function(e,t,n){for(var r=this.keys,o=this.values,i=r.length,a=n;a--;)r[a+1]=r[a],o[a+1]=o[a];r[0]=e,o[0]=t;var s=this.options.maxSize;i===s&&n===i?(r.pop(),o.pop()):n>=s&&(r.length=o.length=s)},e.prototype.updateAsyncCache=function(e){var t=this,n=this.options,r=n.onCacheChange,o=n.onCacheHit,i=this.keys[0],a=this.values[0];this.values[0]=a.then((function(n){return t.shouldUpdateOnHit&&o(t,t.options,e),t.shouldUpdateOnChange&&r(t,t.options,e),n}),(function(e){var n=t.getKeyIndex(i);throw-1!==n&&(t.keys.splice(n,1),t.values.splice(n,1)),e}))},e}();return function t(a,s){if(void 0===s&&(s={}),function(e){return"function"==typeof e&&e.isMemoized}(a))return t(a.fn,o(a.options,s));if("function"!=typeof a)throw new TypeError("You must pass a function to `memoize`.");var l=s.isEqual,c=void 0===l?r:l,u=s.isMatchingKey,d=s.isPromise,p=void 0!==d&&d,f=s.maxSize,h=void 0===f?1:f,g=s.onCacheAdd,m=s.onCacheChange,b=s.onCacheHit,v=s.transformKey,y=o({isEqual:c,isMatchingKey:u,isPromise:p,maxSize:h,onCacheAdd:g,onCacheChange:m,onCacheHit:b,transformKey:v},function(t){var n={};for(var r in t)e[r]||(n[r]=t[r]);return n}(s)),E=new i(y),O=E.keys,x=E.values,S=E.canTransformKey,w=E.shouldCloneArguments,R=E.shouldUpdateOnAdd,T=E.shouldUpdateOnChange,C=E.shouldUpdateOnHit,I=function(){var e=w?n(arguments):arguments;S&&(e=v(e));var t=O.length?E.getKeyIndex(e):-1;if(-1!==t)C&&b(E,y,I),t&&(E.orderByLru(O[t],x[t],t),T&&m(E,y,I));else{var r=a.apply(this,arguments),o=w?e:n(arguments);E.orderByLru(o,r,O.length),p&&E.updateAsyncCache(I),R&&g(E,y,I),T&&m(E,y,I)}return x[0]};return I.cache=E,I.fn=a,I.isMemoized=!0,I.options=y,I}}()},8641:(e,t,n)=>{"use strict";var r=n(5959);function o(e){for(var t="https://reactjs.org/docs/error-decoder.html?invariant="+e,n=1;n<arguments.length;n++)t+="&args[]="+encodeURIComponent(arguments[n]);return"Minified React error #"+e+"; visit "+t+" for the full message or use the non-minified dev environment for full errors and additional helpful warnings."}var i=Object.prototype.hasOwnProperty,a=/^[:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD][:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\-.0-9\u00B7\u0300-\u036F\u203F-\u2040]*$/,s={},l={};function c(e){return!!i.call(l,e)||!i.call(s,e)&&(a.test(e)?l[e]=!0:(s[e]=!0,!1))}function u(e,t,n,r,o,i,a){this.acceptsBooleans=2===t||3===t||4===t,this.attributeName=r,this.attributeNamespace=o,this.mustUseProperty=n,this.propertyName=e,this.type=t,this.sanitizeURL=i,this.removeEmptyString=a}var d={};"children dangerouslySetInnerHTML defaultValue defaultChecked innerHTML suppressContentEditableWarning suppressHydrationWarning style".split(" ").forEach((function(e){d[e]=new u(e,0,!1,e,null,!1,!1)})),[["acceptCharset","accept-charset"],["className","class"],["htmlFor","for"],["httpEquiv","http-equiv"]].forEach((function(e){var t=e[0];d[t]=new u(t,1,!1,e[1],null,!1,!1)})),["contentEditable","draggable","spellCheck","value"].forEach((function(e){d[e]=new u(e,2,!1,e.toLowerCase(),null,!1,!1)})),["autoReverse","externalResourcesRequired","focusable","preserveAlpha"].forEach((function(e){d[e]=new u(e,2,!1,e,null,!1,!1)})),"allowFullScreen async autoFocus autoPlay controls default defer disabled disablePictureInPicture disableRemotePlayback formNoValidate hidden loop noModule noValidate open playsInline readOnly required reversed scoped seamless itemScope".split(" ").forEach((function(e){d[e]=new u(e,3,!1,e.toLowerCase(),null,!1,!1)})),["checked","multiple","muted","selected"].forEach((function(e){d[e]=new u(e,3,!0,e,null,!1,!1)})),["capture","download"].forEach((function(e){d[e]=new u(e,4,!1,e,null,!1,!1)})),["cols","rows","size","span"].forEach((function(e){d[e]=new u(e,6,!1,e,null,!1,!1)})),["rowSpan","start"].forEach((function(e){d[e]=new u(e,5,!1,e.toLowerCase(),null,!1,!1)}));var p=/[\-:]([a-z])/g;function f(e){return e[1].toUpperCase()}"accent-height alignment-baseline arabic-form baseline-shift cap-height clip-path clip-rule color-interpolation color-interpolation-filters color-profile color-rendering dominant-baseline enable-background fill-opacity fill-rule flood-color flood-opacity font-family font-size font-size-adjust font-stretch font-style font-variant font-weight glyph-name glyph-orientation-horizontal glyph-orientation-vertical horiz-adv-x horiz-origin-x image-rendering letter-spacing lighting-color marker-end marker-mid marker-start overline-position overline-thickness paint-order panose-1 pointer-events rendering-intent shape-rendering stop-color stop-opacity strikethrough-position strikethrough-thickness stroke-dasharray stroke-dashoffset stroke-linecap stroke-linejoin stroke-miterlimit stroke-opacity stroke-width text-anchor text-decoration text-rendering underline-position underline-thickness unicode-bidi unicode-range units-per-em v-alphabetic v-hanging v-ideographic v-mathematical vector-effect vert-adv-y vert-origin-x vert-origin-y word-spacing writing-mode xmlns:xlink x-height".split(" ").forEach((function(e){var t=e.replace(p,f);d[t]=new u(t,1,!1,e,null,!1,!1)})),"xlink:actuate xlink:arcrole xlink:role xlink:show xlink:title xlink:type".split(" ").forEach((function(e){var t=e.replace(p,f);d[t]=new u(t,1,!1,e,"http://www.w3.org/1999/xlink",!1,!1)})),["xml:base","xml:lang","xml:space"].forEach((function(e){var t=e.replace(p,f);d[t]=new u(t,1,!1,e,"http://www.w3.org/XML/1998/namespace",!1,!1)})),["tabIndex","crossOrigin"].forEach((function(e){d[e]=new u(e,1,!1,e.toLowerCase(),null,!1,!1)})),d.xlinkHref=new u("xlinkHref",1,!1,"xlink:href","http://www.w3.org/1999/xlink",!0,!1),["src","href","action","formAction"].forEach((function(e){d[e]=new u(e,1,!1,e.toLowerCase(),null,!0,!0)}));var h={animationIterationCount:!0,aspectRatio:!0,borderImageOutset:!0,borderImageSlice:!0,borderImageWidth:!0,boxFlex:!0,boxFlexGroup:!0,boxOrdinalGroup:!0,columnCount:!0,columns:!0,flex:!0,flexGrow:!0,flexPositive:!0,flexShrink:!0,flexNegative:!0,flexOrder:!0,gridArea:!0,gridRow:!0,gridRowEnd:!0,gridRowSpan:!0,gridRowStart:!0,gridColumn:!0,gridColumnEnd:!0,gridColumnSpan:!0,gridColumnStart:!0,fontWeight:!0,lineClamp:!0,lineHeight:!0,opacity:!0,order:!0,orphans:!0,tabSize:!0,widows:!0,zIndex:!0,zoom:!0,fillOpacity:!0,floodOpacity:!0,stopOpacity:!0,strokeDasharray:!0,strokeDashoffset:!0,strokeMiterlimit:!0,strokeOpacity:!0,strokeWidth:!0},g=["Webkit","ms","Moz","O"];Object.keys(h).forEach((function(e){g.forEach((function(t){t=t+e.charAt(0).toUpperCase()+e.substring(1),h[t]=h[e]}))}));var m=/["'&<>]/;function b(e){if("boolean"==typeof e||"number"==typeof e)return""+e;e=""+e;var t=m.exec(e);if(t){var n,r="",o=0;for(n=t.index;n<e.length;n++){switch(e.charCodeAt(n)){case 34:t="&quot;";break;case 38:t="&amp;";break;case 39:t="&#x27;";break;case 60:t="&lt;";break;case 62:t="&gt;";break;default:continue}o!==n&&(r+=e.substring(o,n)),o=n+1,r+=t}e=o!==n?r+e.substring(o,n):r}return e}var v=/([A-Z])/g,y=/^ms-/,E=Array.isArray;function O(e,t){return{insertionMode:e,selectedValue:t}}var x=new Map;function S(e,t,n){if("object"!=typeof n)throw Error(o(62));for(var r in t=!0,n)if(i.call(n,r)){var a=n[r];if(null!=a&&"boolean"!=typeof a&&""!==a){if(0===r.indexOf("--")){var s=b(r);a=b((""+a).trim())}else{s=r;var l=x.get(s);void 0!==l||(l=b(s.replace(v,"-$1").toLowerCase().replace(y,"-ms-")),x.set(s,l)),s=l,a="number"==typeof a?0===a||i.call(h,r)?""+a:a+"px":b((""+a).trim())}t?(t=!1,e.push(' style="',s,":",a)):e.push(";",s,":",a)}}t||e.push('"')}function w(e,t,n,r){switch(n){case"style":return void S(e,t,r);case"defaultValue":case"defaultChecked":case"innerHTML":case"suppressContentEditableWarning":case"suppressHydrationWarning":return}if(!(2<n.length)||"o"!==n[0]&&"O"!==n[0]||"n"!==n[1]&&"N"!==n[1])if(null!==(t=d.hasOwnProperty(n)?d[n]:null)){switch(typeof r){case"function":case"symbol":return;case"boolean":if(!t.acceptsBooleans)return}switch(n=t.attributeName,t.type){case 3:r&&e.push(" ",n,'=""');break;case 4:!0===r?e.push(" ",n,'=""'):!1!==r&&e.push(" ",n,'="',b(r),'"');break;case 5:isNaN(r)||e.push(" ",n,'="',b(r),'"');break;case 6:!isNaN(r)&&1<=r&&e.push(" ",n,'="',b(r),'"');break;default:t.sanitizeURL&&(r=""+r),e.push(" ",n,'="',b(r),'"')}}else if(c(n)){switch(typeof r){case"function":case"symbol":return;case"boolean":if("data-"!==(t=n.toLowerCase().slice(0,5))&&"aria-"!==t)return}e.push(" ",n,'="',b(r),'"')}}function R(e,t,n){if(null!=t){if(null!=n)throw Error(o(60));if("object"!=typeof t||!("__html"in t))throw Error(o(61));null!=(t=t.__html)&&e.push(""+t)}}function T(e,t,n,r){e.push(A(n));var o,a=n=null;for(o in t)if(i.call(t,o)){var s=t[o];if(null!=s)switch(o){case"children":n=s;break;case"dangerouslySetInnerHTML":a=s;break;default:w(e,r,o,s)}}return e.push(">"),R(e,a,n),"string"==typeof n?(e.push(b(n)),null):n}var C=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,I=new Map;function A(e){var t=I.get(e);if(void 0===t){if(!C.test(e))throw Error(o(65,e));t="<"+e,I.set(e,t)}return t}function P(e,t,n){if(e.push('\x3c!--$?--\x3e<template id="'),null===n)throw Error(o(395));return e.push(n),e.push('"></template>')}var N=/[<\u2028\u2029]/g;function L(e){return JSON.stringify(e).replace(N,(function(e){switch(e){case"<":return"\\u003c";case"\u2028":return"\\u2028";case"\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React")}}))}function k(e,t,n,r){return n.generateStaticMarkup?(e.push(b(t)),!1):(""===t?e=r:(r&&e.push("\x3c!-- --\x3e"),e.push(b(t)),e=!0),e)}var j=Object.assign,D=Symbol.for("react.element"),M=Symbol.for("react.portal"),_=Symbol.for("react.fragment"),F=Symbol.for("react.strict_mode"),V=Symbol.for("react.profiler"),$=Symbol.for("react.provider"),U=Symbol.for("react.context"),B=Symbol.for("react.forward_ref"),H=Symbol.for("react.suspense"),W=Symbol.for("react.suspense_list"),z=Symbol.for("react.memo"),G=Symbol.for("react.lazy"),q=Symbol.for("react.scope"),X=Symbol.for("react.debug_trace_mode"),K=Symbol.for("react.legacy_hidden"),Y=Symbol.for("react.default_value"),Q=Symbol.iterator;function J(e){if(null==e)return null;if("function"==typeof e)return e.displayName||e.name||null;if("string"==typeof e)return e;switch(e){case _:return"Fragment";case M:return"Portal";case V:return"Profiler";case F:return"StrictMode";case H:return"Suspense";case W:return"SuspenseList"}if("object"==typeof e)switch(e.$$typeof){case U:return(e.displayName||"Context")+".Consumer";case $:return(e._context.displayName||"Context")+".Provider";case B:var t=e.render;return(e=e.displayName)||(e=""!==(e=t.displayName||t.name||"")?"ForwardRef("+e+")":"ForwardRef"),e;case z:return null!==(t=e.displayName||null)?t:J(e.type)||"Memo";case G:t=e._payload,e=e._init;try{return J(e(t))}catch(e){}}return null}var Z={};function ee(e,t){if(!(e=e.contextTypes))return Z;var n,r={};for(n in e)r[n]=t[n];return r}var te=null;function ne(e,t){if(e!==t){e.context._currentValue2=e.parentValue,e=e.parent;var n=t.parent;if(null===e){if(null!==n)throw Error(o(401))}else{if(null===n)throw Error(o(401));ne(e,n)}t.context._currentValue2=t.value}}function re(e){e.context._currentValue2=e.parentValue,null!==(e=e.parent)&&re(e)}function oe(e){var t=e.parent;null!==t&&oe(t),e.context._currentValue2=e.value}function ie(e,t){if(e.context._currentValue2=e.parentValue,null===(e=e.parent))throw Error(o(402));e.depth===t.depth?ne(e,t):ie(e,t)}function ae(e,t){var n=t.parent;if(null===n)throw Error(o(402));e.depth===n.depth?ne(e,n):ae(e,n),t.context._currentValue2=t.value}function se(e){var t=te;t!==e&&(null===t?oe(e):null===e?re(t):t.depth===e.depth?ne(t,e):t.depth>e.depth?ie(t,e):ae(t,e),te=e)}var le={isMounted:function(){return!1},enqueueSetState:function(e,t){null!==(e=e._reactInternals).queue&&e.queue.push(t)},enqueueReplaceState:function(e,t){(e=e._reactInternals).replace=!0,e.queue=[t]},enqueueForceUpdate:function(){}};function ce(e,t,n,r){var o=void 0!==e.state?e.state:null;e.updater=le,e.props=n,e.state=o;var i={queue:[],replace:!1};e._reactInternals=i;var a=t.contextType;if(e.context="object"==typeof a&&null!==a?a._currentValue2:r,"function"==typeof(a=t.getDerivedStateFromProps)&&(o=null==(a=a(n,o))?o:j({},o,a),e.state=o),"function"!=typeof t.getDerivedStateFromProps&&"function"!=typeof e.getSnapshotBeforeUpdate&&("function"==typeof e.UNSAFE_componentWillMount||"function"==typeof e.componentWillMount))if(t=e.state,"function"==typeof e.componentWillMount&&e.componentWillMount(),"function"==typeof e.UNSAFE_componentWillMount&&e.UNSAFE_componentWillMount(),t!==e.state&&le.enqueueReplaceState(e,e.state,null),null!==i.queue&&0<i.queue.length)if(t=i.queue,a=i.replace,i.queue=null,i.replace=!1,a&&1===t.length)e.state=t[0];else{for(i=a?t[0]:e.state,o=!0,a=a?1:0;a<t.length;a++){var s=t[a];null!=(s="function"==typeof s?s.call(e,i,n,r):s)&&(o?(o=!1,i=j({},i,s)):j(i,s))}e.state=i}else i.queue=null}var ue={id:1,overflow:""};function de(e,t,n){var r=e.id;e=e.overflow;var o=32-pe(r)-1;r&=~(1<<o),n+=1;var i=32-pe(t)+o;if(30<i){var a=o-o%5;return i=(r&(1<<a)-1).toString(32),r>>=a,o-=a,{id:1<<32-pe(t)+o|n<<o|r,overflow:i+e}}return{id:1<<i|n<<o|r,overflow:e}}var pe=Math.clz32?Math.clz32:function(e){return 0==(e>>>=0)?32:31-(fe(e)/he|0)|0},fe=Math.log,he=Math.LN2,ge="function"==typeof Object.is?Object.is:function(e,t){return e===t&&(0!==e||1/e==1/t)||e!=e&&t!=t},me=null,be=null,ve=null,ye=null,Ee=!1,Oe=!1,xe=0,Se=null,we=0;function Re(){if(null===me)throw Error(o(321));return me}function Te(){if(0<we)throw Error(o(312));return{memoizedState:null,queue:null,next:null}}function Ce(){return null===ye?null===ve?(Ee=!1,ve=ye=Te()):(Ee=!0,ye=ve):null===ye.next?(Ee=!1,ye=ye.next=Te()):(Ee=!0,ye=ye.next),ye}function Ie(){be=me=null,Oe=!1,ve=null,we=0,ye=Se=null}function Ae(e,t){return"function"==typeof t?t(e):t}function Pe(e,t,n){if(me=Re(),ye=Ce(),Ee){var r=ye.queue;if(t=r.dispatch,null!==Se&&void 0!==(n=Se.get(r))){Se.delete(r),r=ye.memoizedState;do{r=e(r,n.action),n=n.next}while(null!==n);return ye.memoizedState=r,[r,t]}return[ye.memoizedState,t]}return e=e===Ae?"function"==typeof t?t():t:void 0!==n?n(t):t,ye.memoizedState=e,e=(e=ye.queue={last:null,dispatch:null}).dispatch=Le.bind(null,me,e),[ye.memoizedState,e]}function Ne(e,t){if(me=Re(),t=void 0===t?null:t,null!==(ye=Ce())){var n=ye.memoizedState;if(null!==n&&null!==t){var r=n[1];e:if(null===r)r=!1;else{for(var o=0;o<r.length&&o<t.length;o++)if(!ge(t[o],r[o])){r=!1;break e}r=!0}if(r)return n[0]}}return e=e(),ye.memoizedState=[e,t],e}function Le(e,t,n){if(25<=we)throw Error(o(301));if(e===me)if(Oe=!0,e={action:n,next:null},null===Se&&(Se=new Map),void 0===(n=Se.get(t)))Se.set(t,e);else{for(t=n;null!==t.next;)t=t.next;t.next=e}}function ke(){throw Error(o(394))}function je(){}var De={readContext:function(e){return e._currentValue2},useContext:function(e){return Re(),e._currentValue2},useMemo:Ne,useReducer:Pe,useRef:function(e){me=Re();var t=(ye=Ce()).memoizedState;return null===t?(e={current:e},ye.memoizedState=e):t},useState:function(e){return Pe(Ae,e)},useInsertionEffect:je,useLayoutEffect:function(){},useCallback:function(e,t){return Ne((function(){return e}),t)},useImperativeHandle:je,useEffect:je,useDebugValue:je,useDeferredValue:function(e){return Re(),e},useTransition:function(){return Re(),[!1,ke]},useId:function(){var e=be.treeContext,t=e.overflow;e=((e=e.id)&~(1<<32-pe(e)-1)).toString(32)+t;var n=Me;if(null===n)throw Error(o(404));return t=xe++,e=":"+n.idPrefix+"R"+e,0<t&&(e+="H"+t.toString(32)),e+":"},useMutableSource:function(e,t){return Re(),t(e._source)},useSyncExternalStore:function(e,t,n){if(void 0===n)throw Error(o(407));return n()}},Me=null,_e=r.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentDispatcher;function Fe(e){return console.error(e),null}function Ve(){}function $e(e,t,n,r,o,i,a,s){e.allPendingTasks++,null===n?e.pendingRootTasks++:n.pendingTasks++;var l={node:t,ping:function(){var t=e.pingedTasks;t.push(l),1===t.length&&tt(e)},blockedBoundary:n,blockedSegment:r,abortSet:o,legacyContext:i,context:a,treeContext:s};return o.add(l),l}function Ue(e,t,n,r,o,i){return{status:0,id:-1,index:t,parentFlushed:!1,chunks:[],children:[],formatContext:r,boundary:n,lastPushedText:o,textEmbedded:i}}function Be(e,t){if(null!=(e=e.onError(t))&&"string"!=typeof e)throw Error('onError returned something with a type other than "string". onError should return a string and may return null or undefined but must not return anything else. It received something of type "'+typeof e+'" instead');return e}function He(e,t){var n=e.onShellError;n(t),(n=e.onFatalError)(t),null!==e.destination?(e.status=2,e.destination.destroy(t)):(e.status=1,e.fatalError=t)}function We(e,t,n,r,o){for(me={},be=t,xe=0,e=n(r,o);Oe;)Oe=!1,xe=0,we+=1,ye=null,e=n(r,o);return Ie(),e}function ze(e,t,n,r){var i=n.render(),a=r.childContextTypes;if(null!=a){var s=t.legacyContext;if("function"!=typeof n.getChildContext)r=s;else{for(var l in n=n.getChildContext())if(!(l in a))throw Error(o(108,J(r)||"Unknown",l));r=j({},s,n)}t.legacyContext=r,Xe(e,t,i),t.legacyContext=s}else Xe(e,t,i)}function Ge(e,t){if(e&&e.defaultProps){for(var n in t=j({},t),e=e.defaultProps)void 0===t[n]&&(t[n]=e[n]);return t}return t}function qe(e,t,n,a,s){if("function"==typeof n)if(n.prototype&&n.prototype.isReactComponent){s=ee(n,t.legacyContext);var l=n.contextType;ce(l=new n(a,"object"==typeof l&&null!==l?l._currentValue2:s),n,a,s),ze(e,t,l,n)}else{s=We(e,t,n,a,l=ee(n,t.legacyContext));var u=0!==xe;if("object"==typeof s&&null!==s&&"function"==typeof s.render&&void 0===s.$$typeof)ce(s,n,a,l),ze(e,t,s,n);else if(u){a=t.treeContext,t.treeContext=de(a,1,0);try{Xe(e,t,s)}finally{t.treeContext=a}}else Xe(e,t,s)}else{if("string"!=typeof n){switch(n){case K:case X:case F:case V:case _:case W:return void Xe(e,t,a.children);case q:throw Error(o(343));case H:e:{n=t.blockedBoundary,s=t.blockedSegment,l=a.fallback,a=a.children;var d={id:null,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,forceClientRender:!1,completedSegments:[],byteSize:0,fallbackAbortableTasks:u=new Set,errorDigest:null},p=Ue(0,s.chunks.length,d,s.formatContext,!1,!1);s.children.push(p),s.lastPushedText=!1;var f=Ue(0,0,null,s.formatContext,!1,!1);f.parentFlushed=!0,t.blockedBoundary=d,t.blockedSegment=f;try{if(Ye(e,t,a),e.responseState.generateStaticMarkup||f.lastPushedText&&f.textEmbedded&&f.chunks.push("\x3c!-- --\x3e"),f.status=1,Ze(d,f),0===d.pendingTasks)break e}catch(t){f.status=4,d.forceClientRender=!0,d.errorDigest=Be(e,t)}finally{t.blockedBoundary=n,t.blockedSegment=s}t=$e(e,l,n,p,u,t.legacyContext,t.context,t.treeContext),e.pingedTasks.push(t)}return}if("object"==typeof n&&null!==n)switch(n.$$typeof){case B:if(a=We(e,t,n.render,a,s),0!==xe){n=t.treeContext,t.treeContext=de(n,1,0);try{Xe(e,t,a)}finally{t.treeContext=n}}else Xe(e,t,a);return;case z:return void qe(e,t,n=n.type,a=Ge(n,a),s);case $:if(s=a.children,n=n._context,a=a.value,l=n._currentValue2,n._currentValue2=a,te=a={parent:u=te,depth:null===u?0:u.depth+1,context:n,parentValue:l,value:a},t.context=a,Xe(e,t,s),null===(e=te))throw Error(o(403));return a=e.parentValue,e.context._currentValue2=a===Y?e.context._defaultValue:a,e=te=e.parent,void(t.context=e);case U:return void Xe(e,t,a=(a=a.children)(n._currentValue2));case G:return void qe(e,t,n=(s=n._init)(n._payload),a=Ge(n,a),void 0)}throw Error(o(130,null==n?n:typeof n,""))}switch(l=function(e,t,n,a,s){switch(t){case"select":e.push(A("select"));var l=null,u=null;for(h in n)if(i.call(n,h)){var d=n[h];if(null!=d)switch(h){case"children":l=d;break;case"dangerouslySetInnerHTML":u=d;break;case"defaultValue":case"value":break;default:w(e,a,h,d)}}return e.push(">"),R(e,u,l),l;case"option":u=s.selectedValue,e.push(A("option"));var p=d=null,f=null,h=null;for(l in n)if(i.call(n,l)){var g=n[l];if(null!=g)switch(l){case"children":d=g;break;case"selected":f=g;break;case"dangerouslySetInnerHTML":h=g;break;case"value":p=g;default:w(e,a,l,g)}}if(null!=u)if(n=null!==p?""+p:function(e){var t="";return r.Children.forEach(e,(function(e){null!=e&&(t+=e)})),t}(d),E(u)){for(a=0;a<u.length;a++)if(""+u[a]===n){e.push(' selected=""');break}}else""+u===n&&e.push(' selected=""');else f&&e.push(' selected=""');return e.push(">"),R(e,h,d),d;case"textarea":for(d in e.push(A("textarea")),h=u=l=null,n)if(i.call(n,d)&&null!=(p=n[d]))switch(d){case"children":h=p;break;case"value":l=p;break;case"defaultValue":u=p;break;case"dangerouslySetInnerHTML":throw Error(o(91));default:w(e,a,d,p)}if(null===l&&null!==u&&(l=u),e.push(">"),null!=h){if(null!=l)throw Error(o(92));if(E(h)&&1<h.length)throw Error(o(93));l=""+h}return"string"==typeof l&&"\n"===l[0]&&e.push("\n"),null!==l&&e.push(b(""+l)),null;case"input":for(u in e.push(A("input")),p=h=d=l=null,n)if(i.call(n,u)&&null!=(f=n[u]))switch(u){case"children":case"dangerouslySetInnerHTML":throw Error(o(399,"input"));case"defaultChecked":p=f;break;case"defaultValue":d=f;break;case"checked":h=f;break;case"value":l=f;break;default:w(e,a,u,f)}return null!==h?w(e,a,"checked",h):null!==p&&w(e,a,"checked",p),null!==l?w(e,a,"value",l):null!==d&&w(e,a,"value",d),e.push("/>"),null;case"menuitem":for(var m in e.push(A("menuitem")),n)if(i.call(n,m)&&null!=(l=n[m]))switch(m){case"children":case"dangerouslySetInnerHTML":throw Error(o(400));default:w(e,a,m,l)}return e.push(">"),null;case"title":for(g in e.push(A("title")),l=null,n)if(i.call(n,g)&&null!=(u=n[g]))switch(g){case"children":l=u;break;case"dangerouslySetInnerHTML":throw Error(o(434));default:w(e,a,g,u)}return e.push(">"),l;case"listing":case"pre":for(p in e.push(A(t)),u=l=null,n)if(i.call(n,p)&&null!=(d=n[p]))switch(p){case"children":l=d;break;case"dangerouslySetInnerHTML":u=d;break;default:w(e,a,p,d)}if(e.push(">"),null!=u){if(null!=l)throw Error(o(60));if("object"!=typeof u||!("__html"in u))throw Error(o(61));null!=(n=u.__html)&&("string"==typeof n&&0<n.length&&"\n"===n[0]?e.push("\n",n):e.push(""+n))}return"string"==typeof l&&"\n"===l[0]&&e.push("\n"),l;case"area":case"base":case"br":case"col":case"embed":case"hr":case"img":case"keygen":case"link":case"meta":case"param":case"source":case"track":case"wbr":for(var v in e.push(A(t)),n)if(i.call(n,v)&&null!=(l=n[v]))switch(v){case"children":case"dangerouslySetInnerHTML":throw Error(o(399,t));default:w(e,a,v,l)}return e.push("/>"),null;case"annotation-xml":case"color-profile":case"font-face":case"font-face-src":case"font-face-uri":case"font-face-format":case"font-face-name":case"missing-glyph":return T(e,n,t,a);case"html":return 0===s.insertionMode&&e.push("<!DOCTYPE html>"),T(e,n,t,a);default:if(-1===t.indexOf("-")&&"string"!=typeof n.is)return T(e,n,t,a);for(f in e.push(A(t)),u=l=null,n)if(i.call(n,f)&&null!=(d=n[f]))switch(f){case"children":l=d;break;case"dangerouslySetInnerHTML":u=d;break;case"style":S(e,a,d);break;case"suppressContentEditableWarning":case"suppressHydrationWarning":break;default:c(f)&&"function"!=typeof d&&"symbol"!=typeof d&&e.push(" ",f,'="',b(d),'"')}return e.push(">"),R(e,u,l),l}}((s=t.blockedSegment).chunks,n,a,e.responseState,s.formatContext),s.lastPushedText=!1,u=s.formatContext,s.formatContext=function(e,t,n){switch(t){case"select":return O(1,null!=n.value?n.value:n.defaultValue);case"svg":return O(2,null);case"math":return O(3,null);case"foreignObject":return O(1,null);case"table":return O(4,null);case"thead":case"tbody":case"tfoot":return O(5,null);case"colgroup":return O(7,null);case"tr":return O(6,null)}return 4<=e.insertionMode||0===e.insertionMode?O(1,null):e}(u,n,a),Ye(e,t,l),s.formatContext=u,n){case"area":case"base":case"br":case"col":case"embed":case"hr":case"img":case"input":case"keygen":case"link":case"meta":case"param":case"source":case"track":case"wbr":break;default:s.chunks.push("</",n,">")}s.lastPushedText=!1}}function Xe(e,t,n){if(t.node=n,"object"==typeof n&&null!==n){switch(n.$$typeof){case D:return void qe(e,t,n.type,n.props,n.ref);case M:throw Error(o(257));case G:var r=n._init;return void Xe(e,t,n=r(n._payload))}if(E(n))return void Ke(e,t,n);if((r=null===n||"object"!=typeof n?null:"function"==typeof(r=Q&&n[Q]||n["@@iterator"])?r:null)&&(r=r.call(n))){if(!(n=r.next()).done){var i=[];do{i.push(n.value),n=r.next()}while(!n.done);Ke(e,t,i)}return}throw e=Object.prototype.toString.call(n),Error(o(31,"[object Object]"===e?"object with keys {"+Object.keys(n).join(", ")+"}":e))}"string"==typeof n?(r=t.blockedSegment).lastPushedText=k(t.blockedSegment.chunks,n,e.responseState,r.lastPushedText):"number"==typeof n&&((r=t.blockedSegment).lastPushedText=k(t.blockedSegment.chunks,""+n,e.responseState,r.lastPushedText))}function Ke(e,t,n){for(var r=n.length,o=0;o<r;o++){var i=t.treeContext;t.treeContext=de(i,r,o);try{Ye(e,t,n[o])}finally{t.treeContext=i}}}function Ye(e,t,n){var r=t.blockedSegment.formatContext,o=t.legacyContext,i=t.context;try{return Xe(e,t,n)}catch(l){if(Ie(),"object"!=typeof l||null===l||"function"!=typeof l.then)throw t.blockedSegment.formatContext=r,t.legacyContext=o,t.context=i,se(i),l;n=l;var a=t.blockedSegment,s=Ue(0,a.chunks.length,null,a.formatContext,a.lastPushedText,!0);a.children.push(s),a.lastPushedText=!1,e=$e(e,t.node,t.blockedBoundary,s,t.abortSet,t.legacyContext,t.context,t.treeContext).ping,n.then(e,e),t.blockedSegment.formatContext=r,t.legacyContext=o,t.context=i,se(i)}}function Qe(e){var t=e.blockedBoundary;(e=e.blockedSegment).status=3,et(this,t,e)}function Je(e,t,n){var r=e.blockedBoundary;e.blockedSegment.status=3,null===r?(t.allPendingTasks--,2!==t.status&&(t.status=2,null!==t.destination&&t.destination.push(null))):(r.pendingTasks--,r.forceClientRender||(r.forceClientRender=!0,e=void 0===n?Error(o(432)):n,r.errorDigest=t.onError(e),r.parentFlushed&&t.clientRenderedBoundaries.push(r)),r.fallbackAbortableTasks.forEach((function(e){return Je(e,t,n)})),r.fallbackAbortableTasks.clear(),t.allPendingTasks--,0===t.allPendingTasks&&(r=t.onAllReady)())}function Ze(e,t){if(0===t.chunks.length&&1===t.children.length&&null===t.children[0].boundary){var n=t.children[0];n.id=t.id,n.parentFlushed=!0,1===n.status&&Ze(e,n)}else e.completedSegments.push(t)}function et(e,t,n){if(null===t){if(n.parentFlushed){if(null!==e.completedRootSegment)throw Error(o(389));e.completedRootSegment=n}e.pendingRootTasks--,0===e.pendingRootTasks&&(e.onShellError=Ve,(t=e.onShellReady)())}else t.pendingTasks--,t.forceClientRender||(0===t.pendingTasks?(n.parentFlushed&&1===n.status&&Ze(t,n),t.parentFlushed&&e.completedBoundaries.push(t),t.fallbackAbortableTasks.forEach(Qe,e),t.fallbackAbortableTasks.clear()):n.parentFlushed&&1===n.status&&(Ze(t,n),1===t.completedSegments.length&&t.parentFlushed&&e.partialBoundaries.push(t)));e.allPendingTasks--,0===e.allPendingTasks&&(e=e.onAllReady)()}function tt(e){if(2!==e.status){var t=te,n=_e.current;_e.current=De;var r=Me;Me=e.responseState;try{var o,i=e.pingedTasks;for(o=0;o<i.length;o++){var a=i[o],s=e,l=a.blockedSegment;if(0===l.status){se(a.context);try{Xe(s,a,a.node),s.responseState.generateStaticMarkup||l.lastPushedText&&l.textEmbedded&&l.chunks.push("\x3c!-- --\x3e"),a.abortSet.delete(a),l.status=1,et(s,a.blockedBoundary,l)}catch(e){if(Ie(),"object"==typeof e&&null!==e&&"function"==typeof e.then){var c=a.ping;e.then(c,c)}else{a.abortSet.delete(a),l.status=4;var u=a.blockedBoundary,d=e,p=Be(s,d);null===u?He(s,d):(u.pendingTasks--,u.forceClientRender||(u.forceClientRender=!0,u.errorDigest=p,u.parentFlushed&&s.clientRenderedBoundaries.push(u))),s.allPendingTasks--,0===s.allPendingTasks&&(0,s.onAllReady)()}}}}i.splice(0,o),null!==e.destination&&st(e,e.destination)}catch(t){Be(e,t),He(e,t)}finally{Me=r,_e.current=n,n===De&&se(t)}}}function nt(e,t,n){switch(n.parentFlushed=!0,n.status){case 0:var r=n.id=e.nextSegmentId++;return n.lastPushedText=!1,n.textEmbedded=!1,e=e.responseState,t.push('<template id="'),t.push(e.placeholderPrefix),e=r.toString(16),t.push(e),t.push('"></template>');case 1:n.status=2;var i=!0;r=n.chunks;var a=0;n=n.children;for(var s=0;s<n.length;s++){for(i=n[s];a<i.index;a++)t.push(r[a]);i=rt(e,t,i)}for(;a<r.length-1;a++)t.push(r[a]);return a<r.length&&(i=t.push(r[a])),i;default:throw Error(o(390))}}function rt(e,t,n){var r=n.boundary;if(null===r)return nt(e,t,n);if(r.parentFlushed=!0,r.forceClientRender)return e.responseState.generateStaticMarkup||(r=r.errorDigest,t.push("\x3c!--$!--\x3e"),t.push("<template"),r&&(t.push(' data-dgst="'),r=b(r),t.push(r),t.push('"')),t.push("></template>")),nt(e,t,n),!!e.responseState.generateStaticMarkup||t.push("\x3c!--/$--\x3e");if(0<r.pendingTasks){r.rootSegmentID=e.nextSegmentId++,0<r.completedSegments.length&&e.partialBoundaries.push(r);var i=e.responseState,a=i.nextSuspenseID++;return i=i.boundaryPrefix+a.toString(16),r=r.id=i,P(t,e.responseState,r),nt(e,t,n),t.push("\x3c!--/$--\x3e")}if(r.byteSize>e.progressiveChunkSize)return r.rootSegmentID=e.nextSegmentId++,e.completedBoundaries.push(r),P(t,e.responseState,r.id),nt(e,t,n),t.push("\x3c!--/$--\x3e");if(e.responseState.generateStaticMarkup||t.push("\x3c!--$--\x3e"),1!==(n=r.completedSegments).length)throw Error(o(391));return rt(e,t,n[0]),!!e.responseState.generateStaticMarkup||t.push("\x3c!--/$--\x3e")}function ot(e,t,n){return function(e,t,n,r){switch(n.insertionMode){case 0:case 1:return e.push('<div hidden id="'),e.push(t.segmentPrefix),t=r.toString(16),e.push(t),e.push('">');case 2:return e.push('<svg aria-hidden="true" style="display:none" id="'),e.push(t.segmentPrefix),t=r.toString(16),e.push(t),e.push('">');case 3:return e.push('<math aria-hidden="true" style="display:none" id="'),e.push(t.segmentPrefix),t=r.toString(16),e.push(t),e.push('">');case 4:return e.push('<table hidden id="'),e.push(t.segmentPrefix),t=r.toString(16),e.push(t),e.push('">');case 5:return e.push('<table hidden><tbody id="'),e.push(t.segmentPrefix),t=r.toString(16),e.push(t),e.push('">');case 6:return e.push('<table hidden><tr id="'),e.push(t.segmentPrefix),t=r.toString(16),e.push(t),e.push('">');case 7:return e.push('<table hidden><colgroup id="'),e.push(t.segmentPrefix),t=r.toString(16),e.push(t),e.push('">');default:throw Error(o(397))}}(t,e.responseState,n.formatContext,n.id),rt(e,t,n),function(e,t){switch(t.insertionMode){case 0:case 1:return e.push("</div>");case 2:return e.push("</svg>");case 3:return e.push("</math>");case 4:return e.push("</table>");case 5:return e.push("</tbody></table>");case 6:return e.push("</tr></table>");case 7:return e.push("</colgroup></table>");default:throw Error(o(397))}}(t,n.formatContext)}function it(e,t,n){for(var r=n.completedSegments,i=0;i<r.length;i++)at(e,t,n,r[i]);if(r.length=0,e=e.responseState,r=n.id,n=n.rootSegmentID,t.push(e.startInlineScript),e.sentCompleteBoundaryFunction?t.push('$RC("'):(e.sentCompleteBoundaryFunction=!0,t.push('function $RC(a,b){a=document.getElementById(a);b=document.getElementById(b);b.parentNode.removeChild(b);if(a){a=a.previousSibling;var f=a.parentNode,c=a.nextSibling,e=0;do{if(c&&8===c.nodeType){var d=c.data;if("/$"===d)if(0===e)break;else e--;else"$"!==d&&"$?"!==d&&"$!"!==d||e++}d=c.nextSibling;f.removeChild(c);c=d}while(c);for(;b.firstChild;)f.insertBefore(b.firstChild,c);a.data="$";a._reactRetry&&a._reactRetry()}};$RC("')),null===r)throw Error(o(395));return n=n.toString(16),t.push(r),t.push('","'),t.push(e.segmentPrefix),t.push(n),t.push('")<\/script>')}function at(e,t,n,r){if(2===r.status)return!0;var i=r.id;if(-1===i){if(-1===(r.id=n.rootSegmentID))throw Error(o(392));return ot(e,t,r)}return ot(e,t,r),e=e.responseState,t.push(e.startInlineScript),e.sentCompleteSegmentFunction?t.push('$RS("'):(e.sentCompleteSegmentFunction=!0,t.push('function $RS(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("')),t.push(e.segmentPrefix),i=i.toString(16),t.push(i),t.push('","'),t.push(e.placeholderPrefix),t.push(i),t.push('")<\/script>')}function st(e,t){try{var n=e.completedRootSegment;if(null!==n&&0===e.pendingRootTasks){rt(e,t,n),e.completedRootSegment=null;var r=e.responseState.bootstrapChunks;for(n=0;n<r.length-1;n++)t.push(r[n]);n<r.length&&t.push(r[n])}var i,a=e.clientRenderedBoundaries;for(i=0;i<a.length;i++){var s=a[i];r=t;var l=e.responseState,c=s.id,u=s.errorDigest,d=s.errorMessage,p=s.errorComponentStack;if(r.push(l.startInlineScript),l.sentClientRenderFunction?r.push('$RX("'):(l.sentClientRenderFunction=!0,r.push('function $RX(b,c,d,e){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),b._reactRetry&&b._reactRetry())};$RX("')),null===c)throw Error(o(395));if(r.push(c),r.push('"'),u||d||p){r.push(",");var f=L(u||"");r.push(f)}if(d||p){r.push(",");var h=L(d||"");r.push(h)}if(p){r.push(",");var g=L(p);r.push(g)}if(!r.push(")<\/script>"))return e.destination=null,i++,void a.splice(0,i)}a.splice(0,i);var m=e.completedBoundaries;for(i=0;i<m.length;i++)if(!it(e,t,m[i]))return e.destination=null,i++,void m.splice(0,i);m.splice(0,i);var b=e.partialBoundaries;for(i=0;i<b.length;i++){var v=b[i];e:{a=e,s=t;var y=v.completedSegments;for(l=0;l<y.length;l++)if(!at(a,s,v,y[l])){l++,y.splice(0,l);var E=!1;break e}y.splice(0,l),E=!0}if(!E)return e.destination=null,i++,void b.splice(0,i)}b.splice(0,i);var O=e.completedBoundaries;for(i=0;i<O.length;i++)if(!it(e,t,O[i]))return e.destination=null,i++,void O.splice(0,i);O.splice(0,i)}finally{0===e.allPendingTasks&&0===e.pingedTasks.length&&0===e.clientRenderedBoundaries.length&&0===e.completedBoundaries.length&&t.push(null)}}function lt(e,t){try{var n=e.abortableTasks;n.forEach((function(n){return Je(n,e,t)})),n.clear(),null!==e.destination&&st(e,e.destination)}catch(t){Be(e,t),He(e,t)}}function ct(){}function ut(e,t,n,r){var i=!1,a=null,s="",l={push:function(e){return null!==e&&(s+=e),!0},destroy:function(e){i=!0,a=e}},c=!1;if(e=function(e,t,n,r,o,i,a){var s=[],l=new Set;return(n=Ue(t={destination:null,responseState:t,progressiveChunkSize:r,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:l,pingedTasks:s,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],onError:void 0===o?Fe:o,onAllReady:Ve,onShellReady:void 0===a?Ve:a,onShellError:Ve,onFatalError:Ve},0,null,n,!1,!1)).parentFlushed=!0,e=$e(t,e,null,n,l,Z,null,ue),s.push(e),t}(e,function(e,t){return{bootstrapChunks:[],startInlineScript:"<script>",placeholderPrefix:(t=void 0===t?"":t)+"P:",segmentPrefix:t+"S:",boundaryPrefix:t+"B:",idPrefix:t,nextSuspenseID:0,sentCompleteSegmentFunction:!1,sentCompleteBoundaryFunction:!1,sentClientRenderFunction:!1,generateStaticMarkup:e}}(n,t?t.identifierPrefix:void 0),{insertionMode:1,selectedValue:null},1/0,ct,0,(function(){c=!0})),tt(e),lt(e,r),1===e.status)e.status=2,l.destroy(e.fatalError);else if(2!==e.status&&null===e.destination){e.destination=l;try{st(e,l)}catch(t){Be(e,t),He(e,t)}}if(i)throw a;if(!c)throw Error(o(426));return s}t.renderToNodeStream=function(){throw Error(o(207))},t.renderToStaticMarkup=function(e,t){return ut(e,t,!0,'The server used "renderToStaticMarkup" which does not support Suspense. If you intended to have the server wait for the suspended component please switch to "renderToReadableStream" which supports Suspense on the server')},t.renderToStaticNodeStream=function(){throw Error(o(208))},t.renderToString=function(e,t){return ut(e,t,!1,'The server used "renderToString" which does not support Suspense. If you intended for this Suspense boundary to render the fallback content on the server consider throwing an Error somewhere within the Suspense boundary. If you intended to have the server wait for the suspended component please switch to "renderToReadableStream" which supports Suspense on the server')},t.version="18.2.0"},1679:(e,t,n)=>{"use strict";var r=n(5959);function o(e){for(var t="https://reactjs.org/docs/error-decoder.html?invariant="+e,n=1;n<arguments.length;n++)t+="&args[]="+encodeURIComponent(arguments[n]);return"Minified React error #"+e+"; visit "+t+" for the full message or use the non-minified dev environment for full errors and additional helpful warnings."}var i=null,a=0;function s(e,t){if(0!==t.length)if(512<t.length)0<a&&(e.enqueue(new Uint8Array(i.buffer,0,a)),i=new Uint8Array(512),a=0),e.enqueue(t);else{var n=i.length-a;n<t.length&&(0===n?e.enqueue(i):(i.set(t.subarray(0,n),a),e.enqueue(i),t=t.subarray(n)),i=new Uint8Array(512),a=0),i.set(t,a),a+=t.length}}function l(e,t){return s(e,t),!0}function c(e){i&&0<a&&(e.enqueue(new Uint8Array(i.buffer,0,a)),i=null,a=0)}var u=new TextEncoder;function d(e){return u.encode(e)}function p(e){return u.encode(e)}function f(e,t){"function"==typeof e.error?e.error(t):e.close()}var h=Object.prototype.hasOwnProperty,g=/^[:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD][:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\-.0-9\u00B7\u0300-\u036F\u203F-\u2040]*$/,m={},b={};function v(e){return!!h.call(b,e)||!h.call(m,e)&&(g.test(e)?b[e]=!0:(m[e]=!0,!1))}function y(e,t,n,r,o,i,a){this.acceptsBooleans=2===t||3===t||4===t,this.attributeName=r,this.attributeNamespace=o,this.mustUseProperty=n,this.propertyName=e,this.type=t,this.sanitizeURL=i,this.removeEmptyString=a}var E={};"children dangerouslySetInnerHTML defaultValue defaultChecked innerHTML suppressContentEditableWarning suppressHydrationWarning style".split(" ").forEach((function(e){E[e]=new y(e,0,!1,e,null,!1,!1)})),[["acceptCharset","accept-charset"],["className","class"],["htmlFor","for"],["httpEquiv","http-equiv"]].forEach((function(e){var t=e[0];E[t]=new y(t,1,!1,e[1],null,!1,!1)})),["contentEditable","draggable","spellCheck","value"].forEach((function(e){E[e]=new y(e,2,!1,e.toLowerCase(),null,!1,!1)})),["autoReverse","externalResourcesRequired","focusable","preserveAlpha"].forEach((function(e){E[e]=new y(e,2,!1,e,null,!1,!1)})),"allowFullScreen async autoFocus autoPlay controls default defer disabled disablePictureInPicture disableRemotePlayback formNoValidate hidden loop noModule noValidate open playsInline readOnly required reversed scoped seamless itemScope".split(" ").forEach((function(e){E[e]=new y(e,3,!1,e.toLowerCase(),null,!1,!1)})),["checked","multiple","muted","selected"].forEach((function(e){E[e]=new y(e,3,!0,e,null,!1,!1)})),["capture","download"].forEach((function(e){E[e]=new y(e,4,!1,e,null,!1,!1)})),["cols","rows","size","span"].forEach((function(e){E[e]=new y(e,6,!1,e,null,!1,!1)})),["rowSpan","start"].forEach((function(e){E[e]=new y(e,5,!1,e.toLowerCase(),null,!1,!1)}));var O=/[\-:]([a-z])/g;function x(e){return e[1].toUpperCase()}"accent-height alignment-baseline arabic-form baseline-shift cap-height clip-path clip-rule color-interpolation color-interpolation-filters color-profile color-rendering dominant-baseline enable-background fill-opacity fill-rule flood-color flood-opacity font-family font-size font-size-adjust font-stretch font-style font-variant font-weight glyph-name glyph-orientation-horizontal glyph-orientation-vertical horiz-adv-x horiz-origin-x image-rendering letter-spacing lighting-color marker-end marker-mid marker-start overline-position overline-thickness paint-order panose-1 pointer-events rendering-intent shape-rendering stop-color stop-opacity strikethrough-position strikethrough-thickness stroke-dasharray stroke-dashoffset stroke-linecap stroke-linejoin stroke-miterlimit stroke-opacity stroke-width text-anchor text-decoration text-rendering underline-position underline-thickness unicode-bidi unicode-range units-per-em v-alphabetic v-hanging v-ideographic v-mathematical vector-effect vert-adv-y vert-origin-x vert-origin-y word-spacing writing-mode xmlns:xlink x-height".split(" ").forEach((function(e){var t=e.replace(O,x);E[t]=new y(t,1,!1,e,null,!1,!1)})),"xlink:actuate xlink:arcrole xlink:role xlink:show xlink:title xlink:type".split(" ").forEach((function(e){var t=e.replace(O,x);E[t]=new y(t,1,!1,e,"http://www.w3.org/1999/xlink",!1,!1)})),["xml:base","xml:lang","xml:space"].forEach((function(e){var t=e.replace(O,x);E[t]=new y(t,1,!1,e,"http://www.w3.org/XML/1998/namespace",!1,!1)})),["tabIndex","crossOrigin"].forEach((function(e){E[e]=new y(e,1,!1,e.toLowerCase(),null,!1,!1)})),E.xlinkHref=new y("xlinkHref",1,!1,"xlink:href","http://www.w3.org/1999/xlink",!0,!1),["src","href","action","formAction"].forEach((function(e){E[e]=new y(e,1,!1,e.toLowerCase(),null,!0,!0)}));var S={animationIterationCount:!0,aspectRatio:!0,borderImageOutset:!0,borderImageSlice:!0,borderImageWidth:!0,boxFlex:!0,boxFlexGroup:!0,boxOrdinalGroup:!0,columnCount:!0,columns:!0,flex:!0,flexGrow:!0,flexPositive:!0,flexShrink:!0,flexNegative:!0,flexOrder:!0,gridArea:!0,gridRow:!0,gridRowEnd:!0,gridRowSpan:!0,gridRowStart:!0,gridColumn:!0,gridColumnEnd:!0,gridColumnSpan:!0,gridColumnStart:!0,fontWeight:!0,lineClamp:!0,lineHeight:!0,opacity:!0,order:!0,orphans:!0,tabSize:!0,widows:!0,zIndex:!0,zoom:!0,fillOpacity:!0,floodOpacity:!0,stopOpacity:!0,strokeDasharray:!0,strokeDashoffset:!0,strokeMiterlimit:!0,strokeOpacity:!0,strokeWidth:!0},w=["Webkit","ms","Moz","O"];Object.keys(S).forEach((function(e){w.forEach((function(t){t=t+e.charAt(0).toUpperCase()+e.substring(1),S[t]=S[e]}))}));var R=/["'&<>]/;function T(e){if("boolean"==typeof e||"number"==typeof e)return""+e;e=""+e;var t=R.exec(e);if(t){var n,r="",o=0;for(n=t.index;n<e.length;n++){switch(e.charCodeAt(n)){case 34:t="&quot;";break;case 38:t="&amp;";break;case 39:t="&#x27;";break;case 60:t="&lt;";break;case 62:t="&gt;";break;default:continue}o!==n&&(r+=e.substring(o,n)),o=n+1,r+=t}e=o!==n?r+e.substring(o,n):r}return e}var C=/([A-Z])/g,I=/^ms-/,A=Array.isArray,P=p("<script>"),N=p("<\/script>"),L=p('<script src="'),k=p('<script type="module" src="'),j=p('" async=""><\/script>'),D=/(<\/|<)(s)(cript)/gi;function M(e,t,n,r){return t+("s"===n?"\\u0073":"\\u0053")+r}function _(e,t){return{insertionMode:e,selectedValue:t}}var F=p("\x3c!-- --\x3e");function V(e,t,n,r){return""===t?r:(r&&e.push(F),e.push(d(T(t))),!0)}var $=new Map,U=p(' style="'),B=p(":"),H=p(";");function W(e,t,n){if("object"!=typeof n)throw Error(o(62));for(var r in t=!0,n)if(h.call(n,r)){var i=n[r];if(null!=i&&"boolean"!=typeof i&&""!==i){if(0===r.indexOf("--")){var a=d(T(r));i=d(T((""+i).trim()))}else{a=r;var s=$.get(a);void 0!==s||(s=p(T(a.replace(C,"-$1").toLowerCase().replace(I,"-ms-"))),$.set(a,s)),a=s,i="number"==typeof i?0===i||h.call(S,r)?d(""+i):d(i+"px"):d(T((""+i).trim()))}t?(t=!1,e.push(U,a,B,i)):e.push(H,a,B,i)}}t||e.push(q)}var z=p(" "),G=p('="'),q=p('"'),X=p('=""');function K(e,t,n,r){switch(n){case"style":return void W(e,t,r);case"defaultValue":case"defaultChecked":case"innerHTML":case"suppressContentEditableWarning":case"suppressHydrationWarning":return}if(!(2<n.length)||"o"!==n[0]&&"O"!==n[0]||"n"!==n[1]&&"N"!==n[1])if(null!==(t=E.hasOwnProperty(n)?E[n]:null)){switch(typeof r){case"function":case"symbol":return;case"boolean":if(!t.acceptsBooleans)return}switch(n=d(t.attributeName),t.type){case 3:r&&e.push(z,n,X);break;case 4:!0===r?e.push(z,n,X):!1!==r&&e.push(z,n,G,d(T(r)),q);break;case 5:isNaN(r)||e.push(z,n,G,d(T(r)),q);break;case 6:!isNaN(r)&&1<=r&&e.push(z,n,G,d(T(r)),q);break;default:t.sanitizeURL&&(r=""+r),e.push(z,n,G,d(T(r)),q)}}else if(v(n)){switch(typeof r){case"function":case"symbol":return;case"boolean":if("data-"!==(t=n.toLowerCase().slice(0,5))&&"aria-"!==t)return}e.push(z,d(n),G,d(T(r)),q)}}var Y=p(">"),Q=p("/>");function J(e,t,n){if(null!=t){if(null!=n)throw Error(o(60));if("object"!=typeof t||!("__html"in t))throw Error(o(61));null!=(t=t.__html)&&e.push(d(""+t))}}var Z=p(' selected=""');function ee(e,t,n,r){e.push(oe(n));var o,i=n=null;for(o in t)if(h.call(t,o)){var a=t[o];if(null!=a)switch(o){case"children":n=a;break;case"dangerouslySetInnerHTML":i=a;break;default:K(e,r,o,a)}}return e.push(Y),J(e,i,n),"string"==typeof n?(e.push(d(T(n))),null):n}var te=p("\n"),ne=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,re=new Map;function oe(e){var t=re.get(e);if(void 0===t){if(!ne.test(e))throw Error(o(65,e));t=p("<"+e),re.set(e,t)}return t}var ie=p("<!DOCTYPE html>");var ae=p("</"),se=p(">"),le=p('<template id="'),ce=p('"></template>'),ue=p("\x3c!--$--\x3e"),de=p('\x3c!--$?--\x3e<template id="'),pe=p('"></template>'),fe=p("\x3c!--$!--\x3e"),he=p("\x3c!--/$--\x3e"),ge=p("<template"),me=p('"'),be=p(' data-dgst="');p(' data-msg="'),p(' data-stck="');var ve=p("></template>");function ye(e,t,n){if(s(e,de),null===n)throw Error(o(395));return s(e,n),l(e,pe)}var Ee=p('<div hidden id="'),Oe=p('">'),xe=p("</div>"),Se=p('<svg aria-hidden="true" style="display:none" id="'),we=p('">'),Re=p("</svg>"),Te=p('<math aria-hidden="true" style="display:none" id="'),Ce=p('">'),Ie=p("</math>"),Ae=p('<table hidden id="'),Pe=p('">'),Ne=p("</table>"),Le=p('<table hidden><tbody id="'),ke=p('">'),je=p("</tbody></table>"),De=p('<table hidden><tr id="'),Me=p('">'),_e=p("</tr></table>"),Fe=p('<table hidden><colgroup id="'),Ve=p('">'),$e=p("</colgroup></table>"),Ue=p('function $RS(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("'),Be=p('$RS("'),He=p('","'),We=p('")<\/script>'),ze=p('function $RC(a,b){a=document.getElementById(a);b=document.getElementById(b);b.parentNode.removeChild(b);if(a){a=a.previousSibling;var f=a.parentNode,c=a.nextSibling,e=0;do{if(c&&8===c.nodeType){var d=c.data;if("/$"===d)if(0===e)break;else e--;else"$"!==d&&"$?"!==d&&"$!"!==d||e++}d=c.nextSibling;f.removeChild(c);c=d}while(c);for(;b.firstChild;)f.insertBefore(b.firstChild,c);a.data="$";a._reactRetry&&a._reactRetry()}};$RC("'),Ge=p('$RC("'),qe=p('","'),Xe=p('")<\/script>'),Ke=p('function $RX(b,c,d,e){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),b._reactRetry&&b._reactRetry())};$RX("'),Ye=p('$RX("'),Qe=p('"'),Je=p(")<\/script>"),Ze=p(","),et=/[<\u2028\u2029]/g;function tt(e){return JSON.stringify(e).replace(et,(function(e){switch(e){case"<":return"\\u003c";case"\u2028":return"\\u2028";case"\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React")}}))}var nt=Object.assign,rt=Symbol.for("react.element"),ot=Symbol.for("react.portal"),it=Symbol.for("react.fragment"),at=Symbol.for("react.strict_mode"),st=Symbol.for("react.profiler"),lt=Symbol.for("react.provider"),ct=Symbol.for("react.context"),ut=Symbol.for("react.forward_ref"),dt=Symbol.for("react.suspense"),pt=Symbol.for("react.suspense_list"),ft=Symbol.for("react.memo"),ht=Symbol.for("react.lazy"),gt=Symbol.for("react.scope"),mt=Symbol.for("react.debug_trace_mode"),bt=Symbol.for("react.legacy_hidden"),vt=Symbol.for("react.default_value"),yt=Symbol.iterator;function Et(e){if(null==e)return null;if("function"==typeof e)return e.displayName||e.name||null;if("string"==typeof e)return e;switch(e){case it:return"Fragment";case ot:return"Portal";case st:return"Profiler";case at:return"StrictMode";case dt:return"Suspense";case pt:return"SuspenseList"}if("object"==typeof e)switch(e.$$typeof){case ct:return(e.displayName||"Context")+".Consumer";case lt:return(e._context.displayName||"Context")+".Provider";case ut:var t=e.render;return(e=e.displayName)||(e=""!==(e=t.displayName||t.name||"")?"ForwardRef("+e+")":"ForwardRef"),e;case ft:return null!==(t=e.displayName||null)?t:Et(e.type)||"Memo";case ht:t=e._payload,e=e._init;try{return Et(e(t))}catch(e){}}return null}var Ot={};function xt(e,t){if(!(e=e.contextTypes))return Ot;var n,r={};for(n in e)r[n]=t[n];return r}var St=null;function wt(e,t){if(e!==t){e.context._currentValue=e.parentValue,e=e.parent;var n=t.parent;if(null===e){if(null!==n)throw Error(o(401))}else{if(null===n)throw Error(o(401));wt(e,n)}t.context._currentValue=t.value}}function Rt(e){e.context._currentValue=e.parentValue,null!==(e=e.parent)&&Rt(e)}function Tt(e){var t=e.parent;null!==t&&Tt(t),e.context._currentValue=e.value}function Ct(e,t){if(e.context._currentValue=e.parentValue,null===(e=e.parent))throw Error(o(402));e.depth===t.depth?wt(e,t):Ct(e,t)}function It(e,t){var n=t.parent;if(null===n)throw Error(o(402));e.depth===n.depth?wt(e,n):It(e,n),t.context._currentValue=t.value}function At(e){var t=St;t!==e&&(null===t?Tt(e):null===e?Rt(t):t.depth===e.depth?wt(t,e):t.depth>e.depth?Ct(t,e):It(t,e),St=e)}var Pt={isMounted:function(){return!1},enqueueSetState:function(e,t){null!==(e=e._reactInternals).queue&&e.queue.push(t)},enqueueReplaceState:function(e,t){(e=e._reactInternals).replace=!0,e.queue=[t]},enqueueForceUpdate:function(){}};function Nt(e,t,n,r){var o=void 0!==e.state?e.state:null;e.updater=Pt,e.props=n,e.state=o;var i={queue:[],replace:!1};e._reactInternals=i;var a=t.contextType;if(e.context="object"==typeof a&&null!==a?a._currentValue:r,"function"==typeof(a=t.getDerivedStateFromProps)&&(o=null==(a=a(n,o))?o:nt({},o,a),e.state=o),"function"!=typeof t.getDerivedStateFromProps&&"function"!=typeof e.getSnapshotBeforeUpdate&&("function"==typeof e.UNSAFE_componentWillMount||"function"==typeof e.componentWillMount))if(t=e.state,"function"==typeof e.componentWillMount&&e.componentWillMount(),"function"==typeof e.UNSAFE_componentWillMount&&e.UNSAFE_componentWillMount(),t!==e.state&&Pt.enqueueReplaceState(e,e.state,null),null!==i.queue&&0<i.queue.length)if(t=i.queue,a=i.replace,i.queue=null,i.replace=!1,a&&1===t.length)e.state=t[0];else{for(i=a?t[0]:e.state,o=!0,a=a?1:0;a<t.length;a++){var s=t[a];null!=(s="function"==typeof s?s.call(e,i,n,r):s)&&(o?(o=!1,i=nt({},i,s)):nt(i,s))}e.state=i}else i.queue=null}var Lt={id:1,overflow:""};function kt(e,t,n){var r=e.id;e=e.overflow;var o=32-jt(r)-1;r&=~(1<<o),n+=1;var i=32-jt(t)+o;if(30<i){var a=o-o%5;return i=(r&(1<<a)-1).toString(32),r>>=a,o-=a,{id:1<<32-jt(t)+o|n<<o|r,overflow:i+e}}return{id:1<<i|n<<o|r,overflow:e}}var jt=Math.clz32?Math.clz32:function(e){return 0==(e>>>=0)?32:31-(Dt(e)/Mt|0)|0},Dt=Math.log,Mt=Math.LN2,_t="function"==typeof Object.is?Object.is:function(e,t){return e===t&&(0!==e||1/e==1/t)||e!=e&&t!=t},Ft=null,Vt=null,$t=null,Ut=null,Bt=!1,Ht=!1,Wt=0,zt=null,Gt=0;function qt(){if(null===Ft)throw Error(o(321));return Ft}function Xt(){if(0<Gt)throw Error(o(312));return{memoizedState:null,queue:null,next:null}}function Kt(){return null===Ut?null===$t?(Bt=!1,$t=Ut=Xt()):(Bt=!0,Ut=$t):null===Ut.next?(Bt=!1,Ut=Ut.next=Xt()):(Bt=!0,Ut=Ut.next),Ut}function Yt(){Vt=Ft=null,Ht=!1,$t=null,Gt=0,Ut=zt=null}function Qt(e,t){return"function"==typeof t?t(e):t}function Jt(e,t,n){if(Ft=qt(),Ut=Kt(),Bt){var r=Ut.queue;if(t=r.dispatch,null!==zt&&void 0!==(n=zt.get(r))){zt.delete(r),r=Ut.memoizedState;do{r=e(r,n.action),n=n.next}while(null!==n);return Ut.memoizedState=r,[r,t]}return[Ut.memoizedState,t]}return e=e===Qt?"function"==typeof t?t():t:void 0!==n?n(t):t,Ut.memoizedState=e,e=(e=Ut.queue={last:null,dispatch:null}).dispatch=en.bind(null,Ft,e),[Ut.memoizedState,e]}function Zt(e,t){if(Ft=qt(),t=void 0===t?null:t,null!==(Ut=Kt())){var n=Ut.memoizedState;if(null!==n&&null!==t){var r=n[1];e:if(null===r)r=!1;else{for(var o=0;o<r.length&&o<t.length;o++)if(!_t(t[o],r[o])){r=!1;break e}r=!0}if(r)return n[0]}}return e=e(),Ut.memoizedState=[e,t],e}function en(e,t,n){if(25<=Gt)throw Error(o(301));if(e===Ft)if(Ht=!0,e={action:n,next:null},null===zt&&(zt=new Map),void 0===(n=zt.get(t)))zt.set(t,e);else{for(t=n;null!==t.next;)t=t.next;t.next=e}}function tn(){throw Error(o(394))}function nn(){}var rn={readContext:function(e){return e._currentValue},useContext:function(e){return qt(),e._currentValue},useMemo:Zt,useReducer:Jt,useRef:function(e){Ft=qt();var t=(Ut=Kt()).memoizedState;return null===t?(e={current:e},Ut.memoizedState=e):t},useState:function(e){return Jt(Qt,e)},useInsertionEffect:nn,useLayoutEffect:function(){},useCallback:function(e,t){return Zt((function(){return e}),t)},useImperativeHandle:nn,useEffect:nn,useDebugValue:nn,useDeferredValue:function(e){return qt(),e},useTransition:function(){return qt(),[!1,tn]},useId:function(){var e=Vt.treeContext,t=e.overflow;e=((e=e.id)&~(1<<32-jt(e)-1)).toString(32)+t;var n=on;if(null===n)throw Error(o(404));return t=Wt++,e=":"+n.idPrefix+"R"+e,0<t&&(e+="H"+t.toString(32)),e+":"},useMutableSource:function(e,t){return qt(),t(e._source)},useSyncExternalStore:function(e,t,n){if(void 0===n)throw Error(o(407));return n()}},on=null,an=r.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentDispatcher;function sn(e){return console.error(e),null}function ln(){}function cn(e,t,n,r,o,i,a,s){e.allPendingTasks++,null===n?e.pendingRootTasks++:n.pendingTasks++;var l={node:t,ping:function(){var t=e.pingedTasks;t.push(l),1===t.length&&wn(e)},blockedBoundary:n,blockedSegment:r,abortSet:o,legacyContext:i,context:a,treeContext:s};return o.add(l),l}function un(e,t,n,r,o,i){return{status:0,id:-1,index:t,parentFlushed:!1,chunks:[],children:[],formatContext:r,boundary:n,lastPushedText:o,textEmbedded:i}}function dn(e,t){if(null!=(e=e.onError(t))&&"string"!=typeof e)throw Error('onError returned something with a type other than "string". onError should return a string and may return null or undefined but must not return anything else. It received something of type "'+typeof e+'" instead');return e}function pn(e,t){var n=e.onShellError;n(t),(n=e.onFatalError)(t),null!==e.destination?(e.status=2,f(e.destination,t)):(e.status=1,e.fatalError=t)}function fn(e,t,n,r,o){for(Ft={},Vt=t,Wt=0,e=n(r,o);Ht;)Ht=!1,Wt=0,Gt+=1,Ut=null,e=n(r,o);return Yt(),e}function hn(e,t,n,r){var i=n.render(),a=r.childContextTypes;if(null!=a){var s=t.legacyContext;if("function"!=typeof n.getChildContext)r=s;else{for(var l in n=n.getChildContext())if(!(l in a))throw Error(o(108,Et(r)||"Unknown",l));r=nt({},s,n)}t.legacyContext=r,bn(e,t,i),t.legacyContext=s}else bn(e,t,i)}function gn(e,t){if(e&&e.defaultProps){for(var n in t=nt({},t),e=e.defaultProps)void 0===t[n]&&(t[n]=e[n]);return t}return t}function mn(e,t,n,i,a){if("function"==typeof n)if(n.prototype&&n.prototype.isReactComponent){a=xt(n,t.legacyContext);var s=n.contextType;Nt(s=new n(i,"object"==typeof s&&null!==s?s._currentValue:a),n,i,a),hn(e,t,s,n)}else{a=fn(e,t,n,i,s=xt(n,t.legacyContext));var l=0!==Wt;if("object"==typeof a&&null!==a&&"function"==typeof a.render&&void 0===a.$$typeof)Nt(a,n,i,s),hn(e,t,a,n);else if(l){i=t.treeContext,t.treeContext=kt(i,1,0);try{bn(e,t,a)}finally{t.treeContext=i}}else bn(e,t,a)}else{if("string"!=typeof n){switch(n){case bt:case mt:case at:case st:case it:case pt:return void bn(e,t,i.children);case gt:throw Error(o(343));case dt:e:{n=t.blockedBoundary,a=t.blockedSegment,s=i.fallback,i=i.children;var c={id:null,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,forceClientRender:!1,completedSegments:[],byteSize:0,fallbackAbortableTasks:l=new Set,errorDigest:null},u=un(0,a.chunks.length,c,a.formatContext,!1,!1);a.children.push(u),a.lastPushedText=!1;var p=un(0,0,null,a.formatContext,!1,!1);p.parentFlushed=!0,t.blockedBoundary=c,t.blockedSegment=p;try{if(yn(e,t,i),p.lastPushedText&&p.textEmbedded&&p.chunks.push(F),p.status=1,xn(c,p),0===c.pendingTasks)break e}catch(t){p.status=4,c.forceClientRender=!0,c.errorDigest=dn(e,t)}finally{t.blockedBoundary=n,t.blockedSegment=a}t=cn(e,s,n,u,l,t.legacyContext,t.context,t.treeContext),e.pingedTasks.push(t)}return}if("object"==typeof n&&null!==n)switch(n.$$typeof){case ut:if(i=fn(e,t,n.render,i,a),0!==Wt){n=t.treeContext,t.treeContext=kt(n,1,0);try{bn(e,t,i)}finally{t.treeContext=n}}else bn(e,t,i);return;case ft:return void mn(e,t,n=n.type,i=gn(n,i),a);case lt:if(a=i.children,n=n._context,i=i.value,s=n._currentValue,n._currentValue=i,St=i={parent:l=St,depth:null===l?0:l.depth+1,context:n,parentValue:s,value:i},t.context=i,bn(e,t,a),null===(e=St))throw Error(o(403));return i=e.parentValue,e.context._currentValue=i===vt?e.context._defaultValue:i,e=St=e.parent,void(t.context=e);case ct:return void bn(e,t,i=(i=i.children)(n._currentValue));case ht:return void mn(e,t,n=(a=n._init)(n._payload),i=gn(n,i),void 0)}throw Error(o(130,null==n?n:typeof n,""))}switch(s=function(e,t,n,i,a){switch(t){case"select":e.push(oe("select"));var s=null,l=null;for(f in n)if(h.call(n,f)){var c=n[f];if(null!=c)switch(f){case"children":s=c;break;case"dangerouslySetInnerHTML":l=c;break;case"defaultValue":case"value":break;default:K(e,i,f,c)}}return e.push(Y),J(e,l,s),s;case"option":l=a.selectedValue,e.push(oe("option"));var u=c=null,p=null,f=null;for(s in n)if(h.call(n,s)){var g=n[s];if(null!=g)switch(s){case"children":c=g;break;case"selected":p=g;break;case"dangerouslySetInnerHTML":f=g;break;case"value":u=g;default:K(e,i,s,g)}}if(null!=l)if(n=null!==u?""+u:function(e){var t="";return r.Children.forEach(e,(function(e){null!=e&&(t+=e)})),t}(c),A(l)){for(i=0;i<l.length;i++)if(""+l[i]===n){e.push(Z);break}}else""+l===n&&e.push(Z);else p&&e.push(Z);return e.push(Y),J(e,f,c),c;case"textarea":for(c in e.push(oe("textarea")),f=l=s=null,n)if(h.call(n,c)&&null!=(u=n[c]))switch(c){case"children":f=u;break;case"value":s=u;break;case"defaultValue":l=u;break;case"dangerouslySetInnerHTML":throw Error(o(91));default:K(e,i,c,u)}if(null===s&&null!==l&&(s=l),e.push(Y),null!=f){if(null!=s)throw Error(o(92));if(A(f)&&1<f.length)throw Error(o(93));s=""+f}return"string"==typeof s&&"\n"===s[0]&&e.push(te),null!==s&&e.push(d(T(""+s))),null;case"input":for(l in e.push(oe("input")),u=f=c=s=null,n)if(h.call(n,l)&&null!=(p=n[l]))switch(l){case"children":case"dangerouslySetInnerHTML":throw Error(o(399,"input"));case"defaultChecked":u=p;break;case"defaultValue":c=p;break;case"checked":f=p;break;case"value":s=p;break;default:K(e,i,l,p)}return null!==f?K(e,i,"checked",f):null!==u&&K(e,i,"checked",u),null!==s?K(e,i,"value",s):null!==c&&K(e,i,"value",c),e.push(Q),null;case"menuitem":for(var m in e.push(oe("menuitem")),n)if(h.call(n,m)&&null!=(s=n[m]))switch(m){case"children":case"dangerouslySetInnerHTML":throw Error(o(400));default:K(e,i,m,s)}return e.push(Y),null;case"title":for(g in e.push(oe("title")),s=null,n)if(h.call(n,g)&&null!=(l=n[g]))switch(g){case"children":s=l;break;case"dangerouslySetInnerHTML":throw Error(o(434));default:K(e,i,g,l)}return e.push(Y),s;case"listing":case"pre":for(u in e.push(oe(t)),l=s=null,n)if(h.call(n,u)&&null!=(c=n[u]))switch(u){case"children":s=c;break;case"dangerouslySetInnerHTML":l=c;break;default:K(e,i,u,c)}if(e.push(Y),null!=l){if(null!=s)throw Error(o(60));if("object"!=typeof l||!("__html"in l))throw Error(o(61));null!=(n=l.__html)&&("string"==typeof n&&0<n.length&&"\n"===n[0]?e.push(te,d(n)):e.push(d(""+n)))}return"string"==typeof s&&"\n"===s[0]&&e.push(te),s;case"area":case"base":case"br":case"col":case"embed":case"hr":case"img":case"keygen":case"link":case"meta":case"param":case"source":case"track":case"wbr":for(var b in e.push(oe(t)),n)if(h.call(n,b)&&null!=(s=n[b]))switch(b){case"children":case"dangerouslySetInnerHTML":throw Error(o(399,t));default:K(e,i,b,s)}return e.push(Q),null;case"annotation-xml":case"color-profile":case"font-face":case"font-face-src":case"font-face-uri":case"font-face-format":case"font-face-name":case"missing-glyph":return ee(e,n,t,i);case"html":return 0===a.insertionMode&&e.push(ie),ee(e,n,t,i);default:if(-1===t.indexOf("-")&&"string"!=typeof n.is)return ee(e,n,t,i);for(p in e.push(oe(t)),l=s=null,n)if(h.call(n,p)&&null!=(c=n[p]))switch(p){case"children":s=c;break;case"dangerouslySetInnerHTML":l=c;break;case"style":W(e,i,c);break;case"suppressContentEditableWarning":case"suppressHydrationWarning":break;default:v(p)&&"function"!=typeof c&&"symbol"!=typeof c&&e.push(z,d(p),G,d(T(c)),q)}return e.push(Y),J(e,l,s),s}}((a=t.blockedSegment).chunks,n,i,e.responseState,a.formatContext),a.lastPushedText=!1,l=a.formatContext,a.formatContext=function(e,t,n){switch(t){case"select":return _(1,null!=n.value?n.value:n.defaultValue);case"svg":return _(2,null);case"math":return _(3,null);case"foreignObject":return _(1,null);case"table":return _(4,null);case"thead":case"tbody":case"tfoot":return _(5,null);case"colgroup":return _(7,null);case"tr":return _(6,null)}return 4<=e.insertionMode||0===e.insertionMode?_(1,null):e}(l,n,i),yn(e,t,s),a.formatContext=l,n){case"area":case"base":case"br":case"col":case"embed":case"hr":case"img":case"input":case"keygen":case"link":case"meta":case"param":case"source":case"track":case"wbr":break;default:a.chunks.push(ae,d(n),se)}a.lastPushedText=!1}}function bn(e,t,n){if(t.node=n,"object"==typeof n&&null!==n){switch(n.$$typeof){case rt:return void mn(e,t,n.type,n.props,n.ref);case ot:throw Error(o(257));case ht:var r=n._init;return void bn(e,t,n=r(n._payload))}if(A(n))return void vn(e,t,n);if((r=null===n||"object"!=typeof n?null:"function"==typeof(r=yt&&n[yt]||n["@@iterator"])?r:null)&&(r=r.call(n))){if(!(n=r.next()).done){var i=[];do{i.push(n.value),n=r.next()}while(!n.done);vn(e,t,i)}return}throw e=Object.prototype.toString.call(n),Error(o(31,"[object Object]"===e?"object with keys {"+Object.keys(n).join(", ")+"}":e))}"string"==typeof n?(r=t.blockedSegment).lastPushedText=V(t.blockedSegment.chunks,n,e.responseState,r.lastPushedText):"number"==typeof n&&((r=t.blockedSegment).lastPushedText=V(t.blockedSegment.chunks,""+n,e.responseState,r.lastPushedText))}function vn(e,t,n){for(var r=n.length,o=0;o<r;o++){var i=t.treeContext;t.treeContext=kt(i,r,o);try{yn(e,t,n[o])}finally{t.treeContext=i}}}function yn(e,t,n){var r=t.blockedSegment.formatContext,o=t.legacyContext,i=t.context;try{return bn(e,t,n)}catch(l){if(Yt(),"object"!=typeof l||null===l||"function"!=typeof l.then)throw t.blockedSegment.formatContext=r,t.legacyContext=o,t.context=i,At(i),l;n=l;var a=t.blockedSegment,s=un(0,a.chunks.length,null,a.formatContext,a.lastPushedText,!0);a.children.push(s),a.lastPushedText=!1,e=cn(e,t.node,t.blockedBoundary,s,t.abortSet,t.legacyContext,t.context,t.treeContext).ping,n.then(e,e),t.blockedSegment.formatContext=r,t.legacyContext=o,t.context=i,At(i)}}function En(e){var t=e.blockedBoundary;(e=e.blockedSegment).status=3,Sn(this,t,e)}function On(e,t,n){var r=e.blockedBoundary;e.blockedSegment.status=3,null===r?(t.allPendingTasks--,2!==t.status&&(t.status=2,null!==t.destination&&t.destination.close())):(r.pendingTasks--,r.forceClientRender||(r.forceClientRender=!0,e=void 0===n?Error(o(432)):n,r.errorDigest=t.onError(e),r.parentFlushed&&t.clientRenderedBoundaries.push(r)),r.fallbackAbortableTasks.forEach((function(e){return On(e,t,n)})),r.fallbackAbortableTasks.clear(),t.allPendingTasks--,0===t.allPendingTasks&&(r=t.onAllReady)())}function xn(e,t){if(0===t.chunks.length&&1===t.children.length&&null===t.children[0].boundary){var n=t.children[0];n.id=t.id,n.parentFlushed=!0,1===n.status&&xn(e,n)}else e.completedSegments.push(t)}function Sn(e,t,n){if(null===t){if(n.parentFlushed){if(null!==e.completedRootSegment)throw Error(o(389));e.completedRootSegment=n}e.pendingRootTasks--,0===e.pendingRootTasks&&(e.onShellError=ln,(t=e.onShellReady)())}else t.pendingTasks--,t.forceClientRender||(0===t.pendingTasks?(n.parentFlushed&&1===n.status&&xn(t,n),t.parentFlushed&&e.completedBoundaries.push(t),t.fallbackAbortableTasks.forEach(En,e),t.fallbackAbortableTasks.clear()):n.parentFlushed&&1===n.status&&(xn(t,n),1===t.completedSegments.length&&t.parentFlushed&&e.partialBoundaries.push(t)));e.allPendingTasks--,0===e.allPendingTasks&&(e=e.onAllReady)()}function wn(e){if(2!==e.status){var t=St,n=an.current;an.current=rn;var r=on;on=e.responseState;try{var o,i=e.pingedTasks;for(o=0;o<i.length;o++){var a=i[o],s=e,l=a.blockedSegment;if(0===l.status){At(a.context);try{bn(s,a,a.node),l.lastPushedText&&l.textEmbedded&&l.chunks.push(F),a.abortSet.delete(a),l.status=1,Sn(s,a.blockedBoundary,l)}catch(e){if(Yt(),"object"==typeof e&&null!==e&&"function"==typeof e.then){var c=a.ping;e.then(c,c)}else{a.abortSet.delete(a),l.status=4;var u=a.blockedBoundary,d=e,p=dn(s,d);null===u?pn(s,d):(u.pendingTasks--,u.forceClientRender||(u.forceClientRender=!0,u.errorDigest=p,u.parentFlushed&&s.clientRenderedBoundaries.push(u))),s.allPendingTasks--,0===s.allPendingTasks&&(0,s.onAllReady)()}}}}i.splice(0,o),null!==e.destination&&Pn(e,e.destination)}catch(t){dn(e,t),pn(e,t)}finally{on=r,an.current=n,n===rn&&At(t)}}}function Rn(e,t,n){switch(n.parentFlushed=!0,n.status){case 0:var r=n.id=e.nextSegmentId++;return n.lastPushedText=!1,n.textEmbedded=!1,e=e.responseState,s(t,le),s(t,e.placeholderPrefix),s(t,e=d(r.toString(16))),l(t,ce);case 1:n.status=2;var i=!0;r=n.chunks;var a=0;n=n.children;for(var c=0;c<n.length;c++){for(i=n[c];a<i.index;a++)s(t,r[a]);i=Tn(e,t,i)}for(;a<r.length-1;a++)s(t,r[a]);return a<r.length&&(i=l(t,r[a])),i;default:throw Error(o(390))}}function Tn(e,t,n){var r=n.boundary;if(null===r)return Rn(e,t,n);if(r.parentFlushed=!0,r.forceClientRender)r=r.errorDigest,l(t,fe),s(t,ge),r&&(s(t,be),s(t,d(T(r))),s(t,me)),l(t,ve),Rn(e,t,n);else if(0<r.pendingTasks){r.rootSegmentID=e.nextSegmentId++,0<r.completedSegments.length&&e.partialBoundaries.push(r);var i=e.responseState,a=i.nextSuspenseID++;i=p(i.boundaryPrefix+a.toString(16)),r=r.id=i,ye(t,e.responseState,r),Rn(e,t,n)}else if(r.byteSize>e.progressiveChunkSize)r.rootSegmentID=e.nextSegmentId++,e.completedBoundaries.push(r),ye(t,e.responseState,r.id),Rn(e,t,n);else{if(l(t,ue),1!==(n=r.completedSegments).length)throw Error(o(391));Tn(e,t,n[0])}return l(t,he)}function Cn(e,t,n){return function(e,t,n,r){switch(n.insertionMode){case 0:case 1:return s(e,Ee),s(e,t.segmentPrefix),s(e,d(r.toString(16))),l(e,Oe);case 2:return s(e,Se),s(e,t.segmentPrefix),s(e,d(r.toString(16))),l(e,we);case 3:return s(e,Te),s(e,t.segmentPrefix),s(e,d(r.toString(16))),l(e,Ce);case 4:return s(e,Ae),s(e,t.segmentPrefix),s(e,d(r.toString(16))),l(e,Pe);case 5:return s(e,Le),s(e,t.segmentPrefix),s(e,d(r.toString(16))),l(e,ke);case 6:return s(e,De),s(e,t.segmentPrefix),s(e,d(r.toString(16))),l(e,Me);case 7:return s(e,Fe),s(e,t.segmentPrefix),s(e,d(r.toString(16))),l(e,Ve);default:throw Error(o(397))}}(t,e.responseState,n.formatContext,n.id),Tn(e,t,n),function(e,t){switch(t.insertionMode){case 0:case 1:return l(e,xe);case 2:return l(e,Re);case 3:return l(e,Ie);case 4:return l(e,Ne);case 5:return l(e,je);case 6:return l(e,_e);case 7:return l(e,$e);default:throw Error(o(397))}}(t,n.formatContext)}function In(e,t,n){for(var r=n.completedSegments,i=0;i<r.length;i++)An(e,t,n,r[i]);if(r.length=0,e=e.responseState,r=n.id,n=n.rootSegmentID,s(t,e.startInlineScript),e.sentCompleteBoundaryFunction?s(t,Ge):(e.sentCompleteBoundaryFunction=!0,s(t,ze)),null===r)throw Error(o(395));return n=d(n.toString(16)),s(t,r),s(t,qe),s(t,e.segmentPrefix),s(t,n),l(t,Xe)}function An(e,t,n,r){if(2===r.status)return!0;var i=r.id;if(-1===i){if(-1===(r.id=n.rootSegmentID))throw Error(o(392));return Cn(e,t,r)}return Cn(e,t,r),s(t,(e=e.responseState).startInlineScript),e.sentCompleteSegmentFunction?s(t,Be):(e.sentCompleteSegmentFunction=!0,s(t,Ue)),s(t,e.segmentPrefix),s(t,i=d(i.toString(16))),s(t,He),s(t,e.placeholderPrefix),s(t,i),l(t,We)}function Pn(e,t){i=new Uint8Array(512),a=0;try{var n=e.completedRootSegment;if(null!==n&&0===e.pendingRootTasks){Tn(e,t,n),e.completedRootSegment=null;var r=e.responseState.bootstrapChunks;for(n=0;n<r.length-1;n++)s(t,r[n]);n<r.length&&l(t,r[n])}var u,p=e.clientRenderedBoundaries;for(u=0;u<p.length;u++){var f=p[u];r=t;var h=e.responseState,g=f.id,m=f.errorDigest,b=f.errorMessage,v=f.errorComponentStack;if(s(r,h.startInlineScript),h.sentClientRenderFunction?s(r,Ye):(h.sentClientRenderFunction=!0,s(r,Ke)),null===g)throw Error(o(395));if(s(r,g),s(r,Qe),(m||b||v)&&(s(r,Ze),s(r,d(tt(m||"")))),(b||v)&&(s(r,Ze),s(r,d(tt(b||"")))),v&&(s(r,Ze),s(r,d(tt(v)))),!l(r,Je))return e.destination=null,u++,void p.splice(0,u)}p.splice(0,u);var y=e.completedBoundaries;for(u=0;u<y.length;u++)if(!In(e,t,y[u]))return e.destination=null,u++,void y.splice(0,u);y.splice(0,u),c(t),i=new Uint8Array(512),a=0;var E=e.partialBoundaries;for(u=0;u<E.length;u++){var O=E[u];e:{p=e,f=t;var x=O.completedSegments;for(h=0;h<x.length;h++)if(!An(p,f,O,x[h])){h++,x.splice(0,h);var S=!1;break e}x.splice(0,h),S=!0}if(!S)return e.destination=null,u++,void E.splice(0,u)}E.splice(0,u);var w=e.completedBoundaries;for(u=0;u<w.length;u++)if(!In(e,t,w[u]))return e.destination=null,u++,void w.splice(0,u);w.splice(0,u)}finally{c(t),0===e.allPendingTasks&&0===e.pingedTasks.length&&0===e.clientRenderedBoundaries.length&&0===e.completedBoundaries.length&&t.close()}}function Nn(e,t){try{var n=e.abortableTasks;n.forEach((function(n){return On(n,e,t)})),n.clear(),null!==e.destination&&Pn(e,e.destination)}catch(t){dn(e,t),pn(e,t)}}t.renderToReadableStream=function(e,t){return new Promise((function(n,r){var o,i,a=new Promise((function(e,t){i=e,o=t})),s=function(e,t,n,r,o,i,a,s,l){var c=[],u=new Set;return(n=un(t={destination:null,responseState:t,progressiveChunkSize:void 0===r?12800:r,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:u,pingedTasks:c,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],onError:void 0===o?sn:o,onAllReady:void 0===i?ln:i,onShellReady:void 0===a?ln:a,onShellError:void 0===s?ln:s,onFatalError:void 0===l?ln:l},0,null,n,!1,!1)).parentFlushed=!0,e=cn(t,e,null,n,u,Ot,null,Lt),c.push(e),t}(e,function(e,t,n,r,o){e=void 0===e?"":e,t=void 0===t?P:p('<script nonce="'+T(t)+'">');var i=[];if(void 0!==n&&i.push(t,d((""+n).replace(D,M)),N),void 0!==r)for(n=0;n<r.length;n++)i.push(L,d(T(r[n])),j);if(void 0!==o)for(r=0;r<o.length;r++)i.push(k,d(T(o[r])),j);return{bootstrapChunks:i,startInlineScript:t,placeholderPrefix:p(e+"P:"),segmentPrefix:p(e+"S:"),boundaryPrefix:e+"B:",idPrefix:e,nextSuspenseID:0,sentCompleteSegmentFunction:!1,sentCompleteBoundaryFunction:!1,sentClientRenderFunction:!1}}(t?t.identifierPrefix:void 0,t?t.nonce:void 0,t?t.bootstrapScriptContent:void 0,t?t.bootstrapScripts:void 0,t?t.bootstrapModules:void 0),function(e){return _("http://www.w3.org/2000/svg"===e?2:"http://www.w3.org/1998/Math/MathML"===e?3:0,null)}(t?t.namespaceURI:void 0),t?t.progressiveChunkSize:void 0,t?t.onError:void 0,i,(function(){var e=new ReadableStream({type:"bytes",pull:function(e){if(1===s.status)s.status=2,f(e,s.fatalError);else if(2!==s.status&&null===s.destination){s.destination=e;try{Pn(s,e)}catch(e){dn(s,e),pn(s,e)}}},cancel:function(){Nn(s)}},{highWaterMark:0});e.allReady=a,n(e)}),(function(e){a.catch((function(){})),r(e)}),o);if(t&&t.signal){var l=t.signal,c=function(){Nn(s,l.reason),l.removeEventListener("abort",c)};l.addEventListener("abort",c)}wn(s)}))},t.version="18.2.0"},952:(e,t,n)=>{"use strict";var r,o;r=n(8641),o=n(1679),t.version=r.version,t.renderToString=r.renderToString,t.renderToStaticMarkup=r.renderToStaticMarkup,t.renderToNodeStream=r.renderToNodeStream,t.renderToStaticNodeStream=r.renderToStaticNodeStream,t.renderToReadableStream=o.renderToReadableStream},6563:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isNavigator=t.isBrowser=t.off=t.on=t.noop=void 0,t.noop=function(){},t.on=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];e&&e.addEventListener&&e.addEventListener.apply(e,t)},t.off=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];e&&e.removeEventListener&&e.removeEventListener.apply(e,t)},t.isBrowser="undefined"!=typeof window,t.isNavigator="undefined"!=typeof navigator},6943:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n(5959),o=n(6563).isBrowser?r.useLayoutEffect:r.useEffect;t.default=o},8145:(e,t,n)=>{"use strict";var r=n(4769),o=n(5959),i=r.__importDefault(n(6943)),a=n(6563),s={x:0,y:0,width:0,height:0,top:0,left:0,bottom:0,right:0};t.A=a.isBrowser&&void 0!==window.ResizeObserver?function(){var e=o.useState(null),t=e[0],n=e[1],r=o.useState(s),a=r[0],l=r[1],c=o.useMemo((function(){return new window.ResizeObserver((function(e){if(e[0]){var t=e[0].contentRect,n=t.x,r=t.y,o=t.width,i=t.height,a=t.top,s=t.left,c=t.bottom,u=t.right;l({x:n,y:r,width:o,height:i,top:a,left:s,bottom:c,right:u})}}))}),[]);return i.default((function(){if(t)return c.observe(t),function(){c.disconnect()}}),[t]),[n,a]}:function(){return[a.noop,s]}},8044:(e,t,n)=>{"use strict";var r=n(5959),o=Symbol.for("react.element"),i=Symbol.for("react.fragment"),a=Object.prototype.hasOwnProperty,s=r.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner,l={key:!0,ref:!0,__self:!0,__source:!0};function c(e,t,n){var r,i={},c=null,u=null;for(r in void 0!==n&&(c=""+n),void 0!==t.key&&(c=""+t.key),void 0!==t.ref&&(u=t.ref),t)a.call(t,r)&&!l.hasOwnProperty(r)&&(i[r]=t[r]);if(e&&e.defaultProps)for(r in t=e.defaultProps)void 0===i[r]&&(i[r]=t[r]);return{$$typeof:o,type:e,key:c,ref:u,props:i,_owner:s.current}}t.Fragment=i,t.jsx=c,t.jsxs=c},9728:(e,t,n)=>{"use strict";e.exports=n(8044)},9264:(e,t,n)=>{const r=Symbol("SemVer ANY");class o{static get ANY(){return r}constructor(e,t){if(t=i(t),e instanceof o){if(e.loose===!!t.loose)return e;e=e.value}e=e.trim().split(/\s+/).join(" "),c("comparator",e,t),this.options=t,this.loose=!!t.loose,this.parse(e),this.semver===r?this.value="":this.value=this.operator+this.semver.version,c("comp",this)}parse(e){const t=this.options.loose?a[s.COMPARATORLOOSE]:a[s.COMPARATOR],n=e.match(t);if(!n)throw new TypeError(`Invalid comparator: ${e}`);this.operator=void 0!==n[1]?n[1]:"","="===this.operator&&(this.operator=""),n[2]?this.semver=new u(n[2],this.options.loose):this.semver=r}toString(){return this.value}test(e){if(c("Comparator.test",e,this.options.loose),this.semver===r||e===r)return!0;if("string"==typeof e)try{e=new u(e,this.options)}catch(e){return!1}return l(e,this.operator,this.semver,this.options)}intersects(e,t){if(!(e instanceof o))throw new TypeError("a Comparator is required");return""===this.operator?""===this.value||new d(e.value,t).test(this.value):""===e.operator?""===e.value||new d(this.value,t).test(e.semver):!((t=i(t)).includePrerelease&&("<0.0.0-0"===this.value||"<0.0.0-0"===e.value)||!t.includePrerelease&&(this.value.startsWith("<0.0.0")||e.value.startsWith("<0.0.0"))||(!this.operator.startsWith(">")||!e.operator.startsWith(">"))&&(!this.operator.startsWith("<")||!e.operator.startsWith("<"))&&(this.semver.version!==e.semver.version||!this.operator.includes("=")||!e.operator.includes("="))&&!(l(this.semver,"<",e.semver,t)&&this.operator.startsWith(">")&&e.operator.startsWith("<"))&&!(l(this.semver,">",e.semver,t)&&this.operator.startsWith("<")&&e.operator.startsWith(">")))}}e.exports=o;const i=n(9547),{safeRe:a,t:s}=n(5750),l=n(4991),c=n(1064),u=n(4708),d=n(2839)},2839:(e,t,n)=>{const r=/\s+/g;class o{constructor(e,t){if(t=a(t),e instanceof o)return e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease?e:new o(e.raw,t);if(e instanceof s)return this.raw=e.value,this.set=[[e]],this.formatted=void 0,this;if(this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease,this.raw=e.trim().replace(r," "),this.set=this.raw.split("||").map((e=>this.parseRange(e.trim()))).filter((e=>e.length)),!this.set.length)throw new TypeError(`Invalid SemVer Range: ${this.raw}`);if(this.set.length>1){const e=this.set[0];if(this.set=this.set.filter((e=>!b(e[0]))),0===this.set.length)this.set=[e];else if(this.set.length>1)for(const e of this.set)if(1===e.length&&v(e[0])){this.set=[e];break}}this.formatted=void 0}get range(){if(void 0===this.formatted){this.formatted="";for(let e=0;e<this.set.length;e++){e>0&&(this.formatted+="||");const t=this.set[e];for(let e=0;e<t.length;e++)e>0&&(this.formatted+=" "),this.formatted+=t[e].toString().trim()}}return this.formatted}format(){return this.range}toString(){return this.range}parseRange(e){const t=((this.options.includePrerelease&&g)|(this.options.loose&&m))+":"+e,n=i.get(t);if(n)return n;const r=this.options.loose,o=r?u[d.HYPHENRANGELOOSE]:u[d.HYPHENRANGE];e=e.replace(o,P(this.options.includePrerelease)),l("hyphen replace",e),e=e.replace(u[d.COMPARATORTRIM],p),l("comparator trim",e),e=e.replace(u[d.TILDETRIM],f),l("tilde trim",e),e=e.replace(u[d.CARETTRIM],h),l("caret trim",e);let a=e.split(" ").map((e=>E(e,this.options))).join(" ").split(/\s+/).map((e=>A(e,this.options)));r&&(a=a.filter((e=>(l("loose invalid filter",e,this.options),!!e.match(u[d.COMPARATORLOOSE]))))),l("range list",a);const c=new Map,v=a.map((e=>new s(e,this.options)));for(const e of v){if(b(e))return[e];c.set(e.value,e)}c.size>1&&c.has("")&&c.delete("");const y=[...c.values()];return i.set(t,y),y}intersects(e,t){if(!(e instanceof o))throw new TypeError("a Range is required");return this.set.some((n=>y(n,t)&&e.set.some((e=>y(e,t)&&n.every((n=>e.every((e=>n.intersects(e,t)))))))))}test(e){if(!e)return!1;if("string"==typeof e)try{e=new c(e,this.options)}catch(e){return!1}for(let t=0;t<this.set.length;t++)if(N(this.set[t],e,this.options))return!0;return!1}}e.exports=o;const i=new(n(122)),a=n(9547),s=n(9264),l=n(1064),c=n(4708),{safeRe:u,t:d,comparatorTrimReplace:p,tildeTrimReplace:f,caretTrimReplace:h}=n(5750),{FLAG_INCLUDE_PRERELEASE:g,FLAG_LOOSE:m}=n(2074),b=e=>"<0.0.0-0"===e.value,v=e=>""===e.value,y=(e,t)=>{let n=!0;const r=e.slice();let o=r.pop();for(;n&&r.length;)n=r.every((e=>o.intersects(e,t))),o=r.pop();return n},E=(e,t)=>(l("comp",e,t),e=w(e,t),l("caret",e),e=x(e,t),l("tildes",e),e=T(e,t),l("xrange",e),e=I(e,t),l("stars",e),e),O=e=>!e||"x"===e.toLowerCase()||"*"===e,x=(e,t)=>e.trim().split(/\s+/).map((e=>S(e,t))).join(" "),S=(e,t)=>{const n=t.loose?u[d.TILDELOOSE]:u[d.TILDE];return e.replace(n,((t,n,r,o,i)=>{let a;return l("tilde",e,t,n,r,o,i),O(n)?a="":O(r)?a=`>=${n}.0.0 <${+n+1}.0.0-0`:O(o)?a=`>=${n}.${r}.0 <${n}.${+r+1}.0-0`:i?(l("replaceTilde pr",i),a=`>=${n}.${r}.${o}-${i} <${n}.${+r+1}.0-0`):a=`>=${n}.${r}.${o} <${n}.${+r+1}.0-0`,l("tilde return",a),a}))},w=(e,t)=>e.trim().split(/\s+/).map((e=>R(e,t))).join(" "),R=(e,t)=>{l("caret",e,t);const n=t.loose?u[d.CARETLOOSE]:u[d.CARET],r=t.includePrerelease?"-0":"";return e.replace(n,((t,n,o,i,a)=>{let s;return l("caret",e,t,n,o,i,a),O(n)?s="":O(o)?s=`>=${n}.0.0${r} <${+n+1}.0.0-0`:O(i)?s="0"===n?`>=${n}.${o}.0${r} <${n}.${+o+1}.0-0`:`>=${n}.${o}.0${r} <${+n+1}.0.0-0`:a?(l("replaceCaret pr",a),s="0"===n?"0"===o?`>=${n}.${o}.${i}-${a} <${n}.${o}.${+i+1}-0`:`>=${n}.${o}.${i}-${a} <${n}.${+o+1}.0-0`:`>=${n}.${o}.${i}-${a} <${+n+1}.0.0-0`):(l("no pr"),s="0"===n?"0"===o?`>=${n}.${o}.${i}${r} <${n}.${o}.${+i+1}-0`:`>=${n}.${o}.${i}${r} <${n}.${+o+1}.0-0`:`>=${n}.${o}.${i} <${+n+1}.0.0-0`),l("caret return",s),s}))},T=(e,t)=>(l("replaceXRanges",e,t),e.split(/\s+/).map((e=>C(e,t))).join(" ")),C=(e,t)=>{e=e.trim();const n=t.loose?u[d.XRANGELOOSE]:u[d.XRANGE];return e.replace(n,((n,r,o,i,a,s)=>{l("xRange",e,n,r,o,i,a,s);const c=O(o),u=c||O(i),d=u||O(a),p=d;return"="===r&&p&&(r=""),s=t.includePrerelease?"-0":"",c?n=">"===r||"<"===r?"<0.0.0-0":"*":r&&p?(u&&(i=0),a=0,">"===r?(r=">=",u?(o=+o+1,i=0,a=0):(i=+i+1,a=0)):"<="===r&&(r="<",u?o=+o+1:i=+i+1),"<"===r&&(s="-0"),n=`${r+o}.${i}.${a}${s}`):u?n=`>=${o}.0.0${s} <${+o+1}.0.0-0`:d&&(n=`>=${o}.${i}.0${s} <${o}.${+i+1}.0-0`),l("xRange return",n),n}))},I=(e,t)=>(l("replaceStars",e,t),e.trim().replace(u[d.STAR],"")),A=(e,t)=>(l("replaceGTE0",e,t),e.trim().replace(u[t.includePrerelease?d.GTE0PRE:d.GTE0],"")),P=e=>(t,n,r,o,i,a,s,l,c,u,d,p)=>`${n=O(r)?"":O(o)?`>=${r}.0.0${e?"-0":""}`:O(i)?`>=${r}.${o}.0${e?"-0":""}`:a?`>=${n}`:`>=${n}${e?"-0":""}`} ${l=O(c)?"":O(u)?`<${+c+1}.0.0-0`:O(d)?`<${c}.${+u+1}.0-0`:p?`<=${c}.${u}.${d}-${p}`:e?`<${c}.${u}.${+d+1}-0`:`<=${l}`}`.trim(),N=(e,t,n)=>{for(let n=0;n<e.length;n++)if(!e[n].test(t))return!1;if(t.prerelease.length&&!n.includePrerelease){for(let n=0;n<e.length;n++)if(l(e[n].semver),e[n].semver!==s.ANY&&e[n].semver.prerelease.length>0){const r=e[n].semver;if(r.major===t.major&&r.minor===t.minor&&r.patch===t.patch)return!0}return!1}return!0}},4708:(e,t,n)=>{const r=n(1064),{MAX_LENGTH:o,MAX_SAFE_INTEGER:i}=n(2074),{safeRe:a,t:s}=n(5750),l=n(9547),{compareIdentifiers:c}=n(1427);class u{constructor(e,t){if(t=l(t),e instanceof u){if(e.loose===!!t.loose&&e.includePrerelease===!!t.includePrerelease)return e;e=e.version}else if("string"!=typeof e)throw new TypeError(`Invalid version. Must be a string. Got type "${typeof e}".`);if(e.length>o)throw new TypeError(`version is longer than ${o} characters`);r("SemVer",e,t),this.options=t,this.loose=!!t.loose,this.includePrerelease=!!t.includePrerelease;const n=e.trim().match(t.loose?a[s.LOOSE]:a[s.FULL]);if(!n)throw new TypeError(`Invalid Version: ${e}`);if(this.raw=e,this.major=+n[1],this.minor=+n[2],this.patch=+n[3],this.major>i||this.major<0)throw new TypeError("Invalid major version");if(this.minor>i||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>i||this.patch<0)throw new TypeError("Invalid patch version");n[4]?this.prerelease=n[4].split(".").map((e=>{if(/^[0-9]+$/.test(e)){const t=+e;if(t>=0&&t<i)return t}return e})):this.prerelease=[],this.build=n[5]?n[5].split("."):[],this.format()}format(){return this.version=`${this.major}.${this.minor}.${this.patch}`,this.prerelease.length&&(this.version+=`-${this.prerelease.join(".")}`),this.version}toString(){return this.version}compare(e){if(r("SemVer.compare",this.version,this.options,e),!(e instanceof u)){if("string"==typeof e&&e===this.version)return 0;e=new u(e,this.options)}return e.version===this.version?0:this.compareMain(e)||this.comparePre(e)}compareMain(e){return e instanceof u||(e=new u(e,this.options)),c(this.major,e.major)||c(this.minor,e.minor)||c(this.patch,e.patch)}comparePre(e){if(e instanceof u||(e=new u(e,this.options)),this.prerelease.length&&!e.prerelease.length)return-1;if(!this.prerelease.length&&e.prerelease.length)return 1;if(!this.prerelease.length&&!e.prerelease.length)return 0;let t=0;do{const n=this.prerelease[t],o=e.prerelease[t];if(r("prerelease compare",t,n,o),void 0===n&&void 0===o)return 0;if(void 0===o)return 1;if(void 0===n)return-1;if(n!==o)return c(n,o)}while(++t)}compareBuild(e){e instanceof u||(e=new u(e,this.options));let t=0;do{const n=this.build[t],o=e.build[t];if(r("build compare",t,n,o),void 0===n&&void 0===o)return 0;if(void 0===o)return 1;if(void 0===n)return-1;if(n!==o)return c(n,o)}while(++t)}inc(e,t,n){switch(e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",t,n);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",t,n);break;case"prepatch":this.prerelease.length=0,this.inc("patch",t,n),this.inc("pre",t,n);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",t,n),this.inc("pre",t,n);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":{const e=Number(n)?1:0;if(!t&&!1===n)throw new Error("invalid increment argument: identifier is empty");if(0===this.prerelease.length)this.prerelease=[e];else{let r=this.prerelease.length;for(;--r>=0;)"number"==typeof this.prerelease[r]&&(this.prerelease[r]++,r=-2);if(-1===r){if(t===this.prerelease.join(".")&&!1===n)throw new Error("invalid increment argument: identifier already exists");this.prerelease.push(e)}}if(t){let r=[t,e];!1===n&&(r=[t]),0===c(this.prerelease[0],t)?isNaN(this.prerelease[1])&&(this.prerelease=r):this.prerelease=r}break}default:throw new Error(`invalid increment argument: ${e}`)}return this.raw=this.format(),this.build.length&&(this.raw+=`+${this.build.join(".")}`),this}}e.exports=u},8854:(e,t,n)=>{const r=n(4256);e.exports=(e,t)=>{const n=r(e.trim().replace(/^[=v]+/,""),t);return n?n.version:null}},4991:(e,t,n)=>{const r=n(1409),o=n(6031),i=n(9308),a=n(3833),s=n(2083),l=n(4624);e.exports=(e,t,n,c)=>{switch(t){case"===":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e===n;case"!==":return"object"==typeof e&&(e=e.version),"object"==typeof n&&(n=n.version),e!==n;case"":case"=":case"==":return r(e,n,c);case"!=":return o(e,n,c);case">":return i(e,n,c);case">=":return a(e,n,c);case"<":return s(e,n,c);case"<=":return l(e,n,c);default:throw new TypeError(`Invalid operator: ${t}`)}}},362:(e,t,n)=>{const r=n(4708),o=n(4256),{safeRe:i,t:a}=n(5750);e.exports=(e,t)=>{if(e instanceof r)return e;if("number"==typeof e&&(e=String(e)),"string"!=typeof e)return null;let n=null;if((t=t||{}).rtl){const r=t.includePrerelease?i[a.COERCERTLFULL]:i[a.COERCERTL];let o;for(;(o=r.exec(e))&&(!n||n.index+n[0].length!==e.length);)n&&o.index+o[0].length===n.index+n[0].length||(n=o),r.lastIndex=o.index+o[1].length+o[2].length;r.lastIndex=-1}else n=e.match(t.includePrerelease?i[a.COERCEFULL]:i[a.COERCE]);if(null===n)return null;const s=n[2],l=n[3]||"0",c=n[4]||"0",u=t.includePrerelease&&n[5]?`-${n[5]}`:"",d=t.includePrerelease&&n[6]?`+${n[6]}`:"";return o(`${s}.${l}.${c}${u}${d}`,t)}},7565:(e,t,n)=>{const r=n(4708);e.exports=(e,t,n)=>{const o=new r(e,n),i=new r(t,n);return o.compare(i)||o.compareBuild(i)}},5699:(e,t,n)=>{const r=n(3440);e.exports=(e,t)=>r(e,t,!0)},3440:(e,t,n)=>{const r=n(4708);e.exports=(e,t,n)=>new r(e,n).compare(new r(t,n))},4952:(e,t,n)=>{const r=n(4256);e.exports=(e,t)=>{const n=r(e,null,!0),o=r(t,null,!0),i=n.compare(o);if(0===i)return null;const a=i>0,s=a?n:o,l=a?o:n,c=!!s.prerelease.length;if(l.prerelease.length&&!c)return l.patch||l.minor?s.patch?"patch":s.minor?"minor":"major":"major";const u=c?"pre":"";return n.major!==o.major?u+"major":n.minor!==o.minor?u+"minor":n.patch!==o.patch?u+"patch":"prerelease"}},1409:(e,t,n)=>{const r=n(3440);e.exports=(e,t,n)=>0===r(e,t,n)},9308:(e,t,n)=>{const r=n(3440);e.exports=(e,t,n)=>r(e,t,n)>0},3833:(e,t,n)=>{const r=n(3440);e.exports=(e,t,n)=>r(e,t,n)>=0},2479:(e,t,n)=>{const r=n(4708);e.exports=(e,t,n,o,i)=>{"string"==typeof n&&(i=o,o=n,n=void 0);try{return new r(e instanceof r?e.version:e,n).inc(t,o,i).version}catch(e){return null}}},2083:(e,t,n)=>{const r=n(3440);e.exports=(e,t,n)=>r(e,t,n)<0},4624:(e,t,n)=>{const r=n(3440);e.exports=(e,t,n)=>r(e,t,n)<=0},1034:(e,t,n)=>{const r=n(4708);e.exports=(e,t)=>new r(e,t).major},9406:(e,t,n)=>{const r=n(4708);e.exports=(e,t)=>new r(e,t).minor},6031:(e,t,n)=>{const r=n(3440);e.exports=(e,t,n)=>0!==r(e,t,n)},4256:(e,t,n)=>{const r=n(4708);e.exports=(e,t,n=!1)=>{if(e instanceof r)return e;try{return new r(e,t)}catch(e){if(!n)return null;throw e}}},5229:(e,t,n)=>{const r=n(4708);e.exports=(e,t)=>new r(e,t).patch},6513:(e,t,n)=>{const r=n(4256);e.exports=(e,t)=>{const n=r(e,t);return n&&n.prerelease.length?n.prerelease:null}},7618:(e,t,n)=>{const r=n(3440);e.exports=(e,t,n)=>r(t,e,n)},1173:(e,t,n)=>{const r=n(7565);e.exports=(e,t)=>e.sort(((e,n)=>r(n,e,t)))},857:(e,t,n)=>{const r=n(2839);e.exports=(e,t,n)=>{try{t=new r(t,n)}catch(e){return!1}return t.test(e)}},3559:(e,t,n)=>{const r=n(7565);e.exports=(e,t)=>e.sort(((e,n)=>r(e,n,t)))},9881:(e,t,n)=>{const r=n(4256);e.exports=(e,t)=>{const n=r(e,t);return n?n.version:null}},709:(e,t,n)=>{const r=n(5750),o=n(2074),i=n(4708),a=n(1427),s=n(4256),l=n(9881),c=n(8854),u=n(2479),d=n(4952),p=n(1034),f=n(9406),h=n(5229),g=n(6513),m=n(3440),b=n(7618),v=n(5699),y=n(7565),E=n(3559),O=n(1173),x=n(9308),S=n(2083),w=n(1409),R=n(6031),T=n(3833),C=n(4624),I=n(4991),A=n(362),P=n(9264),N=n(2839),L=n(857),k=n(3327),j=n(6988),D=n(2366),M=n(9834),_=n(130),F=n(7715),V=n(7379),$=n(110),U=n(284),B=n(8285),H=n(2008);e.exports={parse:s,valid:l,clean:c,inc:u,diff:d,major:p,minor:f,patch:h,prerelease:g,compare:m,rcompare:b,compareLoose:v,compareBuild:y,sort:E,rsort:O,gt:x,lt:S,eq:w,neq:R,gte:T,lte:C,cmp:I,coerce:A,Comparator:P,Range:N,satisfies:L,toComparators:k,maxSatisfying:j,minSatisfying:D,minVersion:M,validRange:_,outside:F,gtr:V,ltr:$,intersects:U,simplifyRange:B,subset:H,SemVer:i,re:r.re,src:r.src,tokens:r.t,SEMVER_SPEC_VERSION:o.SEMVER_SPEC_VERSION,RELEASE_TYPES:o.RELEASE_TYPES,compareIdentifiers:a.compareIdentifiers,rcompareIdentifiers:a.rcompareIdentifiers}},2074:e=>{const t=Number.MAX_SAFE_INTEGER||9007199254740991;e.exports={MAX_LENGTH:256,MAX_SAFE_COMPONENT_LENGTH:16,MAX_SAFE_BUILD_LENGTH:250,MAX_SAFE_INTEGER:t,RELEASE_TYPES:["major","premajor","minor","preminor","patch","prepatch","prerelease"],SEMVER_SPEC_VERSION:"2.0.0",FLAG_INCLUDE_PRERELEASE:1,FLAG_LOOSE:2}},1064:e=>{const t="object"==typeof process&&process.env&&process.env.NODE_DEBUG&&/\bsemver\b/i.test(process.env.NODE_DEBUG)?(...e)=>console.error("SEMVER",...e):()=>{};e.exports=t},1427:e=>{const t=/^[0-9]+$/,n=(e,n)=>{const r=t.test(e),o=t.test(n);return r&&o&&(e=+e,n=+n),e===n?0:r&&!o?-1:o&&!r?1:e<n?-1:1};e.exports={compareIdentifiers:n,rcompareIdentifiers:(e,t)=>n(t,e)}},122:e=>{e.exports=class{constructor(){this.max=1e3,this.map=new Map}get(e){const t=this.map.get(e);return void 0===t?void 0:(this.map.delete(e),this.map.set(e,t),t)}delete(e){return this.map.delete(e)}set(e,t){if(!this.delete(e)&&void 0!==t){if(this.map.size>=this.max){const e=this.map.keys().next().value;this.delete(e)}this.map.set(e,t)}return this}}},9547:e=>{const t=Object.freeze({loose:!0}),n=Object.freeze({});e.exports=e=>e?"object"!=typeof e?t:e:n},5750:(e,t,n)=>{const{MAX_SAFE_COMPONENT_LENGTH:r,MAX_SAFE_BUILD_LENGTH:o,MAX_LENGTH:i}=n(2074),a=n(1064),s=(t=e.exports={}).re=[],l=t.safeRe=[],c=t.src=[],u=t.t={};let d=0;const p="[a-zA-Z0-9-]",f=[["\\s",1],["\\d",i],[p,o]],h=(e,t,n)=>{const r=(e=>{for(const[t,n]of f)e=e.split(`${t}*`).join(`${t}{0,${n}}`).split(`${t}+`).join(`${t}{1,${n}}`);return e})(t),o=d++;a(e,o,t),u[e]=o,c[o]=t,s[o]=new RegExp(t,n?"g":void 0),l[o]=new RegExp(r,n?"g":void 0)};h("NUMERICIDENTIFIER","0|[1-9]\\d*"),h("NUMERICIDENTIFIERLOOSE","\\d+"),h("NONNUMERICIDENTIFIER",`\\d*[a-zA-Z-]${p}*`),h("MAINVERSION",`(${c[u.NUMERICIDENTIFIER]})\\.(${c[u.NUMERICIDENTIFIER]})\\.(${c[u.NUMERICIDENTIFIER]})`),h("MAINVERSIONLOOSE",`(${c[u.NUMERICIDENTIFIERLOOSE]})\\.(${c[u.NUMERICIDENTIFIERLOOSE]})\\.(${c[u.NUMERICIDENTIFIERLOOSE]})`),h("PRERELEASEIDENTIFIER",`(?:${c[u.NUMERICIDENTIFIER]}|${c[u.NONNUMERICIDENTIFIER]})`),h("PRERELEASEIDENTIFIERLOOSE",`(?:${c[u.NUMERICIDENTIFIERLOOSE]}|${c[u.NONNUMERICIDENTIFIER]})`),h("PRERELEASE",`(?:-(${c[u.PRERELEASEIDENTIFIER]}(?:\\.${c[u.PRERELEASEIDENTIFIER]})*))`),h("PRERELEASELOOSE",`(?:-?(${c[u.PRERELEASEIDENTIFIERLOOSE]}(?:\\.${c[u.PRERELEASEIDENTIFIERLOOSE]})*))`),h("BUILDIDENTIFIER",`${p}+`),h("BUILD",`(?:\\+(${c[u.BUILDIDENTIFIER]}(?:\\.${c[u.BUILDIDENTIFIER]})*))`),h("FULLPLAIN",`v?${c[u.MAINVERSION]}${c[u.PRERELEASE]}?${c[u.BUILD]}?`),h("FULL",`^${c[u.FULLPLAIN]}$`),h("LOOSEPLAIN",`[v=\\s]*${c[u.MAINVERSIONLOOSE]}${c[u.PRERELEASELOOSE]}?${c[u.BUILD]}?`),h("LOOSE",`^${c[u.LOOSEPLAIN]}$`),h("GTLT","((?:<|>)?=?)"),h("XRANGEIDENTIFIERLOOSE",`${c[u.NUMERICIDENTIFIERLOOSE]}|x|X|\\*`),h("XRANGEIDENTIFIER",`${c[u.NUMERICIDENTIFIER]}|x|X|\\*`),h("XRANGEPLAIN",`[v=\\s]*(${c[u.XRANGEIDENTIFIER]})(?:\\.(${c[u.XRANGEIDENTIFIER]})(?:\\.(${c[u.XRANGEIDENTIFIER]})(?:${c[u.PRERELEASE]})?${c[u.BUILD]}?)?)?`),h("XRANGEPLAINLOOSE",`[v=\\s]*(${c[u.XRANGEIDENTIFIERLOOSE]})(?:\\.(${c[u.XRANGEIDENTIFIERLOOSE]})(?:\\.(${c[u.XRANGEIDENTIFIERLOOSE]})(?:${c[u.PRERELEASELOOSE]})?${c[u.BUILD]}?)?)?`),h("XRANGE",`^${c[u.GTLT]}\\s*${c[u.XRANGEPLAIN]}$`),h("XRANGELOOSE",`^${c[u.GTLT]}\\s*${c[u.XRANGEPLAINLOOSE]}$`),h("COERCEPLAIN",`(^|[^\\d])(\\d{1,${r}})(?:\\.(\\d{1,${r}}))?(?:\\.(\\d{1,${r}}))?`),h("COERCE",`${c[u.COERCEPLAIN]}(?:$|[^\\d])`),h("COERCEFULL",c[u.COERCEPLAIN]+`(?:${c[u.PRERELEASE]})?`+`(?:${c[u.BUILD]})?(?:$|[^\\d])`),h("COERCERTL",c[u.COERCE],!0),h("COERCERTLFULL",c[u.COERCEFULL],!0),h("LONETILDE","(?:~>?)"),h("TILDETRIM",`(\\s*)${c[u.LONETILDE]}\\s+`,!0),t.tildeTrimReplace="$1~",h("TILDE",`^${c[u.LONETILDE]}${c[u.XRANGEPLAIN]}$`),h("TILDELOOSE",`^${c[u.LONETILDE]}${c[u.XRANGEPLAINLOOSE]}$`),h("LONECARET","(?:\\^)"),h("CARETTRIM",`(\\s*)${c[u.LONECARET]}\\s+`,!0),t.caretTrimReplace="$1^",h("CARET",`^${c[u.LONECARET]}${c[u.XRANGEPLAIN]}$`),h("CARETLOOSE",`^${c[u.LONECARET]}${c[u.XRANGEPLAINLOOSE]}$`),h("COMPARATORLOOSE",`^${c[u.GTLT]}\\s*(${c[u.LOOSEPLAIN]})$|^$`),h("COMPARATOR",`^${c[u.GTLT]}\\s*(${c[u.FULLPLAIN]})$|^$`),h("COMPARATORTRIM",`(\\s*)${c[u.GTLT]}\\s*(${c[u.LOOSEPLAIN]}|${c[u.XRANGEPLAIN]})`,!0),t.comparatorTrimReplace="$1$2$3",h("HYPHENRANGE",`^\\s*(${c[u.XRANGEPLAIN]})\\s+-\\s+(${c[u.XRANGEPLAIN]})\\s*$`),h("HYPHENRANGELOOSE",`^\\s*(${c[u.XRANGEPLAINLOOSE]})\\s+-\\s+(${c[u.XRANGEPLAINLOOSE]})\\s*$`),h("STAR","(<|>)?=?\\s*\\*"),h("GTE0","^\\s*>=\\s*0\\.0\\.0\\s*$"),h("GTE0PRE","^\\s*>=\\s*0\\.0\\.0-0\\s*$")},7379:(e,t,n)=>{const r=n(7715);e.exports=(e,t,n)=>r(e,t,">",n)},284:(e,t,n)=>{const r=n(2839);e.exports=(e,t,n)=>(e=new r(e,n),t=new r(t,n),e.intersects(t,n))},110:(e,t,n)=>{const r=n(7715);e.exports=(e,t,n)=>r(e,t,"<",n)},6988:(e,t,n)=>{const r=n(4708),o=n(2839);e.exports=(e,t,n)=>{let i=null,a=null,s=null;try{s=new o(t,n)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(i&&-1!==a.compare(e)||(i=e,a=new r(i,n)))})),i}},2366:(e,t,n)=>{const r=n(4708),o=n(2839);e.exports=(e,t,n)=>{let i=null,a=null,s=null;try{s=new o(t,n)}catch(e){return null}return e.forEach((e=>{s.test(e)&&(i&&1!==a.compare(e)||(i=e,a=new r(i,n)))})),i}},9834:(e,t,n)=>{const r=n(4708),o=n(2839),i=n(9308);e.exports=(e,t)=>{e=new o(e,t);let n=new r("0.0.0");if(e.test(n))return n;if(n=new r("0.0.0-0"),e.test(n))return n;n=null;for(let t=0;t<e.set.length;++t){const o=e.set[t];let a=null;o.forEach((e=>{const t=new r(e.semver.version);switch(e.operator){case">":0===t.prerelease.length?t.patch++:t.prerelease.push(0),t.raw=t.format();case"":case">=":a&&!i(t,a)||(a=t);break;case"<":case"<=":break;default:throw new Error(`Unexpected operation: ${e.operator}`)}})),!a||n&&!i(n,a)||(n=a)}return n&&e.test(n)?n:null}},7715:(e,t,n)=>{const r=n(4708),o=n(9264),{ANY:i}=o,a=n(2839),s=n(857),l=n(9308),c=n(2083),u=n(4624),d=n(3833);e.exports=(e,t,n,p)=>{let f,h,g,m,b;switch(e=new r(e,p),t=new a(t,p),n){case">":f=l,h=u,g=c,m=">",b=">=";break;case"<":f=c,h=d,g=l,m="<",b="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(s(e,t,p))return!1;for(let n=0;n<t.set.length;++n){const r=t.set[n];let a=null,s=null;if(r.forEach((e=>{e.semver===i&&(e=new o(">=0.0.0")),a=a||e,s=s||e,f(e.semver,a.semver,p)?a=e:g(e.semver,s.semver,p)&&(s=e)})),a.operator===m||a.operator===b)return!1;if((!s.operator||s.operator===m)&&h(e,s.semver))return!1;if(s.operator===b&&g(e,s.semver))return!1}return!0}},8285:(e,t,n)=>{const r=n(857),o=n(3440);e.exports=(e,t,n)=>{const i=[];let a=null,s=null;const l=e.sort(((e,t)=>o(e,t,n)));for(const e of l)r(e,t,n)?(s=e,a||(a=e)):(s&&i.push([a,s]),s=null,a=null);a&&i.push([a,null]);const c=[];for(const[e,t]of i)e===t?c.push(e):t||e!==l[0]?t?e===l[0]?c.push(`<=${t}`):c.push(`${e} - ${t}`):c.push(`>=${e}`):c.push("*");const u=c.join(" || "),d="string"==typeof t.raw?t.raw:String(t);return u.length<d.length?u:t}},2008:(e,t,n)=>{const r=n(2839),o=n(9264),{ANY:i}=o,a=n(857),s=n(3440),l=[new o(">=0.0.0-0")],c=[new o(">=0.0.0")],u=(e,t,n)=>{if(e===t)return!0;if(1===e.length&&e[0].semver===i){if(1===t.length&&t[0].semver===i)return!0;e=n.includePrerelease?l:c}if(1===t.length&&t[0].semver===i){if(n.includePrerelease)return!0;t=c}const r=new Set;let o,u,f,h,g,m,b;for(const t of e)">"===t.operator||">="===t.operator?o=d(o,t,n):"<"===t.operator||"<="===t.operator?u=p(u,t,n):r.add(t.semver);if(r.size>1)return null;if(o&&u){if(f=s(o.semver,u.semver,n),f>0)return null;if(0===f&&(">="!==o.operator||"<="!==u.operator))return null}for(const e of r){if(o&&!a(e,String(o),n))return null;if(u&&!a(e,String(u),n))return null;for(const r of t)if(!a(e,String(r),n))return!1;return!0}let v=!(!u||n.includePrerelease||!u.semver.prerelease.length)&&u.semver,y=!(!o||n.includePrerelease||!o.semver.prerelease.length)&&o.semver;v&&1===v.prerelease.length&&"<"===u.operator&&0===v.prerelease[0]&&(v=!1);for(const e of t){if(b=b||">"===e.operator||">="===e.operator,m=m||"<"===e.operator||"<="===e.operator,o)if(y&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===y.major&&e.semver.minor===y.minor&&e.semver.patch===y.patch&&(y=!1),">"===e.operator||">="===e.operator){if(h=d(o,e,n),h===e&&h!==o)return!1}else if(">="===o.operator&&!a(o.semver,String(e),n))return!1;if(u)if(v&&e.semver.prerelease&&e.semver.prerelease.length&&e.semver.major===v.major&&e.semver.minor===v.minor&&e.semver.patch===v.patch&&(v=!1),"<"===e.operator||"<="===e.operator){if(g=p(u,e,n),g===e&&g!==u)return!1}else if("<="===u.operator&&!a(u.semver,String(e),n))return!1;if(!e.operator&&(u||o)&&0!==f)return!1}return!(o&&m&&!u&&0!==f||u&&b&&!o&&0!==f||y||v)},d=(e,t,n)=>{if(!e)return t;const r=s(e.semver,t.semver,n);return r>0?e:r<0||">"===t.operator&&">="===e.operator?t:e},p=(e,t,n)=>{if(!e)return t;const r=s(e.semver,t.semver,n);return r<0?e:r>0||"<"===t.operator&&"<="===e.operator?t:e};e.exports=(e,t,n={})=>{if(e===t)return!0;e=new r(e,n),t=new r(t,n);let o=!1;e:for(const r of e.set){for(const e of t.set){const t=u(r,e,n);if(o=o||null!==t,t)continue e}if(o)return!1}return!0}},3327:(e,t,n)=>{const r=n(2839);e.exports=(e,t)=>new r(e,t).set.map((e=>e.map((e=>e.value)).join(" ").trim().split(" ")))},130:(e,t,n)=>{const r=n(2839);e.exports=(e,t)=>{try{return new r(e,t).range||"*"}catch(e){return null}}},9157:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=l(n(1283)),o=l(n(1025)),i=l(n(2520)),a=l(n(9137)),s=l(n(9429));function l(e){return e&&e.__esModule?e:{default:e}}function c(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}var u=function(e){return e.replace(/[\t ]+$/,"")},d=function(){function e(t,n,r){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t||{},this.indentation=new i.default(this.cfg.indent),this.inlineBlock=new a.default,this.params=new s.default(this.cfg.params),this.tokenizer=n,this.tokenOverride=r,this.previousReservedWord={},this.tokens=[],this.index=0}var t,n;return t=e,n=[{key:"format",value:function(e){return this.tokens=this.tokenizer.tokenize(e),this.getFormattedQueryFromTokens().trim()}},{key:"getFormattedQueryFromTokens",value:function(){var e=this,t="";return this.tokens.forEach((function(n,r){e.index=r,e.tokenOverride&&(n=e.tokenOverride(n,e.previousReservedWord)||n),n.type===o.default.WHITESPACE||(n.type===o.default.LINE_COMMENT?t=e.formatLineComment(n,t):n.type===o.default.BLOCK_COMMENT?t=e.formatBlockComment(n,t):n.type===o.default.RESERVED_TOP_LEVEL?(t=e.formatTopLevelReservedWord(n,t),e.previousReservedWord=n):n.type===o.default.RESERVED_TOP_LEVEL_NO_INDENT?(t=e.formatTopLevelReservedWordNoIndent(n,t),e.previousReservedWord=n):n.type===o.default.RESERVED_NEWLINE?(t=e.formatNewlineReservedWord(n,t),e.previousReservedWord=n):n.type===o.default.RESERVED?(t=e.formatWithSpaces(n,t),e.previousReservedWord=n):t=n.type===o.default.OPEN_PAREN?e.formatOpeningParentheses(n,t):n.type===o.default.CLOSE_PAREN?e.formatClosingParentheses(n,t):n.type===o.default.PLACEHOLDER?e.formatPlaceholder(n,t):","===n.value?e.formatComma(n,t):":"===n.value?e.formatWithSpaceAfter(n,t):"."===n.value?e.formatWithoutSpaces(n,t):";"===n.value?e.formatQuerySeparator(n,t):e.formatWithSpaces(n,t))})),t}},{key:"formatLineComment",value:function(e,t){return this.addNewline(t+e.value)}},{key:"formatBlockComment",value:function(e,t){return this.addNewline(this.addNewline(t)+this.indentComment(e.value))}},{key:"indentComment",value:function(e){return e.replace(/\n[\t ]*/g,"\n"+this.indentation.getIndent()+" ")}},{key:"formatTopLevelReservedWordNoIndent",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatTopLevelReservedWord",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t),this.indentation.increaseTopLevel(),t+=this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatNewlineReservedWord",value:function(e,t){return this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value))+" "}},{key:"equalizeWhitespace",value:function(e){return e.replace(/[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+/g," ")}},{key:"formatOpeningParentheses",value:function(e,t){var n=[o.default.WHITESPACE,o.default.OPEN_PAREN,o.default.LINE_COMMENT];return(0,r.default)(n,this.previousToken().type)||(t=u(t)),t+=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.beginIfPossible(this.tokens,this.index),this.inlineBlock.isActive()||(this.indentation.increaseBlockLevel(),t=this.addNewline(t)),t}},{key:"formatClosingParentheses",value:function(e,t){return e.value=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.isActive()?(this.inlineBlock.end(),this.formatWithSpaceAfter(e,t)):(this.indentation.decreaseBlockLevel(),this.formatWithSpaces(e,this.addNewline(t)))}},{key:"formatPlaceholder",value:function(e,t){return t+this.params.get(e)+" "}},{key:"formatComma",value:function(e,t){return t=u(t)+e.value+" ",this.inlineBlock.isActive()||/^LIMIT$/i.test(this.previousReservedWord.value)?t:this.addNewline(t)}},{key:"formatWithSpaceAfter",value:function(e,t){return u(t)+e.value+" "}},{key:"formatWithoutSpaces",value:function(e,t){return u(t)+e.value}},{key:"formatWithSpaces",value:function(e,t){return t+("reserved"===e.type?this.formatReservedWord(e.value):e.value)+" "}},{key:"formatReservedWord",value:function(e){return this.cfg.uppercase?e.toUpperCase():e}},{key:"formatQuerySeparator",value:function(e,t){return this.indentation.resetIndentation(),u(t)+e.value+"\n".repeat(this.cfg.linesBetweenQueries||1)}},{key:"addNewline",value:function(e){return(e=u(e)).endsWith("\n")||(e+="\n"),e+this.indentation.getIndent()}},{key:"previousToken",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:1;return this.tokens[this.index-e]||{}}}],n&&c(t.prototype,n),e}();t.default=d,e.exports=t.default},2520:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=i(n(9901)),o=i(n(8906));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}var s="top-level",l=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.indent=t||"  ",this.indentTypes=[]}var t,n;return t=e,(n=[{key:"getIndent",value:function(){return(0,r.default)(this.indent,this.indentTypes.length)}},{key:"increaseTopLevel",value:function(){this.indentTypes.push(s)}},{key:"increaseBlockLevel",value:function(){this.indentTypes.push("block-level")}},{key:"decreaseTopLevel",value:function(){(0,o.default)(this.indentTypes)===s&&this.indentTypes.pop()}},{key:"decreaseBlockLevel",value:function(){for(;this.indentTypes.length>0&&this.indentTypes.pop()===s;);}},{key:"resetIndentation",value:function(){this.indentTypes=[]}}])&&a(t.prototype,n),e}();t.default=l,e.exports=t.default},9137:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r,o=(r=n(1025))&&r.__esModule?r:{default:r};function i(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}var a=function(){function e(){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.level=0}var t,n;return t=e,(n=[{key:"beginIfPossible",value:function(e,t){0===this.level&&this.isInlineBlock(e,t)?this.level=1:this.level>0?this.level++:this.level=0}},{key:"end",value:function(){this.level--}},{key:"isActive",value:function(){return this.level>0}},{key:"isInlineBlock",value:function(e,t){for(var n=0,r=0,i=t;i<e.length;i++){var a=e[i];if((n+=a.value.length)>50)return!1;if(a.type===o.default.OPEN_PAREN)r++;else if(a.type===o.default.CLOSE_PAREN&&0==--r)return!0;if(this.isForbiddenToken(a))return!1}return!1}},{key:"isForbiddenToken",value:function(e){var t=e.type,n=e.value;return t===o.default.RESERVED_TOP_LEVEL||t===o.default.RESERVED_NEWLINE||t===o.default.COMMENT||t===o.default.BLOCK_COMMENT||";"===n}}])&&i(t.prototype,n),e}();t.default=a,e.exports=t.default},9429:(e,t)=>{"use strict";function n(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.params=t,this.index=0}var t,r;return t=e,(r=[{key:"get",value:function(e){var t=e.key,n=e.value;return this.params?t?this.params[t]:this.params[this.index++]:n}}])&&n(t.prototype,r),e}();t.default=r,e.exports=t.default},3202:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=a(n(7969)),o=a(n(8472)),i=a(n(1025));function a(e){return e&&e.__esModule?e:{default:e}}function s(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}var l=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.WHITESPACE_REGEX=/^([\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+)/,this.NUMBER_REGEX=/^((\x2D[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]*)?[0-9]+(\.[0-9]+)?|0x[0-9A-Fa-f]+|0b[01]+)\b/,this.OPERATOR_REGEX=/^(!=|<>|==|<=|>=|!<|!>|\|\||::|\x2D>>|\x2D>|~~\*|~~|!~~\*|!~~|~\*|!~\*|!~|:=|(?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]))/,this.BLOCK_COMMENT_REGEX=/^(\/\*(?:[\0-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*?(?:\*\/|$))/,this.LINE_COMMENT_REGEX=this.createLineCommentRegex(t.lineCommentTypes),this.RESERVED_TOP_LEVEL_REGEX=this.createReservedWordRegex(t.reservedTopLevelWords),this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX=this.createReservedWordRegex(t.reservedTopLevelWordsNoIndent),this.RESERVED_NEWLINE_REGEX=this.createReservedWordRegex(t.reservedNewlineWords),this.RESERVED_PLAIN_REGEX=this.createReservedWordRegex(t.reservedWords),this.WORD_REGEX=this.createWordRegex(t.specialWordChars),this.STRING_REGEX=this.createStringRegex(t.stringTypes),this.OPEN_PAREN_REGEX=this.createParenRegex(t.openParens),this.CLOSE_PAREN_REGEX=this.createParenRegex(t.closeParens),this.INDEXED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.indexedPlaceholderTypes,"[0-9]*"),this.IDENT_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,"[a-zA-Z0-9._$]+"),this.STRING_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,this.createStringPattern(t.stringTypes))}var t,n;return t=e,n=[{key:"createLineCommentRegex",value:function(e){return new RegExp("^((?:".concat(e.map((function(e){return(0,o.default)(e)})).join("|"),").*?(?:\r\n|\r|\n|$))"),"u")}},{key:"createReservedWordRegex",value:function(e){var t=e.join("|").replace(/ /g,"\\s+");return new RegExp("^(".concat(t,")\\b"),"iu")}},{key:"createWordRegex",value:function(){return new RegExp("^([\\p{Alphabetic}\\p{Mark}\\p{Decimal_Number}\\p{Connector_Punctuation}\\p{Join_Control}".concat((arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).join(""),"]+)"),"u")}},{key:"createStringRegex",value:function(e){return new RegExp("^("+this.createStringPattern(e)+")","u")}},{key:"createStringPattern",value:function(e){var t={"``":"((`[^`]*($|`))+)","[]":"((\\[[^\\]]*($|\\]))(\\][^\\]]*($|\\]))*)",'""':'(("[^"\\\\]*(?:\\\\.[^"\\\\]*)*("|$))+)',"''":"(('[^'\\\\]*(?:\\\\.[^'\\\\]*)*('|$))+)","N''":"((N'[^N'\\\\]*(?:\\\\.[^N'\\\\]*)*('|$))+)"};return e.map((function(e){return t[e]})).join("|")}},{key:"createParenRegex",value:function(e){var t=this;return new RegExp("^("+e.map((function(e){return t.escapeParen(e)})).join("|")+")","iu")}},{key:"escapeParen",value:function(e){return 1===e.length?(0,o.default)(e):"\\b"+e+"\\b"}},{key:"createPlaceholderRegex",value:function(e,t){if((0,r.default)(e))return!1;var n=e.map(o.default).join("|");return new RegExp("^((?:".concat(n,")(?:").concat(t,"))"),"u")}},{key:"tokenize",value:function(e){if(!e)return[];for(var t,n=[];e.length;)t=this.getNextToken(e,t),e=e.substring(t.value.length),n.push(t);return n}},{key:"getNextToken",value:function(e,t){return this.getWhitespaceToken(e)||this.getCommentToken(e)||this.getStringToken(e)||this.getOpenParenToken(e)||this.getCloseParenToken(e)||this.getPlaceholderToken(e)||this.getNumberToken(e)||this.getReservedWordToken(e,t)||this.getWordToken(e)||this.getOperatorToken(e)}},{key:"getWhitespaceToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WHITESPACE,regex:this.WHITESPACE_REGEX})}},{key:"getCommentToken",value:function(e){return this.getLineCommentToken(e)||this.getBlockCommentToken(e)}},{key:"getLineCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.LINE_COMMENT,regex:this.LINE_COMMENT_REGEX})}},{key:"getBlockCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.BLOCK_COMMENT,regex:this.BLOCK_COMMENT_REGEX})}},{key:"getStringToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.STRING,regex:this.STRING_REGEX})}},{key:"getOpenParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPEN_PAREN,regex:this.OPEN_PAREN_REGEX})}},{key:"getCloseParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.CLOSE_PAREN,regex:this.CLOSE_PAREN_REGEX})}},{key:"getPlaceholderToken",value:function(e){return this.getIdentNamedPlaceholderToken(e)||this.getStringNamedPlaceholderToken(e)||this.getIndexedPlaceholderToken(e)}},{key:"getIdentNamedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.IDENT_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getStringNamedPlaceholderToken",value:function(e){var t=this;return this.getPlaceholderTokenWithKey({input:e,regex:this.STRING_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return t.getEscapedPlaceholderKey({key:e.slice(2,-1),quoteChar:e.slice(-1)})}})}},{key:"getIndexedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.INDEXED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getPlaceholderTokenWithKey",value:function(e){var t=e.input,n=e.regex,r=e.parseKey,o=this.getTokenOnFirstMatch({input:t,regex:n,type:i.default.PLACEHOLDER});return o&&(o.key=r(o.value)),o}},{key:"getEscapedPlaceholderKey",value:function(e){var t=e.key,n=e.quoteChar;return t.replace(new RegExp((0,o.default)("\\"+n),"gu"),n)}},{key:"getNumberToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.NUMBER,regex:this.NUMBER_REGEX})}},{key:"getOperatorToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPERATOR,regex:this.OPERATOR_REGEX})}},{key:"getReservedWordToken",value:function(e,t){if(!t||!t.value||"."!==t.value)return this.getTopLevelReservedToken(e)||this.getNewlineReservedToken(e)||this.getTopLevelReservedTokenNoIndent(e)||this.getPlainReservedToken(e)}},{key:"getTopLevelReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL,regex:this.RESERVED_TOP_LEVEL_REGEX})}},{key:"getNewlineReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_NEWLINE,regex:this.RESERVED_NEWLINE_REGEX})}},{key:"getTopLevelReservedTokenNoIndent",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL_NO_INDENT,regex:this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX})}},{key:"getPlainReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED,regex:this.RESERVED_PLAIN_REGEX})}},{key:"getWordToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WORD,regex:this.WORD_REGEX})}},{key:"getTokenOnFirstMatch",value:function(e){var t=e.input,n=e.type,r=e.regex,o=t.match(r);if(o)return{type:n,value:o[1]}}}],n&&s(t.prototype,n),e}();t.default=l,e.exports=t.default},1025:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0,t.default={WHITESPACE:"whitespace",WORD:"word",STRING:"string",RESERVED:"reserved",RESERVED_TOP_LEVEL:"reserved-top-level",RESERVED_TOP_LEVEL_NO_INDENT:"reserved-top-level-no-indent",RESERVED_NEWLINE:"reserved-newline",OPERATOR:"operator",OPEN_PAREN:"open-paren",CLOSE_PAREN:"close-paren",LINE_COMMENT:"line-comment",BLOCK_COMMENT:"block-comment",NUMBER:"number",PLACEHOLDER:"placeholder"},e.exports=t.default},4377:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=i(n(9157)),o=i(n(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}var s,l=["ABS","ACTIVATE","ALIAS","ALL","ALLOCATE","ALLOW","ALTER","ANY","ARE","ARRAY","AS","ASC","ASENSITIVE","ASSOCIATE","ASUTIME","ASYMMETRIC","AT","ATOMIC","ATTRIBUTES","AUDIT","AUTHORIZATION","AUX","AUXILIARY","AVG","BEFORE","BEGIN","BETWEEN","BIGINT","BINARY","BLOB","BOOLEAN","BOTH","BUFFERPOOL","BY","CACHE","CALL","CALLED","CAPTURE","CARDINALITY","CASCADED","CASE","CAST","CCSID","CEIL","CEILING","CHAR","CHARACTER","CHARACTER_LENGTH","CHAR_LENGTH","CHECK","CLOB","CLONE","CLOSE","CLUSTER","COALESCE","COLLATE","COLLECT","COLLECTION","COLLID","COLUMN","COMMENT","COMMIT","CONCAT","CONDITION","CONNECT","CONNECTION","CONSTRAINT","CONTAINS","CONTINUE","CONVERT","CORR","CORRESPONDING","COUNT","COUNT_BIG","COVAR_POP","COVAR_SAMP","CREATE","CROSS","CUBE","CUME_DIST","CURRENT","CURRENT_DATE","CURRENT_DEFAULT_TRANSFORM_GROUP","CURRENT_LC_CTYPE","CURRENT_PATH","CURRENT_ROLE","CURRENT_SCHEMA","CURRENT_SERVER","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_TIMEZONE","CURRENT_TRANSFORM_GROUP_FOR_TYPE","CURRENT_USER","CURSOR","CYCLE","DATA","DATABASE","DATAPARTITIONNAME","DATAPARTITIONNUM","DATE","DAY","DAYS","DB2GENERAL","DB2GENRL","DB2SQL","DBINFO","DBPARTITIONNAME","DBPARTITIONNUM","DEALLOCATE","DEC","DECIMAL","DECLARE","DEFAULT","DEFAULTS","DEFINITION","DELETE","DENSERANK","DENSE_RANK","DEREF","DESCRIBE","DESCRIPTOR","DETERMINISTIC","DIAGNOSTICS","DISABLE","DISALLOW","DISCONNECT","DISTINCT","DO","DOCUMENT","DOUBLE","DROP","DSSIZE","DYNAMIC","EACH","EDITPROC","ELEMENT","ELSE","ELSEIF","ENABLE","ENCODING","ENCRYPTION","END","END-EXEC","ENDING","ERASE","ESCAPE","EVERY","EXCEPTION","EXCLUDING","EXCLUSIVE","EXEC","EXECUTE","EXISTS","EXIT","EXP","EXPLAIN","EXTENDED","EXTERNAL","EXTRACT","FALSE","FENCED","FETCH","FIELDPROC","FILE","FILTER","FINAL","FIRST","FLOAT","FLOOR","FOR","FOREIGN","FREE","FULL","FUNCTION","FUSION","GENERAL","GENERATED","GET","GLOBAL","GOTO","GRANT","GRAPHIC","GROUP","GROUPING","HANDLER","HASH","HASHED_VALUE","HINT","HOLD","HOUR","HOURS","IDENTITY","IF","IMMEDIATE","IN","INCLUDING","INCLUSIVE","INCREMENT","INDEX","INDICATOR","INDICATORS","INF","INFINITY","INHERIT","INNER","INOUT","INSENSITIVE","INSERT","INT","INTEGER","INTEGRITY","INTERSECTION","INTERVAL","INTO","IS","ISOBID","ISOLATION","ITERATE","JAR","JAVA","KEEP","KEY","LABEL","LANGUAGE","LARGE","LATERAL","LC_CTYPE","LEADING","LEAVE","LEFT","LIKE","LINKTYPE","LN","LOCAL","LOCALDATE","LOCALE","LOCALTIME","LOCALTIMESTAMP","LOCATOR","LOCATORS","LOCK","LOCKMAX","LOCKSIZE","LONG","LOOP","LOWER","MAINTAINED","MATCH","MATERIALIZED","MAX","MAXVALUE","MEMBER","MERGE","METHOD","MICROSECOND","MICROSECONDS","MIN","MINUTE","MINUTES","MINVALUE","MOD","MODE","MODIFIES","MODULE","MONTH","MONTHS","MULTISET","NAN","NATIONAL","NATURAL","NCHAR","NCLOB","NEW","NEW_TABLE","NEXTVAL","NO","NOCACHE","NOCYCLE","NODENAME","NODENUMBER","NOMAXVALUE","NOMINVALUE","NONE","NOORDER","NORMALIZE","NORMALIZED","NOT","NULL","NULLIF","NULLS","NUMERIC","NUMPARTS","OBID","OCTET_LENGTH","OF","OFFSET","OLD","OLD_TABLE","ON","ONLY","OPEN","OPTIMIZATION","OPTIMIZE","OPTION","ORDER","OUT","OUTER","OVER","OVERLAPS","OVERLAY","OVERRIDING","PACKAGE","PADDED","PAGESIZE","PARAMETER","PART","PARTITION","PARTITIONED","PARTITIONING","PARTITIONS","PASSWORD","PATH","PERCENTILE_CONT","PERCENTILE_DISC","PERCENT_RANK","PIECESIZE","PLAN","POSITION","POWER","PRECISION","PREPARE","PREVVAL","PRIMARY","PRIQTY","PRIVILEGES","PROCEDURE","PROGRAM","PSID","PUBLIC","QUERY","QUERYNO","RANGE","RANK","READ","READS","REAL","RECOVERY","RECURSIVE","REF","REFERENCES","REFERENCING","REFRESH","REGR_AVGX","REGR_AVGY","REGR_COUNT","REGR_INTERCEPT","REGR_R2","REGR_SLOPE","REGR_SXX","REGR_SXY","REGR_SYY","RELEASE","RENAME","REPEAT","RESET","RESIGNAL","RESTART","RESTRICT","RESULT","RESULT_SET_LOCATOR","RETURN","RETURNS","REVOKE","RIGHT","ROLE","ROLLBACK","ROLLUP","ROUND_CEILING","ROUND_DOWN","ROUND_FLOOR","ROUND_HALF_DOWN","ROUND_HALF_EVEN","ROUND_HALF_UP","ROUND_UP","ROUTINE","ROW","ROWNUMBER","ROWS","ROWSET","ROW_NUMBER","RRN","RUN","SAVEPOINT","SCHEMA","SCOPE","SCRATCHPAD","SCROLL","SEARCH","SECOND","SECONDS","SECQTY","SECURITY","SENSITIVE","SEQUENCE","SESSION","SESSION_USER","SIGNAL","SIMILAR","SIMPLE","SMALLINT","SNAN","SOME","SOURCE","SPECIFIC","SPECIFICTYPE","SQL","SQLEXCEPTION","SQLID","SQLSTATE","SQLWARNING","SQRT","STACKED","STANDARD","START","STARTING","STATEMENT","STATIC","STATMENT","STAY","STDDEV_POP","STDDEV_SAMP","STOGROUP","STORES","STYLE","SUBMULTISET","SUBSTRING","SUM","SUMMARY","SYMMETRIC","SYNONYM","SYSFUN","SYSIBM","SYSPROC","SYSTEM","SYSTEM_USER","TABLE","TABLESAMPLE","TABLESPACE","THEN","TIME","TIMESTAMP","TIMEZONE_HOUR","TIMEZONE_MINUTE","TO","TRAILING","TRANSACTION","TRANSLATE","TRANSLATION","TREAT","TRIGGER","TRIM","TRUE","TRUNCATE","TYPE","UESCAPE","UNDO","UNIQUE","UNKNOWN","UNNEST","UNTIL","UPPER","USAGE","USER","USING","VALIDPROC","VALUE","VARCHAR","VARIABLE","VARIANT","VARYING","VAR_POP","VAR_SAMP","VCAT","VERSION","VIEW","VOLATILE","VOLUMES","WHEN","WHENEVER","WHILE","WIDTH_BUCKET","WINDOW","WITH","WITHIN","WITHOUT","WLM","WRITE","XMLELEMENT","XMLEXISTS","XMLNAMESPACES","YEAR","YEARS"],c=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INTERSECT","LIMIT","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],u=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","CROSS JOIN","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,n;return t=e,(n=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:l,reservedTopLevelWords:c,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:u,stringTypes:['""',"''","``","[]"],openParens:["("],closeParens:[")"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["#","@"]})),new r.default(this.cfg,s).format(e)}}])&&a(t.prototype,n),e}();t.default=p,e.exports=t.default},9445:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=i(n(9157)),o=i(n(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}var s,l=["ALL","ALTER","ANALYZE","AND","ANY","ARRAY","AS","ASC","BEGIN","BETWEEN","BINARY","BOOLEAN","BREAK","BUCKET","BUILD","BY","CALL","CASE","CAST","CLUSTER","COLLATE","COLLECTION","COMMIT","CONNECT","CONTINUE","CORRELATE","COVER","CREATE","DATABASE","DATASET","DATASTORE","DECLARE","DECREMENT","DELETE","DERIVED","DESC","DESCRIBE","DISTINCT","DO","DROP","EACH","ELEMENT","ELSE","END","EVERY","EXCEPT","EXCLUDE","EXECUTE","EXISTS","EXPLAIN","FALSE","FETCH","FIRST","FLATTEN","FOR","FORCE","FROM","FUNCTION","GRANT","GROUP","GSI","HAVING","IF","IGNORE","ILIKE","IN","INCLUDE","INCREMENT","INDEX","INFER","INLINE","INNER","INSERT","INTERSECT","INTO","IS","JOIN","KEY","KEYS","KEYSPACE","KNOWN","LAST","LEFT","LET","LETTING","LIKE","LIMIT","LSM","MAP","MAPPING","MATCHED","MATERIALIZED","MERGE","MISSING","NAMESPACE","NEST","NOT","NULL","NUMBER","OBJECT","OFFSET","ON","OPTION","OR","ORDER","OUTER","OVER","PARSE","PARTITION","PASSWORD","PATH","POOL","PREPARE","PRIMARY","PRIVATE","PRIVILEGE","PROCEDURE","PUBLIC","RAW","REALM","REDUCE","RENAME","RETURN","RETURNING","REVOKE","RIGHT","ROLE","ROLLBACK","SATISFIES","SCHEMA","SELECT","SELF","SEMI","SET","SHOW","SOME","START","STATISTICS","STRING","SYSTEM","THEN","TO","TRANSACTION","TRIGGER","TRUE","TRUNCATE","UNDER","UNION","UNIQUE","UNKNOWN","UNNEST","UNSET","UPDATE","UPSERT","USE","USER","USING","VALIDATE","VALUE","VALUED","VALUES","VIA","VIEW","WHEN","WHERE","WHILE","WITH","WITHIN","WORK","XOR"],c=["DELETE FROM","EXCEPT ALL","EXCEPT","EXPLAIN DELETE FROM","EXPLAIN UPDATE","EXPLAIN UPSERT","FROM","GROUP BY","HAVING","INFER","INSERT INTO","LET","LIMIT","MERGE","NEST","ORDER BY","PREPARE","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UNNEST","UPDATE","UPSERT","USE KEYS","VALUES","WHERE"],u=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","XOR"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,n;return t=e,(n=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:l,reservedTopLevelWords:c,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:u,stringTypes:['""',"''","``"],openParens:["(","[","{"],closeParens:[")","]","}"],namedPlaceholderTypes:["$"],lineCommentTypes:["#","--"]})),new r.default(this.cfg,s).format(e)}}])&&a(t.prototype,n),e}();t.default=p,e.exports=t.default},7881:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=a(n(9157)),o=a(n(3202)),i=a(n(1025));function a(e){return e&&e.__esModule?e:{default:e}}function s(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}var l,c=["A","ACCESSIBLE","AGENT","AGGREGATE","ALL","ALTER","ANY","ARRAY","AS","ASC","AT","ATTRIBUTE","AUTHID","AVG","BETWEEN","BFILE_BASE","BINARY_INTEGER","BINARY","BLOB_BASE","BLOCK","BODY","BOOLEAN","BOTH","BOUND","BREADTH","BULK","BY","BYTE","C","CALL","CALLING","CASCADE","CASE","CHAR_BASE","CHAR","CHARACTER","CHARSET","CHARSETFORM","CHARSETID","CHECK","CLOB_BASE","CLONE","CLOSE","CLUSTER","CLUSTERS","COALESCE","COLAUTH","COLLECT","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPILED","COMPRESS","CONNECT","CONSTANT","CONSTRUCTOR","CONTEXT","CONTINUE","CONVERT","COUNT","CRASH","CREATE","CREDENTIAL","CURRENT","CURRVAL","CURSOR","CUSTOMDATUM","DANGLING","DATA","DATE_BASE","DATE","DAY","DECIMAL","DEFAULT","DEFINE","DELETE","DEPTH","DESC","DETERMINISTIC","DIRECTORY","DISTINCT","DO","DOUBLE","DROP","DURATION","ELEMENT","ELSIF","EMPTY","END","ESCAPE","EXCEPTIONS","EXCLUSIVE","EXECUTE","EXISTS","EXIT","EXTENDS","EXTERNAL","EXTRACT","FALSE","FETCH","FINAL","FIRST","FIXED","FLOAT","FOR","FORALL","FORCE","FROM","FUNCTION","GENERAL","GOTO","GRANT","GROUP","HASH","HEAP","HIDDEN","HOUR","IDENTIFIED","IF","IMMEDIATE","IN","INCLUDING","INDEX","INDEXES","INDICATOR","INDICES","INFINITE","INSTANTIABLE","INT","INTEGER","INTERFACE","INTERVAL","INTO","INVALIDATE","IS","ISOLATION","JAVA","LANGUAGE","LARGE","LEADING","LENGTH","LEVEL","LIBRARY","LIKE","LIKE2","LIKE4","LIKEC","LIMITED","LOCAL","LOCK","LONG","MAP","MAX","MAXLEN","MEMBER","MERGE","MIN","MINUTE","MLSLABEL","MOD","MODE","MONTH","MULTISET","NAME","NAN","NATIONAL","NATIVE","NATURAL","NATURALN","NCHAR","NEW","NEXTVAL","NOCOMPRESS","NOCOPY","NOT","NOWAIT","NULL","NULLIF","NUMBER_BASE","NUMBER","OBJECT","OCICOLL","OCIDATE","OCIDATETIME","OCIDURATION","OCIINTERVAL","OCILOBLOCATOR","OCINUMBER","OCIRAW","OCIREF","OCIREFCURSOR","OCIROWID","OCISTRING","OCITYPE","OF","OLD","ON","ONLY","OPAQUE","OPEN","OPERATOR","OPTION","ORACLE","ORADATA","ORDER","ORGANIZATION","ORLANY","ORLVARY","OTHERS","OUT","OVERLAPS","OVERRIDING","PACKAGE","PARALLEL_ENABLE","PARAMETER","PARAMETERS","PARENT","PARTITION","PASCAL","PCTFREE","PIPE","PIPELINED","PLS_INTEGER","PLUGGABLE","POSITIVE","POSITIVEN","PRAGMA","PRECISION","PRIOR","PRIVATE","PROCEDURE","PUBLIC","RAISE","RANGE","RAW","READ","REAL","RECORD","REF","REFERENCE","RELEASE","RELIES_ON","REM","REMAINDER","RENAME","RESOURCE","RESULT_CACHE","RESULT","RETURN","RETURNING","REVERSE","REVOKE","ROLLBACK","ROW","ROWID","ROWNUM","ROWTYPE","SAMPLE","SAVE","SAVEPOINT","SB1","SB2","SB4","SEARCH","SECOND","SEGMENT","SELF","SEPARATE","SEQUENCE","SERIALIZABLE","SHARE","SHORT","SIZE_T","SIZE","SMALLINT","SOME","SPACE","SPARSE","SQL","SQLCODE","SQLDATA","SQLERRM","SQLNAME","SQLSTATE","STANDARD","START","STATIC","STDDEV","STORED","STRING","STRUCT","STYLE","SUBMULTISET","SUBPARTITION","SUBSTITUTABLE","SUBTYPE","SUCCESSFUL","SUM","SYNONYM","SYSDATE","TABAUTH","TABLE","TDO","THE","THEN","TIME","TIMESTAMP","TIMEZONE_ABBR","TIMEZONE_HOUR","TIMEZONE_MINUTE","TIMEZONE_REGION","TO","TRAILING","TRANSACTION","TRANSACTIONAL","TRIGGER","TRUE","TRUSTED","TYPE","UB1","UB2","UB4","UID","UNDER","UNIQUE","UNPLUG","UNSIGNED","UNTRUSTED","USE","USER","USING","VALIDATE","VALIST","VALUE","VARCHAR","VARCHAR2","VARIABLE","VARIANCE","VARRAY","VARYING","VIEW","VIEWS","VOID","WHENEVER","WHILE","WITH","WORK","WRAPPED","WRITE","YEAR","ZONE"],u=["ADD","ALTER COLUMN","ALTER TABLE","BEGIN","CONNECT BY","DECLARE","DELETE FROM","DELETE","END","EXCEPT","EXCEPTION","FETCH FIRST","FROM","GROUP BY","HAVING","INSERT INTO","INSERT","LIMIT","LOOP","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","START WITH","UPDATE","VALUES","WHERE"],d=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],p=["AND","CROSS APPLY","CROSS JOIN","ELSE","END","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],f=function(e,t){if(e.type===i.default.RESERVED_TOP_LEVEL&&"SET"===e.value&&"BY"===t.value)return e.type=i.default.RESERVED,e},h=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,n;return t=e,(n=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:c,reservedTopLevelWords:u,reservedNewlineWords:p,reservedTopLevelWordsNoIndent:d,stringTypes:['""',"N''","''","``"],openParens:["(","CASE","BEGIN"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["_","$","#",".","@"]})),new r.default(this.cfg,l,f).format(e)}}])&&s(t.prototype,n),e}();t.default=h,e.exports=t.default},1432:(e,t,n)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var r=i(n(9157)),o=i(n(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}var s,l=["ACCESSIBLE","ACTION","AGAINST","AGGREGATE","ALGORITHM","ALL","ALTER","ANALYSE","ANALYZE","AS","ASC","AUTOCOMMIT","AUTO_INCREMENT","BACKUP","BEGIN","BETWEEN","BINLOG","BOTH","CASCADE","CASE","CHANGE","CHANGED","CHARACTER SET","CHARSET","CHECK","CHECKSUM","COLLATE","COLLATION","COLUMN","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPRESSED","CONCURRENT","CONSTRAINT","CONTAINS","CONVERT","CREATE","CROSS","CURRENT_TIMESTAMP","DATABASE","DATABASES","DAY","DAY_HOUR","DAY_MINUTE","DAY_SECOND","DEFAULT","DEFINER","DELAYED","DELETE","DESC","DESCRIBE","DETERMINISTIC","DISTINCT","DISTINCTROW","DIV","DO","DROP","DUMPFILE","DUPLICATE","DYNAMIC","ELSE","ENCLOSED","END","ENGINE","ENGINES","ENGINE_TYPE","ESCAPE","ESCAPED","EVENTS","EXEC","EXECUTE","EXISTS","EXPLAIN","EXTENDED","FAST","FETCH","FIELDS","FILE","FIRST","FIXED","FLUSH","FOR","FORCE","FOREIGN","FULL","FULLTEXT","FUNCTION","GLOBAL","GRANT","GRANTS","GROUP_CONCAT","HEAP","HIGH_PRIORITY","HOSTS","HOUR","HOUR_MINUTE","HOUR_SECOND","IDENTIFIED","IF","IFNULL","IGNORE","IN","INDEX","INDEXES","INFILE","INSERT","INSERT_ID","INSERT_METHOD","INTERVAL","INTO","INVOKER","IS","ISOLATION","KEY","KEYS","KILL","LAST_INSERT_ID","LEADING","LEVEL","LIKE","LINEAR","LINES","LOAD","LOCAL","LOCK","LOCKS","LOGS","LOW_PRIORITY","MARIA","MASTER","MASTER_CONNECT_RETRY","MASTER_HOST","MASTER_LOG_FILE","MATCH","MAX_CONNECTIONS_PER_HOUR","MAX_QUERIES_PER_HOUR","MAX_ROWS","MAX_UPDATES_PER_HOUR","MAX_USER_CONNECTIONS","MEDIUM","MERGE","MINUTE","MINUTE_SECOND","MIN_ROWS","MODE","MODIFY","MONTH","MRG_MYISAM","MYISAM","NAMES","NATURAL","NOT","NOW()","NULL","OFFSET","ON DELETE","ON UPDATE","ON","ONLY","OPEN","OPTIMIZE","OPTION","OPTIONALLY","OUTFILE","PACK_KEYS","PAGE","PARTIAL","PARTITION","PARTITIONS","PASSWORD","PRIMARY","PRIVILEGES","PROCEDURE","PROCESS","PROCESSLIST","PURGE","QUICK","RAID0","RAID_CHUNKS","RAID_CHUNKSIZE","RAID_TYPE","RANGE","READ","READ_ONLY","READ_WRITE","REFERENCES","REGEXP","RELOAD","RENAME","REPAIR","REPEATABLE","REPLACE","REPLICATION","RESET","RESTORE","RESTRICT","RETURN","RETURNS","REVOKE","RLIKE","ROLLBACK","ROW","ROWS","ROW_FORMAT","SECOND","SECURITY","SEPARATOR","SERIALIZABLE","SESSION","SHARE","SHOW","SHUTDOWN","SLAVE","SONAME","SOUNDS","SQL","SQL_AUTO_IS_NULL","SQL_BIG_RESULT","SQL_BIG_SELECTS","SQL_BIG_TABLES","SQL_BUFFER_RESULT","SQL_CACHE","SQL_CALC_FOUND_ROWS","SQL_LOG_BIN","SQL_LOG_OFF","SQL_LOG_UPDATE","SQL_LOW_PRIORITY_UPDATES","SQL_MAX_JOIN_SIZE","SQL_NO_CACHE","SQL_QUOTE_SHOW_CREATE","SQL_SAFE_UPDATES","SQL_SELECT_LIMIT","SQL_SLAVE_SKIP_COUNTER","SQL_SMALL_RESULT","SQL_WARNINGS","START","STARTING","STATUS","STOP","STORAGE","STRAIGHT_JOIN","STRING","STRIPED","SUPER","TABLE","TABLES","TEMPORARY","TERMINATED","THEN","TO","TRAILING","TRANSACTIONAL","TRUE","TRUNCATE","TYPE","TYPES","UNCOMMITTED","UNIQUE","UNLOCK","UNSIGNED","USAGE","USE","USING","VARIABLES","VIEW","WHEN","WITH","WORK","WRITE","YEAR_MONTH"],c=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INSERT","LIMIT","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],u=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","CROSS APPLY","CROSS JOIN","ELSE","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,n;return t=e,(n=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:l,reservedTopLevelWords:c,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:u,stringTypes:['""',"N''","''","``","[]"],openParens:["(","CASE"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:["@",":"],lineCommentTypes:["#","--"]})),new r.default(this.cfg,s).format(e)}}])&&a(t.prototype,n),e}();t.default=p,e.exports=t.default},7409:(e,t,n)=>{"use strict";t.Ay=void 0;var r=s(n(4377)),o=s(n(9445)),i=s(n(7881)),a=s(n(1432));function s(e){return e&&e.__esModule?e:{default:e}}var l={format:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};switch(t.language){case"db2":return new r.default(t).format(e);case"n1ql":return new o.default(t).format(e);case"pl/sql":return new i.default(t).format(e);case"sql":case void 0:return new a.default(t).format(e);default:throw Error("Unsupported SQL dialect: ".concat(t.language))}}};t.Ay=l},9467:(e,t,n)=>{"use strict";n.d(t,{Tp:()=>d});var r=n(709);function o(e,t="latest"){return i(e,t.replace(/\-.*/,""))}function i(e,t){const n={};for(const[r,o]of Object.entries(e))a(o)?n[r]=i(o,t):(l(o,r),n[r]=s(o,t));return n}function a(e){if("object"==typeof e){const[t]=Object.keys(e);return!(0,r.valid)(t)}return!1}function s(e,t){let n,o=Object.keys(e).sort(r.compare);if("latest"===t)return e[o[o.length-1]];for(const e of o)(0,r.gte)(t,e)&&(n=e);return n||(n=o[o.length-1]),e[n]}function l(e,t){if(!Object.keys(e).every((e=>(0,r.valid)(e))))throw new Error(`Invalid semver version: '${t}'`)}const c="8.5.0",u={RadioButton:{container:{"10.2.3":"data-testid radio-button"}},Breadcrumbs:{breadcrumb:{"9.4.0":e=>`data-testid ${e} breadcrumb`}},TimePicker:{openButton:{[c]:"data-testid TimePicker Open Button"},overlayContent:{"10.2.3":"data-testid TimePicker Overlay Content"},fromField:{"10.2.3":"data-testid Time Range from field",[c]:"Time Range from field"},toField:{"10.2.3":"data-testid Time Range to field",[c]:"Time Range to field"},applyTimeRange:{[c]:"data-testid TimePicker submit button"},copyTimeRange:{"10.4.0":"data-testid TimePicker copy button"},pasteTimeRange:{"10.4.0":"data-testid TimePicker paste button"},calendar:{label:{"10.2.3":"data-testid Time Range calendar",[c]:"Time Range calendar"},openButton:{"10.2.3":"data-testid Open time range calendar",[c]:"Open time range calendar"},closeButton:{"10.2.3":"data-testid Close time range Calendar",[c]:"Close time range Calendar"}},absoluteTimeRangeTitle:{[c]:"data-testid-absolute-time-range-narrow"}},DataSourcePermissions:{form:{"9.5.0":()=>'form[name="addPermission"]'},roleType:{"9.5.0":"Role to add new permission to"},rolePicker:{"9.5.0":"Built-in role picker"},permissionLevel:{"9.5.0":"Permission Level"}},DateTimePicker:{input:{"10.2.3":"data-testid date-time-input"}},DataSource:{TestData:{QueryTab:{scenarioSelectContainer:{[c]:"Test Data Query scenario select container"},scenarioSelect:{[c]:"Test Data Query scenario select"},max:{[c]:"TestData max"},min:{[c]:"TestData min"},noise:{[c]:"TestData noise"},seriesCount:{[c]:"TestData series count"},spread:{[c]:"TestData spread"},startValue:{[c]:"TestData start value"},drop:{[c]:"TestData drop values"}}},DataSourceHttpSettings:{urlInput:{"10.4.0":"data-testid Datasource HTTP settings url",[c]:"Datasource HTTP settings url"}},Jaeger:{traceIDInput:{[c]:"Trace ID"}},Prometheus:{configPage:{connectionSettings:{[c]:"Data source connection URL"},manageAlerts:{"10.4.0":"prometheus-alerts-manager"},scrapeInterval:{"10.4.0":"data-testid scrape interval"},queryTimeout:{"10.4.0":"data-testid query timeout"},defaultEditor:{"10.4.0":"data-testid default editor"},disableMetricLookup:{"10.4.0":"disable-metric-lookup"},prometheusType:{"10.4.0":"data-testid prometheus type"},prometheusVersion:{"10.4.0":"data-testid prometheus version"},cacheLevel:{"10.4.0":"data-testid cache level"},incrementalQuerying:{"10.4.0":"prometheus-incremental-querying"},queryOverlapWindow:{"10.4.0":"data-testid query overlap window"},disableRecordingRules:{"10.4.0":"disable-recording-rules"},customQueryParameters:{"10.4.0":"data-testid custom query parameters"},httpMethod:{"10.4.0":"data-testid http method"},exemplarsAddButton:{"10.3.0":"data-testid Add exemplar config button",[c]:"Add exemplar config button"},internalLinkSwitch:{"10.3.0":"data-testid Internal link switch",[c]:"Internal link switch"},codeModeMetricNamesSuggestionLimit:{"11.1.0":"data-testid code mode metric names suggestion limit"}},queryEditor:{explain:{"10.4.0":"data-testid prometheus explain switch wrapper"},editorToggle:{"10.4.0":"data-testid QueryEditorModeToggle"},options:{"10.4.0":"data-testid prometheus options"},legend:{"10.4.0":"data-testid prometheus legend wrapper"},format:{"10.4.0":"data-testid prometheus format"},step:{"10.4.0":"prometheus-step"},type:{"10.4.0":"data-testid prometheus type"},exemplars:{"10.4.0":"prometheus-exemplars"},builder:{metricSelect:{"10.4.0":"data-testid metric select"},hints:{"10.4.0":"data-testid prometheus hints"},metricsExplorer:{"10.4.0":"data-testid metrics explorer"},queryAdvisor:{"10.4.0":"data-testid query advisor"}},code:{queryField:{"10.4.0":"data-testid prometheus query field"},metricsCountInfo:{"11.1.0":"data-testid metrics count disclaimer"},metricsBrowser:{openButton:{"10.4.0":"data-testid open metrics browser"},selectMetric:{"10.4.0":"data-testid select a metric"},seriesLimit:{"10.3.1":"data-testid series limit"},metricList:{"10.4.0":"data-testid metric list"},labelNamesFilter:{"10.4.0":"data-testid label names filter"},labelValuesFilter:{"10.4.0":"data-testid label values filter"},useQuery:{"10.4.0":"data-testid use query"},useAsRateQuery:{"10.4.0":"data-testid use as rate query"},validateSelector:{"10.4.0":"data-testid validate selector"},clear:{"10.4.0":"data-testid clear"}}}},exemplarMarker:{"10.3.0":"data-testid Exemplar marker",[c]:"Exemplar marker"},variableQueryEditor:{queryType:{"10.4.0":"data-testid query type"},labelnames:{metricRegex:{"10.4.0":"data-testid label names metric regex"}},labelValues:{labelSelect:{"10.4.0":"data-testid label values label select"}},metricNames:{metricRegex:{"10.4.0":"data-testid metric names metric regex"}},varQueryResult:{"10.4.0":"data-testid variable query result"},seriesQuery:{"10.4.0":"data-testid prometheus series query"},classicQuery:{"10.4.0":"data-testid prometheus classic query"}},annotations:{minStep:{"10.4.0":"prometheus-annotation-min-step"},title:{"10.4.0":"data-testid prometheus annotation title"},tags:{"10.4.0":"data-testid prometheus annotation tags"},text:{"10.4.0":"data-testid prometheus annotation text"},seriesValueAsTimestamp:{"10.4.0":"data-testid prometheus annotation series value as timestamp"}}}},Menu:{MenuComponent:{[c]:e=>`${e} menu`},MenuGroup:{[c]:e=>`${e} menu group`},MenuItem:{[c]:e=>`${e} menu item`},SubMenu:{container:{"10.3.0":"data-testid SubMenu container",[c]:"SubMenu container"},icon:{"10.3.0":"data-testid SubMenu icon",[c]:"SubMenu icon"}}},Panels:{Panel:{title:{[c]:e=>`data-testid Panel header ${e}`},content:{"11.1.0":"data-testid panel content"},headerItems:{"10.2.0":e=>`data-testid Panel header item ${e}`},menuItems:{"9.5.0":e=>`data-testid Panel menu item ${e}`},menu:{"9.5.0":e=>`data-testid Panel menu ${e}`},containerByTitle:{[c]:e=>`${e} panel`},headerCornerInfo:{[c]:e=>`Panel header ${e}`},status:{"10.2.0":e=>`data-testid Panel status ${e}`,[c]:e=>"Panel status"},loadingBar:{"10.0.0":()=>"Panel loading bar"},HoverWidget:{container:{"10.1.0":"data-testid hover-header-container",[c]:"hover-header-container"},dragIcon:{"10.0.0":"data-testid drag-icon"}},PanelDataErrorMessage:{"10.4.0":"data-testid Panel data error message"}},Visualization:{Graph:{container:{"9.5.0":"Graph container"},VisualizationTab:{legendSection:{[c]:"Legend section"}},Legend:{legendItemAlias:{[c]:e=>`gpl alias ${e}`},showLegendSwitch:{[c]:"gpl show legend"}},xAxis:{labels:{[c]:()=>"div.flot-x-axis > div.flot-tick-label"}}},BarGauge:{valueV2:{[c]:"data-testid Bar gauge value"}},PieChart:{svgSlice:{"10.3.0":"data testid Pie Chart Slice"}},Text:{container:{[c]:()=>".markdown-html"}},Table:{header:{[c]:"table header"},footer:{[c]:"table-footer"},body:{"10.2.0":"data-testid table body"}}}},VizLegend:{seriesName:{"10.3.0":e=>`data-testid VizLegend series ${e}`}},Drawer:{General:{title:{[c]:e=>`Drawer title ${e}`},expand:{[c]:"Drawer expand"},contract:{[c]:"Drawer contract"},close:{"10.3.0":"data-testid Drawer close",[c]:"Drawer close"},rcContentWrapper:{"9.4.0":()=>".rc-drawer-content-wrapper"},subtitle:{"10.4.0":"data-testid drawer subtitle"}},DashboardSaveDrawer:{saveButton:{"11.1.0":"data-testid Save dashboard drawer button"},saveAsButton:{"11.1.0":"data-testid Save as dashboard drawer button"},saveAsTitleInput:{"11.1.0":"Save dashboard title field"}}},PanelEditor:{General:{content:{"11.1.0":"data-testid Panel editor content","8.0.0":"Panel editor content"}},OptionsPane:{content:{"11.1.0":"data-testid Panel editor option pane content",[c]:"Panel editor option pane content"},select:{[c]:"Panel editor option pane select"},fieldLabel:{[c]:e=>`${e} field property editor`},fieldInput:{"11.0.0":e=>`data-testid Panel editor option pane field input ${e}`}},DataPane:{content:{"11.1.0":"data-testid Panel editor data pane content",[c]:"Panel editor data pane content"}},applyButton:{"9.2.0":"data-testid Apply changes and go back to dashboard","9.1.0":"Apply changes and go back to dashboard","8.0.0":"panel editor apply"},toggleVizPicker:{"10.0.0":"data-testid toggle-viz-picker","8.0.0":"toggle-viz-picker"},toggleVizOptions:{"10.1.0":"data-testid toggle-viz-options",[c]:"toggle-viz-options"},toggleTableView:{"11.1.0":"data-testid toggle-table-view",[c]:"toggle-table-view"},showZoomField:{"10.2.0":"Map controls Show zoom control field property editor"},showAttributionField:{"10.2.0":"Map controls Show attribution field property editor"},showScaleField:{"10.2.0":"Map controls Show scale field property editor"},showMeasureField:{"10.2.0":"Map controls Show measure tools field property editor"},showDebugField:{"10.2.0":"Map controls Show debug field property editor"},measureButton:{"9.2.0":"show measure tools"}},PanelInspector:{Data:{content:{[c]:"Panel inspector Data content"}},Stats:{content:{[c]:"Panel inspector Stats content"}},Json:{content:{"11.1.0":"data-testid Panel inspector Json content",[c]:"Panel inspector Json content"}},Query:{content:{[c]:"Panel inspector Query content"},refreshButton:{[c]:"Panel inspector Query refresh button"},jsonObjectKeys:{[c]:()=>".json-formatter-key"}}},Tab:{title:{"11.2.0":e=>`data-testid Tab ${e}`},active:{[c]:()=>'[class*="-activeTabStyle"]'}},RefreshPicker:{runButtonV2:{[c]:"data-testid RefreshPicker run button"},intervalButtonV2:{[c]:"data-testid RefreshPicker interval button"}},QueryTab:{content:{[c]:"Query editor tab content"},queryInspectorButton:{[c]:"Query inspector button"},queryHistoryButton:{"10.2.0":"data-testid query-history-button",[c]:"query-history-button"},addQuery:{"10.2.0":"data-testid query-tab-add-query",[c]:"Query editor add query button"},queryGroupTopSection:{"11.2.0":"data-testid query group top section"},addExpression:{"11.2.0":"data-testid query-tab-add-expression"}},QueryHistory:{queryText:{"9.0.0":"Query text"}},QueryEditorRows:{rows:{[c]:"Query editor row"}},QueryEditorRow:{actionButton:{"10.4.0":e=>`data-testid ${e}`},title:{[c]:e=>`Query editor row title ${e}`},container:{[c]:e=>`Query editor row ${e}`}},AlertTab:{content:{"10.2.3":"data-testid Alert editor tab content",[c]:"Alert editor tab content"}},AlertRules:{groupToggle:{"11.0.0":"data-testid group-collapse-toggle"},toggle:{"11.0.0":"data-testid collapse-toggle"},expandedContent:{"11.0.0":"data-testid expanded-content"},previewButton:{"11.1.0":"data-testid alert-rule preview-button"},ruleNameField:{"11.1.0":"data-testid alert-rule name-field"},newFolderButton:{"11.1.0":"data-testid alert-rule new-folder-button"},newFolderNameField:{"11.1.0":"data-testid alert-rule name-folder-name-field"},newFolderNameCreateButton:{"11.1.0":"data-testid alert-rule name-folder-name-create-button"},newEvaluationGroupButton:{"11.1.0":"data-testid alert-rule new-evaluation-group-button"},newEvaluationGroupName:{"11.1.0":"data-testid alert-rule new-evaluation-group-name"},newEvaluationGroupInterval:{"11.1.0":"data-testid alert-rule new-evaluation-group-interval"},newEvaluationGroupCreate:{"11.1.0":"data-testid alert-rule new-evaluation-group-create-button"}},Alert:{alertV2:{[c]:e=>`data-testid Alert ${e}`}},TransformTab:{content:{"10.1.0":"data-testid Transform editor tab content",[c]:"Transform editor tab content"},newTransform:{"10.1.0":e=>`data-testid New transform ${e}`},transformationEditor:{"10.1.0":e=>`data-testid Transformation editor ${e}`},transformationEditorDebugger:{"10.1.0":e=>`data-testid Transformation editor debugger ${e}`}},Transforms:{card:{"10.1.0":e=>`data-testid New transform ${e}`},disableTransformationButton:{"10.4.0":"data-testid Disable transformation button"},Reduce:{modeLabel:{"10.2.3":"data-testid Transform mode label",[c]:"Transform mode label"},calculationsLabel:{"10.2.3":"data-testid Transform calculations label",[c]:"Transform calculations label"}},SpatialOperations:{actionLabel:{"9.1.2":"root Action field property editor"},locationLabel:{"10.2.0":"root Location Mode field property editor"},location:{autoOption:{"9.1.2":"Auto location option"},coords:{option:{"9.1.2":"Coords location option"},latitudeFieldLabel:{"9.1.2":"root Latitude field field property editor"},longitudeFieldLabel:{"9.1.2":"root Longitude field field property editor"}},geohash:{option:{"9.1.2":"Geohash location option"},geohashFieldLabel:{"9.1.2":"root Geohash field field property editor"}},lookup:{option:{"9.1.2":"Lookup location option"},lookupFieldLabel:{"9.1.2":"root Lookup field field property editor"},gazetteerFieldLabel:{"9.1.2":"root Gazetteer field property editor"}}}},searchInput:{"10.2.3":"data-testid search transformations",[c]:"search transformations"},noTransformationsMessage:{"10.2.3":"data-testid no transformations message"},addTransformationButton:{"10.1.0":"data-testid add transformation button",[c]:"add transformation button"},removeAllTransformationsButton:{"10.4.0":"data-testid remove all transformations button"}},NavBar:{Configuration:{button:{"9.5.0":"Configuration"}},Toggle:{button:{"10.2.3":"data-testid Toggle menu",[c]:"Toggle menu"}},Reporting:{button:{"9.5.0":"Reporting"}}},NavMenu:{Menu:{"10.2.3":"data-testid navigation mega-menu"},item:{"9.5.0":"data-testid Nav menu item"}},NavToolbar:{container:{"9.4.0":"data-testid Nav toolbar"},commandPaletteTrigger:{"11.5.0":"data-testid Command palette trigger"},shareDashboard:{"11.1.0":"data-testid Share dashboard"},markAsFavorite:{"11.1.0":"data-testid Mark as favorite"},editDashboard:{editButton:{"11.1.0":"data-testid Edit dashboard button"},saveButton:{"11.1.0":"data-testid Save dashboard button"},exitButton:{"11.1.0":"data-testid Exit edit mode button"},settingsButton:{"11.1.0":"data-testid Dashboard settings"},addRowButton:{"11.1.0":"data-testid Add row button"},addLibraryPanelButton:{"11.1.0":"data-testid Add a panel from the panel library button"},addVisualizationButton:{"11.1.0":"data-testid Add new visualization menu item"},pastePanelButton:{"11.1.0":"data-testid Paste panel button"},discardChangesButton:{"11.1.0":"data-testid Discard changes button"},discardLibraryPanelButton:{"11.1.0":"data-testid Discard library panel button"},unlinkLibraryPanelButton:{"11.1.0":"data-testid Unlink library panel button"},saveLibraryPanelButton:{"11.1.0":"data-testid Save library panel button"},backToDashboardButton:{"11.1.0":"data-testid Back to dashboard button"}}},PageToolbar:{container:{[c]:()=>".page-toolbar"},item:{[c]:e=>`${e}`},itemButton:{"9.5.0":e=>`data-testid ${e}`}},QueryEditorToolbarItem:{button:{[c]:e=>`QueryEditor toolbar item button ${e}`}},BackButton:{backArrow:{"10.3.0":"data-testid Go Back",[c]:"Go Back"}},OptionsGroup:{group:{"11.1.0":e=>e?`data-testid Options group ${e}`:"data-testid Options group",[c]:e=>e?`Options group ${e}`:"Options group"},toggle:{"11.1.0":e=>e?`data-testid Options group ${e} toggle`:"data-testid Options group toggle",[c]:e=>e?`Options group ${e} toggle`:"Options group toggle"}},PluginVisualization:{item:{[c]:e=>`Plugin visualization item ${e}`},current:{[c]:()=>'[class*="-currentVisualizationItem"]'}},Select:{menu:{"11.5.0":"data-testid Select menu",[c]:"Select options menu"},option:{"11.1.0":"data-testid Select option",[c]:"Select option"},toggleAllOptions:{"11.3.0":"data-testid toggle all options"},input:{[c]:()=>'input[id*="time-options-input"]'},singleValue:{[c]:()=>'div[class*="-singleValue"]'}},FieldConfigEditor:{content:{[c]:"Field config editor content"}},OverridesConfigEditor:{content:{[c]:"Field overrides editor content"}},FolderPicker:{containerV2:{[c]:"data-testid Folder picker select container"},input:{"10.4.0":"data-testid folder-picker-input"}},ReadonlyFolderPicker:{container:{[c]:"data-testid Readonly folder picker select container"}},DataSourcePicker:{container:{"10.0.0":"data-testid Data source picker select container","8.0.0":"Data source picker select container"},inputV2:{"10.1.0":"data-testid Select a data source",[c]:"Select a data source"},dataSourceList:{"10.4.0":"data-testid Data source list dropdown"},advancedModal:{dataSourceList:{"10.4.0":"data-testid Data source list"},builtInDataSourceList:{"10.4.0":"data-testid Built in data source list"}}},TimeZonePicker:{containerV2:{[c]:"data-testid Time zone picker select container"},changeTimeSettingsButton:{"11.0.0":"data-testid Time zone picker Change time settings button"}},WeekStartPicker:{containerV2:{[c]:"data-testid Choose starting day of the week"},placeholder:{[c]:"Choose starting day of the week"}},TraceViewer:{spanBar:{"9.0.0":"data-testid SpanBar--wrapper"}},QueryField:{container:{"10.3.0":"data-testid Query field",[c]:"Query field"}},QueryBuilder:{queryPatterns:{"10.3.0":"data-testid Query patterns",[c]:"Query patterns"},labelSelect:{"10.3.0":"data-testid Select label",[c]:"Select label"},inputSelect:{"11.1.0":"data-testid Select label-input"},valueSelect:{"10.3.0":"data-testid Select value",[c]:"Select value"},matchOperatorSelect:{"10.3.0":"data-testid Select match operator",[c]:"Select match operator"}},ValuePicker:{button:{"10.3.0":e=>`data-testid Value picker button ${e}`},select:{"10.3.0":e=>`data-testid Value picker select ${e}`}},Search:{sectionV2:{[c]:"data-testid Search section"},itemsV2:{[c]:"data-testid Search items"},cards:{[c]:"data-testid Search cards"},collapseFolder:{[c]:e=>`data-testid Collapse folder ${e}`},expandFolder:{[c]:e=>`data-testid Expand folder ${e}`},dashboardItem:{[c]:e=>`data-testid Dashboard search item ${e}`},dashboardCard:{[c]:e=>`data-testid Search card ${e}`},folderHeader:{"9.3.0":e=>`data-testid Folder header ${e}`},folderContent:{"9.3.0":e=>`data-testid Folder content ${e}`},dashboardItems:{[c]:"data-testid Dashboard search item"}},DashboardLinks:{container:{[c]:"data-testid Dashboard link container"},dropDown:{[c]:"data-testid Dashboard link dropdown"},link:{[c]:"data-testid Dashboard link"}},LoadingIndicator:{icon:{"10.4.0":"data-testid Loading indicator",[c]:"Loading indicator"}},CallToActionCard:{buttonV2:{[c]:e=>`data-testid Call to action button ${e}`}},DataLinksContextMenu:{singleLink:{"10.3.0":"data-testid Data link",[c]:"Data link"}},CodeEditor:{container:{"10.2.3":"data-testid Code editor container",[c]:"Code editor container"}},ReactMonacoEditor:{editorLazy:{"11.1.0":"data-testid ReactMonacoEditor editorLazy"}},DashboardImportPage:{textarea:{[c]:"data-testid-import-dashboard-textarea"},submit:{[c]:"data-testid-load-dashboard"}},ImportDashboardForm:{name:{[c]:"data-testid-import-dashboard-title"},submit:{[c]:"data-testid-import-dashboard-submit"}},PanelAlertTabContent:{content:{"10.2.3":"data-testid Unified alert editor tab content",[c]:"Unified alert editor tab content"}},VisualizationPreview:{card:{[c]:e=>`data-testid suggestion-${e}`}},ColorSwatch:{name:{[c]:"data-testid-colorswatch"}},DashboardRow:{title:{[c]:e=>`data-testid dashboard-row-title-${e}`}},UserProfile:{profileSaveButton:{[c]:"data-testid-user-profile-save"},preferencesSaveButton:{[c]:"data-testid-shared-prefs-save"},orgsTable:{[c]:"data-testid-user-orgs-table"},sessionsTable:{[c]:"data-testid-user-sessions-table"},extensionPointTabs:{"10.2.3":"data-testid-extension-point-tabs"},extensionPointTab:{"10.2.3":e=>`data-testid-extension-point-tab-${e}`}},FileUpload:{inputField:{"9.0.0":"data-testid-file-upload-input-field"},fileNameSpan:{"9.0.0":"data-testid-file-upload-file-name"}},DebugOverlay:{wrapper:{"9.2.0":"debug-overlay"}},OrgRolePicker:{input:{"9.5.0":"Role"}},AnalyticsToolbarButton:{button:{"9.5.0":"Dashboard insights"}},Variables:{variableOption:{"9.5.0":"data-testid variable-option"},variableLinkWrapper:{"11.1.1":"data-testid variable-link-wrapper"}},Annotations:{annotationsTypeInput:{"11.1.0":"data-testid annotations-type-input",[c]:"annotations-type-input"},annotationsChoosePanelInput:{"11.1.0":"data-testid choose-panels-input",[c]:"choose-panels-input"},editor:{testButton:{"11.0.0":"data-testid annotations-test-button"},resultContainer:{"11.0.0":"data-testid annotations-query-result-container"}}},Tooltip:{container:{"10.2.0":"data-testid tooltip"}},ReturnToPrevious:{buttonGroup:{"11.0.0":"data-testid dismissable button group"},backButton:{"11.0.0":"data-testid back"},dismissButton:{"11.0.0":"data-testid dismiss"}},SQLQueryEditor:{selectColumn:{"11.0.0":"data-testid select-column"},selectColumnInput:{"11.0.0":"data-testid select-column-input"},selectFunctionParameter:{"11.0.0":e=>`data-testid select-function-parameter-${e}`},selectAggregation:{"11.0.0":"data-testid select-aggregation"},selectAggregationInput:{"11.0.0":"data-testid select-aggregation-input"},selectAlias:{"11.0.0":"data-testid select-alias"},selectAliasInput:{"11.0.0":"data-testid select-alias-input"},selectInputParameter:{"11.0.0":"data-testid select-input-parameter"},filterConjunction:{"11.0.0":"data-testid filter-conjunction"},filterField:{"11.0.0":"data-testid filter-field"},filterOperator:{"11.0.0":"data-testid filter-operator"},headerTableSelector:{"11.0.0":"data-testid header-table-selector"},headerFilterSwitch:{"11.0.0":"data-testid header-filter-switch"},headerGroupSwitch:{"11.0.0":"data-testid header-group-switch"},headerOrderSwitch:{"11.0.0":"data-testid header-order-switch"},headerPreviewSwitch:{"11.0.0":"data-testid header-preview-switch"}},EntityNotFound:{container:{"11.2.0":"data-testid entity-not-found"}},Portal:{container:{"11.5.0":"data-testid portal-container"}}},d={pages:o({Alerting:{AddAlertRule:{url:{"10.1.0":"/alerting/new/alerting",[c]:"/alerting/new"}},EditAlertRule:{url:{[c]:e=>`alerting/${e}/edit`}}},Login:{url:{[c]:"/login"},username:{"10.2.3":"data-testid Username input field",[c]:"Username input field"},password:{"10.2.3":"data-testid Password input field",[c]:"Password input field"},submit:{"10.2.3":"data-testid Login button",[c]:"Login button"},skip:{"10.2.3":"data-testid Skip change password button"}},PasswordlessLogin:{url:{[c]:"/login/passwordless/authenticate"},email:{"10.2.3":"data-testid Email input field",[c]:"Email input field"},submit:{"10.2.3":"data-testid PasswordlessLogin button",[c]:"PasswordlessLogin button"}},Home:{url:{[c]:"/"}},DataSource:{name:{"10.3.0":"data-testid Data source settings page name input field",[c]:"Data source settings page name input field"},delete:{[c]:"Data source settings page Delete button"},readOnly:{"10.3.0":"data-testid Data source settings page read only message",[c]:"Data source settings page read only message"},saveAndTest:{"10.0.0":"data-testid Data source settings page Save and Test button",[c]:"Data source settings page Save and Test button"},alert:{"10.3.0":"data-testid Data source settings page Alert",[c]:"Data source settings page Alert"}},DataSources:{url:{[c]:"/datasources"},dataSources:{[c]:e=>`Data source list item ${e}`}},EditDataSource:{url:{"9.5.0":e=>`/datasources/edit/${e}`},settings:{"9.5.0":"Datasource settings page basic settings"}},AddDataSource:{url:{[c]:"/datasources/new"},dataSourcePluginsV2:{"9.3.1":e=>`Add new data source ${e}`,[c]:e=>`Data source plugin item ${e}`}},ConfirmModal:{delete:{"10.0.0":"data-testid Confirm Modal Danger Button",[c]:"Confirm Modal Danger Button"}},AddDashboard:{url:{[c]:"/dashboard/new"},itemButton:{"9.5.0":e=>`data-testid ${e}`},addNewPanel:{"11.1.0":"data-testid Add new panel","8.0.0":"Add new panel",[c]:"Add new panel"},itemButtonAddViz:{[c]:"Add new visualization menu item"},addNewRow:{"11.1.0":"data-testid Add new row",[c]:"Add new row"},addNewPanelLibrary:{"11.1.0":"data-testid Add new panel from panel library",[c]:"Add new panel from panel library"},Settings:{Annotations:{List:{url:{[c]:"/dashboard/new?orgId=1&editview=annotations"}},Edit:{url:{[c]:e=>`/dashboard/new?editview=annotations&editIndex=${e}`}}},Variables:{List:{url:{"11.3.0":"/dashboard/new?orgId=1&editview=variables",[c]:"/dashboard/new?orgId=1&editview=templating"}},Edit:{url:{"11.3.0":e=>`/dashboard/new?orgId=1&editview=variables&editIndex=${e}`,[c]:e=>`/dashboard/new?orgId=1&editview=templating&editIndex=${e}`}}}}},Dashboard:{url:{[c]:e=>`/d/${e}`},DashNav:{nav:{[c]:"Dashboard navigation"},navV2:{[c]:"data-testid Dashboard navigation"},publicDashboardTag:{"9.1.0":"data-testid public dashboard tag"},shareButton:{"10.4.0":"data-testid share-button"},scrollContainer:{"11.1.0":"data-testid Dashboard canvas scroll container"},newShareButton:{container:{"11.1.0":"data-testid new share button"},shareLink:{"11.1.0":"data-testid new share link-button"},arrowMenu:{"11.1.0":"data-testid new share button arrow menu"},menu:{container:{"11.1.0":"data-testid new share button menu"},shareInternally:{"11.1.0":"data-testid new share button share internally"},shareExternally:{"11.1.1":"data-testid new share button share externally"},shareSnapshot:{"11.2.0":"data-testid new share button share snapshot"},inviteUser:{"11.5.0":"data-testid new share button invite user"}}},NewExportButton:{container:{"11.2.0":"data-testid new export button"},arrowMenu:{"11.2.0":"data-testid new export button arrow menu"},Menu:{container:{"11.2.0":"data-testid new export button menu"},exportAsJson:{"11.2.0":"data-testid new export button export as json"}}},playlistControls:{prev:{"11.0.0":"data-testid playlist previous dashboard button"},stop:{"11.0.0":"data-testid playlist stop dashboard button"},next:{"11.0.0":"data-testid playlist next dashboard button"}}},Controls:{"11.1.0":"data-testid dashboard controls"},SubMenu:{submenu:{[c]:"Dashboard submenu"},submenuItem:{[c]:"data-testid template variable"},submenuItemLabels:{[c]:e=>`data-testid Dashboard template variables submenu Label ${e}`},submenuItemValueDropDownValueLinkTexts:{[c]:e=>`data-testid Dashboard template variables Variable Value DropDown value link text ${e}`},submenuItemValueDropDownDropDown:{[c]:"Variable options"},submenuItemValueDropDownOptionTexts:{[c]:e=>`data-testid Dashboard template variables Variable Value DropDown option text ${e}`},Annotations:{annotationsWrapper:{"10.0.0":"data-testid annotation-wrapper"},annotationLabel:{"10.0.0":e=>`data-testid Dashboard annotations submenu Label ${e}`},annotationToggle:{"10.0.0":e=>`data-testid Dashboard annotations submenu Toggle ${e}`}}},Settings:{Actions:{close:{"9.5.0":"data-testid dashboard-settings-close"}},General:{deleteDashBoard:{"11.1.0":"data-testid Dashboard settings page delete dashboard button"},sectionItems:{[c]:e=>`Dashboard settings section item ${e}`},saveDashBoard:{[c]:"Dashboard settings aside actions Save button"},saveAsDashBoard:{[c]:"Dashboard settings aside actions Save As button"},title:{"11.2.0":"General"}},Annotations:{Edit:{urlParams:{[c]:e=>`editview=annotations&editIndex=${e}`}},List:{url:{[c]:e=>`/d/${e}?editview=annotations`},addAnnotationCTAV2:{[c]:"data-testid Call to action button Add annotation query"},annotations:{"10.4.0":"data-testid list-annotations"}},Settings:{name:{"11.1.0":"data-testid Annotations settings name input",[c]:"Annotations settings name input"}},NewAnnotation:{panelFilterSelect:{"10.0.0":"data-testid annotations-panel-filter"},showInLabel:{"11.1.0":"data-testid show-in-label"},previewInDashboard:{"10.0.0":"data-testid annotations-preview"},delete:{"10.4.0":"data-testid annotations-delete"},apply:{"10.4.0":"data-testid annotations-apply"},enable:{"10.4.0":"data-testid annotation-enable"},hide:{"10.4.0":"data-testid annotation-hide"}}},Variables:{List:{url:{"11.3.0":e=>`/d/${e}?editview=variables`,[c]:e=>`/d/${e}?editview=templating`},addVariableCTAV2:{[c]:"data-testid Call to action button Add variable"},newButton:{[c]:"Variable editor New variable button"},table:{[c]:"Variable editor Table"},tableRowNameFields:{[c]:e=>`Variable editor Table Name field ${e}`},tableRowDefinitionFields:{"10.1.0":e=>`Variable editor Table Definition field ${e}`},tableRowArrowUpButtons:{[c]:e=>`Variable editor Table ArrowUp button ${e}`},tableRowArrowDownButtons:{[c]:e=>`Variable editor Table ArrowDown button ${e}`},tableRowDuplicateButtons:{[c]:e=>`Variable editor Table Duplicate button ${e}`},tableRowRemoveButtons:{[c]:e=>`Variable editor Table Remove button ${e}`}},Edit:{urlParams:{"11.3.0":e=>`editview=variables&editIndex=${e}`,[c]:e=>`editview=templating&editIndex=${e}`},General:{headerLink:{[c]:"Variable editor Header link"},modeLabelNew:{[c]:"Variable editor Header mode New"},modeLabelEdit:{[c]:"Variable editor Header mode Edit"},generalNameInput:{[c]:"Variable editor Form Name field"},generalNameInputV2:{[c]:"data-testid Variable editor Form Name field"},generalTypeSelect:{[c]:"Variable editor Form Type select"},generalTypeSelectV2:{[c]:"data-testid Variable editor Form Type select"},generalLabelInput:{[c]:"Variable editor Form Label field"},generalLabelInputV2:{[c]:"data-testid Variable editor Form Label field"},generalHideSelect:{[c]:"Variable editor Form Hide select"},generalHideSelectV2:{[c]:"data-testid Variable editor Form Hide select"},selectionOptionsAllowCustomValueSwitch:{[c]:"data-testid Variable editor Form Allow Custom Value switch"},selectionOptionsMultiSwitch:{"10.4.0":"data-testid Variable editor Form Multi switch",[c]:"Variable editor Form Multi switch"},selectionOptionsIncludeAllSwitch:{"10.4.0":"data-testid Variable editor Form IncludeAll switch",[c]:"Variable editor Form IncludeAll switch"},selectionOptionsCustomAllInput:{"10.4.0":"data-testid Variable editor Form IncludeAll field",[c]:"Variable editor Form IncludeAll field"},previewOfValuesOption:{"10.4.0":"data-testid Variable editor Preview of Values option",[c]:"Variable editor Preview of Values option"},submitButton:{"10.4.0":"data-testid Variable editor Run Query button",[c]:"Variable editor Submit button"},applyButton:{"9.3.0":"data-testid Variable editor Apply button"}},QueryVariable:{queryOptionsDataSourceSelect:{"10.4.0":"data-testid Select a data source","10.0.0":"data-testid Data source picker select container",[c]:"Data source picker select container"},queryOptionsRefreshSelect:{[c]:"Variable editor Form Query Refresh select"},queryOptionsRefreshSelectV2:{[c]:"data-testid Variable editor Form Query Refresh select"},queryOptionsRegExInput:{[c]:"Variable editor Form Query RegEx field"},queryOptionsRegExInputV2:{[c]:"data-testid Variable editor Form Query RegEx field"},queryOptionsSortSelect:{[c]:"Variable editor Form Query Sort select"},queryOptionsSortSelectV2:{[c]:"data-testid Variable editor Form Query Sort select"},queryOptionsQueryInput:{"10.4.0":"data-testid Variable editor Form Default Variable Query Editor textarea"},valueGroupsTagsEnabledSwitch:{[c]:"Variable editor Form Query UseTags switch"},valueGroupsTagsTagsQueryInput:{[c]:"Variable editor Form Query TagsQuery field"},valueGroupsTagsTagsValuesQueryInput:{[c]:"Variable editor Form Query TagsValuesQuery field"}},ConstantVariable:{constantOptionsQueryInput:{[c]:"Variable editor Form Constant Query field"},constantOptionsQueryInputV2:{[c]:"data-testid Variable editor Form Constant Query field"}},DatasourceVariable:{datasourceSelect:{[c]:"data-testid datasource variable datasource type"}},TextBoxVariable:{textBoxOptionsQueryInput:{[c]:"Variable editor Form TextBox Query field"},textBoxOptionsQueryInputV2:{[c]:"data-testid Variable editor Form TextBox Query field"}},CustomVariable:{customValueInput:{[c]:"data-testid custom-variable-input"}},IntervalVariable:{intervalsValueInput:{[c]:"data-testid interval variable intervals input"},autoEnabledCheckbox:{"10.4.0":"data-testid interval variable auto value checkbox"},stepCountIntervalSelect:{"10.4.0":"data-testid interval variable step count input"},minIntervalInput:{"10.4.0":"data-testid interval variable mininum interval input"}},GroupByVariable:{dataSourceSelect:{"10.4.0":"data-testid Select a data source"},infoText:{"10.4.0":"data-testid group by variable info text"},modeToggle:{"10.4.0":"data-testid group by variable mode toggle"}},AdHocFiltersVariable:{datasourceSelect:{"10.4.0":"data-testid Select a data source"},infoText:{"10.4.0":"data-testid ad-hoc filters variable info text"},modeToggle:{"11.0.0":"data-testid ad-hoc filters variable mode toggle"}}}}},Annotations:{marker:{"10.0.0":"data-testid annotation-marker"}},Rows:{Repeated:{ConfigSection:{warningMessage:{"10.2.0":"data-testid Repeated rows warning message"}}}}},Dashboards:{url:{[c]:"/dashboards"},dashboards:{"10.2.0":e=>`Dashboard search item ${e}`}},SaveDashboardAsModal:{newName:{"10.2.0":"Save dashboard title field"},save:{"10.2.0":"Save dashboard button"}},SaveDashboardModal:{save:{"10.2.0":"Dashboard settings Save Dashboard Modal Save button"},saveVariables:{"10.2.0":"Dashboard settings Save Dashboard Modal Save variables checkbox"},saveTimerange:{"10.2.0":"Dashboard settings Save Dashboard Modal Save timerange checkbox"},saveRefresh:{"11.1.0":"Dashboard settings Save Dashboard Modal Save refresh checkbox"}},SharePanelModal:{linkToRenderedImage:{[c]:"Link to rendered image"}},ShareDashboardModal:{PublicDashboard:{WillBePublicCheckbox:{"9.1.0":"data-testid public dashboard will be public checkbox"},LimitedDSCheckbox:{"9.1.0":"data-testid public dashboard limited datasources checkbox"},CostIncreaseCheckbox:{"9.1.0":"data-testid public dashboard cost may increase checkbox"},PauseSwitch:{"9.5.0":"data-testid public dashboard pause switch"},EnableAnnotationsSwitch:{"9.3.0":"data-testid public dashboard on off switch for annotations"},CreateButton:{"9.5.0":"data-testid public dashboard create button"},DeleteButton:{"9.3.0":"data-testid public dashboard delete button"},CopyUrlInput:{"9.1.0":"data-testid public dashboard copy url input"},CopyUrlButton:{"9.1.0":"data-testid public dashboard copy url button"},SettingsDropdown:{"10.1.0":"data-testid public dashboard settings dropdown"},TemplateVariablesWarningAlert:{"9.1.0":"data-testid public dashboard disabled template variables alert"},UnsupportedDataSourcesWarningAlert:{"9.5.0":"data-testid public dashboard unsupported data sources alert"},NoUpsertPermissionsWarningAlert:{"9.5.0":"data-testid public dashboard no upsert permissions alert"},EnableTimeRangeSwitch:{"9.4.0":"data-testid public dashboard on off switch for time range"},EmailSharingConfiguration:{Container:{"9.5.0":"data-testid email sharing config container"},ShareType:{"9.5.0":"data-testid public dashboard share type"},EmailSharingInput:{"9.5.0":"data-testid public dashboard email sharing input"},EmailSharingInviteButton:{"9.5.0":"data-testid public dashboard email sharing invite button"},EmailSharingList:{"9.5.0":"data-testid public dashboard email sharing list"},DeleteEmail:{"9.5.0":"data-testid public dashboard delete email button"},ReshareLink:{"9.5.0":"data-testid public dashboard reshare link button"}}},SnapshotScene:{url:{"11.1.0":e=>`/dashboard/snapshot/${e}`},PublishSnapshot:{"11.1.0":"data-testid publish snapshot button"},CopyUrlButton:{"11.1.0":"data-testid snapshot copy url button"},CopyUrlInput:{"11.1.0":"data-testid snapshot copy url input"}}},ShareDashboardDrawer:{ShareInternally:{container:{"11.3.0":"data-testid share internally drawer container"},lockTimeRangeSwitch:{"11.3.0":"data-testid share internally lock time range switch"},shortenUrlSwitch:{"11.3.0":"data-testid share internally shorten url switch"},copyUrlButton:{"11.3.0":"data-testid share internally copy url button"},SharePanel:{preview:{"11.5.0":"data-testid share panel internally image generation preview"},widthInput:{"11.5.0":"data-testid share panel internally width input"},heightInput:{"11.5.0":"data-testid share panel internally height input"},scaleFactorInput:{"11.5.0":"data-testid share panel internally scale factor input"},generateImageButton:{"11.5.0":"data-testid share panel internally generate image button"},downloadImageButton:{"11.5.0":"data-testid share panel internally download image button"}}},ShareExternally:{container:{"11.3.0":"data-testid share externally drawer container"},publicAlert:{"11.3.0":"data-testid public share alert"},emailSharingAlert:{"11.3.0":"data-testid email share alert"},shareTypeSelect:{"11.3.0":"data-testid share externally share type select"},Creation:{PublicShare:{createButton:{"11.3.0":"data-testid public share dashboard create button"},cancelButton:{"11.3.0":"data-testid public share dashboard cancel button"}},EmailShare:{createButton:{"11.3.0":"data-testid email share dashboard create button"},cancelButton:{"11.3.0":"data-testid email share dashboard cancel button"}},willBePublicCheckbox:{"11.3.0":"data-testid share dashboard will be public checkbox"}},Configuration:{enableTimeRangeSwitch:{"11.3.0":"data-testid share externally enable time range switch"},enableAnnotationsSwitch:{"11.3.0":"data-testid share externally enable annotations switch"},copyUrlButton:{"11.3.0":"data-testid share externally copy url button"},revokeAccessButton:{"11.3.0":"data-testid share externally revoke access button"},toggleAccessButton:{"11.3.0":"data-testid share externally pause or resume access button"}}},ShareSnapshot:{url:{"11.3.0":e=>`/dashboard/snapshot/${e}`},container:{"11.3.0":"data-testid share snapshot drawer container"},publishSnapshot:{"11.3.0":"data-testid share snapshot publish button"},copyUrlButton:{"11.3.0":"data-testid share snapshot copy url button"}}},ExportDashboardDrawer:{ExportAsJson:{container:{"11.3.0":"data-testid export as json drawer container"},codeEditor:{"11.3.0":"data-testid export as json code editor"},exportExternallyToggle:{"11.3.0":"data-testid export as json externally switch"},saveToFileButton:{"11.3.0":"data-testid export as json save to file button"},copyToClipboardButton:{"11.3.0":"data-testid export as json copy to clipboard button"},cancelButton:{"11.3.0":"data-testid export as json cancel button"}}},PublicDashboard:{page:{"9.5.0":"public-dashboard-page"},NotAvailable:{container:{"9.5.0":"public-dashboard-not-available"},title:{"9.5.0":"public-dashboard-title"},pausedDescription:{"9.5.0":"public-dashboard-paused-description"}},footer:{"11.0.0":"public-dashboard-footer"}},PublicDashboardScene:{loadingPage:{"11.0.0":"public-dashboard-scene-loading-page"},page:{"11.0.0":"public-dashboard-scene-page"},controls:{"11.0.0":"public-dashboard-controls"}},RequestViewAccess:{form:{"9.5.0":"request-view-access-form"},recipientInput:{"9.5.0":"request-view-access-recipient-input"},submitButton:{"9.5.0":"request-view-access-submit-button"}},PublicDashboardConfirmAccess:{submitButton:{"10.2.0":"data-testid confirm-access-submit-button"}},Explore:{url:{[c]:"/explore"},General:{container:{[c]:"data-testid Explore"},graph:{[c]:"Explore Graph"},table:{[c]:"Explore Table"},scrollView:{"9.0.0":"data-testid explorer scroll view"}},QueryHistory:{container:{"11.1.0":"data-testid QueryHistory"}}},SoloPanel:{url:{[c]:e=>`/d-solo/${e}`}},PluginsList:{page:{[c]:"Plugins list page"},list:{[c]:"Plugins list"},listItem:{[c]:"Plugins list item"},signatureErrorNotice:{"10.3.0":"data-testid Unsigned plugins notice",[c]:"Unsigned plugins notice"}},PluginPage:{page:{[c]:"Plugin page"},signatureInfo:{"10.3.0":"data-testid Plugin signature info",[c]:"Plugin signature info"},disabledInfo:{"10.3.0":"data-testid Plugin disabled info",[c]:"Plugin disabled info"}},PlaylistForm:{name:{[c]:"Playlist name"},interval:{[c]:"Playlist interval"},itemDelete:{"10.2.0":"data-testid playlist-form-delete-item"}},BrowseDashboards:{table:{body:{"10.2.0":"data-testid browse-dashboards-table"},row:{"10.2.0":e=>`data-testid browse dashboards row ${e}`},checkbox:{"10.0.0":e=>`data-testid ${e} checkbox`}},NewFolderForm:{form:{"10.2.0":"data-testid new folder form"},nameInput:{"10.2.0":"data-testid new-folder-name-input"},createButton:{"10.2.0":"data-testid new-folder-create-button"}}},Search:{url:{"9.3.0":"/?search=openn"},FolderView:{url:{"9.3.0":"/?search=open&layout=folders"}}},PublicDashboards:{ListItem:{linkButton:{"9.3.0":"public-dashboard-link-button"},configButton:{"9.3.0":"public-dashboard-configuration-button"},trashcanButton:{"9.3.0":"public-dashboard-remove-button"},pauseSwitch:{"10.1.0":"data-testid public dashboard pause switch"}}},UserListPage:{tabs:{allUsers:{"10.0.0":"data-testid all-users-tab"},orgUsers:{"10.0.0":"data-testid org-users-tab"},anonUserDevices:{"10.2.3":"data-testid anon-user-devices-tab"},publicDashboardsUsers:{"10.0.0":"data-testid public-dashboards-users-tab"},users:{"10.0.0":"data-testid users-tab"}},org:{url:{"10.2.0":"/admin/users","9.5.0":"/org/users"}},admin:{url:{"9.5.0":"/admin/users"}},publicDashboards:{container:{"11.1.0":"data-testid public-dashboards-users-list"}},UserListAdminPage:{container:{"10.0.0":"data-testid user-list-admin-page"}},UsersListPage:{container:{"10.0.0":"data-testid users-list-page"}},UserAnonListPage:{container:{"10.4.0":"data-testid user-anon-list-page"}},UsersListPublicDashboardsPage:{container:{"10.0.0":"data-testid users-list-public-dashboards-page"},DashboardsListModal:{listItem:{"10.0.0":e=>`data-testid dashboards-list-item-${e}`}}}},ProfilePage:{url:{"10.2.0":"/profile"}},Plugin:{url:{[c]:e=>`/plugins/${e}`}}}),components:o(u)}},9953:(e,t,n)=>{"use strict";n.d(t,{C:()=>o});var r=n(8531);const o=()=>!!r.config.featureToggles.sqlDatasourceDatabaseSelection},136:(e,t,n)=>{"use strict";n.d(t,{T:()=>s});var r=n(6013),o=n(9453),i=n(3277);function a(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function s(e){let t=(null==e?void 0:e.editorMode)||r.lX.Builder;var n;void 0===(null==e?void 0:e.editorMode)&&void 0!==(null==e?void 0:e.rawSql)&&(t=r.lX.Code);const s=(l=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){a(e,t,n[t])}))}return e}({},e),c=null!=(c={refId:(null==e?void 0:e.refId)||"A",format:void 0!==(null==e?void 0:e.format)?e.format:o.gv.Table,rawSql:(null==e?void 0:e.rawSql)||"",editorMode:t,sql:null!==(n=null==e?void 0:e.sql)&&void 0!==n?n:{columns:[(0,i.JD)()],groupBy:[(0,i.xG)()],limit:50}})?c:{},Object.getOwnPropertyDescriptors?Object.defineProperties(l,Object.getOwnPropertyDescriptors(c)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(c)).forEach((function(e){Object.defineProperty(l,e,Object.getOwnPropertyDescriptor(c,e))})),l);var l,c;return s}},6703:(e,t,n)=>{"use strict";n.d(t,{D:()=>r,_:()=>o});var r=function(e){return e.String="string",e}({}),o=function(e){return e.Property="property",e.Operator="operator",e.Or="or",e.And="and",e.GroupBy="groupBy",e.Function="function",e.FunctionParameter="functionParameter",e}({})},9453:(e,t,n)=>{"use strict";n.d(t,{cO:()=>i,gv:()=>o,zL:()=>a});var r=n(7781),o=function(e){return e.Timeseries="time_series",e.Table="table",e}({});const i=[{label:"Time series",value:"time_series"},{label:"Table",value:"table"}],a=null!==r.toOption&&void 0!==r.toOption?r.toOption:e=>({label:e,value:e})},3031:(e,t,n)=>{"use strict";n.d(t,{s:()=>o});var r=n(7409);function o(e){return r.Ay.format(e).replace(/(\$ \{ .* \})|(\$ __)|(\$ \w+)/g,(e=>e.replace(/\s/g,"")))}},3277:(e,t,n)=>{"use strict";n.d(t,{JD:()=>l,Kj:()=>s,YW:()=>i,oG:()=>c,xG:()=>a});var r=n(7781),o=n(6703);const i=e=>{if(!e)return!1;const t=e.some((e=>{var t,n;return(null===(t=e.parameters)||void 0===t?void 0:t.length)||(null===(n=e.parameters)||void 0===n?void 0:n.some((e=>e.name)))})),n=e.some((e=>e.name));return t||n};function a(e){return{type:o._.GroupBy,property:{type:o.D.String,name:e}}}function s(e){return{type:o._.Property,property:{type:o.D.String,name:e}}}function l(e){return{type:o._.Function,name:e,parameters:[]}}function c(e){return(null==e?void 0:e.name)?(0,r.toOption)(e.name):null}},627:e=>{e.exports={area:!0,base:!0,br:!0,col:!0,embed:!0,hr:!0,img:!0,input:!0,link:!0,meta:!0,param:!0,source:!0,track:!0,wbr:!0}},6089:e=>{"use strict";e.exports=a},9089:e=>{"use strict";e.exports=l},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=r},2007:e=>{"use strict";e.exports=s},3241:e=>{"use strict";e.exports=o},2468:e=>{"use strict";e.exports=p},5959:e=>{"use strict";e.exports=i},8398:e=>{"use strict";e.exports=c},200:e=>{"use strict";e.exports=d},7694:e=>{"use strict";e.exports=u},1269:e=>{"use strict";e.exports=t},3059:e=>{"use strict";e.exports=n},7111:(e,t,n)=>{"use strict";function r(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=Array(t);n<t;n++)r[n]=e[n];return r}n.d(t,{A:()=>r})},1667:(e,t,n)=>{"use strict";function r(e){if(Array.isArray(e))return e}n.d(t,{A:()=>r})},979:(e,t,n)=>{"use strict";function r(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}n.d(t,{A:()=>r})},6655:(e,t,n)=>{"use strict";function r(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}n.d(t,{A:()=>r})},9195:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(1470);function o(e,t){for(var n=0;n<t.length;n++){var o=t[n];o.enumerable=o.enumerable||!1,o.configurable=!0,"value"in o&&(o.writable=!0),Object.defineProperty(e,(0,r.A)(o.key),o)}}function i(e,t,n){return t&&o(e.prototype,t),n&&o(e,n),Object.defineProperty(e,"prototype",{writable:!1}),e}},7493:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(1470);function o(e,t,n){return(t=(0,r.A)(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}},1858:(e,t,n)=>{"use strict";function r(){return r=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var n=arguments[t];for(var r in n)({}).hasOwnProperty.call(n,r)&&(e[r]=n[r])}return e},r.apply(null,arguments)}n.d(t,{A:()=>r})},2296:(e,t,n)=>{"use strict";function r(e){return r=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},r(e)}n.d(t,{A:()=>r})},1167:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(8940);function o(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&(0,r.A)(e,t)}},9523:(e,t,n)=>{"use strict";function r(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}n.d(t,{A:()=>r})},272:(e,t,n)=>{"use strict";function r(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}n.d(t,{A:()=>r})},5167:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(5109);function o(e,t){if(null==e)return{};var n,o,i=(0,r.A)(e,t);if(Object.getOwnPropertySymbols){var a=Object.getOwnPropertySymbols(e);for(o=0;o<a.length;o++)n=a[o],t.includes(n)||{}.propertyIsEnumerable.call(e,n)&&(i[n]=e[n])}return i}},5109:(e,t,n)=>{"use strict";function r(e,t){if(null==e)return{};var n={};for(var r in e)if({}.hasOwnProperty.call(e,r)){if(t.includes(r))continue;n[r]=e[r]}return n}n.d(t,{A:()=>r})},3836:(e,t,n)=>{"use strict";n.d(t,{A:()=>i});var r=n(5650),o=n(979);function i(e,t){if(t&&("object"==(0,r.A)(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return(0,o.A)(e)}},8940:(e,t,n)=>{"use strict";function r(e,t){return r=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},r(e,t)}n.d(t,{A:()=>r})},894:(e,t,n)=>{"use strict";n.d(t,{A:()=>a});var r=n(1667),o=n(5626),i=n(272);function a(e,t){return(0,r.A)(e)||function(e,t){var n=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=n){var r,o,i,a,s=[],l=!0,c=!1;try{if(i=(n=n.call(e)).next,0===t){if(Object(n)!==n)return;l=!1}else for(;!(l=(r=i.call(n)).done)&&(s.push(r.value),s.length!==t);l=!0);}catch(e){c=!0,o=e}finally{try{if(!l&&null!=n.return&&(a=n.return(),Object(a)!==a))return}finally{if(c)throw o}}return s}}(e,t)||(0,o.A)(e,t)||(0,i.A)()}},7218:(e,t,n)=>{"use strict";n.d(t,{A:()=>a});var r=n(7111),o=n(9523),i=n(5626);function a(e){return function(e){if(Array.isArray(e))return(0,r.A)(e)}(e)||(0,o.A)(e)||(0,i.A)(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},1470:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(5650);function o(e){var t=function(e){if("object"!=(0,r.A)(e)||!e)return e;var t=e[Symbol.toPrimitive];if(void 0!==t){var n=t.call(e,"string");if("object"!=(0,r.A)(n))return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==(0,r.A)(t)?t:t+""}},5650:(e,t,n)=>{"use strict";function r(e){return r="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},r(e)}n.d(t,{A:()=>r})},5626:(e,t,n)=>{"use strict";n.d(t,{A:()=>o});var r=n(7111);function o(e,t){if(e){if("string"==typeof e)return(0,r.A)(e,t);var n={}.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?(0,r.A)(e,t):void 0}}},4769:(e,t,n)=>{"use strict";n.r(t),n.d(t,{__addDisposableResource:()=>D,__assign:()=>i,__asyncDelegator:()=>R,__asyncGenerator:()=>w,__asyncValues:()=>T,__await:()=>S,__awaiter:()=>h,__classPrivateFieldGet:()=>L,__classPrivateFieldIn:()=>j,__classPrivateFieldSet:()=>k,__createBinding:()=>m,__decorate:()=>s,__disposeResources:()=>_,__esDecorate:()=>c,__exportStar:()=>b,__extends:()=>o,__generator:()=>g,__importDefault:()=>N,__importStar:()=>P,__makeTemplateObject:()=>C,__metadata:()=>f,__param:()=>l,__propKey:()=>d,__read:()=>y,__rest:()=>a,__rewriteRelativeImportExtension:()=>F,__runInitializers:()=>u,__setFunctionName:()=>p,__spread:()=>E,__spreadArray:()=>x,__spreadArrays:()=>O,__values:()=>v,default:()=>V});var r=function(e,t){return r=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n])},r(e,t)};function o(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function n(){this.constructor=e}r(e,t),e.prototype=null===t?Object.create(t):(n.prototype=t.prototype,new n)}var i=function(){return i=Object.assign||function(e){for(var t,n=1,r=arguments.length;n<r;n++)for(var o in t=arguments[n])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},i.apply(this,arguments)};function a(e,t){var n={};for(var r in e)Object.prototype.hasOwnProperty.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(null!=e&&"function"==typeof Object.getOwnPropertySymbols){var o=0;for(r=Object.getOwnPropertySymbols(e);o<r.length;o++)t.indexOf(r[o])<0&&Object.prototype.propertyIsEnumerable.call(e,r[o])&&(n[r[o]]=e[r[o]])}return n}function s(e,t,n,r){var o,i=arguments.length,a=i<3?t:null===r?r=Object.getOwnPropertyDescriptor(t,n):r;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(e,t,n,r);else for(var s=e.length-1;s>=0;s--)(o=e[s])&&(a=(i<3?o(a):i>3?o(t,n,a):o(t,n))||a);return i>3&&a&&Object.defineProperty(t,n,a),a}function l(e,t){return function(n,r){t(n,r,e)}}function c(e,t,n,r,o,i){function a(e){if(void 0!==e&&"function"!=typeof e)throw new TypeError("Function expected");return e}for(var s,l=r.kind,c="getter"===l?"get":"setter"===l?"set":"value",u=!t&&e?r.static?e:e.prototype:null,d=t||(u?Object.getOwnPropertyDescriptor(u,r.name):{}),p=!1,f=n.length-1;f>=0;f--){var h={};for(var g in r)h[g]="access"===g?{}:r[g];for(var g in r.access)h.access[g]=r.access[g];h.addInitializer=function(e){if(p)throw new TypeError("Cannot add initializers after decoration has completed");i.push(a(e||null))};var m=(0,n[f])("accessor"===l?{get:d.get,set:d.set}:d[c],h);if("accessor"===l){if(void 0===m)continue;if(null===m||"object"!=typeof m)throw new TypeError("Object expected");(s=a(m.get))&&(d.get=s),(s=a(m.set))&&(d.set=s),(s=a(m.init))&&o.unshift(s)}else(s=a(m))&&("field"===l?o.unshift(s):d[c]=s)}u&&Object.defineProperty(u,r.name,d),p=!0}function u(e,t,n){for(var r=arguments.length>2,o=0;o<t.length;o++)n=r?t[o].call(e,n):t[o].call(e);return r?n:void 0}function d(e){return"symbol"==typeof e?e:"".concat(e)}function p(e,t,n){return"symbol"==typeof t&&(t=t.description?"[".concat(t.description,"]"):""),Object.defineProperty(e,"name",{configurable:!0,value:n?"".concat(n," ",t):t})}function f(e,t){if("object"==typeof Reflect&&"function"==typeof Reflect.metadata)return Reflect.metadata(e,t)}function h(e,t,n,r){return new(n||(n=Promise))((function(o,i){function a(e){try{l(r.next(e))}catch(e){i(e)}}function s(e){try{l(r.throw(e))}catch(e){i(e)}}function l(e){var t;e.done?o(e.value):(t=e.value,t instanceof n?t:new n((function(e){e(t)}))).then(a,s)}l((r=r.apply(e,t||[])).next())}))}function g(e,t){var n,r,o,i={label:0,sent:function(){if(1&o[0])throw o[1];return o[1]},trys:[],ops:[]},a=Object.create(("function"==typeof Iterator?Iterator:Object).prototype);return a.next=s(0),a.throw=s(1),a.return=s(2),"function"==typeof Symbol&&(a[Symbol.iterator]=function(){return this}),a;function s(s){return function(l){return function(s){if(n)throw new TypeError("Generator is already executing.");for(;a&&(a=0,s[0]&&(i=0)),i;)try{if(n=1,r&&(o=2&s[0]?r.return:s[0]?r.throw||((o=r.return)&&o.call(r),0):r.next)&&!(o=o.call(r,s[1])).done)return o;switch(r=0,o&&(s=[2&s[0],o.value]),s[0]){case 0:case 1:o=s;break;case 4:return i.label++,{value:s[1],done:!1};case 5:i.label++,r=s[1],s=[0];continue;case 7:s=i.ops.pop(),i.trys.pop();continue;default:if(!((o=(o=i.trys).length>0&&o[o.length-1])||6!==s[0]&&2!==s[0])){i=0;continue}if(3===s[0]&&(!o||s[1]>o[0]&&s[1]<o[3])){i.label=s[1];break}if(6===s[0]&&i.label<o[1]){i.label=o[1],o=s;break}if(o&&i.label<o[2]){i.label=o[2],i.ops.push(s);break}o[2]&&i.ops.pop(),i.trys.pop();continue}s=t.call(e,i)}catch(e){s=[6,e],r=0}finally{n=o=0}if(5&s[0])throw s[1];return{value:s[0]?s[1]:void 0,done:!0}}([s,l])}}}var m=Object.create?function(e,t,n,r){void 0===r&&(r=n);var o=Object.getOwnPropertyDescriptor(t,n);o&&!("get"in o?!t.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return t[n]}}),Object.defineProperty(e,r,o)}:function(e,t,n,r){void 0===r&&(r=n),e[r]=t[n]};function b(e,t){for(var n in e)"default"===n||Object.prototype.hasOwnProperty.call(t,n)||m(t,e,n)}function v(e){var t="function"==typeof Symbol&&Symbol.iterator,n=t&&e[t],r=0;if(n)return n.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&r>=e.length&&(e=void 0),{value:e&&e[r++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function y(e,t){var n="function"==typeof Symbol&&e[Symbol.iterator];if(!n)return e;var r,o,i=n.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(r=i.next()).done;)a.push(r.value)}catch(e){o={error:e}}finally{try{r&&!r.done&&(n=i.return)&&n.call(i)}finally{if(o)throw o.error}}return a}function E(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(y(arguments[t]));return e}function O(){for(var e=0,t=0,n=arguments.length;t<n;t++)e+=arguments[t].length;var r=Array(e),o=0;for(t=0;t<n;t++)for(var i=arguments[t],a=0,s=i.length;a<s;a++,o++)r[o]=i[a];return r}function x(e,t,n){if(n||2===arguments.length)for(var r,o=0,i=t.length;o<i;o++)!r&&o in t||(r||(r=Array.prototype.slice.call(t,0,o)),r[o]=t[o]);return e.concat(r||Array.prototype.slice.call(t))}function S(e){return this instanceof S?(this.v=e,this):new S(e)}function w(e,t,n){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var r,o=n.apply(e,t||[]),i=[];return r=Object.create(("function"==typeof AsyncIterator?AsyncIterator:Object).prototype),a("next"),a("throw"),a("return",(function(e){return function(t){return Promise.resolve(t).then(e,c)}})),r[Symbol.asyncIterator]=function(){return this},r;function a(e,t){o[e]&&(r[e]=function(t){return new Promise((function(n,r){i.push([e,t,n,r])>1||s(e,t)}))},t&&(r[e]=t(r[e])))}function s(e,t){try{(n=o[e](t)).value instanceof S?Promise.resolve(n.value.v).then(l,c):u(i[0][2],n)}catch(e){u(i[0][3],e)}var n}function l(e){s("next",e)}function c(e){s("throw",e)}function u(e,t){e(t),i.shift(),i.length&&s(i[0][0],i[0][1])}}function R(e){var t,n;return t={},r("next"),r("throw",(function(e){throw e})),r("return"),t[Symbol.iterator]=function(){return this},t;function r(r,o){t[r]=e[r]?function(t){return(n=!n)?{value:S(e[r](t)),done:!1}:o?o(t):t}:o}}function T(e){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var t,n=e[Symbol.asyncIterator];return n?n.call(e):(e=v(e),t={},r("next"),r("throw"),r("return"),t[Symbol.asyncIterator]=function(){return this},t);function r(n){t[n]=e[n]&&function(t){return new Promise((function(r,o){!function(e,t,n,r){Promise.resolve(r).then((function(t){e({value:t,done:n})}),t)}(r,o,(t=e[n](t)).done,t.value)}))}}}function C(e,t){return Object.defineProperty?Object.defineProperty(e,"raw",{value:t}):e.raw=t,e}var I=Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t},A=function(e){return A=Object.getOwnPropertyNames||function(e){var t=[];for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&(t[t.length]=n);return t},A(e)};function P(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var n=A(e),r=0;r<n.length;r++)"default"!==n[r]&&m(t,e,n[r]);return I(t,e),t}function N(e){return e&&e.__esModule?e:{default:e}}function L(e,t,n,r){if("a"===n&&!r)throw new TypeError("Private accessor was defined without a getter");if("function"==typeof t?e!==t||!r:!t.has(e))throw new TypeError("Cannot read private member from an object whose class did not declare it");return"m"===n?r:"a"===n?r.call(e):r?r.value:t.get(e)}function k(e,t,n,r,o){if("m"===r)throw new TypeError("Private method is not writable");if("a"===r&&!o)throw new TypeError("Private accessor was defined without a setter");if("function"==typeof t?e!==t||!o:!t.has(e))throw new TypeError("Cannot write private member to an object whose class did not declare it");return"a"===r?o.call(e,n):o?o.value=n:t.set(e,n),n}function j(e,t){if(null===t||"object"!=typeof t&&"function"!=typeof t)throw new TypeError("Cannot use 'in' operator on non-object");return"function"==typeof e?t===e:e.has(t)}function D(e,t,n){if(null!=t){if("object"!=typeof t&&"function"!=typeof t)throw new TypeError("Object expected.");var r,o;if(n){if(!Symbol.asyncDispose)throw new TypeError("Symbol.asyncDispose is not defined.");r=t[Symbol.asyncDispose]}if(void 0===r){if(!Symbol.dispose)throw new TypeError("Symbol.dispose is not defined.");r=t[Symbol.dispose],n&&(o=r)}if("function"!=typeof r)throw new TypeError("Object not disposable.");o&&(r=function(){try{o.call(this)}catch(e){return Promise.reject(e)}}),e.stack.push({value:t,dispose:r,async:n})}else n&&e.stack.push({async:!0});return t}var M="function"==typeof SuppressedError?SuppressedError:function(e,t,n){var r=new Error(n);return r.name="SuppressedError",r.error=e,r.suppressed=t,r};function _(e){function t(t){e.error=e.hasError?new M(t,e.error,"An error was suppressed during disposal."):t,e.hasError=!0}var n,r=0;return function o(){for(;n=e.stack.pop();)try{if(!n.async&&1===r)return r=0,e.stack.push(n),Promise.resolve().then(o);if(n.dispose){var i=n.dispose.call(n.value);if(n.async)return r|=2,Promise.resolve(i).then(o,(function(e){return t(e),o()}))}else r|=1}catch(e){t(e)}if(1===r)return e.hasError?Promise.reject(e.error):Promise.resolve();if(e.hasError)throw e.error}()}function F(e,t){return"string"==typeof e&&/^\.\.?\//.test(e)?e.replace(/\.(tsx)$|((?:\.d)?)((?:\.[^./]+?)?)\.([cm]?)ts$/i,(function(e,n,r,o,i){return n?t?".jsx":".js":!r||o&&i?r+o+"."+i.toLowerCase()+"js":e})):e}const V={__extends:o,__assign:i,__rest:a,__decorate:s,__param:l,__esDecorate:c,__runInitializers:u,__propKey:d,__setFunctionName:p,__metadata:f,__awaiter:h,__generator:g,__createBinding:m,__exportStar:b,__values:v,__read:y,__spread:E,__spreadArrays:O,__spreadArray:x,__await:S,__asyncGenerator:w,__asyncDelegator:R,__asyncValues:T,__makeTemplateObject:C,__importStar:P,__importDefault:N,__classPrivateFieldGet:L,__classPrivateFieldSet:k,__classPrivateFieldIn:j,__addDisposableResource:D,__disposeResources:_,__rewriteRelativeImportExtension:F}}},v={};function y(e){var t=v[e];if(void 0!==t)return t.exports;var n=v[e]={id:e,loaded:!1,exports:{}};return b[e].call(n.exports,n,n.exports,y),n.loaded=!0,n.exports}y.m=b,y.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return y.d(t,{a:t}),t},h=Object.getPrototypeOf?e=>Object.getPrototypeOf(e):e=>e.__proto__,y.t=function(e,t){if(1&t&&(e=this(e)),8&t)return e;if("object"==typeof e&&e){if(4&t&&e.__esModule)return e;if(16&t&&"function"==typeof e.then)return e}var n=Object.create(null);y.r(n);var r={};f=f||[null,h({}),h([]),h(h)];for(var o=2&t&&e;"object"==typeof o&&!~f.indexOf(o);o=h(o))Object.getOwnPropertyNames(o).forEach((t=>r[t]=()=>e[t]));return r.default=()=>e,y.d(n,r),n},y.d=(e,t)=>{for(var n in t)y.o(t,n)&&!y.o(e,n)&&Object.defineProperty(e,n,{enumerable:!0,get:t[n]})},y.f={},y.e=e=>Promise.all(Object.keys(y.f).reduce(((t,n)=>(y.f[n](e,t),t)),[])),y.u=e=>(168===e?"sql-query-editor":e)+".js",y.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),y.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),g={},m="mssql:",y.l=(e,t,n,r)=>{if(g[e])g[e].push(t);else{var o,i;if(void 0!==n)for(var a=document.getElementsByTagName("script"),s=0;s<a.length;s++){var l=a[s];if(l.getAttribute("src")==e||l.getAttribute("data-webpack")==m+n){o=l;break}}o||(i=!0,(o=document.createElement("script")).charset="utf-8",o.timeout=120,y.nc&&o.setAttribute("nonce",y.nc),o.setAttribute("data-webpack",m+n),o.src=e),g[e]=[t];var c=(t,n)=>{o.onerror=o.onload=null,clearTimeout(u);var r=g[e];if(delete g[e],o.parentNode&&o.parentNode.removeChild(o),r&&r.forEach((e=>e(n))),t)return t(n)},u=setTimeout(c.bind(null,void 0,{type:"timeout",target:o}),12e4);o.onerror=c.bind(null,o.onerror),o.onload=c.bind(null,o.onload),i&&document.head.appendChild(o)}},y.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},y.nmd=e=>(e.paths=[],e.children||(e.children=[]),e),y.p="public/plugins/mssql/",(()=>{var e={231:0};y.f.j=(t,n)=>{var r=y.o(e,t)?e[t]:void 0;if(0!==r)if(r)n.push(r[2]);else{var o=new Promise(((n,o)=>r=e[t]=[n,o]));n.push(r[2]=o);var i=y.p+y.u(t),a=new Error;y.l(i,(n=>{if(y.o(e,t)&&(0!==(r=e[t])&&(e[t]=void 0),r)){var o=n&&("load"===n.type?"missing":n.type),i=n&&n.target&&n.target.src;a.message="Loading chunk "+t+" failed.\n("+o+": "+i+")",a.name="ChunkLoadError",a.type=o,a.request=i,r[1](a)}}),"chunk-"+t,t)}};var t=(t,n)=>{var r,o,[i,a,s]=n,l=0;if(i.some((t=>0!==e[t]))){for(r in a)y.o(a,r)&&(y.m[r]=a[r]);s&&s(y)}for(t&&t(n);l<i.length;l++)o=i[l],y.o(e,o)&&e[o]&&e[o][0](),e[o]=0},n=globalThis.webpackChunkmssql=globalThis.webpackChunkmssql||[];n.forEach(t.bind(null,0)),n.push=t.bind(null,n.push.bind(n))})();var E={};return(()=>{"use strict";y.r(E),y.d(E,{plugin:()=>Sd});var e=y(7781),t=y(9453);const n=[{name:"AVG"},{name:"COUNT"},{name:"MAX"},{name:"MIN"},{name:"SUM"}],r={name:"Interval",required:!0,options:()=>Promise.resolve([{label:"$__interval",value:"$__interval"}])},o={name:"Fill",required:!1,options:()=>Promise.resolve([{label:"0",value:"0"},{label:"NULL",value:"NULL"},{label:"previous",value:"previous"}])},i=e=>[{name:"$__timeGroup",description:"Time grouping function",parameters:[e,r,o]},{name:"$__timeGroupAlias",description:"Time grouping function with time as alias",parameters:[e,r,o]},{name:"$__time",description:"An expression to rename the column to time",parameters:[e]},{name:"$__timeEpoch",parameters:[e]},{name:"$__unixEpochGroup",parameters:[e,r,o]},{name:"$__unixEpochGroupAlias",parameters:[e,r,o]}],a=["$__time","$__timeEpoch","$__timeFilter","$__timeFrom","$__timeTo","$__timeGroup","$__timeGroupAlias","$__unixEpochFilter","$__unixEpochNanoFilter","$__unixEpochNanoFrom","$__unixEpochNanoTo","$__unixEpochGroup","$__unixEpochGroupAlias"];var s=y(1269),l=y(3059),c=y(6013),u=y(8531),d=y(3241);class p{transformMetricFindResponse(e){const t=[],n=e.fields.find((e=>"__text"===e.name)),r=e.fields.find((e=>"__value"===e.name));if(n&&r)for(let e=0;e<n.values.length;e++)t.push({text:""+n.values[e],value:""+r.values[e]});else for(const n of e.fields)for(const e of n.values)t.push({text:e});return(0,d.uniqBy)(t,"text")}}var f=y(9728),h=y(6089),g=y(5959),m=y.t(g,2),b=y.n(g),v=y(2007);function O(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function x(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){O(e,t,n[t])}))}return e}const S=(0,g.lazy)((()=>Promise.all([y.e(752),y.e(168)]).then(y.bind(y,3792))));function w(e){const t=(0,v.useStyles2)(R);return(0,f.jsx)(g.Suspense,{fallback:(0,f.jsx)(v.LoadingPlaceholder,{text:"Loading editor",className:t.container}),children:(0,f.jsx)(S,x({},e))})}const R=e=>({container:(0,h.css)({marginBottom:"unset",marginLeft:e.spacing(1)})});var T=y(136);function C(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function I(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){C(e,t,n[t])}))}return e}function A(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}function P(e){const t="string"==typeof e.rawQuery?e.rawQuery:null;if(!t)return e;var n;const r=(0,T.T)(A(I({refId:"Annotation"},null!==(n=e.target)&&void 0!==n?n:{}),{rawSql:t}));return A(I({},e),{rawQuery:void 0,workspace:void 0,subscription:void 0,queryType:void 0,target:r})}var N=y(9953);function L(e,t,n,r,o,i,a){try{var s=e[i](a),l=s.value}catch(e){return void n(e)}s.done?t(l):Promise.resolve(l).then(r,o)}function k(e){return function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){L(i,r,o,a,s,"next",e)}function s(e){L(i,r,o,a,s,"throw",e)}a(void 0)}))}}function j(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function D(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){j(e,t,n[t])}))}return e}function M(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}class _ extends u.DataSourceWithBackend{getResponseParser(){return this.responseParser}interpolateVariablesInQueries(e,t){let n=e;return e&&e.length>0&&(n=e.map((e=>M(D({},e),{datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),rawQuery:!0})))),n}filterQuery(e){return!e.hide}applyTemplateVariables(e,t){return{refId:e.refId,datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),format:e.format}}query(t){if((0,N.C)()){const e=this.checkForDatabaseIssue(t);if(e){const t=new Error(e);return(0,s.throwError)((()=>t))}}return t.targets.forEach((n=>{var r;t.app!==e.CoreApp.Dashboard&&t.app!==e.CoreApp.PanelViewer&&(0,u.reportInteraction)("grafana_sql_query_executed",{datasource:null===(r=n.datasource)||void 0===r?void 0:r.type,editorMode:n.editorMode,format:n.format,app:t.app})})),super.query(t)}checkForDatabaseIssue(t){if("postgres"===this.type&&!this.preconfiguredDatabase)return"You do not currently have a default database configured for this data source. Postgres requires a default\n             database with which to connect. Please configure one through the Data Sources Configuration page, or if you\n             are using a provisioning file, update that configuration file with a default database.";if(t.app!==e.CoreApp.Explore&&this.preconfiguredDatabase)for(const e of t.targets)if(e.editorMode===c.lX.Builder&&e.dataset!==this.preconfiguredDatabase)return"The configuration for this panel's data source has been modified. The previous database used in this panel's\n                   saved query is no longer available. Please update the query to use the new database option.\n                   Previous query parameters will be preserved until the query is updated."}metricFindQuery(n,r){var o=this;return k((function*(){const i=null==r?void 0:r.range;if(null==i)return[];let a="tempvar";r&&r.variable&&r.variable.name&&(a=r.variable.name);const s=D({},null==r?void 0:r.scopedVars,(0,e.getSearchFilterScopedVar)({query:n,wildcardChar:"%",options:r})),l=o.templateSrv.replace(n,s,o.interpolateVariable),c={refId:a,datasource:o.getRef(),rawSql:l,format:t.gv.Table};let u;try{u=yield o.runMetaQuery(c,i)}catch(e){throw console.error(e),new Error("error when executing the sql query")}return o.getResponseParser().transformMetricFindResponse(u)}))()}runSql(n,r){var o=this;return k((function*(){const i=(0,e.getDefaultTimeRange)(),a=yield o.runMetaQuery({rawSql:n,format:t.gv.Table,refId:null==r?void 0:r.refId},i);return new e.DataFrameView(a)}))()}runMetaQuery(e,t){const n=e.refId||"meta",r=[M(D({},e),{datasource:e.datasource||this.getRef(),refId:n})];return(0,s.lastValueFrom)((0,u.getBackendSrv)().fetch({url:"/api/ds/query",method:"POST",headers:this.getRequestHeaders(),data:{from:t.from.valueOf().toString(),to:t.to.valueOf().toString(),queries:r},requestId:n}).pipe((0,l.map)((e=>{var t;return null!==(t=(0,u.toDataQueryResponse)(e,r).data[0])&&void 0!==t?t:{fields:[]}}))))}targetContainsTemplate(e){let t=e.rawSql;return a.forEach((e=>{t=(null==t?void 0:t.replace(e,""))||""})),this.templateSrv.containsTemplate(t)}constructor(e,t=(0,u.getTemplateSrv)()){super(e),j(this,"templateSrv",void 0),j(this,"id",void 0),j(this,"responseParser",void 0),j(this,"name",void 0),j(this,"interval",void 0),j(this,"db",void 0),j(this,"preconfiguredDatabase",void 0),j(this,"interpolateVariable",void 0),this.templateSrv=t,this.interpolateVariable=(e,t)=>"string"==typeof e?t.multi||t.includeAll?this.getQueryModel().quoteLiteral(e):String(e).replace(/'/g,"''"):"number"==typeof e?e:Array.isArray(e)?e.map((e=>this.getQueryModel().quoteLiteral(e))).join(","):e,this.name=e.name,this.responseParser=new p,this.id=e.id;const n=e.jsonData||{};var r;this.interval=n.timeInterval||"1m",this.db=this.getDB(),this.preconfiguredDatabase=null!==(r=n.database)&&void 0!==r?r:"",this.annotations={prepareAnnotation:P,QueryEditor:w}}}var F=y(3031),V=Object.defineProperty,$=Object.defineProperties,U=Object.getOwnPropertyDescriptors,B=Object.getOwnPropertySymbols,H=Object.prototype.hasOwnProperty,W=Object.prototype.propertyIsEnumerable,z=(e,t,n)=>t in e?V(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,G=(e,t)=>{for(var n in t||(t={}))H.call(t,n)&&z(e,n,t[n]);if(B)for(var n of B(t))W.call(t,n)&&z(e,n,t[n]);return e},q=(e,t)=>$(e,U(t));const X=({children:e,title:t,description:n,isCollapsible:r=!1,isInitiallyOpen:o=!0,kind:i="section",className:a})=>{const{colors:s,typography:l,spacing:c}=(0,v.useTheme2)(),[u,d]=(0,g.useState)(!r||o),p=u?"angle-up":"angle-down",f="sub-section"===i,m=`${u?"Collapse":"Expand"} section ${t}`,y={header:(0,h.css)({display:"flex",justifyContent:"space-between",alignItems:"center"}),title:(0,h.css)({margin:0}),subtitle:(0,h.css)({margin:0,fontWeight:l.fontWeightRegular}),descriptionText:(0,h.css)(q(G({marginTop:c(f?.25:.5),marginBottom:0},l.bodySmall),{color:s.text.secondary})),content:(0,h.css)({marginTop:c(2)})};return b().createElement("div",{className:a},b().createElement("div",{className:y.header},"section"===i?b().createElement("h3",{className:y.title},t):b().createElement("h6",{className:y.subtitle},t),r&&b().createElement(v.IconButton,{name:p,onClick:()=>d(!u),type:"button",size:"xl","aria-label":m})),n&&b().createElement("p",{className:y.descriptionText},n),u&&b().createElement("div",{className:y.content},e))};var K=Object.defineProperty,Y=Object.defineProperties,Q=Object.getOwnPropertyDescriptors,J=Object.getOwnPropertySymbols,Z=Object.prototype.hasOwnProperty,ee=Object.prototype.propertyIsEnumerable,te=(e,t,n)=>t in e?K(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;const ne=e=>{var t=e,{children:n}=t,r=((e,t)=>{var n={};for(var r in e)Z.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(null!=e&&J)for(var r of J(e))t.indexOf(r)<0&&ee.call(e,r)&&(n[r]=e[r]);return n})(t,["children"]);return b().createElement(X,(e=>Y(e,Q({kind:"sub-section"})))(((e,t)=>{for(var n in t||(t={}))Z.call(t,n)&&te(e,n,t[n]);if(J)for(var n of J(t))ee.call(t,n)&&te(e,n,t[n]);return e})({},r)),n)};var re=y(9571);function oe({value:e,defaultValue:t,onChange:n,width:r}){const[o,i]=(0,g.useState)(!1);return(0,f.jsx)(v.Input,{type:"number",placeholder:String(t),value:o?"":e,onChange:e=>{var r;if(""===(null===(r=e.currentTarget.value)||void 0===r?void 0:r.trim()))i(!0),n(t);else{i(!1);const t=Number(e.currentTarget.value);Number.isNaN(t)||n(t)}},width:r})}function ie(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function ae(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ie(e,t,n[t])}))}return e}const se=e=>{const{onOptionsChange:t,options:n}=e,r=n.jsonData,o=void 0!==r.maxIdleConnsAuto&&r.maxIdleConnsAuto,i=e=>{const o=(i=ae({},n),a=null!=(a={jsonData:ae({},r,e)})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i);var i,a;return t(o)},a=e=>t=>{i({[e]:t})};return(0,f.jsxs)(ne,{title:"Connection limits",children:[(0,f.jsx)(v.Field,{label:(0,f.jsx)(v.Label,{children:(0,f.jsxs)(re.B,{gap:.5,children:[(0,f.jsx)("span",{children:"Max open"}),(0,f.jsx)(v.Tooltip,{content:(0,f.jsxs)("span",{children:["The maximum number of open connections to the database. If ",(0,f.jsx)("i",{children:"Max idle connections"})," is greater than 0 and the ",(0,f.jsx)("i",{children:"Max open connections"})," is less than ",(0,f.jsx)("i",{children:"Max idle connections"}),", then",(0,f.jsx)("i",{children:"Max idle connections"})," will be reduced to match the ",(0,f.jsx)("i",{children:"Max open connections"})," limit. If set to 0, there is no limit on the number of open connections."]}),children:(0,f.jsx)(v.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,f.jsx)(oe,{value:r.maxOpenConns,defaultValue:u.config.sqlConnectionLimits.maxOpenConns,onChange:e=>{var t;t=e,i(o&&t?{maxOpenConns:t,maxIdleConns:t}:{maxOpenConns:t})},width:40})}),(0,f.jsx)(v.Field,{label:(0,f.jsx)(v.Label,{children:(0,f.jsxs)(re.B,{gap:.5,children:[(0,f.jsx)("span",{children:"Auto max idle"}),(0,f.jsx)(v.Tooltip,{content:(0,f.jsxs)("span",{children:["If enabled, automatically set the number of ",(0,f.jsx)("i",{children:"Maximum idle connections"})," to the same value as",(0,f.jsx)("i",{children:" Max open connections"}),". If the number of maximum open connections is not set it will be set to the default (",u.config.sqlConnectionLimits.maxIdleConns,")."]}),children:(0,f.jsx)(v.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,f.jsx)(v.Switch,{value:o,onChange:()=>{let e,t;o?(t=r.maxOpenConns,e=r.maxIdleConns):void 0!==r.maxOpenConns&&(t=r.maxOpenConns,e=r.maxOpenConns),i({maxIdleConnsAuto:!o,maxIdleConns:e,maxOpenConns:t})}})}),(0,f.jsx)(v.Field,{label:(0,f.jsx)(v.Label,{children:(0,f.jsxs)(re.B,{gap:.5,children:[(0,f.jsx)("span",{children:"Max idle"}),(0,f.jsx)(v.Tooltip,{content:(0,f.jsxs)("span",{children:["The maximum number of connections in the idle connection pool.If ",(0,f.jsx)("i",{children:"Max open connections"})," is greater than 0 but less than the ",(0,f.jsx)("i",{children:"Max idle connections"}),", then the ",(0,f.jsx)("i",{children:"Max idle connections"})," ","will be reduced to match the ",(0,f.jsx)("i",{children:"Max open connections"})," limit. If set to 0, no idle connections are retained."]}),children:(0,f.jsx)(v.Icon,{name:"info-circle",size:"sm"})})]})}),children:o?(0,f.jsx)(v.InlineLabel,{width:40,children:n.jsonData.maxIdleConns}):(0,f.jsx)(oe,{value:r.maxIdleConns,defaultValue:u.config.sqlConnectionLimits.maxIdleConns,onChange:e=>{a("maxIdleConns")(e)},width:40})}),(0,f.jsx)(v.Field,{label:(0,f.jsx)(v.Label,{children:(0,f.jsxs)(re.B,{gap:.5,children:[(0,f.jsx)("span",{children:"Max lifetime"}),(0,f.jsx)(v.Tooltip,{content:(0,f.jsx)("span",{children:"The maximum amount of time in seconds a connection may be reused. If set to 0, connections are reused forever."}),children:(0,f.jsx)(v.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,f.jsx)(oe,{value:r.connMaxLifetime,defaultValue:u.config.sqlConnectionLimits.connMaxLifetime,onChange:e=>{a("connMaxLifetime")(e)},width:40})})]})},le=(0,u.createMonitoringLogger)("features.plugins.sql");function ce(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function ue(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ce(e,t,n[t])}))}return e}function de(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}var pe=y(3277);function fe(e){return{ulPadding:(0,h.css)({margin:e.spacing(1,0),paddingLeft:e.spacing(5)})}}y(6703);var he=Object.defineProperty,ge=Object.defineProperties,me=Object.getOwnPropertyDescriptors,be=Object.getOwnPropertySymbols,ve=Object.prototype.hasOwnProperty,ye=Object.prototype.propertyIsEnumerable,Ee=(e,t,n)=>t in e?he(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n,Oe=(e,t)=>{for(var n in t||(t={}))ve.call(t,n)&&Ee(e,n,t[n]);if(be)for(var n of be(t))ye.call(t,n)&&Ee(e,n,t[n]);return e},xe=(e,t)=>ge(e,me(t));const Se=({dataSourceName:e,docsLink:t,hasRequiredFields:n=!0,className:r})=>{const o=(0,v.useTheme2)(),i={container:(0,h.css)({p:{margin:0},"p + p":{marginTop:o.spacing(2)}}),text:(0,h.css)(xe(Oe({},o.typography.body),{color:o.colors.text.secondary,a:(0,h.css)({color:o.colors.text.link,textDecoration:"underline","&:hover":{textDecoration:"none"}})}))};return b().createElement("div",{className:(0,h.cx)(i.container,r)},b().createElement("p",{className:i.text},"Before you can use the ",e," data source, you must configure it below or in the config file. For detailed instructions,"," ",b().createElement("a",{href:t,target:"_blank",rel:"noreferrer"},"view the documentation"),"."),n&&b().createElement("p",{className:i.text},b().createElement("i",null,"Fields marked with * are required")))};var we=Object.defineProperty,Re=Object.defineProperties,Te=Object.getOwnPropertyDescriptors,Ce=Object.getOwnPropertySymbols,Ie=Object.prototype.hasOwnProperty,Ae=Object.prototype.propertyIsEnumerable,Pe=(e,t,n)=>t in e?we(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n;const Ne=e=>{var t=e,{children:n}=t,r=((e,t)=>{var n={};for(var r in e)Ie.call(e,r)&&t.indexOf(r)<0&&(n[r]=e[r]);if(null!=e&&Ce)for(var r of Ce(e))t.indexOf(r)<0&&Ae.call(e,r)&&(n[r]=e[r]);return n})(t,["children"]);return b().createElement(X,(e=>Re(e,Te({kind:"section"})))(((e,t)=>{for(var n in t||(t={}))Ie.call(t,n)&&Pe(e,n,t[n]);if(Ce)for(var n of Ce(t))Ae.call(t,n)&&Pe(e,n,t[n]);return e})({},r)),n)};var Le=(e=>(e.Public="AzureCloud",e.China="AzureChinaCloud",e.USGovernment="AzureUSGovernment",e.None="",e))(Le||{});function ke(){return u.config.azure.cloud||"AzureCloud"}function je(e,t){return!!t&&t.authType===e}const De=Symbol("Concealed client secret"),Me=Symbol("Concealed legacy client secret");function _e(e){if("secureJsonFields"in e&&e.hasOwnProperty("secureJsonFields")){if(e.secureJsonFields.azureClientSecret)return De;if(e.secureJsonFields.clientSecret)return Me;{const t=e.secureJsonData?.azureClientSecret;return"string"==typeof t&&t.length>0?t:void 0}}}function Fe(e){if("secureJsonFields"in e&&e.hasOwnProperty("secureJsonFields")){if(e.secureJsonFields.password)return De;{const t=e.secureJsonData?.password;return"string"==typeof t&&t.length>0?t:void 0}}}var Ve=y(9874),$e=y.n(Ve),Ue=y(3238),Be=y.n(Ue);function He(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const We=new WeakMap;function ze(){return(0,g.useContext)(e.ThemeContext)}function Ge(e,...t){const n=ze();let r=We.get(e);return r||(r=Be()(e,{maxSize:10}),We.set(e,r)),r(n,...t)}var qe=["br","col","colgroup","dl","hr","iframe","img","input","link","menuitem","meta","ol","param","select","table","tbody","tfoot","thead","tr","ul","wbr"],Xe={"accept-charset":"acceptCharset",acceptcharset:"acceptCharset",accesskey:"accessKey",allowfullscreen:"allowFullScreen",autocapitalize:"autoCapitalize",autocomplete:"autoComplete",autocorrect:"autoCorrect",autofocus:"autoFocus",autoplay:"autoPlay",autosave:"autoSave",cellpadding:"cellPadding",cellspacing:"cellSpacing",charset:"charSet",class:"className",classid:"classID",classname:"className",colspan:"colSpan",contenteditable:"contentEditable",contextmenu:"contextMenu",controlslist:"controlsList",crossorigin:"crossOrigin",dangerouslysetinnerhtml:"dangerouslySetInnerHTML",datetime:"dateTime",defaultchecked:"defaultChecked",defaultvalue:"defaultValue",enctype:"encType",for:"htmlFor",formmethod:"formMethod",formaction:"formAction",formenctype:"formEncType",formnovalidate:"formNoValidate",formtarget:"formTarget",frameborder:"frameBorder",hreflang:"hrefLang",htmlfor:"htmlFor",httpequiv:"httpEquiv","http-equiv":"httpEquiv",icon:"icon",innerhtml:"innerHTML",inputmode:"inputMode",itemid:"itemID",itemprop:"itemProp",itemref:"itemRef",itemscope:"itemScope",itemtype:"itemType",keyparams:"keyParams",keytype:"keyType",marginwidth:"marginWidth",marginheight:"marginHeight",maxlength:"maxLength",mediagroup:"mediaGroup",minlength:"minLength",nomodule:"noModule",novalidate:"noValidate",playsinline:"playsInline",radiogroup:"radioGroup",readonly:"readOnly",referrerpolicy:"referrerPolicy",rowspan:"rowSpan",spellcheck:"spellCheck",srcdoc:"srcDoc",srclang:"srcLang",srcset:"srcSet",tabindex:"tabIndex",typemustmatch:"typeMustMatch",usemap:"useMap",accentheight:"accentHeight","accent-height":"accentHeight",alignmentbaseline:"alignmentBaseline","alignment-baseline":"alignmentBaseline",allowreorder:"allowReorder",arabicform:"arabicForm","arabic-form":"arabicForm",attributename:"attributeName",attributetype:"attributeType",autoreverse:"autoReverse",basefrequency:"baseFrequency",baselineshift:"baselineShift","baseline-shift":"baselineShift",baseprofile:"baseProfile",calcmode:"calcMode",capheight:"capHeight","cap-height":"capHeight",clippath:"clipPath","clip-path":"clipPath",clippathunits:"clipPathUnits",cliprule:"clipRule","clip-rule":"clipRule",colorinterpolation:"colorInterpolation","color-interpolation":"colorInterpolation",colorinterpolationfilters:"colorInterpolationFilters","color-interpolation-filters":"colorInterpolationFilters",colorprofile:"colorProfile","color-profile":"colorProfile",colorrendering:"colorRendering","color-rendering":"colorRendering",contentscripttype:"contentScriptType",contentstyletype:"contentStyleType",diffuseconstant:"diffuseConstant",dominantbaseline:"dominantBaseline","dominant-baseline":"dominantBaseline",edgemode:"edgeMode",enablebackground:"enableBackground","enable-background":"enableBackground",externalresourcesrequired:"externalResourcesRequired",fillopacity:"fillOpacity","fill-opacity":"fillOpacity",fillrule:"fillRule","fill-rule":"fillRule",filterres:"filterRes",filterunits:"filterUnits",floodopacity:"floodOpacity","flood-opacity":"floodOpacity",floodcolor:"floodColor","flood-color":"floodColor",fontfamily:"fontFamily","font-family":"fontFamily",fontsize:"fontSize","font-size":"fontSize",fontsizeadjust:"fontSizeAdjust","font-size-adjust":"fontSizeAdjust",fontstretch:"fontStretch","font-stretch":"fontStretch",fontstyle:"fontStyle","font-style":"fontStyle",fontvariant:"fontVariant","font-variant":"fontVariant",fontweight:"fontWeight","font-weight":"fontWeight",glyphname:"glyphName","glyph-name":"glyphName",glyphorientationhorizontal:"glyphOrientationHorizontal","glyph-orientation-horizontal":"glyphOrientationHorizontal",glyphorientationvertical:"glyphOrientationVertical","glyph-orientation-vertical":"glyphOrientationVertical",glyphref:"glyphRef",gradienttransform:"gradientTransform",gradientunits:"gradientUnits",horizadvx:"horizAdvX","horiz-adv-x":"horizAdvX",horizoriginx:"horizOriginX","horiz-origin-x":"horizOriginX",imagerendering:"imageRendering","image-rendering":"imageRendering",kernelmatrix:"kernelMatrix",kernelunitlength:"kernelUnitLength",keypoints:"keyPoints",keysplines:"keySplines",keytimes:"keyTimes",lengthadjust:"lengthAdjust",letterspacing:"letterSpacing","letter-spacing":"letterSpacing",lightingcolor:"lightingColor","lighting-color":"lightingColor",limitingconeangle:"limitingConeAngle",markerend:"markerEnd","marker-end":"markerEnd",markerheight:"markerHeight",markermid:"markerMid","marker-mid":"markerMid",markerstart:"markerStart","marker-start":"markerStart",markerunits:"markerUnits",markerwidth:"markerWidth",maskcontentunits:"maskContentUnits",maskunits:"maskUnits",numoctaves:"numOctaves",overlineposition:"overlinePosition","overline-position":"overlinePosition",overlinethickness:"overlineThickness","overline-thickness":"overlineThickness",paintorder:"paintOrder","paint-order":"paintOrder","panose-1":"panose1",pathlength:"pathLength",patterncontentunits:"patternContentUnits",patterntransform:"patternTransform",patternunits:"patternUnits",pointerevents:"pointerEvents","pointer-events":"pointerEvents",pointsatx:"pointsAtX",pointsaty:"pointsAtY",pointsatz:"pointsAtZ",preservealpha:"preserveAlpha",preserveaspectratio:"preserveAspectRatio",primitiveunits:"primitiveUnits",refx:"refX",refy:"refY",renderingintent:"renderingIntent","rendering-intent":"renderingIntent",repeatcount:"repeatCount",repeatdur:"repeatDur",requiredextensions:"requiredExtensions",requiredfeatures:"requiredFeatures",shaperendering:"shapeRendering","shape-rendering":"shapeRendering",specularconstant:"specularConstant",specularexponent:"specularExponent",spreadmethod:"spreadMethod",startoffset:"startOffset",stddeviation:"stdDeviation",stitchtiles:"stitchTiles",stopcolor:"stopColor","stop-color":"stopColor",stopopacity:"stopOpacity","stop-opacity":"stopOpacity",strikethroughposition:"strikethroughPosition","strikethrough-position":"strikethroughPosition",strikethroughthickness:"strikethroughThickness","strikethrough-thickness":"strikethroughThickness",strokedasharray:"strokeDasharray","stroke-dasharray":"strokeDasharray",strokedashoffset:"strokeDashoffset","stroke-dashoffset":"strokeDashoffset",strokelinecap:"strokeLinecap","stroke-linecap":"strokeLinecap",strokelinejoin:"strokeLinejoin","stroke-linejoin":"strokeLinejoin",strokemiterlimit:"strokeMiterlimit","stroke-miterlimit":"strokeMiterlimit",strokewidth:"strokeWidth","stroke-width":"strokeWidth",strokeopacity:"strokeOpacity","stroke-opacity":"strokeOpacity",suppresscontenteditablewarning:"suppressContentEditableWarning",suppresshydrationwarning:"suppressHydrationWarning",surfacescale:"surfaceScale",systemlanguage:"systemLanguage",tablevalues:"tableValues",targetx:"targetX",targety:"targetY",textanchor:"textAnchor","text-anchor":"textAnchor",textdecoration:"textDecoration","text-decoration":"textDecoration",textlength:"textLength",textrendering:"textRendering","text-rendering":"textRendering",underlineposition:"underlinePosition","underline-position":"underlinePosition",underlinethickness:"underlineThickness","underline-thickness":"underlineThickness",unicodebidi:"unicodeBidi","unicode-bidi":"unicodeBidi",unicoderange:"unicodeRange","unicode-range":"unicodeRange",unitsperem:"unitsPerEm","units-per-em":"unitsPerEm",unselectable:"unselectable",valphabetic:"vAlphabetic","v-alphabetic":"vAlphabetic",vectoreffect:"vectorEffect","vector-effect":"vectorEffect",vertadvy:"vertAdvY","vert-adv-y":"vertAdvY",vertoriginx:"vertOriginX","vert-origin-x":"vertOriginX",vertoriginy:"vertOriginY","vert-origin-y":"vertOriginY",vhanging:"vHanging","v-hanging":"vHanging",videographic:"vIdeographic","v-ideographic":"vIdeographic",viewbox:"viewBox",viewtarget:"viewTarget",vmathematical:"vMathematical","v-mathematical":"vMathematical",wordspacing:"wordSpacing","word-spacing":"wordSpacing",writingmode:"writingMode","writing-mode":"writingMode",xchannelselector:"xChannelSelector",xheight:"xHeight","x-height":"xHeight",xlinkactuate:"xlinkActuate","xlink:actuate":"xlinkActuate",xlinkarcrole:"xlinkArcrole","xlink:arcrole":"xlinkArcrole",xlinkhref:"xlinkHref","xlink:href":"xlinkHref",xlinkrole:"xlinkRole","xlink:role":"xlinkRole",xlinkshow:"xlinkShow","xlink:show":"xlinkShow",xlinktitle:"xlinkTitle","xlink:title":"xlinkTitle",xlinktype:"xlinkType","xlink:type":"xlinkType",xmlbase:"xmlBase","xml:base":"xmlBase",xmllang:"xmlLang","xml:lang":"xmlLang","xml:space":"xmlSpace",xmlnsxlink:"xmlnsXlink","xmlns:xlink":"xmlnsXlink",xmlspace:"xmlSpace",ychannelselector:"yChannelSelector",zoomandpan:"zoomAndPan",onblur:"onBlur",onchange:"onChange",onclick:"onClick",oncontextmenu:"onContextMenu",ondoubleclick:"onDoubleClick",ondrag:"onDrag",ondragend:"onDragEnd",ondragenter:"onDragEnter",ondragexit:"onDragExit",ondragleave:"onDragLeave",ondragover:"onDragOver",ondragstart:"onDragStart",ondrop:"onDrop",onerror:"onError",onfocus:"onFocus",oninput:"onInput",oninvalid:"onInvalid",onkeydown:"onKeyDown",onkeypress:"onKeyPress",onkeyup:"onKeyUp",onload:"onLoad",onmousedown:"onMouseDown",onmouseenter:"onMouseEnter",onmouseleave:"onMouseLeave",onmousemove:"onMouseMove",onmouseout:"onMouseOut",onmouseover:"onMouseOver",onmouseup:"onMouseUp",onscroll:"onScroll",onsubmit:"onSubmit",ontouchcancel:"onTouchCancel",ontouchend:"onTouchEnd",ontouchmove:"onTouchMove",ontouchstart:"onTouchStart",onwheel:"onWheel"};function Ke(e,t,n){const r=[...e].map(((e,r)=>Ye(e,{...n,index:r,level:t+1}))).filter(Boolean);return r.length?r:null}function Ye(e,t={}){if(!(e&&e instanceof Node))return null;const{actions:n=[],index:r=0,level:o=0,randomKey:i}=t;let a=e,s=`${o}-${r}`;const l=[];return i&&0===o&&(s=`${function(e=6){let t="";for(let n=e;n>0;--n)t+="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"[Math.round(61*Math.random())];return t}()}-${s}`),Array.isArray(n)&&n.forEach((t=>{t.condition(a,s,o)&&("function"==typeof t.pre&&(a=t.pre(a,s,o),a instanceof Node||(a=e)),"function"==typeof t.post&&l.push(t.post(a,s,o)))})),l.length?l:function(e,t){const{key:n,level:r,...o}=t;switch(e.nodeType){case 1:return g.createElement((i=e.nodeName,/[a-z]+[A-Z]+[a-z]+/.test(i)?i:i.toLowerCase()),function(e,t){const n={key:t};if(e instanceof Element){const t=e.getAttribute("class");t&&(n.className=t),[...e.attributes].forEach((e=>{switch(e.name){case"class":break;case"style":n[e.name]="string"!=typeof(t=e.value)?{}:t.split(/ ?; ?/).reduce(((e,t)=>{const[n,r]=t.split(/ ?: ?/).map(((e,t)=>0===t?e.replace(/\s+/g,""):e.trim()));if(n&&r){const t=n.replace(/(\w)-(\w)/g,((e,t,n)=>`${t}${n.toUpperCase()}`));let o=r.trim();Number.isNaN(Number(r))||(o=Number(r)),e[n.startsWith("-")?n:t]=o}return e}),{});break;case"allowfullscreen":case"allowpaymentrequest":case"async":case"autofocus":case"autoplay":case"checked":case"controls":case"default":case"defer":case"disabled":case"formnovalidate":case"hidden":case"ismap":case"itemscope":case"loop":case"multiple":case"muted":case"nomodule":case"novalidate":case"open":case"readonly":case"required":case"reversed":case"selected":case"typemustmatch":n[Xe[e.name]||e.name]=!0;break;default:n[Xe[e.name]||e.name]=e.value}var t}))}return n}(e,n),Ke(e.childNodes,r,o));case 3:{const t=e.nodeValue?.toString()??"";if(!o.allowWhiteSpaces&&/^\s+$/.test(t)&&!/[\u00A0\u202F]/.test(t))return null;if(!e.parentNode)return t;const n=e.parentNode.nodeName.toLowerCase();return qe.includes(n)?(/\S/.test(t)&&console.warn(`A textNode is not allowed inside '${n}'. Your text "${t}" will be ignored`),null):t}case 8:default:return null;case 11:return Ke(e.childNodes,r,t)}var i}(a,{key:s,level:o,...t})}function Qe(e,t={}){return"string"==typeof e?function(e,t={}){if(!e||"string"!=typeof e)return null;const{includeAllNodes:n=!1,nodeOnly:r=!1,selector:o="body > *",type:i="text/html"}=t;try{const a=(new DOMParser).parseFromString(e,i);if(n){const{childNodes:e}=a.body;return r?e:[...e].map((e=>Ye(e,t)))}const s=a.querySelector(o)||a.body.childNodes[0];if(!(s instanceof Node))throw new TypeError("Error parsing input");return r?s:Ye(s,t)}catch(e){}return null}(e,t):e instanceof Node?Ye(e,t):null}var Je=Object.defineProperty,Ze=(e,t,n)=>((e,t,n)=>t in e?Je(e,t,{enumerable:!0,configurable:!0,writable:!0,value:n}):e[t]=n)(e,"symbol"!=typeof t?t+"":t,n),et="react-inlinesvg",tt={IDLE:"idle",LOADING:"loading",LOADED:"loaded",FAILED:"failed",READY:"ready",UNSUPPORTED:"unsupported"};function nt(){return!("undefined"==typeof window||!window.document||!window.document.createElement)}async function rt(e,t){const n=await fetch(e,t),r=n.headers.get("content-type"),[o]=(r??"").split(/ ?; ?/);if(n.status>299)throw new Error("Not found");if(!["image/svg+xml","text/plain"].some((e=>o.includes(e))))throw new Error(`Content type isn't valid: ${o}`);return n.text()}function ot(e=1){return new Promise((t=>{setTimeout(t,1e3*e)}))}var it,at=class{constructor(){Ze(this,"cacheApi"),Ze(this,"cacheStore"),Ze(this,"subscribers",[]),Ze(this,"isReady",!1),this.cacheStore=new Map;let e=et,t=!1;nt()&&(e=window.REACT_INLINESVG_CACHE_NAME??et,t=!!window.REACT_INLINESVG_PERSISTENT_CACHE&&"caches"in window),t?caches.open(e).then((e=>{this.cacheApi=e})).catch((e=>{console.error(`Failed to open cache: ${e.message}`)})).finally((()=>{this.isReady=!0,this.subscribers.forEach((e=>e()))})):this.isReady=!0}onReady(e){this.isReady?e():this.subscribers.push(e)}async get(e,t){return await(this.cacheApi?this.fetchAndAddToPersistentCache(e,t):this.fetchAndAddToInternalCache(e,t)),this.cacheStore.get(e)?.content??""}set(e,t){this.cacheStore.set(e,t)}isCached(e){return this.cacheStore.get(e)?.status===tt.LOADED}async fetchAndAddToInternalCache(e,t){const n=this.cacheStore.get(e);if(n?.status!==tt.LOADING){if(!n?.content){this.cacheStore.set(e,{content:"",status:tt.LOADING});try{const n=await rt(e,t);this.cacheStore.set(e,{content:n,status:tt.LOADED})}catch(t){throw this.cacheStore.set(e,{content:"",status:tt.FAILED}),t}}}else await this.handleLoading(e,(async()=>{this.cacheStore.set(e,{content:"",status:tt.IDLE}),await this.fetchAndAddToInternalCache(e,t)}))}async fetchAndAddToPersistentCache(e,t){const n=this.cacheStore.get(e);if(n?.status===tt.LOADED)return;if(n?.status===tt.LOADING)return void await this.handleLoading(e,(async()=>{this.cacheStore.set(e,{content:"",status:tt.IDLE}),await this.fetchAndAddToPersistentCache(e,t)}));this.cacheStore.set(e,{content:"",status:tt.LOADING});const r=await(this.cacheApi?.match(e));if(r){const t=await r.text();this.cacheStore.set(e,{content:t,status:tt.LOADED})}else try{await(this.cacheApi?.add(new Request(e,t)));const n=await(this.cacheApi?.match(e)),r=await(n?.text())??"";this.cacheStore.set(e,{content:r,status:tt.LOADED})}catch(t){throw this.cacheStore.set(e,{content:"",status:tt.FAILED}),t}}async handleLoading(e,t){let n=0;for(;this.cacheStore.get(e)?.status===tt.LOADING&&n<10;)await ot(.1),n+=1;n>=10&&await t()}keys(){return[...this.cacheStore.keys()]}data(){return[...this.cacheStore.entries()].map((([e,t])=>({[e]:t})))}async delete(e){this.cacheApi&&await this.cacheApi.delete(e),this.cacheStore.delete(e)}async clear(){if(this.cacheApi){const e=await this.cacheApi.keys();for(const t of e)await this.cacheApi.delete(t)}this.cacheStore.clear()}};function st(e){const t=(0,g.useRef)();return(0,g.useEffect)((()=>{t.current=e})),t.current}function lt(e){const{baseURL:t,content:n,description:r,handleError:o,hash:i,preProcessor:a,title:s,uniquifyIDs:l=!1}=e;try{const e=function(e,t){return t?t(e):e}(n,a),o=Qe(e,{nodeOnly:!0});if(!(o&&o instanceof SVGSVGElement))throw new Error("Could not convert the src to a DOM Node");const c=ct(o,{baseURL:t,hash:i,uniquifyIDs:l});if(r){const e=c.querySelector("desc");e?.parentNode&&e.parentNode.removeChild(e);const t=document.createElementNS("http://www.w3.org/2000/svg","desc");t.innerHTML=r,c.prepend(t)}if(void 0!==s){const e=c.querySelector("title");if(e?.parentNode&&e.parentNode.removeChild(e),s){const e=document.createElementNS("http://www.w3.org/2000/svg","title");e.innerHTML=s,c.prepend(e)}}return c}catch(e){return o(e)}}function ct(e,t){const{baseURL:n="",hash:r,uniquifyIDs:o}=t,i=["id","href","xlink:href","xlink:role","xlink:arcrole"],a=["href","xlink:href"];return o?([...e.children].forEach((e=>{if(e.attributes?.length){const t=Object.values(e.attributes).map((e=>{const t=e,o=/url\((.*?)\)/.exec(e.value);return o?.[1]&&(t.value=e.value.replace(o[0],`url(${n}${o[1]}__${r})`)),t}));i.forEach((e=>{const n=t.find((t=>t.name===e));var o,i;n&&(o=e,i=n.value,!a.includes(o)||!i||i.includes("#"))&&(n.value=`${n.value}__${r}`)}))}return e.children.length?ct(e,t):e})),e):e}function ut(e){const{cacheRequests:t=!0,children:n=null,description:r,fetchOptions:o,innerRef:i,loader:a=null,onError:s,onLoad:l,src:c,title:u,uniqueHash:d}=e,[p,f]=(0,g.useReducer)(((e,t)=>({...e,...t})),{content:"",element:null,isCached:t&&it.isCached(e.src),status:tt.IDLE}),{content:h,element:m,isCached:b,status:v}=p,y=st(e),E=st(p),O=(0,g.useRef)(d??function(){const e="abcdefghijklmnopqrstuvwxyz",t=`${e}${e.toUpperCase()}1234567890`;let n="";for(let e=0;e<8;e++)n+=(r=t)[Math.floor(Math.random()*r.length)];var r;return n}()),x=(0,g.useRef)(!1),S=(0,g.useRef)(!1),w=(0,g.useCallback)((e=>{x.current&&(f({status:"Browser does not support SVG"===e.message?tt.UNSUPPORTED:tt.FAILED}),s?.(e))}),[s]),R=(0,g.useCallback)(((e,t=!1)=>{x.current&&f({content:e,isCached:t,status:tt.LOADED})}),[]),T=(0,g.useCallback)((async()=>{const e=await rt(c,o);R(e)}),[o,R,c]),C=(0,g.useCallback)((()=>{try{const t=Qe(lt({...e,handleError:w,hash:O.current,content:h}));if(!t||!(0,g.isValidElement)(t))throw new Error("Could not convert the src to a React element");f({element:t,status:tt.READY})}catch(e){w(new Error(e.message))}}),[h,w,e]),I=(0,g.useCallback)((async()=>{const e=/^data:image\/svg[^,]*?(;base64)?,(.*)/u.exec(c);let n;if(e?n=e[1]?window.atob(e[2]):decodeURIComponent(e[2]):c.includes("<svg")&&(n=c),n)R(n);else try{if(t){const e=await it.get(c,o);R(e,!0)}else await T()}catch(e){w(e)}}),[t,T,o,w,R,c]),A=(0,g.useCallback)((async()=>{x.current&&f({content:"",element:null,isCached:!1,status:tt.LOADING})}),[]);(0,g.useEffect)((()=>{if(x.current=!0,!nt()||S.current)return()=>{};try{if(v===tt.IDLE){if(!function(){if(!document)return!1;const e=document.createElement("div");e.innerHTML="<svg />";const t=e.firstChild;return!!t&&"http://www.w3.org/2000/svg"===t.namespaceURI}()||"undefined"==typeof window||null===window)throw new Error("Browser does not support SVG");if(!c)throw new Error("Missing src");A()}}catch(e){w(e)}return S.current=!0,()=>{x.current=!1}}),[]),(0,g.useEffect)((()=>{if(nt()&&y)if(y.src!==c){if(!c)return void w(new Error("Missing src"));A()}else y.title===u&&y.description===r||C()}),[r,C,w,A,y,c,u]),(0,g.useEffect)((()=>{E&&(E.status!==tt.LOADING&&v===tt.LOADING&&I(),E.status!==tt.LOADED&&v===tt.LOADED&&C(),E.status!==tt.READY&&v===tt.READY&&l?.(c,b))}),[I,C,b,l,E,c,v]);const P=function(e,...t){const n={};for(const r in e)({}).hasOwnProperty.call(e,r)&&(t.includes(r)||(n[r]=e[r]));return n}(e,"baseURL","cacheRequests","children","description","fetchOptions","innerRef","loader","onError","onLoad","preProcessor","src","title","uniqueHash","uniquifyIDs");return nt()?m?(0,g.cloneElement)(m,{ref:i,...P}):[tt.UNSUPPORTED,tt.FAILED].includes(v)?n:a:a}function dt(e){it||(it=new at);const{loader:t}=e,n=(0,g.useRef)(!1),[r,o]=(0,g.useState)(it.isReady);return(0,g.useEffect)((()=>{n.current||(it.onReady((()=>{o(!0)})),n.current=!0)}),[]),r?g.createElement(ut,{...e}):t}const pt=(0,h.keyframes)({"0%":{transform:"rotate(0deg)"},"100%":{transform:"rotate(359deg)"}}),ft=["grafana","favorite","heart-break","heart","panel-add","library-panel","circle-mono"];function ht(e,t){return(null==e?void 0:e.startsWith("gf-"))?"custom":ft.includes(e)?"mono":"default"===t?"unicons":"solid"===t?"solid":"mono"}function gt(e){switch(e){case"xs":return 12;case"sm":return 14;case"md":return 16;case"lg":return 18;case"xl":return 24;case"xxl":return 36;case"xxxl":return 48}}let mt;function bt(){if(mt)return mt;const e="undefined"!=typeof window&&window.__grafana_public_path__;return mt=e?e+"img/icons/":"public/img/icons/",mt}function vt(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const yt=e=>({icon:(0,h.css)({display:"inline-block",fill:"currentColor",flexShrink:0,label:"Icon",lineHeight:0,verticalAlign:"middle"}),orange:(0,h.css)({fill:e.v1.palette.orange}),spin:(0,h.css)({[e.transitions.handleMotion("no-preference","reduce")]:{animation:`${pt} 2s infinite linear`}})}),Et=g.forwardRef(((t,n)=>{var{size:r="md",type:o="default",name:i,className:a,style:s,title:l=""}=t,c=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(t,["size","type","name","className","style","title"]);const u=Ge(yt);(0,e.isIconName)(i)||console.warn("Icon component passed an invalid icon name",i);const d="fa fa-spinner"===i?"spinner":i,p=bt(),g=gt(r),m=g,b=i.startsWith("gf-bar-align")?16:i.startsWith("gf-interp")?30:g,v=`${p}${ht(d,o)}/${d}.svg`,y=(0,h.cx)(u.icon,a,"mono"===o?{[u.orange]:"favorite"===i}:"",{[u.spin]:"spinner"===d});return(0,f.jsx)(dt,function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){vt(e,t,n[t])}))}return e}({"aria-hidden":!(void 0!==c.tabIndex||l||c["aria-label"]||c["aria-labelledby"]||c["aria-describedby"]),innerRef:n,src:v,width:b,height:m,title:l,className:y,style:s,loader:(0,f.jsx)("div",{className:(0,h.cx)((0,h.css)({width:b,height:m}),y)})},c))}));Et.displayName="Icon";const Ot=({children:e,horizontal:t,className:n})=>{const r=Ge(xt),o=(0,h.cx)(t?r.horizontal:r.vertical,n);return(0,f.jsxs)("div",{role:"alert",className:o,children:[(0,f.jsx)(Et,{className:r.fieldValidationMessageIcon,name:"exclamation-triangle"}),e]})},xt=e=>{const t=`\n      font-size: ${e.typography.size.sm};\n      font-weight: ${e.typography.fontWeightMedium};\n      padding: ${e.spacing(.5,1)};\n      color: ${e.colors.error.contrastText};\n      background: ${e.colors.error.main};\n      border-radius: ${e.shape.radius.default};\n      position: relative;\n      display: inline-block;\n      align-self: flex-start;\n\n      a {\n        color: ${e.colors.error.contrastText};\n        text-decoration: underline;\n      }\n\n      a:hover {\n        text-decoration: none;\n      }\n    `;return{vertical:(0,h.css)(t,{margin:e.spacing(.5,0,0,0),"&:before":{content:'""',position:"absolute",left:"9px",top:"-5px",width:0,height:0,borderWidth:"0 4px 5px 4px",borderColor:`transparent transparent ${e.colors.error.main} transparent`,borderStyle:"solid"}}),horizontal:(0,h.css)(t,{marginLeft:"10px","&:before":{content:'""',position:"absolute",left:"-5px",top:"9px",width:0,height:0,borderWidth:"4px 5px 4px 0",borderColor:"transparent #e02f44 transparent transparent",borderStyle:"solid"}}),fieldValidationMessageIcon:(0,h.css)({marginRight:e.spacing()})}};function St(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function wt(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){St(e,t,n[t])}))}return e}const Rt=e=>{var{children:t,description:n,className:r,category:o}=e,i=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["children","description","className","category"]);const a=Ge(Tt),s=null==o?void 0:o.map(((e,t)=>(0,f.jsxs)("span",{className:a.categories,children:[(0,f.jsx)("span",{children:e}),(0,f.jsx)(Et,{name:"angle-right",className:a.chevron})]},`${e}/${t}`)));return(0,f.jsx)("div",{className:(0,h.cx)(a.label,r),children:(0,f.jsxs)("label",(l=wt({},i),c={children:[(0,f.jsxs)("div",{className:a.labelContent,children:[s,t]}),n&&(0,f.jsx)("span",{className:a.description,children:n})]},c=null!=c?c:{},Object.getOwnPropertyDescriptors?Object.defineProperties(l,Object.getOwnPropertyDescriptors(c)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(c)).forEach((function(e){Object.defineProperty(l,e,Object.getOwnPropertyDescriptor(c,e))})),l))});var l,c},Tt=e=>({label:(0,h.css)({label:"Label",fontSize:e.typography.size.sm,fontWeight:e.typography.fontWeightMedium,lineHeight:1.25,marginBottom:e.spacing(.5),color:e.colors.text.primary,maxWidth:"480px"}),labelContent:(0,h.css)({display:"flex",alignItems:"center"}),description:(0,h.css)({label:"Label-description",color:e.colors.text.secondary,fontSize:e.typography.size.sm,fontWeight:e.typography.fontWeightRegular,marginTop:e.spacing(.25),display:"block"}),categories:(0,h.css)({label:"Label-categories",display:"inline-flex",alignItems:"center"}),chevron:(0,h.css)({margin:e.spacing(0,.25)})});function Ct(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const It=g.forwardRef(((e,t)=>{var{label:n,description:r,horizontal:o,invalid:i,loading:a,disabled:s,required:l,error:c,children:u,className:d,validationMessageHorizontalOverflow:p,htmlFor:m}=e,b=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["label","description","horizontal","invalid","loading","disabled","required","error","children","className","validationMessageHorizontalOverflow","htmlFor"]);const v=Ge(At),y=null!=m?m:function(e){let t;const n=g.Children.only(e);return"id"in(null==n?void 0:n.props)?t=n.props.id:"inputId"in n.props&&(t=null==n?void 0:n.props.inputId),"string"==typeof t?t:void 0}(u),E="string"==typeof n?(0,f.jsx)(Rt,{htmlFor:y,description:r,children:`${n}${l?" *":""}`}):n,O=function(e){for(const t in e)void 0===e[t]&&delete e[t];return e}({invalid:i,disabled:s,loading:a});return(0,f.jsxs)("div",(x=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ct(e,t,n[t])}))}return e}({className:(0,h.cx)(v.field,o&&v.fieldHorizontal,d)},b),S=null!=(S={children:[E,(0,f.jsxs)("div",{children:[(0,f.jsx)("div",{ref:t,children:g.cloneElement(u,O)}),i&&c&&!o&&(0,f.jsx)("div",{className:(0,h.cx)(v.fieldValidationWrapper,{[v.validationMessageHorizontalOverflow]:!!p}),children:(0,f.jsx)(Ot,{children:c})})]}),i&&c&&o&&(0,f.jsx)("div",{className:(0,h.cx)(v.fieldValidationWrapper,v.fieldValidationWrapperHorizontal,{[v.validationMessageHorizontalOverflow]:!!p}),children:(0,f.jsx)(Ot,{children:c})})]})?S:{},Object.getOwnPropertyDescriptors?Object.defineProperties(x,Object.getOwnPropertyDescriptors(S)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(S)).forEach((function(e){Object.defineProperty(x,e,Object.getOwnPropertyDescriptor(S,e))})),x));var x,S}));It.displayName="Field";const At=e=>({field:(0,h.css)({display:"flex",flexDirection:"column",marginBottom:e.spacing(2)}),fieldHorizontal:(0,h.css)({flexDirection:"row",justifyContent:"space-between",flexWrap:"wrap"}),fieldValidationWrapper:(0,h.css)({marginTop:e.spacing(.5)}),fieldValidationWrapperHorizontal:(0,h.css)({flex:"1 1 100%"}),validationMessageHorizontalOverflow:(0,h.css)({width:0,overflowX:"visible","& > *":{whiteSpace:"nowrap"}})}),Pt=e=>"string"==typeof e,Nt=()=>{let e,t;const n=new Promise(((n,r)=>{e=n,t=r}));return n.resolve=e,n.reject=t,n},Lt=e=>null==e?"":""+e,kt=/###/g,jt=e=>e&&e.indexOf("###")>-1?e.replace(kt,"."):e,Dt=e=>!e||Pt(e),Mt=(e,t,n)=>{const r=Pt(t)?t.split("."):t;let o=0;for(;o<r.length-1;){if(Dt(e))return{};const t=jt(r[o]);!e[t]&&n&&(e[t]=new n),e=Object.prototype.hasOwnProperty.call(e,t)?e[t]:{},++o}return Dt(e)?{}:{obj:e,k:jt(r[o])}},_t=(e,t,n)=>{const{obj:r,k:o}=Mt(e,t,Object);if(void 0!==r||1===t.length)return void(r[o]=n);let i=t[t.length-1],a=t.slice(0,t.length-1),s=Mt(e,a,Object);for(;void 0===s.obj&&a.length;)i=`${a[a.length-1]}.${i}`,a=a.slice(0,a.length-1),s=Mt(e,a,Object),s?.obj&&void 0!==s.obj[`${s.k}.${i}`]&&(s.obj=void 0);s.obj[`${s.k}.${i}`]=n},Ft=(e,t)=>{const{obj:n,k:r}=Mt(e,t);if(n&&Object.prototype.hasOwnProperty.call(n,r))return n[r]},Vt=(e,t,n)=>{for(const r in t)"__proto__"!==r&&"constructor"!==r&&(r in e?Pt(e[r])||e[r]instanceof String||Pt(t[r])||t[r]instanceof String?n&&(e[r]=t[r]):Vt(e[r],t[r],n):e[r]=t[r]);return e},$t=e=>e.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&");var Ut={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;"};const Bt=e=>Pt(e)?e.replace(/[&<>"'\/]/g,(e=>Ut[e])):e,Ht=[" ",",","?","!",";"],Wt=new class{constructor(e){this.capacity=e,this.regExpMap=new Map,this.regExpQueue=[]}getRegExp(e){const t=this.regExpMap.get(e);if(void 0!==t)return t;const n=new RegExp(e);return this.regExpQueue.length===this.capacity&&this.regExpMap.delete(this.regExpQueue.shift()),this.regExpMap.set(e,n),this.regExpQueue.push(e),n}}(20),zt=function(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:".";if(!e)return;if(e[t]){if(!Object.prototype.hasOwnProperty.call(e,t))return;return e[t]}const r=t.split(n);let o=e;for(let e=0;e<r.length;){if(!o||"object"!=typeof o)return;let t,i="";for(let a=e;a<r.length;++a)if(a!==e&&(i+=n),i+=r[a],t=o[i],void 0!==t){if(["string","number","boolean"].indexOf(typeof t)>-1&&a<r.length-1)continue;e+=a-e+1;break}o=t}return o},Gt=e=>e?.replace("_","-"),qt={type:"logger",log(e){this.output("log",e)},warn(e){this.output("warn",e)},error(e){this.output("error",e)},output(e,t){console?.[e]?.apply?.(console,t)}};class Xt{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.init(e,t)}init(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.prefix=t.prefix||"i18next:",this.logger=e||qt,this.options=t,this.debug=t.debug}log(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"log","",!0)}warn(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"warn","",!0)}error(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"error","")}deprecate(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.forward(t,"warn","WARNING DEPRECATED: ",!0)}forward(e,t,n,r){return r&&!this.debug?null:(Pt(e[0])&&(e[0]=`${n}${this.prefix} ${e[0]}`),this.logger[t](e))}create(e){return new Xt(this.logger,{prefix:`${this.prefix}:${e}:`,...this.options})}clone(e){return(e=e||this.options).prefix=e.prefix||this.prefix,new Xt(this.logger,e)}}var Kt=new Xt;class Yt{constructor(){this.observers={}}on(e,t){return e.split(" ").forEach((e=>{this.observers[e]||(this.observers[e]=new Map);const n=this.observers[e].get(t)||0;this.observers[e].set(t,n+1)})),this}off(e,t){this.observers[e]&&(t?this.observers[e].delete(t):delete this.observers[e])}emit(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];this.observers[e]&&Array.from(this.observers[e].entries()).forEach((e=>{let[t,r]=e;for(let e=0;e<r;e++)t(...n)})),this.observers["*"]&&Array.from(this.observers["*"].entries()).forEach((t=>{let[r,o]=t;for(let t=0;t<o;t++)r.apply(r,[e,...n])}))}}class Qt extends Yt{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{ns:["translation"],defaultNS:"translation"};super(),this.data=e||{},this.options=t,void 0===this.options.keySeparator&&(this.options.keySeparator="."),void 0===this.options.ignoreJSONStructure&&(this.options.ignoreJSONStructure=!0)}addNamespaces(e){this.options.ns.indexOf(e)<0&&this.options.ns.push(e)}removeNamespaces(e){const t=this.options.ns.indexOf(e);t>-1&&this.options.ns.splice(t,1)}getResource(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};const o=void 0!==r.keySeparator?r.keySeparator:this.options.keySeparator,i=void 0!==r.ignoreJSONStructure?r.ignoreJSONStructure:this.options.ignoreJSONStructure;let a;e.indexOf(".")>-1?a=e.split("."):(a=[e,t],n&&(Array.isArray(n)?a.push(...n):Pt(n)&&o?a.push(...n.split(o)):a.push(n)));const s=Ft(this.data,a);return!s&&!t&&!n&&e.indexOf(".")>-1&&(e=a[0],t=a[1],n=a.slice(2).join(".")),!s&&i&&Pt(n)?zt(this.data?.[e]?.[t],n,o):s}addResource(e,t,n,r){let o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:{silent:!1};const i=void 0!==o.keySeparator?o.keySeparator:this.options.keySeparator;let a=[e,t];n&&(a=a.concat(i?n.split(i):n)),e.indexOf(".")>-1&&(a=e.split("."),r=t,t=a[1]),this.addNamespaces(t),_t(this.data,a,r),o.silent||this.emit("added",e,t,n,r)}addResources(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{silent:!1};for(const r in n)(Pt(n[r])||Array.isArray(n[r]))&&this.addResource(e,t,r,n[r],{silent:!0});r.silent||this.emit("added",e,t,n)}addResourceBundle(e,t,n,r,o){let i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{silent:!1,skipCopy:!1},a=[e,t];e.indexOf(".")>-1&&(a=e.split("."),r=n,n=t,t=a[1]),this.addNamespaces(t);let s=Ft(this.data,a)||{};i.skipCopy||(n=JSON.parse(JSON.stringify(n))),r?Vt(s,n,o):s={...s,...n},_t(this.data,a,s),i.silent||this.emit("added",e,t,n)}removeResourceBundle(e,t){this.hasResourceBundle(e,t)&&delete this.data[e][t],this.removeNamespaces(t),this.emit("removed",e,t)}hasResourceBundle(e,t){return void 0!==this.getResource(e,t)}getResourceBundle(e,t){return t||(t=this.options.defaultNS),this.getResource(e,t)}getDataByLanguage(e){return this.data[e]}hasLanguageSomeTranslations(e){const t=this.getDataByLanguage(e);return!!(t&&Object.keys(t)||[]).find((e=>t[e]&&Object.keys(t[e]).length>0))}toJSON(){return this.data}}var Jt={processors:{},addPostProcessor(e){this.processors[e.name]=e},handle(e,t,n,r,o){return e.forEach((e=>{t=this.processors[e]?.process(t,n,r,o)??t})),t}};const Zt={};class en extends Yt{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};super(),((e,t,n)=>{["resourceStore","languageUtils","pluralResolver","interpolator","backendConnector","i18nFormat","utils"].forEach((e=>{t[e]&&(n[e]=t[e])}))})(0,e,this),this.options=t,void 0===this.options.keySeparator&&(this.options.keySeparator="."),this.logger=Kt.create("translator")}changeLanguage(e){e&&(this.language=e)}exists(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}};if(null==e)return!1;const n=this.resolve(e,t);return void 0!==n?.res}extractFromKey(e,t){let n=void 0!==t.nsSeparator?t.nsSeparator:this.options.nsSeparator;void 0===n&&(n=":");const r=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator;let o=t.ns||this.options.defaultNS||[];const i=n&&e.indexOf(n)>-1,a=!(this.options.userDefinedKeySeparator||t.keySeparator||this.options.userDefinedNsSeparator||t.nsSeparator||((e,t,n)=>{t=t||"",n=n||"";const r=Ht.filter((e=>t.indexOf(e)<0&&n.indexOf(e)<0));if(0===r.length)return!0;const o=Wt.getRegExp(`(${r.map((e=>"?"===e?"\\?":e)).join("|")})`);let i=!o.test(e);if(!i){const t=e.indexOf(n);t>0&&!o.test(e.substring(0,t))&&(i=!0)}return i})(e,n,r));if(i&&!a){const t=e.match(this.interpolator.nestingRegexp);if(t&&t.length>0)return{key:e,namespaces:Pt(o)?[o]:o};const i=e.split(n);(n!==r||n===r&&this.options.ns.indexOf(i[0])>-1)&&(o=i.shift()),e=i.join(r)}return{key:e,namespaces:Pt(o)?[o]:o}}translate(e,t,n){if("object"!=typeof t&&this.options.overloadTranslationOptionHandler&&(t=this.options.overloadTranslationOptionHandler(arguments)),"object"==typeof t&&(t={...t}),t||(t={}),null==e)return"";Array.isArray(e)||(e=[String(e)]);const r=void 0!==t.returnDetails?t.returnDetails:this.options.returnDetails,o=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator,{key:i,namespaces:a}=this.extractFromKey(e[e.length-1],t),s=a[a.length-1],l=t.lng||this.language,c=t.appendNamespaceToCIMode||this.options.appendNamespaceToCIMode;if("cimode"===l?.toLowerCase()){if(c){const e=t.nsSeparator||this.options.nsSeparator;return r?{res:`${s}${e}${i}`,usedKey:i,exactUsedKey:i,usedLng:l,usedNS:s,usedParams:this.getUsedParamsDetails(t)}:`${s}${e}${i}`}return r?{res:i,usedKey:i,exactUsedKey:i,usedLng:l,usedNS:s,usedParams:this.getUsedParamsDetails(t)}:i}const u=this.resolve(e,t);let d=u?.res;const p=u?.usedKey||i,f=u?.exactUsedKey||i,h=Object.prototype.toString.apply(d),g=void 0!==t.joinArrays?t.joinArrays:this.options.joinArrays,m=!this.i18nFormat||this.i18nFormat.handleAsObject,b=!Pt(d)&&"boolean"!=typeof d&&"number"!=typeof d;if(!(m&&d&&b&&["[object Number]","[object Function]","[object RegExp]"].indexOf(h)<0)||Pt(g)&&Array.isArray(d))if(m&&Pt(g)&&Array.isArray(d))d=d.join(g),d&&(d=this.extendTranslation(d,e,t,n));else{let r=!1,a=!1;const c=void 0!==t.count&&!Pt(t.count),p=en.hasDefaultValue(t),f=c?this.pluralResolver.getSuffix(l,t.count,t):"",h=t.ordinal&&c?this.pluralResolver.getSuffix(l,t.count,{ordinal:!1}):"",g=c&&!t.ordinal&&0===t.count,m=g&&t[`defaultValue${this.options.pluralSeparator}zero`]||t[`defaultValue${f}`]||t[`defaultValue${h}`]||t.defaultValue;!this.isValidLookup(d)&&p&&(r=!0,d=m),this.isValidLookup(d)||(a=!0,d=i);const b=(t.missingKeyNoValueFallbackToKey||this.options.missingKeyNoValueFallbackToKey)&&a?void 0:d,v=p&&m!==d&&this.options.updateMissing;if(a||r||v){if(this.logger.log(v?"updateKey":"missingKey",l,s,i,v?m:d),o){const e=this.resolve(i,{...t,keySeparator:!1});e&&e.res&&this.logger.warn("Seems the loaded translations were in flat JSON format instead of nested. Either set keySeparator: false on init or make sure your translations are published in nested format.")}let e=[];const n=this.languageUtils.getFallbackCodes(this.options.fallbackLng,t.lng||this.language);if("fallback"===this.options.saveMissingTo&&n&&n[0])for(let t=0;t<n.length;t++)e.push(n[t]);else"all"===this.options.saveMissingTo?e=this.languageUtils.toResolveHierarchy(t.lng||this.language):e.push(t.lng||this.language);const r=(e,n,r)=>{const o=p&&r!==d?r:b;this.options.missingKeyHandler?this.options.missingKeyHandler(e,s,n,o,v,t):this.backendConnector?.saveMissing&&this.backendConnector.saveMissing(e,s,n,o,v,t),this.emit("missingKey",e,s,n,d)};this.options.saveMissing&&(this.options.saveMissingPlurals&&c?e.forEach((e=>{const n=this.pluralResolver.getSuffixes(e,t);g&&t[`defaultValue${this.options.pluralSeparator}zero`]&&n.indexOf(`${this.options.pluralSeparator}zero`)<0&&n.push(`${this.options.pluralSeparator}zero`),n.forEach((n=>{r([e],i+n,t[`defaultValue${n}`]||m)}))})):r(e,i,m))}d=this.extendTranslation(d,e,t,u,n),a&&d===i&&this.options.appendNamespaceToMissingKey&&(d=`${s}:${i}`),(a||r)&&this.options.parseMissingKeyHandler&&(d=this.options.parseMissingKeyHandler(this.options.appendNamespaceToMissingKey?`${s}:${i}`:i,r?d:void 0))}else{if(!t.returnObjects&&!this.options.returnObjects){this.options.returnedObjectHandler||this.logger.warn("accessing an object - but returnObjects options is not enabled!");const e=this.options.returnedObjectHandler?this.options.returnedObjectHandler(p,d,{...t,ns:a}):`key '${i} (${this.language})' returned an object instead of string.`;return r?(u.res=e,u.usedParams=this.getUsedParamsDetails(t),u):e}if(o){const e=Array.isArray(d),n=e?[]:{},r=e?f:p;for(const e in d)if(Object.prototype.hasOwnProperty.call(d,e)){const i=`${r}${o}${e}`;n[e]=this.translate(i,{...t,joinArrays:!1,ns:a}),n[e]===i&&(n[e]=d[e])}d=n}}return r?(u.res=d,u.usedParams=this.getUsedParamsDetails(t),u):d}extendTranslation(e,t,n,r,o){var i=this;if(this.i18nFormat?.parse)e=this.i18nFormat.parse(e,{...this.options.interpolation.defaultVariables,...n},n.lng||this.language||r.usedLng,r.usedNS,r.usedKey,{resolved:r});else if(!n.skipInterpolation){n.interpolation&&this.interpolator.init({...n,interpolation:{...this.options.interpolation,...n.interpolation}});const a=Pt(e)&&(void 0!==n?.interpolation?.skipOnVariables?n.interpolation.skipOnVariables:this.options.interpolation.skipOnVariables);let s;if(a){const t=e.match(this.interpolator.nestingRegexp);s=t&&t.length}let l=n.replace&&!Pt(n.replace)?n.replace:n;if(this.options.interpolation.defaultVariables&&(l={...this.options.interpolation.defaultVariables,...l}),e=this.interpolator.interpolate(e,l,n.lng||this.language||r.usedLng,n),a){const t=e.match(this.interpolator.nestingRegexp);s<(t&&t.length)&&(n.nest=!1)}!n.lng&&r&&r.res&&(n.lng=this.language||r.usedLng),!1!==n.nest&&(e=this.interpolator.nest(e,(function(){for(var e=arguments.length,r=new Array(e),a=0;a<e;a++)r[a]=arguments[a];return o?.[0]!==r[0]||n.context?i.translate(...r,t):(i.logger.warn(`It seems you are nesting recursively key: ${r[0]} in key: ${t[0]}`),null)}),n)),n.interpolation&&this.interpolator.reset()}const a=n.postProcess||this.options.postProcess,s=Pt(a)?[a]:a;return null!=e&&s?.length&&!1!==n.applyPostProcessor&&(e=Jt.handle(s,e,t,this.options&&this.options.postProcessPassResolved?{i18nResolved:{...r,usedParams:this.getUsedParamsDetails(n)},...n}:n,this)),e}resolve(e){let t,n,r,o,i,a=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return Pt(e)&&(e=[e]),e.forEach((e=>{if(this.isValidLookup(t))return;const s=this.extractFromKey(e,a),l=s.key;n=l;let c=s.namespaces;this.options.fallbackNS&&(c=c.concat(this.options.fallbackNS));const u=void 0!==a.count&&!Pt(a.count),d=u&&!a.ordinal&&0===a.count,p=void 0!==a.context&&(Pt(a.context)||"number"==typeof a.context)&&""!==a.context,f=a.lngs?a.lngs:this.languageUtils.toResolveHierarchy(a.lng||this.language,a.fallbackLng);c.forEach((e=>{this.isValidLookup(t)||(i=e,Zt[`${f[0]}-${e}`]||!this.utils?.hasLoadedNamespace||this.utils?.hasLoadedNamespace(i)||(Zt[`${f[0]}-${e}`]=!0,this.logger.warn(`key "${n}" for languages "${f.join(", ")}" won't get resolved as namespace "${i}" was not yet loaded`,"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!")),f.forEach((n=>{if(this.isValidLookup(t))return;o=n;const i=[l];if(this.i18nFormat?.addLookupKeys)this.i18nFormat.addLookupKeys(i,l,n,e,a);else{let e;u&&(e=this.pluralResolver.getSuffix(n,a.count,a));const t=`${this.options.pluralSeparator}zero`,r=`${this.options.pluralSeparator}ordinal${this.options.pluralSeparator}`;if(u&&(i.push(l+e),a.ordinal&&0===e.indexOf(r)&&i.push(l+e.replace(r,this.options.pluralSeparator)),d&&i.push(l+t)),p){const n=`${l}${this.options.contextSeparator}${a.context}`;i.push(n),u&&(i.push(n+e),a.ordinal&&0===e.indexOf(r)&&i.push(n+e.replace(r,this.options.pluralSeparator)),d&&i.push(n+t))}}let s;for(;s=i.pop();)this.isValidLookup(t)||(r=s,t=this.getResource(n,e,s,a))})))}))})),{res:t,usedKey:n,exactUsedKey:r,usedLng:o,usedNS:i}}isValidLookup(e){return!(void 0===e||!this.options.returnNull&&null===e||!this.options.returnEmptyString&&""===e)}getResource(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return this.i18nFormat?.getResource?this.i18nFormat.getResource(e,t,n,r):this.resourceStore.getResource(e,t,n,r)}getUsedParamsDetails(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};const t=["defaultValue","ordinal","context","replace","lng","lngs","fallbackLng","ns","keySeparator","nsSeparator","returnObjects","returnDetails","joinArrays","postProcess","interpolation"],n=e.replace&&!Pt(e.replace);let r=n?e.replace:e;if(n&&void 0!==e.count&&(r.count=e.count),this.options.interpolation.defaultVariables&&(r={...this.options.interpolation.defaultVariables,...r}),!n){r={...r};for(const e of t)delete r[e]}return r}static hasDefaultValue(e){for(const t in e)if(Object.prototype.hasOwnProperty.call(e,t)&&"defaultValue"===t.substring(0,12)&&void 0!==e[t])return!0;return!1}}class tn{constructor(e){this.options=e,this.supportedLngs=this.options.supportedLngs||!1,this.logger=Kt.create("languageUtils")}getScriptPartFromCode(e){if(!(e=Gt(e))||e.indexOf("-")<0)return null;const t=e.split("-");return 2===t.length?null:(t.pop(),"x"===t[t.length-1].toLowerCase()?null:this.formatLanguageCode(t.join("-")))}getLanguagePartFromCode(e){if(!(e=Gt(e))||e.indexOf("-")<0)return e;const t=e.split("-");return this.formatLanguageCode(t[0])}formatLanguageCode(e){if(Pt(e)&&e.indexOf("-")>-1){let t;try{t=Intl.getCanonicalLocales(e)[0]}catch(e){}return t&&this.options.lowerCaseLng&&(t=t.toLowerCase()),t||(this.options.lowerCaseLng?e.toLowerCase():e)}return this.options.cleanCode||this.options.lowerCaseLng?e.toLowerCase():e}isSupportedCode(e){return("languageOnly"===this.options.load||this.options.nonExplicitSupportedLngs)&&(e=this.getLanguagePartFromCode(e)),!this.supportedLngs||!this.supportedLngs.length||this.supportedLngs.indexOf(e)>-1}getBestMatchFromCodes(e){if(!e)return null;let t;return e.forEach((e=>{if(t)return;const n=this.formatLanguageCode(e);this.options.supportedLngs&&!this.isSupportedCode(n)||(t=n)})),!t&&this.options.supportedLngs&&e.forEach((e=>{if(t)return;const n=this.getLanguagePartFromCode(e);if(this.isSupportedCode(n))return t=n;t=this.options.supportedLngs.find((e=>e===n?e:e.indexOf("-")<0&&n.indexOf("-")<0?void 0:e.indexOf("-")>0&&n.indexOf("-")<0&&e.substring(0,e.indexOf("-"))===n||0===e.indexOf(n)&&n.length>1?e:void 0))})),t||(t=this.getFallbackCodes(this.options.fallbackLng)[0]),t}getFallbackCodes(e,t){if(!e)return[];if("function"==typeof e&&(e=e(t)),Pt(e)&&(e=[e]),Array.isArray(e))return e;if(!t)return e.default||[];let n=e[t];return n||(n=e[this.getScriptPartFromCode(t)]),n||(n=e[this.formatLanguageCode(t)]),n||(n=e[this.getLanguagePartFromCode(t)]),n||(n=e.default),n||[]}toResolveHierarchy(e,t){const n=this.getFallbackCodes(t||this.options.fallbackLng||[],e),r=[],o=e=>{e&&(this.isSupportedCode(e)?r.push(e):this.logger.warn(`rejecting language code not found in supportedLngs: ${e}`))};return Pt(e)&&(e.indexOf("-")>-1||e.indexOf("_")>-1)?("languageOnly"!==this.options.load&&o(this.formatLanguageCode(e)),"languageOnly"!==this.options.load&&"currentOnly"!==this.options.load&&o(this.getScriptPartFromCode(e)),"currentOnly"!==this.options.load&&o(this.getLanguagePartFromCode(e))):Pt(e)&&o(this.formatLanguageCode(e)),n.forEach((e=>{r.indexOf(e)<0&&o(this.formatLanguageCode(e))})),r}}const nn={zero:0,one:1,two:2,few:3,many:4,other:5},rn={select:e=>1===e?"one":"other",resolvedOptions:()=>({pluralCategories:["one","other"]})};class on{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.languageUtils=e,this.options=t,this.logger=Kt.create("pluralResolver"),this.pluralRulesCache={}}addRule(e,t){this.rules[e]=t}clearCache(){this.pluralRulesCache={}}getRule(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};const n=Gt("dev"===e?"en":e),r=t.ordinal?"ordinal":"cardinal",o=JSON.stringify({cleanedCode:n,type:r});if(o in this.pluralRulesCache)return this.pluralRulesCache[o];let i;try{i=new Intl.PluralRules(n,{type:r})}catch(n){if(!Intl)return this.logger.error("No Intl support, please use an Intl polyfill!"),rn;if(!e.match(/-|_/))return rn;const r=this.languageUtils.getLanguagePartFromCode(e);i=this.getRule(r,t)}return this.pluralRulesCache[o]=i,i}needsPlural(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=this.getRule(e,t);return n||(n=this.getRule("dev",t)),n?.resolvedOptions().pluralCategories.length>1}getPluralFormsOfKey(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return this.getSuffixes(e,n).map((e=>`${t}${e}`))}getSuffixes(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=this.getRule(e,t);return n||(n=this.getRule("dev",t)),n?n.resolvedOptions().pluralCategories.sort(((e,t)=>nn[e]-nn[t])).map((e=>`${this.options.prepend}${t.ordinal?`ordinal${this.options.prepend}`:""}${e}`)):[]}getSuffix(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};const r=this.getRule(e,n);return r?`${this.options.prepend}${n.ordinal?`ordinal${this.options.prepend}`:""}${r.select(t)}`:(this.logger.warn(`no plural rule found for: ${e}`),this.getSuffix("dev",t,n))}}const an=function(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:".",o=!(arguments.length>4&&void 0!==arguments[4])||arguments[4],i=((e,t,n)=>{const r=Ft(e,n);return void 0!==r?r:Ft(t,n)})(e,t,n);return!i&&o&&Pt(n)&&(i=zt(e,n,r),void 0===i&&(i=zt(t,n,r))),i},sn=e=>e.replace(/\$/g,"$$$$");class ln{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};this.logger=Kt.create("interpolator"),this.options=e,this.format=e?.interpolation?.format||(e=>e),this.init(e)}init(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e.interpolation||(e.interpolation={escapeValue:!0});const{escape:t,escapeValue:n,useRawValueToEscape:r,prefix:o,prefixEscaped:i,suffix:a,suffixEscaped:s,formatSeparator:l,unescapeSuffix:c,unescapePrefix:u,nestingPrefix:d,nestingPrefixEscaped:p,nestingSuffix:f,nestingSuffixEscaped:h,nestingOptionsSeparator:g,maxReplaces:m,alwaysFormat:b}=e.interpolation;this.escape=void 0!==t?t:Bt,this.escapeValue=void 0===n||n,this.useRawValueToEscape=void 0!==r&&r,this.prefix=o?$t(o):i||"{{",this.suffix=a?$t(a):s||"}}",this.formatSeparator=l||",",this.unescapePrefix=c?"":u||"-",this.unescapeSuffix=this.unescapePrefix?"":c||"",this.nestingPrefix=d?$t(d):p||$t("$t("),this.nestingSuffix=f?$t(f):h||$t(")"),this.nestingOptionsSeparator=g||",",this.maxReplaces=m||1e3,this.alwaysFormat=void 0!==b&&b,this.resetRegExp()}reset(){this.options&&this.init(this.options)}resetRegExp(){const e=(e,t)=>e?.source===t?(e.lastIndex=0,e):new RegExp(t,"g");this.regexp=e(this.regexp,`${this.prefix}(.+?)${this.suffix}`),this.regexpUnescape=e(this.regexpUnescape,`${this.prefix}${this.unescapePrefix}(.+?)${this.unescapeSuffix}${this.suffix}`),this.nestingRegexp=e(this.nestingRegexp,`${this.nestingPrefix}(.+?)${this.nestingSuffix}`)}interpolate(e,t,n,r){let o,i,a;const s=this.options&&this.options.interpolation&&this.options.interpolation.defaultVariables||{},l=e=>{if(e.indexOf(this.formatSeparator)<0){const o=an(t,s,e,this.options.keySeparator,this.options.ignoreJSONStructure);return this.alwaysFormat?this.format(o,void 0,n,{...r,...t,interpolationkey:e}):o}const o=e.split(this.formatSeparator),i=o.shift().trim(),a=o.join(this.formatSeparator).trim();return this.format(an(t,s,i,this.options.keySeparator,this.options.ignoreJSONStructure),a,n,{...r,...t,interpolationkey:i})};this.resetRegExp();const c=r?.missingInterpolationHandler||this.options.missingInterpolationHandler,u=void 0!==r?.interpolation?.skipOnVariables?r.interpolation.skipOnVariables:this.options.interpolation.skipOnVariables;return[{regex:this.regexpUnescape,safeValue:e=>sn(e)},{regex:this.regexp,safeValue:e=>this.escapeValue?sn(this.escape(e)):sn(e)}].forEach((t=>{for(a=0;o=t.regex.exec(e);){const n=o[1].trim();if(i=l(n),void 0===i)if("function"==typeof c){const t=c(e,o,r);i=Pt(t)?t:""}else if(r&&Object.prototype.hasOwnProperty.call(r,n))i="";else{if(u){i=o[0];continue}this.logger.warn(`missed to pass in variable ${n} for interpolating ${e}`),i=""}else Pt(i)||this.useRawValueToEscape||(i=Lt(i));const s=t.safeValue(i);if(e=e.replace(o[0],s),u?(t.regex.lastIndex+=i.length,t.regex.lastIndex-=o[0].length):t.regex.lastIndex=0,a++,a>=this.maxReplaces)break}})),e}nest(e,t){let n,r,o,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};const a=(e,t)=>{const n=this.nestingOptionsSeparator;if(e.indexOf(n)<0)return e;const r=e.split(new RegExp(`${n}[ ]*{`));let i=`{${r[1]}`;e=r[0],i=this.interpolate(i,o);const a=i.match(/'/g),s=i.match(/"/g);((a?.length??0)%2==0&&!s||s.length%2!=0)&&(i=i.replace(/'/g,'"'));try{o=JSON.parse(i),t&&(o={...t,...o})}catch(t){return this.logger.warn(`failed parsing options string in nesting for key ${e}`,t),`${e}${n}${i}`}return o.defaultValue&&o.defaultValue.indexOf(this.prefix)>-1&&delete o.defaultValue,e};for(;n=this.nestingRegexp.exec(e);){let s=[];o={...i},o=o.replace&&!Pt(o.replace)?o.replace:o,o.applyPostProcessor=!1,delete o.defaultValue;let l=!1;if(-1!==n[0].indexOf(this.formatSeparator)&&!/{.*}/.test(n[1])){const e=n[1].split(this.formatSeparator).map((e=>e.trim()));n[1]=e.shift(),s=e,l=!0}if(r=t(a.call(this,n[1].trim(),o),o),r&&n[0]===e&&!Pt(r))return r;Pt(r)||(r=Lt(r)),r||(this.logger.warn(`missed to resolve ${n[1]} for nesting ${e}`),r=""),l&&(r=s.reduce(((e,t)=>this.format(e,t,i.lng,{...i,interpolationkey:n[1].trim()})),r.trim())),e=e.replace(n[0],r),this.regexp.lastIndex=0}return e}}const cn=e=>{const t={};return(n,r,o)=>{let i=o;o&&o.interpolationkey&&o.formatParams&&o.formatParams[o.interpolationkey]&&o[o.interpolationkey]&&(i={...i,[o.interpolationkey]:void 0});const a=r+JSON.stringify(i);let s=t[a];return s||(s=e(Gt(r),o),t[a]=s),s(n)}};class un{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};this.logger=Kt.create("formatter"),this.options=e,this.formats={number:cn(((e,t)=>{const n=new Intl.NumberFormat(e,{...t});return e=>n.format(e)})),currency:cn(((e,t)=>{const n=new Intl.NumberFormat(e,{...t,style:"currency"});return e=>n.format(e)})),datetime:cn(((e,t)=>{const n=new Intl.DateTimeFormat(e,{...t});return e=>n.format(e)})),relativetime:cn(((e,t)=>{const n=new Intl.RelativeTimeFormat(e,{...t});return e=>n.format(e,t.range||"day")})),list:cn(((e,t)=>{const n=new Intl.ListFormat(e,{...t});return e=>n.format(e)}))},this.init(e)}init(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}};this.formatSeparator=t.interpolation.formatSeparator||","}add(e,t){this.formats[e.toLowerCase().trim()]=t}addCached(e,t){this.formats[e.toLowerCase().trim()]=cn(t)}format(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};const o=t.split(this.formatSeparator);if(o.length>1&&o[0].indexOf("(")>1&&o[0].indexOf(")")<0&&o.find((e=>e.indexOf(")")>-1))){const e=o.findIndex((e=>e.indexOf(")")>-1));o[0]=[o[0],...o.splice(1,e)].join(this.formatSeparator)}return o.reduce(((e,t)=>{const{formatName:o,formatOptions:i}=(e=>{let t=e.toLowerCase().trim();const n={};if(e.indexOf("(")>-1){const r=e.split("(");t=r[0].toLowerCase().trim();const o=r[1].substring(0,r[1].length-1);"currency"===t&&o.indexOf(":")<0?n.currency||(n.currency=o.trim()):"relativetime"===t&&o.indexOf(":")<0?n.range||(n.range=o.trim()):o.split(";").forEach((e=>{if(e){const[t,...r]=e.split(":"),o=r.join(":").trim().replace(/^'+|'+$/g,""),i=t.trim();n[i]||(n[i]=o),"false"===o&&(n[i]=!1),"true"===o&&(n[i]=!0),isNaN(o)||(n[i]=parseInt(o,10))}}))}return{formatName:t,formatOptions:n}})(t);if(this.formats[o]){let t=e;try{const a=r?.formatParams?.[r.interpolationkey]||{},s=a.locale||a.lng||r.locale||r.lng||n;t=this.formats[o](e,s,{...i,...r,...a})}catch(e){this.logger.warn(e)}return t}return this.logger.warn(`there was no format function for ${o}`),e}),e)}}class dn extends Yt{constructor(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};super(),this.backend=e,this.store=t,this.services=n,this.languageUtils=n.languageUtils,this.options=r,this.logger=Kt.create("backendConnector"),this.waitingReads=[],this.maxParallelReads=r.maxParallelReads||10,this.readingCalls=0,this.maxRetries=r.maxRetries>=0?r.maxRetries:5,this.retryTimeout=r.retryTimeout>=1?r.retryTimeout:350,this.state={},this.queue=[],this.backend?.init?.(n,r.backend,r)}queueLoad(e,t,n,r){const o={},i={},a={},s={};return e.forEach((e=>{let r=!0;t.forEach((t=>{const a=`${e}|${t}`;!n.reload&&this.store.hasResourceBundle(e,t)?this.state[a]=2:this.state[a]<0||(1===this.state[a]?void 0===i[a]&&(i[a]=!0):(this.state[a]=1,r=!1,void 0===i[a]&&(i[a]=!0),void 0===o[a]&&(o[a]=!0),void 0===s[t]&&(s[t]=!0)))})),r||(a[e]=!0)})),(Object.keys(o).length||Object.keys(i).length)&&this.queue.push({pending:i,pendingCount:Object.keys(i).length,loaded:{},errors:[],callback:r}),{toLoad:Object.keys(o),pending:Object.keys(i),toLoadLanguages:Object.keys(a),toLoadNamespaces:Object.keys(s)}}loaded(e,t,n){const r=e.split("|"),o=r[0],i=r[1];t&&this.emit("failedLoading",o,i,t),!t&&n&&this.store.addResourceBundle(o,i,n,void 0,void 0,{skipCopy:!0}),this.state[e]=t?-1:2,t&&n&&(this.state[e]=0);const a={};this.queue.forEach((n=>{((e,t,n)=>{const{obj:r,k:o}=Mt(e,t,Object);r[o]=r[o]||[],r[o].push(n)})(n.loaded,[o],i),((e,t)=>{void 0!==e.pending[t]&&(delete e.pending[t],e.pendingCount--)})(n,e),t&&n.errors.push(t),0!==n.pendingCount||n.done||(Object.keys(n.loaded).forEach((e=>{a[e]||(a[e]={});const t=n.loaded[e];t.length&&t.forEach((t=>{void 0===a[e][t]&&(a[e][t]=!0)}))})),n.done=!0,n.errors.length?n.callback(n.errors):n.callback())})),this.emit("loaded",a),this.queue=this.queue.filter((e=>!e.done))}read(e,t,n){let r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:0,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:this.retryTimeout,i=arguments.length>5?arguments[5]:void 0;if(!e.length)return i(null,{});if(this.readingCalls>=this.maxParallelReads)return void this.waitingReads.push({lng:e,ns:t,fcName:n,tried:r,wait:o,callback:i});this.readingCalls++;const a=(a,s)=>{if(this.readingCalls--,this.waitingReads.length>0){const e=this.waitingReads.shift();this.read(e.lng,e.ns,e.fcName,e.tried,e.wait,e.callback)}a&&s&&r<this.maxRetries?setTimeout((()=>{this.read.call(this,e,t,n,r+1,2*o,i)}),o):i(a,s)},s=this.backend[n].bind(this.backend);if(2!==s.length)return s(e,t,a);try{const n=s(e,t);n&&"function"==typeof n.then?n.then((e=>a(null,e))).catch(a):a(null,n)}catch(e){a(e)}}prepareLoading(e,t){let n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},r=arguments.length>3?arguments[3]:void 0;if(!this.backend)return this.logger.warn("No backend was added via i18next.use. Will not load resources."),r&&r();Pt(e)&&(e=this.languageUtils.toResolveHierarchy(e)),Pt(t)&&(t=[t]);const o=this.queueLoad(e,t,n,r);if(!o.toLoad.length)return o.pending.length||r(),null;o.toLoad.forEach((e=>{this.loadOne(e)}))}load(e,t,n){this.prepareLoading(e,t,{},n)}reload(e,t,n){this.prepareLoading(e,t,{reload:!0},n)}loadOne(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"";const n=e.split("|"),r=n[0],o=n[1];this.read(r,o,"read",void 0,void 0,((n,i)=>{n&&this.logger.warn(`${t}loading namespace ${o} for language ${r} failed`,n),!n&&i&&this.logger.log(`${t}loaded namespace ${o} for language ${r}`,i),this.loaded(e,n,i)}))}saveMissing(e,t,n,r,o){let i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{},a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:()=>{};if(!this.services?.utils?.hasLoadedNamespace||this.services?.utils?.hasLoadedNamespace(t)){if(null!=n&&""!==n){if(this.backend?.create){const s={...i,isUpdate:o},l=this.backend.create.bind(this.backend);if(l.length<6)try{let o;o=5===l.length?l(e,t,n,r,s):l(e,t,n,r),o&&"function"==typeof o.then?o.then((e=>a(null,e))).catch(a):a(null,o)}catch(e){a(e)}else l(e,t,n,r,a,s)}e&&e[0]&&this.store.addResource(e[0],t,n,r)}}else this.logger.warn(`did not save key "${n}" as the namespace "${t}" was not yet loaded`,"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!")}}const pn=()=>({debug:!1,initAsync:!0,ns:["translation"],defaultNS:["translation"],fallbackLng:["dev"],fallbackNS:!1,supportedLngs:!1,nonExplicitSupportedLngs:!1,load:"all",preload:!1,simplifyPluralSuffix:!0,keySeparator:".",nsSeparator:":",pluralSeparator:"_",contextSeparator:"_",partialBundledLanguages:!1,saveMissing:!1,updateMissing:!1,saveMissingTo:"fallback",saveMissingPlurals:!0,missingKeyHandler:!1,missingInterpolationHandler:!1,postProcess:!1,postProcessPassResolved:!1,returnNull:!1,returnEmptyString:!0,returnObjects:!1,joinArrays:!1,returnedObjectHandler:!1,parseMissingKeyHandler:!1,appendNamespaceToMissingKey:!1,appendNamespaceToCIMode:!1,overloadTranslationOptionHandler:e=>{let t={};if("object"==typeof e[1]&&(t=e[1]),Pt(e[1])&&(t.defaultValue=e[1]),Pt(e[2])&&(t.tDescription=e[2]),"object"==typeof e[2]||"object"==typeof e[3]){const n=e[3]||e[2];Object.keys(n).forEach((e=>{t[e]=n[e]}))}return t},interpolation:{escapeValue:!0,format:e=>e,prefix:"{{",suffix:"}}",formatSeparator:",",unescapePrefix:"-",nestingPrefix:"$t(",nestingSuffix:")",nestingOptionsSeparator:",",maxReplaces:1e3,skipOnVariables:!0}}),fn=e=>(Pt(e.ns)&&(e.ns=[e.ns]),Pt(e.fallbackLng)&&(e.fallbackLng=[e.fallbackLng]),Pt(e.fallbackNS)&&(e.fallbackNS=[e.fallbackNS]),e.supportedLngs?.indexOf?.("cimode")<0&&(e.supportedLngs=e.supportedLngs.concat(["cimode"])),"boolean"==typeof e.initImmediate&&(e.initAsync=e.initImmediate),e),hn=()=>{};class gn extends Yt{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1?arguments[1]:void 0;var n;if(super(),this.options=fn(e),this.services={},this.logger=Kt,this.modules={external:[]},n=this,Object.getOwnPropertyNames(Object.getPrototypeOf(n)).forEach((e=>{"function"==typeof n[e]&&(n[e]=n[e].bind(n))})),t&&!this.isInitialized&&!e.isClone){if(!this.options.initAsync)return this.init(e,t),this;setTimeout((()=>{this.init(e,t)}),0)}}init(){var e=this;let t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},n=arguments.length>1?arguments[1]:void 0;this.isInitializing=!0,"function"==typeof t&&(n=t,t={}),null==t.defaultNS&&t.ns&&(Pt(t.ns)?t.defaultNS=t.ns:t.ns.indexOf("translation")<0&&(t.defaultNS=t.ns[0]));const r=pn();this.options={...r,...this.options,...fn(t)},this.options.interpolation={...r.interpolation,...this.options.interpolation},void 0!==t.keySeparator&&(this.options.userDefinedKeySeparator=t.keySeparator),void 0!==t.nsSeparator&&(this.options.userDefinedNsSeparator=t.nsSeparator);const o=e=>e?"function"==typeof e?new e:e:null;if(!this.options.isClone){let t;this.modules.logger?Kt.init(o(this.modules.logger),this.options):Kt.init(null,this.options),t=this.modules.formatter?this.modules.formatter:un;const n=new tn(this.options);this.store=new Qt(this.options.resources,this.options);const i=this.services;i.logger=Kt,i.resourceStore=this.store,i.languageUtils=n,i.pluralResolver=new on(n,{prepend:this.options.pluralSeparator,simplifyPluralSuffix:this.options.simplifyPluralSuffix}),!t||this.options.interpolation.format&&this.options.interpolation.format!==r.interpolation.format||(i.formatter=o(t),i.formatter.init(i,this.options),this.options.interpolation.format=i.formatter.format.bind(i.formatter)),i.interpolator=new ln(this.options),i.utils={hasLoadedNamespace:this.hasLoadedNamespace.bind(this)},i.backendConnector=new dn(o(this.modules.backend),i.resourceStore,i,this.options),i.backendConnector.on("*",(function(t){for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];e.emit(t,...r)})),this.modules.languageDetector&&(i.languageDetector=o(this.modules.languageDetector),i.languageDetector.init&&i.languageDetector.init(i,this.options.detection,this.options)),this.modules.i18nFormat&&(i.i18nFormat=o(this.modules.i18nFormat),i.i18nFormat.init&&i.i18nFormat.init(this)),this.translator=new en(this.services,this.options),this.translator.on("*",(function(t){for(var n=arguments.length,r=new Array(n>1?n-1:0),o=1;o<n;o++)r[o-1]=arguments[o];e.emit(t,...r)})),this.modules.external.forEach((e=>{e.init&&e.init(this)}))}if(this.format=this.options.interpolation.format,n||(n=hn),this.options.fallbackLng&&!this.services.languageDetector&&!this.options.lng){const e=this.services.languageUtils.getFallbackCodes(this.options.fallbackLng);e.length>0&&"dev"!==e[0]&&(this.options.lng=e[0])}this.services.languageDetector||this.options.lng||this.logger.warn("init: no languageDetector is used and no lng is defined"),["getResource","hasResourceBundle","getResourceBundle","getDataByLanguage"].forEach((t=>{this[t]=function(){return e.store[t](...arguments)}})),["addResource","addResources","addResourceBundle","removeResourceBundle"].forEach((t=>{this[t]=function(){return e.store[t](...arguments),e}}));const i=Nt(),a=()=>{const e=(e,t)=>{this.isInitializing=!1,this.isInitialized&&!this.initializedStoreOnce&&this.logger.warn("init: i18next is already initialized. You should call init just once!"),this.isInitialized=!0,this.options.isClone||this.logger.log("initialized",this.options),this.emit("initialized",this.options),i.resolve(t),n(e,t)};if(this.languages&&!this.isInitialized)return e(null,this.t.bind(this));this.changeLanguage(this.options.lng,e)};return this.options.resources||!this.options.initAsync?a():setTimeout(a,0),i}loadResources(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:hn;const n=Pt(e)?e:this.language;if("function"==typeof e&&(t=e),!this.options.resources||this.options.partialBundledLanguages){if("cimode"===n?.toLowerCase()&&(!this.options.preload||0===this.options.preload.length))return t();const e=[],r=t=>{t&&"cimode"!==t&&this.services.languageUtils.toResolveHierarchy(t).forEach((t=>{"cimode"!==t&&e.indexOf(t)<0&&e.push(t)}))};n?r(n):this.services.languageUtils.getFallbackCodes(this.options.fallbackLng).forEach((e=>r(e))),this.options.preload?.forEach?.((e=>r(e))),this.services.backendConnector.load(e,this.options.ns,(e=>{e||this.resolvedLanguage||!this.language||this.setResolvedLanguage(this.language),t(e)}))}else t(null)}reloadResources(e,t,n){const r=Nt();return"function"==typeof e&&(n=e,e=void 0),"function"==typeof t&&(n=t,t=void 0),e||(e=this.languages),t||(t=this.options.ns),n||(n=hn),this.services.backendConnector.reload(e,t,(e=>{r.resolve(),n(e)})),r}use(e){if(!e)throw new Error("You are passing an undefined module! Please check the object you are passing to i18next.use()");if(!e.type)throw new Error("You are passing a wrong module! Please check the object you are passing to i18next.use()");return"backend"===e.type&&(this.modules.backend=e),("logger"===e.type||e.log&&e.warn&&e.error)&&(this.modules.logger=e),"languageDetector"===e.type&&(this.modules.languageDetector=e),"i18nFormat"===e.type&&(this.modules.i18nFormat=e),"postProcessor"===e.type&&Jt.addPostProcessor(e),"formatter"===e.type&&(this.modules.formatter=e),"3rdParty"===e.type&&this.modules.external.push(e),this}setResolvedLanguage(e){if(e&&this.languages&&!(["cimode","dev"].indexOf(e)>-1))for(let e=0;e<this.languages.length;e++){const t=this.languages[e];if(!(["cimode","dev"].indexOf(t)>-1)&&this.store.hasLanguageSomeTranslations(t)){this.resolvedLanguage=t;break}}}changeLanguage(e,t){var n=this;this.isLanguageChangingTo=e;const r=Nt();this.emit("languageChanging",e);const o=e=>{this.language=e,this.languages=this.services.languageUtils.toResolveHierarchy(e),this.resolvedLanguage=void 0,this.setResolvedLanguage(e)},i=(e,i)=>{i?(o(i),this.translator.changeLanguage(i),this.isLanguageChangingTo=void 0,this.emit("languageChanged",i),this.logger.log("languageChanged",i)):this.isLanguageChangingTo=void 0,r.resolve((function(){return n.t(...arguments)})),t&&t(e,(function(){return n.t(...arguments)}))},a=t=>{e||t||!this.services.languageDetector||(t=[]);const n=Pt(t)?t:this.services.languageUtils.getBestMatchFromCodes(t);n&&(this.language||o(n),this.translator.language||this.translator.changeLanguage(n),this.services.languageDetector?.cacheUserLanguage?.(n)),this.loadResources(n,(e=>{i(e,n)}))};return e||!this.services.languageDetector||this.services.languageDetector.async?!e&&this.services.languageDetector&&this.services.languageDetector.async?0===this.services.languageDetector.detect.length?this.services.languageDetector.detect().then(a):this.services.languageDetector.detect(a):a(e):a(this.services.languageDetector.detect()),r}getFixedT(e,t,n){var r=this;const o=function(e,t){let i;if("object"!=typeof t){for(var a=arguments.length,s=new Array(a>2?a-2:0),l=2;l<a;l++)s[l-2]=arguments[l];i=r.options.overloadTranslationOptionHandler([e,t].concat(s))}else i={...t};i.lng=i.lng||o.lng,i.lngs=i.lngs||o.lngs,i.ns=i.ns||o.ns,""!==i.keyPrefix&&(i.keyPrefix=i.keyPrefix||n||o.keyPrefix);const c=r.options.keySeparator||".";let u;return u=i.keyPrefix&&Array.isArray(e)?e.map((e=>`${i.keyPrefix}${c}${e}`)):i.keyPrefix?`${i.keyPrefix}${c}${e}`:e,r.t(u,i)};return Pt(e)?o.lng=e:o.lngs=e,o.ns=t,o.keyPrefix=n,o}t(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.translator?.translate(...t)}exists(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return this.translator?.exists(...t)}setDefaultNamespace(e){this.options.defaultNS=e}hasLoadedNamespace(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!this.isInitialized)return this.logger.warn("hasLoadedNamespace: i18next was not initialized",this.languages),!1;if(!this.languages||!this.languages.length)return this.logger.warn("hasLoadedNamespace: i18n.languages were undefined or empty",this.languages),!1;const n=t.lng||this.resolvedLanguage||this.languages[0],r=!!this.options&&this.options.fallbackLng,o=this.languages[this.languages.length-1];if("cimode"===n.toLowerCase())return!0;const i=(e,t)=>{const n=this.services.backendConnector.state[`${e}|${t}`];return-1===n||0===n||2===n};if(t.precheck){const e=t.precheck(this,i);if(void 0!==e)return e}return!(!this.hasResourceBundle(n,e)&&this.services.backendConnector.backend&&(!this.options.resources||this.options.partialBundledLanguages)&&(!i(n,e)||r&&!i(o,e)))}loadNamespaces(e,t){const n=Nt();return this.options.ns?(Pt(e)&&(e=[e]),e.forEach((e=>{this.options.ns.indexOf(e)<0&&this.options.ns.push(e)})),this.loadResources((e=>{n.resolve(),t&&t(e)})),n):(t&&t(),Promise.resolve())}loadLanguages(e,t){const n=Nt();Pt(e)&&(e=[e]);const r=this.options.preload||[],o=e.filter((e=>r.indexOf(e)<0&&this.services.languageUtils.isSupportedCode(e)));return o.length?(this.options.preload=r.concat(o),this.loadResources((e=>{n.resolve(),t&&t(e)})),n):(t&&t(),Promise.resolve())}dir(e){if(e||(e=this.resolvedLanguage||(this.languages?.length>0?this.languages[0]:this.language)),!e)return"rtl";const t=this.services?.languageUtils||new tn(pn());return["ar","shu","sqr","ssh","xaa","yhd","yud","aao","abh","abv","acm","acq","acw","acx","acy","adf","ads","aeb","aec","afb","ajp","apc","apd","arb","arq","ars","ary","arz","auz","avl","ayh","ayl","ayn","ayp","bbz","pga","he","iw","ps","pbt","pbu","pst","prp","prd","ug","ur","ydd","yds","yih","ji","yi","hbo","men","xmn","fa","jpr","peo","pes","prs","dv","sam","ckb"].indexOf(t.getLanguagePartFromCode(e))>-1||e.toLowerCase().indexOf("-arab")>1?"rtl":"ltr"}static createInstance(){return new gn(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},arguments.length>1?arguments[1]:void 0)}cloneInstance(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:hn;const n=e.forkResourceStore;n&&delete e.forkResourceStore;const r={...this.options,...e,isClone:!0},o=new gn(r);if(void 0===e.debug&&void 0===e.prefix||(o.logger=o.logger.clone(e)),["store","services","language"].forEach((e=>{o[e]=this[e]})),o.services={...this.services},o.services.utils={hasLoadedNamespace:o.hasLoadedNamespace.bind(o)},n){const e=Object.keys(this.store.data).reduce(((e,t)=>(e[t]={...this.store.data[t]},Object.keys(e[t]).reduce(((n,r)=>(n[r]={...e[t][r]},n)),{}))),{});o.store=new Qt(e,r),o.services.resourceStore=o.store}return o.translator=new en(o.services,r),o.translator.on("*",(function(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];o.emit(e,...n)})),o.init(r,t),o.translator.options=r,o.translator.backendConnector.services.utils={hasLoadedNamespace:o.hasLoadedNamespace.bind(o)},o}toJSON(){return{options:this.options,store:this.store,language:this.language,languages:this.languages,resolvedLanguage:this.resolvedLanguage}}}const mn=gn.createInstance();mn.createInstance=gn.createInstance,mn.createInstance,mn.dir,mn.init,mn.loadResources,mn.reloadResources,mn.use,mn.changeLanguage,mn.getFixedT;const bn=mn.t;mn.exists,mn.setDefaultNamespace,mn.hasLoadedNamespace,mn.loadNamespaces,mn.loadLanguages;var vn=y(7493);function yn(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function En(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?yn(Object(n),!0).forEach((function(t){(0,vn.A)(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):yn(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}var On=y(894),xn=y(5167),Sn=["defaultInputValue","defaultMenuIsOpen","defaultValue","inputValue","menuIsOpen","onChange","onInputChange","onMenuClose","onMenuOpen","value"];function wn(e){var t=e.defaultInputValue,n=void 0===t?"":t,r=e.defaultMenuIsOpen,o=void 0!==r&&r,i=e.defaultValue,a=void 0===i?null:i,s=e.inputValue,l=e.menuIsOpen,c=e.onChange,u=e.onInputChange,d=e.onMenuClose,p=e.onMenuOpen,f=e.value,h=(0,xn.A)(e,Sn),m=(0,g.useState)(void 0!==s?s:n),b=(0,On.A)(m,2),v=b[0],y=b[1],E=(0,g.useState)(void 0!==l?l:o),O=(0,On.A)(E,2),x=O[0],S=O[1],w=(0,g.useState)(void 0!==f?f:a),R=(0,On.A)(w,2),T=R[0],C=R[1],I=(0,g.useCallback)((function(e,t){"function"==typeof c&&c(e,t),C(e)}),[c]),A=(0,g.useCallback)((function(e,t){var n;"function"==typeof u&&(n=u(e,t)),y(void 0!==n?n:e)}),[u]),P=(0,g.useCallback)((function(){"function"==typeof p&&p(),S(!0)}),[p]),N=(0,g.useCallback)((function(){"function"==typeof d&&d(),S(!1)}),[d]),L=void 0!==s?s:v,k=void 0!==l?l:x,j=void 0!==f?f:T;return En(En({},h),{},{inputValue:L,menuIsOpen:k,onChange:I,onInputChange:A,onMenuClose:N,onMenuOpen:P,value:j})}var Rn=y(1858),Tn=y(6655),Cn=y(9195),In=y(1167),An=y(2296);function Pn(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Pn=function(){return!!e})()}var Nn=y(3836),Ln=y(7218),kn=y(9089),jn=y(5650),Dn=y(8398),Mn=y.n(Dn);const _n=Math.min,Fn=Math.max,Vn=Math.round,$n=Math.floor,Un=e=>({x:e,y:e}),Bn={left:"right",right:"left",bottom:"top",top:"bottom"},Hn={start:"end",end:"start"};function Wn(e,t,n){return Fn(e,_n(t,n))}function zn(e,t){return"function"==typeof e?e(t):e}function Gn(e){return e.split("-")[0]}function qn(e){return e.split("-")[1]}function Xn(e){return"x"===e?"y":"x"}function Kn(e){return"y"===e?"height":"width"}function Yn(e){return["top","bottom"].includes(Gn(e))?"y":"x"}function Qn(e){return Xn(Yn(e))}function Jn(e){return e.replace(/start|end/g,(e=>Hn[e]))}function Zn(e){return e.replace(/left|right|bottom|top/g,(e=>Bn[e]))}function er(e){return"number"!=typeof e?function(e){return{top:0,right:0,bottom:0,left:0,...e}}(e):{top:e,right:e,bottom:e,left:e}}function tr(e){const{x:t,y:n,width:r,height:o}=e;return{width:r,height:o,top:n,left:t,right:t+r,bottom:n+o,x:t,y:n}}function nr(e,t,n){let{reference:r,floating:o}=e;const i=Yn(t),a=Qn(t),s=Kn(a),l=Gn(t),c="y"===i,u=r.x+r.width/2-o.width/2,d=r.y+r.height/2-o.height/2,p=r[s]/2-o[s]/2;let f;switch(l){case"top":f={x:u,y:r.y-o.height};break;case"bottom":f={x:u,y:r.y+r.height};break;case"right":f={x:r.x+r.width,y:d};break;case"left":f={x:r.x-o.width,y:d};break;default:f={x:r.x,y:r.y}}switch(qn(t)){case"start":f[a]-=p*(n&&c?-1:1);break;case"end":f[a]+=p*(n&&c?-1:1)}return f}async function rr(e,t){var n;void 0===t&&(t={});const{x:r,y:o,platform:i,rects:a,elements:s,strategy:l}=e,{boundary:c="clippingAncestors",rootBoundary:u="viewport",elementContext:d="floating",altBoundary:p=!1,padding:f=0}=zn(t,e),h=er(f),g=s[p?"floating"===d?"reference":"floating":d],m=tr(await i.getClippingRect({element:null==(n=await(null==i.isElement?void 0:i.isElement(g)))||n?g:g.contextElement||await(null==i.getDocumentElement?void 0:i.getDocumentElement(s.floating)),boundary:c,rootBoundary:u,strategy:l})),b="floating"===d?{x:r,y:o,width:a.floating.width,height:a.floating.height}:a.reference,v=await(null==i.getOffsetParent?void 0:i.getOffsetParent(s.floating)),y=await(null==i.isElement?void 0:i.isElement(v))&&await(null==i.getScale?void 0:i.getScale(v))||{x:1,y:1},E=tr(i.convertOffsetParentRelativeRectToViewportRelativeRect?await i.convertOffsetParentRelativeRectToViewportRelativeRect({elements:s,rect:b,offsetParent:v,strategy:l}):b);return{top:(m.top-E.top+h.top)/y.y,bottom:(E.bottom-m.bottom+h.bottom)/y.y,left:(m.left-E.left+h.left)/y.x,right:(E.right-m.right+h.right)/y.x}}function or(){return"undefined"!=typeof window}function ir(e){return lr(e)?(e.nodeName||"").toLowerCase():"#document"}function ar(e){var t;return(null==e||null==(t=e.ownerDocument)?void 0:t.defaultView)||window}function sr(e){var t;return null==(t=(lr(e)?e.ownerDocument:e.document)||window.document)?void 0:t.documentElement}function lr(e){return!!or()&&(e instanceof Node||e instanceof ar(e).Node)}function cr(e){return!!or()&&(e instanceof Element||e instanceof ar(e).Element)}function ur(e){return!!or()&&(e instanceof HTMLElement||e instanceof ar(e).HTMLElement)}function dr(e){return!(!or()||"undefined"==typeof ShadowRoot)&&(e instanceof ShadowRoot||e instanceof ar(e).ShadowRoot)}function pr(e){const{overflow:t,overflowX:n,overflowY:r,display:o}=vr(e);return/auto|scroll|overlay|hidden|clip/.test(t+r+n)&&!["inline","contents"].includes(o)}function fr(e){return["table","td","th"].includes(ir(e))}function hr(e){return[":popover-open",":modal"].some((t=>{try{return e.matches(t)}catch(e){return!1}}))}function gr(e){const t=mr(),n=cr(e)?vr(e):e;return["transform","translate","scale","rotate","perspective"].some((e=>!!n[e]&&"none"!==n[e]))||!!n.containerType&&"normal"!==n.containerType||!t&&!!n.backdropFilter&&"none"!==n.backdropFilter||!t&&!!n.filter&&"none"!==n.filter||["transform","translate","scale","rotate","perspective","filter"].some((e=>(n.willChange||"").includes(e)))||["paint","layout","strict","content"].some((e=>(n.contain||"").includes(e)))}function mr(){return!("undefined"==typeof CSS||!CSS.supports)&&CSS.supports("-webkit-backdrop-filter","none")}function br(e){return["html","body","#document"].includes(ir(e))}function vr(e){return ar(e).getComputedStyle(e)}function yr(e){return cr(e)?{scrollLeft:e.scrollLeft,scrollTop:e.scrollTop}:{scrollLeft:e.scrollX,scrollTop:e.scrollY}}function Er(e){if("html"===ir(e))return e;const t=e.assignedSlot||e.parentNode||dr(e)&&e.host||sr(e);return dr(t)?t.host:t}function Or(e){const t=Er(e);return br(t)?e.ownerDocument?e.ownerDocument.body:e.body:ur(t)&&pr(t)?t:Or(t)}function xr(e,t,n){var r;void 0===t&&(t=[]),void 0===n&&(n=!0);const o=Or(e),i=o===(null==(r=e.ownerDocument)?void 0:r.body),a=ar(o);if(i){const e=function(e){return e.parent&&Object.getPrototypeOf(e.parent)?e.frameElement:null}(a);return t.concat(a,a.visualViewport||[],pr(o)?o:[],e&&n?xr(e):[])}return t.concat(o,xr(o,[],n))}function Sr(e){const t=vr(e);let n=parseFloat(t.width)||0,r=parseFloat(t.height)||0;const o=ur(e),i=o?e.offsetWidth:n,a=o?e.offsetHeight:r,s=Vn(n)!==i||Vn(r)!==a;return s&&(n=i,r=a),{width:n,height:r,$:s}}function wr(e){return cr(e)?e:e.contextElement}function Rr(e){const t=wr(e);if(!ur(t))return Un(1);const n=t.getBoundingClientRect(),{width:r,height:o,$:i}=Sr(t);let a=(i?Vn(n.width):n.width)/r,s=(i?Vn(n.height):n.height)/o;return a&&Number.isFinite(a)||(a=1),s&&Number.isFinite(s)||(s=1),{x:a,y:s}}const Tr=Un(0);function Cr(e){const t=ar(e);return mr()&&t.visualViewport?{x:t.visualViewport.offsetLeft,y:t.visualViewport.offsetTop}:Tr}function Ir(e,t,n,r){void 0===t&&(t=!1),void 0===n&&(n=!1);const o=e.getBoundingClientRect(),i=wr(e);let a=Un(1);t&&(r?cr(r)&&(a=Rr(r)):a=Rr(e));const s=function(e,t,n){return void 0===t&&(t=!1),!(!n||t&&n!==ar(e))&&t}(i,n,r)?Cr(i):Un(0);let l=(o.left+s.x)/a.x,c=(o.top+s.y)/a.y,u=o.width/a.x,d=o.height/a.y;if(i){const e=ar(i),t=r&&cr(r)?ar(r):r;let n=e,o=n.frameElement;for(;o&&r&&t!==n;){const e=Rr(o),t=o.getBoundingClientRect(),r=vr(o),i=t.left+(o.clientLeft+parseFloat(r.paddingLeft))*e.x,a=t.top+(o.clientTop+parseFloat(r.paddingTop))*e.y;l*=e.x,c*=e.y,u*=e.x,d*=e.y,l+=i,c+=a,n=ar(o),o=n.frameElement}}return tr({width:u,height:d,x:l,y:c})}const Ar=[":popover-open",":modal"];function Pr(e){return Ar.some((t=>{try{return e.matches(t)}catch(e){return!1}}))}function Nr(e){return Ir(sr(e)).left+yr(e).scrollLeft}function Lr(e,t,n){let r;if("viewport"===t)r=function(e,t){const n=ar(e),r=sr(e),o=n.visualViewport;let i=r.clientWidth,a=r.clientHeight,s=0,l=0;if(o){i=o.width,a=o.height;const e=mr();(!e||e&&"fixed"===t)&&(s=o.offsetLeft,l=o.offsetTop)}return{width:i,height:a,x:s,y:l}}(e,n);else if("document"===t)r=function(e){const t=sr(e),n=yr(e),r=e.ownerDocument.body,o=Fn(t.scrollWidth,t.clientWidth,r.scrollWidth,r.clientWidth),i=Fn(t.scrollHeight,t.clientHeight,r.scrollHeight,r.clientHeight);let a=-n.scrollLeft+Nr(e);const s=-n.scrollTop;return"rtl"===vr(r).direction&&(a+=Fn(t.clientWidth,r.clientWidth)-o),{width:o,height:i,x:a,y:s}}(sr(e));else if(cr(t))r=function(e,t){const n=Ir(e,!0,"fixed"===t),r=n.top+e.clientTop,o=n.left+e.clientLeft,i=ur(e)?Rr(e):Un(1);return{width:e.clientWidth*i.x,height:e.clientHeight*i.y,x:o*i.x,y:r*i.y}}(t,n);else{const n=Cr(e);r={...t,x:t.x-n.x,y:t.y-n.y}}return tr(r)}function kr(e,t){const n=Er(e);return!(n===t||!cr(n)||br(n))&&("fixed"===vr(n).position||kr(n,t))}function jr(e,t,n){const r=ur(t),o=sr(t),i="fixed"===n,a=Ir(e,!0,i,t);let s={scrollLeft:0,scrollTop:0};const l=Un(0);if(r||!r&&!i)if(("body"!==ir(t)||pr(o))&&(s=yr(t)),r){const e=Ir(t,!0,i,t);l.x=e.x+t.clientLeft,l.y=e.y+t.clientTop}else o&&(l.x=Nr(o));return{x:a.left+s.scrollLeft-l.x,y:a.top+s.scrollTop-l.y,width:a.width,height:a.height}}function Dr(e){return"static"===vr(e).position}function Mr(e,t){return ur(e)&&"fixed"!==vr(e).position?t?t(e):e.offsetParent:null}function _r(e,t){const n=ar(e);if(Pr(e))return n;if(!ur(e)){let t=Er(e);for(;t&&!br(t);){if(cr(t)&&!Dr(t))return t;t=Er(t)}return n}let r=Mr(e,t);for(;r&&fr(r)&&Dr(r);)r=Mr(r,t);return r&&br(r)&&Dr(r)&&!gr(r)?n:r||function(e){let t=Er(e);for(;ur(t)&&!br(t);){if(gr(t))return t;if(hr(t))return null;t=Er(t)}return null}(e)||n}const Fr={convertOffsetParentRelativeRectToViewportRelativeRect:function(e){let{elements:t,rect:n,offsetParent:r,strategy:o}=e;const i="fixed"===o,a=sr(r),s=!!t&&Pr(t.floating);if(r===a||s&&i)return n;let l={scrollLeft:0,scrollTop:0},c=Un(1);const u=Un(0),d=ur(r);if((d||!d&&!i)&&(("body"!==ir(r)||pr(a))&&(l=yr(r)),ur(r))){const e=Ir(r);c=Rr(r),u.x=e.x+r.clientLeft,u.y=e.y+r.clientTop}return{width:n.width*c.x,height:n.height*c.y,x:n.x*c.x-l.scrollLeft*c.x+u.x,y:n.y*c.y-l.scrollTop*c.y+u.y}},getDocumentElement:sr,getClippingRect:function(e){let{element:t,boundary:n,rootBoundary:r,strategy:o}=e;const i=[..."clippingAncestors"===n?Pr(t)?[]:function(e,t){const n=t.get(e);if(n)return n;let r=xr(e,[],!1).filter((e=>cr(e)&&"body"!==ir(e))),o=null;const i="fixed"===vr(e).position;let a=i?Er(e):e;for(;cr(a)&&!br(a);){const t=vr(a),n=gr(a);n||"fixed"!==t.position||(o=null),(i?!n&&!o:!n&&"static"===t.position&&o&&["absolute","fixed"].includes(o.position)||pr(a)&&!n&&kr(e,a))?r=r.filter((e=>e!==a)):o=t,a=Er(a)}return t.set(e,r),r}(t,this._c):[].concat(n),r],a=i[0],s=i.reduce(((e,n)=>{const r=Lr(t,n,o);return e.top=Fn(r.top,e.top),e.right=_n(r.right,e.right),e.bottom=_n(r.bottom,e.bottom),e.left=Fn(r.left,e.left),e}),Lr(t,a,o));return{width:s.right-s.left,height:s.bottom-s.top,x:s.left,y:s.top}},getOffsetParent:_r,getElementRects:async function(e){const t=this.getOffsetParent||_r,n=this.getDimensions,r=await n(e.floating);return{reference:jr(e.reference,await t(e.floating),e.strategy),floating:{x:0,y:0,width:r.width,height:r.height}}},getClientRects:function(e){return Array.from(e.getClientRects())},getDimensions:function(e){const{width:t,height:n}=Sr(e);return{width:t,height:n}},getScale:Rr,isElement:cr,isRTL:function(e){return"rtl"===vr(e).direction}};function Vr(e,t,n,r){void 0===r&&(r={});const{ancestorScroll:o=!0,ancestorResize:i=!0,elementResize:a="function"==typeof ResizeObserver,layoutShift:s="function"==typeof IntersectionObserver,animationFrame:l=!1}=r,c=wr(e),u=o||i?[...c?xr(c):[],...xr(t)]:[];u.forEach((e=>{o&&e.addEventListener("scroll",n,{passive:!0}),i&&e.addEventListener("resize",n)}));const d=c&&s?function(e,t){let n,r=null;const o=sr(e);function i(){var e;clearTimeout(n),null==(e=r)||e.disconnect(),r=null}return function a(s,l){void 0===s&&(s=!1),void 0===l&&(l=1),i();const{left:c,top:u,width:d,height:p}=e.getBoundingClientRect();if(s||t(),!d||!p)return;const f={rootMargin:-$n(u)+"px "+-$n(o.clientWidth-(c+d))+"px "+-$n(o.clientHeight-(u+p))+"px "+-$n(c)+"px",threshold:Fn(0,_n(1,l))||1};let h=!0;function g(e){const t=e[0].intersectionRatio;if(t!==l){if(!h)return a();t?a(!1,t):n=setTimeout((()=>{a(!1,1e-7)}),1e3)}h=!1}try{r=new IntersectionObserver(g,{...f,root:o.ownerDocument})}catch(e){r=new IntersectionObserver(g,f)}r.observe(e)}(!0),i}(c,n):null;let p,f=-1,h=null;a&&(h=new ResizeObserver((e=>{let[r]=e;r&&r.target===c&&h&&(h.unobserve(t),cancelAnimationFrame(f),f=requestAnimationFrame((()=>{var e;null==(e=h)||e.observe(t)}))),n()})),c&&!l&&h.observe(c),h.observe(t));let g=l?Ir(e):null;return l&&function t(){const r=Ir(e);!g||r.x===g.x&&r.y===g.y&&r.width===g.width&&r.height===g.height||n(),g=r,p=requestAnimationFrame(t)}(),n(),()=>{var e;u.forEach((e=>{o&&e.removeEventListener("scroll",n),i&&e.removeEventListener("resize",n)})),null==d||d(),null==(e=h)||e.disconnect(),h=null,l&&cancelAnimationFrame(p)}}const $r=function(e){return void 0===e&&(e=0),{name:"offset",options:e,async fn(t){var n,r;const{x:o,y:i,placement:a,middlewareData:s}=t,l=await async function(e,t){const{placement:n,platform:r,elements:o}=e,i=await(null==r.isRTL?void 0:r.isRTL(o.floating)),a=Gn(n),s=qn(n),l="y"===Yn(n),c=["left","top"].includes(a)?-1:1,u=i&&l?-1:1,d=zn(t,e);let{mainAxis:p,crossAxis:f,alignmentAxis:h}="number"==typeof d?{mainAxis:d,crossAxis:0,alignmentAxis:null}:{mainAxis:0,crossAxis:0,alignmentAxis:null,...d};return s&&"number"==typeof h&&(f="end"===s?-1*h:h),l?{x:f*u,y:p*c}:{x:p*c,y:f*u}}(t,e);return a===(null==(n=s.offset)?void 0:n.placement)&&null!=(r=s.arrow)&&r.alignmentOffset?{}:{x:o+l.x,y:i+l.y,data:{...l,placement:a}}}}},Ur=function(e){return void 0===e&&(e={}),{name:"shift",options:e,async fn(t){const{x:n,y:r,placement:o}=t,{mainAxis:i=!0,crossAxis:a=!1,limiter:s={fn:e=>{let{x:t,y:n}=e;return{x:t,y:n}}},...l}=zn(e,t),c={x:n,y:r},u=await rr(t,l),d=Yn(Gn(o)),p=Xn(d);let f=c[p],h=c[d];if(i){const e="y"===p?"bottom":"right";f=Wn(f+u["y"===p?"top":"left"],f,f-u[e])}if(a){const e="y"===d?"bottom":"right";h=Wn(h+u["y"===d?"top":"left"],h,h-u[e])}const g=s.fn({...t,[p]:f,[d]:h});return{...g,data:{x:g.x-n,y:g.y-r}}}}},Br=function(e){return void 0===e&&(e={}),{name:"flip",options:e,async fn(t){var n,r;const{placement:o,middlewareData:i,rects:a,initialPlacement:s,platform:l,elements:c}=t,{mainAxis:u=!0,crossAxis:d=!0,fallbackPlacements:p,fallbackStrategy:f="bestFit",fallbackAxisSideDirection:h="none",flipAlignment:g=!0,...m}=zn(e,t);if(null!=(n=i.arrow)&&n.alignmentOffset)return{};const b=Gn(o),v=Gn(s)===s,y=await(null==l.isRTL?void 0:l.isRTL(c.floating)),E=p||(v||!g?[Zn(s)]:function(e){const t=Zn(e);return[Jn(e),t,Jn(t)]}(s));p||"none"===h||E.push(...function(e,t,n,r){const o=qn(e);let i=function(e,t,n){const r=["left","right"],o=["right","left"],i=["top","bottom"],a=["bottom","top"];switch(e){case"top":case"bottom":return n?t?o:r:t?r:o;case"left":case"right":return t?i:a;default:return[]}}(Gn(e),"start"===n,r);return o&&(i=i.map((e=>e+"-"+o)),t&&(i=i.concat(i.map(Jn)))),i}(s,g,h,y));const O=[s,...E],x=await rr(t,m),S=[];let w=(null==(r=i.flip)?void 0:r.overflows)||[];if(u&&S.push(x[b]),d){const e=function(e,t,n){void 0===n&&(n=!1);const r=qn(e),o=Qn(e),i=Kn(o);let a="x"===o?r===(n?"end":"start")?"right":"left":"start"===r?"bottom":"top";return t.reference[i]>t.floating[i]&&(a=Zn(a)),[a,Zn(a)]}(o,a,y);S.push(x[e[0]],x[e[1]])}if(w=[...w,{placement:o,overflows:S}],!S.every((e=>e<=0))){var R,T;const e=((null==(R=i.flip)?void 0:R.index)||0)+1,t=O[e];if(t)return{data:{index:e,overflows:w},reset:{placement:t}};let n=null==(T=w.filter((e=>e.overflows[0]<=0)).sort(((e,t)=>e.overflows[1]-t.overflows[1]))[0])?void 0:T.placement;if(!n)switch(f){case"bestFit":{var C;const e=null==(C=w.map((e=>[e.placement,e.overflows.filter((e=>e>0)).reduce(((e,t)=>e+t),0)])).sort(((e,t)=>e[1]-t[1]))[0])?void 0:C[0];e&&(n=e);break}case"initialPlacement":n=s}if(o!==n)return{reset:{placement:n}}}return{}}}},Hr=e=>({name:"arrow",options:e,async fn(t){const{x:n,y:r,placement:o,rects:i,platform:a,elements:s,middlewareData:l}=t,{element:c,padding:u=0}=zn(e,t)||{};if(null==c)return{};const d=er(u),p={x:n,y:r},f=Qn(o),h=Kn(f),g=await a.getDimensions(c),m="y"===f,b=m?"top":"left",v=m?"bottom":"right",y=m?"clientHeight":"clientWidth",E=i.reference[h]+i.reference[f]-p[f]-i.floating[h],O=p[f]-i.reference[f],x=await(null==a.getOffsetParent?void 0:a.getOffsetParent(c));let S=x?x[y]:0;S&&await(null==a.isElement?void 0:a.isElement(x))||(S=s.floating[y]||i.floating[h]);const w=E/2-O/2,R=S/2-g[h]/2-1,T=_n(d[b],R),C=_n(d[v],R),I=T,A=S-g[h]-C,P=S/2-g[h]/2+w,N=Wn(I,P,A),L=!l.arrow&&null!=qn(o)&&P!==N&&i.reference[h]/2-(P<I?T:C)-g[h]/2<0,k=L?P<I?P-I:P-A:0;return{[f]:p[f]+k,data:{[f]:N,centerOffset:P-N-k,...L&&{alignmentOffset:k}},reset:L}}}),Wr=(e,t,n)=>{const r=new Map,o={platform:Fr,...n},i={...o.platform,_c:r};return(async(e,t,n)=>{const{placement:r="bottom",strategy:o="absolute",middleware:i=[],platform:a}=n,s=i.filter(Boolean),l=await(null==a.isRTL?void 0:a.isRTL(t));let c=await a.getElementRects({reference:e,floating:t,strategy:o}),{x:u,y:d}=nr(c,r,l),p=r,f={},h=0;for(let n=0;n<s.length;n++){const{name:i,fn:g}=s[n],{x:m,y:b,data:v,reset:y}=await g({x:u,y:d,initialPlacement:r,placement:p,strategy:o,middlewareData:f,rects:c,platform:a,elements:{reference:e,floating:t}});u=null!=m?m:u,d=null!=b?b:d,f={...f,[i]:{...f[i],...v}},y&&h<=50&&(h++,"object"==typeof y&&(y.placement&&(p=y.placement),y.rects&&(c=!0===y.rects?await a.getElementRects({reference:e,floating:t,strategy:o}):y.rects),({x:u,y:d}=nr(c,p,l))),n=-1)}return{x:u,y:d,placement:p,strategy:o,middlewareData:f}})(e,t,{...o,platform:i})};var zr=g.useLayoutEffect,Gr=["className","clearValue","cx","getStyles","getClassNames","getValue","hasValue","isMulti","isRtl","options","selectOption","selectProps","setValue","theme"],qr=function(){};function Xr(e,t){return t?"-"===t[0]?e+t:e+"__"+t:e}function Kr(e,t){for(var n=arguments.length,r=new Array(n>2?n-2:0),o=2;o<n;o++)r[o-2]=arguments[o];var i=[].concat(r);if(t&&e)for(var a in t)t.hasOwnProperty(a)&&t[a]&&i.push("".concat(Xr(e,a)));return i.filter((function(e){return e})).map((function(e){return String(e).trim()})).join(" ")}var Yr=function(e){return t=e,Array.isArray(t)?e.filter(Boolean):"object"===(0,jn.A)(e)&&null!==e?[e]:[];var t},Qr=function(e){return e.className,e.clearValue,e.cx,e.getStyles,e.getClassNames,e.getValue,e.hasValue,e.isMulti,e.isRtl,e.options,e.selectOption,e.selectProps,e.setValue,e.theme,En({},(0,xn.A)(e,Gr))},Jr=function(e,t,n){var r=e.cx,o=e.getStyles,i=e.getClassNames,a=e.className;return{css:o(t,e),className:r(null!=n?n:{},i(t,e),a)}};function Zr(e){return[document.documentElement,document.body,window].indexOf(e)>-1}function eo(e){return Zr(e)?window.pageYOffset:e.scrollTop}function to(e,t){Zr(e)?window.scrollTo(0,t):e.scrollTop=t}function no(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:200,r=arguments.length>3&&void 0!==arguments[3]?arguments[3]:qr,o=eo(e),i=t-o,a=0;!function t(){var s=function(e,t,n,r){return n*((e=e/r-1)*e*e+1)+t}(a+=10,o,i,n);to(e,s),a<n?window.requestAnimationFrame(t):r(e)}()}function ro(e,t){var n=e.getBoundingClientRect(),r=t.getBoundingClientRect(),o=t.offsetHeight/3;r.bottom+o>n.bottom?to(e,Math.min(t.offsetTop+t.clientHeight-e.offsetHeight+o,e.scrollHeight)):r.top-o<n.top&&to(e,Math.max(t.offsetTop-o,0))}function oo(){try{return document.createEvent("TouchEvent"),!0}catch(e){return!1}}var io=!1,ao={get passive(){return io=!0}},so="undefined"!=typeof window?window:{};so.addEventListener&&so.removeEventListener&&(so.addEventListener("p",qr,ao),so.removeEventListener("p",qr,!1));var lo=io;function co(e){return null!=e}function uo(e,t,n){return e?t:n}var po=["children","innerProps"],fo=["children","innerProps"];var ho,go=function(e){return"auto"===e?"bottom":e},mo=(0,g.createContext)(null),bo=function(e){var t=e.children,n=e.minMenuHeight,r=e.maxMenuHeight,o=e.menuPlacement,i=e.menuPosition,a=e.menuShouldScrollIntoView,s=e.theme,l=((0,g.useContext)(mo)||{}).setPortalPlacement,c=(0,g.useRef)(null),u=(0,g.useState)(r),d=(0,On.A)(u,2),p=d[0],f=d[1],h=(0,g.useState)(null),m=(0,On.A)(h,2),b=m[0],v=m[1],y=s.spacing.controlHeight;return zr((function(){var e=c.current;if(e){var t="fixed"===i,s=function(e){var t=e.maxHeight,n=e.menuEl,r=e.minHeight,o=e.placement,i=e.shouldScroll,a=e.isFixedPosition,s=e.controlHeight,l=function(e){var t=getComputedStyle(e),n="absolute"===t.position,r=/(auto|scroll)/;if("fixed"===t.position)return document.documentElement;for(var o=e;o=o.parentElement;)if(t=getComputedStyle(o),(!n||"static"!==t.position)&&r.test(t.overflow+t.overflowY+t.overflowX))return o;return document.documentElement}(n),c={placement:"bottom",maxHeight:t};if(!n||!n.offsetParent)return c;var u,d=l.getBoundingClientRect().height,p=n.getBoundingClientRect(),f=p.bottom,h=p.height,g=p.top,m=n.offsetParent.getBoundingClientRect().top,b=a||Zr(u=l)?window.innerHeight:u.clientHeight,v=eo(l),y=parseInt(getComputedStyle(n).marginBottom,10),E=parseInt(getComputedStyle(n).marginTop,10),O=m-E,x=b-g,S=O+v,w=d-v-g,R=f-b+v+y,T=v+g-E,C=160;switch(o){case"auto":case"bottom":if(x>=h)return{placement:"bottom",maxHeight:t};if(w>=h&&!a)return i&&no(l,R,C),{placement:"bottom",maxHeight:t};if(!a&&w>=r||a&&x>=r)return i&&no(l,R,C),{placement:"bottom",maxHeight:a?x-y:w-y};if("auto"===o||a){var I=t,A=a?O:S;return A>=r&&(I=Math.min(A-y-s,t)),{placement:"top",maxHeight:I}}if("bottom"===o)return i&&to(l,R),{placement:"bottom",maxHeight:t};break;case"top":if(O>=h)return{placement:"top",maxHeight:t};if(S>=h&&!a)return i&&no(l,T,C),{placement:"top",maxHeight:t};if(!a&&S>=r||a&&O>=r){var P=t;return(!a&&S>=r||a&&O>=r)&&(P=a?O-E:S-E),i&&no(l,T,C),{placement:"top",maxHeight:P}}return{placement:"bottom",maxHeight:t};default:throw new Error('Invalid placement provided "'.concat(o,'".'))}return c}({maxHeight:r,menuEl:e,minHeight:n,placement:o,shouldScroll:a&&!t,isFixedPosition:t,controlHeight:y});f(s.maxHeight),v(s.placement),null==l||l(s.placement)}}),[r,o,i,a,n,l,y]),t({ref:c,placerProps:En(En({},e),{},{placement:b||go(o),maxHeight:p})})},vo=function(e,t){var n=e.theme,r=n.spacing.baseUnit,o=n.colors;return En({textAlign:"center"},t?{}:{color:o.neutral40,padding:"".concat(2*r,"px ").concat(3*r,"px")})},yo=vo,Eo=vo,Oo=["size"],xo=["innerProps","isRtl","size"],So={name:"8mmkcg",styles:"display:inline-block;fill:currentColor;line-height:1;stroke:currentColor;stroke-width:0"},wo=function(e){var t=e.size,n=(0,xn.A)(e,Oo);return(0,kn.jsx)("svg",(0,Rn.A)({height:t,width:t,viewBox:"0 0 20 20","aria-hidden":"true",focusable:"false",css:So},n))},Ro=function(e){return(0,kn.jsx)(wo,(0,Rn.A)({size:20},e),(0,kn.jsx)("path",{d:"M14.348 14.849c-0.469 0.469-1.229 0.469-1.697 0l-2.651-3.030-2.651 3.029c-0.469 0.469-1.229 0.469-1.697 0-0.469-0.469-0.469-1.229 0-1.697l2.758-3.15-2.759-3.152c-0.469-0.469-0.469-1.228 0-1.697s1.228-0.469 1.697 0l2.652 3.031 2.651-3.031c0.469-0.469 1.228-0.469 1.697 0s0.469 1.229 0 1.697l-2.758 3.152 2.758 3.15c0.469 0.469 0.469 1.229 0 1.698z"}))},To=function(e){return(0,kn.jsx)(wo,(0,Rn.A)({size:20},e),(0,kn.jsx)("path",{d:"M4.516 7.548c0.436-0.446 1.043-0.481 1.576 0l3.908 3.747 3.908-3.747c0.533-0.481 1.141-0.446 1.574 0 0.436 0.445 0.408 1.197 0 1.615-0.406 0.418-4.695 4.502-4.695 4.502-0.217 0.223-0.502 0.335-0.787 0.335s-0.57-0.112-0.789-0.335c0 0-4.287-4.084-4.695-4.502s-0.436-1.17 0-1.615z"}))},Co=function(e,t){var n=e.isFocused,r=e.theme,o=r.spacing.baseUnit,i=r.colors;return En({label:"indicatorContainer",display:"flex",transition:"color 150ms"},t?{}:{color:n?i.neutral60:i.neutral20,padding:2*o,":hover":{color:n?i.neutral80:i.neutral40}})},Io=Co,Ao=Co,Po=(0,kn.keyframes)(ho||(ho=function(e,t){return t||(t=e.slice(0)),Object.freeze(Object.defineProperties(e,{raw:{value:Object.freeze(t)}}))}(["\n  0%, 80%, 100% { opacity: 0; }\n  40% { opacity: 1; }\n"]))),No=function(e){var t=e.delay,n=e.offset;return(0,kn.jsx)("span",{css:(0,kn.css)({animation:"".concat(Po," 1s ease-in-out ").concat(t,"ms infinite;"),backgroundColor:"currentColor",borderRadius:"1em",display:"inline-block",marginLeft:n?"1em":void 0,height:"1em",verticalAlign:"top",width:"1em"},"","")})},Lo=["data"],ko=["innerRef","isDisabled","isHidden","inputClassName"],jo={gridArea:"1 / 2",font:"inherit",minWidth:"2px",border:0,margin:0,outline:0,padding:0},Do={flex:"1 1 auto",display:"inline-grid",gridArea:"1 / 1 / 2 / 3",gridTemplateColumns:"0 min-content","&:after":En({content:'attr(data-value) " "',visibility:"hidden",whiteSpace:"pre"},jo)},Mo=function(e){return En({label:"input",color:"inherit",background:0,opacity:e?0:1,width:"100%"},jo)},_o=function(e){var t=e.children,n=e.innerProps;return(0,kn.jsx)("div",n,t)},Fo={ClearIndicator:function(e){var t=e.children,n=e.innerProps;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"clearIndicator",{indicator:!0,"clear-indicator":!0}),n),t||(0,kn.jsx)(Ro,null))},Control:function(e){var t=e.children,n=e.isDisabled,r=e.isFocused,o=e.innerRef,i=e.innerProps,a=e.menuIsOpen;return(0,kn.jsx)("div",(0,Rn.A)({ref:o},Jr(e,"control",{control:!0,"control--is-disabled":n,"control--is-focused":r,"control--menu-is-open":a}),i,{"aria-disabled":n||void 0}),t)},DropdownIndicator:function(e){var t=e.children,n=e.innerProps;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"dropdownIndicator",{indicator:!0,"dropdown-indicator":!0}),n),t||(0,kn.jsx)(To,null))},DownChevron:To,CrossIcon:Ro,Group:function(e){var t=e.children,n=e.cx,r=e.getStyles,o=e.getClassNames,i=e.Heading,a=e.headingProps,s=e.innerProps,l=e.label,c=e.theme,u=e.selectProps;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"group",{group:!0}),s),(0,kn.jsx)(i,(0,Rn.A)({},a,{selectProps:u,theme:c,getStyles:r,getClassNames:o,cx:n}),l),(0,kn.jsx)("div",null,t))},GroupHeading:function(e){var t=Qr(e);t.data;var n=(0,xn.A)(t,Lo);return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"groupHeading",{"group-heading":!0}),n))},IndicatorsContainer:function(e){var t=e.children,n=e.innerProps;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"indicatorsContainer",{indicators:!0}),n),t)},IndicatorSeparator:function(e){var t=e.innerProps;return(0,kn.jsx)("span",(0,Rn.A)({},t,Jr(e,"indicatorSeparator",{"indicator-separator":!0})))},Input:function(e){var t=e.cx,n=e.value,r=Qr(e),o=r.innerRef,i=r.isDisabled,a=r.isHidden,s=r.inputClassName,l=(0,xn.A)(r,ko);return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"input",{"input-container":!0}),{"data-value":n||""}),(0,kn.jsx)("input",(0,Rn.A)({className:t({input:!0},s),ref:o,style:Mo(a),disabled:i},l)))},LoadingIndicator:function(e){var t=e.innerProps,n=e.isRtl,r=e.size,o=void 0===r?4:r,i=(0,xn.A)(e,xo);return(0,kn.jsx)("div",(0,Rn.A)({},Jr(En(En({},i),{},{innerProps:t,isRtl:n,size:o}),"loadingIndicator",{indicator:!0,"loading-indicator":!0}),t),(0,kn.jsx)(No,{delay:0,offset:n}),(0,kn.jsx)(No,{delay:160,offset:!0}),(0,kn.jsx)(No,{delay:320,offset:!n}))},Menu:function(e){var t=e.children,n=e.innerRef,r=e.innerProps;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"menu",{menu:!0}),{ref:n},r),t)},MenuList:function(e){var t=e.children,n=e.innerProps,r=e.innerRef,o=e.isMulti;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"menuList",{"menu-list":!0,"menu-list--is-multi":o}),{ref:r},n),t)},MenuPortal:function(e){var t=e.appendTo,n=e.children,r=e.controlElement,o=e.innerProps,i=e.menuPlacement,a=e.menuPosition,s=(0,g.useRef)(null),l=(0,g.useRef)(null),c=(0,g.useState)(go(i)),u=(0,On.A)(c,2),d=u[0],p=u[1],f=(0,g.useMemo)((function(){return{setPortalPlacement:p}}),[]),h=(0,g.useState)(null),m=(0,On.A)(h,2),b=m[0],v=m[1],y=(0,g.useCallback)((function(){if(r){var e=function(e){var t=e.getBoundingClientRect();return{bottom:t.bottom,height:t.height,left:t.left,right:t.right,top:t.top,width:t.width}}(r),t="fixed"===a?0:window.pageYOffset,n=e[d]+t;n===(null==b?void 0:b.offset)&&e.left===(null==b?void 0:b.rect.left)&&e.width===(null==b?void 0:b.rect.width)||v({offset:n,rect:e})}}),[r,a,d,null==b?void 0:b.offset,null==b?void 0:b.rect.left,null==b?void 0:b.rect.width]);zr((function(){y()}),[y]);var E=(0,g.useCallback)((function(){"function"==typeof l.current&&(l.current(),l.current=null),r&&s.current&&(l.current=Vr(r,s.current,y,{elementResize:"ResizeObserver"in window}))}),[r,y]);zr((function(){E()}),[E]);var O=(0,g.useCallback)((function(e){s.current=e,E()}),[E]);if(!t&&"fixed"!==a||!b)return null;var x=(0,kn.jsx)("div",(0,Rn.A)({ref:O},Jr(En(En({},e),{},{offset:b.offset,position:a,rect:b.rect}),"menuPortal",{"menu-portal":!0}),o),n);return(0,kn.jsx)(mo.Provider,{value:f},t?(0,Dn.createPortal)(x,t):x)},LoadingMessage:function(e){var t=e.children,n=void 0===t?"Loading...":t,r=e.innerProps,o=(0,xn.A)(e,fo);return(0,kn.jsx)("div",(0,Rn.A)({},Jr(En(En({},o),{},{children:n,innerProps:r}),"loadingMessage",{"menu-notice":!0,"menu-notice--loading":!0}),r),n)},NoOptionsMessage:function(e){var t=e.children,n=void 0===t?"No options":t,r=e.innerProps,o=(0,xn.A)(e,po);return(0,kn.jsx)("div",(0,Rn.A)({},Jr(En(En({},o),{},{children:n,innerProps:r}),"noOptionsMessage",{"menu-notice":!0,"menu-notice--no-options":!0}),r),n)},MultiValue:function(e){var t=e.children,n=e.components,r=e.data,o=e.innerProps,i=e.isDisabled,a=e.removeProps,s=e.selectProps,l=n.Container,c=n.Label,u=n.Remove;return(0,kn.jsx)(l,{data:r,innerProps:En(En({},Jr(e,"multiValue",{"multi-value":!0,"multi-value--is-disabled":i})),o),selectProps:s},(0,kn.jsx)(c,{data:r,innerProps:En({},Jr(e,"multiValueLabel",{"multi-value__label":!0})),selectProps:s},t),(0,kn.jsx)(u,{data:r,innerProps:En(En({},Jr(e,"multiValueRemove",{"multi-value__remove":!0})),{},{"aria-label":"Remove ".concat(t||"option")},a),selectProps:s}))},MultiValueContainer:_o,MultiValueLabel:_o,MultiValueRemove:function(e){var t=e.children,n=e.innerProps;return(0,kn.jsx)("div",(0,Rn.A)({role:"button"},n),t||(0,kn.jsx)(Ro,{size:14}))},Option:function(e){var t=e.children,n=e.isDisabled,r=e.isFocused,o=e.isSelected,i=e.innerRef,a=e.innerProps;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"option",{option:!0,"option--is-disabled":n,"option--is-focused":r,"option--is-selected":o}),{ref:i,"aria-disabled":n},a),t)},Placeholder:function(e){var t=e.children,n=e.innerProps;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"placeholder",{placeholder:!0}),n),t)},SelectContainer:function(e){var t=e.children,n=e.innerProps,r=e.isDisabled,o=e.isRtl;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"container",{"--is-disabled":r,"--is-rtl":o}),n),t)},SingleValue:function(e){var t=e.children,n=e.isDisabled,r=e.innerProps;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"singleValue",{"single-value":!0,"single-value--is-disabled":n}),r),t)},ValueContainer:function(e){var t=e.children,n=e.innerProps,r=e.isMulti,o=e.hasValue;return(0,kn.jsx)("div",(0,Rn.A)({},Jr(e,"valueContainer",{"value-container":!0,"value-container--is-multi":r,"value-container--has-value":o}),n),t)}},Vo=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function $o(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(!((r=e[n])===(o=t[n])||Vo(r)&&Vo(o)))return!1;var r,o;return!0}for(var Uo={name:"7pg0cj-a11yText",styles:"label:a11yText;z-index:9999;border:0;clip:rect(1px, 1px, 1px, 1px);height:1px;width:1px;position:absolute;overflow:hidden;padding:0;white-space:nowrap"},Bo=function(e){return(0,kn.jsx)("span",(0,Rn.A)({css:Uo},e))},Ho={guidance:function(e){var t=e.isSearchable,n=e.isMulti,r=e.tabSelectsValue,o=e.context,i=e.isInitialFocus;switch(o){case"menu":return"Use Up and Down to choose options, press Enter to select the currently focused option, press Escape to exit the menu".concat(r?", press Tab to select the option and exit the menu":"",".");case"input":return i?"".concat(e["aria-label"]||"Select"," is focused ").concat(t?",type to refine list":"",", press Down to open the menu, ").concat(n?" press left to focus selected values":""):"";case"value":return"Use left and right to toggle between focused values, press Backspace to remove the currently focused value";default:return""}},onChange:function(e){var t=e.action,n=e.label,r=void 0===n?"":n,o=e.labels,i=e.isDisabled;switch(t){case"deselect-option":case"pop-value":case"remove-value":return"option ".concat(r,", deselected.");case"clear":return"All selected options have been cleared.";case"initial-input-focus":return"option".concat(o.length>1?"s":""," ").concat(o.join(","),", selected.");case"select-option":return"option ".concat(r,i?" is disabled. Select another option.":", selected.");default:return""}},onFocus:function(e){var t=e.context,n=e.focused,r=e.options,o=e.label,i=void 0===o?"":o,a=e.selectValue,s=e.isDisabled,l=e.isSelected,c=e.isAppleDevice,u=function(e,t){return e&&e.length?"".concat(e.indexOf(t)+1," of ").concat(e.length):""};if("value"===t&&a)return"value ".concat(i," focused, ").concat(u(a,n),".");if("menu"===t&&c){var d=s?" disabled":"",p="".concat(l?" selected":"").concat(d);return"".concat(i).concat(p,", ").concat(u(r,n),".")}return""},onFilter:function(e){var t=e.inputValue,n=e.resultsMessage;return"".concat(n).concat(t?" for search term "+t:"",".")}},Wo=function(e){var t=e.ariaSelection,n=e.focusedOption,r=e.focusedValue,o=e.focusableOptions,i=e.isFocused,a=e.selectValue,s=e.selectProps,l=e.id,c=e.isAppleDevice,u=s.ariaLiveMessages,d=s.getOptionLabel,p=s.inputValue,f=s.isMulti,h=s.isOptionDisabled,m=s.isSearchable,b=s.menuIsOpen,v=s.options,y=s.screenReaderStatus,E=s.tabSelectsValue,O=s.isLoading,x=s["aria-label"],S=s["aria-live"],w=(0,g.useMemo)((function(){return En(En({},Ho),u||{})}),[u]),R=(0,g.useMemo)((function(){var e,n="";if(t&&w.onChange){var r=t.option,o=t.options,i=t.removedValue,s=t.removedValues,l=t.value,c=i||r||(e=l,Array.isArray(e)?null:e),u=c?d(c):"",p=o||s||void 0,f=p?p.map(d):[],g=En({isDisabled:c&&h(c,a),label:u,labels:f},t);n=w.onChange(g)}return n}),[t,w,h,a,d]),T=(0,g.useMemo)((function(){var e="",t=n||r,i=!!(n&&a&&a.includes(n));if(t&&w.onFocus){var s={focused:t,label:d(t),isDisabled:h(t,a),isSelected:i,options:o,context:t===n?"menu":"value",selectValue:a,isAppleDevice:c};e=w.onFocus(s)}return e}),[n,r,d,h,w,o,a,c]),C=(0,g.useMemo)((function(){var e="";if(b&&v.length&&!O&&w.onFilter){var t=y({count:o.length});e=w.onFilter({inputValue:p,resultsMessage:t})}return e}),[o,p,b,w,v,y,O]),I="initial-input-focus"===(null==t?void 0:t.action),A=(0,g.useMemo)((function(){var e="";if(w.guidance){var t=r?"value":b?"menu":"input";e=w.guidance({"aria-label":x,context:t,isDisabled:n&&h(n,a),isMulti:f,isSearchable:m,tabSelectsValue:E,isInitialFocus:I})}return e}),[x,n,r,f,h,m,b,w,a,E,I]),P=(0,kn.jsx)(g.Fragment,null,(0,kn.jsx)("span",{id:"aria-selection"},R),(0,kn.jsx)("span",{id:"aria-focused"},T),(0,kn.jsx)("span",{id:"aria-results"},C),(0,kn.jsx)("span",{id:"aria-guidance"},A));return(0,kn.jsx)(g.Fragment,null,(0,kn.jsx)(Bo,{id:l},I&&P),(0,kn.jsx)(Bo,{"aria-live":S,"aria-atomic":"false","aria-relevant":"additions text",role:"log"},i&&!I&&P))},zo=[{base:"A",letters:"AⒶＡÀÁÂẦẤẪẨÃĀĂẰẮẴẲȦǠÄǞẢÅǺǍȀȂẠẬẶḀĄȺⱯ"},{base:"AA",letters:"Ꜳ"},{base:"AE",letters:"ÆǼǢ"},{base:"AO",letters:"Ꜵ"},{base:"AU",letters:"Ꜷ"},{base:"AV",letters:"ꜸꜺ"},{base:"AY",letters:"Ꜽ"},{base:"B",letters:"BⒷＢḂḄḆɃƂƁ"},{base:"C",letters:"CⒸＣĆĈĊČÇḈƇȻꜾ"},{base:"D",letters:"DⒹＤḊĎḌḐḒḎĐƋƊƉꝹ"},{base:"DZ",letters:"ǱǄ"},{base:"Dz",letters:"ǲǅ"},{base:"E",letters:"EⒺＥÈÉÊỀẾỄỂẼĒḔḖĔĖËẺĚȄȆẸỆȨḜĘḘḚƐƎ"},{base:"F",letters:"FⒻＦḞƑꝻ"},{base:"G",letters:"GⒼＧǴĜḠĞĠǦĢǤƓꞠꝽꝾ"},{base:"H",letters:"HⒽＨĤḢḦȞḤḨḪĦⱧⱵꞍ"},{base:"I",letters:"IⒾＩÌÍÎĨĪĬİÏḮỈǏȈȊỊĮḬƗ"},{base:"J",letters:"JⒿＪĴɈ"},{base:"K",letters:"KⓀＫḰǨḲĶḴƘⱩꝀꝂꝄꞢ"},{base:"L",letters:"LⓁＬĿĹĽḶḸĻḼḺŁȽⱢⱠꝈꝆꞀ"},{base:"LJ",letters:"Ǉ"},{base:"Lj",letters:"ǈ"},{base:"M",letters:"MⓂＭḾṀṂⱮƜ"},{base:"N",letters:"NⓃＮǸŃÑṄŇṆŅṊṈȠƝꞐꞤ"},{base:"NJ",letters:"Ǌ"},{base:"Nj",letters:"ǋ"},{base:"O",letters:"OⓄＯÒÓÔỒỐỖỔÕṌȬṎŌṐṒŎȮȰÖȪỎŐǑȌȎƠỜỚỠỞỢỌỘǪǬØǾƆƟꝊꝌ"},{base:"OI",letters:"Ƣ"},{base:"OO",letters:"Ꝏ"},{base:"OU",letters:"Ȣ"},{base:"P",letters:"PⓅＰṔṖƤⱣꝐꝒꝔ"},{base:"Q",letters:"QⓆＱꝖꝘɊ"},{base:"R",letters:"RⓇＲŔṘŘȐȒṚṜŖṞɌⱤꝚꞦꞂ"},{base:"S",letters:"SⓈＳẞŚṤŜṠŠṦṢṨȘŞⱾꞨꞄ"},{base:"T",letters:"TⓉＴṪŤṬȚŢṰṮŦƬƮȾꞆ"},{base:"TZ",letters:"Ꜩ"},{base:"U",letters:"UⓊＵÙÚÛŨṸŪṺŬÜǛǗǕǙỦŮŰǓȔȖƯỪỨỮỬỰỤṲŲṶṴɄ"},{base:"V",letters:"VⓋＶṼṾƲꝞɅ"},{base:"VY",letters:"Ꝡ"},{base:"W",letters:"WⓌＷẀẂŴẆẄẈⱲ"},{base:"X",letters:"XⓍＸẊẌ"},{base:"Y",letters:"YⓎＹỲÝŶỸȲẎŸỶỴƳɎỾ"},{base:"Z",letters:"ZⓏＺŹẐŻŽẒẔƵȤⱿⱫꝢ"},{base:"a",letters:"aⓐａẚàáâầấẫẩãāăằắẵẳȧǡäǟảåǻǎȁȃạậặḁąⱥɐ"},{base:"aa",letters:"ꜳ"},{base:"ae",letters:"æǽǣ"},{base:"ao",letters:"ꜵ"},{base:"au",letters:"ꜷ"},{base:"av",letters:"ꜹꜻ"},{base:"ay",letters:"ꜽ"},{base:"b",letters:"bⓑｂḃḅḇƀƃɓ"},{base:"c",letters:"cⓒｃćĉċčçḉƈȼꜿↄ"},{base:"d",letters:"dⓓｄḋďḍḑḓḏđƌɖɗꝺ"},{base:"dz",letters:"ǳǆ"},{base:"e",letters:"eⓔｅèéêềếễểẽēḕḗĕėëẻěȅȇẹệȩḝęḙḛɇɛǝ"},{base:"f",letters:"fⓕｆḟƒꝼ"},{base:"g",letters:"gⓖｇǵĝḡğġǧģǥɠꞡᵹꝿ"},{base:"h",letters:"hⓗｈĥḣḧȟḥḩḫẖħⱨⱶɥ"},{base:"hv",letters:"ƕ"},{base:"i",letters:"iⓘｉìíîĩīĭïḯỉǐȉȋịįḭɨı"},{base:"j",letters:"jⓙｊĵǰɉ"},{base:"k",letters:"kⓚｋḱǩḳķḵƙⱪꝁꝃꝅꞣ"},{base:"l",letters:"lⓛｌŀĺľḷḹļḽḻſłƚɫⱡꝉꞁꝇ"},{base:"lj",letters:"ǉ"},{base:"m",letters:"mⓜｍḿṁṃɱɯ"},{base:"n",letters:"nⓝｎǹńñṅňṇņṋṉƞɲŉꞑꞥ"},{base:"nj",letters:"ǌ"},{base:"o",letters:"oⓞｏòóôồốỗổõṍȭṏōṑṓŏȯȱöȫỏőǒȍȏơờớỡởợọộǫǭøǿɔꝋꝍɵ"},{base:"oi",letters:"ƣ"},{base:"ou",letters:"ȣ"},{base:"oo",letters:"ꝏ"},{base:"p",letters:"pⓟｐṕṗƥᵽꝑꝓꝕ"},{base:"q",letters:"qⓠｑɋꝗꝙ"},{base:"r",letters:"rⓡｒŕṙřȑȓṛṝŗṟɍɽꝛꞧꞃ"},{base:"s",letters:"sⓢｓßśṥŝṡšṧṣṩșşȿꞩꞅẛ"},{base:"t",letters:"tⓣｔṫẗťṭțţṱṯŧƭʈⱦꞇ"},{base:"tz",letters:"ꜩ"},{base:"u",letters:"uⓤｕùúûũṹūṻŭüǜǘǖǚủůűǔȕȗưừứữửựụṳųṷṵʉ"},{base:"v",letters:"vⓥｖṽṿʋꝟʌ"},{base:"vy",letters:"ꝡ"},{base:"w",letters:"wⓦｗẁẃŵẇẅẘẉⱳ"},{base:"x",letters:"xⓧｘẋẍ"},{base:"y",letters:"yⓨｙỳýŷỹȳẏÿỷẙỵƴɏỿ"},{base:"z",letters:"zⓩｚźẑżžẓẕƶȥɀⱬꝣ"}],Go=new RegExp("["+zo.map((function(e){return e.letters})).join("")+"]","g"),qo={},Xo=0;Xo<zo.length;Xo++)for(var Ko=zo[Xo],Yo=0;Yo<Ko.letters.length;Yo++)qo[Ko.letters[Yo]]=Ko.base;var Qo=function(e){return e.replace(Go,(function(e){return qo[e]}))},Jo=function(e,t){void 0===t&&(t=$o);var n=null;function r(){for(var r=[],o=0;o<arguments.length;o++)r[o]=arguments[o];if(n&&n.lastThis===this&&t(r,n.lastArgs))return n.lastResult;var i=e.apply(this,r);return n={lastResult:i,lastArgs:r,lastThis:this},i}return r.clear=function(){n=null},r}(Qo),Zo=function(e){return e.replace(/^\s+|\s+$/g,"")},ei=function(e){return"".concat(e.label," ").concat(e.value)},ti=["innerRef"];function ni(e){var t=e.innerRef,n=function(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];var o=Object.entries(e).filter((function(e){var t=(0,On.A)(e,1)[0];return!n.includes(t)}));return o.reduce((function(e,t){var n=(0,On.A)(t,2),r=n[0],o=n[1];return e[r]=o,e}),{})}((0,xn.A)(e,ti),"onExited","in","enter","exit","appear");return(0,kn.jsx)("input",(0,Rn.A)({ref:t},n,{css:(0,kn.css)({label:"dummyInput",background:0,border:0,caretColor:"transparent",fontSize:"inherit",gridArea:"1 / 1 / 2 / 3",outline:0,padding:0,width:1,color:"transparent",left:-100,opacity:0,position:"relative",transform:"scale(.01)"},"","")}))}var ri=["boxSizing","height","overflow","paddingRight","position"],oi={boxSizing:"border-box",overflow:"hidden",position:"relative",height:"100%"};function ii(e){e.cancelable&&e.preventDefault()}function ai(e){e.stopPropagation()}function si(){var e=this.scrollTop,t=this.scrollHeight,n=e+this.offsetHeight;0===e?this.scrollTop=1:n===t&&(this.scrollTop=e-1)}function li(){return"ontouchstart"in window||navigator.maxTouchPoints}var ci=!("undefined"==typeof window||!window.document||!window.document.createElement),ui=0,di={capture:!1,passive:!1},pi=function(e){var t=e.target;return t.ownerDocument.activeElement&&t.ownerDocument.activeElement.blur()},fi={name:"1kfdb0e",styles:"position:fixed;left:0;bottom:0;right:0;top:0"};function hi(e){var t=e.children,n=e.lockEnabled,r=e.captureEnabled,o=function(e){var t=e.isEnabled,n=e.onBottomArrive,r=e.onBottomLeave,o=e.onTopArrive,i=e.onTopLeave,a=(0,g.useRef)(!1),s=(0,g.useRef)(!1),l=(0,g.useRef)(0),c=(0,g.useRef)(null),u=(0,g.useCallback)((function(e,t){if(null!==c.current){var l=c.current,u=l.scrollTop,d=l.scrollHeight,p=l.clientHeight,f=c.current,h=t>0,g=d-p-u,m=!1;g>t&&a.current&&(r&&r(e),a.current=!1),h&&s.current&&(i&&i(e),s.current=!1),h&&t>g?(n&&!a.current&&n(e),f.scrollTop=d,m=!0,a.current=!0):!h&&-t>u&&(o&&!s.current&&o(e),f.scrollTop=0,m=!0,s.current=!0),m&&function(e){e.cancelable&&e.preventDefault(),e.stopPropagation()}(e)}}),[n,r,o,i]),d=(0,g.useCallback)((function(e){u(e,e.deltaY)}),[u]),p=(0,g.useCallback)((function(e){l.current=e.changedTouches[0].clientY}),[]),f=(0,g.useCallback)((function(e){var t=l.current-e.changedTouches[0].clientY;u(e,t)}),[u]),h=(0,g.useCallback)((function(e){if(e){var t=!!lo&&{passive:!1};e.addEventListener("wheel",d,t),e.addEventListener("touchstart",p,t),e.addEventListener("touchmove",f,t)}}),[f,p,d]),m=(0,g.useCallback)((function(e){e&&(e.removeEventListener("wheel",d,!1),e.removeEventListener("touchstart",p,!1),e.removeEventListener("touchmove",f,!1))}),[f,p,d]);return(0,g.useEffect)((function(){if(t){var e=c.current;return h(e),function(){m(e)}}}),[t,h,m]),function(e){c.current=e}}({isEnabled:void 0===r||r,onBottomArrive:e.onBottomArrive,onBottomLeave:e.onBottomLeave,onTopArrive:e.onTopArrive,onTopLeave:e.onTopLeave}),i=function(e){var t=e.isEnabled,n=e.accountForScrollbars,r=void 0===n||n,o=(0,g.useRef)({}),i=(0,g.useRef)(null),a=(0,g.useCallback)((function(e){if(ci){var t=document.body,n=t&&t.style;if(r&&ri.forEach((function(e){var t=n&&n[e];o.current[e]=t})),r&&ui<1){var i=parseInt(o.current.paddingRight,10)||0,a=document.body?document.body.clientWidth:0,s=window.innerWidth-a+i||0;Object.keys(oi).forEach((function(e){var t=oi[e];n&&(n[e]=t)})),n&&(n.paddingRight="".concat(s,"px"))}t&&li()&&(t.addEventListener("touchmove",ii,di),e&&(e.addEventListener("touchstart",si,di),e.addEventListener("touchmove",ai,di))),ui+=1}}),[r]),s=(0,g.useCallback)((function(e){if(ci){var t=document.body,n=t&&t.style;ui=Math.max(ui-1,0),r&&ui<1&&ri.forEach((function(e){var t=o.current[e];n&&(n[e]=t)})),t&&li()&&(t.removeEventListener("touchmove",ii,di),e&&(e.removeEventListener("touchstart",si,di),e.removeEventListener("touchmove",ai,di)))}}),[r]);return(0,g.useEffect)((function(){if(t){var e=i.current;return a(e),function(){s(e)}}}),[t,a,s]),function(e){i.current=e}}({isEnabled:n});return(0,kn.jsx)(g.Fragment,null,n&&(0,kn.jsx)("div",{onClick:pi,css:fi}),t((function(e){o(e),i(e)})))}var gi={name:"1a0ro4n-requiredInput",styles:"label:requiredInput;opacity:0;pointer-events:none;position:absolute;bottom:0;left:0;right:0;width:100%"},mi=function(e){var t=e.name,n=e.onFocus;return(0,kn.jsx)("input",{required:!0,name:t,tabIndex:-1,"aria-hidden":"true",onFocus:n,css:gi,value:"",onChange:function(){}})};function bi(e){var t;return"undefined"!=typeof window&&null!=window.navigator&&e.test((null===(t=window.navigator.userAgentData)||void 0===t?void 0:t.platform)||window.navigator.platform)}function vi(){return bi(/^Mac/i)}var yi=function(e){return e.label},Ei=function(e){return e.value},Oi={clearIndicator:Ao,container:function(e){var t=e.isDisabled;return{label:"container",direction:e.isRtl?"rtl":void 0,pointerEvents:t?"none":void 0,position:"relative"}},control:function(e,t){var n=e.isDisabled,r=e.isFocused,o=e.theme,i=o.colors,a=o.borderRadius;return En({label:"control",alignItems:"center",cursor:"default",display:"flex",flexWrap:"wrap",justifyContent:"space-between",minHeight:o.spacing.controlHeight,outline:"0 !important",position:"relative",transition:"all 100ms"},t?{}:{backgroundColor:n?i.neutral5:i.neutral0,borderColor:n?i.neutral10:r?i.primary:i.neutral20,borderRadius:a,borderStyle:"solid",borderWidth:1,boxShadow:r?"0 0 0 1px ".concat(i.primary):void 0,"&:hover":{borderColor:r?i.primary:i.neutral30}})},dropdownIndicator:Io,group:function(e,t){var n=e.theme.spacing;return t?{}:{paddingBottom:2*n.baseUnit,paddingTop:2*n.baseUnit}},groupHeading:function(e,t){var n=e.theme,r=n.colors,o=n.spacing;return En({label:"group",cursor:"default",display:"block"},t?{}:{color:r.neutral40,fontSize:"75%",fontWeight:500,marginBottom:"0.25em",paddingLeft:3*o.baseUnit,paddingRight:3*o.baseUnit,textTransform:"uppercase"})},indicatorsContainer:function(){return{alignItems:"center",alignSelf:"stretch",display:"flex",flexShrink:0}},indicatorSeparator:function(e,t){var n=e.isDisabled,r=e.theme,o=r.spacing.baseUnit,i=r.colors;return En({label:"indicatorSeparator",alignSelf:"stretch",width:1},t?{}:{backgroundColor:n?i.neutral10:i.neutral20,marginBottom:2*o,marginTop:2*o})},input:function(e,t){var n=e.isDisabled,r=e.value,o=e.theme,i=o.spacing,a=o.colors;return En(En({visibility:n?"hidden":"visible",transform:r?"translateZ(0)":""},Do),t?{}:{margin:i.baseUnit/2,paddingBottom:i.baseUnit/2,paddingTop:i.baseUnit/2,color:a.neutral80})},loadingIndicator:function(e,t){var n=e.isFocused,r=e.size,o=e.theme,i=o.colors,a=o.spacing.baseUnit;return En({label:"loadingIndicator",display:"flex",transition:"color 150ms",alignSelf:"center",fontSize:r,lineHeight:1,marginRight:r,textAlign:"center",verticalAlign:"middle"},t?{}:{color:n?i.neutral60:i.neutral20,padding:2*a})},loadingMessage:Eo,menu:function(e,t){var n,r=e.placement,o=e.theme,i=o.borderRadius,a=o.spacing,s=o.colors;return En((n={label:"menu"},(0,vn.A)(n,function(e){return e?{bottom:"top",top:"bottom"}[e]:"bottom"}(r),"100%"),(0,vn.A)(n,"position","absolute"),(0,vn.A)(n,"width","100%"),(0,vn.A)(n,"zIndex",1),n),t?{}:{backgroundColor:s.neutral0,borderRadius:i,boxShadow:"0 0 0 1px hsla(0, 0%, 0%, 0.1), 0 4px 11px hsla(0, 0%, 0%, 0.1)",marginBottom:a.menuGutter,marginTop:a.menuGutter})},menuList:function(e,t){var n=e.maxHeight,r=e.theme.spacing.baseUnit;return En({maxHeight:n,overflowY:"auto",position:"relative",WebkitOverflowScrolling:"touch"},t?{}:{paddingBottom:r,paddingTop:r})},menuPortal:function(e){var t=e.rect,n=e.offset,r=e.position;return{left:t.left,position:r,top:n,width:t.width,zIndex:1}},multiValue:function(e,t){var n=e.theme,r=n.spacing,o=n.borderRadius,i=n.colors;return En({label:"multiValue",display:"flex",minWidth:0},t?{}:{backgroundColor:i.neutral10,borderRadius:o/2,margin:r.baseUnit/2})},multiValueLabel:function(e,t){var n=e.theme,r=n.borderRadius,o=n.colors,i=e.cropWithEllipsis;return En({overflow:"hidden",textOverflow:i||void 0===i?"ellipsis":void 0,whiteSpace:"nowrap"},t?{}:{borderRadius:r/2,color:o.neutral80,fontSize:"85%",padding:3,paddingLeft:6})},multiValueRemove:function(e,t){var n=e.theme,r=n.spacing,o=n.borderRadius,i=n.colors,a=e.isFocused;return En({alignItems:"center",display:"flex"},t?{}:{borderRadius:o/2,backgroundColor:a?i.dangerLight:void 0,paddingLeft:r.baseUnit,paddingRight:r.baseUnit,":hover":{backgroundColor:i.dangerLight,color:i.danger}})},noOptionsMessage:yo,option:function(e,t){var n=e.isDisabled,r=e.isFocused,o=e.isSelected,i=e.theme,a=i.spacing,s=i.colors;return En({label:"option",cursor:"default",display:"block",fontSize:"inherit",width:"100%",userSelect:"none",WebkitTapHighlightColor:"rgba(0, 0, 0, 0)"},t?{}:{backgroundColor:o?s.primary:r?s.primary25:"transparent",color:n?s.neutral20:o?s.neutral0:"inherit",padding:"".concat(2*a.baseUnit,"px ").concat(3*a.baseUnit,"px"),":active":{backgroundColor:n?void 0:o?s.primary:s.primary50}})},placeholder:function(e,t){var n=e.theme,r=n.spacing,o=n.colors;return En({label:"placeholder",gridArea:"1 / 1 / 2 / 3"},t?{}:{color:o.neutral50,marginLeft:r.baseUnit/2,marginRight:r.baseUnit/2})},singleValue:function(e,t){var n=e.isDisabled,r=e.theme,o=r.spacing,i=r.colors;return En({label:"singleValue",gridArea:"1 / 1 / 2 / 3",maxWidth:"100%",overflow:"hidden",textOverflow:"ellipsis",whiteSpace:"nowrap"},t?{}:{color:n?i.neutral40:i.neutral80,marginLeft:o.baseUnit/2,marginRight:o.baseUnit/2})},valueContainer:function(e,t){var n=e.theme.spacing,r=e.isMulti,o=e.hasValue,i=e.selectProps.controlShouldRenderValue;return En({alignItems:"center",display:r&&o&&i?"flex":"grid",flex:1,flexWrap:"wrap",WebkitOverflowScrolling:"touch",position:"relative",overflow:"hidden"},t?{}:{padding:"".concat(n.baseUnit/2,"px ").concat(2*n.baseUnit,"px")})}},xi={borderRadius:4,colors:{primary:"#2684FF",primary75:"#4C9AFF",primary50:"#B2D4FF",primary25:"#DEEBFF",danger:"#DE350B",dangerLight:"#FFBDAD",neutral0:"hsl(0, 0%, 100%)",neutral5:"hsl(0, 0%, 95%)",neutral10:"hsl(0, 0%, 90%)",neutral20:"hsl(0, 0%, 80%)",neutral30:"hsl(0, 0%, 70%)",neutral40:"hsl(0, 0%, 60%)",neutral50:"hsl(0, 0%, 50%)",neutral60:"hsl(0, 0%, 40%)",neutral70:"hsl(0, 0%, 30%)",neutral80:"hsl(0, 0%, 20%)",neutral90:"hsl(0, 0%, 10%)"},spacing:{baseUnit:4,controlHeight:38,menuGutter:8}},Si={"aria-live":"polite",backspaceRemovesValue:!0,blurInputOnSelect:oo(),captureMenuScroll:!oo(),classNames:{},closeMenuOnSelect:!0,closeMenuOnScroll:!1,components:{},controlShouldRenderValue:!0,escapeClearsValue:!1,filterOption:function(e,t){if(e.data.__isNew__)return!0;var n=En({ignoreCase:!0,ignoreAccents:!0,stringify:ei,trim:!0,matchFrom:"any"},void 0),r=n.ignoreCase,o=n.ignoreAccents,i=n.stringify,a=n.trim,s=n.matchFrom,l=a?Zo(t):t,c=a?Zo(i(e)):i(e);return r&&(l=l.toLowerCase(),c=c.toLowerCase()),o&&(l=Jo(l),c=Qo(c)),"start"===s?c.substr(0,l.length)===l:c.indexOf(l)>-1},formatGroupLabel:function(e){return e.label},getOptionLabel:yi,getOptionValue:Ei,isDisabled:!1,isLoading:!1,isMulti:!1,isRtl:!1,isSearchable:!0,isOptionDisabled:function(e){return!!e.isDisabled},loadingMessage:function(){return"Loading..."},maxMenuHeight:300,minMenuHeight:140,menuIsOpen:!1,menuPlacement:"bottom",menuPosition:"absolute",menuShouldBlockScroll:!1,menuShouldScrollIntoView:!function(){try{return/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)}catch(e){return!1}}(),noOptionsMessage:function(){return"No options"},openMenuOnFocus:!1,openMenuOnClick:!0,options:[],pageSize:5,placeholder:"Select...",screenReaderStatus:function(e){var t=e.count;return"".concat(t," result").concat(1!==t?"s":""," available")},styles:{},tabIndex:0,tabSelectsValue:!0,unstyled:!1};function wi(e,t,n,r){return{type:"option",data:t,isDisabled:Li(e,t,n),isSelected:ki(e,t,n),label:Pi(e,t),value:Ni(e,t),index:r}}function Ri(e,t){return e.options.map((function(n,r){if("options"in n){var o=n.options.map((function(n,r){return wi(e,n,t,r)})).filter((function(t){return Ii(e,t)}));return o.length>0?{type:"group",data:n,options:o,index:r}:void 0}var i=wi(e,n,t,r);return Ii(e,i)?i:void 0})).filter(co)}function Ti(e){return e.reduce((function(e,t){return"group"===t.type?e.push.apply(e,(0,Ln.A)(t.options.map((function(e){return e.data})))):e.push(t.data),e}),[])}function Ci(e,t){return e.reduce((function(e,n){return"group"===n.type?e.push.apply(e,(0,Ln.A)(n.options.map((function(e){return{data:e.data,id:"".concat(t,"-").concat(n.index,"-").concat(e.index)}})))):e.push({data:n.data,id:"".concat(t,"-").concat(n.index)}),e}),[])}function Ii(e,t){var n=e.inputValue,r=void 0===n?"":n,o=t.data,i=t.isSelected,a=t.label,s=t.value;return(!Di(e)||!i)&&ji(e,{label:a,value:s,data:o},r)}var Ai=function(e,t){var n;return(null===(n=e.find((function(e){return e.data===t})))||void 0===n?void 0:n.id)||null},Pi=function(e,t){return e.getOptionLabel(t)},Ni=function(e,t){return e.getOptionValue(t)};function Li(e,t,n){return"function"==typeof e.isOptionDisabled&&e.isOptionDisabled(t,n)}function ki(e,t,n){if(n.indexOf(t)>-1)return!0;if("function"==typeof e.isOptionSelected)return e.isOptionSelected(t,n);var r=Ni(e,t);return n.some((function(t){return Ni(e,t)===r}))}function ji(e,t,n){return!e.filterOption||e.filterOption(t,n)}var Di=function(e){var t=e.hideSelectedOptions,n=e.isMulti;return void 0===t?n:t},Mi=1,_i=function(e){(0,In.A)(n,e);var t=function(e){var t=Pn();return function(){var n,r=(0,An.A)(e);if(t){var o=(0,An.A)(this).constructor;n=Reflect.construct(r,arguments,o)}else n=r.apply(this,arguments);return(0,Nn.A)(this,n)}}(n);function n(e){var r;if((0,Tn.A)(this,n),(r=t.call(this,e)).state={ariaSelection:null,focusedOption:null,focusedOptionId:null,focusableOptionsWithIds:[],focusedValue:null,inputIsHidden:!1,isFocused:!1,selectValue:[],clearFocusValueOnUpdate:!1,prevWasFocused:!1,inputIsHiddenAfterUpdate:void 0,prevProps:void 0,instancePrefix:""},r.blockOptionHover=!1,r.isComposing=!1,r.commonProps=void 0,r.initialTouchX=0,r.initialTouchY=0,r.openAfterFocus=!1,r.scrollToFocusedOptionOnUpdate=!1,r.userIsDragging=void 0,r.isAppleDevice=vi()||bi(/^iPhone/i)||bi(/^iPad/i)||vi()&&navigator.maxTouchPoints>1,r.controlRef=null,r.getControlRef=function(e){r.controlRef=e},r.focusedOptionRef=null,r.getFocusedOptionRef=function(e){r.focusedOptionRef=e},r.menuListRef=null,r.getMenuListRef=function(e){r.menuListRef=e},r.inputRef=null,r.getInputRef=function(e){r.inputRef=e},r.focus=r.focusInput,r.blur=r.blurInput,r.onChange=function(e,t){var n=r.props,o=n.onChange,i=n.name;t.name=i,r.ariaOnChange(e,t),o(e,t)},r.setValue=function(e,t,n){var o=r.props,i=o.closeMenuOnSelect,a=o.isMulti,s=o.inputValue;r.onInputChange("",{action:"set-value",prevInputValue:s}),i&&(r.setState({inputIsHiddenAfterUpdate:!a}),r.onMenuClose()),r.setState({clearFocusValueOnUpdate:!0}),r.onChange(e,{action:t,option:n})},r.selectOption=function(e){var t=r.props,n=t.blurInputOnSelect,o=t.isMulti,i=t.name,a=r.state.selectValue,s=o&&r.isOptionSelected(e,a),l=r.isOptionDisabled(e,a);if(s){var c=r.getOptionValue(e);r.setValue(a.filter((function(e){return r.getOptionValue(e)!==c})),"deselect-option",e)}else{if(l)return void r.ariaOnChange(e,{action:"select-option",option:e,name:i});o?r.setValue([].concat((0,Ln.A)(a),[e]),"select-option",e):r.setValue(e,"select-option")}n&&r.blurInput()},r.removeValue=function(e){var t=r.props.isMulti,n=r.state.selectValue,o=r.getOptionValue(e),i=n.filter((function(e){return r.getOptionValue(e)!==o})),a=uo(t,i,i[0]||null);r.onChange(a,{action:"remove-value",removedValue:e}),r.focusInput()},r.clearValue=function(){var e=r.state.selectValue;r.onChange(uo(r.props.isMulti,[],null),{action:"clear",removedValues:e})},r.popValue=function(){var e=r.props.isMulti,t=r.state.selectValue,n=t[t.length-1],o=t.slice(0,t.length-1),i=uo(e,o,o[0]||null);n&&r.onChange(i,{action:"pop-value",removedValue:n})},r.getFocusedOptionId=function(e){return Ai(r.state.focusableOptionsWithIds,e)},r.getFocusableOptionsWithIds=function(){return Ci(Ri(r.props,r.state.selectValue),r.getElementId("option"))},r.getValue=function(){return r.state.selectValue},r.cx=function(){for(var e=arguments.length,t=new Array(e),n=0;n<e;n++)t[n]=arguments[n];return Kr.apply(void 0,[r.props.classNamePrefix].concat(t))},r.getOptionLabel=function(e){return Pi(r.props,e)},r.getOptionValue=function(e){return Ni(r.props,e)},r.getStyles=function(e,t){var n=r.props.unstyled,o=Oi[e](t,n);o.boxSizing="border-box";var i=r.props.styles[e];return i?i(o,t):o},r.getClassNames=function(e,t){var n,o;return null===(n=(o=r.props.classNames)[e])||void 0===n?void 0:n.call(o,t)},r.getElementId=function(e){return"".concat(r.state.instancePrefix,"-").concat(e)},r.getComponents=function(){return e=r.props,En(En({},Fo),e.components);var e},r.buildCategorizedOptions=function(){return Ri(r.props,r.state.selectValue)},r.getCategorizedOptions=function(){return r.props.menuIsOpen?r.buildCategorizedOptions():[]},r.buildFocusableOptions=function(){return Ti(r.buildCategorizedOptions())},r.getFocusableOptions=function(){return r.props.menuIsOpen?r.buildFocusableOptions():[]},r.ariaOnChange=function(e,t){r.setState({ariaSelection:En({value:e},t)})},r.onMenuMouseDown=function(e){0===e.button&&(e.stopPropagation(),e.preventDefault(),r.focusInput())},r.onMenuMouseMove=function(e){r.blockOptionHover=!1},r.onControlMouseDown=function(e){if(!e.defaultPrevented){var t=r.props.openMenuOnClick;r.state.isFocused?r.props.menuIsOpen?"INPUT"!==e.target.tagName&&"TEXTAREA"!==e.target.tagName&&r.onMenuClose():t&&r.openMenu("first"):(t&&(r.openAfterFocus=!0),r.focusInput()),"INPUT"!==e.target.tagName&&"TEXTAREA"!==e.target.tagName&&e.preventDefault()}},r.onDropdownIndicatorMouseDown=function(e){if(!(e&&"mousedown"===e.type&&0!==e.button||r.props.isDisabled)){var t=r.props,n=t.isMulti,o=t.menuIsOpen;r.focusInput(),o?(r.setState({inputIsHiddenAfterUpdate:!n}),r.onMenuClose()):r.openMenu("first"),e.preventDefault()}},r.onClearIndicatorMouseDown=function(e){e&&"mousedown"===e.type&&0!==e.button||(r.clearValue(),e.preventDefault(),r.openAfterFocus=!1,"touchend"===e.type?r.focusInput():setTimeout((function(){return r.focusInput()})))},r.onScroll=function(e){"boolean"==typeof r.props.closeMenuOnScroll?e.target instanceof HTMLElement&&Zr(e.target)&&r.props.onMenuClose():"function"==typeof r.props.closeMenuOnScroll&&r.props.closeMenuOnScroll(e)&&r.props.onMenuClose()},r.onCompositionStart=function(){r.isComposing=!0},r.onCompositionEnd=function(){r.isComposing=!1},r.onTouchStart=function(e){var t=e.touches,n=t&&t.item(0);n&&(r.initialTouchX=n.clientX,r.initialTouchY=n.clientY,r.userIsDragging=!1)},r.onTouchMove=function(e){var t=e.touches,n=t&&t.item(0);if(n){var o=Math.abs(n.clientX-r.initialTouchX),i=Math.abs(n.clientY-r.initialTouchY);r.userIsDragging=o>5||i>5}},r.onTouchEnd=function(e){r.userIsDragging||(r.controlRef&&!r.controlRef.contains(e.target)&&r.menuListRef&&!r.menuListRef.contains(e.target)&&r.blurInput(),r.initialTouchX=0,r.initialTouchY=0)},r.onControlTouchEnd=function(e){r.userIsDragging||r.onControlMouseDown(e)},r.onClearIndicatorTouchEnd=function(e){r.userIsDragging||r.onClearIndicatorMouseDown(e)},r.onDropdownIndicatorTouchEnd=function(e){r.userIsDragging||r.onDropdownIndicatorMouseDown(e)},r.handleInputChange=function(e){var t=r.props.inputValue,n=e.currentTarget.value;r.setState({inputIsHiddenAfterUpdate:!1}),r.onInputChange(n,{action:"input-change",prevInputValue:t}),r.props.menuIsOpen||r.onMenuOpen()},r.onInputFocus=function(e){r.props.onFocus&&r.props.onFocus(e),r.setState({inputIsHiddenAfterUpdate:!1,isFocused:!0}),(r.openAfterFocus||r.props.openMenuOnFocus)&&r.openMenu("first"),r.openAfterFocus=!1},r.onInputBlur=function(e){var t=r.props.inputValue;r.menuListRef&&r.menuListRef.contains(document.activeElement)?r.inputRef.focus():(r.props.onBlur&&r.props.onBlur(e),r.onInputChange("",{action:"input-blur",prevInputValue:t}),r.onMenuClose(),r.setState({focusedValue:null,isFocused:!1}))},r.onOptionHover=function(e){if(!r.blockOptionHover&&r.state.focusedOption!==e){var t=r.getFocusableOptions().indexOf(e);r.setState({focusedOption:e,focusedOptionId:t>-1?r.getFocusedOptionId(e):null})}},r.shouldHideSelectedOptions=function(){return Di(r.props)},r.onValueInputFocus=function(e){e.preventDefault(),e.stopPropagation(),r.focus()},r.onKeyDown=function(e){var t=r.props,n=t.isMulti,o=t.backspaceRemovesValue,i=t.escapeClearsValue,a=t.inputValue,s=t.isClearable,l=t.isDisabled,c=t.menuIsOpen,u=t.onKeyDown,d=t.tabSelectsValue,p=t.openMenuOnFocus,f=r.state,h=f.focusedOption,g=f.focusedValue,m=f.selectValue;if(!(l||"function"==typeof u&&(u(e),e.defaultPrevented))){switch(r.blockOptionHover=!0,e.key){case"ArrowLeft":if(!n||a)return;r.focusValue("previous");break;case"ArrowRight":if(!n||a)return;r.focusValue("next");break;case"Delete":case"Backspace":if(a)return;if(g)r.removeValue(g);else{if(!o)return;n?r.popValue():s&&r.clearValue()}break;case"Tab":if(r.isComposing)return;if(e.shiftKey||!c||!d||!h||p&&r.isOptionSelected(h,m))return;r.selectOption(h);break;case"Enter":if(229===e.keyCode)break;if(c){if(!h)return;if(r.isComposing)return;r.selectOption(h);break}return;case"Escape":c?(r.setState({inputIsHiddenAfterUpdate:!1}),r.onInputChange("",{action:"menu-close",prevInputValue:a}),r.onMenuClose()):s&&i&&r.clearValue();break;case" ":if(a)return;if(!c){r.openMenu("first");break}if(!h)return;r.selectOption(h);break;case"ArrowUp":c?r.focusOption("up"):r.openMenu("last");break;case"ArrowDown":c?r.focusOption("down"):r.openMenu("first");break;case"PageUp":if(!c)return;r.focusOption("pageup");break;case"PageDown":if(!c)return;r.focusOption("pagedown");break;case"Home":if(!c)return;r.focusOption("first");break;case"End":if(!c)return;r.focusOption("last");break;default:return}e.preventDefault()}},r.state.instancePrefix="react-select-"+(r.props.instanceId||++Mi),r.state.selectValue=Yr(e.value),e.menuIsOpen&&r.state.selectValue.length){var o=r.getFocusableOptionsWithIds(),i=r.buildFocusableOptions(),a=i.indexOf(r.state.selectValue[0]);r.state.focusableOptionsWithIds=o,r.state.focusedOption=i[a],r.state.focusedOptionId=Ai(o,i[a])}return r}return(0,Cn.A)(n,[{key:"componentDidMount",value:function(){this.startListeningComposition(),this.startListeningToTouch(),this.props.closeMenuOnScroll&&document&&document.addEventListener&&document.addEventListener("scroll",this.onScroll,!0),this.props.autoFocus&&this.focusInput(),this.props.menuIsOpen&&this.state.focusedOption&&this.menuListRef&&this.focusedOptionRef&&ro(this.menuListRef,this.focusedOptionRef)}},{key:"componentDidUpdate",value:function(e){var t=this.props,n=t.isDisabled,r=t.menuIsOpen,o=this.state.isFocused;(o&&!n&&e.isDisabled||o&&r&&!e.menuIsOpen)&&this.focusInput(),o&&n&&!e.isDisabled?this.setState({isFocused:!1},this.onMenuClose):o||n||!e.isDisabled||this.inputRef!==document.activeElement||this.setState({isFocused:!0}),this.menuListRef&&this.focusedOptionRef&&this.scrollToFocusedOptionOnUpdate&&(ro(this.menuListRef,this.focusedOptionRef),this.scrollToFocusedOptionOnUpdate=!1)}},{key:"componentWillUnmount",value:function(){this.stopListeningComposition(),this.stopListeningToTouch(),document.removeEventListener("scroll",this.onScroll,!0)}},{key:"onMenuOpen",value:function(){this.props.onMenuOpen()}},{key:"onMenuClose",value:function(){this.onInputChange("",{action:"menu-close",prevInputValue:this.props.inputValue}),this.props.onMenuClose()}},{key:"onInputChange",value:function(e,t){this.props.onInputChange(e,t)}},{key:"focusInput",value:function(){this.inputRef&&this.inputRef.focus()}},{key:"blurInput",value:function(){this.inputRef&&this.inputRef.blur()}},{key:"openMenu",value:function(e){var t=this,n=this.state,r=n.selectValue,o=n.isFocused,i=this.buildFocusableOptions(),a="first"===e?0:i.length-1;if(!this.props.isMulti){var s=i.indexOf(r[0]);s>-1&&(a=s)}this.scrollToFocusedOptionOnUpdate=!(o&&this.menuListRef),this.setState({inputIsHiddenAfterUpdate:!1,focusedValue:null,focusedOption:i[a],focusedOptionId:this.getFocusedOptionId(i[a])},(function(){return t.onMenuOpen()}))}},{key:"focusValue",value:function(e){var t=this.state,n=t.selectValue,r=t.focusedValue;if(this.props.isMulti){this.setState({focusedOption:null});var o=n.indexOf(r);r||(o=-1);var i=n.length-1,a=-1;if(n.length){switch(e){case"previous":a=0===o?0:-1===o?i:o-1;break;case"next":o>-1&&o<i&&(a=o+1)}this.setState({inputIsHidden:-1!==a,focusedValue:n[a]})}}}},{key:"focusOption",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"first",t=this.props.pageSize,n=this.state.focusedOption,r=this.getFocusableOptions();if(r.length){var o=0,i=r.indexOf(n);n||(i=-1),"up"===e?o=i>0?i-1:r.length-1:"down"===e?o=(i+1)%r.length:"pageup"===e?(o=i-t)<0&&(o=0):"pagedown"===e?(o=i+t)>r.length-1&&(o=r.length-1):"last"===e&&(o=r.length-1),this.scrollToFocusedOptionOnUpdate=!0,this.setState({focusedOption:r[o],focusedValue:null,focusedOptionId:this.getFocusedOptionId(r[o])})}}},{key:"getTheme",value:function(){return this.props.theme?"function"==typeof this.props.theme?this.props.theme(xi):En(En({},xi),this.props.theme):xi}},{key:"getCommonProps",value:function(){var e=this.clearValue,t=this.cx,n=this.getStyles,r=this.getClassNames,o=this.getValue,i=this.selectOption,a=this.setValue,s=this.props,l=s.isMulti,c=s.isRtl,u=s.options;return{clearValue:e,cx:t,getStyles:n,getClassNames:r,getValue:o,hasValue:this.hasValue(),isMulti:l,isRtl:c,options:u,selectOption:i,selectProps:s,setValue:a,theme:this.getTheme()}}},{key:"hasValue",value:function(){return this.state.selectValue.length>0}},{key:"hasOptions",value:function(){return!!this.getFocusableOptions().length}},{key:"isClearable",value:function(){var e=this.props,t=e.isClearable,n=e.isMulti;return void 0===t?n:t}},{key:"isOptionDisabled",value:function(e,t){return Li(this.props,e,t)}},{key:"isOptionSelected",value:function(e,t){return ki(this.props,e,t)}},{key:"filterOption",value:function(e,t){return ji(this.props,e,t)}},{key:"formatOptionLabel",value:function(e,t){if("function"==typeof this.props.formatOptionLabel){var n=this.props.inputValue,r=this.state.selectValue;return this.props.formatOptionLabel(e,{context:t,inputValue:n,selectValue:r})}return this.getOptionLabel(e)}},{key:"formatGroupLabel",value:function(e){return this.props.formatGroupLabel(e)}},{key:"startListeningComposition",value:function(){document&&document.addEventListener&&(document.addEventListener("compositionstart",this.onCompositionStart,!1),document.addEventListener("compositionend",this.onCompositionEnd,!1))}},{key:"stopListeningComposition",value:function(){document&&document.removeEventListener&&(document.removeEventListener("compositionstart",this.onCompositionStart),document.removeEventListener("compositionend",this.onCompositionEnd))}},{key:"startListeningToTouch",value:function(){document&&document.addEventListener&&(document.addEventListener("touchstart",this.onTouchStart,!1),document.addEventListener("touchmove",this.onTouchMove,!1),document.addEventListener("touchend",this.onTouchEnd,!1))}},{key:"stopListeningToTouch",value:function(){document&&document.removeEventListener&&(document.removeEventListener("touchstart",this.onTouchStart),document.removeEventListener("touchmove",this.onTouchMove),document.removeEventListener("touchend",this.onTouchEnd))}},{key:"renderInput",value:function(){var e=this.props,t=e.isDisabled,n=e.isSearchable,r=e.inputId,o=e.inputValue,i=e.tabIndex,a=e.form,s=e.menuIsOpen,l=e.required,c=this.getComponents().Input,u=this.state,d=u.inputIsHidden,p=u.ariaSelection,f=this.commonProps,h=r||this.getElementId("input"),m=En(En(En({"aria-autocomplete":"list","aria-expanded":s,"aria-haspopup":!0,"aria-errormessage":this.props["aria-errormessage"],"aria-invalid":this.props["aria-invalid"],"aria-label":this.props["aria-label"],"aria-labelledby":this.props["aria-labelledby"],"aria-required":l,role:"combobox","aria-activedescendant":this.isAppleDevice?void 0:this.state.focusedOptionId||""},s&&{"aria-controls":this.getElementId("listbox")}),!n&&{"aria-readonly":!0}),this.hasValue()?"initial-input-focus"===(null==p?void 0:p.action)&&{"aria-describedby":this.getElementId("live-region")}:{"aria-describedby":this.getElementId("placeholder")});return n?g.createElement(c,(0,Rn.A)({},f,{autoCapitalize:"none",autoComplete:"off",autoCorrect:"off",id:h,innerRef:this.getInputRef,isDisabled:t,isHidden:d,onBlur:this.onInputBlur,onChange:this.handleInputChange,onFocus:this.onInputFocus,spellCheck:"false",tabIndex:i,form:a,type:"text",value:o},m)):g.createElement(ni,(0,Rn.A)({id:h,innerRef:this.getInputRef,onBlur:this.onInputBlur,onChange:qr,onFocus:this.onInputFocus,disabled:t,tabIndex:i,inputMode:"none",form:a,value:""},m))}},{key:"renderPlaceholderOrValue",value:function(){var e=this,t=this.getComponents(),n=t.MultiValue,r=t.MultiValueContainer,o=t.MultiValueLabel,i=t.MultiValueRemove,a=t.SingleValue,s=t.Placeholder,l=this.commonProps,c=this.props,u=c.controlShouldRenderValue,d=c.isDisabled,p=c.isMulti,f=c.inputValue,h=c.placeholder,m=this.state,b=m.selectValue,v=m.focusedValue,y=m.isFocused;if(!this.hasValue()||!u)return f?null:g.createElement(s,(0,Rn.A)({},l,{key:"placeholder",isDisabled:d,isFocused:y,innerProps:{id:this.getElementId("placeholder")}}),h);if(p)return b.map((function(t,a){var s=t===v,c="".concat(e.getOptionLabel(t),"-").concat(e.getOptionValue(t));return g.createElement(n,(0,Rn.A)({},l,{components:{Container:r,Label:o,Remove:i},isFocused:s,isDisabled:d,key:c,index:a,removeProps:{onClick:function(){return e.removeValue(t)},onTouchEnd:function(){return e.removeValue(t)},onMouseDown:function(e){e.preventDefault()}},data:t}),e.formatOptionLabel(t,"value"))}));if(f)return null;var E=b[0];return g.createElement(a,(0,Rn.A)({},l,{data:E,isDisabled:d}),this.formatOptionLabel(E,"value"))}},{key:"renderClearIndicator",value:function(){var e=this.getComponents().ClearIndicator,t=this.commonProps,n=this.props,r=n.isDisabled,o=n.isLoading,i=this.state.isFocused;if(!this.isClearable()||!e||r||!this.hasValue()||o)return null;var a={onMouseDown:this.onClearIndicatorMouseDown,onTouchEnd:this.onClearIndicatorTouchEnd,"aria-hidden":"true"};return g.createElement(e,(0,Rn.A)({},t,{innerProps:a,isFocused:i}))}},{key:"renderLoadingIndicator",value:function(){var e=this.getComponents().LoadingIndicator,t=this.commonProps,n=this.props,r=n.isDisabled,o=n.isLoading,i=this.state.isFocused;return e&&o?g.createElement(e,(0,Rn.A)({},t,{innerProps:{"aria-hidden":"true"},isDisabled:r,isFocused:i})):null}},{key:"renderIndicatorSeparator",value:function(){var e=this.getComponents(),t=e.DropdownIndicator,n=e.IndicatorSeparator;if(!t||!n)return null;var r=this.commonProps,o=this.props.isDisabled,i=this.state.isFocused;return g.createElement(n,(0,Rn.A)({},r,{isDisabled:o,isFocused:i}))}},{key:"renderDropdownIndicator",value:function(){var e=this.getComponents().DropdownIndicator;if(!e)return null;var t=this.commonProps,n=this.props.isDisabled,r=this.state.isFocused,o={onMouseDown:this.onDropdownIndicatorMouseDown,onTouchEnd:this.onDropdownIndicatorTouchEnd,"aria-hidden":"true"};return g.createElement(e,(0,Rn.A)({},t,{innerProps:o,isDisabled:n,isFocused:r}))}},{key:"renderMenu",value:function(){var e=this,t=this.getComponents(),n=t.Group,r=t.GroupHeading,o=t.Menu,i=t.MenuList,a=t.MenuPortal,s=t.LoadingMessage,l=t.NoOptionsMessage,c=t.Option,u=this.commonProps,d=this.state.focusedOption,p=this.props,f=p.captureMenuScroll,h=p.inputValue,m=p.isLoading,b=p.loadingMessage,v=p.minMenuHeight,y=p.maxMenuHeight,E=p.menuIsOpen,O=p.menuPlacement,x=p.menuPosition,S=p.menuPortalTarget,w=p.menuShouldBlockScroll,R=p.menuShouldScrollIntoView,T=p.noOptionsMessage,C=p.onMenuScrollToTop,I=p.onMenuScrollToBottom;if(!E)return null;var A,P=function(t,n){var r=t.type,o=t.data,i=t.isDisabled,a=t.isSelected,s=t.label,l=t.value,p=d===o,f=i?void 0:function(){return e.onOptionHover(o)},h=i?void 0:function(){return e.selectOption(o)},m="".concat(e.getElementId("option"),"-").concat(n),b={id:m,onClick:h,onMouseMove:f,onMouseOver:f,tabIndex:-1,role:"option","aria-selected":e.isAppleDevice?void 0:a};return g.createElement(c,(0,Rn.A)({},u,{innerProps:b,data:o,isDisabled:i,isSelected:a,key:m,label:s,type:r,value:l,isFocused:p,innerRef:p?e.getFocusedOptionRef:void 0}),e.formatOptionLabel(t.data,"menu"))};if(this.hasOptions())A=this.getCategorizedOptions().map((function(t){if("group"===t.type){var o=t.data,i=t.options,a=t.index,s="".concat(e.getElementId("group"),"-").concat(a),l="".concat(s,"-heading");return g.createElement(n,(0,Rn.A)({},u,{key:s,data:o,options:i,Heading:r,headingProps:{id:l,data:t.data},label:e.formatGroupLabel(t.data)}),t.options.map((function(e){return P(e,"".concat(a,"-").concat(e.index))})))}if("option"===t.type)return P(t,"".concat(t.index))}));else if(m){var N=b({inputValue:h});if(null===N)return null;A=g.createElement(s,u,N)}else{var L=T({inputValue:h});if(null===L)return null;A=g.createElement(l,u,L)}var k={minMenuHeight:v,maxMenuHeight:y,menuPlacement:O,menuPosition:x,menuShouldScrollIntoView:R},j=g.createElement(bo,(0,Rn.A)({},u,k),(function(t){var n=t.ref,r=t.placerProps,a=r.placement,s=r.maxHeight;return g.createElement(o,(0,Rn.A)({},u,k,{innerRef:n,innerProps:{onMouseDown:e.onMenuMouseDown,onMouseMove:e.onMenuMouseMove},isLoading:m,placement:a}),g.createElement(hi,{captureEnabled:f,onTopArrive:C,onBottomArrive:I,lockEnabled:w},(function(t){return g.createElement(i,(0,Rn.A)({},u,{innerRef:function(n){e.getMenuListRef(n),t(n)},innerProps:{role:"listbox","aria-multiselectable":u.isMulti,id:e.getElementId("listbox")},isLoading:m,maxHeight:s,focusedOption:d}),A)})))}));return S||"fixed"===x?g.createElement(a,(0,Rn.A)({},u,{appendTo:S,controlElement:this.controlRef,menuPlacement:O,menuPosition:x}),j):j}},{key:"renderFormField",value:function(){var e=this,t=this.props,n=t.delimiter,r=t.isDisabled,o=t.isMulti,i=t.name,a=t.required,s=this.state.selectValue;if(a&&!this.hasValue()&&!r)return g.createElement(mi,{name:i,onFocus:this.onValueInputFocus});if(i&&!r){if(o){if(n){var l=s.map((function(t){return e.getOptionValue(t)})).join(n);return g.createElement("input",{name:i,type:"hidden",value:l})}var c=s.length>0?s.map((function(t,n){return g.createElement("input",{key:"i-".concat(n),name:i,type:"hidden",value:e.getOptionValue(t)})})):g.createElement("input",{name:i,type:"hidden",value:""});return g.createElement("div",null,c)}var u=s[0]?this.getOptionValue(s[0]):"";return g.createElement("input",{name:i,type:"hidden",value:u})}}},{key:"renderLiveRegion",value:function(){var e=this.commonProps,t=this.state,n=t.ariaSelection,r=t.focusedOption,o=t.focusedValue,i=t.isFocused,a=t.selectValue,s=this.getFocusableOptions();return g.createElement(Wo,(0,Rn.A)({},e,{id:this.getElementId("live-region"),ariaSelection:n,focusedOption:r,focusedValue:o,isFocused:i,selectValue:a,focusableOptions:s,isAppleDevice:this.isAppleDevice}))}},{key:"render",value:function(){var e=this.getComponents(),t=e.Control,n=e.IndicatorsContainer,r=e.SelectContainer,o=e.ValueContainer,i=this.props,a=i.className,s=i.id,l=i.isDisabled,c=i.menuIsOpen,u=this.state.isFocused,d=this.commonProps=this.getCommonProps();return g.createElement(r,(0,Rn.A)({},d,{className:a,innerProps:{id:s,onKeyDown:this.onKeyDown},isDisabled:l,isFocused:u}),this.renderLiveRegion(),g.createElement(t,(0,Rn.A)({},d,{innerRef:this.getControlRef,innerProps:{onMouseDown:this.onControlMouseDown,onTouchEnd:this.onControlTouchEnd},isDisabled:l,isFocused:u,menuIsOpen:c}),g.createElement(o,(0,Rn.A)({},d,{isDisabled:l}),this.renderPlaceholderOrValue(),this.renderInput()),g.createElement(n,(0,Rn.A)({},d,{isDisabled:l}),this.renderClearIndicator(),this.renderLoadingIndicator(),this.renderIndicatorSeparator(),this.renderDropdownIndicator())),this.renderMenu(),this.renderFormField())}}],[{key:"getDerivedStateFromProps",value:function(e,t){var n=t.prevProps,r=t.clearFocusValueOnUpdate,o=t.inputIsHiddenAfterUpdate,i=t.ariaSelection,a=t.isFocused,s=t.prevWasFocused,l=t.instancePrefix,c=e.options,u=e.value,d=e.menuIsOpen,p=e.inputValue,f=e.isMulti,h=Yr(u),g={};if(n&&(u!==n.value||c!==n.options||d!==n.menuIsOpen||p!==n.inputValue)){var m=d?function(e,t){return Ti(Ri(e,t))}(e,h):[],b=d?Ci(Ri(e,h),"".concat(l,"-option")):[],v=r?function(e,t){var n=e.focusedValue,r=e.selectValue.indexOf(n);if(r>-1){if(t.indexOf(n)>-1)return n;if(r<t.length)return t[r]}return null}(t,h):null,y=function(e,t){var n=e.focusedOption;return n&&t.indexOf(n)>-1?n:t[0]}(t,m);g={selectValue:h,focusedOption:y,focusedOptionId:Ai(b,y),focusableOptionsWithIds:b,focusedValue:v,clearFocusValueOnUpdate:!1}}var E=null!=o&&e!==n?{inputIsHidden:o,inputIsHiddenAfterUpdate:void 0}:{},O=i,x=a&&s;return a&&!x&&(O={value:uo(f,h,h[0]||null),options:h,action:"initial-input-focus"},x=!s),"initial-input-focus"===(null==i?void 0:i.action)&&(O=null),En(En(En({},g),E),{},{prevProps:e,ariaSelection:O,prevWasFocused:x})}}]),n}(g.Component);_i.defaultProps=Si,Math.abs,String.fromCharCode,Object.assign;var Fi=(0,g.forwardRef)((function(e,t){var n=wn(e);return g.createElement(_i,(0,Rn.A)({ref:t},n))})),Vi=["defaultOptions","cacheOptions","loadOptions","options","isLoading","onInputChange","filterOption"];function $i(e){var t=e.defaultOptions,n=void 0!==t&&t,r=e.cacheOptions,o=void 0!==r&&r,i=e.loadOptions;e.options;var a=e.isLoading,s=void 0!==a&&a,l=e.onInputChange,c=e.filterOption,u=void 0===c?null:c,d=(0,xn.A)(e,Vi),p=d.inputValue,f=(0,g.useRef)(void 0),h=(0,g.useRef)(!1),m=(0,g.useState)(Array.isArray(n)?n:void 0),b=(0,On.A)(m,2),v=b[0],y=b[1],E=(0,g.useState)(void 0!==p?p:""),O=(0,On.A)(E,2),x=O[0],S=O[1],w=(0,g.useState)(!0===n),R=(0,On.A)(w,2),T=R[0],C=R[1],I=(0,g.useState)(void 0),A=(0,On.A)(I,2),P=A[0],N=A[1],L=(0,g.useState)([]),k=(0,On.A)(L,2),j=k[0],D=k[1],M=(0,g.useState)(!1),_=(0,On.A)(M,2),F=_[0],V=_[1],$=(0,g.useState)({}),U=(0,On.A)($,2),B=U[0],H=U[1],W=(0,g.useState)(void 0),z=(0,On.A)(W,2),G=z[0],q=z[1],X=(0,g.useState)(void 0),K=(0,On.A)(X,2),Y=K[0],Q=K[1];o!==Y&&(H({}),Q(o)),n!==G&&(y(Array.isArray(n)?n:void 0),q(n)),(0,g.useEffect)((function(){return h.current=!0,function(){h.current=!1}}),[]);var J=(0,g.useCallback)((function(e,t){if(!i)return t();var n=i(e,t);n&&"function"==typeof n.then&&n.then(t,(function(){return t()}))}),[i]);(0,g.useEffect)((function(){!0===n&&J(x,(function(e){h.current&&(y(e||[]),C(!!f.current))}))}),[]);var Z=(0,g.useCallback)((function(e,t){var n=function(e,t,n){if(n){var r=n(e,t);if("string"==typeof r)return r}return e}(e,t,l);if(!n)return f.current=void 0,S(""),N(""),D([]),C(!1),void V(!1);if(o&&B[n])S(n),N(n),D(B[n]),C(!1),V(!1);else{var r=f.current={};S(n),C(!0),V(!P),J(n,(function(e){h&&r===f.current&&(f.current=void 0,C(!1),N(n),D(e||[]),V(!1),H(e?En(En({},B),{},(0,vn.A)({},n,e)):B))}))}}),[o,J,P,B,l]),ee=F?[]:x&&P?j:v||[];return En(En({},d),{},{options:ee,isLoading:T||s,onInputChange:Z,filterOption:u})}var Ui=(0,g.forwardRef)((function(e,t){var n=wn($i(e));return g.createElement(_i,(0,Rn.A)({ref:t},n))})),Bi=["allowCreateWhileLoading","createOptionPosition","formatCreateLabel","isValidNewOption","getNewOptionData","onCreateOption","options","onChange"],Hi=function(){var e=arguments.length>1?arguments[1]:void 0,t=arguments.length>2?arguments[2]:void 0,n=String(arguments.length>0&&void 0!==arguments[0]?arguments[0]:"").toLowerCase(),r=String(t.getOptionValue(e)).toLowerCase(),o=String(t.getOptionLabel(e)).toLowerCase();return r===n||o===n},Wi={formatCreateLabel:function(e){return'Create "'.concat(e,'"')},isValidNewOption:function(e,t,n,r){return!(!e||t.some((function(t){return Hi(e,t,r)}))||n.some((function(t){return Hi(e,t,r)})))},getNewOptionData:function(e,t){return{label:t,value:e,__isNew__:!0}}};function zi(e){var t=e.allowCreateWhileLoading,n=void 0!==t&&t,r=e.createOptionPosition,o=void 0===r?"last":r,i=e.formatCreateLabel,a=void 0===i?Wi.formatCreateLabel:i,s=e.isValidNewOption,l=void 0===s?Wi.isValidNewOption:s,c=e.getNewOptionData,u=void 0===c?Wi.getNewOptionData:c,d=e.onCreateOption,p=e.options,f=void 0===p?[]:p,h=e.onChange,m=(0,xn.A)(e,Bi),b=m.getOptionValue,v=void 0===b?Ei:b,y=m.getOptionLabel,E=void 0===y?yi:y,O=m.inputValue,x=m.isLoading,S=m.isMulti,w=m.value,R=m.name,T=(0,g.useMemo)((function(){return l(O,Yr(w),f,{getOptionValue:v,getOptionLabel:E})?u(O,a(O)):void 0}),[a,u,E,v,O,l,f,w]),C=(0,g.useMemo)((function(){return!n&&x||!T?f:"first"===o?[T].concat((0,Ln.A)(f)):[].concat((0,Ln.A)(f),[T])}),[n,o,x,T,f]),I=(0,g.useCallback)((function(e,t){if("select-option"!==t.action)return h(e,t);var n=Array.isArray(e)?e:[e];if(n[n.length-1]!==T)h(e,t);else if(d)d(O);else{var r=u(O,O),o={action:"create-option",name:R,option:r};h(uo(S,[].concat((0,Ln.A)(Yr(w)),[r]),r),o)}}),[u,O,S,R,T,d,h,w]);return En(En({},m),{},{options:C,onChange:I})}var Gi=(0,g.forwardRef)((function(e,t){var n=zi(wn($i(e)));return g.createElement(_i,(0,Rn.A)({ref:t},n))})),qi=(0,g.forwardRef)((function(e,t){var n=zi(wn(e));return g.createElement(_i,(0,Rn.A)({ref:t},n))})),Xi=y(627),Ki=y.n(Xi),Yi=/\s([^'"/\s><]+?)[\s/>]|([^\s=]+)=\s?(".*?"|'.*?')/g;function Qi(e){var t={type:"tag",name:"",voidElement:!1,attrs:{},children:[]},n=e.match(/<\/?([^\s]+?)[/\s>]/);if(n&&(t.name=n[1],(Ki()[n[1]]||"/"===e.charAt(e.length-2))&&(t.voidElement=!0),t.name.startsWith("!--"))){var r=e.indexOf("--\x3e");return{type:"comment",comment:-1!==r?e.slice(4,r):""}}for(var o=new RegExp(Yi),i=null;null!==(i=o.exec(e));)if(i[0].trim())if(i[1]){var a=i[1].trim(),s=[a,""];a.indexOf("=")>-1&&(s=a.split("=")),t.attrs[s[0]]=s[1],o.lastIndex--}else i[2]&&(t.attrs[i[2]]=i[3].trim().substring(1,i[3].length-1));return t}var Ji=/<[a-zA-Z0-9\-\!\/](?:"[^"]*"|'[^']*'|[^'">])*>/g,Zi=/^\s*$/,ea=Object.create(null);function ta(e,t){switch(t.type){case"text":return e+t.content;case"tag":return e+="<"+t.name+(t.attrs?function(e){var t=[];for(var n in e)t.push(n+'="'+e[n]+'"');return t.length?" "+t.join(" "):""}(t.attrs):"")+(t.voidElement?"/>":">"),t.voidElement?e:e+t.children.reduce(ta,"")+"</"+t.name+">";case"comment":return e+"\x3c!--"+t.comment+"--\x3e"}}var na={parse:function(e,t){t||(t={}),t.components||(t.components=ea);var n,r=[],o=[],i=-1,a=!1;if(0!==e.indexOf("<")){var s=e.indexOf("<");r.push({type:"text",content:-1===s?e:e.substring(0,s)})}return e.replace(Ji,(function(s,l){if(a){if(s!=="</"+n.name+">")return;a=!1}var c,u="/"!==s.charAt(1),d=s.startsWith("\x3c!--"),p=l+s.length,f=e.charAt(p);if(d){var h=Qi(s);return i<0?(r.push(h),r):((c=o[i]).children.push(h),r)}if(u&&(i++,"tag"===(n=Qi(s)).type&&t.components[n.name]&&(n.type="component",a=!0),n.voidElement||a||!f||"<"===f||n.children.push({type:"text",content:e.slice(p,e.indexOf("<",p))}),0===i&&r.push(n),(c=o[i-1])&&c.children.push(n),o[i]=n),(!u||n.voidElement)&&(i>-1&&(n.voidElement||n.name===s.slice(2,-1))&&(i--,n=-1===i?r:o[i]),!a&&"<"!==f&&f)){c=-1===i?r:o[i].children;var g=e.indexOf("<",p),m=e.slice(p,-1===g?void 0:g);Zi.test(m)&&(m=" "),(g>-1&&i+c.length>=0||" "!==m)&&c.push({type:"text",content:m})}})),r},stringify:function(e){return e.reduce((function(e,t){return e+ta("",t)}),"")}};const ra=na,oa=(...e)=>{console?.warn&&(sa(e[0])&&(e[0]=`react-i18next:: ${e[0]}`),console.warn(...e))},ia={},aa=(...e)=>{sa(e[0])&&ia[e[0]]||(sa(e[0])&&(ia[e[0]]=new Date),oa(...e))},sa=e=>"string"==typeof e,la=e=>"object"==typeof e&&null!==e,ca=/&(?:amp|#38|lt|#60|gt|#62|apos|#39|quot|#34|nbsp|#160|copy|#169|reg|#174|hellip|#8230|#x2F|#47);/g,ua={"&amp;":"&","&#38;":"&","&lt;":"<","&#60;":"<","&gt;":">","&#62;":">","&apos;":"'","&#39;":"'","&quot;":'"',"&#34;":'"',"&nbsp;":" ","&#160;":" ","&copy;":"©","&#169;":"©","&reg;":"®","&#174;":"®","&hellip;":"…","&#8230;":"…","&#x2F;":"/","&#47;":"/"},da=e=>ua[e];let pa,fa={bindI18n:"languageChanged",bindI18nStore:"",transEmptyNodeValue:"",transSupportBasicHtmlNodes:!0,transWrapTextNodes:"",transKeepBasicHtmlNodesFor:["br","strong","i","p"],useSuspense:!0,unescape:e=>e.replace(ca,da)};const ha=()=>pa,ga=(e,t)=>{if(!e)return!1;const n=e.props?.children??e.children;return t?n.length>0:!!n},ma=e=>{if(!e)return[];const t=e.props?.children??e.children;return e.props?.i18nIsDynamicList?ba(t):t},ba=e=>Array.isArray(e)?e:[e],va=(e,t)=>{if(!e)return"";let n="";const r=ba(e),o=t?.transSupportBasicHtmlNodes?t.transKeepBasicHtmlNodesFor??[]:[];return r.forEach(((e,r)=>{if(sa(e))n+=`${e}`;else if((0,g.isValidElement)(e)){const{props:i,type:a}=e,s=Object.keys(i).length,l=o.indexOf(a)>-1,c=i.children;if(c||!l||s)if(!c&&(!l||s)||i.i18nIsDynamicList)n+=`<${r}></${r}>`;else if(l&&1===s&&sa(c))n+=`<${a}>${c}</${a}>`;else{const e=va(c,t);n+=`<${r}>${e}</${r}>`}else n+=`<${a}/>`}else if(null===e)oa("Trans: the passed in value is invalid - seems you passed in a null child.");else if(la(e)){const{format:t,...r}=e,o=Object.keys(r);if(1===o.length){const e=t?`${o[0]}, ${t}`:o[0];n+=`{{${e}}}`}else oa("react-i18next: the passed in object contained more than one variable - the object should look like {{ value, format }} where format is optional.",e)}else oa("Trans: the passed in value is invalid - seems you passed in a variable like {number} - please pass in variables for interpolation as full objects like {{number}}.",e)})),n},ya=(e,t,n)=>{const r=e.key||t,o=(0,g.cloneElement)(e,{key:r});return!o.props||!o.props.children||n.indexOf(`${t}/>`)<0&&n.indexOf(`${t} />`)<0?o:(0,g.createElement)((function(){return(0,g.createElement)(g.Fragment,null,o)}))},Ea={type:"3rdParty",init(e){((e={})=>{fa={...fa,...e}})(e.options.react),(e=>{pa=e})(e)}},Oa=(0,g.createContext)();function xa({children:e,count:t,parent:n,i18nKey:r,context:o,tOptions:i={},values:a,defaults:s,components:l,ns:c,i18n:u,t:d,shouldUnescape:p,...f}){const{i18n:h,defaultNS:m}=(0,g.useContext)(Oa)||{},b=u||h||ha(),v=d||b?.t.bind(b);return function({children:e,count:t,parent:n,i18nKey:r,context:o,tOptions:i={},values:a,defaults:s,components:l,ns:c,i18n:u,t:d,shouldUnescape:p,...f}){const h=u||ha();if(!h)return aa("You will need to pass in an i18next instance by using i18nextReactModule"),e;const m=d||h.t.bind(h)||(e=>e),b={...fa,...h.options?.react};let v=c||m.ns||h.options?.defaultNS;v=sa(v)?[v]:v||["translation"];const y=va(e,b),E=s||y||b.transEmptyNodeValue||r,{hashTransKey:O}=b,x=r||(O?O(y||E):y||E);h.options?.interpolation?.defaultVariables&&(a=a&&Object.keys(a).length>0?{...a,...h.options.interpolation.defaultVariables}:{...h.options.interpolation.defaultVariables});const S=a||void 0!==t&&!h.options?.interpolation?.alwaysFormat||!e?i.interpolation:{interpolation:{...i.interpolation,prefix:"#$?",suffix:"?$#"}},w={...i,context:o||i.context,count:t,...a,...S,defaultValue:E,ns:v},R=x?m(x,w):E,T=((e,t)=>e?Array.isArray(e)?((e,t)=>e.map(((e,n)=>ya(e,n,t))))(e,t):la(e)?((e,t)=>{const n={};return Object.keys(e).forEach((r=>{Object.assign(n,{[r]:ya(e[r],r,t)})})),n})(e,t):(aa("<Trans /> component prop expects an object or an array"),null):null)(l,R),C=((e,t,n,r,o,i)=>{if(""===t)return[];const a=r.transKeepBasicHtmlNodesFor||[],s=t&&new RegExp(a.map((e=>`<${e}`)).join("|")).test(t);if(!e&&!s&&!i)return[t];const l={},c=e=>{ba(e).forEach((e=>{sa(e)||(ga(e)?c(ma(e)):la(e)&&!(0,g.isValidElement)(e)&&Object.assign(l,e))}))};c(e);const u=ra.parse(`<0>${t}</0>`),d={...l,...o},p=(e,t,n)=>{const r=ma(e),o=h(r,t.children,n);return(e=>Array.isArray(e)&&e.every(g.isValidElement))(r)&&0===o.length||e.props?.i18nIsDynamicList?r:o},f=(e,t,n,r,o)=>{e.dummy?(e.children=t,n.push((0,g.cloneElement)(e,{key:r},o?void 0:t))):n.push(...g.Children.map([e],(e=>{const n={...e.props};return delete n.i18nIsDynamicList,(0,g.createElement)(e.type,{...n,key:r,ref:e.ref},o?null:t)})))},h=(t,o,l)=>{const c=ba(t);return ba(o).reduce(((t,o,u)=>{const m=o.children?.[0]?.content&&n.services.interpolator.interpolate(o.children[0].content,d,n.language);if("tag"===o.type){let i=c[parseInt(o.name,10)];1!==l.length||i||(i=l[0][o.name]),i||(i={});const b=0!==Object.keys(o.attrs).length?((e,t)=>{const n={...t};return n.props=Object.assign(e.props,t.props),n})({props:o.attrs},i):i,v=(0,g.isValidElement)(b),y=v&&ga(o,!0)&&!o.voidElement,E=s&&la(b)&&b.dummy&&!v,O=la(e)&&Object.hasOwnProperty.call(e,o.name);if(sa(b)){const e=n.services.interpolator.interpolate(b,d,n.language);t.push(e)}else if(ga(b)||y){const e=p(b,o,l);f(b,e,t,u)}else if(E){const e=h(c,o.children,l);f(b,e,t,u)}else if(Number.isNaN(parseFloat(o.name)))if(O){const e=p(b,o,l);f(b,e,t,u,o.voidElement)}else if(r.transSupportBasicHtmlNodes&&a.indexOf(o.name)>-1)if(o.voidElement)t.push((0,g.createElement)(o.name,{key:`${o.name}-${u}`}));else{const e=h(c,o.children,l);t.push((0,g.createElement)(o.name,{key:`${o.name}-${u}`},e))}else if(o.voidElement)t.push(`<${o.name} />`);else{const e=h(c,o.children,l);t.push(`<${o.name}>${e}</${o.name}>`)}else if(la(b)&&!v){const e=o.children[0]?m:null;e&&t.push(e)}else f(b,m,t,u,1!==o.children.length||!m)}else if("text"===o.type){const e=r.transWrapTextNodes,a=i?r.unescape(n.services.interpolator.interpolate(o.content,d,n.language)):n.services.interpolator.interpolate(o.content,d,n.language);e?t.push((0,g.createElement)(e,{key:`${o.name}-${u}`},a)):t.push(a)}return t}),[])},m=h([{dummy:!0,children:e||[]}],u,ba(e||[]));return ma(m[0])})(T||e,R,h,b,w,p),I=n??b.defaultTransParent;return I?(0,g.createElement)(I,f,C):C}({children:e,count:t,parent:n,i18nKey:r,context:o,tOptions:i,values:a,defaults:s,components:l,ns:c||v?.ns||m||b?.options?.defaultNS,i18n:b,t:d,shouldUnescape:p,...f})}function Sa(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function wa(){"object"!=typeof mn.options.resources&&mn.use(Ea).init({resources:{},returnEmptyString:!1,lng:"en-US"})}const Ra=e=>(wa(),(0,f.jsx)(xa,function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Sa(e,t,n[t])}))}return e}({},e))),Ta=mn.t,Ca=({className:e,inline:t=!1,iconClassName:n,style:r,size:o="md"})=>{const i=Ge(Ia),a=Ge(Aa,o),s=window.matchMedia("(prefers-reduced-motion: reduce)").matches?"hourglass":"spinner";if("string"!=typeof o||!["xs","sm","md","lg","xl","xxl","xxxl"].includes(o)){const n=`${bt()}${ht(s,"default")}/${s}.svg`;return(0,f.jsx)("div",{"data-testid":"Spinner",style:r,className:(0,h.cx)({[i.inline]:t},a.wrapper,e),children:(0,f.jsx)(dt,{src:n,width:o,height:o,className:(0,h.cx)(i.spin,a.icon,e),style:r})})}return(0,f.jsx)("div",{"data-testid":"Spinner",style:r,className:(0,h.cx)({[i.inline]:t},e),children:(0,f.jsx)(Et,{className:(0,h.cx)(i.spin,n),name:s,size:o,"aria-label":(wa(),Ta("grafana-ui.spinner.aria-label","Loading",undefined))})})},Ia=e=>({inline:(0,h.css)({display:"inline-block"}),spin:(0,h.css)({[e.transitions.handleMotion("no-preference")]:{animation:`${pt} 2s infinite linear`}})}),Aa=(e,t)=>({wrapper:(0,h.css)({fontSize:"string"==typeof t?t:`${t}px`}),icon:(0,h.css)({display:"inline-block",fill:"currentColor",flexShrink:0,label:"Icon",lineHeight:0,verticalAlign:"middle"})});function Pa(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Na=e=>{let t;return"data-testid"in e.selectProps&&e.selectProps["data-testid"]&&(t=e.selectProps["data-testid"]+"-input"),(0,f.jsx)(Fo.Input,(n=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Pa(e,t,n[t])}))}return e}({},e),r=null!=(r={"data-testid":t})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(r)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(r,e))})),n));var n,r};function La({selectProps:e}){const t=e.menuIsOpen,n=t?"search":"angle-down",r=t?"sm":"md";return(0,f.jsx)(Et,{name:n,size:r})}var ka=y(8145);function ja(e){return Be()(e)}function Da(e){return Da="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},Da(e)}var Ma=/^\s+/,_a=/\s+$/;function Fa(e,t){if(t=t||{},(e=e||"")instanceof Fa)return e;if(!(this instanceof Fa))return new Fa(e,t);var n=function(e){var t={r:0,g:0,b:0},n=1,r=null,o=null,i=null,a=!1,s=!1;return"string"==typeof e&&(e=function(e){e=e.replace(Ma,"").replace(_a,"").toLowerCase();var t,n=!1;if(ts[e])e=ts[e],n=!0;else if("transparent"==e)return{r:0,g:0,b:0,a:0,format:"name"};return(t=hs.rgb.exec(e))?{r:t[1],g:t[2],b:t[3]}:(t=hs.rgba.exec(e))?{r:t[1],g:t[2],b:t[3],a:t[4]}:(t=hs.hsl.exec(e))?{h:t[1],s:t[2],l:t[3]}:(t=hs.hsla.exec(e))?{h:t[1],s:t[2],l:t[3],a:t[4]}:(t=hs.hsv.exec(e))?{h:t[1],s:t[2],v:t[3]}:(t=hs.hsva.exec(e))?{h:t[1],s:t[2],v:t[3],a:t[4]}:(t=hs.hex8.exec(e))?{r:as(t[1]),g:as(t[2]),b:as(t[3]),a:us(t[4]),format:n?"name":"hex8"}:(t=hs.hex6.exec(e))?{r:as(t[1]),g:as(t[2]),b:as(t[3]),format:n?"name":"hex"}:(t=hs.hex4.exec(e))?{r:as(t[1]+""+t[1]),g:as(t[2]+""+t[2]),b:as(t[3]+""+t[3]),a:us(t[4]+""+t[4]),format:n?"name":"hex8"}:!!(t=hs.hex3.exec(e))&&{r:as(t[1]+""+t[1]),g:as(t[2]+""+t[2]),b:as(t[3]+""+t[3]),format:n?"name":"hex"}}(e)),"object"==Da(e)&&(gs(e.r)&&gs(e.g)&&gs(e.b)?(t=function(e,t,n){return{r:255*os(e,255),g:255*os(t,255),b:255*os(n,255)}}(e.r,e.g,e.b),a=!0,s="%"===String(e.r).substr(-1)?"prgb":"rgb"):gs(e.h)&&gs(e.s)&&gs(e.v)?(r=ls(e.s),o=ls(e.v),t=function(e,t,n){e=6*os(e,360),t=os(t,100),n=os(n,100);var r=Math.floor(e),o=e-r,i=n*(1-t),a=n*(1-o*t),s=n*(1-(1-o)*t),l=r%6;return{r:255*[n,a,i,i,s,n][l],g:255*[s,n,n,a,i,i][l],b:255*[i,i,s,n,n,a][l]}}(e.h,r,o),a=!0,s="hsv"):gs(e.h)&&gs(e.s)&&gs(e.l)&&(r=ls(e.s),i=ls(e.l),t=function(e,t,n){var r,o,i;function a(e,t,n){return n<0&&(n+=1),n>1&&(n-=1),n<1/6?e+6*(t-e)*n:n<.5?t:n<2/3?e+(t-e)*(2/3-n)*6:e}if(e=os(e,360),t=os(t,100),n=os(n,100),0===t)r=o=i=n;else{var s=n<.5?n*(1+t):n+t-n*t,l=2*n-s;r=a(l,s,e+1/3),o=a(l,s,e),i=a(l,s,e-1/3)}return{r:255*r,g:255*o,b:255*i}}(e.h,r,i),a=!0,s="hsl"),e.hasOwnProperty("a")&&(n=e.a)),n=rs(n),{ok:a,format:e.format||s,r:Math.min(255,Math.max(t.r,0)),g:Math.min(255,Math.max(t.g,0)),b:Math.min(255,Math.max(t.b,0)),a:n}}(e);this._originalInput=e,this._r=n.r,this._g=n.g,this._b=n.b,this._a=n.a,this._roundA=Math.round(100*this._a)/100,this._format=t.format||n.format,this._gradientType=t.gradientType,this._r<1&&(this._r=Math.round(this._r)),this._g<1&&(this._g=Math.round(this._g)),this._b<1&&(this._b=Math.round(this._b)),this._ok=n.ok}function Va(e,t,n){e=os(e,255),t=os(t,255),n=os(n,255);var r,o,i=Math.max(e,t,n),a=Math.min(e,t,n),s=(i+a)/2;if(i==a)r=o=0;else{var l=i-a;switch(o=s>.5?l/(2-i-a):l/(i+a),i){case e:r=(t-n)/l+(t<n?6:0);break;case t:r=(n-e)/l+2;break;case n:r=(e-t)/l+4}r/=6}return{h:r,s:o,l:s}}function $a(e,t,n){e=os(e,255),t=os(t,255),n=os(n,255);var r,o,i=Math.max(e,t,n),a=Math.min(e,t,n),s=i,l=i-a;if(o=0===i?0:l/i,i==a)r=0;else{switch(i){case e:r=(t-n)/l+(t<n?6:0);break;case t:r=(n-e)/l+2;break;case n:r=(e-t)/l+4}r/=6}return{h:r,s:o,v:s}}function Ua(e,t,n,r){var o=[ss(Math.round(e).toString(16)),ss(Math.round(t).toString(16)),ss(Math.round(n).toString(16))];return r&&o[0].charAt(0)==o[0].charAt(1)&&o[1].charAt(0)==o[1].charAt(1)&&o[2].charAt(0)==o[2].charAt(1)?o[0].charAt(0)+o[1].charAt(0)+o[2].charAt(0):o.join("")}function Ba(e,t,n,r){return[ss(cs(r)),ss(Math.round(e).toString(16)),ss(Math.round(t).toString(16)),ss(Math.round(n).toString(16))].join("")}function Ha(e,t){t=0===t?0:t||10;var n=Fa(e).toHsl();return n.s-=t/100,n.s=is(n.s),Fa(n)}function Wa(e,t){t=0===t?0:t||10;var n=Fa(e).toHsl();return n.s+=t/100,n.s=is(n.s),Fa(n)}function za(e){return Fa(e).desaturate(100)}function Ga(e,t){t=0===t?0:t||10;var n=Fa(e).toHsl();return n.l+=t/100,n.l=is(n.l),Fa(n)}function qa(e,t){t=0===t?0:t||10;var n=Fa(e).toRgb();return n.r=Math.max(0,Math.min(255,n.r-Math.round(-t/100*255))),n.g=Math.max(0,Math.min(255,n.g-Math.round(-t/100*255))),n.b=Math.max(0,Math.min(255,n.b-Math.round(-t/100*255))),Fa(n)}function Xa(e,t){t=0===t?0:t||10;var n=Fa(e).toHsl();return n.l-=t/100,n.l=is(n.l),Fa(n)}function Ka(e,t){var n=Fa(e).toHsl(),r=(n.h+t)%360;return n.h=r<0?360+r:r,Fa(n)}function Ya(e){var t=Fa(e).toHsl();return t.h=(t.h+180)%360,Fa(t)}function Qa(e,t){if(isNaN(t)||t<=0)throw new Error("Argument to polyad must be a positive number");for(var n=Fa(e).toHsl(),r=[Fa(e)],o=360/t,i=1;i<t;i++)r.push(Fa({h:(n.h+i*o)%360,s:n.s,l:n.l}));return r}function Ja(e){var t=Fa(e).toHsl(),n=t.h;return[Fa(e),Fa({h:(n+72)%360,s:t.s,l:t.l}),Fa({h:(n+216)%360,s:t.s,l:t.l})]}function Za(e,t,n){t=t||6,n=n||30;var r=Fa(e).toHsl(),o=360/n,i=[Fa(e)];for(r.h=(r.h-(o*t>>1)+720)%360;--t;)r.h=(r.h+o)%360,i.push(Fa(r));return i}function es(e,t){t=t||6;for(var n=Fa(e).toHsv(),r=n.h,o=n.s,i=n.v,a=[],s=1/t;t--;)a.push(Fa({h:r,s:o,v:i})),i=(i+s)%1;return a}Fa.prototype={isDark:function(){return this.getBrightness()<128},isLight:function(){return!this.isDark()},isValid:function(){return this._ok},getOriginalInput:function(){return this._originalInput},getFormat:function(){return this._format},getAlpha:function(){return this._a},getBrightness:function(){var e=this.toRgb();return(299*e.r+587*e.g+114*e.b)/1e3},getLuminance:function(){var e,t,n,r=this.toRgb();return e=r.r/255,t=r.g/255,n=r.b/255,.2126*(e<=.03928?e/12.92:Math.pow((e+.055)/1.055,2.4))+.7152*(t<=.03928?t/12.92:Math.pow((t+.055)/1.055,2.4))+.0722*(n<=.03928?n/12.92:Math.pow((n+.055)/1.055,2.4))},setAlpha:function(e){return this._a=rs(e),this._roundA=Math.round(100*this._a)/100,this},toHsv:function(){var e=$a(this._r,this._g,this._b);return{h:360*e.h,s:e.s,v:e.v,a:this._a}},toHsvString:function(){var e=$a(this._r,this._g,this._b),t=Math.round(360*e.h),n=Math.round(100*e.s),r=Math.round(100*e.v);return 1==this._a?"hsv("+t+", "+n+"%, "+r+"%)":"hsva("+t+", "+n+"%, "+r+"%, "+this._roundA+")"},toHsl:function(){var e=Va(this._r,this._g,this._b);return{h:360*e.h,s:e.s,l:e.l,a:this._a}},toHslString:function(){var e=Va(this._r,this._g,this._b),t=Math.round(360*e.h),n=Math.round(100*e.s),r=Math.round(100*e.l);return 1==this._a?"hsl("+t+", "+n+"%, "+r+"%)":"hsla("+t+", "+n+"%, "+r+"%, "+this._roundA+")"},toHex:function(e){return Ua(this._r,this._g,this._b,e)},toHexString:function(e){return"#"+this.toHex(e)},toHex8:function(e){return function(e,t,n,r,o){var i=[ss(Math.round(e).toString(16)),ss(Math.round(t).toString(16)),ss(Math.round(n).toString(16)),ss(cs(r))];return o&&i[0].charAt(0)==i[0].charAt(1)&&i[1].charAt(0)==i[1].charAt(1)&&i[2].charAt(0)==i[2].charAt(1)&&i[3].charAt(0)==i[3].charAt(1)?i[0].charAt(0)+i[1].charAt(0)+i[2].charAt(0)+i[3].charAt(0):i.join("")}(this._r,this._g,this._b,this._a,e)},toHex8String:function(e){return"#"+this.toHex8(e)},toRgb:function(){return{r:Math.round(this._r),g:Math.round(this._g),b:Math.round(this._b),a:this._a}},toRgbString:function(){return 1==this._a?"rgb("+Math.round(this._r)+", "+Math.round(this._g)+", "+Math.round(this._b)+")":"rgba("+Math.round(this._r)+", "+Math.round(this._g)+", "+Math.round(this._b)+", "+this._roundA+")"},toPercentageRgb:function(){return{r:Math.round(100*os(this._r,255))+"%",g:Math.round(100*os(this._g,255))+"%",b:Math.round(100*os(this._b,255))+"%",a:this._a}},toPercentageRgbString:function(){return 1==this._a?"rgb("+Math.round(100*os(this._r,255))+"%, "+Math.round(100*os(this._g,255))+"%, "+Math.round(100*os(this._b,255))+"%)":"rgba("+Math.round(100*os(this._r,255))+"%, "+Math.round(100*os(this._g,255))+"%, "+Math.round(100*os(this._b,255))+"%, "+this._roundA+")"},toName:function(){return 0===this._a?"transparent":!(this._a<1)&&(ns[Ua(this._r,this._g,this._b,!0)]||!1)},toFilter:function(e){var t="#"+Ba(this._r,this._g,this._b,this._a),n=t,r=this._gradientType?"GradientType = 1, ":"";if(e){var o=Fa(e);n="#"+Ba(o._r,o._g,o._b,o._a)}return"progid:DXImageTransform.Microsoft.gradient("+r+"startColorstr="+t+",endColorstr="+n+")"},toString:function(e){var t=!!e;e=e||this._format;var n=!1,r=this._a<1&&this._a>=0;return t||!r||"hex"!==e&&"hex6"!==e&&"hex3"!==e&&"hex4"!==e&&"hex8"!==e&&"name"!==e?("rgb"===e&&(n=this.toRgbString()),"prgb"===e&&(n=this.toPercentageRgbString()),"hex"!==e&&"hex6"!==e||(n=this.toHexString()),"hex3"===e&&(n=this.toHexString(!0)),"hex4"===e&&(n=this.toHex8String(!0)),"hex8"===e&&(n=this.toHex8String()),"name"===e&&(n=this.toName()),"hsl"===e&&(n=this.toHslString()),"hsv"===e&&(n=this.toHsvString()),n||this.toHexString()):"name"===e&&0===this._a?this.toName():this.toRgbString()},clone:function(){return Fa(this.toString())},_applyModification:function(e,t){var n=e.apply(null,[this].concat([].slice.call(t)));return this._r=n._r,this._g=n._g,this._b=n._b,this.setAlpha(n._a),this},lighten:function(){return this._applyModification(Ga,arguments)},brighten:function(){return this._applyModification(qa,arguments)},darken:function(){return this._applyModification(Xa,arguments)},desaturate:function(){return this._applyModification(Ha,arguments)},saturate:function(){return this._applyModification(Wa,arguments)},greyscale:function(){return this._applyModification(za,arguments)},spin:function(){return this._applyModification(Ka,arguments)},_applyCombination:function(e,t){return e.apply(null,[this].concat([].slice.call(t)))},analogous:function(){return this._applyCombination(Za,arguments)},complement:function(){return this._applyCombination(Ya,arguments)},monochromatic:function(){return this._applyCombination(es,arguments)},splitcomplement:function(){return this._applyCombination(Ja,arguments)},triad:function(){return this._applyCombination(Qa,[3])},tetrad:function(){return this._applyCombination(Qa,[4])}},Fa.fromRatio=function(e,t){if("object"==Da(e)){var n={};for(var r in e)e.hasOwnProperty(r)&&(n[r]="a"===r?e[r]:ls(e[r]));e=n}return Fa(e,t)},Fa.equals=function(e,t){return!(!e||!t)&&Fa(e).toRgbString()==Fa(t).toRgbString()},Fa.random=function(){return Fa.fromRatio({r:Math.random(),g:Math.random(),b:Math.random()})},Fa.mix=function(e,t,n){n=0===n?0:n||50;var r=Fa(e).toRgb(),o=Fa(t).toRgb(),i=n/100;return Fa({r:(o.r-r.r)*i+r.r,g:(o.g-r.g)*i+r.g,b:(o.b-r.b)*i+r.b,a:(o.a-r.a)*i+r.a})},Fa.readability=function(e,t){var n=Fa(e),r=Fa(t);return(Math.max(n.getLuminance(),r.getLuminance())+.05)/(Math.min(n.getLuminance(),r.getLuminance())+.05)},Fa.isReadable=function(e,t,n){var r,o,i,a,s,l=Fa.readability(e,t);switch(o=!1,"AA"!==(a=((i=(i=n)||{level:"AA",size:"small"}).level||"AA").toUpperCase())&&"AAA"!==a&&(a="AA"),"small"!==(s=(i.size||"small").toLowerCase())&&"large"!==s&&(s="small"),(r={level:a,size:s}).level+r.size){case"AAsmall":case"AAAlarge":o=l>=4.5;break;case"AAlarge":o=l>=3;break;case"AAAsmall":o=l>=7}return o},Fa.mostReadable=function(e,t,n){var r,o,i,a,s=null,l=0;o=(n=n||{}).includeFallbackColors,i=n.level,a=n.size;for(var c=0;c<t.length;c++)(r=Fa.readability(e,t[c]))>l&&(l=r,s=Fa(t[c]));return Fa.isReadable(e,s,{level:i,size:a})||!o?s:(n.includeFallbackColors=!1,Fa.mostReadable(e,["#fff","#000"],n))};var ts=Fa.names={aliceblue:"f0f8ff",antiquewhite:"faebd7",aqua:"0ff",aquamarine:"7fffd4",azure:"f0ffff",beige:"f5f5dc",bisque:"ffe4c4",black:"000",blanchedalmond:"ffebcd",blue:"00f",blueviolet:"8a2be2",brown:"a52a2a",burlywood:"deb887",burntsienna:"ea7e5d",cadetblue:"5f9ea0",chartreuse:"7fff00",chocolate:"d2691e",coral:"ff7f50",cornflowerblue:"6495ed",cornsilk:"fff8dc",crimson:"dc143c",cyan:"0ff",darkblue:"00008b",darkcyan:"008b8b",darkgoldenrod:"b8860b",darkgray:"a9a9a9",darkgreen:"006400",darkgrey:"a9a9a9",darkkhaki:"bdb76b",darkmagenta:"8b008b",darkolivegreen:"556b2f",darkorange:"ff8c00",darkorchid:"9932cc",darkred:"8b0000",darksalmon:"e9967a",darkseagreen:"8fbc8f",darkslateblue:"483d8b",darkslategray:"2f4f4f",darkslategrey:"2f4f4f",darkturquoise:"00ced1",darkviolet:"9400d3",deeppink:"ff1493",deepskyblue:"00bfff",dimgray:"696969",dimgrey:"696969",dodgerblue:"1e90ff",firebrick:"b22222",floralwhite:"fffaf0",forestgreen:"228b22",fuchsia:"f0f",gainsboro:"dcdcdc",ghostwhite:"f8f8ff",gold:"ffd700",goldenrod:"daa520",gray:"808080",green:"008000",greenyellow:"adff2f",grey:"808080",honeydew:"f0fff0",hotpink:"ff69b4",indianred:"cd5c5c",indigo:"4b0082",ivory:"fffff0",khaki:"f0e68c",lavender:"e6e6fa",lavenderblush:"fff0f5",lawngreen:"7cfc00",lemonchiffon:"fffacd",lightblue:"add8e6",lightcoral:"f08080",lightcyan:"e0ffff",lightgoldenrodyellow:"fafad2",lightgray:"d3d3d3",lightgreen:"90ee90",lightgrey:"d3d3d3",lightpink:"ffb6c1",lightsalmon:"ffa07a",lightseagreen:"20b2aa",lightskyblue:"87cefa",lightslategray:"789",lightslategrey:"789",lightsteelblue:"b0c4de",lightyellow:"ffffe0",lime:"0f0",limegreen:"32cd32",linen:"faf0e6",magenta:"f0f",maroon:"800000",mediumaquamarine:"66cdaa",mediumblue:"0000cd",mediumorchid:"ba55d3",mediumpurple:"9370db",mediumseagreen:"3cb371",mediumslateblue:"7b68ee",mediumspringgreen:"00fa9a",mediumturquoise:"48d1cc",mediumvioletred:"c71585",midnightblue:"191970",mintcream:"f5fffa",mistyrose:"ffe4e1",moccasin:"ffe4b5",navajowhite:"ffdead",navy:"000080",oldlace:"fdf5e6",olive:"808000",olivedrab:"6b8e23",orange:"ffa500",orangered:"ff4500",orchid:"da70d6",palegoldenrod:"eee8aa",palegreen:"98fb98",paleturquoise:"afeeee",palevioletred:"db7093",papayawhip:"ffefd5",peachpuff:"ffdab9",peru:"cd853f",pink:"ffc0cb",plum:"dda0dd",powderblue:"b0e0e6",purple:"800080",rebeccapurple:"663399",red:"f00",rosybrown:"bc8f8f",royalblue:"4169e1",saddlebrown:"8b4513",salmon:"fa8072",sandybrown:"f4a460",seagreen:"2e8b57",seashell:"fff5ee",sienna:"a0522d",silver:"c0c0c0",skyblue:"87ceeb",slateblue:"6a5acd",slategray:"708090",slategrey:"708090",snow:"fffafa",springgreen:"00ff7f",steelblue:"4682b4",tan:"d2b48c",teal:"008080",thistle:"d8bfd8",tomato:"ff6347",turquoise:"40e0d0",violet:"ee82ee",wheat:"f5deb3",white:"fff",whitesmoke:"f5f5f5",yellow:"ff0",yellowgreen:"9acd32"},ns=Fa.hexNames=function(e){var t={};for(var n in e)e.hasOwnProperty(n)&&(t[e[n]]=n);return t}(ts);function rs(e){return e=parseFloat(e),(isNaN(e)||e<0||e>1)&&(e=1),e}function os(e,t){(function(e){return"string"==typeof e&&-1!=e.indexOf(".")&&1===parseFloat(e)})(e)&&(e="100%");var n=function(e){return"string"==typeof e&&-1!=e.indexOf("%")}(e);return e=Math.min(t,Math.max(0,parseFloat(e))),n&&(e=parseInt(e*t,10)/100),Math.abs(e-t)<1e-6?1:e%t/parseFloat(t)}function is(e){return Math.min(1,Math.max(0,e))}function as(e){return parseInt(e,16)}function ss(e){return 1==e.length?"0"+e:""+e}function ls(e){return e<=1&&(e=100*e+"%"),e}function cs(e){return Math.round(255*parseFloat(e)).toString(16)}function us(e){return as(e)/255}var ds,ps,fs,hs=(ps="[\\s|\\(]+("+(ds="(?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?)")+")[,|\\s]+("+ds+")[,|\\s]+("+ds+")\\s*\\)?",fs="[\\s|\\(]+("+ds+")[,|\\s]+("+ds+")[,|\\s]+("+ds+")[,|\\s]+("+ds+")\\s*\\)?",{CSS_UNIT:new RegExp(ds),rgb:new RegExp("rgb"+ps),rgba:new RegExp("rgba"+fs),hsl:new RegExp("hsl"+ps),hsla:new RegExp("hsla"+fs),hsv:new RegExp("hsv"+ps),hsva:new RegExp("hsva"+fs),hex3:/^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex6:/^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/,hex4:/^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex8:/^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/});function gs(e){return!!hs.CSS_UNIT.exec(e)}function ms(e){return{outline:"2px dotted transparent",outlineOffset:"2px",boxShadow:`0 0 0 2px ${e.colors.background.canvas}, 0 0 0px 4px ${e.colors.primary.main}`,transitionTimingFunction:"cubic-bezier(0.19, 1, 0.22, 1)",transitionDuration:"0.2s",transitionProperty:"outline, outline-offset, box-shadow"}}const bs=e=>(0,h.css)({"&:focus":ms(e)}),vs=(e,t=!1)=>{const n=t?e.colors.error.border:e.components.input.borderColor,r=t?e.colors.error.shade:e.components.input.borderHover,o=e.components.input.background,i=e.components.input.text,a=e.isDark?"#2e2f35":"#bab4ca";return(0,h.cx)(ys(e),(0,h.css)({background:o,lineHeight:e.typography.body.lineHeight,fontSize:e.typography.size.md,color:i,border:`1px solid ${n}`,"&:-webkit-autofill, &:-webkit-autofill:hover":{boxShadow:`inset 0 0 0 1px rgba(255, 255, 255, 0), inset 0 0 0 100px ${o}!important`,WebkitTextFillColor:`${i} !important`,borderColor:a},"&:-webkit-autofill:focus":{boxShadow:`0 0 0 2px ${e.colors.background.primary}, 0 0 0px 4px ${e.colors.primary.main}, inset 0 0 0 1px rgba(255, 255, 255, 0), inset 0 0 0 100px ${o}!important`,WebkitTextFillColor:`${i} !important`},"&:hover":{borderColor:r},"&:focus":{outline:"none"},"&:disabled":{backgroundColor:e.colors.action.disabledBackground,color:e.colors.action.disabledText,border:`1px solid ${e.colors.action.disabledBackground}`,"&:hover":{borderColor:n}},"&::placeholder":{color:e.colors.text.disabled,opacity:1}}))},ys=e=>(0,h.css)({padding:e.spacing(0,1,0,1)}),Es=b().createContext(!1);function Os(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function xs(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Os(e,t,n[t])}))}return e}Es.displayName="AutoSizeInputContext";const Ss=(0,g.forwardRef)(((e,t)=>{const{className:n,addonAfter:r,addonBefore:o,prefix:i,suffix:a,invalid:s,loading:l,width:c=0}=e,u=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["className","addonAfter","addonBefore","prefix","suffix","invalid","loading","width"]),[d,p]=(0,ka.A)(),[m,b]=(0,ka.A)(),v=(0,g.useContext)(Es),y=(p.width||0)+(b.width||0),E=v&&c?c+y/8:c,O=ze(),x=ws({theme:O,invalid:!!s,width:E}),S=a||l&&(0,f.jsx)(Ca,{inline:!0});return(0,f.jsxs)("div",{className:(0,h.cx)(x.wrapper,n),"data-testid":"input-wrapper",children:[!!o&&(0,f.jsx)("div",{className:x.addon,children:o}),(0,f.jsxs)("div",{className:x.inputWrapper,children:[i&&(0,f.jsx)("div",{className:x.prefix,ref:d,children:i}),(0,f.jsx)("input",(w=xs({ref:t,className:x.input},u),R={style:{paddingLeft:i?p.width+12:void 0,paddingRight:S||l?b.width+12:void 0}},R=null!=R?R:{},Object.getOwnPropertyDescriptors?Object.defineProperties(w,Object.getOwnPropertyDescriptors(R)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(R)).forEach((function(e){Object.defineProperty(w,e,Object.getOwnPropertyDescriptor(R,e))})),w)),S&&(0,f.jsx)("div",{className:x.suffix,ref:m,children:S})]}),!!r&&(0,f.jsx)("div",{className:x.addon,children:r})]});var w,R}));Ss.displayName="Input";const ws=ja((({theme:e,invalid:t=!1,width:n})=>{const r="28px",o=(0,h.css)({position:"absolute",top:0,zIndex:1,display:"flex",alignItems:"center",justifyContent:"center",flexGrow:0,flexShrink:0,fontSize:e.typography.size.md,height:"100%",minWidth:r,color:e.colors.text.secondary});return{wrapper:(0,h.cx)((0,h.css)({label:"input-wrapper",display:"flex",width:n?e.spacing(n):"100%",height:e.spacing(e.components.height.md),borderRadius:e.shape.radius.default,"&:hover":{"> .prefix, .suffix, .input":{borderColor:t?e.colors.error.border:e.colors.primary.border},"input[type='number']":{appearance:"textfield"},"input[type='number']::-webkit-inner-spin-button, input[type='number']::-webkit-outer-spin-button":{WebkitAppearance:"inner-spin-button !important",opacity:1}}})),inputWrapper:(0,h.css)({label:"input-inputWrapper",position:"relative",flexGrow:1,zIndex:1,"&:not(:first-child):last-child":{"> input":{borderLeft:"none",borderTopLeftRadius:0,borderBottomLeftRadius:0}},"&:first-child:not(:last-child)":{"> input":{borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0}},"&:not(:first-child):not(:last-child)":{"> input":{borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0,borderTopLeftRadius:0,borderBottomLeftRadius:0}},input:{"&:not(:first-child)":{paddingLeft:r},"&:not(:last-child)":{paddingRight:r},"&[readonly]":{cursor:"default"}}}),input:(0,h.cx)(bs(e),vs(e,t),(0,h.css)({label:"input-input",position:"relative",zIndex:0,flexGrow:1,borderRadius:e.shape.radius.default,height:"100%",width:"100%"})),inputDisabled:(0,h.css)({backgroundColor:e.colors.action.disabledBackground,color:e.colors.action.disabledText,border:`1px solid ${e.colors.action.disabledBackground}`,"&:focus":{boxShadow:"none"}}),addon:(0,h.css)({label:"input-addon",display:"flex",justifyContent:"center",alignItems:"center",flexGrow:0,flexShrink:0,position:"relative","&:first-child":{borderTopRightRadius:0,borderBottomRightRadius:0,"> :last-child":{borderTopRightRadius:0,borderBottomRightRadius:0}},"&:last-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0,"> :first-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0}},"> *:focus":{zIndex:2}}),prefix:(0,h.cx)(o,(0,h.css)({label:"input-prefix",paddingLeft:e.spacing(1),paddingRight:e.spacing(.5),borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0})),suffix:(0,h.cx)(o,(0,h.css)({label:"input-suffix",paddingLeft:e.spacing(1),paddingRight:e.spacing(1),marginBottom:"-2px",borderLeft:"none",borderTopLeftRadius:0,borderBottomLeftRadius:0,right:0})),loadingIndicator:(0,h.css)({"& + *":{marginLeft:e.spacing(.5)}})}})),Rs=(0,g.forwardRef)(((e,t)=>{const{children:n}=e,r=ze(),o=ws({theme:r,invalid:!1});return(0,f.jsx)("div",{className:(0,h.cx)(o.suffix,(0,h.css)({position:"relative"})),ref:t,children:n})}));function Ts(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}Rs.displayName="IndicatorsContainer";const Cs=(0,g.forwardRef)((function(e,t){var{focused:n,invalid:r,disabled:o,children:i,innerProps:a,prefix:s}=e;!function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}}(e,["focused","invalid","disabled","children","innerProps","prefix"]);const l=Ge(Is,r,!!s);return(0,f.jsxs)("div",(c=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ts(e,t,n[t])}))}return e}({className:l.input},a),u=null!=(u={ref:t,children:[s&&(0,f.jsx)("div",{className:(0,h.cx)(l.prefix),children:s}),i]})?u:{},Object.getOwnPropertyDescriptors?Object.defineProperties(c,Object.getOwnPropertyDescriptors(u)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(u)).forEach((function(e){Object.defineProperty(c,e,Object.getOwnPropertyDescriptor(u,e))})),c));var c,u})),Is=(e,t,n)=>{const r=ws({theme:e,invalid:t});return{input:(0,h.cx)(ys(e),(0,h.css)({width:"100%",maxWidth:"100%",display:"flex",flexDirection:"row",alignItems:"center",flexWrap:"wrap",justifyContent:"space-between",paddingRight:0,position:"relative",boxSizing:"border-box"}),n&&(0,h.css)({paddingLeft:0})),prefix:(0,h.cx)(r.prefix,(0,h.css)({position:"relative"}))}};var As="undefined"!=typeof document?g.useLayoutEffect:g.useEffect;function Ps(e,t){if(e===t)return!0;if(typeof e!=typeof t)return!1;if("function"==typeof e&&e.toString()===t.toString())return!0;let n,r,o;if(e&&t&&"object"==typeof e){if(Array.isArray(e)){if(n=e.length,n!==t.length)return!1;for(r=n;0!=r--;)if(!Ps(e[r],t[r]))return!1;return!0}if(o=Object.keys(e),n=o.length,n!==Object.keys(t).length)return!1;for(r=n;0!=r--;)if(!{}.hasOwnProperty.call(t,o[r]))return!1;for(r=n;0!=r--;){const n=o[r];if(!("_owner"===n&&e.$$typeof||Ps(e[n],t[n])))return!1}return!0}return e!=e&&t!=t}function Ns(e){return"undefined"==typeof window?1:(e.ownerDocument.defaultView||window).devicePixelRatio||1}function Ls(e,t){const n=Ns(e);return Math.round(t*n)/n}function ks(e){const t=g.useRef(e);return As((()=>{t.current=e})),t}const js=e=>({name:"arrow",options:e,fn(t){const{element:n,padding:r}="function"==typeof e?e(t):e;return n&&(o=n,{}.hasOwnProperty.call(o,"current"))?null!=n.current?Hr({element:n.current,padding:r}).fn(t):{}:n?Hr({element:n,padding:r}).fn(t):{};var o}}),Ds=(e,t)=>({...$r(e),options:[e,t]}),Ms=(e,t)=>({...Ur(e),options:[e,t]}),_s=(e,t)=>({...Br(e),options:[e,t]}),Fs=(e,t)=>({...js(e),options:[e,t]});function Vs(e){let t=e.activeElement;for(;null!=(null==(n=t)||null==(n=n.shadowRoot)?void 0:n.activeElement);){var n;t=t.shadowRoot.activeElement}return t}function $s(e,t){if(!e||!t)return!1;const n=null==t.getRootNode?void 0:t.getRootNode();if(e.contains(t))return!0;if(n&&dr(n)){let n=t;for(;n;){if(e===n)return!0;n=n.parentNode||n.host}}return!1}function Us(){const e=navigator.userAgentData;return null!=e&&e.platform?e.platform:navigator.platform}function Bs(){const e=navigator.userAgentData;return e&&Array.isArray(e.brands)?e.brands.map((e=>{let{brand:t,version:n}=e;return t+"/"+n})).join(" "):navigator.userAgent}function Hs(){const e=/android/i;return e.test(Us())||e.test(Bs())}function Ws(e,t){const n=["mouse","pen"];return t||n.push("",void 0),n.includes(e)}function zs(e){return(null==e?void 0:e.ownerDocument)||document}function Gs(e,t){if(null==t)return!1;if("composedPath"in e)return e.composedPath().includes(t);const n=e;return null!=n.target&&t.contains(n.target)}function qs(e){return"composedPath"in e?e.composedPath()[0]:e.target}const Xs={...m},Ks=Xs.useInsertionEffect||(e=>e());function Ys(e){const t=g.useRef((()=>{}));return Ks((()=>{t.current=e})),g.useCallback((function(){for(var e=arguments.length,n=new Array(e),r=0;r<e;r++)n[r]=arguments[r];return null==t.current?void 0:t.current(...n)}),[])}var Qs="undefined"!=typeof document?g.useLayoutEffect:g.useEffect;let Js=!1,Zs=0;const el=()=>"floating-ui-"+Math.random().toString(36).slice(2,6)+Zs++,tl=Xs.useId||function(){const[e,t]=g.useState((()=>Js?el():void 0));return Qs((()=>{null==e&&t(el())}),[]),g.useEffect((()=>{Js=!0}),[]),e},nl=g.forwardRef((function(e,t){const{context:{placement:n,elements:{floating:r},middlewareData:{arrow:o,shift:i}},width:a=14,height:s=7,tipRadius:l=0,strokeWidth:c=0,staticOffset:u,stroke:d,d:p,style:{transform:h,...m}={},...b}=e,v=tl(),[y,E]=g.useState(!1);if(Qs((()=>{r&&"rtl"===vr(r).direction&&E(!0)}),[r]),!r)return null;const[O,x]=n.split("-"),S="top"===O||"bottom"===O;let w=u;(S&&null!=i&&i.x||!S&&null!=i&&i.y)&&(w=null);const R=2*c,T=R/2,C=a/2*(l/-8+1),I=s/2*l/4,A=!!p,P=w&&"end"===x?"bottom":"top";let N=w&&"end"===x?"right":"left";w&&y&&(N="end"===x?"left":"right");const L=null!=(null==o?void 0:o.x)?w||o.x:"",k=null!=(null==o?void 0:o.y)?w||o.y:"",j=p||"M0,0 H"+a+" L"+(a-C)+","+(s-I)+" Q"+a/2+","+s+" "+C+","+(s-I)+" Z",D={top:A?"rotate(180deg)":"",left:A?"rotate(90deg)":"rotate(-90deg)",bottom:A?"":"rotate(180deg)",right:A?"rotate(-90deg)":"rotate(90deg)"}[O];return(0,f.jsxs)("svg",{...b,"aria-hidden":!0,ref:t,width:A?a:a+R,height:a,viewBox:"0 0 "+a+" "+(s>a?s:a),style:{position:"absolute",pointerEvents:"none",[N]:L,[P]:k,[O]:S||A?"100%":"calc(100% - "+R/2+"px)",transform:[D,h].filter((e=>!!e)).join(" "),...m},children:[R>0&&(0,f.jsx)("path",{clipPath:"url(#"+v+")",fill:"none",stroke:d,strokeWidth:R+(p?0:1),d:j}),(0,f.jsx)("path",{stroke:R&&!p?b.fill:"none",d:j}),(0,f.jsx)("clipPath",{id:v,children:(0,f.jsx)("rect",{x:-T,y:T*(A?-1:1),width:a+R,height:a})})]})}));const rl=g.createContext(null),ol=g.createContext(null),il=()=>{var e;return(null==(e=g.useContext(rl))?void 0:e.id)||null},al=()=>g.useContext(ol);function sl(e){return"data-floating-ui-"+e}function ll(e){const t=(0,g.useRef)(e);return Qs((()=>{t.current=e})),t}const cl=sl("safe-polygon");function ul(e,t,n){return n&&!Ws(n)?0:"number"==typeof e?e:null==e?void 0:e[t]}function dl(e,t){let n=e.filter((e=>{var n;return e.parentId===t&&(null==(n=e.context)?void 0:n.open)})),r=n;for(;r.length;)r=e.filter((e=>{var t;return null==(t=r)?void 0:t.some((t=>{var n;return e.parentId===t.id&&(null==(n=e.context)?void 0:n.open)}))})),n=n.concat(r);return n}const pl="data-floating-ui-focusable",fl={pointerdown:"onPointerDown",mousedown:"onMouseDown",click:"onClick"},hl={pointerdown:"onPointerDownCapture",mousedown:"onMouseDownCapture",click:"onClickCapture"},gl=e=>{var t,n;return{escapeKey:"boolean"==typeof e?e:null!=(t=null==e?void 0:e.escapeKey)&&t,outsidePress:"boolean"==typeof e?e:null==(n=null==e?void 0:e.outsidePress)||n}};function ml(e){void 0===e&&(e={});const{nodeId:t}=e,n=function(e){const{open:t=!1,onOpenChange:n,elements:r}=e,o=tl(),i=g.useRef({}),[a]=g.useState((()=>function(){const e=new Map;return{emit(t,n){var r;null==(r=e.get(t))||r.forEach((e=>e(n)))},on(t,n){e.set(t,[...e.get(t)||[],n])},off(t,n){var r;e.set(t,(null==(r=e.get(t))?void 0:r.filter((e=>e!==n)))||[])}}}())),s=null!=il(),[l,c]=g.useState(r.reference),u=Ys(((e,t,r)=>{i.current.openEvent=e?t:void 0,a.emit("openchange",{open:e,event:t,reason:r,nested:s}),null==n||n(e,t,r)})),d=g.useMemo((()=>({setPositionReference:c})),[]),p=g.useMemo((()=>({reference:l||r.reference||null,floating:r.floating||null,domReference:r.reference})),[l,r.reference,r.floating]);return g.useMemo((()=>({dataRef:i,open:t,onOpenChange:u,elements:p,events:a,floatingId:o,refs:d})),[t,u,p,a,o,d])}({...e,elements:{reference:null,floating:null,...e.elements}}),r=e.rootContext||n,o=r.elements,[i,a]=g.useState(null),[s,l]=g.useState(null),c=(null==o?void 0:o.domReference)||i,u=g.useRef(null),d=al();Qs((()=>{c&&(u.current=c)}),[c]);const p=function(e){void 0===e&&(e={});const{placement:t="bottom",strategy:n="absolute",middleware:r=[],platform:o,elements:{reference:i,floating:a}={},transform:s=!0,whileElementsMounted:l,open:c}=e,[u,d]=g.useState({x:0,y:0,strategy:n,placement:t,middlewareData:{},isPositioned:!1}),[p,f]=g.useState(r);Ps(p,r)||f(r);const[h,m]=g.useState(null),[b,v]=g.useState(null),y=g.useCallback((e=>{e!==S.current&&(S.current=e,m(e))}),[]),E=g.useCallback((e=>{e!==w.current&&(w.current=e,v(e))}),[]),O=i||h,x=a||b,S=g.useRef(null),w=g.useRef(null),R=g.useRef(u),T=null!=l,C=ks(l),I=ks(o),A=ks(c),P=g.useCallback((()=>{if(!S.current||!w.current)return;const e={placement:t,strategy:n,middleware:p};I.current&&(e.platform=I.current),Wr(S.current,w.current,e).then((e=>{const t={...e,isPositioned:!1!==A.current};N.current&&!Ps(R.current,t)&&(R.current=t,Dn.flushSync((()=>{d(t)})))}))}),[p,t,n,I,A]);As((()=>{!1===c&&R.current.isPositioned&&(R.current.isPositioned=!1,d((e=>({...e,isPositioned:!1}))))}),[c]);const N=g.useRef(!1);As((()=>(N.current=!0,()=>{N.current=!1})),[]),As((()=>{if(O&&(S.current=O),x&&(w.current=x),O&&x){if(C.current)return C.current(O,x,P);P()}}),[O,x,P,C,T]);const L=g.useMemo((()=>({reference:S,floating:w,setReference:y,setFloating:E})),[y,E]),k=g.useMemo((()=>({reference:O,floating:x})),[O,x]),j=g.useMemo((()=>{const e={position:n,left:0,top:0};if(!k.floating)return e;const t=Ls(k.floating,u.x),r=Ls(k.floating,u.y);return s?{...e,transform:"translate("+t+"px, "+r+"px)",...Ns(k.floating)>=1.5&&{willChange:"transform"}}:{position:n,left:t,top:r}}),[n,s,k.floating,u.x,u.y]);return g.useMemo((()=>({...u,update:P,refs:L,elements:k,floatingStyles:j})),[u,P,L,k,j])}({...e,elements:{...o,...s&&{reference:s}}}),f=g.useCallback((e=>{const t=cr(e)?{getBoundingClientRect:()=>e.getBoundingClientRect(),contextElement:e}:e;l(t),p.refs.setReference(t)}),[p.refs]),h=g.useCallback((e=>{(cr(e)||null===e)&&(u.current=e,a(e)),(cr(p.refs.reference.current)||null===p.refs.reference.current||null!==e&&!cr(e))&&p.refs.setReference(e)}),[p.refs]),m=g.useMemo((()=>({...p.refs,setReference:h,setPositionReference:f,domReference:u})),[p.refs,h,f]),b=g.useMemo((()=>({...p.elements,domReference:c})),[p.elements,c]),v=g.useMemo((()=>({...p,...r,refs:m,elements:b,nodeId:t})),[p,m,b,t,r]);return Qs((()=>{r.dataRef.current.floatingContext=v;const e=null==d?void 0:d.nodesRef.current.find((e=>e.id===t));e&&(e.context=v)})),g.useMemo((()=>({...p,context:v,refs:m,elements:b})),[p,m,b,v])}function bl(e,t){void 0===t&&(t={});const{open:n,onOpenChange:r,events:o,dataRef:i,elements:a}=e,{enabled:s=!0,visibleOnly:l=!0}=t,c=g.useRef(!1),u=g.useRef(),d=g.useRef(!0);g.useEffect((()=>{if(!s)return;const e=ar(a.domReference);function t(){!n&&ur(a.domReference)&&a.domReference===Vs(zs(a.domReference))&&(c.current=!0)}function r(){d.current=!0}return e.addEventListener("blur",t),e.addEventListener("keydown",r,!0),()=>{e.removeEventListener("blur",t),e.removeEventListener("keydown",r,!0)}}),[a.domReference,n,s]),g.useEffect((()=>{if(s)return o.on("openchange",e),()=>{o.off("openchange",e)};function e(e){let{reason:t}=e;"reference-press"!==t&&"escape-key"!==t||(c.current=!0)}}),[o,s]),g.useEffect((()=>()=>{clearTimeout(u.current)}),[]);const p=g.useMemo((()=>({onPointerDown(e){(function(e){return!Bs().includes("jsdom/")&&(!Hs()&&0===e.width&&0===e.height||Hs()&&1===e.width&&1===e.height&&0===e.pressure&&0===e.detail&&"mouse"===e.pointerType||e.width<1&&e.height<1&&0===e.pressure&&0===e.detail&&"touch"===e.pointerType)})(e.nativeEvent)||(d.current=!1)},onMouseLeave(){c.current=!1},onFocus(e){if(c.current)return;const t=qs(e.nativeEvent);if(l&&cr(t))try{if(/apple/i.test(navigator.vendor)&&Us().toLowerCase().startsWith("mac")&&!navigator.maxTouchPoints)throw Error();if(!t.matches(":focus-visible"))return}catch(e){if(!d.current&&(!ur(n=t)||!n.matches("input:not([type='hidden']):not([disabled]),[contenteditable]:not([contenteditable='false']),textarea:not([disabled])")))return}var n;r(!0,e.nativeEvent,"focus")},onBlur(e){c.current=!1;const t=e.relatedTarget,n=e.nativeEvent,o=cr(t)&&t.hasAttribute(sl("focus-guard"))&&"outside"===t.getAttribute("data-type");u.current=window.setTimeout((()=>{var e;const s=Vs(a.domReference?a.domReference.ownerDocument:document);(t||s!==a.domReference)&&($s(null==(e=i.current.floatingContext)?void 0:e.refs.floating.current,s)||$s(a.domReference,s)||o||r(!1,n,"focus"))}))}})),[i,a.domReference,r,l]);return g.useMemo((()=>s?{reference:p}:{}),[s,p])}const vl="active",yl="selected";function El(e,t,n){const r=new Map,o="item"===n;let i=e;if(o&&e){const{[vl]:t,[yl]:n,...r}=e;i=r}return{..."floating"===n&&{tabIndex:-1,[pl]:""},...i,...t.map((t=>{const r=t?t[n]:null;return"function"==typeof r?e?r(e):null:r})).concat(e).reduce(((e,t)=>t?(Object.entries(t).forEach((t=>{let[n,i]=t;var a;o&&[vl,yl].includes(n)||(0===n.indexOf("on")?(r.has(n)||r.set(n,[]),"function"==typeof i&&(null==(a=r.get(n))||a.push(i),e[n]=function(){for(var e,t=arguments.length,o=new Array(t),i=0;i<t;i++)o[i]=arguments[i];return null==(e=r.get(n))?void 0:e.map((e=>e(...o))).find((e=>void 0!==e))})):e[n]=i)})),e):e),{})}}var Ol=y(9467);function xl(e){switch(e){case"auto":return"bottom";case"auto-start":return"bottom-start";case"auto-end":return"bottom-end";default:return null!=e?e:"bottom"}}function Sl(e,t,n,r,o){return{arrow:(0,h.css)({fill:t}),container:(0,h.css)({backgroundColor:t,borderRadius:e.shape.radius.default,border:`1px solid ${n}`,boxShadow:e.shadows.z2,color:r,fontSize:e.typography.bodySmall.fontSize,padding:e.spacing(o.topBottom,o.rightLeft),[e.transitions.handleMotion("no-preference","reduce")]:{transition:"opacity 0.3s"},zIndex:e.zIndex.tooltip,maxWidth:"400px",overflowWrap:"break-word","&[data-popper-interactive='false']":{pointerEvents:"none"}}),headerClose:(0,h.css)({color:e.colors.text.secondary,position:"absolute",right:e.spacing(1),top:e.spacing(1.5),backgroundColor:"transparent",border:0}),header:(0,h.css)({paddingTop:e.spacing(1),paddingBottom:e.spacing(2)}),body:(0,h.css)({paddingTop:e.spacing(1),paddingBottom:e.spacing(1)}),footer:(0,h.css)({paddingTop:e.spacing(2),paddingBottom:e.spacing(1)})}}function wl(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Rl(e){const{children:t,className:n,root:r,forwardedRef:o}=e,i=ze(),a=(0,g.useRef)(null),s=null!=r?r:null!==(l=window.document.getElementById("grafana-portal-container"))&&void 0!==l?l:document.body;var l;return a.current||(a.current=document.createElement("div"),n&&(a.current.className=n),a.current.style.position="relative",a.current.style.zIndex=`${i.zIndex.portal}`),(0,g.useLayoutEffect)((()=>(a.current&&s.appendChild(a.current),()=>{a.current&&s.removeChild(a.current)})),[s]),Mn().createPortal((0,f.jsx)("div",{ref:o,children:t}),a.current)}const Tl=g.forwardRef(((e,t)=>{return(0,f.jsx)(Rl,(n=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){wl(e,t,n[t])}))}return e}({},e),r=null!=(r={forwardedRef:t})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(r)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(r,e))})),n));var n,r}));function Cl(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Il(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Cl(e,t,n[t])}))}return e}Tl.displayName="RefForwardingPortal";const Al=(0,g.forwardRef)((({children:e,theme:t,interactive:n,show:r,placement:o,content:i},a)=>{const s=(0,g.useRef)(null),[l,c]=(0,g.useState)(r),u=null!=r?r:l,d=[Ds(8),_s({fallbackAxisSideDirection:"end",crossAxis:!1,boundary:document.body}),Ms(),Fs({element:s})],{context:p,refs:h,floatingStyles:m}=ml({open:u,placement:xl(o),onOpenChange:c,middleware:d,whileElementsMounted:Vr}),b=(0,g.useId)(),v=function(e,t){void 0===t&&(t={});const{open:n,onOpenChange:r,dataRef:o,events:i,elements:a}=e,{enabled:s=!0,delay:l=0,handleClose:c=null,mouseOnly:u=!1,restMs:d=0,move:p=!0}=t,f=al(),h=il(),m=ll(c),b=ll(l),v=ll(n),y=g.useRef(),E=g.useRef(-1),O=g.useRef(),x=g.useRef(-1),S=g.useRef(!0),w=g.useRef(!1),R=g.useRef((()=>{})),T=g.useRef(!1),C=g.useCallback((()=>{var e;const t=null==(e=o.current.openEvent)?void 0:e.type;return(null==t?void 0:t.includes("mouse"))&&"mousedown"!==t}),[o]);g.useEffect((()=>{if(s)return i.on("openchange",e),()=>{i.off("openchange",e)};function e(e){let{open:t}=e;t||(clearTimeout(E.current),clearTimeout(x.current),S.current=!0,T.current=!1)}}),[s,i]),g.useEffect((()=>{if(!s)return;if(!m.current)return;if(!n)return;function e(e){C()&&r(!1,e,"hover")}const t=zs(a.floating).documentElement;return t.addEventListener("mouseleave",e),()=>{t.removeEventListener("mouseleave",e)}}),[a.floating,n,r,s,m,C]);const I=g.useCallback((function(e,t,n){void 0===t&&(t=!0),void 0===n&&(n="hover");const o=ul(b.current,"close",y.current);o&&!O.current?(clearTimeout(E.current),E.current=window.setTimeout((()=>r(!1,e,n)),o)):t&&(clearTimeout(E.current),r(!1,e,n))}),[b,r]),A=Ys((()=>{R.current(),O.current=void 0})),P=Ys((()=>{if(w.current){const e=zs(a.floating).body;e.style.pointerEvents="",e.removeAttribute(cl),w.current=!1}})),N=Ys((()=>!!o.current.openEvent&&["click","mousedown"].includes(o.current.openEvent.type)));g.useEffect((()=>{if(s&&cr(a.domReference)){var e;const r=a.domReference;return n&&r.addEventListener("mouseleave",l),null==(e=a.floating)||e.addEventListener("mouseleave",l),p&&r.addEventListener("mousemove",t,{once:!0}),r.addEventListener("mouseenter",t),r.addEventListener("mouseleave",i),()=>{var e;n&&r.removeEventListener("mouseleave",l),null==(e=a.floating)||e.removeEventListener("mouseleave",l),p&&r.removeEventListener("mousemove",t),r.removeEventListener("mouseenter",t),r.removeEventListener("mouseleave",i)}}function t(e){if(clearTimeout(E.current),S.current=!1,u&&!Ws(y.current)||d>0&&!ul(b.current,"open"))return;const t=ul(b.current,"open",y.current);t?E.current=window.setTimeout((()=>{v.current||r(!0,e,"hover")}),t):n||r(!0,e,"hover")}function i(e){if(N())return;R.current();const t=zs(a.floating);if(clearTimeout(x.current),T.current=!1,m.current&&o.current.floatingContext){n||clearTimeout(E.current),O.current=m.current({...o.current.floatingContext,tree:f,x:e.clientX,y:e.clientY,onClose(){P(),A(),N()||I(e,!0,"safe-polygon")}});const r=O.current;return t.addEventListener("mousemove",r),void(R.current=()=>{t.removeEventListener("mousemove",r)})}("touch"!==y.current||!$s(a.floating,e.relatedTarget))&&I(e)}function l(e){N()||o.current.floatingContext&&(null==m.current||m.current({...o.current.floatingContext,tree:f,x:e.clientX,y:e.clientY,onClose(){P(),A(),N()||I(e)}})(e))}}),[a,s,e,u,d,p,I,A,P,r,n,v,f,b,m,o,N]),Qs((()=>{var e;if(s&&n&&null!=(e=m.current)&&e.__options.blockPointerEvents&&C()){w.current=!0;const e=a.floating;if(cr(a.domReference)&&e){var t;const n=zs(a.floating).body;n.setAttribute(cl,"");const r=a.domReference,o=null==f||null==(t=f.nodesRef.current.find((e=>e.id===h)))||null==(t=t.context)?void 0:t.elements.floating;return o&&(o.style.pointerEvents=""),n.style.pointerEvents="none",r.style.pointerEvents="auto",e.style.pointerEvents="auto",()=>{n.style.pointerEvents="",r.style.pointerEvents="",e.style.pointerEvents=""}}}}),[s,n,h,a,f,m,C]),Qs((()=>{n||(y.current=void 0,T.current=!1,A(),P())}),[n,A,P]),g.useEffect((()=>()=>{A(),clearTimeout(E.current),clearTimeout(x.current),P()}),[s,a.domReference,A,P]);const L=g.useMemo((()=>{function e(e){y.current=e.pointerType}return{onPointerDown:e,onPointerEnter:e,onMouseMove(e){const{nativeEvent:t}=e;function o(){S.current||v.current||r(!0,t,"hover")}u&&!Ws(y.current)||n||0===d||T.current&&e.movementX**2+e.movementY**2<2||(clearTimeout(x.current),"touch"===y.current?o():(T.current=!0,x.current=window.setTimeout(o,d)))}}}),[u,r,n,v,d]),k=g.useMemo((()=>({onMouseEnter(){clearTimeout(E.current)},onMouseLeave(e){N()||I(e.nativeEvent,!1)}})),[I,N]);return g.useMemo((()=>s?{reference:L,floating:k}:{}),[s,L,k])}(p,{delay:{close:n?100:0},move:!1}),y=bl(p),E=function(e,t){void 0===t&&(t={});const{open:n,onOpenChange:r,elements:o,dataRef:i}=e,{enabled:a=!0,escapeKey:s=!0,outsidePress:l=!0,outsidePressEvent:c="pointerdown",referencePress:u=!1,referencePressEvent:d="pointerdown",ancestorScroll:p=!1,bubbles:f,capture:h}=t,m=al(),b=Ys("function"==typeof l?l:()=>!1),v="function"==typeof l?b:l,y=g.useRef(!1),E=g.useRef(!1),{escapeKey:O,outsidePress:x}=gl(f),{escapeKey:S,outsidePress:w}=gl(h),R=g.useRef(!1),T=Ys((e=>{var t;if(!n||!a||!s||"Escape"!==e.key)return;if(R.current)return;const o=null==(t=i.current.floatingContext)?void 0:t.nodeId,l=m?dl(m.nodesRef.current,o):[];if(!O&&(e.stopPropagation(),l.length>0)){let e=!0;if(l.forEach((t=>{var n;null==(n=t.context)||!n.open||t.context.dataRef.current.__escapeKeyBubbles||(e=!1)})),!e)return}r(!1,function(e){return"nativeEvent"in e}(e)?e.nativeEvent:e,"escape-key")})),C=Ys((e=>{var t;const n=()=>{var t;T(e),null==(t=qs(e))||t.removeEventListener("keydown",n)};null==(t=qs(e))||t.addEventListener("keydown",n)})),I=Ys((e=>{var t;const n=y.current;y.current=!1;const a=E.current;if(E.current=!1,"click"===c&&a)return;if(n)return;if("function"==typeof v&&!v(e))return;const s=qs(e),l="["+sl("inert")+"]",u=zs(o.floating).querySelectorAll(l);let d=cr(s)?s:null;for(;d&&!br(d);){const e=Er(d);if(br(e)||!cr(e))break;d=e}if(u.length&&cr(s)&&!s.matches("html,body")&&!$s(s,o.floating)&&Array.from(u).every((e=>!$s(d,e))))return;if(ur(s)&&N){const t=br(s),n=vr(s),r=/auto|scroll/,o=t||r.test(n.overflowX),i=t||r.test(n.overflowY),a=o&&s.clientWidth>0&&s.scrollWidth>s.clientWidth,l=i&&s.clientHeight>0&&s.scrollHeight>s.clientHeight,c="rtl"===n.direction,u=l&&(c?e.offsetX<=s.offsetWidth-s.clientWidth:e.offsetX>s.clientWidth),d=a&&e.offsetY>s.clientHeight;if(u||d)return}const p=null==(t=i.current.floatingContext)?void 0:t.nodeId,f=m&&dl(m.nodesRef.current,p).some((t=>{var n;return Gs(e,null==(n=t.context)?void 0:n.elements.floating)}));if(Gs(e,o.floating)||Gs(e,o.domReference)||f)return;const h=m?dl(m.nodesRef.current,p):[];if(h.length>0){let e=!0;if(h.forEach((t=>{var n;null==(n=t.context)||!n.open||t.context.dataRef.current.__outsidePressBubbles||(e=!1)})),!e)return}r(!1,e,"outside-press")})),A=Ys((e=>{var t;const n=()=>{var t;I(e),null==(t=qs(e))||t.removeEventListener(c,n)};null==(t=qs(e))||t.addEventListener(c,n)}));g.useEffect((()=>{if(!n||!a)return;i.current.__escapeKeyBubbles=O,i.current.__outsidePressBubbles=x;let e=-1;function t(e){r(!1,e,"ancestor-scroll")}function l(){window.clearTimeout(e),R.current=!0}function u(){e=window.setTimeout((()=>{R.current=!1}),mr()?5:0)}const d=zs(o.floating);s&&(d.addEventListener("keydown",S?C:T,S),d.addEventListener("compositionstart",l),d.addEventListener("compositionend",u)),v&&d.addEventListener(c,w?A:I,w);let f=[];return p&&(cr(o.domReference)&&(f=xr(o.domReference)),cr(o.floating)&&(f=f.concat(xr(o.floating))),!cr(o.reference)&&o.reference&&o.reference.contextElement&&(f=f.concat(xr(o.reference.contextElement)))),f=f.filter((e=>{var t;return e!==(null==(t=d.defaultView)?void 0:t.visualViewport)})),f.forEach((e=>{e.addEventListener("scroll",t,{passive:!0})})),()=>{s&&(d.removeEventListener("keydown",S?C:T,S),d.removeEventListener("compositionstart",l),d.removeEventListener("compositionend",u)),v&&d.removeEventListener(c,w?A:I,w),f.forEach((e=>{e.removeEventListener("scroll",t)})),window.clearTimeout(e)}}),[i,o,s,v,c,n,r,p,a,O,x,T,S,C,I,w,A]),g.useEffect((()=>{y.current=!1}),[v,c]);const P=g.useMemo((()=>({onKeyDown:T,...u&&{[fl[d]]:e=>{r(!1,e.nativeEvent,"reference-press")},..."click"!==d&&{onClick(e){r(!1,e.nativeEvent,"reference-press")}}}})),[T,r,u,d]),N=g.useMemo((()=>({onKeyDown:T,onMouseDown(){E.current=!0},onMouseUp(){E.current=!0},[hl[c]]:()=>{y.current=!0}})),[T,c]);return g.useMemo((()=>a?{reference:P,floating:N}:{}),[a,P,N])}(p),{getReferenceProps:O,getFloatingProps:x}=function(e){void 0===e&&(e=[]);const t=e.map((e=>null==e?void 0:e.reference)),n=e.map((e=>null==e?void 0:e.floating)),r=e.map((e=>null==e?void 0:e.item)),o=g.useCallback((t=>El(t,e,"reference")),t),i=g.useCallback((t=>El(t,e,"floating")),n),a=g.useCallback((t=>El(t,e,"item")),r);return g.useMemo((()=>({getReferenceProps:o,getFloatingProps:i,getItemProps:a})),[o,i,a])}([E,v,y]),S="function"==typeof i,w=Ge(Pl)[null!=t?t:"info"],R=(0,g.useCallback)((e=>{h.setReference(e),"function"==typeof a?a(e):a&&(a.current=e)}),[a,h]),T="aria-label"in e.props&&e.props["aria-label"]===i;return(0,f.jsxs)(f.Fragment,{children:[(0,g.cloneElement)(e,Il({ref:R,tabIndex:0,"aria-describedby":!T&&u?b:void 0},O())),u&&(0,f.jsx)(Rl,{children:(0,f.jsxs)("div",(C=Il({ref:h.setFloating,style:m},x()),I={children:[(0,f.jsx)(nl,{className:w.arrow,ref:s,context:p}),(0,f.jsxs)("div",{"data-testid":Ol.Tp.components.Tooltip.container,id:b,role:"tooltip",className:w.container,children:["string"==typeof i&&i,(0,g.isValidElement)(i)&&(0,g.cloneElement)(i),S&&i({})]})]},I=null!=I?I:{},Object.getOwnPropertyDescriptors?Object.defineProperties(C,Object.getOwnPropertyDescriptors(I)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(I)).forEach((function(e){Object.defineProperty(C,e,Object.getOwnPropertyDescriptor(I,e))})),C))})]});var C,I}));Al.displayName="Tooltip";const Pl=e=>{const t=Sl(e,e.components.tooltip.background,e.components.tooltip.background,e.components.tooltip.text,{topBottom:.5,rightLeft:1});return{info:t,"info-alt":t,error:Sl(e,e.colors.error.main,e.colors.error.main,e.colors.error.contrastText,{topBottom:.5,rightLeft:1})}};function Nl(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ll(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Nl(e,t,n[t])}))}return e}function kl(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}function jl(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}const Dl=g.forwardRef(((e,t)=>{var{variant:n="primary",size:r="md",fill:o="solid",icon:i,fullWidth:a,children:s,className:l,type:c="button",tooltip:u,disabled:d,tooltipPlacement:p,onClick:g}=e,m=jl(e,["variant","size","fill","icon","fullWidth","children","className","type","tooltip","disabled","tooltipPlacement","onClick"]);const b=ze(),v=_l({theme:b,size:r,variant:n,fill:o,fullWidth:a,iconOnly:!s}),y=(0,h.cx)(v.button,{[v.disabled]:d},l),E=Boolean(u),O=(0,f.jsxs)("button",kl(Ll({className:y,type:c,onClick:d?void 0:g},m),{"aria-disabled":E&&d,disabled:!E&&d,ref:u?void 0:t,children:[(0,f.jsx)(Ml,{icon:i,size:r,className:v.icon}),s&&(0,f.jsx)("span",{className:v.content,children:s})]}));return u?(0,f.jsx)(Al,{ref:t,content:u,placement:p,children:O}):O}));Dl.displayName="Button";g.forwardRef(((e,t)=>{var{variant:n="primary",size:r="md",fill:o="solid",icon:i,fullWidth:a,children:s,className:l,onBlur:c,onFocus:u,disabled:d,tooltip:p,tooltipPlacement:g}=e,m=jl(e,["variant","size","fill","icon","fullWidth","children","className","onBlur","onFocus","disabled","tooltip","tooltipPlacement"]);const b=ze(),v=_l({theme:b,fullWidth:a,size:r,variant:n,fill:o,iconOnly:!s}),y=(0,h.cx)(v.button,{[(0,h.css)(v.disabled,{pointerEvents:"none"})]:d},l),E=(0,f.jsxs)("a",kl(Ll({className:y},m),{tabIndex:d?-1:0,"aria-disabled":d,ref:p?void 0:t,children:[(0,f.jsx)(Ml,{icon:i,size:r,className:v.icon}),s&&(0,f.jsx)("span",{className:v.content,children:s})]}));return p?(0,f.jsx)(Al,{ref:t,content:p,placement:g,children:E}):E})).displayName="LinkButton";const Ml=({icon:e,size:t,className:n,iconType:r})=>e?g.isValidElement(e)?g.cloneElement(e,{className:n,size:t}):(0,f.jsx)(Et,{name:e,size:t,className:n,type:r}):null,_l=e=>{const{theme:t,variant:n,fill:r="solid",size:o,iconOnly:i,fullWidth:a}=e,{height:s,padding:l,fontSize:c}=function(e,t){switch(e){case"sm":return{padding:1,fontSize:t.typography.size.sm,height:t.components.height.sm};case"lg":return{padding:3,fontSize:t.typography.size.lg,height:t.components.height.lg};default:return{padding:2,fontSize:t.typography.size.md,height:t.components.height.md}}}(o,t),u=function(e,t,n){switch(t){case"secondary":return Fl(e,e.colors.secondary,n);case"destructive":return Fl(e,e.colors.error,n);case"success":return Fl(e,e.colors.success,n);default:return Fl(e,e.colors.primary,n)}}(t,n,r),d=function(e,t,n){const r={cursor:"not-allowed",boxShadow:"none",color:e.colors.text.disabled,transition:"none"};return kl(Ll({},r),"text"===n?{background:"transparent",border:"1px solid transparent"}:"outline"===n?{background:"transparent",border:`1px solid ${e.colors.border.weak}`}:{background:e.colors.action.disabledBackground,border:"1px solid transparent"})}(t,0,r),p=ms(t),f=t.spacing.gridSize*l-1;return{button:(0,h.css)(kl(Ll({label:"button",display:"inline-flex",alignItems:"center",fontSize:c,fontWeight:t.typography.fontWeightMedium,fontFamily:t.typography.fontFamily,padding:`0 ${f}px`,height:t.spacing(s),lineHeight:t.spacing.gridSize*s-2+"px",verticalAlign:"middle",cursor:"pointer",borderRadius:t.shape.radius.default,"&:focus":p,"&:focus-visible":p,"&:focus:not(:focus-visible)":{outline:"none",boxShadow:"none"}},a&&{flexGrow:1,justifyContent:"center"},u),{":disabled":d,"&[disabled]":d})),disabled:(0,h.css)(d,{"&:hover":(0,h.css)(d)}),img:(0,h.css)({width:"16px",height:"16px",margin:t.spacing(0,1,0,.5)}),icon:i?(0,h.css)({marginRight:t.spacing(-l/2),marginLeft:t.spacing(-l/2)}):(0,h.css)({marginRight:t.spacing(l/2)}),content:(0,h.css)({display:"flex",flexDirection:"row",alignItems:"center",whiteSpace:"nowrap",overflow:"hidden",height:"100%"})}};function Fl(e,t,n){let r=t.border,o="transparent",i="transparent";return"secondary"===t.name&&(o=t.border,i=e.colors.emphasize(t.border,.25),r=e.colors.border.strong),"outline"===n?{background:"transparent",color:t.text,border:`1px solid ${r}`,transition:e.transitions.create(["background-color","border-color","color"],{duration:e.transitions.duration.short}),"&:hover":{background:t.transparent,borderColor:e.colors.emphasize(r,.25),color:t.text}}:"text"===n?{background:"transparent",color:t.text,border:"1px solid transparent",transition:e.transitions.create(["background-color","color"],{duration:e.transitions.duration.short}),"&:focus":{outline:"none",textDecoration:"none"},"&:hover":{background:t.transparent,textDecoration:"none"}}:{background:t.main,color:t.contrastText,border:`1px solid ${o}`,transition:e.transitions.create(["background-color","box-shadow","border-color","color"],{duration:e.transitions.duration.short}),"&:hover":{background:t.shade,color:t.contrastText,boxShadow:e.shadows.z1,borderColor:i}}}const Vl=e=>(0,h.css)({background:"transparent",color:e.colors.text.primary,border:"none",padding:0});function $l(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ul(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){$l(e,t,n[t])}))}return e}function Bl(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}function Hl(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}const Wl=g.forwardRef(((t,n)=>{const{size:r="md",variant:o="secondary"}=t;let i;"xxl"===r||"xxxl"===r?((0,e.deprecationWarning)("IconButton",'size="xxl" and size="xxxl"','size="xl"'),i="xl"):i=r;const a=Ge(zl,i,o);let s,l;if("tooltip"in t){const{tooltip:e}=t;s="string"==typeof e?e:void 0}else if("ariaLabel"in t||"aria-label"in t){const{ariaLabel:e,"aria-label":r}=t;s=r||e,l=n}if("tooltip"in t){const{name:e,iconType:r,className:o,tooltip:c,tooltipPlacement:u}=t,d=Hl(t,["name","iconType","className","tooltip","tooltipPlacement"]);return(0,f.jsx)(Al,{ref:n,content:c,placement:u,children:(0,f.jsx)("button",Bl(Ul({},d),{ref:l,"aria-label":s,className:(0,h.cx)(a.button,o),type:"button",children:(0,f.jsx)(Ml,{icon:e,size:i,className:a.icon,iconType:r})}))})}{const{name:e,iconType:n,className:r}=t,o=Hl(t,["name","iconType","className"]);return(0,f.jsx)("button",Bl(Ul({},o),{ref:l,"aria-label":s,className:(0,h.cx)(a.button,r),type:"button",children:(0,f.jsx)(Ml,{icon:e,size:i,className:a.icon,iconType:n})}))}}));Wl.displayName="IconButton";const zl=(t,n,r)=>{const o=gt(n)+t.spacing.gridSize;let i=t.colors.text.primary;return"primary"===r?i=t.colors.primary.text:"destructive"===r&&(i=t.colors.error.text),{button:(0,h.css)({zIndex:0,position:"relative",margin:`0 ${t.spacing.x0_5} 0 0`,boxShadow:"none",border:"none",display:"inline-flex",background:"transparent",justifyContent:"center",alignItems:"center",padding:0,color:i,"&[disabled], &:disabled":{cursor:"not-allowed",color:t.colors.action.disabledText,opacity:.65},"&:before":{zIndex:-1,position:"absolute",opacity:0,width:`${o}px`,height:`${o}px`,borderRadius:t.shape.radius.default,content:'""',[t.transitions.handleMotion("no-preference","reduce")]:{transitionDuration:"0.2s",transitionTimingFunction:"cubic-bezier(0.4, 0, 0.2, 1)",transitionProperty:"opacity"}},"&:focus, &:focus-visible":ms(t),"&:focus:not(:focus-visible)":{outline:"none",boxShadow:"none"},"&:hover":{"&:before":{backgroundColor:"secondary"===r?t.colors.action.hover:e.colorManipulator.alpha(i,.12),opacity:1}}}),icon:(0,h.css)({verticalAlign:"baseline"})}},Gl=ja((e=>({menu:(0,h.css)({label:"grafana-select-menu",background:e.components.dropdown.background,boxShadow:e.shadows.z3,position:"relative",minWidth:"100%",zIndex:1}),option:(0,h.css)({label:"grafana-select-option",padding:"8px",position:"relative",display:"flex",alignItems:"center",flexDirection:"row",flexShrink:0,whiteSpace:"nowrap",cursor:"pointer",borderLeft:"2px solid transparent","&:hover":{background:e.colors.action.hover,"@media (forced-colors: active), (prefers-contrast: more)":{border:`1px solid ${e.colors.primary.border}`}}}),optionIcon:(0,h.css)({marginRight:e.spacing(1)}),optionImage:(0,h.css)({label:"grafana-select-option-image",width:"16px",marginRight:"10px"}),optionDescription:(0,h.css)({label:"grafana-select-option-description",fontWeight:"normal",fontSize:e.typography.size.sm,color:e.colors.text.secondary,whiteSpace:"normal",lineHeight:e.typography.body.lineHeight}),optionBody:(0,h.css)({label:"grafana-select-option-body",display:"flex",fontWeight:e.typography.fontWeightMedium,flexDirection:"column",flexGrow:1}),optionFocused:(0,h.css)({label:"grafana-select-option-focused",background:e.colors.action.focus,"@media (forced-colors: active), (prefers-contrast: more)":{border:`1px solid ${e.colors.primary.border}`}}),optionSelected:(0,h.css)({background:e.colors.action.selected,"&::before":{backgroundImage:e.colors.gradients.brandVertical,borderRadius:e.shape.radius.default,content:'" "',display:"block",height:"100%",position:"absolute",transform:"translateX(-50%)",width:e.spacing(.5),left:0}}),optionDisabled:(0,h.css)({label:"grafana-select-option-disabled",backgroundColor:e.colors.action.disabledBackground,color:e.colors.action.disabledText,cursor:"not-allowed"}),singleValue:(0,h.css)({label:"grafana-select-single-value",color:e.components.input.text,gridArea:"1 / 1 / 2 / 3",whiteSpace:"nowrap",overflow:"hidden",textOverflow:"ellipsis",boxSizing:"border-box",maxWidth:"100%"}),valueContainer:(0,h.css)({label:"grafana-select-value-container",alignItems:"center",display:"grid",position:"relative",boxSizing:"border-box",flex:"1 1 0%",outline:"none",overflow:"hidden"}),valueContainerMulti:(0,h.css)({label:"grafana-select-value-container-multi",flexWrap:"wrap",display:"flex"}),valueContainerMultiNoWrap:(0,h.css)({display:"grid",gridAutoFlow:"column"}),loadingMessage:(0,h.css)({label:"grafana-select-loading-message",padding:e.spacing(1),textAlign:"center",width:"100%"}),multiValueContainer:(0,h.css)({label:"grafana-select-multi-value-container",display:"flex",alignItems:"center",lineHeight:1,background:e.colors.background.secondary,borderRadius:e.shape.radius.default,margin:e.spacing(.25,1,.25,0),padding:e.spacing(.25,0,.25,1),color:e.colors.text.primary,fontSize:e.typography.size.sm,overflow:"hidden",whiteSpace:"nowrap","&:hover":{background:e.colors.emphasize(e.colors.background.secondary)}}),multiValueRemove:(0,h.css)({label:"grafana-select-multi-value-remove",margin:e.spacing(0,.5),cursor:"pointer",svg:{marginBottom:0}}),singleValueRemove:(0,h.css)({cursor:"pointer","&:hover":{color:e.colors.text.primary}}),groupHeader:(0,h.css)({padding:e.spacing(1,1,1,.75),borderLeft:"2px solid transparent"}),group:(0,h.css)({"&:not(:first-child)":{borderTop:`1px solid ${e.colors.border.weak}`},':has(+ [role="option"])':{borderBottom:`1px solid ${e.colors.border.weak}`}}),toggleAllButton:(0,h.css)({width:"100%",border:0,padding:0,textAlign:"left"})})));function ql(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Xl(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){ql(e,t,n[t])}))}return e}function Kl(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Yl=({innerProps:e,children:t})=>{const n=ze(),r=Gl(n);return(0,f.jsx)("div",Kl(Xl({},e),{className:r.multiValueContainer,children:t}))},Ql=({children:e,innerProps:t})=>{const n=ze(),r=Gl(n);return(0,f.jsx)(Wl,Kl(Xl({},t),{name:"times",size:"sm",className:r.multiValueRemove,tooltip:"Remove"}))};function Jl(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Zl=e=>{const{isDisabled:t,isFocused:n,children:r,selectProps:{invalid:o=!1}}=e,i=Ge(ec,n,t,o);return(0,f.jsx)(Fo.SelectContainer,(a=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Jl(e,t,n[t])}))}return e}({},e),s=null!=(s={className:(0,h.cx)(i.wrapper,e.className),children:r})?s:{},Object.getOwnPropertyDescriptors?Object.defineProperties(a,Object.getOwnPropertyDescriptors(s)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(s)).forEach((function(e){Object.defineProperty(a,e,Object.getOwnPropertyDescriptor(s,e))})),a));var a,s},ec=(e,t,n,r)=>{const o=ws({theme:e,invalid:r});return{wrapper:(0,h.cx)(o.wrapper,vs(e,r),t&&(0,h.css)(ms(e)),n&&o.inputDisabled,(0,h.css)({position:"relative",boxSizing:"border-box",flexDirection:"row",flexWrap:"wrap",alignItems:"stretch",justifyContent:"space-between",minHeight:e.spacing(e.components.height.md),height:"auto",maxWidth:"100%",padding:0,cursor:n?"not-allowed":"pointer"}))}};var tc=y(979),nc=y(8940);function rc(e,t){e.prototype=Object.create(t.prototype),e.prototype.constructor=e,(0,nc.A)(e,t)}var oc=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function ic(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(!((r=e[n])===(o=t[n])||oc(r)&&oc(o)))return!1;var r,o;return!0}const ac=function(e,t){var n;void 0===t&&(t=ic);var r,o=[],i=!1;return function(){for(var a=[],s=0;s<arguments.length;s++)a[s]=arguments[s];return i&&n===this&&t(a,o)||(r=e.apply(this,a),i=!0,n=this,o=a),r}};var sc="object"==typeof performance&&"function"==typeof performance.now?function(){return performance.now()}:function(){return Date.now()};function lc(e){cancelAnimationFrame(e.id)}var cc=-1;function uc(e){if(void 0===e&&(e=!1),-1===cc||e){var t=document.createElement("div"),n=t.style;n.width="50px",n.height="50px",n.overflow="scroll",document.body.appendChild(t),cc=t.offsetWidth-t.clientWidth,document.body.removeChild(t)}return cc}var dc=null;function pc(e){if(void 0===e&&(e=!1),null===dc||e){var t=document.createElement("div"),n=t.style;n.width="50px",n.height="50px",n.overflow="scroll",n.direction="rtl";var r=document.createElement("div"),o=r.style;return o.width="100px",o.height="100px",t.appendChild(r),document.body.appendChild(t),t.scrollLeft>0?dc="positive-descending":(t.scrollLeft=1,dc=0===t.scrollLeft?"negative":"positive-ascending"),document.body.removeChild(t),dc}return dc}var fc=function(e,t){return e};function hc(e){var t,n=e.getItemOffset,r=e.getEstimatedTotalSize,o=e.getItemSize,i=e.getOffsetForIndexAndAlignment,a=e.getStartIndexForOffset,s=e.getStopIndexForStartIndex,l=e.initInstanceProps,c=e.shouldResetStyleCacheOnItemSizeChange,u=e.validateProps;return t=function(e){function t(t){var r;return(r=e.call(this,t)||this)._instanceProps=l(r.props,(0,tc.A)(r)),r._outerRef=void 0,r._resetIsScrollingTimeoutId=null,r.state={instance:(0,tc.A)(r),isScrolling:!1,scrollDirection:"forward",scrollOffset:"number"==typeof r.props.initialScrollOffset?r.props.initialScrollOffset:0,scrollUpdateWasRequested:!1},r._callOnItemsRendered=void 0,r._callOnItemsRendered=ac((function(e,t,n,o){return r.props.onItemsRendered({overscanStartIndex:e,overscanStopIndex:t,visibleStartIndex:n,visibleStopIndex:o})})),r._callOnScroll=void 0,r._callOnScroll=ac((function(e,t,n){return r.props.onScroll({scrollDirection:e,scrollOffset:t,scrollUpdateWasRequested:n})})),r._getItemStyle=void 0,r._getItemStyle=function(e){var t,i=r.props,a=i.direction,s=i.itemSize,l=i.layout,u=r._getItemStyleCache(c&&s,c&&l,c&&a);if(u.hasOwnProperty(e))t=u[e];else{var d=n(r.props,e,r._instanceProps),p=o(r.props,e,r._instanceProps),f="horizontal"===a||"horizontal"===l,h="rtl"===a,g=f?d:0;u[e]=t={position:"absolute",left:h?void 0:g,right:h?g:void 0,top:f?0:d,height:f?"100%":p,width:f?p:"100%"}}return t},r._getItemStyleCache=void 0,r._getItemStyleCache=ac((function(e,t,n){return{}})),r._onScrollHorizontal=function(e){var t=e.currentTarget,n=t.clientWidth,o=t.scrollLeft,i=t.scrollWidth;r.setState((function(e){if(e.scrollOffset===o)return null;var t=r.props.direction,a=o;if("rtl"===t)switch(pc()){case"negative":a=-o;break;case"positive-descending":a=i-n-o}return a=Math.max(0,Math.min(a,i-n)),{isScrolling:!0,scrollDirection:e.scrollOffset<a?"forward":"backward",scrollOffset:a,scrollUpdateWasRequested:!1}}),r._resetIsScrollingDebounced)},r._onScrollVertical=function(e){var t=e.currentTarget,n=t.clientHeight,o=t.scrollHeight,i=t.scrollTop;r.setState((function(e){if(e.scrollOffset===i)return null;var t=Math.max(0,Math.min(i,o-n));return{isScrolling:!0,scrollDirection:e.scrollOffset<t?"forward":"backward",scrollOffset:t,scrollUpdateWasRequested:!1}}),r._resetIsScrollingDebounced)},r._outerRefSetter=function(e){var t=r.props.outerRef;r._outerRef=e,"function"==typeof t?t(e):null!=t&&"object"==typeof t&&t.hasOwnProperty("current")&&(t.current=e)},r._resetIsScrollingDebounced=function(){var e,t,n,o;null!==r._resetIsScrollingTimeoutId&&lc(r._resetIsScrollingTimeoutId),r._resetIsScrollingTimeoutId=(e=r._resetIsScrolling,t=150,n=sc(),o={id:requestAnimationFrame((function r(){sc()-n>=t?e.call(null):o.id=requestAnimationFrame(r)}))})},r._resetIsScrolling=function(){r._resetIsScrollingTimeoutId=null,r.setState({isScrolling:!1},(function(){r._getItemStyleCache(-1,null)}))},r}rc(t,e),t.getDerivedStateFromProps=function(e,t){return gc(e,t),u(e),null};var d=t.prototype;return d.scrollTo=function(e){e=Math.max(0,e),this.setState((function(t){return t.scrollOffset===e?null:{scrollDirection:t.scrollOffset<e?"forward":"backward",scrollOffset:e,scrollUpdateWasRequested:!0}}),this._resetIsScrollingDebounced)},d.scrollToItem=function(e,t){void 0===t&&(t="auto");var n=this.props,r=n.itemCount,o=n.layout,a=this.state.scrollOffset;e=Math.max(0,Math.min(e,r-1));var s=0;if(this._outerRef){var l=this._outerRef;s="vertical"===o?l.scrollWidth>l.clientWidth?uc():0:l.scrollHeight>l.clientHeight?uc():0}this.scrollTo(i(this.props,e,t,a,this._instanceProps,s))},d.componentDidMount=function(){var e=this.props,t=e.direction,n=e.initialScrollOffset,r=e.layout;if("number"==typeof n&&null!=this._outerRef){var o=this._outerRef;"horizontal"===t||"horizontal"===r?o.scrollLeft=n:o.scrollTop=n}this._callPropsCallbacks()},d.componentDidUpdate=function(){var e=this.props,t=e.direction,n=e.layout,r=this.state,o=r.scrollOffset;if(r.scrollUpdateWasRequested&&null!=this._outerRef){var i=this._outerRef;if("horizontal"===t||"horizontal"===n)if("rtl"===t)switch(pc()){case"negative":i.scrollLeft=-o;break;case"positive-ascending":i.scrollLeft=o;break;default:var a=i.clientWidth,s=i.scrollWidth;i.scrollLeft=s-a-o}else i.scrollLeft=o;else i.scrollTop=o}this._callPropsCallbacks()},d.componentWillUnmount=function(){null!==this._resetIsScrollingTimeoutId&&lc(this._resetIsScrollingTimeoutId)},d.render=function(){var e=this.props,t=e.children,n=e.className,o=e.direction,i=e.height,a=e.innerRef,s=e.innerElementType,l=e.innerTagName,c=e.itemCount,u=e.itemData,d=e.itemKey,p=void 0===d?fc:d,f=e.layout,h=e.outerElementType,m=e.outerTagName,b=e.style,v=e.useIsScrolling,y=e.width,E=this.state.isScrolling,O="horizontal"===o||"horizontal"===f,x=O?this._onScrollHorizontal:this._onScrollVertical,S=this._getRangeToRender(),w=S[0],R=S[1],T=[];if(c>0)for(var C=w;C<=R;C++)T.push((0,g.createElement)(t,{data:u,key:p(C,u),index:C,isScrolling:v?E:void 0,style:this._getItemStyle(C)}));var I=r(this.props,this._instanceProps);return(0,g.createElement)(h||m||"div",{className:n,onScroll:x,ref:this._outerRefSetter,style:(0,Rn.A)({position:"relative",height:i,width:y,overflow:"auto",WebkitOverflowScrolling:"touch",willChange:"transform",direction:o},b)},(0,g.createElement)(s||l||"div",{children:T,ref:a,style:{height:O?"100%":I,pointerEvents:E?"none":void 0,width:O?I:"100%"}}))},d._callPropsCallbacks=function(){if("function"==typeof this.props.onItemsRendered&&this.props.itemCount>0){var e=this._getRangeToRender(),t=e[0],n=e[1],r=e[2],o=e[3];this._callOnItemsRendered(t,n,r,o)}if("function"==typeof this.props.onScroll){var i=this.state,a=i.scrollDirection,s=i.scrollOffset,l=i.scrollUpdateWasRequested;this._callOnScroll(a,s,l)}},d._getRangeToRender=function(){var e=this.props,t=e.itemCount,n=e.overscanCount,r=this.state,o=r.isScrolling,i=r.scrollDirection,l=r.scrollOffset;if(0===t)return[0,0,0,0];var c=a(this.props,l,this._instanceProps),u=s(this.props,c,l,this._instanceProps),d=o&&"backward"!==i?1:Math.max(1,n),p=o&&"forward"!==i?1:Math.max(1,n);return[Math.max(0,c-d),Math.max(0,Math.min(t-1,u+p)),c,u]},t}(g.PureComponent),t.defaultProps={direction:"ltr",itemData:void 0,layout:"vertical",overscanCount:2,useIsScrolling:!1},t}var gc=function(e,t){e.children,e.direction,e.height,e.layout,e.innerTagName,e.outerTagName,e.width,t.instance},mc=hc({getItemOffset:function(e,t){return t*e.itemSize},getItemSize:function(e,t){return e.itemSize},getEstimatedTotalSize:function(e){var t=e.itemCount;return e.itemSize*t},getOffsetForIndexAndAlignment:function(e,t,n,r,o,i){var a=e.direction,s=e.height,l=e.itemCount,c=e.itemSize,u=e.layout,d=e.width,p="horizontal"===a||"horizontal"===u?d:s,f=Math.max(0,l*c-p),h=Math.min(f,t*c),g=Math.max(0,t*c-p+c+i);switch("smart"===n&&(n=r>=g-p&&r<=h+p?"auto":"center"),n){case"start":return h;case"end":return g;case"center":var m=Math.round(g+(h-g)/2);return m<Math.ceil(p/2)?0:m>f+Math.floor(p/2)?f:m;default:return r>=g&&r<=h?r:r<g?g:h}},getStartIndexForOffset:function(e,t){var n=e.itemCount,r=e.itemSize;return Math.max(0,Math.min(n-1,Math.floor(t/r)))},getStopIndexForStartIndex:function(e,t,n){var r=e.direction,o=e.height,i=e.itemCount,a=e.itemSize,s=e.layout,l=e.width,c=t*a,u="horizontal"===r||"horizontal"===s?l:o,d=Math.ceil((u+n-c)/a);return Math.max(0,Math.min(i-1,t+d-1))},initInstanceProps:function(e){},shouldResetStyleCacheOnItemSizeChange:!0,validateProps:function(e){e.itemSize}});function bc(e,t,n,r){const o=t[r];if(null!=o)return{[e.breakpoints.up(r)]:n(o)}}function vc(e,t,n){return null==t?null:"object"==typeof t&&"xs"in t?[bc(e,t,n,"xs"),bc(e,t,n,"sm"),bc(e,t,n,"md"),bc(e,t,n,"lg"),bc(e,t,n,"xl"),bc(e,t,n,"xxl")]:n(t)}const yc=(e,t,n,r,o,i,a)=>(0,h.css)([vc(e,t,(t=>({width:e.spacing(t)}))),vc(e,n,(t=>({minWidth:e.spacing(t)}))),vc(e,r,(t=>({maxWidth:e.spacing(t)}))),vc(e,o,(t=>({height:e.spacing(t)}))),vc(e,i,(t=>({minHeight:e.spacing(t)}))),vc(e,a,(t=>({maxHeight:e.spacing(t)})))]);function Ec(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Oc=(0,g.forwardRef)(((e,t)=>{const{children:n,margin:r,marginX:o,marginY:i,marginTop:a,marginBottom:s,marginLeft:l,marginRight:c,padding:u,paddingX:d,paddingY:p,paddingTop:g,paddingBottom:m,paddingLeft:b,paddingRight:v,display:y,backgroundColor:E,grow:O,shrink:x,basis:S,flex:w,borderColor:R,borderStyle:T,borderRadius:C,direction:I,justifyContent:A,alignItems:P,boxShadow:N,element:L,gap:k,width:j,minWidth:D,maxWidth:M,height:_,minHeight:F,maxHeight:V,position:$}=e,U=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["children","margin","marginX","marginY","marginTop","marginBottom","marginLeft","marginRight","padding","paddingX","paddingY","paddingTop","paddingBottom","paddingLeft","paddingRight","display","backgroundColor","grow","shrink","basis","flex","borderColor","borderStyle","borderRadius","direction","justifyContent","alignItems","boxShadow","element","gap","width","minWidth","maxWidth","height","minHeight","maxHeight","position"]),B=Ge(wc,r,o,i,a,s,l,c,u,d,p,g,m,b,v,y,E,O,x,S,w,R,T,C,I,A,P,N,k,$),H=Ge(yc,j,D,M,_,F,V),W=null!=L?L:"div";return(0,f.jsx)(W,(z=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ec(e,t,n[t])}))}return e}({ref:t,className:(0,h.cx)(B.root,H)},U),G=null!=(G={children:n})?G:{},Object.getOwnPropertyDescriptors?Object.defineProperties(z,Object.getOwnPropertyDescriptors(G)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(G)).forEach((function(e){Object.defineProperty(z,e,Object.getOwnPropertyDescriptor(G,e))})),z));var z,G}));Oc.displayName="Box";const xc=(e,t)=>{switch(e){case"error":case"success":case"info":case"warning":return t.colors[e].borderTransparent;default:return e?t.colors.border[e]:void 0}},Sc=(e,t)=>{switch(e){case"error":case"success":case"info":case"warning":return t.colors[e].transparent;default:return e?t.colors.background[e]:void 0}},wc=(e,t,n,r,o,i,a,s,l,c,u,d,p,f,g,m,b,v,y,E,O,x,S,w,R,T,C,I,A,P)=>({root:(0,h.css)([vc(e,t,(t=>({margin:e.spacing(t)}))),vc(e,n,(t=>({marginLeft:e.spacing(t),marginRight:e.spacing(t)}))),vc(e,r,(t=>({marginTop:e.spacing(t),marginBottom:e.spacing(t)}))),vc(e,o,(t=>({marginTop:e.spacing(t)}))),vc(e,i,(t=>({marginBottom:e.spacing(t)}))),vc(e,a,(t=>({marginLeft:e.spacing(t)}))),vc(e,s,(t=>({marginRight:e.spacing(t)}))),vc(e,l,(t=>({padding:e.spacing(t)}))),vc(e,c,(t=>({paddingLeft:e.spacing(t),paddingRight:e.spacing(t)}))),vc(e,u,(t=>({paddingTop:e.spacing(t),paddingBottom:e.spacing(t)}))),vc(e,d,(t=>({paddingTop:e.spacing(t)}))),vc(e,p,(t=>({paddingBottom:e.spacing(t)}))),vc(e,f,(t=>({paddingLeft:e.spacing(t)}))),vc(e,g,(t=>({paddingRight:e.spacing(t)}))),vc(e,m,(e=>({display:e}))),vc(e,b,(t=>({backgroundColor:Sc(t,e)}))),vc(e,R,(e=>({flexDirection:e}))),vc(e,v,(e=>({flexGrow:e}))),vc(e,y,(e=>({flexShrink:e}))),vc(e,E,(e=>({flexBasis:e}))),vc(e,O,(e=>({flex:e}))),vc(e,S,(e=>({borderStyle:e}))),vc(e,x,(t=>({borderColor:xc(t,e)}))),(S||x)&&{borderWidth:"1px"},vc(e,T,(e=>({justifyContent:e}))),vc(e,C,(e=>({alignItems:e}))),vc(e,w,(t=>({borderRadius:e.shape.radius[t]}))),vc(e,I,(t=>({boxShadow:e.shadows[t]}))),vc(e,A,(t=>({gap:e.spacing(t)}))),vc(e,P,(e=>({position:e})))])}),Rc=({children:e})=>{const[t,n]=(0,g.useState)(!1),[r,o]=(0,g.useState)(!1),i=(0,g.useRef)(null),a=(0,g.useRef)(null),s=Ge(Tc);return(0,g.useEffect)((()=>{const e=new IntersectionObserver((e=>{e.forEach((e=>{e.target===i.current?n(!e.isIntersecting):e.target===a.current&&o(!e.isIntersecting)}))}));return[i,a].forEach((t=>{t.current&&e.observe(t.current)})),()=>e.disconnect()}),[]),(0,f.jsxs)(f.Fragment,{children:[(0,f.jsx)("div",{className:(0,h.cx)(s.scrollIndicator,s.scrollTopIndicator,{[s.scrollIndicatorVisible]:t})}),(0,f.jsxs)("div",{className:s.scrollContent,children:[(0,f.jsx)("div",{ref:i,className:(0,h.cx)(s.scrollMarker,s.scrollTopMarker)}),e,(0,f.jsx)("div",{ref:a,className:(0,h.cx)(s.scrollMarker,s.scrollBottomMarker)})]}),(0,f.jsx)("div",{className:(0,h.cx)(s.scrollIndicator,s.scrollBottomIndicator,{[s.scrollIndicatorVisible]:r})})]})},Tc=e=>({scrollContent:(0,h.css)({display:"flex",flexDirection:"column",flexGrow:1,position:"relative"}),scrollIndicator:(0,h.css)({height:e.spacing(6),left:0,opacity:0,pointerEvents:"none",position:"absolute",right:0,[e.transitions.handleMotion("no-preference","reduce")]:{transition:e.transitions.create("opacity")},zIndex:1}),scrollTopIndicator:(0,h.css)({background:`linear-gradient(0deg, transparent, ${e.colors.background.canvas})`,top:0}),scrollBottomIndicator:(0,h.css)({background:`linear-gradient(180deg, transparent, ${e.colors.background.canvas})`,bottom:0}),scrollIndicatorVisible:(0,h.css)({opacity:1}),scrollMarker:(0,h.css)({height:"1px",left:0,pointerEvents:"none",position:"absolute",right:0}),scrollTopMarker:(0,h.css)({top:0}),scrollBottomMarker:(0,h.css)({bottom:0})});function Cc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ic(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Cc(e,t,n[t])}))}return e}const Ac=(0,g.forwardRef)(((e,t)=>{var{children:n,showScrollIndicators:r=!1,onScroll:o,overflowX:i="auto",overflowY:a="auto",scrollbarWidth:s="thin"}=e,l=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["children","showScrollIndicators","onScroll","overflowX","overflowY","scrollbarWidth"]);const c=Ge(Pc,s,a,i),u=Ic({},{maxHeight:"100%",minHeight:0},l);return(0,f.jsx)(Oc,(d=Ic({},u),p=null!=(p={display:"flex",direction:"column",flex:1,position:"relative",children:(0,f.jsx)("div",{onScroll:o,className:c.scroller,ref:t,children:r?(0,f.jsx)(Rc,{children:n}):n})})?p:{},Object.getOwnPropertyDescriptors?Object.defineProperties(d,Object.getOwnPropertyDescriptors(p)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(p)).forEach((function(e){Object.defineProperty(d,e,Object.getOwnPropertyDescriptor(p,e))})),d));var d,p}));Ac.displayName="ScrollContainer";const Pc=(e,t,n,r)=>({scroller:(0,h.css)({display:"flex",flex:1,flexDirection:"column",overflowX:r,overflowY:n,scrollbarWidth:t})});var Nc=function(e){return e.allSelected="allSelected",e.indeterminate="indeterminate",e.noneSelected="noneSelected",e}({});function Lc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function kc(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Lc(e,t,n[t])}))}return e}function jc(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Dc=({children:e,maxHeight:t,innerRef:n,innerProps:r,selectProps:o})=>{const i=ze(),a=Gl(i),{toggleAllOptions:s,components:l}=o;var c;const u=null!==(c=null==l?void 0:l.Option)&&void 0!==c?c:Vc;return(0,f.jsx)("div",jc(kc({},r),{"data-testid":Ol.Tp.components.Select.menu,className:a.menu,style:{maxHeight:t},"aria-label":"Select options menu",children:(0,f.jsxs)(Ac,{ref:n,maxHeight:"inherit",overflowX:"hidden",showScrollIndicators:!0,children:[s&&(0,f.jsx)(Fc,{state:s.state,optionComponent:u,selectedCount:s.selectedCount,onClick:s.selectAllClicked}),e]})}))};Dc.displayName="SelectMenu";const Mc=({children:e,maxHeight:t,innerRef:n,options:r,selectProps:o,focusedOption:i})=>{const a=ze(),s=Gl(a),l=(0,g.useRef)(null),{toggleAllOptions:c,components:u}=o;var p;const h=null!==(p=null==u?void 0:u.Option)&&void 0!==p?p:Vc,m=(0,g.useMemo)((()=>r.flatMap((e=>e.options?[e,...e.options]:[e]))),[r]),b=m.findIndex((e=>e.value===(null==i?void 0:i.value)));if((0,g.useLayoutEffect)((()=>{var e;null===(e=l.current)||void 0===e||e.scrollToItem(b)}),[b]),!Array.isArray(e))return null;const v=e.flatMap(((e,t)=>_c(e)?[g.cloneElement(e,{children:null}),...e.props.children.slice(0,-1),g.cloneElement(e.props.children.at(-1),{innerProps:jc(kc({},e.props.children.at(-1).props.innerProps),{style:{borderBottom:`1px solid ${a.colors.border.weak}`,height:37}})})]:[e]));var y;c&&v.unshift((0,f.jsx)(Fc,{optionComponent:h,state:c.state,selectedCount:c.selectedCount,onClick:c.selectAllClicked}));let E=null!==(y=(0,d.max)(m.map((e=>{var t;return null===(t=e.label)||void 0===t?void 0:t.length}))))&&void 0!==y?y:0;c&&E<12&&(E=12);const O=8*E+16+58,x=Math.min(37*v.length,t);return(0,f.jsx)(mc,{outerRef:n,ref:l,className:s.menu,height:x,width:O,"aria-label":"Select options menu",itemCount:v.length,itemSize:37,children:({index:e,style:t})=>(0,f.jsx)("div",{style:jc(kc({},t),{overflow:"hidden"}),children:v[e]})})},_c=e=>g.isValidElement(e)&&Array.isArray(e.props.children);Mc.displayName="VirtualizedSelectMenu";const Fc=({state:e,onClick:t,selectedCount:n,optionComponent:r})=>{const o=ze(),i=Gl(o);return(0,f.jsx)("button",{"data-testid":Ol.Tp.components.Select.toggleAllOptions,className:(0,h.css)(Vl(o),i.toggleAllButton,{height:37}),onClick:t,children:r({isDisabled:!1,isSelected:e===Nc.allSelected,isFocused:!1,data:{},indeterminate:e===Nc.indeterminate,innerRef:()=>{},innerProps:{},children:(0,f.jsxs)(f.Fragment,{children:[(0,f.jsx)(Ra,{i18nKey:"select.select-menu.selected-count",children:"Selected "}),`(${null!=n?n:0})`]})})})},Vc=({children:t,data:n,innerProps:r,innerRef:o,isFocused:i,isSelected:a,renderOptionLabel:s})=>{const l=ze(),c=Gl(l),u=n.icon?(0,e.toIconName)(n.icon):void 0,{onMouseMove:d,onMouseOver:p}=r,g=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(r,["onMouseMove","onMouseOver"]);return(0,f.jsxs)("div",jc(kc({ref:o,className:(0,h.cx)(c.option,i&&c.optionFocused,a&&c.optionSelected,n.isDisabled&&c.optionDisabled)},g),{"data-testid":Ol.Tp.components.Select.option,title:n.title,children:[u&&(0,f.jsx)(Et,{name:u,className:c.optionIcon}),n.imgUrl&&(0,f.jsx)("img",{className:c.optionImage,src:n.imgUrl,alt:n.label||String(n.value)}),(0,f.jsxs)("div",{className:c.optionBody,children:[(0,f.jsx)("span",{children:s?s(n):t}),n.description&&(0,f.jsx)("div",{className:c.optionDescription,children:n.description}),n.component&&(0,f.jsx)(n.component,{})]})]}))};function $c(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Uc(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){$c(e,t,n[t])}))}return e}Vc.displayName="SelectMenuOptions";const Bc=({children:e,cx:t,getClassNames:n,getStyles:r,Heading:o,headingProps:i,label:a,selectProps:s,theme:l})=>{const c=Ge(Gl);return(0,f.jsxs)("div",{className:c.group,children:[(0,f.jsx)(o,(u=Uc({cx:t,getClassNames:n,getStyles:r,selectProps:s,theme:l},i),d={children:a},d=null!=d?d:{},Object.getOwnPropertyDescriptors?Object.defineProperties(u,Object.getOwnPropertyDescriptors(d)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(d)).forEach((function(e){Object.defineProperty(u,e,Object.getOwnPropertyDescriptor(d,e))})),u)),e]});var u,d};var Hc=y(952);const Wc=g.forwardRef((({childElement:e,children:t},n)=>{const[r,o]=(0,g.useState)(!1),i=(0,g.useRef)(null);(0,g.useImperativeHandle)(n,(()=>i.current));const a=(0,g.useMemo)((()=>new ResizeObserver((e=>{for(const t of e)t.target.clientWidth&&t.target.scrollWidth&&(t.target.scrollWidth>t.target.clientWidth&&o(!0),t.target.scrollWidth<=t.target.clientWidth&&o(!1))}))),[]);(0,g.useEffect)((()=>{const{current:e}=i;return e&&a.observe(e),()=>{a.disconnect()}}),[o,a]);return r?(0,f.jsx)(Al,{ref:i,content:(e=>"string"==typeof e?e:Hc.renderToStaticMarkup((0,f.jsx)(f.Fragment,{children:e})).replace(/(<([^>]+)>)/gi,""))(t),children:e(void 0)}):e(i)}));Wc.displayName="TruncatedText";const zc=(e,t)=>{switch(e){case"bold":return t.typography.fontWeightBold;case"medium":return t.typography.fontWeightMedium;case"light":return t.typography.fontWeightLight;case"regular":case void 0:return t.typography.fontWeightRegular}},Gc=(e,t)=>{switch(e){case"error":return t.colors.error.text;case"success":return t.colors.success.text;case"info":return t.colors.info.text;case"warning":return t.colors.warning.text;default:return e?t.colors.text[e]:void 0}},qc=(e,t,n)=>{if(n)return e.typography[n];switch(t){case"span":return;case"h1":return e.typography.h1;case"h2":return e.typography.h2;case"h3":return e.typography.h3;case"h4":return e.typography.h4;case"h5":return e.typography.h5;case"h6":return e.typography.h6;default:return e.typography.body}};function Xc(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Kc(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Xc(e,t,n[t])}))}return e}const Yc=g.forwardRef(((e,t)=>{var{element:n="span",variant:r,weight:o,color:i,truncate:a,italic:s,textAlignment:l,children:c,tabular:u}=e,d=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["element","variant","weight","color","truncate","italic","textAlignment","children","tabular"]);const p=Ge(Qc,n,r,i,o,a,s,l,u),h=e=>{return(0,g.createElement)(n,(t=Kc({},d),r=null!=(r={style:void 0,className:p,ref:e})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(r)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(r,e))})),t),c);var t,r};return a&&"span"!==n?(0,f.jsx)(Wc,{childElement:h,children:c,ref:t}):h(void 0)}));Yc.displayName="Text";const Qc=(e,t,n,r,o,i,a,s,l)=>(0,h.css)([Kc({margin:0,padding:0},qc(e,t,n)),n&&Kc({},e.typography[n]),r&&{color:Gc(r,e)},o&&{fontWeight:zc(o,e)},i&&{overflow:"hidden",textOverflow:"ellipsis",whiteSpace:"nowrap"},a&&{fontStyle:"italic"},s&&{textAlign:s},l&&{fontFeatureSettings:'"tnum"'}]),Jc=e=>{const t=Ge(Gl);var n;return(0,f.jsx)("div",{className:t.groupHeader,children:(0,f.jsx)(Yc,{weight:"bold",variant:"bodySmall",color:"secondary",children:null!==(n=e.children)&&void 0!==n?n:""})})};var Zc=y(5109);function eu(e,t){return e.replace(new RegExp("(^|\\s)"+t+"(?:\\s|$)","g"),"$1").replace(/\s+/g," ").replace(/^\s*|\s*$/g,"")}const tu=b().createContext(null);var nu=function(e){return e.scrollTop},ru="unmounted",ou="exited",iu="entering",au="entered",su="exiting",lu=function(e){function t(t,n){var r;r=e.call(this,t,n)||this;var o,i=n&&!n.isMounting?t.enter:t.appear;return r.appearStatus=null,t.in?i?(o=ou,r.appearStatus=iu):o=au:o=t.unmountOnExit||t.mountOnEnter?ru:ou,r.state={status:o},r.nextCallback=null,r}rc(t,e),t.getDerivedStateFromProps=function(e,t){return e.in&&t.status===ru?{status:ou}:null};var n=t.prototype;return n.componentDidMount=function(){this.updateStatus(!0,this.appearStatus)},n.componentDidUpdate=function(e){var t=null;if(e!==this.props){var n=this.state.status;this.props.in?n!==iu&&n!==au&&(t=iu):n!==iu&&n!==au||(t=su)}this.updateStatus(!1,t)},n.componentWillUnmount=function(){this.cancelNextCallback()},n.getTimeouts=function(){var e,t,n,r=this.props.timeout;return e=t=n=r,null!=r&&"number"!=typeof r&&(e=r.exit,t=r.enter,n=void 0!==r.appear?r.appear:t),{exit:e,enter:t,appear:n}},n.updateStatus=function(e,t){if(void 0===e&&(e=!1),null!==t)if(this.cancelNextCallback(),t===iu){if(this.props.unmountOnExit||this.props.mountOnEnter){var n=this.props.nodeRef?this.props.nodeRef.current:Mn().findDOMNode(this);n&&nu(n)}this.performEnter(e)}else this.performExit();else this.props.unmountOnExit&&this.state.status===ou&&this.setState({status:ru})},n.performEnter=function(e){var t=this,n=this.props.enter,r=this.context?this.context.isMounting:e,o=this.props.nodeRef?[r]:[Mn().findDOMNode(this),r],i=o[0],a=o[1],s=this.getTimeouts(),l=r?s.appear:s.enter;e||n?(this.props.onEnter(i,a),this.safeSetState({status:iu},(function(){t.props.onEntering(i,a),t.onTransitionEnd(l,(function(){t.safeSetState({status:au},(function(){t.props.onEntered(i,a)}))}))}))):this.safeSetState({status:au},(function(){t.props.onEntered(i)}))},n.performExit=function(){var e=this,t=this.props.exit,n=this.getTimeouts(),r=this.props.nodeRef?void 0:Mn().findDOMNode(this);t?(this.props.onExit(r),this.safeSetState({status:su},(function(){e.props.onExiting(r),e.onTransitionEnd(n.exit,(function(){e.safeSetState({status:ou},(function(){e.props.onExited(r)}))}))}))):this.safeSetState({status:ou},(function(){e.props.onExited(r)}))},n.cancelNextCallback=function(){null!==this.nextCallback&&(this.nextCallback.cancel(),this.nextCallback=null)},n.safeSetState=function(e,t){t=this.setNextCallback(t),this.setState(e,t)},n.setNextCallback=function(e){var t=this,n=!0;return this.nextCallback=function(r){n&&(n=!1,t.nextCallback=null,e(r))},this.nextCallback.cancel=function(){n=!1},this.nextCallback},n.onTransitionEnd=function(e,t){this.setNextCallback(t);var n=this.props.nodeRef?this.props.nodeRef.current:Mn().findDOMNode(this),r=null==e&&!this.props.addEndListener;if(n&&!r){if(this.props.addEndListener){var o=this.props.nodeRef?[this.nextCallback]:[n,this.nextCallback],i=o[0],a=o[1];this.props.addEndListener(i,a)}null!=e&&setTimeout(this.nextCallback,e)}else setTimeout(this.nextCallback,0)},n.render=function(){var e=this.state.status;if(e===ru)return null;var t=this.props,n=t.children,r=(t.in,t.mountOnEnter,t.unmountOnExit,t.appear,t.enter,t.exit,t.timeout,t.addEndListener,t.onEnter,t.onEntering,t.onEntered,t.onExit,t.onExiting,t.onExited,t.nodeRef,(0,Zc.A)(t,["children","in","mountOnEnter","unmountOnExit","appear","enter","exit","timeout","addEndListener","onEnter","onEntering","onEntered","onExit","onExiting","onExited","nodeRef"]));return b().createElement(tu.Provider,{value:null},"function"==typeof n?n(e,r):b().cloneElement(b().Children.only(n),r))},t}(b().Component);function cu(){}lu.contextType=tu,lu.propTypes={},lu.defaultProps={in:!1,mountOnEnter:!1,unmountOnExit:!1,appear:!1,enter:!0,exit:!0,onEnter:cu,onEntering:cu,onEntered:cu,onExit:cu,onExiting:cu,onExited:cu},lu.UNMOUNTED=ru,lu.EXITED=ou,lu.ENTERING=iu,lu.ENTERED=au,lu.EXITING=su;const uu=lu;var du=function(e,t){return e&&t&&t.split(" ").forEach((function(t){return r=t,void((n=e).classList?n.classList.remove(r):"string"==typeof n.className?n.className=eu(n.className,r):n.setAttribute("class",eu(n.className&&n.className.baseVal||"",r)));var n,r}))},pu=function(e){function t(){for(var t,n=arguments.length,r=new Array(n),o=0;o<n;o++)r[o]=arguments[o];return(t=e.call.apply(e,[this].concat(r))||this).appliedClasses={appear:{},enter:{},exit:{}},t.onEnter=function(e,n){var r=t.resolveArguments(e,n),o=r[0],i=r[1];t.removeClasses(o,"exit"),t.addClass(o,i?"appear":"enter","base"),t.props.onEnter&&t.props.onEnter(e,n)},t.onEntering=function(e,n){var r=t.resolveArguments(e,n),o=r[0],i=r[1]?"appear":"enter";t.addClass(o,i,"active"),t.props.onEntering&&t.props.onEntering(e,n)},t.onEntered=function(e,n){var r=t.resolveArguments(e,n),o=r[0],i=r[1]?"appear":"enter";t.removeClasses(o,i),t.addClass(o,i,"done"),t.props.onEntered&&t.props.onEntered(e,n)},t.onExit=function(e){var n=t.resolveArguments(e)[0];t.removeClasses(n,"appear"),t.removeClasses(n,"enter"),t.addClass(n,"exit","base"),t.props.onExit&&t.props.onExit(e)},t.onExiting=function(e){var n=t.resolveArguments(e)[0];t.addClass(n,"exit","active"),t.props.onExiting&&t.props.onExiting(e)},t.onExited=function(e){var n=t.resolveArguments(e)[0];t.removeClasses(n,"exit"),t.addClass(n,"exit","done"),t.props.onExited&&t.props.onExited(e)},t.resolveArguments=function(e,n){return t.props.nodeRef?[t.props.nodeRef.current,e]:[e,n]},t.getClassNames=function(e){var n=t.props.classNames,r="string"==typeof n,o=r?(r&&n?n+"-":"")+e:n[e];return{baseClassName:o,activeClassName:r?o+"-active":n[e+"Active"],doneClassName:r?o+"-done":n[e+"Done"]}},t}rc(t,e);var n=t.prototype;return n.addClass=function(e,t,n){var r=this.getClassNames(t)[n+"ClassName"],o=this.getClassNames("enter").doneClassName;"appear"===t&&"done"===n&&o&&(r+=" "+o),"active"===n&&e&&nu(e),r&&(this.appliedClasses[t][n]=r,function(e,t){e&&t&&t.split(" ").forEach((function(t){return r=t,void((n=e).classList?n.classList.add(r):function(e,t){return e.classList?!!t&&e.classList.contains(t):-1!==(" "+(e.className.baseVal||e.className)+" ").indexOf(" "+t+" ")}(n,r)||("string"==typeof n.className?n.className=n.className+" "+r:n.setAttribute("class",(n.className&&n.className.baseVal||"")+" "+r)));var n,r}))}(e,r))},n.removeClasses=function(e,t){var n=this.appliedClasses[t],r=n.base,o=n.active,i=n.done;this.appliedClasses[t]={},r&&du(e,r),o&&du(e,o),i&&du(e,i)},n.render=function(){var e=this.props,t=(e.classNames,(0,Zc.A)(e,["classNames"]));return b().createElement(uu,(0,Rn.A)({},t,{onEnter:this.onEnter,onEntered:this.onEntered,onEntering:this.onEntering,onExit:this.onExit,onExiting:this.onExiting,onExited:this.onExited}))},t}(b().Component);pu.defaultProps={classNames:""},pu.propTypes={};const fu=pu;function hu(e){const{visible:t,children:n,duration:r=250}=e,o=Ge(gu,r),i=(0,g.useRef)(null);return(0,f.jsx)(fu,{in:t,mountOnEnter:!0,unmountOnExit:!0,timeout:r,classNames:o,nodeRef:i,children:g.cloneElement(n,{ref:i})})}const gu=(e,t)=>({enter:(0,h.css)({label:"enter",opacity:0}),enterActive:(0,h.css)({label:"enterActive",opacity:1,[e.transitions.handleMotion("no-preference","reduce")]:{transition:`opacity ${t}ms ease-out`}}),exit:(0,h.css)({label:"exit",opacity:1}),exitActive:(0,h.css)({label:"exitActive",opacity:0,[e.transitions.handleMotion("no-preference","reduce")]:{transition:`opacity ${t}ms ease-out`}})});function mu(e){const{visible:t,children:n,duration:r=250,horizontal:o,size:i}=e,a=Ge(bu,r,o?"width":"height",i),s=(0,g.useRef)(null);return(0,f.jsx)(fu,{in:t,mountOnEnter:!0,unmountOnExit:!0,timeout:r,classNames:a,nodeRef:s,children:g.cloneElement(n,{ref:s})})}const bu=(e,t,n,r)=>({enter:(0,h.css)({label:"enter",[`${n}`]:0,opacity:0}),enterActive:(0,h.css)({label:"enterActive",[`${n}`]:`${r}px`,opacity:1,[e.transitions.handleMotion("no-preference")]:{transition:`opacity ${t}ms ease-out, ${n} ${t}ms ease-out`},[e.transitions.handleMotion("reduce")]:{transition:`opacity ${t}ms ease-out`}}),exit:(0,h.css)({label:"exit",[`${n}`]:`${r}px`,opacity:1}),exitActive:(0,h.css)({label:"exitActive",opacity:0,[`${n}`]:0,[e.transitions.handleMotion("no-preference")]:{transition:`opacity ${t}ms ease-out, ${n} ${t}ms ease-out`},[e.transitions.handleMotion("reduce")]:{transition:`opacity ${t}ms ease-out`}})});function vu(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const yu=e=>({singleValue:(0,h.css)({label:"singleValue",whiteSpace:"nowrap",overflow:"hidden",textOverflow:"ellipsis",boxSizing:"border-box",maxWidth:"100%",gridArea:"1 / 1 / 2 / 3"}),spinnerWrapper:(0,h.css)({width:"16px",height:"16px",display:"inline-block",marginRight:"10px",position:"relative",verticalAlign:"middle",overflow:"hidden"}),spinnerIcon:(0,h.css)({width:"100%",height:"100%",position:"absolute"}),optionIcon:(0,h.css)({marginRight:e.spacing(1),color:e.colors.text.secondary}),disabled:(0,h.css)({color:e.colors.text.disabled}),isOpen:(0,h.css)({color:e.colors.text.disabled})}),Eu=t=>{const{children:n,data:r,isDisabled:o}=t,i=Ge(yu),a=function(e,t={}){const{duration:n=250,delay:r=250}=t,[o,i]=(0,g.useState)(e),a=(0,g.useRef)();return(0,g.useEffect)((()=>{let t;if(e)t=setTimeout((()=>{a.current=new Date,i(e)}),r);else{const r=a.current?Date.now()-a.current.valueOf():0,o=()=>{a.current=void 0,i(e)};r>=n?o():t=setTimeout(o,n-r)}return()=>{t&&(clearTimeout(t),t=void 0)}}),[e,n,r]),o}(r.loading||!1,{delay:250,duration:750}),s=r.icon?(0,e.toIconName)(r.icon):void 0;var l,c,u;return(0,f.jsxs)(Fo.SingleValue,(c=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){vu(e,t,n[t])}))}return e}({},t),u=null!=(u={className:(0,h.cx)(i.singleValue,o&&i.disabled,t.selectProps.menuIsOpen&&i.isOpen),children:[r.imgUrl?(0,f.jsx)(Ou,{loading:a,imgUrl:r.imgUrl,styles:i,alt:String(null!==(l=r.label)&&void 0!==l?l:r.value)}):(0,f.jsxs)(f.Fragment,{children:[(0,f.jsx)(mu,{horizontal:!0,size:16,visible:a,duration:150,children:(0,f.jsx)("div",{className:i.spinnerWrapper,children:(0,f.jsx)(Ca,{className:i.spinnerIcon,inline:!0})})}),s&&(0,f.jsx)(Et,{name:s,role:"img",className:i.optionIcon})]}),!r.hideText&&n]})?u:{},Object.getOwnPropertyDescriptors?Object.defineProperties(c,Object.getOwnPropertyDescriptors(u)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(u)).forEach((function(e){Object.defineProperty(c,e,Object.getOwnPropertyDescriptor(u,e))})),c))},Ou=e=>(0,f.jsxs)("div",{className:e.styles.spinnerWrapper,children:[(0,f.jsx)(hu,{duration:150,visible:e.loading,children:(0,f.jsx)(Ca,{className:e.styles.spinnerIcon,inline:!0})}),(0,f.jsx)(hu,{duration:150,visible:!e.loading,children:(0,f.jsx)("img",{className:e.styles.spinnerIcon,src:e.imgUrl,alt:e.alt})})]});class xu extends g.Component{render(){const{children:e}=this.props,{selectProps:t}=this.props;if(t&&Array.isArray(e)&&Array.isArray(e[0])&&void 0!==t.maxVisibleValues&&(!t.showAllSelectedWhenOpen||!t.menuIsOpen)){const[n,...r]=e,o=n.slice(0,t.maxVisibleValues);return this.renderContainer([o,...r])}return this.renderContainer(e)}renderContainer(e){var t,n;const{isMulti:r,theme:o,selectProps:i}=this.props,a=(null===(t=this.props.selectProps)||void 0===t?void 0:t.noMultiValueWrap)&&!(null===(n=this.props.selectProps)||void 0===n?void 0:n.menuIsOpen),s=Gl(o),l=i["data-testid"],c=(0,h.cx)(s.valueContainer,{[s.valueContainerMulti]:r&&!a,[s.valueContainerMultiNoWrap]:r&&a});return(0,f.jsx)("div",{"data-testid":l,className:c,children:e})}}const Su=(t=>{const n=n=>{const r=e.ThemeContext;return(0,f.jsx)(r.Consumer,{children:e=>{return(0,f.jsx)(t,(r=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){He(e,t,n[t])}))}return e}({},n),o=null!=(o={theme:e})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(o)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(o)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(o,e))})),r));var r,o}})};return n.displayName=`WithTheme(${t.displayName})`,$e()(n,t),n})(xu);function wu(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Ru(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){wu(e,t,n[t])}))}return e}function Tu(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Cu=(e,t)=>{for(const n of t)if("options"in n){let t=Cu(e,n.options);if(t)return t}else if("value"in n&&n.value===e)return n;return null},Iu=e=>e.map((e=>{var{description:t}=e;return function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(e,["description"])}));function Au(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Pu(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Au(e,t,n[t])}))}return e}function Nu(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Lu=e=>{const{children:t,innerProps:n,selectProps:{menuIsOpen:r,onMenuClose:o,onMenuOpen:i},isFocused:a,isMulti:s,getValue:l,innerRef:c}=e,u=e.selectProps;return u.renderControl?g.createElement(u.renderControl,{isOpen:r,value:s?l():l()[0],ref:c,onClick:r?o:i,onBlur:o,disabled:!!u.disabled,invalid:!!u.invalid}):(0,f.jsx)(Cs,{ref:c,innerProps:n,prefix:u.prefix,focused:a,invalid:!!u.invalid,disabled:!!u.disabled,children:t})};function ku(t){var{allowCustomValue:n=!1,allowCreateWhileLoading:r=!1,"aria-label":o,"data-testid":i,autoFocus:a=!1,backspaceRemovesValue:s=!0,blurInputOnSelect:l,cacheOptions:c,className:u,closeMenuOnSelect:p=!0,components:h,createOptionPosition:m="last",defaultOptions:b,defaultValue:v,disabled:y=!1,filterOption:E,formatCreateLabel:O,getOptionLabel:x,getOptionValue:S,inputValue:w,invalid:R,isClearable:T=!1,id:C,isLoading:I=!1,isMulti:A=!1,inputId:P,isOpen:N,isOptionDisabled:L,isSearchable:k=!0,loadOptions:j,loadingMessage:D="Loading options...",maxMenuHeight:M=300,minMenuHeight:_,maxVisibleValues:F,menuPlacement:V="auto",menuPosition:$,menuShouldPortal:U=!0,noOptionsMessage:B=bn("grafana-ui.select.no-options-label","No options found"),onBlur:H,onChange:W,onCloseMenu:z,onCreateOption:G,onInputChange:q,onKeyDown:X,onMenuScrollToBottom:K,onMenuScrollToTop:Y,onOpenMenu:Q,onFocus:J,toggleAllOptions:Z,openMenuOnFocus:ee=!1,options:te=[],placeholder:ne=bn("grafana-ui.select.placeholder","Choose"),prefix:re,renderControl:oe,showAllSelectedWhenOpen:ie=!0,tabSelectsValue:ae=!0,value:se,virtualized:le=!1,noMultiValueWrap:ce,width:ue,isValidNewOption:de,formatOptionLabel:pe,hideSelectedOptions:fe}=t,he=function(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n,r,o={},i=Object.keys(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||(o[n]=e[n]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}(t,["allowCustomValue","allowCreateWhileLoading","aria-label","data-testid","autoFocus","backspaceRemovesValue","blurInputOnSelect","cacheOptions","className","closeMenuOnSelect","components","createOptionPosition","defaultOptions","defaultValue","disabled","filterOption","formatCreateLabel","getOptionLabel","getOptionValue","inputValue","invalid","isClearable","id","isLoading","isMulti","inputId","isOpen","isOptionDisabled","isSearchable","loadOptions","loadingMessage","maxMenuHeight","minMenuHeight","maxVisibleValues","menuPlacement","menuPosition","menuShouldPortal","noOptionsMessage","onBlur","onChange","onCloseMenu","onCreateOption","onInputChange","onKeyDown","onMenuScrollToBottom","onMenuScrollToTop","onOpenMenu","onFocus","toggleAllOptions","openMenuOnFocus","options","placeholder","prefix","renderControl","showAllSelectedWhenOpen","tabSelectsValue","value","virtualized","noMultiValueWrap","width","isValidNewOption","formatOptionLabel","hideSelectedOptions"]);const ge=ze(),me=Gl(ge),be=(0,g.useRef)(null),[ve,ye]=(0,g.useState)(!1),Ee=function(e,t){return(0,g.useMemo)((()=>Tu(Ru({},function(e){return{clearIndicator:()=>({}),container:()=>({}),control:()=>({}),dropdownIndicator:()=>({}),group:()=>({}),groupHeading:()=>({}),indicatorsContainer:()=>({}),indicatorSeparator:()=>({}),input:function(e){return Tu(Ru({},e),{color:"inherit",margin:0,padding:0,zIndex:1,overflow:"hidden"})},loadingIndicator:()=>({}),loadingMessage:()=>({}),menu:()=>({}),menuList:({maxHeight:e})=>({maxHeight:e}),multiValue:()=>({}),multiValueLabel:()=>({overflow:"hidden",textOverflow:"ellipsis"}),multiValueRemove:()=>({}),noOptionsMessage:()=>({}),option:()=>({}),placeholder:t=>Tu(Ru({},t),{color:e.colors.text.secondary}),singleValue:()=>({}),valueContainer:()=>({})}}(e)),{menuPortal:t=>Tu(Ru({},t),{zIndex:e.zIndex.portal}),menu:({top:t,bottom:n,position:r})=>({top:t,bottom:n,position:r,minWidth:"100%",zIndex:e.zIndex.dropdown}),container:()=>({width:t?e.spacing(t):"100%",display:"auto"===t?"inline-flex":"flex"}),option:(e,t)=>Tu(Ru({},e),{opacity:t.isDisabled?.5:1})})),[e,t])}(ge,ue),[Oe,xe]=(0,g.useState)(!!w);(0,g.useEffect)((()=>{if(j&&N&&be.current&&be.current.controlRef&&"auto"===V){const e=window.innerHeight-be.current.controlRef.getBoundingClientRect().bottom;ye(e<M)}}),[M,V,j,N]);const Se=(0,g.useCallback)(((e,t)=>{if(A&&null==e)return W([],t);W(e,t)}),[A,W]);let we=Fi;const Re={};let Te,Ce={};if(A&&j)Te=se;else if(A&&se&&Array.isArray(se)&&!j)Te=se.map((t=>{var n;return Cu(null!==(n=t.value)&&void 0!==n?n:t,te)||("string"==typeof t?(0,e.toOption)(t):t)}));else if(j){const e=v||se;Te=e?[e]:[]}else Te=((e,t)=>{if(Array.isArray(e)){const t=e.filter(Boolean);return(null==t?void 0:t.length)?t:void 0}if("object"==typeof e)return[e];if("string"==typeof e||"number"==typeof e){const n=Cu(e,t);if(n)return[n]}})(se,te);const Ie={"aria-label":o,"data-testid":i,autoFocus:a,backspaceRemovesValue:s,blurInputOnSelect:l,captureMenuScroll:K||Y,closeMenuOnSelect:p,defaultValue:v,disabled:y,filterOption:Oe?E:null,getOptionLabel:x,getOptionValue:S,hideSelectedOptions:fe,inputValue:w,invalid:R,isClearable:T,id:C,isDisabled:y,isLoading:I,isMulti:A,inputId:P,isOptionDisabled:L,isSearchable:k,maxMenuHeight:M,minMenuHeight:_,maxVisibleValues:F,menuIsOpen:N,menuPlacement:"auto"===V&&ve?"top":V,menuPosition:$,menuShouldBlockScroll:!0,menuPortalTarget:U&&"undefined"!=typeof document?document.body:void 0,menuShouldScrollIntoView:!1,onBlur:H,onChange:Se,onInputChange:(e,t)=>{var n;const r=null!==(n=null==q?void 0:q(e,t))&&void 0!==n?n:e,o=!!r;return o!==Oe&&xe(o),r},onKeyDown:X,onMenuClose:z,onMenuOpen:Q,onMenuScrollToBottom:K,onMenuScrollToTop:Y,onFocus:J,formatOptionLabel:pe,openMenuOnFocus:ee,options:le?Iu(te):te,placeholder:ne,prefix:re,renderControl:oe,showAllSelectedWhenOpen:ie,tabSelectsValue:ae,value:A?Te:null==Te?void 0:Te[0],noMultiValueWrap:ce};n&&(we=qi,Re.allowCreateWhileLoading=r,Re.formatCreateLabel=null!=O?O:ju,Re.onCreateOption=G,Re.createOptionPosition=m,Re.isValidNewOption=de),j&&(we=n?Gi:Ui,Ce={loadOptions:j,cacheOptions:c,defaultOptions:b});const Ae=le?Mc:Dc;let Pe=Nc.noneSelected;(null==Z?void 0:Z.enabled)&&(0,d.isArray)(Te)&&(Pe=(null==Z?void 0:Z.determineToggleAllState)?Z.determineToggleAllState(Te,te):function(e,t){return t.length===e.length?Nc.allSelected:0===e.length?Nc.noneSelected:Nc.indeterminate}(Te,te));const Ne=(0,g.useCallback)((()=>{let e=Pe===Nc.noneSelected?te:[];(null==Z?void 0:Z.optionsFilter)&&(e=Pe===Nc.noneSelected?te.filter(Z.optionsFilter):te.filter((0,d.negate)(Z.optionsFilter))),W(e,{action:"select-option",option:{}})}),[te,Z,W,Pe]);return(0,f.jsx)(f.Fragment,{children:(0,f.jsx)(we,Pu({ref:be,components:Pu({MenuList:Ae,Group:Bc,GroupHeading:Jc,ValueContainer:Su,IndicatorsContainer:Du,IndicatorSeparator:Mu,Control:Lu,Option:Vc,ClearIndicator(e){const{clearValue:t}=e;return(0,f.jsx)(Et,{name:"times",role:"button","aria-label":"select-clear-value",className:me.singleValueRemove,onMouseDown:e=>{e.preventDefault(),e.stopPropagation(),t()}})},LoadingIndicator:()=>(0,f.jsx)(Ca,{inline:!0}),LoadingMessage:()=>(0,f.jsx)("div",{className:me.loadingMessage,children:D}),NoOptionsMessage:()=>(0,f.jsx)("div",{className:me.loadingMessage,"aria-label":"No options provided",children:B}),DropdownIndicator:La,SingleValue:e=>(0,f.jsx)(Eu,Nu(Pu({},e),{isDisabled:y})),SelectContainer:Zl,MultiValueContainer:Yl,MultiValueRemove:y?()=>null:Ql,Input:Na},h),toggleAllOptions:(null==Z?void 0:Z.enabled)&&{state:Pe,selectAllClicked:Ne,selectedCount:(0,d.isArray)(Te)?Te.length:void 0},styles:Ee,className:u},Ie,Re,Ce,he))})}function ju(e){return(0,f.jsxs)("div",{style:{display:"flex",gap:"8px",alignItems:"center"},children:[(0,f.jsx)("div",{children:e}),(0,f.jsx)("div",{style:{flexGrow:1}}),(0,f.jsx)("div",{className:"muted small",style:{display:"flex",gap:"8px",alignItems:"center"},children:(0,f.jsx)(Ra,{i18nKey:"grafana-ui.select.default-create-label",children:"Hit enter to add"})})]})}function Du(e){const{showAllSelectedWhenOpen:t,maxVisibleValues:n,menuIsOpen:r}=e.selectProps,o=e.getValue();if(void 0!==n&&Array.isArray(e.children)){const i=o.length;if(i>n&&(!t||!r)){const t=[...e.children];return t.splice(-1,0,(0,f.jsx)("span",{id:"excess-values",children:`(+${i-n})`},"excess-values")),(0,f.jsx)(Rs,Nu(Pu({},e),{children:t}))}}return(0,f.jsx)(Rs,Pu({},e))}function Mu(){return(0,f.jsx)(f.Fragment,{})}function _u(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Fu(e){return(0,f.jsx)(ku,function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){_u(e,t,n[t])}))}return e}({},e))}function Vu(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function $u(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Vu(e,t,n[t])}))}return e}function Uu(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(t)).forEach((function(n){Object.defineProperty(e,n,Object.getOwnPropertyDescriptor(t,n))})),e}const Bu=e=>{const{managedIdentityEnabled:t,azureEntraPasswordCredentialsEnabled:n,credentials:r,azureCloudOptions:o,onCredentialsChange:i,disabled:a}=e,s=e=>{if("clientsecret"===r.authType||"ad-password"===r.authType){const t=Uu($u({},r),{clientId:e.target.value});i(t)}},l=[{value:"clientsecret",label:"App Registration"}];return t&&l.push({value:"msi",label:"Managed Identity"}),n&&l.push({value:"ad-password",label:"Azure Entra Password"}),(0,f.jsxs)("div",{children:[(0,f.jsx)(It,{label:"Authentication",description:"Choose the type of authentication to Azure services",htmlFor:"authentication-type",children:(0,f.jsx)(Fu,{width:20,value:l.find((e=>e.value===r.authType)),options:l,onChange:e=>{if(i){const t=Uu($u({},r),{authType:e.value||"msi"});i(t)}},disabled:a})}),"clientsecret"===r.authType&&(0,f.jsxs)(f.Fragment,{children:[o&&(0,f.jsx)(It,{label:"Azure Cloud",htmlFor:"azure-cloud-type",disabled:a,children:(0,f.jsx)(Fu,{value:o.find((e=>e.value===r.azureCloud)),options:o,onChange:e=>{if("clientsecret"===r.authType){const t=Uu($u({},r),{azureCloud:e.value});i(t)}},isDisabled:a,inputId:"azure-cloud-type","aria-label":"Azure Cloud",width:20})}),(0,f.jsx)(It,{label:"Directory (tenant) ID",required:!0,htmlFor:"tenant-id",invalid:!r.tenantId,error:"Tenant ID is required",children:(0,f.jsx)(Ss,{width:45,placeholder:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",value:r.tenantId||"",onChange:e=>{if("clientsecret"===r.authType){const t=Uu($u({},r),{tenantId:e.target.value});i(t)}},disabled:a,"aria-label":"Tenant ID"})}),(0,f.jsx)(It,{label:"Application (client) ID",required:!0,htmlFor:"client-id",invalid:!r.clientId,error:"Client ID is required",children:(0,f.jsx)(Ss,{width:45,placeholder:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",value:r.clientId||"",onChange:s,disabled:a,"aria-label":"Client ID"})}),!a&&("symbol"==typeof r.clientSecret?(0,f.jsx)(It,{label:"Client Secret",htmlFor:"client-secret",required:!0,children:(0,f.jsxs)("div",{className:"width-30",style:{display:"flex",gap:"4px"},children:[(0,f.jsx)(Ss,{"aria-label":"Client Secret",placeholder:"configured",disabled:!0,"data-testid":"client-secret",width:45}),(0,f.jsx)(Dl,{variant:"secondary",type:"button",onClick:()=>{if("clientsecret"===r.authType){const e=Uu($u({},r),{clientSecret:""});i(e)}},disabled:a,children:"Reset"})]})}):(0,f.jsx)(It,{label:"Client Secret",required:!0,htmlFor:"client-secret",invalid:!r.clientSecret,error:"Client secret is required",children:(0,f.jsx)(Ss,{width:45,"aria-label":"Client Secret",placeholder:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",value:r.clientSecret||"",onChange:e=>{if("clientsecret"===r.authType){const t=Uu($u({},r),{clientSecret:e.target.value});i(t)}},id:"client-secret",disabled:a})}))]}),"ad-password"===r.authType&&n&&(0,f.jsxs)(f.Fragment,{children:[(0,f.jsx)(It,{label:"User Id",required:!0,htmlFor:"user-id",invalid:!r.userId,error:"User ID is required",children:(0,f.jsx)(Ss,{width:45,value:r.userId||"",onChange:e=>{if("ad-password"===r.authType){const t=Uu($u({},r),{userId:e.target.value});i(t)}},disabled:a,"aria-label":"User ID"})}),(0,f.jsx)(It,{label:"Application Client ID",required:!0,htmlFor:"application-client-id",invalid:!r.clientId,error:"Application Client ID is required",children:(0,f.jsx)(Ss,{width:45,value:r.clientId||"",onChange:s,disabled:a,"aria-label":"Application Client ID"})}),!a&&("symbol"==typeof r.password?(0,f.jsx)(It,{label:"Password",htmlFor:"password",required:!0,children:(0,f.jsxs)("div",{className:"width-30",style:{display:"flex",gap:"4px"},children:[(0,f.jsx)(Ss,{"aria-label":"Password",placeholder:"configured",disabled:!0,"data-testid":"password",width:45}),(0,f.jsx)(Dl,{variant:"secondary",type:"button",onClick:()=>{if("ad-password"===r.authType){const e=Uu($u({},r),{password:""});i(e)}},disabled:a,children:"Reset"})]})}):(0,f.jsx)(It,{label:"Password",required:!0,htmlFor:"password",invalid:!r.password,error:"Password is required",children:(0,f.jsx)(Ss,{width:45,"aria-label":"Password",value:r.password||"",onChange:e=>{if("ad-password"===r.authType){const t=Uu($u({},r),{password:e.target.value});i(t)}},id:"password",disabled:a})}))]})]})},Hu=[{value:Le.Public,label:"Azure"}],Wu=e=>{const{dataSourceConfig:t,onChange:n}=e,r=u.config.azure.managedIdentityEnabled,o=u.config.azure.azureEntraPasswordCredentialsEnabled,i=(0,g.useMemo)((()=>(e=>{const t=function(e){const t=e.jsonData.azureCredentials;if(!t)return;const n=t.authType;switch(n){case"msi":case"workloadidentity":return"msi"===n&&u.config.azure.managedIdentityEnabled||"workloadidentity"===n&&u.config.azure.workloadIdentityEnabled?{authType:n}:void 0;case"clientsecret":case"clientsecret-obo":if("clientsecret-obo"===n)return;return{authType:n,azureCloud:t.azureCloud||ke(),tenantId:t.tenantId,clientId:t.clientId,clientSecret:_e(e)};case"ad-password":return{authType:n,userId:t.userId,clientId:t.clientId,password:Fe(e)}}if(je(n,t)){if(!u.config.azure.userIdentityEnabled)return;if(je("clientsecret",t.serviceCredentials)){const r={...t.serviceCredentials,clientSecret:_e(e)};return{authType:n,serviceCredentialsEnabled:t.serviceCredentialsEnabled,serviceCredentials:r}}return{authType:n,serviceCredentialsEnabled:t.serviceCredentialsEnabled,serviceCredentials:t.serviceCredentials}}throw new Error(`The auth type '${n}' is not supported.`)}(e);return t||(u.config.azure.managedIdentityEnabled?{authType:"msi"}:{authType:"clientsecret",azureCloud:ke()})})(t)),[t]),a=e=>{n(function(e,t){e={...e,jsonData:{...e.jsonData,azureAuthType:void 0,cloudName:void 0,tenantId:void 0,clientId:void 0}};const n=t.authType;switch(n){case"msi":case"workloadidentity":if("msi"===n&&!u.config.azure.managedIdentityEnabled)throw new Error("Managed Identity authentication is not enabled in Grafana config.");if("workloadidentity"===n&&!u.config.azure.workloadIdentityEnabled)throw new Error("Workload Identity authentication is not enabled in Grafana config.");return{...e,jsonData:{...e.jsonData,azureCredentials:{authType:n}}};case"clientsecret":case"clientsecret-obo":if("clientsecret-obo"===n)throw new Error("Client Secret OBO authentication is not enabled in Grafana config.");return e={...e,jsonData:{...e.jsonData,azureCredentials:{authType:n,azureCloud:t.azureCloud||ke(),tenantId:t.tenantId,clientId:t.clientId}},secureJsonData:{...e.secureJsonData,azureClientSecret:"string"==typeof t.clientSecret&&t.clientSecret.length>0?t.clientSecret:void 0},secureJsonFields:{...e.secureJsonFields,azureClientSecret:t.clientSecret===De,clientSecret:t.clientSecret===Me}},"clientsecret-obo"===n&&(e={...e,jsonData:{...e.jsonData,oauthPassThru:!0}}),e;case"ad-password":return{...e,jsonData:{...e.jsonData,azureCredentials:{authType:"ad-password",userId:t.userId,clientId:t.clientId}},secureJsonData:{...e.secureJsonData,password:"string"==typeof t.password&&t.password.length>0?t.password:void 0},secureJsonFields:{...e.secureJsonFields,password:"symbol"==typeof t.password}}}if(je("currentuser",t)){if(!u.config.azure.userIdentityEnabled)throw new Error("User Identity authentication is not enabled in Grafana config.");const n=t.serviceCredentials;let r;return je("clientsecret",n)&&(r=n.clientSecret,delete n.clientSecret),{...e,jsonData:{...e.jsonData,azureCredentials:{authType:"currentuser",serviceCredentialsEnabled:t.serviceCredentialsEnabled,serviceCredentials:n},oauthPassThru:!0,disableGrafanaCache:!0},secureJsonData:{...e.secureJsonData,azureClientSecret:"string"==typeof r&&r.length>0?r:void 0},secureJsonFields:{...e.secureJsonFields,azureClientSecret:r===De,clientSecret:r===Me}}}throw new Error(`The auth type '${n}' is not supported.`)}(t,e))};return s=()=>{t.jsonData.authType||a(i)},(0,g.useEffect)(s,[]),(0,f.jsx)(Bu,{managedIdentityEnabled:r,azureEntraPasswordCredentialsEnabled:o,credentials:i,azureCloudOptions:Hu,onCredentialsChange:a,disabled:t.readOnly});var s};var zu=function(e){return e.sqlAuth="SQL Server Authentication",e.windowsAuth="Windows Authentication",e.azureAuth="Azure AD Authentication",e.kerberosRaw="Windows AD: Username + password",e.kerberosKeytab="Windows AD: Keytab",e.kerberosCredentialCache="Windows AD: Credential cache",e.kerberosCredentialCacheLookupFile="Windows AD: Credential cache file",e}({}),Gu=function(e){return e.disable="disable",e.false="false",e.true="true",e}({});function qu(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Xu(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){qu(e,t,n[t])}))}return e}const Ku=(0,f.jsxs)("span",{children:["Use the format ",(0,f.jsx)("code",{children:"user@EXAMPLE.COM"}),". Realm is derived from the username."]}),Yu=t=>{const{options:n,onOptionsChange:r}=t,o=n.jsonData,i=null==o?void 0:o.keytabFilePath,a=null==o?void 0:o.credentialCache,s=null==o?void 0:o.credentialCacheLookupFile;return(0,f.jsxs)(f.Fragment,{children:[o.authenticationType===zu.kerberosKeytab&&(0,f.jsxs)(v.FieldSet,{label:"Windows AD: Keytab",children:[(0,f.jsx)(v.Field,{label:"Username",required:!0,invalid:!n.user,error:"Username is required",description:Ku,children:(0,f.jsx)(v.Input,{value:n.user||"",placeholder:"name@EXAMPLE.COM",onChange:e=>r(Xu({},n,{user:e.currentTarget.value})),width:40})}),(0,f.jsx)(v.Field,{label:"Keytab file path",required:!0,invalid:!i,error:"Keytab file path is required",children:(0,f.jsx)(v.Input,{placeholder:"/home/grot/grot.keytab",onChange:n=>{(0,e.updateDatasourcePluginJsonDataOption)(t,"keytabFilePath",n.currentTarget.value)},width:40,required:!0,value:i||""})})]}),o.authenticationType===zu.kerberosCredentialCache&&(0,f.jsx)(v.FieldSet,{label:"Windows AD: Credential cache",children:(0,f.jsx)(v.Field,{label:"Credential cache path",required:!0,invalid:!a,error:"Credential cache path is required",children:(0,f.jsx)(v.Input,{placeholder:"/tmp/krb5cc_1000",onChange:n=>{(0,e.updateDatasourcePluginJsonDataOption)(t,"credentialCache",n.currentTarget.value)},width:40,value:a||"",required:!0})})}),o.authenticationType===zu.kerberosCredentialCacheLookupFile&&(0,f.jsxs)(v.FieldSet,{label:"Windows AD: Credential cache file",children:[(0,f.jsx)(v.Field,{label:"Username",required:!0,invalid:!n.user,error:"Username is required",description:Ku,children:(0,f.jsx)(v.Input,{value:n.user||"",placeholder:"name@EXAMPLE.COM",onChange:e=>r(Xu({},n,{user:e.currentTarget.value})),width:40})}),(0,f.jsx)(v.Field,{label:"Credential cache file path",required:!0,invalid:!s,error:"Credential cache file path is required",children:(0,f.jsx)(v.Input,{placeholder:"/home/grot/cache.json",onChange:n=>{(0,e.updateDatasourcePluginJsonDataOption)(t,"credentialCacheLookupFile",n.currentTarget.value)},width:40,value:s||"",required:!0})})]})]})},Qu=t=>{const{options:n}=t,r=n.jsonData,o=null==r?void 0:r.configFilePath;return(0,f.jsx)(f.Fragment,{children:(0,f.jsx)(ne,{title:"Windows AD: Advanced Settings",children:(0,f.jsxs)(v.FieldSet,{children:[(0,f.jsx)(v.Field,{label:"UDP Preference Limit",description:(0,f.jsxs)("span",{children:["The default is ",(0,f.jsx)("code",{children:"1"})," and means always use TCP and is optional."]}),children:(0,f.jsx)(v.Input,{type:"text",width:40,placeholder:"0",defaultValue:r.UDPConnectionLimit,onChange:n=>{const r=Number(n.currentTarget.value);Number.isNaN(r)||(n=>{(0,e.updateDatasourcePluginJsonDataOption)(t,"UDPConnectionLimit",n)})(r)}})}),(0,f.jsx)(v.Field,{label:"DNS Lookup KDC",description:(0,f.jsxs)("span",{children:["Indicate whether DNS `SRV` records should be used to locate the KDCs and other servers for a realm. The default is ",(0,f.jsx)("code",{children:"true"}),"."]}),children:(0,f.jsx)(v.Input,{type:"text",width:40,placeholder:"true",defaultValue:r.enableDNSLookupKDC,onChange:n=>{(0,e.updateDatasourcePluginJsonDataOption)(t,"enableDNSLookupKDC",n.currentTarget.value)}})}),(0,f.jsx)(v.Field,{label:"krb5 config file path",description:(0,f.jsxs)("span",{children:["The path to the configuration file for the"," ",(0,f.jsx)("a",{href:"https://web.mit.edu/kerberos/krb5-1.12/doc/admin/conf_files/krb5_conf.html",children:"MIT krb5 package"}),". The default is ",(0,f.jsx)("code",{children:"/etc/krb5.conf"}),"."]}),children:(0,f.jsx)(v.Input,{onChange:n=>{(0,e.updateDatasourcePluginJsonDataOption)(t,"configFilePath",n.currentTarget.value)},width:40,required:!0,value:o||"/etc/krb5.conf"})})]})})})};function Ju(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function Zu(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){Ju(e,t,n[t])}))}return e}const ed=40;function td(e){return{ulPadding:(0,h.css)({margin:e.spacing(1,0),paddingLeft:e.spacing(5)})}}const nd={randomUUID:"undefined"!=typeof crypto&&crypto.randomUUID&&crypto.randomUUID.bind(crypto)};let rd;const od=new Uint8Array(16),id=[];for(let e=0;e<256;++e)id.push((e+256).toString(16).slice(1));const ad=function(e,t,n){if(nd.randomUUID&&!t&&!e)return nd.randomUUID();const r=(e=e||{}).random??e.rng?.()??function(){if(!rd){if("undefined"==typeof crypto||!crypto.getRandomValues)throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");rd=crypto.getRandomValues.bind(crypto)}return rd(od)}();if(r.length<16)throw new Error("Random bytes length must be >= 16");if(r[6]=15&r[6]|64,r[8]=63&r[8]|128,t){if((n=n||0)<0||n+16>t.length)throw new RangeError(`UUID byte range ${n}:${n+15} is out of buffer bounds`);for(let e=0;e<16;++e)t[n+e]=r[e];return t}return function(e,t=0){return(id[e[t+0]]+id[e[t+1]]+id[e[t+2]]+id[e[t+3]]+"-"+id[e[t+4]]+id[e[t+5]]+"-"+id[e[t+6]]+id[e[t+7]]+"-"+id[e[t+8]]+id[e[t+9]]+"-"+id[e[t+10]]+id[e[t+11]]+id[e[t+12]]+id[e[t+13]]+id[e[t+14]]+id[e[t+15]]).toLowerCase()}(r)};function sd(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}class ld{quoteLiteral(e){return"'"+e.replace(/'/g,"''")+"'"}constructor(e,t,n){sd(this,"target",void 0),sd(this,"templateSrv",void 0),sd(this,"scopedVars",void 0),this.target=(0,T.T)(e||{refId:"A"}),this.templateSrv=t,this.scopedVars=n}}var cd=y(7317);function ud(e,t,n,r,o,i,a){try{var s=e[i](a),l=s.value}catch(e){return void n(e)}s.done?t(l):Promise.resolve(l).then(r,o)}function dd(e){return function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){ud(i,r,o,a,s,"next",e)}function s(e){ud(i,r,o,a,s,"throw",e)}a(void 0)}))}}function pd(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const fd=({getColumns:e,getTables:t})=>(n,r)=>{return o=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){pd(e,t,n[t])}))}return e}({},r&&(0,cd.N)(n,r)),i={tables:{resolve:function(){var e=dd((function*(e){return yield t.current(null==e?void 0:e.table)}));return function(t){return e.apply(this,arguments)}}(),parseName:e=>{if(!e)return{table:""};let t=e,n=t.value;for(;t.next&&t.next.type!==c.ks.Whitespace;)n+=t.next.value,t=t.next;return t.value.endsWith(".")&&(n=t.value.slice(0,t.value.length-1)),{table:n}}},columns:{resolve:function(){var t=dd((function*(t){if(!(null==t?void 0:t.table))return[];const[n,r,o]=t.table.split(".");return yield e.current({table:`${r}.${o}`,dataset:n,refId:"A"})}));return function(e){return t.apply(this,arguments)}}()}},i=null!=i?i:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(i)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(i)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(i,e))})),o;var o,i};function hd(){return hd=dd((function*(e,t){const n=yield e.fields(t);return n.length>0?n.map((e=>({name:e.value,type:e.value,description:e.value}))):[]})),hd.apply(this,arguments)}function gd(){return(gd=dd((function*(e,t){var n;return(yield null===(n=e.lookup)||void 0===n?void 0:n.call(e,t))||[]}))).apply(this,arguments)}function md(e){switch(e){case"datetimeoffset":case"date":case"datetime2":case"smalldatetime":case"datetime":case"time":return"clock-nine";case"bit":return"toggle-off";case"tinyint":case"smallint":case"int":case"bigint":case"decimal":case"numeric":case"real":case"float":case"money":case"smallmoney":return"calculator-alt";case"char":case"varchar":case"text":case"nchar":case"nvarchar":case"ntext":case"binary":case"varbinary":case"image":return"text";default:return}}function bd(e){switch(e){case"datetimeoffset":case"datetime2":case"smalldatetime":case"datetime":return"datetime";case"time":return"time";case"date":return"date";case"bit":return"boolean";case"tinyint":case"smallint":case"int":case"bigint":case"decimal":case"numeric":case"real":case"float":case"money":case"smallmoney":return"number";default:return"text"}}function vd({sql:e,dataset:t,table:n}){var r,o,i,a;let s="";return e&&(0,pe.YW)(e.columns)?(s+=function(e,t){const n=e.map((e=>{let t="";var n;if(e.name&&e.alias)t+=`${e.name}(${null===(n=e.parameters)||void 0===n?void 0:n.map((e=>`${e.name}`))}) AS ${e.alias}`;else if(e.name){var r;t+=`${e.name}(${null===(r=e.parameters)||void 0===r?void 0:r.map((e=>`${e.name}`))})`}else if(e.alias){var o;t+=`${null===(o=e.parameters)||void 0===o?void 0:o.map((e=>`${e.name}`))} AS ${e.alias}`}else{var i;t+=`${null===(i=e.parameters)||void 0===i?void 0:i.map((e=>`${e.name}`))}`}return t}));return`SELECT ${yd(t)?"TOP("+t+")":""} ${n.join(", ")} `}(e.columns,e.limit),t&&n&&(s+=`FROM ${t}.${n} `),e.whereString&&(s+=`WHERE ${e.whereString} `),(null===(o=e.groupBy)||void 0===o||null===(r=o[0])||void 0===r?void 0:r.property.name)&&(s+=`GROUP BY ${e.groupBy.map((e=>e.property.name)).filter((e=>!(0,d.isEmpty)(e))).join(", ")} `),(null===(i=e.orderBy)||void 0===i?void 0:i.property.name)&&(s+=`ORDER BY ${e.orderBy.property.name} `),(null===(a=e.orderBy)||void 0===a?void 0:a.property.name)&&e.orderByDirection&&(s+=`${e.orderByDirection} `),s):s}const yd=e=>void 0!==e&&e>=0;function Ed(e,t,n,r,o,i,a){try{var s=e[i](a),l=s.value}catch(e){return void n(e)}s.done?t(l):Promise.resolve(l).then(r,o)}function Od(e){return function(){var t=this,n=arguments;return new Promise((function(r,o){var i=e.apply(t,n);function a(e){Ed(i,r,o,a,s,"next",e)}function s(e){Ed(i,r,o,a,s,"throw",e)}a(void 0)}))}}function xd(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}const Sd=new e.DataSourcePlugin(class extends _{getQueryModel(e,t,n){return new ld(e,t,n)}fetchDatasets(){var e=this;return Od((function*(){var t,n;return null!==(n=null===(t=(yield e.runSql("SELECT name FROM sys.databases WHERE name NOT IN ('master', 'tempdb', 'model', 'msdb');",{refId:"datasets"})).fields.name)||void 0===t?void 0:t.values.flat())&&void 0!==n?n:[]}))()}fetchTables(e){var t=this;return Od((function*(){var n,r,o;return null!==(o=null===(n=(yield t.runSql((r=e,`SELECT TABLE_SCHEMA + '.' + TABLE_NAME as schemaAndName\n    FROM [${r}].INFORMATION_SCHEMA.TABLES`),{refId:"tables"})).fields.schemaAndName)||void 0===n?void 0:n.values.flat())&&void 0!==o?o:[]}))()}fetchFields(e){var t=this;return Od((function*(){if(!e.table)return[];const[n,r]=e.table.split("."),o=yield t.runSql(function(e,t){return`\n   USE ${e}\n   SELECT COLUMN_NAME as 'column',DATA_TYPE as 'type'\n   FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME='${t}';`}(e.dataset,r),{refId:`columns-${ad()}`}),i=[];for(let e=0;e<o.length;e++){const t=o.fields.column.values[e],n=o.fields.type.values[e];i.push({label:t,value:t,type:n,icon:md(n),raqbFieldType:bd(n)})}return i}))()}getSqlLanguageDefinition(e){if(void 0!==this.sqlLanguageDefinition)return this.sqlLanguageDefinition;const t={getColumns:{current:t=>function(e,t){return hd.apply(this,arguments)}(e,t)},getTables:{current:t=>function(e,t){return gd.apply(this,arguments)}(e,t)}};return this.sqlLanguageDefinition={id:"sql",completionProvider:fd(t),formatter:F.s},this.sqlLanguageDefinition}getDB(){if(void 0!==this.db)return this.db;var e=this;return{init:()=>Promise.resolve(!0),datasets:()=>this.fetchDatasets(),tables:e=>this.fetchTables(e),getEditorLanguageDefinition:()=>this.getSqlLanguageDefinition(this.db),fields:function(){var t=Od((function*(t){return(null==t?void 0:t.dataset)&&(null==t?void 0:t.table)?e.fetchFields(t):[]}));return function(e){return t.apply(this,arguments)}}(),validateQuery:e=>Promise.resolve({isError:!1,isValid:!0,query:e,error:"",rawSql:e.rawSql}),dsID:()=>this.id,dispose:e=>{},toRawSql:vd,functions:()=>this.getFunctions(),lookup:function(){var t=Od((function*(t){if(t){const n=t.split(".").filter((e=>e));return n.length>2?[]:1===n.length?(yield e.fetchTables(n[0])).map((e=>({name:e,completion:e}))):[]}return(yield e.fetchDatasets()).map((e=>({name:e,completion:`${e}.`})))}));return function(e){return t.apply(this,arguments)}}()}}constructor(e){super(e),xd(this,"sqlLanguageDefinition",void 0),xd(this,"getFunctions",(()=>{if(u.config.featureToggles.sqlQuerybuilderFunctionParameters){const e={name:"Column",required:!0,options:e=>this.fetchFields(e)};return[...i(e),...n.map((t=>{return n=function(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{},r=Object.keys(n);"function"==typeof Object.getOwnPropertySymbols&&(r=r.concat(Object.getOwnPropertySymbols(n).filter((function(e){return Object.getOwnPropertyDescriptor(n,e).enumerable})))),r.forEach((function(t){xd(e,t,n[t])}))}return e}({},t),r=null!=(r={parameters:[e]})?r:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(r)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(r)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(r,e))})),n;var n,r}))]}return n}))}}).setQueryEditor(w).setQueryEditorHelp((function(){const e=(0,v.useStyles2)(fe);return(0,f.jsxs)("div",{children:[(0,f.jsx)("h2",{children:"MSSQL cheat sheet"}),"Time series:",(0,f.jsxs)("ul",{className:e.ulPadding,children:[(0,f.jsx)("li",{children:"return column named time (in UTC), as a unix time stamp or any sql native date data type. You can use the macros below."}),(0,f.jsx)("li",{children:"any other columns returned will be the time point values."})]}),"Optional:",(0,f.jsxs)("ul",{className:e.ulPadding,children:[(0,f.jsxs)("li",{children:["return column named ",(0,f.jsx)("i",{children:"metric"})," to represent the series name."]}),(0,f.jsx)("li",{children:"If multiple value columns are returned the metric column is used as prefix."}),(0,f.jsx)("li",{children:"If no column named metric is found the column name of the value column is used as series name"})]}),(0,f.jsx)("p",{children:"Resultsets of time series queries need to be sorted by time."}),"Table:",(0,f.jsx)("ul",{className:e.ulPadding,children:(0,f.jsx)("li",{children:"return any set of columns"})}),"Macros:",(0,f.jsxs)("ul",{className:e.ulPadding,children:[(0,f.jsx)("li",{children:"$__time(column) -> column AS time"}),(0,f.jsx)("li",{children:"$__timeEpoch(column) -> DATEDIFF(second, '1970-01-01', column) AS time"}),(0,f.jsx)("li",{children:"$__timeFilter(column) -> column BETWEEN '2017-04-21T05:01:17Z' AND '2017-04-21T05:01:17Z'"}),(0,f.jsx)("li",{children:"$__unixEpochFilter(column) -> column >= 1492750877 AND column <= 1492750877"}),(0,f.jsx)("li",{children:"$__unixEpochNanoFilter(column) -> column >= 1494410783152415214 AND column <= 1494497183142514872"}),(0,f.jsx)("li",{children:"$__timeGroup(column, '5m'[, fillvalue]) -> CAST(ROUND(DATEDIFF(second, '1970-01-01', column)/300.0, 0) as bigint)*300 by setting fillvalue grafana will fill in missing values according to the interval fillvalue can be either a literal value, NULL or previous; previous will fill in the previous seen value or NULL if none has been seen yet"}),(0,f.jsx)("li",{children:"$__timeGroupAlias(column, '5m'[, fillvalue]) -> CAST(ROUND(DATEDIFF(second, '1970-01-01', column)/300.0, 0) as bigint)*300 AS [time]"}),(0,f.jsx)("li",{children:"$__unixEpochGroup(column,'5m') -> FLOOR(column/300)*300"}),(0,f.jsx)("li",{children:"$__unixEpochGroupAlias(column,'5m') -> FLOOR(column/300)*300 AS [time]"})]}),(0,f.jsx)("p",{children:"Example of group by and order by with $__timeGroup:"}),(0,f.jsx)("pre",{children:(0,f.jsxs)("code",{children:["SELECT $__timeGroup(date_time_col, '1h') AS time, sum(value) as value ",(0,f.jsx)("br",{}),"FROM yourtable",(0,f.jsx)("br",{}),"GROUP BY $__timeGroup(date_time_col, '1h')",(0,f.jsx)("br",{}),"ORDER BY 1",(0,f.jsx)("br",{})]})}),"Or build your own conditionals using these macros which just return the values:",(0,f.jsxs)("ul",{className:e.ulPadding,children:[(0,f.jsx)("li",{children:"$__timeFrom() -> '2017-04-21T05:01:17Z'"}),(0,f.jsx)("li",{children:"$__timeTo() -> '2017-04-21T05:01:17Z'"}),(0,f.jsx)("li",{children:"$__unixEpochFrom() -> 1492750877"}),(0,f.jsx)("li",{children:"$__unixEpochTo() -> 1492750877"}),(0,f.jsx)("li",{children:"$__unixEpochNanoFrom() -> 1494410783152415214"}),(0,f.jsx)("li",{children:"$__unixEpochNanoTo() -> 1494497183142514872"})]})]})})).setConfigEditor((t=>{var n;!function({onOptionsChange:e,options:t}){(0,g.useEffect)((()=>{const n=t.jsonData;let r=ue({},t),o=!1;if(t.database&&(le.logDebug(`Migrating from options.database with value ${t.database} for ${t.name}`),r.database="",r.jsonData=de(ue({},n),{database:t.database}),o=!0),void 0===n.maxOpenConns&&void 0===n.maxIdleConns&&void 0===n.maxIdleConnsAuto){const{maxOpenConns:e,maxIdleConns:t}=u.config.sqlConnectionLimits;le.logDebug(`Setting default max open connections to ${e} and setting max idle connection to ${t}`),r.jsonData=de(ue({},r.jsonData),{maxOpenConns:e,maxIdleConns:t,maxIdleConnsAuto:!0}),o=!0}if(void 0===n.connMaxLifetime){const{connMaxLifetime:e}=u.config.sqlConnectionLimits;r.jsonData=de(ue({},r.jsonData),{connMaxLifetime:e}),o=!0}o&&e(r)}),[e,t])}(t);const{options:r,onOptionsChange:o}=t,i=(0,v.useStyles2)(td),a=r.jsonData,s=u.config.azureAuthEnabled,l=Wu,c=e=>t=>{o(Zu({},r,{[e]:t.currentTarget.value}))},d=[{value:Gu.disable,label:"disable"},{value:Gu.false,label:"false"},{value:Gu.true,label:"true"}];return(0,f.jsxs)(f.Fragment,{children:[(0,f.jsx)(Se,{dataSourceName:"Microsoft SQL Server",docsLink:"https://grafana.com/docs/grafana/latest/datasources/mssql/",hasRequiredFields:!0}),(0,f.jsxs)(v.Alert,{title:"User Permission",severity:"info",children:["The database user should only be granted SELECT permissions on the specified database and tables you want to query. Grafana does not validate that queries are safe so queries can contain any SQL statement. For example, statements like ",(0,f.jsx)("code",{children:"USE otherdb;"})," and ",(0,f.jsx)("code",{children:"DROP TABLE user;"})," would be executed. To protect against this we ",(0,f.jsx)("em",{children:"highly"})," recommend you create a specific MS SQL user with restricted permissions. Check out the"," ",(0,f.jsx)(v.Link,{rel:"noreferrer",target:"_blank",href:"http://docs.grafana.org/features/datasources/mssql/",children:"Microsoft SQL Server Data Source Docs"})," ","for more information."]}),(0,f.jsx)(v.Divider,{}),(0,f.jsxs)(Ne,{title:"Connection",children:[(0,f.jsx)(v.Field,{label:"Host",required:!0,invalid:!r.url,error:"Host is required",children:(0,f.jsx)(v.Input,{width:ed,name:"host",type:"text",value:r.url||"",placeholder:"localhost:1433",onChange:c("url")})}),(0,f.jsx)(v.Field,{label:"Database",required:!0,invalid:!a.database,error:"Database is required",children:(0,f.jsx)(v.Input,{width:ed,name:"database",value:a.database||"",placeholder:"database name",onChange:(0,e.onUpdateDatasourceJsonDataOption)(t,"database")})})]}),(0,f.jsxs)(Ne,{title:"TLS/SSL Auth",children:[(0,f.jsx)(v.Field,{htmlFor:"encrypt",description:(0,f.jsxs)(f.Fragment,{children:["Determines whether or to which extent a secure SSL TCP/IP connection will be negotiated with the server.",(0,f.jsxs)("ul",{className:i.ulPadding,children:[(0,f.jsxs)("li",{children:[(0,f.jsx)("i",{children:"disable"})," - Data sent between client and server is not encrypted."]}),(0,f.jsxs)("li",{children:[(0,f.jsx)("i",{children:"false"})," - Data sent between client and server is not encrypted beyond the login packet. (default)"]}),(0,f.jsxs)("li",{children:[(0,f.jsx)("i",{children:"true"})," - Data sent between client and server is encrypted."]})]}),"If you're using an older version of Microsoft SQL Server like 2008 and 2008R2 you may need to disable encryption to be able to connect."]}),label:"Encrypt",children:(0,f.jsx)(v.Select,{options:d,value:a.encrypt||Gu.false,inputId:"encrypt",onChange:n=>{(0,e.updateDatasourcePluginJsonDataOption)(t,"encrypt",n.value)},width:ed})}),a.encrypt===Gu.true?(0,f.jsxs)(f.Fragment,{children:[(0,f.jsx)(v.Field,{htmlFor:"skipTlsVerify",label:"Skip TLS Verify",children:(0,f.jsx)(v.Switch,{id:"skipTlsVerify",onChange:n=>{(0,e.updateDatasourcePluginJsonDataOption)(t,"tlsSkipVerify",n.currentTarget.checked)},value:a.tlsSkipVerify||!1})}),a.tlsSkipVerify?null:(0,f.jsxs)(f.Fragment,{children:[(0,f.jsx)(v.Field,{description:(0,f.jsx)("span",{children:"Path to file containing the public key certificate of the CA that signed the SQL Server certificate. Needed when the server certificate is self signed."}),label:"TLS/SSL Root Certificate",children:(0,f.jsx)(v.Input,{value:a.sslRootCertFile||"",onChange:(0,e.onUpdateDatasourceJsonDataOption)(t,"sslRootCertFile"),placeholder:"TLS/SSL root certificate file path",width:ed})}),(0,f.jsx)(v.Field,{label:"Hostname in server certificate",children:(0,f.jsx)(v.Input,{placeholder:"Common Name (CN) in server certificate",value:a.serverName||"",onChange:(0,e.onUpdateDatasourceJsonDataOption)(t,"serverName"),width:ed})})]})]}):null]}),(0,f.jsxs)(Ne,{title:"Authentication",children:[(0,f.jsx)(v.Field,{label:"Authentication Type",htmlFor:"authenticationType",description:(0,f.jsxs)("ul",{className:i.ulPadding,children:[(0,f.jsxs)("li",{children:[(0,f.jsx)("i",{children:"SQL Server Authentication"})," This is the default mechanism to connect to MS SQL Server. Enter the SQL Server Authentication login or the Windows Authentication login in the DOMAIN\\User format."]}),(0,f.jsxs)("li",{children:[(0,f.jsx)("i",{children:"Windows Authentication"})," Windows Integrated Security - single sign on for users who are already logged onto Windows and have enabled this option for MS SQL Server."]}),s&&(0,f.jsxs)("li",{children:[(0,f.jsx)("i",{children:"Azure Authentication"})," Securely authenticate and access Azure resources and applications using Azure AD credentials - Managed Service Identity and Client Secret Credentials are supported."]}),(0,f.jsxs)("li",{children:[(0,f.jsx)("i",{children:"Windows AD: Username + password"})," Windows Active Directory - Sign on for domain user via username/password."]}),(0,f.jsxs)("li",{children:[(0,f.jsx)("i",{children:"Windows AD: Keytab"})," Windows Active Directory - Sign on for domain user via keytab file."]}),(0,f.jsxs)("li",{children:[(0,f.jsx)("i",{children:"Windows AD: Credential cache"})," Windows Active Directory - Sign on for domain user via credential cache."]}),(0,f.jsxs)("li",{children:[(0,f.jsx)("i",{children:"Windows AD: Credential cache file"})," Windows Active Directory - Sign on for domain user via credential cache file."]})]}),children:(0,f.jsx)(v.Select,{value:a.authenticationType||zu.sqlAuth,inputId:"authenticationType",options:(()=>{const e=[{value:zu.sqlAuth,label:"SQL Server Authentication"},{value:zu.windowsAuth,label:"Windows Authentication"},{value:zu.kerberosRaw,label:"Windows AD: Username + password"},{value:zu.kerberosKeytab,label:"Windows AD: Keytab file"},{value:zu.kerberosCredentialCache,label:"Windows AD: Credential cache"},{value:zu.kerberosCredentialCacheLookupFile,label:"Windows AD: Credential cache file"}];return s?[...e,{value:zu.azureAuth,label:zu.azureAuth}]:e})(),onChange:e=>{var t,n;o(Zu({},r,{jsonData:(t=Zu({},a,{authenticationType:e.value}),n={azureCredentials:void 0,keytabFilePath:void 0,credentialCache:void 0,credentialCacheLookupFile:void 0},n=null!=n?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t.push.apply(t,n)}return t}(Object(n)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(n,e))})),t),secureJsonData:Zu({},r.secureJsonData,{password:""}),secureJsonFields:Zu({},r.secureJsonFields,{password:!1}),user:""}))},width:ed})}),(0,f.jsx)(Yu,Zu({},t)),(a.authenticationType===zu.sqlAuth||a.authenticationType===zu.kerberosRaw||!a.authenticationType)&&(0,f.jsxs)(f.Fragment,{children:[(0,f.jsx)(v.Field,{label:"Username",required:!0,invalid:!r.user,error:"Username is required",description:a.authenticationType===zu.kerberosRaw?Ku:"",children:(0,f.jsx)(v.Input,{value:r.user||"",placeholder:a.authenticationType===zu.kerberosRaw?"name@EXAMPLE.COM":"user",onChange:c("user"),width:ed})}),(0,f.jsx)(v.Field,{label:"Password",required:!0,invalid:!r.secureJsonFields.password&&!(null===(n=r.secureJsonData)||void 0===n?void 0:n.password),error:"Password is required",children:(0,f.jsx)(v.SecretInput,{width:ed,placeholder:"Password",isConfigured:r.secureJsonFields&&r.secureJsonFields.password,onReset:()=>{(0,e.updateDatasourcePluginResetOption)(t,"password")},onChange:(0,e.onUpdateDatasourceSecureJsonDataOption)(t,"password"),required:!0})})]}),s&&a.authenticationType===zu.azureAuth&&(0,f.jsx)(v.FieldSet,{label:"Azure Authentication Settings",children:(0,f.jsx)(l,{dataSourceConfig:r,onChange:o})})]}),(0,f.jsx)(v.Divider,{}),(0,f.jsxs)(Ne,{title:"Additional settings",description:"Additional settings are optional settings that can be configured for more control over your data source. This includes connection limits, connection timeout, group-by time interval, and Secure Socks Proxy.",isCollapsible:!0,isInitiallyOpen:!0,children:[(0,f.jsx)(se,{options:r,onOptionsChange:o}),(0,f.jsxs)(ne,{title:"Connection details",children:[(0,f.jsx)(v.Field,{description:(0,f.jsxs)("span",{children:["A lower limit for the auto group by time interval. Recommended to be set to write frequency, for example",(0,f.jsx)("code",{children:"1m"})," if your data is written every minute."]}),label:"Min time interval",children:(0,f.jsx)(v.Input,{width:ed,placeholder:"1m",value:a.timeInterval||"",onChange:(0,e.onUpdateDatasourceJsonDataOption)(t,"timeInterval")})}),(0,f.jsx)(v.Field,{description:(0,f.jsxs)("span",{children:["The number of seconds to wait before canceling the request when connecting to the database. The default is ",(0,f.jsx)("code",{children:"0"}),", meaning no timeout."]}),label:"Connection timeout",children:(0,f.jsx)(oe,{width:ed,defaultValue:60,value:a.connectionTimeout||0,onChange:n=>{n&&n<0&&(n=0),(0,e.updateDatasourcePluginJsonDataOption)(t,"connectionTimeout",n)}})})]}),u.config.secureSocksDSProxyEnabled&&(0,f.jsx)(v.SecureSocksProxySettings,{options:r,onOptionsChange:o}),(0,f.jsx)(Qu,Zu({},t))]})]})}))})(),E})()));
//# sourceMappingURL=module.js.map