/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","rxjs","rxjs/operators","@grafana/runtime","lodash","react","@emotion/css","@grafana/ui","redux","react-redux","moment"],((e,t,r,n,o,i,a,s,l,u,E)=>(()=>{var c,d,T={9571:(e,t,r)=>{"use strict";r.d(t,{B:()=>E});var n=r(6089),o=r(5959),i=r.n(o),a=r(2007),s=Object.getOwnPropertySymbols,l=Object.prototype.hasOwnProperty,u=Object.prototype.propertyIsEnumerable;const E=e=>{var t=e,{children:r}=t,n=((e,t)=>{var r={};for(var n in e)l.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&s)for(var n of s(e))t.indexOf(n)<0&&u.call(e,n)&&(r[n]=e[n]);return r})(t,["children"]);const E=(0,a.useStyles2)((0,o.useCallback)((e=>c(e,n)),[n]));return i().createElement("div",{className:E.root},r)},c=(e,t)=>{var r,o,i;return{root:(0,n.css)({display:"flex",flexDirection:null!=(r=t.direction)?r:"row",flexWrap:null==(o=t.wrap)||o?"wrap":void 0,alignItems:t.alignItems,gap:e.spacing(null!=(i=t.gap)?i:2),flexGrow:t.flexGrow})}}},7317:(e,t,r)=>{"use strict";r.d(t,{N:()=>a});var n=r(6013);const o="column",i=[{id:"$__timeFilter(dateColumn)",name:"$__timeFilter(dateColumn)",text:"$__timeFilter",args:[o],type:n.hh.Filter,description:"Will be replaced by a time range filter using the specified column name. For example, dateColumn BETWEEN FROM_UNIXTIME(1494410783) AND FROM_UNIXTIME(1494410983)"},{id:"$__timeFrom()",name:"$__timeFrom()",text:"$__timeFrom",args:[],type:n.hh.Filter,description:"Will be replaced by the start of the currently active time selection. For example, FROM_UNIXTIME(1494410783)"},{id:"$__timeTo()",name:"$__timeTo()",text:"$__timeTo",args:[],type:n.hh.Filter,description:"Will be replaced by the end of the currently active time selection. For example, FROM_UNIXTIME(1494410983)"},{id:"$__timeGroup(dateColumn, '5m')",name:"$__timeGroup(dateColumn, '5m')",text:"$__timeGroup",args:[o,"'5m'"],type:n.hh.Value,description:"Will be replaced by an expression usable in GROUP BY clause. For example, *cast(cast(UNIX_TIMESTAMP(dateColumn)/(300) as signed)*300 as signed),*"},{id:"$__table",name:"$__table",text:"$__table",args:[],type:n.hh.Table,description:"Will be replaced by the query table."},{id:"$__column",name:"$__column",text:"$__column",args:[],type:n.hh.Column,description:"Will be replaced by the query column."}];function a(e,t){var r,o,a;const s={triggerCharacters:["."," ","$",",","(","'"]};t&&Array.isArray(t.builtinFunctions)&&(s.supportedFunctions=()=>t.builtinFunctions.map((e=>({id:e,name:e}))));const l=[];return(null==(r=null==t?void 0:t.comparisonOperators)?void 0:r.length)&&l.push(...t.comparisonOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:n.hu.Comparison})))),t.logicalOperators=null!=(o=t.logicalOperators)?o:t.operators,(null==(a=null==t?void 0:t.logicalOperators)?void 0:a.length)&&l.push(...t.logicalOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:n.hu.Logical})))),s.supportedOperators=()=>l,s.supportedMacros=()=>i,s}},6013:(e,t,r)=>{"use strict";r.d(t,{Io:()=>u,X7:()=>a,_E:()=>E,hh:()=>o,hu:()=>n,ks:()=>i,lX:()=>c,mY:()=>l,ng:()=>s});var n=(e=>(e[e.Comparison=0]="Comparison",e[e.Logical=1]="Logical",e))(n||{}),o=(e=>(e[e.Value=0]="Value",e[e.Filter=1]="Filter",e[e.Group=2]="Group",e[e.Column=3]="Column",e[e.Table=4]="Table",e))(o||{}),i=(e=>(e.Parenthesis="delimiter.parenthesis.sql",e.Whitespace="white.sql",e.Keyword="keyword.sql",e.Delimiter="delimiter.sql",e.Operator="operator.sql",e.Identifier="identifier.sql",e.IdentifierQuote="identifier.quote.sql",e.Type="type.sql",e.Function="predefined.sql",e.Number="number.sql",e.String="string.sql",e.Variable="variable.sql",e))(i||{}),a=(e=>(e.Unknown="unknown",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.AfterSelectKeyword="afterSelectKeyword",e.AfterSelectArguments="afterSelectArguments",e.AfterSelectFuncFirstArgument="afterSelectFuncFirstArgument",e.SelectAlias="selectAlias",e.AfterFromKeyword="afterFromKeyword",e.AfterTable="afterTable",e.SchemaFuncFirstArgument="schemaFuncFirstArgument",e.SchemaFuncExtraArgument="schemaFuncExtraArgument",e.FromKeyword="fromKeyword",e.AfterFrom="afterFrom",e.WhereKeyword="whereKeyword",e.WhereComparisonOperator="whereComparisonOperator",e.WhereValue="whereValue",e.AfterWhereFunctionArgument="afterWhereFunctionArgument",e.AfterGroupByFunctionArgument="afterGroupByFunctionArgument",e.AfterWhereValue="afterWhereValue",e.AfterGroupByKeywords="afterGroupByKeywords",e.AfterGroupBy="afterGroupBy",e.AfterOrderByKeywords="afterOrderByKeywords",e.AfterOrderByFunction="afterOrderByFunction",e.AfterOrderByDirection="afterOrderByDirection",e.AfterIsOperator="afterIsOperator",e.AfterIsNotOperator="afterIsNotOperator",e.AfterSchema="afterSchema",e))(a||{}),s=(e=>(e.Schemas="schemas",e.Tables="tables",e.Columns="columns",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.FunctionsWithArguments="functionsWithArguments",e.FromKeyword="fromKeyword",e.WhereKeyword="whereKeyword",e.GroupByKeywords="groupByKeywords",e.OrderByKeywords="orderByKeywords",e.FunctionsWithoutArguments="functionsWithoutArguments",e.LimitKeyword="limitKeyword",e.SortOrderDirectionKeyword="sortOrderDirectionKeyword",e.ComparisonOperators="comparisonOperators",e.LogicalOperators="logicalOperators",e.SelectMacro="selectMacro",e.TableMacro="tableMacro",e.FilterMacro="filterMacro",e.GroupMacro="groupMacro",e.BoolValues="boolValues",e.NullValue="nullValue",e.NotKeyword="notKeyword",e.TemplateVariables="templateVariables",e.StarWildCard="starWildCard",e))(s||{}),l=(e=>(e.High="a",e.MediumHigh="d",e.Medium="g",e.MediumLow="k",e.Low="q",e))(l||{}),u=(e=>(e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet",e))(u||{}),E=(e=>(e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet",e))(E||{}),c=(e=>(e.Builder="builder",e.Code="code",e))(c||{})},5948:(e,t,r)=>{var n=r(2062)(r(9965),"DataView");e.exports=n},5455:(e,t,r)=>{var n=r(2062)(r(9965),"Map");e.exports=n},6420:(e,t,r)=>{var n=r(2062)(r(9965),"Promise");e.exports=n},2833:(e,t,r)=>{var n=r(2062)(r(9965),"Set");e.exports=n},2609:(e,t,r)=>{var n=r(9965).Symbol;e.exports=n},8143:(e,t,r)=>{var n=r(2062)(r(9965),"WeakMap");e.exports=n},6791:(e,t,r)=>{var n=r(2784),o=r(5196),i=r(4913),a=r(4264),s=r(6665),l=r(5087),u=Object.prototype.hasOwnProperty;e.exports=function(e,t){var r=i(e),E=!r&&o(e),c=!r&&!E&&a(e),d=!r&&!E&&!c&&l(e),T=r||E||c||d,p=T?n(e.length,String):[],O=p.length;for(var R in e)!t&&!u.call(e,R)||T&&("length"==R||c&&("offset"==R||"parent"==R)||d&&("buffer"==R||"byteLength"==R||"byteOffset"==R)||s(R,O))||p.push(R);return p}},1428:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length,o=Array(n);++r<n;)o[r]=t(e[r],r,e);return o}},3323:e=>{e.exports=function(e,t,r,n){for(var o=e.length,i=r+(n?1:-1);n?i--:++i<o;)if(t(e[i],i,e))return i;return-1}},9048:(e,t,r)=>{var n=r(2609),o=r(2899),i=r(7222),a=n?n.toStringTag:void 0;e.exports=function(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":a&&a in Object(e)?o(e):i(e)}},9555:(e,t,r)=>{var n=r(3323),o=r(8967),i=r(5951);e.exports=function(e,t,r){return t==t?i(e,t,r):n(e,o,r)}},3070:(e,t,r)=>{var n=r(9048),o=r(9466);e.exports=function(e){return o(e)&&"[object Arguments]"==n(e)}},8967:e=>{e.exports=function(e){return e!=e}},4363:(e,t,r)=>{var n=r(1866),o=r(3248),i=r(7453),a=r(3761),s=/^\[object .+?Constructor\]$/,l=Function.prototype,u=Object.prototype,E=l.toString,c=u.hasOwnProperty,d=RegExp("^"+E.call(c).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");e.exports=function(e){return!(!i(e)||o(e))&&(n(e)?d:s).test(a(e))}},9653:(e,t,r)=>{var n=r(9048),o=r(582),i=r(9466),a={};a["[object Float32Array]"]=a["[object Float64Array]"]=a["[object Int8Array]"]=a["[object Int16Array]"]=a["[object Int32Array]"]=a["[object Uint8Array]"]=a["[object Uint8ClampedArray]"]=a["[object Uint16Array]"]=a["[object Uint32Array]"]=!0,a["[object Arguments]"]=a["[object Array]"]=a["[object ArrayBuffer]"]=a["[object Boolean]"]=a["[object DataView]"]=a["[object Date]"]=a["[object Error]"]=a["[object Function]"]=a["[object Map]"]=a["[object Number]"]=a["[object Object]"]=a["[object RegExp]"]=a["[object Set]"]=a["[object String]"]=a["[object WeakMap]"]=!1,e.exports=function(e){return i(e)&&o(e.length)&&!!a[n(e)]}},6504:(e,t,r)=>{var n=r(5735),o=r(9458),i=Object.prototype.hasOwnProperty;e.exports=function(e){if(!n(e))return o(e);var t=[];for(var r in Object(e))i.call(e,r)&&"constructor"!=r&&t.push(r);return t}},1459:e=>{var t=Math.floor;e.exports=function(e,r){var n="";if(!e||r<1||r>9007199254740991)return n;do{r%2&&(n+=e),(r=t(r/2))&&(e+=e)}while(r);return n}},2784:e=>{e.exports=function(e,t){for(var r=-1,n=Array(e);++r<e;)n[r]=t(r);return n}},9764:(e,t,r)=>{var n=r(2609),o=r(1428),i=r(4913),a=r(7386),s=n?n.prototype:void 0,l=s?s.toString:void 0;e.exports=function e(t){if("string"==typeof t)return t;if(i(t))return o(t,e)+"";if(a(t))return l?l.call(t):"";var r=t+"";return"0"==r&&1/t==-1/0?"-0":r}},7248:(e,t,r)=>{var n=r(1272),o=/^\s+/;e.exports=function(e){return e?e.slice(0,n(e)+1).replace(o,""):e}},277:e=>{e.exports=function(e){return function(t){return e(t)}}},1282:(e,t,r)=>{var n=r(1428);e.exports=function(e,t){return n(t,(function(t){return e[t]}))}},2489:(e,t,r)=>{var n=r(9965)["__core-js_shared__"];e.exports=n},6392:(e,t,r)=>{var n="object"==typeof r.g&&r.g&&r.g.Object===Object&&r.g;e.exports=n},2062:(e,t,r)=>{var n=r(4363),o=r(5240);e.exports=function(e,t){var r=o(e,t);return n(r)?r:void 0}},2899:(e,t,r)=>{var n=r(2609),o=Object.prototype,i=o.hasOwnProperty,a=o.toString,s=n?n.toStringTag:void 0;e.exports=function(e){var t=i.call(e,s),r=e[s];try{e[s]=void 0;var n=!0}catch(e){}var o=a.call(e);return n&&(t?e[s]=r:delete e[s]),o}},6053:(e,t,r)=>{var n=r(5948),o=r(5455),i=r(6420),a=r(2833),s=r(8143),l=r(9048),u=r(3761),E="[object Map]",c="[object Promise]",d="[object Set]",T="[object WeakMap]",p="[object DataView]",O=u(n),R=u(o),f=u(i),I=u(a),N=u(s),A=l;(n&&A(new n(new ArrayBuffer(1)))!=p||o&&A(new o)!=E||i&&A(i.resolve())!=c||a&&A(new a)!=d||s&&A(new s)!=T)&&(A=function(e){var t=l(e),r="[object Object]"==t?e.constructor:void 0,n=r?u(r):"";if(n)switch(n){case O:return p;case R:return E;case f:return c;case I:return d;case N:return T}return t}),e.exports=A},5240:e=>{e.exports=function(e,t){return null==e?void 0:e[t]}},6665:e=>{var t=/^(?:0|[1-9]\d*)$/;e.exports=function(e,r){var n=typeof e;return!!(r=null==r?9007199254740991:r)&&("number"==n||"symbol"!=n&&t.test(e))&&e>-1&&e%1==0&&e<r}},3632:(e,t,r)=>{var n=r(6424),o=r(7134),i=r(6665),a=r(7453);e.exports=function(e,t,r){if(!a(r))return!1;var s=typeof t;return!!("number"==s?o(r)&&i(t,r.length):"string"==s&&t in r)&&n(r[t],e)}},3248:(e,t,r)=>{var n,o=r(2489),i=(n=/[^.]+$/.exec(o&&o.keys&&o.keys.IE_PROTO||""))?"Symbol(src)_1."+n:"";e.exports=function(e){return!!i&&i in e}},5735:e=>{var t=Object.prototype;e.exports=function(e){var r=e&&e.constructor;return e===("function"==typeof r&&r.prototype||t)}},9458:(e,t,r)=>{var n=r(8303)(Object.keys,Object);e.exports=n},1977:(e,t,r)=>{e=r.nmd(e);var n=r(6392),o=t&&!t.nodeType&&t,i=o&&e&&!e.nodeType&&e,a=i&&i.exports===o&&n.process,s=function(){try{return i&&i.require&&i.require("util").types||a&&a.binding&&a.binding("util")}catch(e){}}();e.exports=s},7222:e=>{var t=Object.prototype.toString;e.exports=function(e){return t.call(e)}},8303:e=>{e.exports=function(e,t){return function(r){return e(t(r))}}},9965:(e,t,r)=>{var n=r(6392),o="object"==typeof self&&self&&self.Object===Object&&self,i=n||o||Function("return this")();e.exports=i},5951:e=>{e.exports=function(e,t,r){for(var n=r-1,o=e.length;++n<o;)if(e[n]===t)return n;return-1}},3761:e=>{var t=Function.prototype.toString;e.exports=function(e){if(null!=e){try{return t.call(e)}catch(e){}try{return e+""}catch(e){}}return""}},1272:e=>{var t=/\s/;e.exports=function(e){for(var r=e.length;r--&&t.test(e.charAt(r)););return r}},6424:e=>{e.exports=function(e,t){return e===t||e!=e&&t!=t}},8472:(e,t,r)=>{var n=r(3158),o=/[\\^$.*+?()[\]{}|]/g,i=RegExp(o.source);e.exports=function(e){return(e=n(e))&&i.test(e)?e.replace(o,"\\$&"):e}},1283:(e,t,r)=>{var n=r(9555),o=r(7134),i=r(8951),a=r(5729),s=r(1624),l=Math.max;e.exports=function(e,t,r,u){e=o(e)?e:s(e),r=r&&!u?a(r):0;var E=e.length;return r<0&&(r=l(E+r,0)),i(e)?r<=E&&e.indexOf(t,r)>-1:!!E&&n(e,t,r)>-1}},5196:(e,t,r)=>{var n=r(3070),o=r(9466),i=Object.prototype,a=i.hasOwnProperty,s=i.propertyIsEnumerable,l=n(function(){return arguments}())?n:function(e){return o(e)&&a.call(e,"callee")&&!s.call(e,"callee")};e.exports=l},4913:e=>{var t=Array.isArray;e.exports=t},7134:(e,t,r)=>{var n=r(1866),o=r(582);e.exports=function(e){return null!=e&&o(e.length)&&!n(e)}},4264:(e,t,r)=>{e=r.nmd(e);var n=r(9965),o=r(9375),i=t&&!t.nodeType&&t,a=i&&e&&!e.nodeType&&e,s=a&&a.exports===i?n.Buffer:void 0,l=(s?s.isBuffer:void 0)||o;e.exports=l},7969:(e,t,r)=>{var n=r(6504),o=r(6053),i=r(5196),a=r(4913),s=r(7134),l=r(4264),u=r(5735),E=r(5087),c=Object.prototype.hasOwnProperty;e.exports=function(e){if(null==e)return!0;if(s(e)&&(a(e)||"string"==typeof e||"function"==typeof e.splice||l(e)||E(e)||i(e)))return!e.length;var t=o(e);if("[object Map]"==t||"[object Set]"==t)return!e.size;if(u(e))return!n(e).length;for(var r in e)if(c.call(e,r))return!1;return!0}},1866:(e,t,r)=>{var n=r(9048),o=r(7453);e.exports=function(e){if(!o(e))return!1;var t=n(e);return"[object Function]"==t||"[object GeneratorFunction]"==t||"[object AsyncFunction]"==t||"[object Proxy]"==t}},582:e=>{e.exports=function(e){return"number"==typeof e&&e>-1&&e%1==0&&e<=9007199254740991}},7453:e=>{e.exports=function(e){var t=typeof e;return null!=e&&("object"==t||"function"==t)}},9466:e=>{e.exports=function(e){return null!=e&&"object"==typeof e}},8951:(e,t,r)=>{var n=r(9048),o=r(4913),i=r(9466);e.exports=function(e){return"string"==typeof e||!o(e)&&i(e)&&"[object String]"==n(e)}},7386:(e,t,r)=>{var n=r(9048),o=r(9466);e.exports=function(e){return"symbol"==typeof e||o(e)&&"[object Symbol]"==n(e)}},5087:(e,t,r)=>{var n=r(9653),o=r(277),i=r(1977),a=i&&i.isTypedArray,s=a?o(a):n;e.exports=s},3790:(e,t,r)=>{var n=r(6791),o=r(6504),i=r(7134);e.exports=function(e){return i(e)?n(e):o(e)}},8906:e=>{e.exports=function(e){var t=null==e?0:e.length;return t?e[t-1]:void 0}},9901:(e,t,r)=>{var n=r(1459),o=r(3632),i=r(5729),a=r(3158);e.exports=function(e,t,r){return t=(r?o(e,t,r):void 0===t)?1:i(t),n(a(e),t)}},9375:e=>{e.exports=function(){return!1}},1144:(e,t,r)=>{var n=r(3662),o=1/0;e.exports=function(e){return e?(e=n(e))===o||e===-1/0?17976931348623157e292*(e<0?-1:1):e==e?e:0:0===e?e:0}},5729:(e,t,r)=>{var n=r(1144);e.exports=function(e){var t=n(e),r=t%1;return t==t?r?t-r:t:0}},3662:(e,t,r)=>{var n=r(7248),o=r(7453),i=r(7386),a=/^[-+]0x[0-9a-f]+$/i,s=/^0b[01]+$/i,l=/^0o[0-7]+$/i,u=parseInt;e.exports=function(e){if("number"==typeof e)return e;if(i(e))return NaN;if(o(e)){var t="function"==typeof e.valueOf?e.valueOf():e;e=o(t)?t+"":t}if("string"!=typeof e)return 0===e?e:+e;e=n(e);var r=s.test(e);return r||l.test(e)?u(e.slice(2),r?2:8):a.test(e)?NaN:+e}},3158:(e,t,r)=>{var n=r(9764);e.exports=function(e){return null==e?"":n(e)}},1624:(e,t,r)=>{var n=r(1282),o=r(3790);e.exports=function(e){return null==e?[]:n(e,o(e))}},8044:(e,t,r)=>{"use strict";var n=r(5959),o=Symbol.for("react.element"),i=Symbol.for("react.fragment"),a=Object.prototype.hasOwnProperty,s=n.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner,l={key:!0,ref:!0,__self:!0,__source:!0};function u(e,t,r){var n,i={},u=null,E=null;for(n in void 0!==r&&(u=""+r),void 0!==t.key&&(u=""+t.key),void 0!==t.ref&&(E=t.ref),t)a.call(t,n)&&!l.hasOwnProperty(n)&&(i[n]=t[n]);if(e&&e.defaultProps)for(n in t=e.defaultProps)void 0===i[n]&&(i[n]=t[n]);return{$$typeof:o,type:e,key:u,ref:E,props:i,_owner:s.current}}t.Fragment=i,t.jsx=u,t.jsxs=u},9728:(e,t,r)=>{"use strict";e.exports=r(8044)},9157:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=l(r(1283)),o=l(r(1025)),i=l(r(2520)),a=l(r(9137)),s=l(r(9429));function l(e){return e&&e.__esModule?e:{default:e}}function u(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var E=function(e){return e.replace(/[\t ]+$/,"")},c=function(){function e(t,r,n){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t||{},this.indentation=new i.default(this.cfg.indent),this.inlineBlock=new a.default,this.params=new s.default(this.cfg.params),this.tokenizer=r,this.tokenOverride=n,this.previousReservedWord={},this.tokens=[],this.index=0}var t,r;return t=e,r=[{key:"format",value:function(e){return this.tokens=this.tokenizer.tokenize(e),this.getFormattedQueryFromTokens().trim()}},{key:"getFormattedQueryFromTokens",value:function(){var e=this,t="";return this.tokens.forEach((function(r,n){e.index=n,e.tokenOverride&&(r=e.tokenOverride(r,e.previousReservedWord)||r),r.type===o.default.WHITESPACE||(r.type===o.default.LINE_COMMENT?t=e.formatLineComment(r,t):r.type===o.default.BLOCK_COMMENT?t=e.formatBlockComment(r,t):r.type===o.default.RESERVED_TOP_LEVEL?(t=e.formatTopLevelReservedWord(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED_TOP_LEVEL_NO_INDENT?(t=e.formatTopLevelReservedWordNoIndent(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED_NEWLINE?(t=e.formatNewlineReservedWord(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED?(t=e.formatWithSpaces(r,t),e.previousReservedWord=r):t=r.type===o.default.OPEN_PAREN?e.formatOpeningParentheses(r,t):r.type===o.default.CLOSE_PAREN?e.formatClosingParentheses(r,t):r.type===o.default.PLACEHOLDER?e.formatPlaceholder(r,t):","===r.value?e.formatComma(r,t):":"===r.value?e.formatWithSpaceAfter(r,t):"."===r.value?e.formatWithoutSpaces(r,t):";"===r.value?e.formatQuerySeparator(r,t):e.formatWithSpaces(r,t))})),t}},{key:"formatLineComment",value:function(e,t){return this.addNewline(t+e.value)}},{key:"formatBlockComment",value:function(e,t){return this.addNewline(this.addNewline(t)+this.indentComment(e.value))}},{key:"indentComment",value:function(e){return e.replace(/\n[\t ]*/g,"\n"+this.indentation.getIndent()+" ")}},{key:"formatTopLevelReservedWordNoIndent",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatTopLevelReservedWord",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t),this.indentation.increaseTopLevel(),t+=this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatNewlineReservedWord",value:function(e,t){return this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value))+" "}},{key:"equalizeWhitespace",value:function(e){return e.replace(/[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+/g," ")}},{key:"formatOpeningParentheses",value:function(e,t){var r=[o.default.WHITESPACE,o.default.OPEN_PAREN,o.default.LINE_COMMENT];return(0,n.default)(r,this.previousToken().type)||(t=E(t)),t+=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.beginIfPossible(this.tokens,this.index),this.inlineBlock.isActive()||(this.indentation.increaseBlockLevel(),t=this.addNewline(t)),t}},{key:"formatClosingParentheses",value:function(e,t){return e.value=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.isActive()?(this.inlineBlock.end(),this.formatWithSpaceAfter(e,t)):(this.indentation.decreaseBlockLevel(),this.formatWithSpaces(e,this.addNewline(t)))}},{key:"formatPlaceholder",value:function(e,t){return t+this.params.get(e)+" "}},{key:"formatComma",value:function(e,t){return t=E(t)+e.value+" ",this.inlineBlock.isActive()||/^LIMIT$/i.test(this.previousReservedWord.value)?t:this.addNewline(t)}},{key:"formatWithSpaceAfter",value:function(e,t){return E(t)+e.value+" "}},{key:"formatWithoutSpaces",value:function(e,t){return E(t)+e.value}},{key:"formatWithSpaces",value:function(e,t){return t+("reserved"===e.type?this.formatReservedWord(e.value):e.value)+" "}},{key:"formatReservedWord",value:function(e){return this.cfg.uppercase?e.toUpperCase():e}},{key:"formatQuerySeparator",value:function(e,t){return this.indentation.resetIndentation(),E(t)+e.value+"\n".repeat(this.cfg.linesBetweenQueries||1)}},{key:"addNewline",value:function(e){return(e=E(e)).endsWith("\n")||(e+="\n"),e+this.indentation.getIndent()}},{key:"previousToken",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:1;return this.tokens[this.index-e]||{}}}],r&&u(t.prototype,r),e}();t.default=c,e.exports=t.default},2520:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9901)),o=i(r(8906));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s="top-level",l=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.indent=t||"  ",this.indentTypes=[]}var t,r;return t=e,(r=[{key:"getIndent",value:function(){return(0,n.default)(this.indent,this.indentTypes.length)}},{key:"increaseTopLevel",value:function(){this.indentTypes.push(s)}},{key:"increaseBlockLevel",value:function(){this.indentTypes.push("block-level")}},{key:"decreaseTopLevel",value:function(){(0,o.default)(this.indentTypes)===s&&this.indentTypes.pop()}},{key:"decreaseBlockLevel",value:function(){for(;this.indentTypes.length>0&&this.indentTypes.pop()===s;);}},{key:"resetIndentation",value:function(){this.indentTypes=[]}}])&&a(t.prototype,r),e}();t.default=l,e.exports=t.default},9137:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n,o=(n=r(1025))&&n.__esModule?n:{default:n};function i(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var a=function(){function e(){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.level=0}var t,r;return t=e,(r=[{key:"beginIfPossible",value:function(e,t){0===this.level&&this.isInlineBlock(e,t)?this.level=1:this.level>0?this.level++:this.level=0}},{key:"end",value:function(){this.level--}},{key:"isActive",value:function(){return this.level>0}},{key:"isInlineBlock",value:function(e,t){for(var r=0,n=0,i=t;i<e.length;i++){var a=e[i];if((r+=a.value.length)>50)return!1;if(a.type===o.default.OPEN_PAREN)n++;else if(a.type===o.default.CLOSE_PAREN&&0==--n)return!0;if(this.isForbiddenToken(a))return!1}return!1}},{key:"isForbiddenToken",value:function(e){var t=e.type,r=e.value;return t===o.default.RESERVED_TOP_LEVEL||t===o.default.RESERVED_NEWLINE||t===o.default.COMMENT||t===o.default.BLOCK_COMMENT||";"===r}}])&&i(t.prototype,r),e}();t.default=a,e.exports=t.default},9429:(e,t)=>{"use strict";function r(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.params=t,this.index=0}var t,n;return t=e,(n=[{key:"get",value:function(e){var t=e.key,r=e.value;return this.params?t?this.params[t]:this.params[this.index++]:r}}])&&r(t.prototype,n),e}();t.default=n,e.exports=t.default},3202:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=a(r(7969)),o=a(r(8472)),i=a(r(1025));function a(e){return e&&e.__esModule?e:{default:e}}function s(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.WHITESPACE_REGEX=/^([\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+)/,this.NUMBER_REGEX=/^((\x2D[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]*)?[0-9]+(\.[0-9]+)?|0x[0-9A-Fa-f]+|0b[01]+)\b/,this.OPERATOR_REGEX=/^(!=|<>|==|<=|>=|!<|!>|\|\||::|\x2D>>|\x2D>|~~\*|~~|!~~\*|!~~|~\*|!~\*|!~|:=|(?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]))/,this.BLOCK_COMMENT_REGEX=/^(\/\*(?:[\0-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*?(?:\*\/|$))/,this.LINE_COMMENT_REGEX=this.createLineCommentRegex(t.lineCommentTypes),this.RESERVED_TOP_LEVEL_REGEX=this.createReservedWordRegex(t.reservedTopLevelWords),this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX=this.createReservedWordRegex(t.reservedTopLevelWordsNoIndent),this.RESERVED_NEWLINE_REGEX=this.createReservedWordRegex(t.reservedNewlineWords),this.RESERVED_PLAIN_REGEX=this.createReservedWordRegex(t.reservedWords),this.WORD_REGEX=this.createWordRegex(t.specialWordChars),this.STRING_REGEX=this.createStringRegex(t.stringTypes),this.OPEN_PAREN_REGEX=this.createParenRegex(t.openParens),this.CLOSE_PAREN_REGEX=this.createParenRegex(t.closeParens),this.INDEXED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.indexedPlaceholderTypes,"[0-9]*"),this.IDENT_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,"[a-zA-Z0-9._$]+"),this.STRING_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,this.createStringPattern(t.stringTypes))}var t,r;return t=e,r=[{key:"createLineCommentRegex",value:function(e){return new RegExp("^((?:".concat(e.map((function(e){return(0,o.default)(e)})).join("|"),").*?(?:\r\n|\r|\n|$))"),"u")}},{key:"createReservedWordRegex",value:function(e){var t=e.join("|").replace(/ /g,"\\s+");return new RegExp("^(".concat(t,")\\b"),"iu")}},{key:"createWordRegex",value:function(){return new RegExp("^([\\p{Alphabetic}\\p{Mark}\\p{Decimal_Number}\\p{Connector_Punctuation}\\p{Join_Control}".concat((arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).join(""),"]+)"),"u")}},{key:"createStringRegex",value:function(e){return new RegExp("^("+this.createStringPattern(e)+")","u")}},{key:"createStringPattern",value:function(e){var t={"``":"((`[^`]*($|`))+)","[]":"((\\[[^\\]]*($|\\]))(\\][^\\]]*($|\\]))*)",'""':'(("[^"\\\\]*(?:\\\\.[^"\\\\]*)*("|$))+)',"''":"(('[^'\\\\]*(?:\\\\.[^'\\\\]*)*('|$))+)","N''":"((N'[^N'\\\\]*(?:\\\\.[^N'\\\\]*)*('|$))+)"};return e.map((function(e){return t[e]})).join("|")}},{key:"createParenRegex",value:function(e){var t=this;return new RegExp("^("+e.map((function(e){return t.escapeParen(e)})).join("|")+")","iu")}},{key:"escapeParen",value:function(e){return 1===e.length?(0,o.default)(e):"\\b"+e+"\\b"}},{key:"createPlaceholderRegex",value:function(e,t){if((0,n.default)(e))return!1;var r=e.map(o.default).join("|");return new RegExp("^((?:".concat(r,")(?:").concat(t,"))"),"u")}},{key:"tokenize",value:function(e){if(!e)return[];for(var t,r=[];e.length;)t=this.getNextToken(e,t),e=e.substring(t.value.length),r.push(t);return r}},{key:"getNextToken",value:function(e,t){return this.getWhitespaceToken(e)||this.getCommentToken(e)||this.getStringToken(e)||this.getOpenParenToken(e)||this.getCloseParenToken(e)||this.getPlaceholderToken(e)||this.getNumberToken(e)||this.getReservedWordToken(e,t)||this.getWordToken(e)||this.getOperatorToken(e)}},{key:"getWhitespaceToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WHITESPACE,regex:this.WHITESPACE_REGEX})}},{key:"getCommentToken",value:function(e){return this.getLineCommentToken(e)||this.getBlockCommentToken(e)}},{key:"getLineCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.LINE_COMMENT,regex:this.LINE_COMMENT_REGEX})}},{key:"getBlockCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.BLOCK_COMMENT,regex:this.BLOCK_COMMENT_REGEX})}},{key:"getStringToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.STRING,regex:this.STRING_REGEX})}},{key:"getOpenParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPEN_PAREN,regex:this.OPEN_PAREN_REGEX})}},{key:"getCloseParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.CLOSE_PAREN,regex:this.CLOSE_PAREN_REGEX})}},{key:"getPlaceholderToken",value:function(e){return this.getIdentNamedPlaceholderToken(e)||this.getStringNamedPlaceholderToken(e)||this.getIndexedPlaceholderToken(e)}},{key:"getIdentNamedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.IDENT_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getStringNamedPlaceholderToken",value:function(e){var t=this;return this.getPlaceholderTokenWithKey({input:e,regex:this.STRING_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return t.getEscapedPlaceholderKey({key:e.slice(2,-1),quoteChar:e.slice(-1)})}})}},{key:"getIndexedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.INDEXED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getPlaceholderTokenWithKey",value:function(e){var t=e.input,r=e.regex,n=e.parseKey,o=this.getTokenOnFirstMatch({input:t,regex:r,type:i.default.PLACEHOLDER});return o&&(o.key=n(o.value)),o}},{key:"getEscapedPlaceholderKey",value:function(e){var t=e.key,r=e.quoteChar;return t.replace(new RegExp((0,o.default)("\\"+r),"gu"),r)}},{key:"getNumberToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.NUMBER,regex:this.NUMBER_REGEX})}},{key:"getOperatorToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPERATOR,regex:this.OPERATOR_REGEX})}},{key:"getReservedWordToken",value:function(e,t){if(!t||!t.value||"."!==t.value)return this.getTopLevelReservedToken(e)||this.getNewlineReservedToken(e)||this.getTopLevelReservedTokenNoIndent(e)||this.getPlainReservedToken(e)}},{key:"getTopLevelReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL,regex:this.RESERVED_TOP_LEVEL_REGEX})}},{key:"getNewlineReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_NEWLINE,regex:this.RESERVED_NEWLINE_REGEX})}},{key:"getTopLevelReservedTokenNoIndent",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL_NO_INDENT,regex:this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX})}},{key:"getPlainReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED,regex:this.RESERVED_PLAIN_REGEX})}},{key:"getWordToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WORD,regex:this.WORD_REGEX})}},{key:"getTokenOnFirstMatch",value:function(e){var t=e.input,r=e.type,n=e.regex,o=t.match(n);if(o)return{type:r,value:o[1]}}}],r&&s(t.prototype,r),e}();t.default=l,e.exports=t.default},1025:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0,t.default={WHITESPACE:"whitespace",WORD:"word",STRING:"string",RESERVED:"reserved",RESERVED_TOP_LEVEL:"reserved-top-level",RESERVED_TOP_LEVEL_NO_INDENT:"reserved-top-level-no-indent",RESERVED_NEWLINE:"reserved-newline",OPERATOR:"operator",OPEN_PAREN:"open-paren",CLOSE_PAREN:"close-paren",LINE_COMMENT:"line-comment",BLOCK_COMMENT:"block-comment",NUMBER:"number",PLACEHOLDER:"placeholder"},e.exports=t.default},4377:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s,l=["ABS","ACTIVATE","ALIAS","ALL","ALLOCATE","ALLOW","ALTER","ANY","ARE","ARRAY","AS","ASC","ASENSITIVE","ASSOCIATE","ASUTIME","ASYMMETRIC","AT","ATOMIC","ATTRIBUTES","AUDIT","AUTHORIZATION","AUX","AUXILIARY","AVG","BEFORE","BEGIN","BETWEEN","BIGINT","BINARY","BLOB","BOOLEAN","BOTH","BUFFERPOOL","BY","CACHE","CALL","CALLED","CAPTURE","CARDINALITY","CASCADED","CASE","CAST","CCSID","CEIL","CEILING","CHAR","CHARACTER","CHARACTER_LENGTH","CHAR_LENGTH","CHECK","CLOB","CLONE","CLOSE","CLUSTER","COALESCE","COLLATE","COLLECT","COLLECTION","COLLID","COLUMN","COMMENT","COMMIT","CONCAT","CONDITION","CONNECT","CONNECTION","CONSTRAINT","CONTAINS","CONTINUE","CONVERT","CORR","CORRESPONDING","COUNT","COUNT_BIG","COVAR_POP","COVAR_SAMP","CREATE","CROSS","CUBE","CUME_DIST","CURRENT","CURRENT_DATE","CURRENT_DEFAULT_TRANSFORM_GROUP","CURRENT_LC_CTYPE","CURRENT_PATH","CURRENT_ROLE","CURRENT_SCHEMA","CURRENT_SERVER","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_TIMEZONE","CURRENT_TRANSFORM_GROUP_FOR_TYPE","CURRENT_USER","CURSOR","CYCLE","DATA","DATABASE","DATAPARTITIONNAME","DATAPARTITIONNUM","DATE","DAY","DAYS","DB2GENERAL","DB2GENRL","DB2SQL","DBINFO","DBPARTITIONNAME","DBPARTITIONNUM","DEALLOCATE","DEC","DECIMAL","DECLARE","DEFAULT","DEFAULTS","DEFINITION","DELETE","DENSERANK","DENSE_RANK","DEREF","DESCRIBE","DESCRIPTOR","DETERMINISTIC","DIAGNOSTICS","DISABLE","DISALLOW","DISCONNECT","DISTINCT","DO","DOCUMENT","DOUBLE","DROP","DSSIZE","DYNAMIC","EACH","EDITPROC","ELEMENT","ELSE","ELSEIF","ENABLE","ENCODING","ENCRYPTION","END","END-EXEC","ENDING","ERASE","ESCAPE","EVERY","EXCEPTION","EXCLUDING","EXCLUSIVE","EXEC","EXECUTE","EXISTS","EXIT","EXP","EXPLAIN","EXTENDED","EXTERNAL","EXTRACT","FALSE","FENCED","FETCH","FIELDPROC","FILE","FILTER","FINAL","FIRST","FLOAT","FLOOR","FOR","FOREIGN","FREE","FULL","FUNCTION","FUSION","GENERAL","GENERATED","GET","GLOBAL","GOTO","GRANT","GRAPHIC","GROUP","GROUPING","HANDLER","HASH","HASHED_VALUE","HINT","HOLD","HOUR","HOURS","IDENTITY","IF","IMMEDIATE","IN","INCLUDING","INCLUSIVE","INCREMENT","INDEX","INDICATOR","INDICATORS","INF","INFINITY","INHERIT","INNER","INOUT","INSENSITIVE","INSERT","INT","INTEGER","INTEGRITY","INTERSECTION","INTERVAL","INTO","IS","ISOBID","ISOLATION","ITERATE","JAR","JAVA","KEEP","KEY","LABEL","LANGUAGE","LARGE","LATERAL","LC_CTYPE","LEADING","LEAVE","LEFT","LIKE","LINKTYPE","LN","LOCAL","LOCALDATE","LOCALE","LOCALTIME","LOCALTIMESTAMP","LOCATOR","LOCATORS","LOCK","LOCKMAX","LOCKSIZE","LONG","LOOP","LOWER","MAINTAINED","MATCH","MATERIALIZED","MAX","MAXVALUE","MEMBER","MERGE","METHOD","MICROSECOND","MICROSECONDS","MIN","MINUTE","MINUTES","MINVALUE","MOD","MODE","MODIFIES","MODULE","MONTH","MONTHS","MULTISET","NAN","NATIONAL","NATURAL","NCHAR","NCLOB","NEW","NEW_TABLE","NEXTVAL","NO","NOCACHE","NOCYCLE","NODENAME","NODENUMBER","NOMAXVALUE","NOMINVALUE","NONE","NOORDER","NORMALIZE","NORMALIZED","NOT","NULL","NULLIF","NULLS","NUMERIC","NUMPARTS","OBID","OCTET_LENGTH","OF","OFFSET","OLD","OLD_TABLE","ON","ONLY","OPEN","OPTIMIZATION","OPTIMIZE","OPTION","ORDER","OUT","OUTER","OVER","OVERLAPS","OVERLAY","OVERRIDING","PACKAGE","PADDED","PAGESIZE","PARAMETER","PART","PARTITION","PARTITIONED","PARTITIONING","PARTITIONS","PASSWORD","PATH","PERCENTILE_CONT","PERCENTILE_DISC","PERCENT_RANK","PIECESIZE","PLAN","POSITION","POWER","PRECISION","PREPARE","PREVVAL","PRIMARY","PRIQTY","PRIVILEGES","PROCEDURE","PROGRAM","PSID","PUBLIC","QUERY","QUERYNO","RANGE","RANK","READ","READS","REAL","RECOVERY","RECURSIVE","REF","REFERENCES","REFERENCING","REFRESH","REGR_AVGX","REGR_AVGY","REGR_COUNT","REGR_INTERCEPT","REGR_R2","REGR_SLOPE","REGR_SXX","REGR_SXY","REGR_SYY","RELEASE","RENAME","REPEAT","RESET","RESIGNAL","RESTART","RESTRICT","RESULT","RESULT_SET_LOCATOR","RETURN","RETURNS","REVOKE","RIGHT","ROLE","ROLLBACK","ROLLUP","ROUND_CEILING","ROUND_DOWN","ROUND_FLOOR","ROUND_HALF_DOWN","ROUND_HALF_EVEN","ROUND_HALF_UP","ROUND_UP","ROUTINE","ROW","ROWNUMBER","ROWS","ROWSET","ROW_NUMBER","RRN","RUN","SAVEPOINT","SCHEMA","SCOPE","SCRATCHPAD","SCROLL","SEARCH","SECOND","SECONDS","SECQTY","SECURITY","SENSITIVE","SEQUENCE","SESSION","SESSION_USER","SIGNAL","SIMILAR","SIMPLE","SMALLINT","SNAN","SOME","SOURCE","SPECIFIC","SPECIFICTYPE","SQL","SQLEXCEPTION","SQLID","SQLSTATE","SQLWARNING","SQRT","STACKED","STANDARD","START","STARTING","STATEMENT","STATIC","STATMENT","STAY","STDDEV_POP","STDDEV_SAMP","STOGROUP","STORES","STYLE","SUBMULTISET","SUBSTRING","SUM","SUMMARY","SYMMETRIC","SYNONYM","SYSFUN","SYSIBM","SYSPROC","SYSTEM","SYSTEM_USER","TABLE","TABLESAMPLE","TABLESPACE","THEN","TIME","TIMESTAMP","TIMEZONE_HOUR","TIMEZONE_MINUTE","TO","TRAILING","TRANSACTION","TRANSLATE","TRANSLATION","TREAT","TRIGGER","TRIM","TRUE","TRUNCATE","TYPE","UESCAPE","UNDO","UNIQUE","UNKNOWN","UNNEST","UNTIL","UPPER","USAGE","USER","USING","VALIDPROC","VALUE","VARCHAR","VARIABLE","VARIANT","VARYING","VAR_POP","VAR_SAMP","VCAT","VERSION","VIEW","VOLATILE","VOLUMES","WHEN","WHENEVER","WHILE","WIDTH_BUCKET","WINDOW","WITH","WITHIN","WITHOUT","WLM","WRITE","XMLELEMENT","XMLEXISTS","XMLNAMESPACES","YEAR","YEARS"],u=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INTERSECT","LIMIT","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],E=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],c=["AND","CROSS JOIN","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN"],d=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:l,reservedTopLevelWords:u,reservedNewlineWords:c,reservedTopLevelWordsNoIndent:E,stringTypes:['""',"''","``","[]"],openParens:["("],closeParens:[")"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["#","@"]})),new n.default(this.cfg,s).format(e)}}])&&a(t.prototype,r),e}();t.default=d,e.exports=t.default},9445:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s,l=["ALL","ALTER","ANALYZE","AND","ANY","ARRAY","AS","ASC","BEGIN","BETWEEN","BINARY","BOOLEAN","BREAK","BUCKET","BUILD","BY","CALL","CASE","CAST","CLUSTER","COLLATE","COLLECTION","COMMIT","CONNECT","CONTINUE","CORRELATE","COVER","CREATE","DATABASE","DATASET","DATASTORE","DECLARE","DECREMENT","DELETE","DERIVED","DESC","DESCRIBE","DISTINCT","DO","DROP","EACH","ELEMENT","ELSE","END","EVERY","EXCEPT","EXCLUDE","EXECUTE","EXISTS","EXPLAIN","FALSE","FETCH","FIRST","FLATTEN","FOR","FORCE","FROM","FUNCTION","GRANT","GROUP","GSI","HAVING","IF","IGNORE","ILIKE","IN","INCLUDE","INCREMENT","INDEX","INFER","INLINE","INNER","INSERT","INTERSECT","INTO","IS","JOIN","KEY","KEYS","KEYSPACE","KNOWN","LAST","LEFT","LET","LETTING","LIKE","LIMIT","LSM","MAP","MAPPING","MATCHED","MATERIALIZED","MERGE","MISSING","NAMESPACE","NEST","NOT","NULL","NUMBER","OBJECT","OFFSET","ON","OPTION","OR","ORDER","OUTER","OVER","PARSE","PARTITION","PASSWORD","PATH","POOL","PREPARE","PRIMARY","PRIVATE","PRIVILEGE","PROCEDURE","PUBLIC","RAW","REALM","REDUCE","RENAME","RETURN","RETURNING","REVOKE","RIGHT","ROLE","ROLLBACK","SATISFIES","SCHEMA","SELECT","SELF","SEMI","SET","SHOW","SOME","START","STATISTICS","STRING","SYSTEM","THEN","TO","TRANSACTION","TRIGGER","TRUE","TRUNCATE","UNDER","UNION","UNIQUE","UNKNOWN","UNNEST","UNSET","UPDATE","UPSERT","USE","USER","USING","VALIDATE","VALUE","VALUED","VALUES","VIA","VIEW","WHEN","WHERE","WHILE","WITH","WITHIN","WORK","XOR"],u=["DELETE FROM","EXCEPT ALL","EXCEPT","EXPLAIN DELETE FROM","EXPLAIN UPDATE","EXPLAIN UPSERT","FROM","GROUP BY","HAVING","INFER","INSERT INTO","LET","LIMIT","MERGE","NEST","ORDER BY","PREPARE","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UNNEST","UPDATE","UPSERT","USE KEYS","VALUES","WHERE"],E=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],c=["AND","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","XOR"],d=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:l,reservedTopLevelWords:u,reservedNewlineWords:c,reservedTopLevelWordsNoIndent:E,stringTypes:['""',"''","``"],openParens:["(","[","{"],closeParens:[")","]","}"],namedPlaceholderTypes:["$"],lineCommentTypes:["#","--"]})),new n.default(this.cfg,s).format(e)}}])&&a(t.prototype,r),e}();t.default=d,e.exports=t.default},7881:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=a(r(9157)),o=a(r(3202)),i=a(r(1025));function a(e){return e&&e.__esModule?e:{default:e}}function s(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,u=["A","ACCESSIBLE","AGENT","AGGREGATE","ALL","ALTER","ANY","ARRAY","AS","ASC","AT","ATTRIBUTE","AUTHID","AVG","BETWEEN","BFILE_BASE","BINARY_INTEGER","BINARY","BLOB_BASE","BLOCK","BODY","BOOLEAN","BOTH","BOUND","BREADTH","BULK","BY","BYTE","C","CALL","CALLING","CASCADE","CASE","CHAR_BASE","CHAR","CHARACTER","CHARSET","CHARSETFORM","CHARSETID","CHECK","CLOB_BASE","CLONE","CLOSE","CLUSTER","CLUSTERS","COALESCE","COLAUTH","COLLECT","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPILED","COMPRESS","CONNECT","CONSTANT","CONSTRUCTOR","CONTEXT","CONTINUE","CONVERT","COUNT","CRASH","CREATE","CREDENTIAL","CURRENT","CURRVAL","CURSOR","CUSTOMDATUM","DANGLING","DATA","DATE_BASE","DATE","DAY","DECIMAL","DEFAULT","DEFINE","DELETE","DEPTH","DESC","DETERMINISTIC","DIRECTORY","DISTINCT","DO","DOUBLE","DROP","DURATION","ELEMENT","ELSIF","EMPTY","END","ESCAPE","EXCEPTIONS","EXCLUSIVE","EXECUTE","EXISTS","EXIT","EXTENDS","EXTERNAL","EXTRACT","FALSE","FETCH","FINAL","FIRST","FIXED","FLOAT","FOR","FORALL","FORCE","FROM","FUNCTION","GENERAL","GOTO","GRANT","GROUP","HASH","HEAP","HIDDEN","HOUR","IDENTIFIED","IF","IMMEDIATE","IN","INCLUDING","INDEX","INDEXES","INDICATOR","INDICES","INFINITE","INSTANTIABLE","INT","INTEGER","INTERFACE","INTERVAL","INTO","INVALIDATE","IS","ISOLATION","JAVA","LANGUAGE","LARGE","LEADING","LENGTH","LEVEL","LIBRARY","LIKE","LIKE2","LIKE4","LIKEC","LIMITED","LOCAL","LOCK","LONG","MAP","MAX","MAXLEN","MEMBER","MERGE","MIN","MINUTE","MLSLABEL","MOD","MODE","MONTH","MULTISET","NAME","NAN","NATIONAL","NATIVE","NATURAL","NATURALN","NCHAR","NEW","NEXTVAL","NOCOMPRESS","NOCOPY","NOT","NOWAIT","NULL","NULLIF","NUMBER_BASE","NUMBER","OBJECT","OCICOLL","OCIDATE","OCIDATETIME","OCIDURATION","OCIINTERVAL","OCILOBLOCATOR","OCINUMBER","OCIRAW","OCIREF","OCIREFCURSOR","OCIROWID","OCISTRING","OCITYPE","OF","OLD","ON","ONLY","OPAQUE","OPEN","OPERATOR","OPTION","ORACLE","ORADATA","ORDER","ORGANIZATION","ORLANY","ORLVARY","OTHERS","OUT","OVERLAPS","OVERRIDING","PACKAGE","PARALLEL_ENABLE","PARAMETER","PARAMETERS","PARENT","PARTITION","PASCAL","PCTFREE","PIPE","PIPELINED","PLS_INTEGER","PLUGGABLE","POSITIVE","POSITIVEN","PRAGMA","PRECISION","PRIOR","PRIVATE","PROCEDURE","PUBLIC","RAISE","RANGE","RAW","READ","REAL","RECORD","REF","REFERENCE","RELEASE","RELIES_ON","REM","REMAINDER","RENAME","RESOURCE","RESULT_CACHE","RESULT","RETURN","RETURNING","REVERSE","REVOKE","ROLLBACK","ROW","ROWID","ROWNUM","ROWTYPE","SAMPLE","SAVE","SAVEPOINT","SB1","SB2","SB4","SEARCH","SECOND","SEGMENT","SELF","SEPARATE","SEQUENCE","SERIALIZABLE","SHARE","SHORT","SIZE_T","SIZE","SMALLINT","SOME","SPACE","SPARSE","SQL","SQLCODE","SQLDATA","SQLERRM","SQLNAME","SQLSTATE","STANDARD","START","STATIC","STDDEV","STORED","STRING","STRUCT","STYLE","SUBMULTISET","SUBPARTITION","SUBSTITUTABLE","SUBTYPE","SUCCESSFUL","SUM","SYNONYM","SYSDATE","TABAUTH","TABLE","TDO","THE","THEN","TIME","TIMESTAMP","TIMEZONE_ABBR","TIMEZONE_HOUR","TIMEZONE_MINUTE","TIMEZONE_REGION","TO","TRAILING","TRANSACTION","TRANSACTIONAL","TRIGGER","TRUE","TRUSTED","TYPE","UB1","UB2","UB4","UID","UNDER","UNIQUE","UNPLUG","UNSIGNED","UNTRUSTED","USE","USER","USING","VALIDATE","VALIST","VALUE","VARCHAR","VARCHAR2","VARIABLE","VARIANCE","VARRAY","VARYING","VIEW","VIEWS","VOID","WHENEVER","WHILE","WITH","WORK","WRAPPED","WRITE","YEAR","ZONE"],E=["ADD","ALTER COLUMN","ALTER TABLE","BEGIN","CONNECT BY","DECLARE","DELETE FROM","DELETE","END","EXCEPT","EXCEPTION","FETCH FIRST","FROM","GROUP BY","HAVING","INSERT INTO","INSERT","LIMIT","LOOP","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","START WITH","UPDATE","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","CROSS APPLY","CROSS JOIN","ELSE","END","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],T=function(e,t){if(e.type===i.default.RESERVED_TOP_LEVEL&&"SET"===e.value&&"BY"===t.value)return e.type=i.default.RESERVED,e},p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:u,reservedTopLevelWords:E,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"N''","''","``"],openParens:["(","CASE","BEGIN"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["_","$","#",".","@"]})),new n.default(this.cfg,l,T).format(e)}}])&&s(t.prototype,r),e}();t.default=p,e.exports=t.default},1432:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s,l=["ACCESSIBLE","ACTION","AGAINST","AGGREGATE","ALGORITHM","ALL","ALTER","ANALYSE","ANALYZE","AS","ASC","AUTOCOMMIT","AUTO_INCREMENT","BACKUP","BEGIN","BETWEEN","BINLOG","BOTH","CASCADE","CASE","CHANGE","CHANGED","CHARACTER SET","CHARSET","CHECK","CHECKSUM","COLLATE","COLLATION","COLUMN","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPRESSED","CONCURRENT","CONSTRAINT","CONTAINS","CONVERT","CREATE","CROSS","CURRENT_TIMESTAMP","DATABASE","DATABASES","DAY","DAY_HOUR","DAY_MINUTE","DAY_SECOND","DEFAULT","DEFINER","DELAYED","DELETE","DESC","DESCRIBE","DETERMINISTIC","DISTINCT","DISTINCTROW","DIV","DO","DROP","DUMPFILE","DUPLICATE","DYNAMIC","ELSE","ENCLOSED","END","ENGINE","ENGINES","ENGINE_TYPE","ESCAPE","ESCAPED","EVENTS","EXEC","EXECUTE","EXISTS","EXPLAIN","EXTENDED","FAST","FETCH","FIELDS","FILE","FIRST","FIXED","FLUSH","FOR","FORCE","FOREIGN","FULL","FULLTEXT","FUNCTION","GLOBAL","GRANT","GRANTS","GROUP_CONCAT","HEAP","HIGH_PRIORITY","HOSTS","HOUR","HOUR_MINUTE","HOUR_SECOND","IDENTIFIED","IF","IFNULL","IGNORE","IN","INDEX","INDEXES","INFILE","INSERT","INSERT_ID","INSERT_METHOD","INTERVAL","INTO","INVOKER","IS","ISOLATION","KEY","KEYS","KILL","LAST_INSERT_ID","LEADING","LEVEL","LIKE","LINEAR","LINES","LOAD","LOCAL","LOCK","LOCKS","LOGS","LOW_PRIORITY","MARIA","MASTER","MASTER_CONNECT_RETRY","MASTER_HOST","MASTER_LOG_FILE","MATCH","MAX_CONNECTIONS_PER_HOUR","MAX_QUERIES_PER_HOUR","MAX_ROWS","MAX_UPDATES_PER_HOUR","MAX_USER_CONNECTIONS","MEDIUM","MERGE","MINUTE","MINUTE_SECOND","MIN_ROWS","MODE","MODIFY","MONTH","MRG_MYISAM","MYISAM","NAMES","NATURAL","NOT","NOW()","NULL","OFFSET","ON DELETE","ON UPDATE","ON","ONLY","OPEN","OPTIMIZE","OPTION","OPTIONALLY","OUTFILE","PACK_KEYS","PAGE","PARTIAL","PARTITION","PARTITIONS","PASSWORD","PRIMARY","PRIVILEGES","PROCEDURE","PROCESS","PROCESSLIST","PURGE","QUICK","RAID0","RAID_CHUNKS","RAID_CHUNKSIZE","RAID_TYPE","RANGE","READ","READ_ONLY","READ_WRITE","REFERENCES","REGEXP","RELOAD","RENAME","REPAIR","REPEATABLE","REPLACE","REPLICATION","RESET","RESTORE","RESTRICT","RETURN","RETURNS","REVOKE","RLIKE","ROLLBACK","ROW","ROWS","ROW_FORMAT","SECOND","SECURITY","SEPARATOR","SERIALIZABLE","SESSION","SHARE","SHOW","SHUTDOWN","SLAVE","SONAME","SOUNDS","SQL","SQL_AUTO_IS_NULL","SQL_BIG_RESULT","SQL_BIG_SELECTS","SQL_BIG_TABLES","SQL_BUFFER_RESULT","SQL_CACHE","SQL_CALC_FOUND_ROWS","SQL_LOG_BIN","SQL_LOG_OFF","SQL_LOG_UPDATE","SQL_LOW_PRIORITY_UPDATES","SQL_MAX_JOIN_SIZE","SQL_NO_CACHE","SQL_QUOTE_SHOW_CREATE","SQL_SAFE_UPDATES","SQL_SELECT_LIMIT","SQL_SLAVE_SKIP_COUNTER","SQL_SMALL_RESULT","SQL_WARNINGS","START","STARTING","STATUS","STOP","STORAGE","STRAIGHT_JOIN","STRING","STRIPED","SUPER","TABLE","TABLES","TEMPORARY","TERMINATED","THEN","TO","TRAILING","TRANSACTIONAL","TRUE","TRUNCATE","TYPE","TYPES","UNCOMMITTED","UNIQUE","UNLOCK","UNSIGNED","USAGE","USE","USING","VARIABLES","VIEW","WHEN","WITH","WORK","WRITE","YEAR_MONTH"],u=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INSERT","LIMIT","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],E=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],c=["AND","CROSS APPLY","CROSS JOIN","ELSE","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],d=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:l,reservedTopLevelWords:u,reservedNewlineWords:c,reservedTopLevelWordsNoIndent:E,stringTypes:['""',"N''","''","``","[]"],openParens:["(","CASE"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:["@",":"],lineCommentTypes:["#","--"]})),new n.default(this.cfg,s).format(e)}}])&&a(t.prototype,r),e}();t.default=d,e.exports=t.default},7409:(e,t,r)=>{"use strict";t.Ay=void 0;var n=s(r(4377)),o=s(r(9445)),i=s(r(7881)),a=s(r(1432));function s(e){return e&&e.__esModule?e:{default:e}}var l={format:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};switch(t.language){case"db2":return new n.default(t).format(e);case"n1ql":return new o.default(t).format(e);case"pl/sql":return new i.default(t).format(e);case"sql":case void 0:return new a.default(t).format(e);default:throw Error("Unsupported SQL dialect: ".concat(t.language))}}};t.Ay=l},9953:(e,t,r)=>{"use strict";r.d(t,{C:()=>o});var n=r(8531);const o=()=>!!n.config.featureToggles.sqlDatasourceDatabaseSelection},136:(e,t,r)=>{"use strict";r.d(t,{T:()=>s});var n=r(6013),o=r(9453),i=r(3277);function a(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function s(e){let t=(null==e?void 0:e.editorMode)||n.lX.Builder;var r;void 0===(null==e?void 0:e.editorMode)&&void 0!==(null==e?void 0:e.rawSql)&&(t=n.lX.Code);const s=(l=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){a(e,t,r[t])}))}return e}({},e),u=null!=(u={refId:(null==e?void 0:e.refId)||"A",format:void 0!==(null==e?void 0:e.format)?e.format:o.gv.Table,rawSql:(null==e?void 0:e.rawSql)||"",editorMode:t,sql:null!==(r=null==e?void 0:e.sql)&&void 0!==r?r:{columns:[(0,i.JD)()],groupBy:[(0,i.xG)()],limit:50}})?u:{},Object.getOwnPropertyDescriptors?Object.defineProperties(l,Object.getOwnPropertyDescriptors(u)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(u)).forEach((function(e){Object.defineProperty(l,e,Object.getOwnPropertyDescriptor(u,e))})),l);var l,u;return s}},6703:(e,t,r)=>{"use strict";r.d(t,{D:()=>n,_:()=>o});var n=function(e){return e.String="string",e}({}),o=function(e){return e.Property="property",e.Operator="operator",e.Or="or",e.And="and",e.GroupBy="groupBy",e.Function="function",e.FunctionParameter="functionParameter",e}({})},9453:(e,t,r)=>{"use strict";r.d(t,{cO:()=>i,gv:()=>o,zL:()=>a});var n=r(7781),o=function(e){return e.Timeseries="time_series",e.Table="table",e}({});const i=[{label:"Time series",value:"time_series"},{label:"Table",value:"table"}],a=null!==n.toOption&&void 0!==n.toOption?n.toOption:e=>({label:e,value:e})},3031:(e,t,r)=>{"use strict";r.d(t,{s:()=>o});var n=r(7409);function o(e){return n.Ay.format(e).replace(/(\$ \{ .* \})|(\$ __)|(\$ \w+)/g,(e=>e.replace(/\s/g,"")))}},3277:(e,t,r)=>{"use strict";r.d(t,{JD:()=>u,Kj:()=>l,YW:()=>a,oF:()=>i,oG:()=>E,xG:()=>s});var n=r(7781),o=r(6703);function i(e){return`SELECT ${e.map((e=>{let t="";var r;if(e.name&&e.alias)t+=`${e.name}(${null===(r=e.parameters)||void 0===r?void 0:r.map((e=>`${e.name}`))}) AS ${e.alias}`;else if(e.name){var n;t+=`${e.name}(${null===(n=e.parameters)||void 0===n?void 0:n.map((e=>`${e.name}`))})`}else if(e.alias){var o;t+=`${null===(o=e.parameters)||void 0===o?void 0:o.map((e=>`${e.name}`))} AS ${e.alias}`}else{var i;t+=`${null===(i=e.parameters)||void 0===i?void 0:i.map((e=>`${e.name}`))}`}return t})).join(", ")} `}const a=e=>{if(!e)return!1;const t=e.some((e=>{var t,r;return(null===(t=e.parameters)||void 0===t?void 0:t.length)||(null===(r=e.parameters)||void 0===r?void 0:r.some((e=>e.name)))})),r=e.some((e=>e.name));return t||r};function s(e){return{type:o._.GroupBy,property:{type:o.D.String,name:e}}}function l(e){return{type:o._.Property,property:{type:o.D.String,name:e}}}function u(e){return{type:o._.Function,name:e,parameters:[]}}function E(e){return(null==e?void 0:e.name)?(0,n.toOption)(e.name):null}},6089:e=>{"use strict";e.exports=a},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=n},2007:e=>{"use strict";e.exports=s},3241:e=>{"use strict";e.exports=o},2468:e=>{"use strict";e.exports=E},5959:e=>{"use strict";e.exports=i},200:e=>{"use strict";e.exports=u},7694:e=>{"use strict";e.exports=l},1269:e=>{"use strict";e.exports=t},3059:e=>{"use strict";e.exports=r}},p={};function O(e){var t=p[e];if(void 0!==t)return t.exports;var r=p[e]={id:e,loaded:!1,exports:{}};return T[e].call(r.exports,r,r.exports,O),r.loaded=!0,r.exports}O.m=T,O.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return O.d(t,{a:t}),t},O.d=(e,t)=>{for(var r in t)O.o(t,r)&&!O.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},O.f={},O.e=e=>Promise.all(Object.keys(O.f).reduce(((t,r)=>(O.f[r](e,t),t)),[])),O.u=e=>(168===e?"sql-query-editor":e)+".js",O.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),O.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),c={},d="mysql:",O.l=(e,t,r,n)=>{if(c[e])c[e].push(t);else{var o,i;if(void 0!==r)for(var a=document.getElementsByTagName("script"),s=0;s<a.length;s++){var l=a[s];if(l.getAttribute("src")==e||l.getAttribute("data-webpack")==d+r){o=l;break}}o||(i=!0,(o=document.createElement("script")).charset="utf-8",o.timeout=120,O.nc&&o.setAttribute("nonce",O.nc),o.setAttribute("data-webpack",d+r),o.src=e),c[e]=[t];var u=(t,r)=>{o.onerror=o.onload=null,clearTimeout(E);var n=c[e];if(delete c[e],o.parentNode&&o.parentNode.removeChild(o),n&&n.forEach((e=>e(r))),t)return t(r)},E=setTimeout(u.bind(null,void 0,{type:"timeout",target:o}),12e4);o.onerror=u.bind(null,o.onerror),o.onload=u.bind(null,o.onload),i&&document.head.appendChild(o)}},O.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},O.nmd=e=>(e.paths=[],e.children||(e.children=[]),e),O.p="public/plugins/mysql/",(()=>{var e={231:0};O.f.j=(t,r)=>{var n=O.o(e,t)?e[t]:void 0;if(0!==n)if(n)r.push(n[2]);else{var o=new Promise(((r,o)=>n=e[t]=[r,o]));r.push(n[2]=o);var i=O.p+O.u(t),a=new Error;O.l(i,(r=>{if(O.o(e,t)&&(0!==(n=e[t])&&(e[t]=void 0),n)){var o=r&&("load"===r.type?"missing":r.type),i=r&&r.target&&r.target.src;a.message="Loading chunk "+t+" failed.\n("+o+": "+i+")",a.name="ChunkLoadError",a.type=o,a.request=i,n[1](a)}}),"chunk-"+t,t)}};var t=(t,r)=>{var n,o,[i,a,s]=r,l=0;if(i.some((t=>0!==e[t]))){for(n in a)O.o(a,n)&&(O.m[n]=a[n]);s&&s(O)}for(t&&t(r);l<i.length;l++)o=i[l],O.o(e,o)&&e[o]&&e[o][0](),e[o]=0},r=globalThis.webpackChunkmysql=globalThis.webpackChunkmysql||[];r.forEach(t.bind(null,0)),r.push=t.bind(null,r.push.bind(r))})();var R={};return(()=>{"use strict";O.r(R),O.d(R,{plugin:()=>Et});var e=O(7781),t=O(9453);const r=[{name:"AVG"},{name:"COUNT"},{name:"MAX"},{name:"MIN"},{name:"SUM"}],n={name:"Interval",required:!0,options:()=>Promise.resolve([{label:"$__interval",value:"$__interval"}])},o={name:"Fill",required:!1,options:()=>Promise.resolve([{label:"0",value:"0"},{label:"NULL",value:"NULL"},{label:"previous",value:"previous"}])},i=e=>[{name:"$__timeGroup",description:"Time grouping function",parameters:[e,n,o]},{name:"$__timeGroupAlias",description:"Time grouping function with time as alias",parameters:[e,n,o]},{name:"$__time",description:"An expression to rename the column to time",parameters:[e]},{name:"$__timeEpoch",parameters:[e]},{name:"$__unixEpochGroup",parameters:[e,n,o]},{name:"$__unixEpochGroupAlias",parameters:[e,n,o]}],a=["$__time","$__timeEpoch","$__timeFilter","$__timeFrom","$__timeTo","$__timeGroup","$__timeGroupAlias","$__unixEpochFilter","$__unixEpochNanoFilter","$__unixEpochNanoFrom","$__unixEpochNanoTo","$__unixEpochGroup","$__unixEpochGroupAlias"];var s=O(1269),l=O(3059),u=O(6013),E=O(8531),c=O(3241);class d{transformMetricFindResponse(e){const t=[],r=e.fields.find((e=>"__text"===e.name)),n=e.fields.find((e=>"__value"===e.name));if(r&&n)for(let e=0;e<r.values.length;e++)t.push({text:""+r.values[e],value:""+n.values[e]});else for(const r of e.fields)for(const e of r.values)t.push({text:e});return(0,c.uniqBy)(t,"text")}}var T=O(9728),p=O(6089),f=O(5959),I=O.n(f),N=O(2007);function A(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function S(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){A(e,t,r[t])}))}return e}const h=(0,f.lazy)((()=>Promise.all([O.e(630),O.e(168)]).then(O.bind(O,1071))));function m(e){const t=(0,N.useStyles2)(L);return(0,T.jsx)(f.Suspense,{fallback:(0,T.jsx)(N.LoadingPlaceholder,{text:"Loading editor",className:t.container}),children:(0,T.jsx)(h,S({},e))})}const L=e=>({container:(0,p.css)({marginBottom:"unset",marginLeft:e.spacing(1)})});var C=O(136);function v(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function y(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){v(e,t,r[t])}))}return e}function g(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function b(e){const t="string"==typeof e.rawQuery?e.rawQuery:null;if(!t)return e;var r;const n=(0,C.T)(g(y({refId:"Annotation"},null!==(r=e.target)&&void 0!==r?r:{}),{rawSql:t}));return g(y({},e),{rawQuery:void 0,workspace:void 0,subscription:void 0,queryType:void 0,target:n})}var D=O(9953);function P(e,t,r,n,o,i,a){try{var s=e[i](a),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,o)}function _(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){P(i,n,o,a,s,"next",e)}function s(e){P(i,n,o,a,s,"throw",e)}a(void 0)}))}}function M(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function U(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){M(e,t,r[t])}))}return e}function x(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}class j extends E.DataSourceWithBackend{getResponseParser(){return this.responseParser}interpolateVariablesInQueries(e,t){let r=e;return e&&e.length>0&&(r=e.map((e=>x(U({},e),{datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),rawQuery:!0})))),r}filterQuery(e){return!e.hide}applyTemplateVariables(e,t){return{refId:e.refId,datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),format:e.format}}query(t){if((0,D.C)()){const e=this.checkForDatabaseIssue(t);if(e){const t=new Error(e);return(0,s.throwError)((()=>t))}}return t.targets.forEach((r=>{var n;t.app!==e.CoreApp.Dashboard&&t.app!==e.CoreApp.PanelViewer&&(0,E.reportInteraction)("grafana_sql_query_executed",{datasource:null===(n=r.datasource)||void 0===n?void 0:n.type,editorMode:r.editorMode,format:r.format,app:t.app})})),super.query(t)}checkForDatabaseIssue(t){if("postgres"===this.type&&!this.preconfiguredDatabase)return"You do not currently have a default database configured for this data source. Postgres requires a default\n             database with which to connect. Please configure one through the Data Sources Configuration page, or if you\n             are using a provisioning file, update that configuration file with a default database.";if(t.app!==e.CoreApp.Explore&&this.preconfiguredDatabase)for(const e of t.targets)if(e.editorMode===u.lX.Builder&&e.dataset!==this.preconfiguredDatabase)return"The configuration for this panel's data source has been modified. The previous database used in this panel's\n                   saved query is no longer available. Please update the query to use the new database option.\n                   Previous query parameters will be preserved until the query is updated."}metricFindQuery(r,n){var o=this;return _((function*(){const i=null==n?void 0:n.range;if(null==i)return[];let a="tempvar";n&&n.variable&&n.variable.name&&(a=n.variable.name);const s=U({},null==n?void 0:n.scopedVars,(0,e.getSearchFilterScopedVar)({query:r,wildcardChar:"%",options:n})),l=o.templateSrv.replace(r,s,o.interpolateVariable),u={refId:a,datasource:o.getRef(),rawSql:l,format:t.gv.Table};let E;try{E=yield o.runMetaQuery(u,i)}catch(e){throw console.error(e),new Error("error when executing the sql query")}return o.getResponseParser().transformMetricFindResponse(E)}))()}runSql(r,n){var o=this;return _((function*(){const i=(0,e.getDefaultTimeRange)(),a=yield o.runMetaQuery({rawSql:r,format:t.gv.Table,refId:null==n?void 0:n.refId},i);return new e.DataFrameView(a)}))()}runMetaQuery(e,t){const r=e.refId||"meta",n=[x(U({},e),{datasource:e.datasource||this.getRef(),refId:r})];return(0,s.lastValueFrom)((0,E.getBackendSrv)().fetch({url:"/api/ds/query",method:"POST",headers:this.getRequestHeaders(),data:{from:t.from.valueOf().toString(),to:t.to.valueOf().toString(),queries:n},requestId:r}).pipe((0,l.map)((e=>{var t;return null!==(t=(0,E.toDataQueryResponse)(e,n).data[0])&&void 0!==t?t:{fields:[]}}))))}targetContainsTemplate(e){let t=e.rawSql;return a.forEach((e=>{t=(null==t?void 0:t.replace(e,""))||""})),this.templateSrv.containsTemplate(t)}constructor(e,t=(0,E.getTemplateSrv)()){super(e),M(this,"templateSrv",void 0),M(this,"id",void 0),M(this,"responseParser",void 0),M(this,"name",void 0),M(this,"interval",void 0),M(this,"db",void 0),M(this,"preconfiguredDatabase",void 0),M(this,"interpolateVariable",void 0),this.templateSrv=t,this.interpolateVariable=(e,t)=>"string"==typeof e?t.multi||t.includeAll?this.getQueryModel().quoteLiteral(e):String(e).replace(/'/g,"''"):"number"==typeof e?e:Array.isArray(e)?e.map((e=>this.getQueryModel().quoteLiteral(e))).join(","):e,this.name=e.name,this.responseParser=new d,this.id=e.id;const r=e.jsonData||{};var n;this.interval=r.timeInterval||"1m",this.db=this.getDB(),this.preconfiguredDatabase=null!==(n=r.database)&&void 0!==n?n:"",this.annotations={prepareAnnotation:b,QueryEditor:m}}}var F=O(3031),w=Object.defineProperty,G=Object.defineProperties,B=Object.getOwnPropertyDescriptors,k=Object.getOwnPropertySymbols,W=Object.prototype.hasOwnProperty,V=Object.prototype.propertyIsEnumerable,H=(e,t,r)=>t in e?w(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,Y=(e,t)=>{for(var r in t||(t={}))W.call(t,r)&&H(e,r,t[r]);if(k)for(var r of k(t))V.call(t,r)&&H(e,r,t[r]);return e};const X=({children:e,title:t,description:r,isCollapsible:n=!1,isInitiallyOpen:o=!0,kind:i="section",className:a})=>{const{colors:s,typography:l,spacing:u}=(0,N.useTheme2)(),[E,c]=(0,f.useState)(!n||o),d=E?"angle-up":"angle-down",T="sub-section"===i,O=`${E?"Collapse":"Expand"} section ${t}`,R={header:(0,p.css)({display:"flex",justifyContent:"space-between",alignItems:"center"}),title:(0,p.css)({margin:0}),subtitle:(0,p.css)({margin:0,fontWeight:l.fontWeightRegular}),descriptionText:(0,p.css)((A=Y({marginTop:u(T?.25:.5),marginBottom:0},l.bodySmall),S={color:s.text.secondary},G(A,B(S)))),content:(0,p.css)({marginTop:u(2)})};var A,S;return I().createElement("div",{className:a},I().createElement("div",{className:R.header},"section"===i?I().createElement("h3",{className:R.title},t):I().createElement("h6",{className:R.subtitle},t),n&&I().createElement(N.IconButton,{name:d,onClick:()=>c(!E),type:"button",size:"xl","aria-label":O})),r&&I().createElement("p",{className:R.descriptionText},r),E&&I().createElement("div",{className:R.content},e))};var K=Object.defineProperty,$=Object.defineProperties,q=Object.getOwnPropertyDescriptors,Q=Object.getOwnPropertySymbols,J=Object.prototype.hasOwnProperty,Z=Object.prototype.propertyIsEnumerable,z=(e,t,r)=>t in e?K(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const ee=e=>{var t,r=e,{children:n}=r,o=((e,t)=>{var r={};for(var n in e)J.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&Q)for(var n of Q(e))t.indexOf(n)<0&&Z.call(e,n)&&(r[n]=e[n]);return r})(r,["children"]);return I().createElement(X,(t=((e,t)=>{for(var r in t||(t={}))J.call(t,r)&&z(e,r,t[r]);if(Q)for(var r of Q(t))Z.call(t,r)&&z(e,r,t[r]);return e})({},o),$(t,q({kind:"sub-section"}))),n)};var te=O(9571);function re({value:e,defaultValue:t,onChange:r,width:n}){const[o,i]=(0,f.useState)(!1);return(0,T.jsx)(N.Input,{type:"number",placeholder:String(t),value:o?"":e,onChange:e=>{var n;if(""===(null===(n=e.currentTarget.value)||void 0===n?void 0:n.trim()))i(!0),r(t);else{i(!1);const t=Number(e.currentTarget.value);Number.isNaN(t)||r(t)}},width:n})}function ne(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function oe(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){ne(e,t,r[t])}))}return e}const ie=e=>{const{onOptionsChange:t,options:r}=e,n=r.jsonData,o=void 0!==n.maxIdleConnsAuto&&n.maxIdleConnsAuto,i=e=>{const o=(i=oe({},r),a=null!=(a={jsonData:oe({},n,e)})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i);var i,a;return t(o)},a=e=>t=>{i({[e]:t})};return(0,T.jsxs)(ee,{title:"Connection limits",children:[(0,T.jsx)(N.Field,{label:(0,T.jsx)(N.Label,{children:(0,T.jsxs)(te.B,{gap:.5,children:[(0,T.jsx)("span",{children:"Max open"}),(0,T.jsx)(N.Tooltip,{content:(0,T.jsxs)("span",{children:["The maximum number of open connections to the database. If ",(0,T.jsx)("i",{children:"Max idle connections"})," is greater than 0 and the ",(0,T.jsx)("i",{children:"Max open connections"})," is less than ",(0,T.jsx)("i",{children:"Max idle connections"}),", then",(0,T.jsx)("i",{children:"Max idle connections"})," will be reduced to match the ",(0,T.jsx)("i",{children:"Max open connections"})," limit. If set to 0, there is no limit on the number of open connections."]}),children:(0,T.jsx)(N.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,T.jsx)(re,{value:n.maxOpenConns,defaultValue:E.config.sqlConnectionLimits.maxOpenConns,onChange:e=>{var t;t=e,i(o&&t?{maxOpenConns:t,maxIdleConns:t}:{maxOpenConns:t})},width:40})}),(0,T.jsx)(N.Field,{label:(0,T.jsx)(N.Label,{children:(0,T.jsxs)(te.B,{gap:.5,children:[(0,T.jsx)("span",{children:"Auto max idle"}),(0,T.jsx)(N.Tooltip,{content:(0,T.jsxs)("span",{children:["If enabled, automatically set the number of ",(0,T.jsx)("i",{children:"Maximum idle connections"})," to the same value as",(0,T.jsx)("i",{children:" Max open connections"}),". If the number of maximum open connections is not set it will be set to the default (",E.config.sqlConnectionLimits.maxIdleConns,")."]}),children:(0,T.jsx)(N.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,T.jsx)(N.Switch,{value:o,onChange:()=>{let e,t;o?(t=n.maxOpenConns,e=n.maxIdleConns):void 0!==n.maxOpenConns&&(t=n.maxOpenConns,e=n.maxOpenConns),i({maxIdleConnsAuto:!o,maxIdleConns:e,maxOpenConns:t})}})}),(0,T.jsx)(N.Field,{label:(0,T.jsx)(N.Label,{children:(0,T.jsxs)(te.B,{gap:.5,children:[(0,T.jsx)("span",{children:"Max idle"}),(0,T.jsx)(N.Tooltip,{content:(0,T.jsxs)("span",{children:["The maximum number of connections in the idle connection pool.If ",(0,T.jsx)("i",{children:"Max open connections"})," is greater than 0 but less than the ",(0,T.jsx)("i",{children:"Max idle connections"}),", then the ",(0,T.jsx)("i",{children:"Max idle connections"})," ","will be reduced to match the ",(0,T.jsx)("i",{children:"Max open connections"})," limit. If set to 0, no idle connections are retained."]}),children:(0,T.jsx)(N.Icon,{name:"info-circle",size:"sm"})})]})}),children:o?(0,T.jsx)(N.InlineLabel,{width:40,children:r.jsonData.maxIdleConns}):(0,T.jsx)(re,{value:n.maxIdleConns,defaultValue:E.config.sqlConnectionLimits.maxIdleConns,onChange:e=>{a("maxIdleConns")(e)},width:40})}),(0,T.jsx)(N.Field,{label:(0,T.jsx)(N.Label,{children:(0,T.jsxs)(te.B,{gap:.5,children:[(0,T.jsx)("span",{children:"Max lifetime"}),(0,T.jsx)(N.Tooltip,{content:(0,T.jsx)("span",{children:"The maximum amount of time in seconds a connection may be reused. If set to 0, connections are reused forever."}),children:(0,T.jsx)(N.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,T.jsx)(re,{value:n.connMaxLifetime,defaultValue:E.config.sqlConnectionLimits.connMaxLifetime,onChange:e=>{a("connMaxLifetime")(e)},width:40})})]})},ae=()=>{const e=(0,N.useStyles2)(se);return(0,T.jsx)("hr",{className:e.horizontalDivider})},se=e=>({horizontalDivider:(0,p.css)({borderTop:`1px solid ${e.colors.border.weak}`,margin:e.spacing(2,0),width:"100%"})}),le=t=>{const{editorProps:r,showCACert:n,showKeyPair:o=!0}=t,{secureJsonFields:i}=r.options;return(0,T.jsxs)(T.Fragment,{children:[o?(0,T.jsx)(N.Field,{label:(0,T.jsx)(N.Label,{children:(0,T.jsxs)(N.Stack,{gap:.5,children:[(0,T.jsx)("span",{children:"TLS/SSL Client Certificate"}),(0,T.jsx)(N.Tooltip,{content:(0,T.jsx)("span",{children:"To authenticate with an TLS/SSL client certificate, provide the client certificate here."}),children:(0,T.jsx)(N.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,T.jsx)(N.SecretTextArea,{placeholder:"-----BEGIN CERTIFICATE-----",cols:45,rows:7,isConfigured:i&&i.tlsClientCert,onChange:(0,e.onUpdateDatasourceSecureJsonDataOption)(r,"tlsClientCert"),onReset:()=>{(0,e.updateDatasourcePluginResetOption)(r,"tlsClientCert")}})}):null,n?(0,T.jsx)(N.Field,{label:(0,T.jsx)(N.Label,{children:(0,T.jsxs)(N.Stack,{gap:.5,children:[(0,T.jsx)("span",{children:"TLS/SSL Root Certificate"}),(0,T.jsx)(N.Tooltip,{content:(0,T.jsx)("span",{children:"If the selected TLS/SSL mode requires a server root certificate, provide it here."}),children:(0,T.jsx)(N.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,T.jsx)(N.SecretTextArea,{placeholder:"-----BEGIN CERTIFICATE-----",cols:45,rows:7,isConfigured:i&&i.tlsCACert,onChange:(0,e.onUpdateDatasourceSecureJsonDataOption)(r,"tlsCACert"),onReset:()=>{(0,e.updateDatasourcePluginResetOption)(r,"tlsCACert")}})}):null,o?(0,T.jsx)(N.Field,{label:(0,T.jsx)(N.Label,{children:(0,T.jsxs)(N.Stack,{gap:.5,children:[(0,T.jsx)("span",{children:"TLS/SSL Client Key"}),(0,T.jsx)(N.Tooltip,{content:(0,T.jsx)("span",{children:"To authenticate with a client TLS/SSL certificate, provide the key here."}),children:(0,T.jsx)(N.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,T.jsx)(N.SecretTextArea,{placeholder:"-----BEGIN RSA PRIVATE KEY-----",cols:45,rows:7,isConfigured:i&&i.tlsClientKey,onChange:(0,e.onUpdateDatasourceSecureJsonDataOption)(r,"tlsClientKey"),onReset:()=>{(0,e.updateDatasourcePluginResetOption)(r,"tlsClientKey")}})}):null]})},ue=(0,E.createMonitoringLogger)("features.plugins.sql");function Ee(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function ce(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ee(e,t,r[t])}))}return e}function de(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}var Te=O(3277);function pe(e){return{ulPadding:(0,p.css)({margin:e.spacing(1,0),paddingLeft:e.spacing(5)})}}O(6703);const Oe={randomUUID:"undefined"!=typeof crypto&&crypto.randomUUID&&crypto.randomUUID.bind(crypto)};let Re;const fe=new Uint8Array(16),Ie=[];for(let e=0;e<256;++e)Ie.push((e+256).toString(16).slice(1));const Ne=function(e,t,r){if(Oe.randomUUID&&!t&&!e)return Oe.randomUUID();const n=(e=e||{}).random??e.rng?.()??function(){if(!Re){if("undefined"==typeof crypto||!crypto.getRandomValues)throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");Re=crypto.getRandomValues.bind(crypto)}return Re(fe)}();if(n.length<16)throw new Error("Random bytes length must be >= 16");if(n[6]=15&n[6]|64,n[8]=63&n[8]|128,t){if((r=r||0)<0||r+16>t.length)throw new RangeError(`UUID byte range ${r}:${r+15} is out of buffer bounds`);for(let e=0;e<16;++e)t[r+e]=n[e];return t}return function(e,t=0){return(Ie[e[t+0]]+Ie[e[t+1]]+Ie[e[t+2]]+Ie[e[t+3]]+"-"+Ie[e[t+4]]+Ie[e[t+5]]+"-"+Ie[e[t+6]]+Ie[e[t+7]]+"-"+Ie[e[t+8]]+Ie[e[t+9]]+"-"+Ie[e[t+10]]+Ie[e[t+11]]+Ie[e[t+12]]+Ie[e[t+13]]+Ie[e[t+14]]+Ie[e[t+15]]).toLowerCase()}(n)};function Ae(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Se(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ae(e,t,r[t])}))}return e}function he(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function me(e){switch(e){case"TIME":case"DATETIME":case"TIMESTAMP":return"clock-nine";case"BOOLEAN":return"toggle-off";case"INTEGER":case"FLOAT":case"FLOAT64":case"INT":case"SMALLINT":case"BIGINT":case"TINYINT":case"BYTEINT":case"INT64":case"NUMERIC":case"DECIMAL":return"calculator-alt";case"CHAR":case"VARCHAR":case"STRING":case"BYTES":case"TEXT":case"TINYTEXT":case"MEDIUMTEXT":case"LONGTEXT":return"text";case"GEOGRAPHY":return"map";default:return}}function Le({sql:e,dataset:t,table:r}){var n,o,i,a;let s="";return e&&(0,Te.YW)(e.columns)?(s+=(0,Te.oF)(e.columns),t&&r&&(s+=`FROM ${t}.${r} `),e.whereString&&(s+=`WHERE ${e.whereString} `),(null===(o=e.groupBy)||void 0===o||null===(n=o[0])||void 0===n?void 0:n.property.name)&&(s+=`GROUP BY ${e.groupBy.map((e=>e.property.name)).filter((e=>!(0,c.isEmpty)(e))).join(", ")} `),(null===(i=e.orderBy)||void 0===i?void 0:i.property.name)&&(s+=`ORDER BY ${e.orderBy.property.name} `),(null===(a=e.orderBy)||void 0===a?void 0:a.property.name)&&e.orderByDirection&&(s+=`${e.orderByDirection} `),void 0!==e.limit&&e.limit>=0&&(s+=`LIMIT ${e.limit} `),s):s}function Ce(e){return function(e){const t=/^[a-zA-Z_][a-zA-Z0-9_$]*$/g.test(e);return!ye.includes(e.toUpperCase())&&t}(e)?e:`\`${e}\``}function ve(e){return"'"+e.replace(/'/g,"''")+"'"}const ye=["ACCESSIBLE","ADD","ALL","ALTER","ANALYZE","AND","AS","ASC","ASENSITIVE","BEFORE","BETWEEN","BIGINT","BINARY","BLOB","BOTH","BY","CALL","CASCADE","CASE","CHANGE","CHAR","CHARACTER","CHECK","COLLATE","COLUMN","CONDITION","CONSTRAINT","CONTINUE","CONVERT","CREATE","CROSS","CUBE","CUME_DIST","CURRENT_DATE","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_USER","CURSOR","DATABASE","DATABASES","DAY_HOUR","DAY_MICROSECOND","DAY_MINUTE","DAY_SECOND","DEC","DECIMAL","DECLARE","DEFAULT","DELAYED","DELETE","DENSE_RANK","DESC","DESCRIBE","DETERMINISTIC","DISTINCT","DISTINCTROW","DIV","DOUBLE","DROP","DUAL","EACH","ELSE","ELSEIF","EMPTY","ENCLOSED","ESCAPED","EXCEPT","EXISTS","EXIT","EXPLAIN","FALSE","FETCH","FIRST_VALUE","FLOAT","FLOAT4","FLOAT8","FOR","FORCE","FOREIGN","FROM","FULLTEXT","FUNCTION","GENERATED","GET","GRANT","GROUP","GROUPING","GROUPS","HAVING","HIGH_PRIORITY","HOUR_MICROSECOND","HOUR_MINUTE","HOUR_SECOND","IF","IGNORE","IN","INDEX","INFILE","INNER","INOUT","INSENSITIVE","INSERT","INT","INT1","INT2","INT3","INT4","INT8","INTEGER","INTERSECT","INTERVAL","INTO","IO_AFTER_GTIDS","IO_BEFORE_GTIDS","IS","ITERATE","JOIN","JSON_TABLE","KEY","KEYS","KILL","LAG","LAST_VALUE","LATERAL","LEAD","LEADING","LEAVE","LEFT","LIKE","LIMIT","LINEAR","LINES","LOAD","LOCALTIME","LOCALTIMESTAMP","LOCK","LONG","LONGBLOB","LONGTEXT","LOOP","LOW_PRIORITY","MASTER_BIND","MASTER_SSL_VERIFY_SERVER_CERT","MATCH","MAXVALUE","MEDIUMBLOB","MEDIUMINT","MEDIUMTEXT","MIDDLEINT","MINUTE_MICROSECOND","MINUTE_SECOND","MOD","MODIFIES","NATURAL","NOT","NO_WRITE_TO_BINLOG","NTH_VALUE","NTILE","NULL","NUMERIC","OF","ON","OPTIMIZE","OPTIMIZER_COSTS","OPTION","OPTIONALLY","OR","ORDER","OUT","OUTER","OUTFILE","OVER","PARTITION","PERCENT_RANK","PRECISION","PRIMARY","PROCEDURE","PURGE","RANGE","RANK","READ","READS","READ_WRITE","REAL","RECURSIVE","REFERENCES","REGEXP","RELEASE","RENAME","REPEAT","REPLACE","REQUIRE","RESIGNAL","RESTRICT","RETURN","REVOKE","RIGHT","RLIKE","ROW","ROWS","ROW_NUMBER","SCHEMA","SCHEMAS","SECOND_MICROSECOND","SELECT","SENSITIVE","SEPARATOR","SET","SHOW","SIGNAL","SMALLINT","SPATIAL","SPECIFIC","SQL","SQLEXCEPTION","SQLSTATE","SQLWARNING","SQL_BIG_RESULT","SQL_CALC_FOUND_ROWS","SQL_SMALL_RESULT","SSL","STARTING","STORED","STRAIGHT_JOIN","SYSTEM","TABLE","TERMINATED","THEN","TINYBLOB","TINYINT","TINYTEXT","TO","TRAILING","TRIGGER","TRUE","UNDO","UNION","UNIQUE","UNLOCK","UNSIGNED","UPDATE","USAGE","USE","USING","UTC_DATE","UTC_TIME","UTC_TIMESTAMP","VALUES","VARBINARY","VARCHAR","VARCHARACTER","VARYING","VIRTUAL","WHEN","WHERE","WHILE","WINDOW","WITH","WRITE","XOR","YEAR_MONTH","ZEROFILL"];function ge(e){return ve(function(e){return'"'===e[0]&&'"'===e[e.length-1]?e.substring(1,e.length-1).replace(/""/g,'"'):"`"===e[0]&&"`"===e[e.length-1]?e.substring(1,e.length-1):e}(e))}var be=O(7317);function De(e,t,r,n,o,i,a){try{var s=e[i](a),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,o)}function Pe(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){De(i,n,o,a,s,"next",e)}function s(e){De(i,n,o,a,s,"throw",e)}a(void 0)}))}}function _e(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Me(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){_e(e,t,r[t])}))}return e}function Ue(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const xe=({getMeta:e})=>(t,r)=>Ue(Me({},r&&(0,be.N)(t,r)),{customStatementPlacement:we,customSuggestionKinds:Ge(e)}),je="afterDatabase",Fe="FROM",we=()=>[{id:je,resolve:(e,t,r)=>{var n;return Boolean((null==e?void 0:e.is(u.ks.Delimiter,"."))&&(null==t?void 0:t.value)===Fe&&((null==r?void 0:r.is(u.ks.IdentifierQuote))||(null==r?void 0:r.isIdentifier()))&&1===(null==e||null===(n=e.getPreviousUntil(u.ks.Keyword,[u.ks.IdentifierQuote],Fe))||void 0===n?void 0:n.filter((e=>e.isIdentifier())).length))}}],Ge=e=>()=>[{id:u.ng.Tables,overrideDefault:!0,suggestionsResolver:function(){var t=Pe((function*(t){const r=ke(t.currentToken);return(yield e({schema:r})).map(Be(t))}));return function(e){return t.apply(this,arguments)}}()},{id:u.ng.Columns,overrideDefault:!0,suggestionsResolver:function(){var t=Pe((function*(t){const r=We(t.currentToken),n=ke(r),o=function(e){const t=null==e?void 0:e.getNextOfType(u.ks.Identifier);return null==t?void 0:t.value}(r);return n&&o?(yield e({schema:n,table:o})).map(Be(t)):[]}));return function(e){return t.apply(this,arguments)}}()},{id:"tablesWithinDatabase",applyTo:[je],suggestionsResolver:function(){var t=Pe((function*(t){const r=ke(t.currentToken);return(yield e({schema:r})).map(Be(t))}));return function(e){return t.apply(this,arguments)}}()}];function Be(e){return function(t){var r;return{label:t.name,insertText:null!==(r=t.completion)&&void 0!==r?r:t.name,command:{id:"editor.action.triggerSuggest",title:""},kind:u.Io.Field,sortText:u.mY.High,range:Ue(Me({},e.range),{startColumn:e.range.endColumn,endColumn:e.range.endColumn})}}}function ke(e){return(null==e?void 0:e.isIdentifier())&&"."!==e.value[e.value.length-1]?e.value:(null==e?void 0:e.is(u.ks.Delimiter,"."))?null===(t=e.getPreviousOfType(u.ks.Identifier))||void 0===t?void 0:t.value:(null==e?void 0:e.is(u.ks.IdentifierQuote))?(null===(r=e.getPreviousOfType(u.ks.Identifier))||void 0===r?void 0:r.value)||(null===(n=e.getNextOfType(u.ks.Identifier))||void 0===n?void 0:n.value):void 0;var t,r,n}const We=e=>{var t;const r=(e=>{var t;const r=null!==(t=null==e?void 0:e.getPreviousOfType(u.ks.Keyword,"SELECT"))&&void 0!==t?t:null;return null==r?void 0:r.getNextOfType(u.ks.Keyword,Fe)})(e),n=null==r?void 0:r.getNextOfType(u.ks.Identifier);return(null==n?void 0:n.isKeyword())&&(null===(t=n.next)||void 0===t?void 0:t.is(u.ks.Parenthesis,"("))?null:n};function Ve(e,t,r,n,o,i,a){try{var s=e[i](a),l=s.value}catch(e){return void r(e)}s.done?t(l):Promise.resolve(l).then(n,o)}function He(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){Ve(i,n,o,a,s,"next",e)}function s(e){Ve(i,n,o,a,s,"throw",e)}a(void 0)}))}}function Ye(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}var Xe=Object.defineProperty,Ke=Object.defineProperties,$e=Object.getOwnPropertyDescriptors,qe=Object.getOwnPropertySymbols,Qe=Object.prototype.hasOwnProperty,Je=Object.prototype.propertyIsEnumerable,Ze=(e,t,r)=>t in e?Xe(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,ze=(e,t)=>{for(var r in t||(t={}))Qe.call(t,r)&&Ze(e,r,t[r]);if(qe)for(var r of qe(t))Je.call(t,r)&&Ze(e,r,t[r]);return e};const et=({dataSourceName:e,docsLink:t,hasRequiredFields:r=!0,className:n})=>{const o=(0,N.useTheme2)(),i={container:(0,p.css)({p:{margin:0},"p + p":{marginTop:o.spacing(2)}}),text:(0,p.css)((a=ze({},o.typography.body),s={color:o.colors.text.secondary,a:(0,p.css)({color:o.colors.text.link,textDecoration:"underline","&:hover":{textDecoration:"none"}})},Ke(a,$e(s))))};var a,s;return I().createElement("div",{className:(0,p.cx)(i.container,n)},I().createElement("p",{className:i.text},"Before you can use the ",e," data source, you must configure it below or in the config file. For detailed instructions,"," ",I().createElement("a",{href:t,target:"_blank",rel:"noreferrer"},"view the documentation"),"."),r&&I().createElement("p",{className:i.text},I().createElement("i",null,"Fields marked with * are required")))};var tt=Object.defineProperty,rt=Object.defineProperties,nt=Object.getOwnPropertyDescriptors,ot=Object.getOwnPropertySymbols,it=Object.prototype.hasOwnProperty,at=Object.prototype.propertyIsEnumerable,st=(e,t,r)=>t in e?tt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const lt=e=>{var t,r=e,{children:n}=r,o=((e,t)=>{var r={};for(var n in e)it.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&ot)for(var n of ot(e))t.indexOf(n)<0&&at.call(e,n)&&(r[n]=e[n]);return r})(r,["children"]);return I().createElement(X,(t=((e,t)=>{for(var r in t||(t={}))it.call(t,r)&&st(e,r,t[r]);if(ot)for(var r of ot(t))at.call(t,r)&&st(e,r,t[r]);return e})({},o),rt(t,nt({kind:"section"}))),n)};function ut(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Et=new e.DataSourcePlugin(class extends j{getQueryModel(){return{quoteLiteral:ve}}getSqlLanguageDefinition(){if(void 0!==this.sqlLanguageDefinition)return this.sqlLanguageDefinition;const e={getMeta:e=>this.fetchMeta(e)};return this.sqlLanguageDefinition={id:"mysql",completionProvider:xe(e),formatter:F.s},this.sqlLanguageDefinition}fetchDatasets(){var e=this;return He((function*(){return(yield e.runSql("SELECT DISTINCT TABLE_SCHEMA from information_schema.TABLES where TABLE_TYPE != 'SYSTEM VIEW' ORDER BY TABLE_SCHEMA",{refId:"datasets"})).map((e=>Ce(e[0])))}))()}fetchTables(e){var t=this;return He((function*(){const r=yield t.runSql(function(e){return`SELECT table_name FROM information_schema.tables WHERE table_schema = ${void 0!==e?ge(e):"database()"} ORDER BY table_name`}(e),{refId:"tables"});return r.map((e=>Ce(e[0])))}))()}fetchFields(e){var t=this;return He((function*(){if(!e.dataset||!e.table)return[];const r=function(e,t){let r="SELECT column_name, data_type FROM information_schema.columns WHERE ";return r+=function(e,t){let r="";if(e.includes(".")){const t=e.split(".");return r="table_schema = "+ge(t[0]),r+=" AND table_name = "+ge(t[1]),r}return r=`table_schema = ${void 0!==t?ge(t):"database()"} AND table_name = `+ge(e),r}(e,t),r+=" ORDER BY column_name",r}(e.table,e.dataset);return function(e){const t=[];for(const n of e){var r;let e="text";switch(null===(r=n.type)||void 0===r?void 0:r.toUpperCase()){case"BOOLEAN":case"BOOL":e="boolean";break;case"BYTES":case"VARCHAR":case"GEOGRAPHY":e="text";break;case"FLOAT":case"FLOAT64":case"INT":case"INTEGER":case"INT64":case"NUMERIC":case"BIGNUMERIC":e="number";break;case"DATE":e="date";break;case"DATETIME":case"TIMESTAMP":e="datetime";break;case"TIME":e="time"}t.push(he(Se({},n),{raqbFieldType:e,icon:me(n.type.toUpperCase())}))}return t}((yield t.runSql(r,{refId:`fields-${Ne()}`})).map((e=>({name:e[0],text:e[0],value:Ce(e[0]),type:e[1],label:e[0]}))))}))()}fetchMeta(e){var t=this;return He((function*(){const r=t.instanceSettings.jsonData.database;return!(null==e?void 0:e.schema)&&r?(yield t.fetchTables(r)).map((e=>({name:e,completion:`${r}.${e}`,kind:u.Io.Class}))):(null==e?void 0:e.schema)||r?(null==e?void 0:e.table)||r&&!(null==e?void 0:e.schema)?(null==e?void 0:e.table)&&e.schema?(yield t.fetchFields({dataset:e.schema,table:e.table})).map((e=>({name:e.name,completion:e.value,kind:u.Io.Field}))):[]:(yield t.fetchTables(null==e?void 0:e.schema)).map((e=>({name:e,completion:e,kind:u.Io.Class}))):(yield t.fetchDatasets()).map((e=>({name:e,completion:`${e}.`,kind:u.Io.Module})))}))()}getDB(){return void 0!==this.db?this.db:{datasets:()=>this.fetchDatasets(),tables:e=>this.fetchTables(e),fields:e=>this.fetchFields(e),validateQuery:(e,t)=>Promise.resolve({query:e,error:"",isError:!1,isValid:!0}),dsID:()=>this.id,toRawSql:Le,functions:()=>this.getFunctions(),getEditorLanguageDefinition:()=>this.getSqlLanguageDefinition()}}constructor(e){super(e),Ye(this,"instanceSettings",void 0),Ye(this,"sqlLanguageDefinition",void 0),Ye(this,"getFunctions",void 0),this.instanceSettings=e,this.getFunctions=()=>{const e=[...r,{name:"VARIANCE"},{name:"STDDEV"}];if(E.config.featureToggles.sqlQuerybuilderFunctionParameters){const t={name:"Column",required:!0,options:e=>this.fetchFields(e)};return[...i(t),...e.map((e=>{return r=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ye(e,t,r[t])}))}return e}({},e),n=null!=(n={parameters:[t]})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e){var t=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t.push.apply(t,r)}return t}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r;var r,n}))]}return e}}}).setQueryEditor(m).setQueryEditorHelp((function(){const e=(0,N.useStyles2)(pe);return(0,T.jsxs)("div",{children:[(0,T.jsx)("h2",{children:"MySQL cheat sheet"}),"Time series:",(0,T.jsxs)("ul",{className:e.ulPadding,children:[(0,T.jsx)("li",{children:"return column named time or time_sec (in UTC), as a unix time stamp or any sql native date data type. You can use the macros below."}),(0,T.jsx)("li",{children:"return column(s) with numeric datatype as values"})]}),"Optional:",(0,T.jsxs)("ul",{className:e.ulPadding,children:[(0,T.jsxs)("li",{children:["return column named ",(0,T.jsx)("i",{children:"metric"})," to represent the series name."]}),(0,T.jsx)("li",{children:"If multiple value columns are returned the metric column is used as prefix."}),(0,T.jsx)("li",{children:"If no column named metric is found the column name of the value column is used as series name"})]}),(0,T.jsx)("p",{children:"Resultsets of time series queries need to be sorted by time."}),"Table:",(0,T.jsx)("ul",{className:e.ulPadding,children:(0,T.jsx)("li",{children:"return any set of columns"})}),"Macros:",(0,T.jsxs)("ul",{className:e.ulPadding,children:[(0,T.jsx)("li",{children:"$__time(column) -> UNIX_TIMESTAMP(column) as time_sec"}),(0,T.jsx)("li",{children:"$__timeEpoch(column) -> UNIX_TIMESTAMP(column) as time_sec"}),(0,T.jsx)("li",{children:"$__timeFilter(column) -> column BETWEEN FROM_UNIXTIME(1492750877) AND FROM_UNIXTIME(1492750877)"}),(0,T.jsx)("li",{children:"$__unixEpochFilter(column) -> time_unix_epoch > 1492750877 AND time_unix_epoch < 1492750877"}),(0,T.jsx)("li",{children:"$__unixEpochNanoFilter(column) -> column >= 1494410783152415214 AND column <= 1494497183142514872"}),(0,T.jsx)("li",{children:"$__timeGroup(column,'5m'[, fillvalue]) -> cast(cast(UNIX_TIMESTAMP(column)/(300) as signed)*300 as signed) by setting fillvalue grafana will fill in missing values according to the interval fillvalue can be either a literal value, NULL or previous; previous will fill in the previous seen value or NULL if none has been seen yet"}),(0,T.jsx)("li",{children:"$__timeGroupAlias(column,'5m') -> cast(cast(UNIX_TIMESTAMP(column)/(300) as signed)*300 as signed) AS \"time\""}),(0,T.jsx)("li",{children:"$__unixEpochGroup(column,'5m') -> column DIV 300 * 300"}),(0,T.jsx)("li",{children:"$__unixEpochGroupAlias(column,'5m') -> column DIV 300 * 300 AS \"time\""})]}),(0,T.jsx)("p",{children:"Example of group by and order by with $__timeGroup:"}),(0,T.jsx)("pre",{children:(0,T.jsxs)("code",{children:["$__timeGroupAlias(timestamp_col, '1h'), sum(value_double) as value",(0,T.jsx)("br",{}),"FROM yourtable",(0,T.jsx)("br",{}),"GROUP BY 1",(0,T.jsx)("br",{}),"ORDER BY 1",(0,T.jsx)("br",{})]})}),"Or build your own conditionals using these macros which just return the values:",(0,T.jsxs)("ul",{className:e.ulPadding,children:[(0,T.jsx)("li",{children:"$__timeFrom() -> FROM_UNIXTIME(1492750877)"}),(0,T.jsx)("li",{children:"$__timeTo() -> FROM_UNIXTIME(1492750877)"}),(0,T.jsx)("li",{children:"$__unixEpochFrom() -> 1492750877"}),(0,T.jsx)("li",{children:"$__unixEpochTo() -> 1492750877"}),(0,T.jsx)("li",{children:"$__unixEpochNanoFrom() -> 1494410783152415214"}),(0,T.jsx)("li",{children:"$__unixEpochNanoTo() -> 1494497183142514872"})]})]})})).setConfigEditor((t=>{const[r,n]=(0,f.useState)(!0),{options:o,onOptionsChange:i}=t,a=o.jsonData;!function({onOptionsChange:e,options:t}){(0,f.useEffect)((()=>{const r=t.jsonData;let n=ce({},t),o=!1;if(t.database&&(ue.logDebug(`Migrating from options.database with value ${t.database} for ${t.name}`),n.database="",n.jsonData=de(ce({},r),{database:t.database}),o=!0),void 0===r.maxOpenConns&&void 0===r.maxIdleConns&&void 0===r.maxIdleConnsAuto){const{maxOpenConns:e,maxIdleConns:t}=E.config.sqlConnectionLimits;ue.logDebug(`Setting default max open connections to ${e} and setting max idle connection to ${t}`),n.jsonData=de(ce({},n.jsonData),{maxOpenConns:e,maxIdleConns:t,maxIdleConnsAuto:!0}),o=!0}if(void 0===r.connMaxLifetime){const{connMaxLifetime:e}=E.config.sqlConnectionLimits;n.jsonData=de(ce({},n.jsonData),{connMaxLifetime:e}),o=!0}o&&e(n)}),[e,t])}(t);const s=e=>t=>{i(function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){ut(e,t,r[t])}))}return e}({},o,{[e]:t.currentTarget.value}))},l=r=>n=>{(0,e.updateDatasourcePluginJsonDataOption)(t,r,n.currentTarget.checked)},u=40;return(0,T.jsxs)(T.Fragment,{children:[(0,T.jsx)(et,{dataSourceName:"MySQL",docsLink:"https://grafana.com/docs/grafana/latest/datasources/mysql/",hasRequiredFields:!0}),(0,T.jsx)(ae,{}),(0,T.jsxs)(N.Collapse,{collapsible:!0,label:"User Permission",isOpen:r,onToggle:()=>n((e=>!e)),children:["The database user should only be granted SELECT permissions on the specified database & tables you want to query. ",(0,T.jsx)("br",{}),"Grafana does not validate that queries are safe so queries can contain any SQL statement. For example, statements like ",(0,T.jsx)("code",{children:"USE otherdb;"})," and ",(0,T.jsx)("code",{children:"DROP TABLE user;"})," would be executed. ",(0,T.jsx)("br",{}),"To protect against this we ",(0,T.jsx)("strong",{children:"Highly"})," recommend you create a specific MySQL user with restricted permissions. Check out the docs for more information."]}),(0,T.jsx)(ae,{}),(0,T.jsxs)(lt,{title:"Connection",children:[(0,T.jsx)(N.Field,{label:"Host URL",required:!0,children:(0,T.jsx)(N.Input,{width:u,name:"host",type:"text",value:o.url||"",placeholder:"localhost:3306",onChange:s("url")})}),(0,T.jsx)(N.Field,{label:"Database name",children:(0,T.jsx)(N.Input,{width:u,name:"database",value:a.database||"",placeholder:"Database",onChange:(0,e.onUpdateDatasourceJsonDataOption)(t,"database")})})]}),(0,T.jsx)(ae,{}),(0,T.jsxs)(lt,{title:"Authentication",children:[(0,T.jsx)(N.Field,{label:"Username",required:!0,children:(0,T.jsx)(N.Input,{width:u,value:o.user||"",placeholder:"Username",onChange:s("user")})}),(0,T.jsx)(N.Field,{label:"Password",children:(0,T.jsx)(N.SecretInput,{width:u,placeholder:"Password",isConfigured:o.secureJsonFields&&o.secureJsonFields.password,onReset:()=>{(0,e.updateDatasourcePluginResetOption)(t,"password")},onBlur:(0,e.onUpdateDatasourceSecureJsonDataOption)(t,"password")})}),(0,T.jsx)(N.Field,{label:"Use TLS Client Auth",description:"Enables TLS authentication using client cert configured in secure json data.",children:(0,T.jsx)(N.Switch,{onChange:l("tlsAuth"),value:a.tlsAuth||!1})}),(0,T.jsx)(N.Field,{label:"With CA Cert",description:"Needed for verifying self-signed TLS Certs.",children:(0,T.jsx)(N.Switch,{onChange:l("tlsAuthWithCACert"),value:a.tlsAuthWithCACert||!1})}),(0,T.jsx)(N.Field,{label:"Skip TLS Verification",description:"When enabled, skips verification of the MySQL server's TLS certificate chain and host name.",children:(0,T.jsx)(N.Switch,{onChange:l("tlsSkipVerify"),value:a.tlsSkipVerify||!1})}),(0,T.jsx)(N.Field,{label:"Allow Cleartext Passwords",description:"Allows using the cleartext client side plugin if required by an account.",children:(0,T.jsx)(N.Switch,{onChange:l("allowCleartextPasswords"),value:a.allowCleartextPasswords||!1})})]}),a.tlsAuth||a.tlsAuthWithCACert?(0,T.jsxs)(T.Fragment,{children:[(0,T.jsx)(ae,{}),(0,T.jsx)(lt,{title:"TLS/SSL Auth Details",children:a.tlsAuth||a.tlsAuthWithCACert?(0,T.jsx)(le,{showCACert:a.tlsAuthWithCACert,showKeyPair:a.tlsAuth,editorProps:t,labelWidth:u}):null})]}):null,(0,T.jsx)(ae,{}),(0,T.jsxs)(lt,{title:"Additional settings",isCollapsible:!0,children:[(0,T.jsxs)(ee,{title:"MySQL Options",children:[(0,T.jsx)(N.Field,{label:(0,T.jsx)(N.Label,{children:(0,T.jsxs)(te.B,{gap:.5,children:[(0,T.jsx)("span",{children:"Session timezone"}),(0,T.jsx)(N.Tooltip,{content:(0,T.jsxs)("span",{children:["Specify the timezone used in the database session, such as ",(0,T.jsx)("code",{children:"Europe/Berlin"})," or",(0,T.jsx)("code",{children:"+02:00"}),". Required if the timezone of the database (or the host of the database) is set to something other than UTC. Set this to ",(0,T.jsx)("code",{children:"+00:00"})," so Grafana can handle times properly. Set the value used in the session with ",(0,T.jsx)("code",{children:"SET time_zone='...'"}),". If you leave this field empty, the timezone will not be updated. You can find more information in the MySQL documentation."]}),children:(0,T.jsx)(N.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,T.jsx)(N.Input,{width:u,value:a.timezone||"",onChange:(0,e.onUpdateDatasourceJsonDataOption)(t,"timezone"),placeholder:"Europe/Berlin or +02:00"})}),(0,T.jsx)(N.Field,{label:(0,T.jsx)(N.Label,{children:(0,T.jsxs)(te.B,{gap:.5,children:[(0,T.jsx)("span",{children:"Min time interval"}),(0,T.jsx)(N.Tooltip,{content:(0,T.jsxs)("span",{children:["A lower limit for the auto group by time interval. Recommended to be set to write frequency, for example",(0,T.jsx)("code",{children:"1m"})," if your data is written every minute."]}),children:(0,T.jsx)(N.Icon,{name:"info-circle",size:"sm"})})]})}),description:"A lower limit for the auto group by time interval. Recommended to be set to write frequency, for example 1m if your data is written every minute.",children:(0,T.jsx)(N.Input,{width:u,placeholder:"1m",value:a.timeInterval||"",onChange:(0,e.onUpdateDatasourceJsonDataOption)(t,"timeInterval")})})]}),(0,T.jsx)(ie,{options:o,onOptionsChange:i}),E.config.secureSocksDSProxyEnabled&&(0,T.jsx)(N.SecureSocksProxySettings,{options:o,onOptionsChange:i})]})]})}))})(),R})()));
//# sourceMappingURL=module.js.map